/* DSblock model generated by Dymola from Modelica model Guyton_1972.Guyton1972_sigWay_subModels
 Dymola Version 7.4 FD01, 2011-02-24 translated this at Wed Dec 19 17:35:15 2012

   */

#include <matrixop.h>
/* Declaration of C-structs */
/* Prototypes for functions used in model */
DYMOLA_STATIC double   Guytonx_01972_Library_Splines_Spline(double  u0_0, 
  RealArray   x0_0, RealArray   yValues0_0);
DYMOLA_STATIC double   Guytonx_01972_Library_Splines_SplineSlope(RealArray   
  x0_0, RealArray   y0_0, RealArray   slope0_0, double  xVal0_0);
/* Codes used in model */

/* Flattened Modelica model:

function Guyton_1972.Library.Splines.Spline
  input Real u;
  input Real x[1, :];
  input Real yValues[1, :];
  output Real y;
protected 
  Real slope[1, size(x, 2)];
  Integer index;
  public 
algorithm 
  slope[1, 1] := (yValues[1, 2]-yValues[1, 1])/(x[1, 2]-x[1, 1]);
  index := 2;
  while index < size(x, 2) loop
    slope[1, index] := (yValues[1, 1+index]-yValues[1, index-1])/(x[1, 1+index]-
      x[1, index-1]);
    index := 1+index;
  end while;
  slope[1, size(x, 2)] := (yValues[1, size(x, 2)]-yValues[1, size(x, 2)-1])/(x[1,
     size(x, 2)]-x[1, size(x, 2)-1]);
  y := Guyton_1972.Library.Splines.SplineSlope(x, yValues, slope, u);
end Guyton_1972.Library.Splines.Spline;
*/
DYMOLA_STATIC double   Guytonx_01972_Library_Splines_Spline(double  u0_0, 
  RealArray   x0_0, RealArray   yValues0_0) {
  PushContext("Guyton_1972.Library.Splines.Spline")
  AssertModelica(RealSize( x0_0,1)==1,"size(x, 1) == 1","Dimension check of input to function failed");
  AssertModelica(RealSize( yValues0_0,1)==1,"size(yValues, 1) == 1","Dimension check of input to function failed");
  {
    /* Declare outputs and temporaries */
    double   y0_0;
    RealArray    slope0_0;
    int   index0_0;
    MarkObject retmark_ = PushMark();
    y0_0=0;
    slope0_0=RealTemporary( 2, 1, RealSize( x0_0, 2));
    PushMark();
    RealFillAssign( slope0_0, 0);
    index0_0=0;
    /* Start of real code */
      SetRealElement(divmacro(RealElement( yValues0_0, (SizeType)( 1 ), 
        (SizeType)( 2 ))-RealElement( yValues0_0, (SizeType)( 1 ), (SizeType)( 1
         )),"yValues[1, 2]-yValues[1, 1]",RealElement( x0_0, (SizeType)( 1 ), 
        (SizeType)( 2 ))-RealElement( x0_0, (SizeType)( 1 ), (SizeType)( 1 )),
        "x[1, 2]-x[1, 1]"), slope0_0, (SizeType)( 1 ), (SizeType)( 1 ));
      index0_0 = 2;
      while (index0_0 < RealSize( x0_0, 2)) {
        SetRealElement(divmacro(RealElement( yValues0_0, (SizeType)( 1 ), 
          (SizeType)( 1+index0_0 ))-RealElement( yValues0_0, (SizeType)( 1 ), 
          (SizeType)( index0_0-1 )),"yValues[1, 1+index]-yValues[1, index-1]",
          RealElement( x0_0, (SizeType)( 1 ), (SizeType)( 1+index0_0 ))-
          RealElement( x0_0, (SizeType)( 1 ), (SizeType)( index0_0-1 )),
          "x[1, 1+index]-x[1, index-1]"), slope0_0, (SizeType)( 1 ), 
          (SizeType)( index0_0 ));
        index0_0 = 1+index0_0;
      }
      SetRealElement(divmacro(RealElement( yValues0_0, (SizeType)( 1 ), 
        (SizeType)( RealSize( x0_0, 2) ))-RealElement( yValues0_0, (SizeType)( 1
         ), (SizeType)( RealSize( x0_0, 2)-1 )),"yValues[1, size(x, 2)]-yValues[1, size(x, 2)-1]",
        RealElement( x0_0, (SizeType)( 1 ), (SizeType)( RealSize( x0_0, 2) ))-
        RealElement( x0_0, (SizeType)( 1 ), (SizeType)( RealSize( x0_0, 2)-1 )),
        "x[1, size(x, 2)]-x[1, size(x, 2)-1]"), slope0_0, (SizeType)( 1 ), 
        (SizeType)( RealSize( x0_0, 2) ));
      y0_0 = Guytonx_01972_Library_Splines_SplineSlope(x0_0, yValues0_0, 
        slope0_0, u0_0);
    /* Output section */
    PopMark(retmark_);
    PopContext()
    return y0_0;
  }}

/* Flattened Modelica model:

function Guyton_1972.Library.Splines.SplineSlope
  input Real x[1, :];
  input Real y[1, :];
  input Real slope[1, :];
  input Real xVal;
  output Real yVal;
protected 
  Integer index;
  Integer endI;
  Real a1;
  Real a2;
  Real a3;
  Real a4;
  Real x1;
  Real x2;
  Real y1;
  Real y2;
  Real slope1;
  Real slope2;
  public 
algorithm 
  endI := size(x, 2);
  if (xVal <= x[1, 1]) then 
    yVal := xVal*slope[1, 1]+y[1, 1]-x[1, 1]*slope[1, 1];
  elseif (xVal >= x[1, endI]) then 
    yVal := xVal*slope[1, endI]+y[1, endI]-x[1, endI]*slope[1, endI];
  else
    index := 1;
    while xVal > x[1, index] and index <= endI loop
      index := 1+index;
    end while;
    x1 := x[1, index-1];
    x2 := x[1, index];
    y1 := y[1, index-1];
    y2 := y[1, index];
    slope1 := slope[1, index-1];
    slope2 := slope[1, index];
    a1 :=  -(slope2*x1-(x2*slope2+x2*slope1)+slope1*x1+2*y2-2*y1)/(x2-x1)^3;
    a2 := (x2*slope1*x1-(x2^2*slope2+2.0*(x2^2*slope1)+3.0*(x2*y1))+3.0*(x2*y2)-
      x2*slope2*x1-3.0*(y1*x1)+slope1*x1^2+3.0*(y2*x1)+2.0*(slope2*x1^2))/(x2-x1)
      ^3;
    a3 :=  -(x2*slope2*x1^2-(slope1*x2^3+2.0*(x2^2*slope2*x1)+x2^2*slope1*x1)+
      2.0*(x2*slope1*x1^2)+6.0*(x2*x1*y2)-6.0*(x2*x1*y1)+slope2*x1^3)/(x2-x1)^3;
    a4 := (y1*x2^3-slope1*x2^3*x1-slope2*x1^2*x2^2+slope1*x1^2*x2^2-3.0*(y1*x2^2
      *x1)+3.0*(y2*x1^2*x2)+slope2*x1^3*x2-y2*x1^3)/(x2-x1)^3;
    yVal := a1*xVal^3+a2*xVal^2+a3*xVal+a4;
  end if;
end Guyton_1972.Library.Splines.SplineSlope;
*/
DYMOLA_STATIC double   Guytonx_01972_Library_Splines_SplineSlope(RealArray   
  x0_0, RealArray   y0_0, RealArray   slope0_0, double  xVal0_0) {
  PushContext("Guyton_1972.Library.Splines.SplineSlope")
  AssertModelica(RealSize( x0_0,1)==1,"size(x, 1) == 1","Dimension check of input to function failed");
  AssertModelica(RealSize( y0_0,1)==1,"size(y, 1) == 1","Dimension check of input to function failed");
  AssertModelica(RealSize( slope0_0,1)==1,"size(slope, 1) == 1","Dimension check of input to function failed");
  {
    /* Declare outputs and temporaries */
    double   yVal0_0;
    int   index0_0;
    int   endI0_0;
    double   a10_0;
    double   a20_0;
    double   a30_0;
    double   a40_0;
    double   x10_0;
    double   x20_0;
    double   y10_0;
    double   y20_0;
    double   slope10_0;
    double   slope20_0;
    MarkObject retmark_ = PushMark();
    yVal0_0=0;
    index0_0=0;
    endI0_0=0;
    a10_0=0;
    a20_0=0;
    a30_0=0;
    a40_0=0;
    x10_0=0;
    x20_0=0;
    y10_0=0;
    y20_0=0;
    slope10_0=0;
    slope20_0=0;
    /* Start of real code */
      endI0_0 = RealSize( x0_0, 2);
      if (xVal0_0 <= RealElement( x0_0, (SizeType)( 1 ), (SizeType)( 1 ))) {
        yVal0_0 = xVal0_0*RealElement( slope0_0, (SizeType)( 1 ), (SizeType)( 1
           ))+RealElement( y0_0, (SizeType)( 1 ), (SizeType)( 1 ))-RealElement( 
          x0_0, (SizeType)( 1 ), (SizeType)( 1 ))*RealElement( slope0_0, 
          (SizeType)( 1 ), (SizeType)( 1 ));
      }
      else if (xVal0_0 >= RealElement( x0_0, (SizeType)( 1 ), (SizeType)( 
        endI0_0 ))) {
        yVal0_0 = xVal0_0*RealElement( slope0_0, (SizeType)( 1 ), (SizeType)( 
          endI0_0 ))+RealElement( y0_0, (SizeType)( 1 ), (SizeType)( endI0_0 ))-
          RealElement( x0_0, (SizeType)( 1 ), (SizeType)( endI0_0 ))*
          RealElement( slope0_0, (SizeType)( 1 ), (SizeType)( endI0_0 ));
      }
      else{
        index0_0 = 1;
        while (xVal0_0 > RealElement( x0_0, (SizeType)( 1 ), (SizeType)( 
          index0_0 )) AND index0_0 <= endI0_0) {
          index0_0 = 1+index0_0;
        }
        x10_0 = RealElement( x0_0, (SizeType)( 1 ), (SizeType)( index0_0-1 ));
        x20_0 = RealElement( x0_0, (SizeType)( 1 ), (SizeType)( index0_0 ));
        y10_0 = RealElement( y0_0, (SizeType)( 1 ), (SizeType)( index0_0-1 ));
        y20_0 = RealElement( y0_0, (SizeType)( 1 ), (SizeType)( index0_0 ));
        slope10_0 = RealElement( slope0_0, (SizeType)( 1 ), (SizeType)( index0_0
          -1 ));
        slope20_0 = RealElement( slope0_0, (SizeType)( 1 ), (SizeType)( index0_0
           ));
        a10_0 =  -divmacro(slope20_0*x10_0-(x20_0*slope20_0+x20_0*slope10_0)+
          slope10_0*x10_0+2*y20_0-2*y10_0,"slope2*x1-(x2*slope2+x2*slope1)+slope1*x1+2*y2-2*y1",
          powmacro(x20_0-x10_0,"x2-x1",3,"3"),"(x2-x1)^3");
        a20_0 = divmacro(x20_0*slope10_0*x10_0-(sqr(x20_0)*slope20_0+2.0*sqr(
          x20_0)*slope10_0+3.0*x20_0*y10_0)+3.0*x20_0*y20_0-x20_0*slope20_0*
          x10_0-3.0*y10_0*x10_0+slope10_0*sqr(x10_0)+3.0*y20_0*x10_0+2.0*
          slope20_0*sqr(x10_0),"x2*slope1*x1-(x2^2*slope2+2.0*(x2^2*slope1)+3.0*(x2*y1))+3.0*(x2*y2)-x2*slope2*x1-3.0*(y1*x1)+slope1*x1^2+3.0*(y2*x1)+2.0*(slope2*x1^2)",
          powmacro(x20_0-x10_0,"x2-x1",3,"3"),"(x2-x1)^3");
        a30_0 =  -divmacro(x20_0*slope20_0*sqr(x10_0)-(slope10_0*powmacro(x20_0,
          "x2",3,"3")+2.0*sqr(x20_0)*slope20_0*x10_0+sqr(x20_0)*slope10_0*x10_0)
          +2.0*x20_0*slope10_0*sqr(x10_0)+6.0*x20_0*x10_0*y20_0-6.0*x20_0*x10_0*
          y10_0+slope20_0*powmacro(x10_0,"x1",3,"3"),"x2*slope2*x1^2-(slope1*x2^3+2.0*(x2^2*slope2*x1)+x2^2*slope1*x1)+2.0*(x2*slope1*x1^2)+6.0*(x2*x1*y2)-6.0*(x2*x1*y1)+slope2*x1^3",
          powmacro(x20_0-x10_0,"x2-x1",3,"3"),"(x2-x1)^3");
        a40_0 = divmacro(y10_0*powmacro(x20_0,"x2",3,"3")-slope10_0*powmacro(
          x20_0,"x2",3,"3")*x10_0-slope20_0*sqr(x10_0)*sqr(x20_0)+slope10_0*sqr(
          x10_0)*sqr(x20_0)-3.0*y10_0*sqr(x20_0)*x10_0+3.0*y20_0*sqr(x10_0)*
          x20_0+slope20_0*powmacro(x10_0,"x1",3,"3")*x20_0-y20_0*powmacro(x10_0,
          "x1",3,"3"),"y1*x2^3-slope1*x2^3*x1-slope2*x1^2*x2^2+slope1*x1^2*x2^2-3.0*(y1*x2^2*x1)+3.0*(y2*x1^2*x2)+slope2*x1^3*x2-y2*x1^3",
          powmacro(x20_0-x10_0,"x2-x1",3,"3"),"(x2-x1)^3");
        yVal0_0 = a10_0*powmacro(xVal0_0,"xVal",3,"3")+a20_0*sqr(xVal0_0)+a30_0*
          xVal0_0+a40_0;
      }
    /* Output section */
    PopMark(retmark_);
    PopContext()
    return yVal0_0;
  }}
/* DSblock C-code: */

#include <moutil.c>
DYMOLA_STATIC const char*modelName="Guyton_1972.Guyton1972_sigWay_subModels";
DYMOLA_STATIC const char*usedLibraries[]={0};
DYMOLA_STATIC const char*dllLibraryPath[]={0};
DYMOLA_STATIC const char*default_dymosim_license_filename=
 "c:/users/student/appdata/roaming/dynasim/dymola.lic";
#define QJacobianCGDef_ 1
DYMOLA_STATIC long QJacobianCG_[63]={23 , 9 , 1 , 3 , 7 , 9 , 23 , 30 , 33 , 36
   , 38 , 4 , 2 , 4 , 18 , 37 , 2 , 5 , 8 , 1 , 6 , 1 , 10 , 1 , 11 , 1 , 12 , 1
   , 13 , 1 , 14 , 1 , 15 , 2 , 16 , 39 , 1 , 17 , 2 , 19 , 29 , 3 , 20 , 27 , 31
   , 1 , 21 , 1 , 22 , 1 , 24 , 1 , 25 , 1 , 26 , 1 , 28 , 1 , 32 , 1 , 34 , 1
   , 35};
DYMOLA_STATIC long QJacobianGC_[898]={
1 , 1 , 3 , 3 , 3 , 0 , 7 , 9 , 9 , 1 , 1 , 1 , 0 , 7 , 7 , 0 , 30 , 30 , 7 , 0
   , 7 , 36 , 23 , 23 , 0 , 0 , 0 , 0 , 0 , 30 , 0 , 33 , 33 , 33 , 38 , 36 , 36
   , 38 , 7 , 2 , 2 , 4 , 4 , 0 , 0 , 0 , 18 , 18 , 0 , 0 , 0 , 0 , 0 , 18 , 0
   , 18 , 18 , 2 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 2 , 0 , 0 , 0 , 2 , 0 , 0 , 0 , 37
   , 37 , 37 , 37 , 2 , 0 , 0 , 5 , 0 , 5 , 0 , 0 , 8 , 0 , 0 , 0 , 0 , 0 , 5 , 5
   , 0 , 0 , 0 , 8 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 8 , 6 , 0 , 6 , 0 , 0 , 6 , 0 , 0 , 0 , 0 , 0 , 0 , 6 , 6
   , 6 , 0 , 0 , 6 , 6 , 6 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 6 , 6 , 0 , 0 , 0 , 0 , 10 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 10 , 0 , 0 , 10
   , 10 , 10 , 0 , 0 , 0 , 10 , 10 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 10 , 10 , 0 , 0 , 0 , 0 , 11 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 11
   , 0 , 11 , 11 , 11 , 0 , 0 , 0 , 11 , 11 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 11 , 11 , 0 , 0 , 0 , 0 , 12 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 12 , 12 , 12 , 12 , 0 , 0 , 0 , 12 , 12 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 12 , 12 , 0 , 0 , 0 , 0 , 13 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 13 , 13 , 13 , 0 , 0 , 0 , 13 , 13 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 13 , 13 , 0 , 0 , 0 , 0 , 14 , 0 , 14 , 0
   , 0 , 0 , 14 , 0 , 0 , 0 , 0 , 0 , 14 , 14 , 14 , 14 , 14 , 14 , 14 , 14 , 14
   , 14 , 0 , 0 , 0 , 0 , 0 , 0 , 14 , 0 , 0 , 0 , 0 , 14 , 14 , 0 , 0 , 0 , 14
   , 15 , 0 , 15 , 0 , 0 , 15 , 0 , 0 , 0 , 0 , 0 , 0 , 15 , 15 , 15 , 0 , 0 , 15
   , 15 , 15 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 15 , 15 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 39 , 0 , 0 , 0 , 0 , 0 , 16 , 16 , 16
   , 16 , 16 , 16 , 0 , 39 , 39 , 0 , 0 , 16 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 39 , 0 , 0 , 39 , 39 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 17 , 17 , 17 , 17 , 17 , 0 , 0 , 0 , 0 , 0 , 17 , 0 , 0 , 0 , 0 , 17 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 19 , 0 , 19 , 0 , 0 , 0 , 19 , 19 , 0 , 0 , 0
   , 0 , 0 , 29 , 19 , 29 , 29 , 29 , 19 , 19 , 19 , 19 , 0 , 0 , 19 , 19 , 0 , 19
   , 29 , 0 , 0 , 0 , 0 , 19 , 19 , 19 , 19 , 19 , 19 , 27 , 0 , 27 , 0 , 0 , 0
   , 20 , 0 , 0 , 0 , 0 , 0 , 0 , 31 , 27 , 31 , 31 , 31 , 20 , 20 , 0 , 0 , 0
   , 0 , 20 , 20 , 27 , 27 , 0 , 0 , 0 , 0 , 0 , 20 , 20 , 0 , 0 , 0 , 20 , 21
   , 0 , 21 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 21 , 21 , 21 , 0 , 0 , 0 , 21
   , 21 , 21 , 21 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 21 , 21 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 22 , 0 , 0 , 22 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 22
   , 0 , 0 , 22 , 24 , 24 , 24 , 24 , 0 , 24 , 24 , 24 , 0 , 0 , 0 , 0 , 24 , 24
   , 24 , 24 , 24 , 24 , 24 , 24 , 24 , 0 , 0 , 24 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 24 , 24 , 0 , 0 , 0 , 24 , 25 , 0 , 25 , 0 , 0 , 0 , 0 , 25 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 25 , 25 , 25 , 25 , 0 , 0 , 25 , 25 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 25 , 25 , 25 , 25 , 25 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 26 , 26 , 0 , 0 , 0 , 0 , 26 , 26
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 28 , 0 , 28 , 0 , 0 , 0
   , 28 , 0 , 0 , 0 , 0 , 0 , 28 , 28 , 28 , 0 , 0 , 0 , 28 , 28 , 28 , 0 , 0 , 0
   , 0 , 0 , 0 , 28 , 0 , 0 , 0 , 0 , 0 , 28 , 28 , 0 , 0 , 0 , 28 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 32 , 32 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 32 , 32 , 32 , 32 , 0 , 0 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 34 , 34
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 34 , 34 , 34 , 34 , 0 , 0 , 0
   , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 35 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0
   , 35 , 35 , 35 , 35 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 35 , 35 , 35 , 35
   , 35 , 35 , 35 , 35 , 0};
DYMOLA_STATIC double QJacobianCD_[40]={0  , 44 , 50 , 66 , 70 , 72 , 72 , 110 , 99
   , 132 , 91 , 84 , 75 , 64 , 51 , 36 , 19 , 0 , 210 , -22 , -46 , -72 , -100
   , 286 , -135 , -168 , -203 , -60 , -248 , -32 , 363 , -68 , -315 , 396 , -370
   , -418 , 429 , 400 , 451 , 42};
#include <dsblock1.c>

/* Define variable names. */

#define Sections_

TranslatedEquations

InitialSection
W_[13] = 3;
W_[23] = 3;
W_[62] = 3;
W_[74] = 3;
W_[122] = 3;
W_[135] = 3;
W_[183] = 3;
W_[257] = 3;
W_[273] = 3;
W_[293] = 3;
W_[304] = 3;
W_[316] = 3;
W_[344] = 3;
W_[349] = 3;
W_[361] = 3;
W_[376] = 3;
W_[404] = 3;
W_[417] = 3;
W_[459] = 3;
W_[462] = 3;
W_[496] = 3;
W_[522] = 3;
W_[570] = 3;
W_[575] = 3;
W_[634] = 3;
W_[647] = 3;
W_[653] = 3;
W_[675] = 3;
W_[680] = 3;
W_[682] = 3;
W_[699] = 3;
W_[730] = 3;
W_[740] = 3;
W_[746] = 3;
W_[758] = 3;
W_[775] = 3;
W_[793] = 3;
W_[798] = 3;
W_[801] = 3;
W_[28] = true;
W_[29] = true;
W_[81] = true;
W_[83] = true;
W_[116] = true;
W_[142] = true;
W_[160] = true;
W_[181] = true;
W_[204] = true;
W_[239] = true;
W_[248] = true;
W_[274] = true;
W_[288] = true;
W_[299] = true;
W_[311] = true;
W_[329] = true;
W_[363] = true;
W_[395] = true;
W_[424] = true;
W_[507] = true;
W_[515] = true;
W_[535] = true;
W_[658] = true;
W_[707] = true;
W_[760] = true;
W_[549] = 0;
W_[542] = 0.0;
W_[194] = 0.025;
W_[195] = 0.001;
W_[132] = 0.1505;
W_[427] = 0.4;
W_[521] = 60;
W_[523] = -0.017;
W_[527] = 19.8;
W_[519] = 60;
W_[511] = 0.00352;
W_[509] = 0.00352;
W_[514] = 9;
W_[525] = -0.017;
W_[529] = 19.8;
W_[531] = 20.039;
W_[530] = 20.039;
W_[512] = 9;
W_[508] = 1;
W_[501] = 3.3;
W_[488] = 0.1;
W_[494] = 1;
W_[497] = 0.042;
W_[487] = 152;
W_[491] = 0.1;
W_[499] = 0.042;
W_[503] = 3.3;
W_[506] = 4;
W_[504] = 4;
W_[490] = 152;
W_[272] = 0.0007;
W_[242] = 139;
W_[244] = 1;
W_[262] = 6;
W_[243] = 1;
W_[250] = 0.3333;
W_[254] = 0.14;
W_[258] = 0.0785;
W_[267] = 2;
W_[270] = 0.0007;
W_[252] = 0.3333;
W_[256] = 0.14;
W_[260] = 0.0785;
W_[264] = 6;
W_[266] = 6;
W_[269] = 2;
W_[277] = 1;
W_[276] = 1;
W_[240] = 139;
W_[265] = 6;
W_[585] = 0.7;
W_[569] = 0.0005;
W_[581] = 0.21;
W_[586] = 0.3;
W_[597] = 0.5;
W_[545] = 3;
W_[600] = 1;
W_[579] = 3.159;
W_[554] = 1.24;
W_[580] = 6;
W_[538] = 8;
W_[547] = 8;
W_[544] = 3;
W_[548] = 1.24;
W_[550] = 0.0;
W_[567] = 0.0005;
W_[573] = 6;
W_[578] = 0.21;
W_[582] = 0.3;
W_[587] = 0.85;
W_[595] = 0.5;
W_[540] = 8;
W_[555] = 1;
W_[566] = 1;
W_[589] = 0.85;
W_[591] = 0.15;
W_[594] = 1;
W_[599] = 1;
W_[546] = 8;
W_[551] = 1;
W_[552] = 1;
W_[553] = 0.0;
W_[592] = 1;
W_[564] = 1;
W_[576] = 3.159;
W_[584] = 0.7;
W_[590] = 0.15;
W_[598] = 1;
W_[457] = 0.007;
W_[476] = 1.6283E-007;
W_[471] = 85;
W_[466] = 0.007;
W_[469] = 0.00047;
W_[456] = 0.007;
W_[460] = 0.4;
W_[468] = 0.00047;
W_[452] = 1.6379;
W_[475] = 1.6283E-007;
W_[454] = 1.6379;
W_[461] = 0.4;
W_[465] = 0.007;
W_[470] = 85;
W_[338] = 0.0212;
W_[343] = 0.2;
W_[366] = 0.0825;
W_[438] = 1;
W_[439] = 1;
W_[436] = 1;
W_[446] = 1;
W_[431] = 0.6;
W_[328] = 96.3;
W_[324] = 30.5;
W_[327] = 100;
W_[332] = 1;
W_[365] = 0.0825;
W_[384] = 1;
W_[386] = 0.0357;
W_[391] = 1;
W_[401] = 0.0048;
W_[336] = 0.0212;
W_[342] = 0.2;
W_[397] = 0.026;
W_[430] = 0.6;
W_[451] = 1.79;
W_[318] = 30.5;
W_[325] = 96.3;
W_[368] = 1;
W_[428] = 1;
W_[354] = 0.00355;
W_[371] = 0.1;
W_[412] = 0.005;
W_[421] = 2.738;
W_[330] = 100;
W_[331] = 1.79;
W_[387] = 1;
W_[388] = 0.0357;
W_[393] = 1;
W_[398] = 0.026;
W_[402] = 0.0048;
W_[403] = 0.30625;
W_[414] = 0.005;
W_[416] = 0.1;
W_[423] = 2.738;
W_[435] = 1;
W_[335] = 1;
W_[348] = 17;
W_[341] = 17;
W_[353] = 0.495;
W_[355] = 0.00355;
W_[373] = 0.1;
W_[375] = 0.4;
W_[383] = 20;
W_[347] = 17;
W_[351] = 0.495;
W_[374] = 0.4;
W_[432] = 0.6;
W_[433] = 1;
W_[434] = 0.4;
W_[415] = 0.1;
W_[450] = 0.30625;
W_[339] = 17;
W_[381] = 20;
W_[774] = 0.0028;
W_[803] = 0.5;
W_[805] = 1;
W_[780] = 0.00042;
W_[783] = 1;
W_[784] = 140;
W_[791] = 0.013;
W_[778] = 0.00014;
W_[796] = 0.01;
W_[802] = 0.5;
W_[779] = 0.00014;
W_[782] = 0.00042;
W_[786] = 140;
W_[789] = 2850;
W_[792] = 0.013;
W_[797] = 0.01;
W_[771] = 0.0028;
W_[787] = 2850;
W_[708] = 1;
W_[709] = 1;
W_[685] = 57600;
W_[687] = 57600;
W_[697] = 0.0025;
W_[692] = 1;
BreakSectionFunction(1);
W_[693] = 100;
W_[694] = 1;
W_[695] = 15;
W_[700] = 57600;
W_[701] = 57600;
W_[703] = 6;
W_[704] = 0.0025;
W_[705] = 100;
W_[706] = 15;
W_[702] = 6;
W_[613] = 1;
W_[614] = 0.5;
W_[615] = 1;
W_[616] = 40;
W_[617] = 2;
W_[618] = 32;
W_[605] = 0.5;
W_[611] = 2;
W_[612] = 40;
W_[606] = 1;
W_[601] = 1;
W_[610] = 32;
W_[149] = 1.5;
W_[213] = 2.5;
W_[211] = 6;
W_[177] = 5;
W_[187] = 0.8;
W_[186] = 1;
W_[221] = 1;
W_[212] = 2.5;
W_[147] = 1.5;
W_[158] = 51.66;
W_[216] = 1;
W_[167] = 0.00781;
W_[175] = 5;
W_[154] = 31.67;
W_[185] = 1;
W_[196] = 0.001;
W_[197] = 1;
W_[198] = 0.001;
W_[200] = 0.025;
W_[201] = 1;
W_[202] = 0.025;
W_[205] = 1000;
W_[170] = 0.125;
W_[146] = 1;
W_[152] = 1;
W_[199] = 0.001;
W_[203] = 0.025;
W_[207] = 1000;
W_[155] = 31.67;
W_[159] = 51.66;
W_[166] = 18;
W_[169] = 0.00781;
W_[172] = 0.125;
W_[174] = 0.0;
W_[180] = 1;
W_[189] = 0.8;
W_[144] = 1;
W_[164] = 18;
W_[173] = 0.0;
W_[150] = 1;
W_[178] = 1;
W_[209] = 6;
W_[123] = 1;
W_[127] = 1;
W_[96] = 1;
W_[97] = 60;
W_[104] = 0.15;
W_[77] = 2500;
W_[80] = 800;
W_[86] = -1;
W_[71] = 122;
W_[68] = 8;
W_[112] = 0.08;
W_[59] = 5;
W_[78] = 800;
W_[124] = 512;
W_[44] = 0.5;
W_[63] = 57.14;
W_[102] = 0.15;
W_[50] = 5;
W_[110] = 0.08;
W_[119] = 0.25;
W_[56] = 5;
W_[69] = 122;
W_[46] = 0.5;
W_[49] = 1;
W_[101] = 1;
W_[106] = 1;
W_[109] = 40;
W_[115] = 1;
W_[121] = 0.25;
W_[51] = 5;
W_[57] = 5;
W_[61] = 5;
W_[65] = 57.14;
W_[89] = 8.0001;
W_[91] = 512;
W_[95] = 1;
W_[98] = 60;
W_[66] = 8;
W_[75] = 2500;
W_[87] = 8.0001;
W_[93] = 1;
W_[105] = 1;
W_[107] = 40;
W_[47] = 1;
W_[85] = -1;
W_[100] = 1;
W_[113] = 1;
W_[292] = 1;
W_[303] = 1;
W_[315] = 1;
W_[284] = 0.06;
W_[296] = 0.1;
W_[281] = 40;
W_[308] = 0.3;
W_[282] = 0.06;
W_[291] = 1;
W_[302] = 1;
W_[314] = 1;
W_[294] = 0.1;
W_[306] = 0.3;
W_[287] = 1;
W_[298] = 0.0;
W_[310] = 0.0;
W_[279] = 40;
W_[285] = 1;
W_[297] = 0.0;
W_[309] = 0.0;
W_[42] = 168;
W_[35] = 512;
W_[15] = 57.14;
W_[24] = 0.00333;
W_[41] = 168;
W_[5] = 5;
W_[10] = 5;
W_[19] = 2688;
W_[7] = 5;
W_[12] = 5;
W_[14] = 57.14;
W_[20] = 2688;
W_[25] = 0.00333;
W_[33] = 8.0001;
W_[37] = 512;
W_[40] = 1;
W_[31] = 8.0001;
W_[38] = 1;
W_[633] = 0.0003;
W_[621] = 0.4667;
W_[624] = 0.55;
W_[631] = 0.0003;
W_[639] = 0.0003;
W_[642] = 0.000225;
W_[649] = 0.4;
W_[623] = 0.4667;
W_[626] = 0.55;
W_[638] = 11;
W_[641] = 0.0003;
W_[645] = 0.000225;
W_[650] = 0.4;
W_[636] = 11;
W_[667] = 8.25;
W_[668] = 4.64E-005;
W_[669] = 5.8E-006;
W_[651] = 5.8E-006;
W_[656] = 4.64E-005;
W_[661] = 0.333;
W_[665] = 100;
W_[676] = 0.00092;
W_[678] = 40;
W_[670] = 100;
W_[677] = 0.00092;
W_[671] = 1.5;
W_[672] = 0.333;
W_[679] = 40;
W_[666] = 8.25;
W_[662] = 1.5;
W_[233] = 8.25;
W_[234] = 4;
W_[235] = 0.01;
W_[236] = 0.009;
W_[230] = 4;
W_[232] = 0.01;
W_[225] = 8.25;
W_[227] = 0.009;
W_[712] = 57;
W_[729] = 0.1;
W_[713] = -5.9;
W_[725] = 0.4;
W_[727] = 0.1;
W_[738] = 0.25;
W_[733] = 0.013332;
W_[743] = 0.0005;
W_[763] = 0.004;
W_[767] = 0.25;
W_[753] = -0.7617;
W_[748] = -0.7617;
W_[754] = 7.617;
W_[756] = 0.3809;
W_[750] = 7.617;
W_[755] = 0.3809;
W_[710] = 57;
W_[715] = -5.9;
W_[718] = 24.2;
W_[726] = 0.4;
W_[737] = 0.013332;
W_[739] = 0.25;
W_[745] = 0.0005;
W_[765] = 7.8;
W_[766] = 0.004;
W_[768] = 0.25;
W_[764] = 7.8;
W_[716] = 24.2;
W_[139] = 0.5;
W_[138] = 0.301;
W_[137] = 33;
W_[128] = 0.5;
W_[130] = 0.5;
W_[131] = 0.301;
W_[141] = 33;
W_[133] = 0.1505;
BoundParameterSection
AssertModelica(DP_[5] >= DP_[6],"non_muscle_oxygen_delivery.limiter.uMax >= non_muscle_oxygen_delivery.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[5], true, 0)),") < uMin (="),Real2String2(DP_[6], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[7] >= DP_[8],"non_muscle_oxygen_delivery.limiter1.uMax >= non_muscle_oxygen_delivery.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[7], true, 0)),") < uMin (="),Real2String2(DP_[8], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[14] >= DP_[15],"muscle_blood_flow_control_and_PO2_1.limiter.uMax >= muscle_blood_flow_control_and_PO2_1.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[14], true, 0)),") < uMin (="),Real2String2(DP_[15], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[16] >= DP_[17],"muscle_blood_flow_control_and_PO2_1.limiter1.uMax >= muscle_blood_flow_control_and_PO2_1.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[16], true, 0)),") < uMin (="),Real2String2(DP_[17], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[20] >= DP_[21],"muscle_blood_flow_control_and_PO2_1.limiter2.uMax >= muscle_blood_flow_control_and_PO2_1.limiter2.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[20], true, 0)),") < uMin (="),Real2String2(DP_[21], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[26] >= DP_[27],"kidney_dynamics_and_excretion.limiter.uMax >= kidney_dynamics_and_excretion.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[26], true, 0)),") < uMin (="),Real2String2(DP_[27], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[28] >= DP_[29],"kidney_dynamics_and_excretion.limiter1.uMax >= kidney_dynamics_and_excretion.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[28], true, 0)),") < uMin (="),Real2String2(DP_[29], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[30] >= DP_[31],"kidney_dynamics_and_excretion.limiter2.uMax >= kidney_dynamics_and_excretion.limiter2.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[30], true, 0)),") < uMin (="),Real2String2(DP_[31], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[34] >= DP_[35],"kidney_dynamics_and_excretion.limiter3.uMax >= kidney_dynamics_and_excretion.limiter3.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[34], true, 0)),") < uMin (="),Real2String2(DP_[35], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[36] >= DP_[37],"thirst_and_drinking.limiter.uMax >= thirst_and_drinking.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[36], true, 0)),") < uMin (="),Real2String2(DP_[37], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[38] >= DP_[39],"antidiuretic_hormone_control.limiter.uMax >= antidiuretic_hormone_control.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[38], true, 0)),") < uMin (="),Real2String2(DP_[39], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[44] >= DP_[45],"antidiuretic_hormone_control.limiter1.uMax >= antidiuretic_hormone_control.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[44], true, 0)),") < uMin (="),Real2String2(DP_[45], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[46] >= DP_[47],"non_muscle_local_blood_flow_control.limiter.uMax >= non_muscle_local_blood_flow_control.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[46], true, 0)),") < uMin (="),Real2String2(DP_[47], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[50] >= DP_[51],"non_muscle_local_blood_flow_control.limiter1.uMax >= non_muscle_local_blood_flow_control.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[50], true, 0)),") < uMin (="),Real2String2(DP_[51], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[54] >= DP_[55],"non_muscle_local_blood_flow_control.limiter2.uMax >= non_muscle_local_blood_flow_control.limiter2.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[54], true, 0)),") < uMin (="),Real2String2(DP_[55], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[58] >= DP_[59],"circulatory_dynamics.limiter.uMax >= circulatory_dynamics.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[58], true, 0)),") < uMin (="),Real2String2(DP_[59], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[66] >= DP_[67],"circulatory_dynamics.limiter1.uMax >= circulatory_dynamics.limiter1.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[66], true, 0)),") < uMin (="),Real2String2(DP_[67], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[118] >= DP_[119],"circulatory_dynamics.limiter2.uMax >= circulatory_dynamics.limiter2.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[118], true, 0)),") < uMin (="),Real2String2(DP_[119], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[170] >= DP_[171],"circulatory_dynamics.limiter3.uMax >= circulatory_dynamics.limiter3.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[170], true, 0)),") < uMin (="),Real2String2(DP_[171], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[180] >= DP_[181],"angiotensin_control.limiter.uMax >= angiotensin_control.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[180], true, 0)),") < uMin (="),Real2String2(DP_[181], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[182] >= DP_[183],"aldosterone_control.limiter.uMax >= aldosterone_control.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[182], true, 0)),") < uMin (="),Real2String2(DP_[183], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[198] >= DP_[199],"autonomic_control.limiter.uMax >= autonomic_control.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[198], true, 0)),") < uMin (="),Real2String2(DP_[199], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[212] >= DP_[213],"red_cells_and_viscosity.limiter.uMax >= red_cells_and_viscosity.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[212], true, 0)),") < uMin (="),Real2String2(DP_[213], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[224] >= DP_[225],"heart_hypertrophy_or_deterioration.limiter.uMax >= heart_hypertrophy_or_deterioration.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[224], true, 0)),") < uMin (="),Real2String2(DP_[225], true, 0)),
  ")"));;
PopAllMarks();
AssertModelica(DP_[236] >= DP_[237],"tissue_fluids_pressures_and_gel.limiter.uMax >= tissue_fluids_pressures_and_gel.limiter.uMin",
   StringAdd(StringAdd(StringAdd(StringAdd("Limiter: Limits must be consistent. However, uMax (=",
  Real2String2(DP_[236], true, 0)),") < uMin (="),Real2String2(DP_[237], true, 0)),
  ")"));;
PopAllMarks();
W_[635] = 2-divmacro(0.15,"0.15",DP_[207],"pulmonary_dynamics_and_fluids.pPI.u");
InitialSection
#ifdef DynSimStruct
W_[217] = 1.2;
#endif
InitialSection2
X_[0] = DP_[1];
X_[1] = DP_[3];
X_[2] = DP_[11];
X_[3] = DP_[13];
X_[4] = DP_[23];
X_[5] = DP_[25];
X_[6] = DP_[33];
X_[7] = DP_[41];
X_[8] = DP_[43];
X_[9] = DP_[49];
X_[10] = DP_[53];
X_[11] = DP_[57];
X_[12] = DP_[61];
X_[13] = DP_[63];
X_[14] = DP_[65];
X_[15] = DP_[83];
X_[16] = DP_[121];
X_[17] = DP_[169];
X_[18] = DP_[173];
X_[19] = DP_[175];
X_[20] = DP_[179];
X_[21] = DP_[185];
X_[22] = DP_[202];
X_[23] = DP_[204];
X_[24] = DP_[206];
X_[25] = DP_[209];
X_[26] = DP_[211];
X_[27] = DP_[215];
X_[28] = DP_[217];
X_[29] = DP_[219];
X_[30] = DP_[223];
X_[31] = DP_[227];
X_[32] = DP_[230];
X_[33] = DP_[232];
X_[34] = DP_[234];
X_[35] = DP_[239];
X_[36] = DP_[241];
X_[37] = DP_[243];
X_[38] = DP_[245];
InitialSection
DefaultSection
InitializeData(0)
InitialSection
Aux_[0] = W_[559];
Aux_[1] = W_[557];
Aux_[2] = W_[561];
InitialSection
InitialSection2
W_[559] = Aux_[0];
W_[557] = Aux_[1];
W_[561] = Aux_[2];
X_[29] = DP_[219];
X_[5] = DP_[25];
X_[28] = DP_[217];
X_[30] = DP_[223];
X_[22] = DP_[202];
X_[4] = DP_[23];
X_[2] = DP_[11];
X_[3] = DP_[13];
X_[11] = DP_[57];
X_[9] = DP_[49];
X_[10] = DP_[53];
X_[32] = DP_[230];
X_[31] = DP_[227];
X_[37] = DP_[243];
X_[8] = DP_[43];
X_[7] = DP_[41];
X_[6] = DP_[33];
X_[38] = DP_[245];
X_[20] = DP_[179];
BreakSectionFunction(2);
X_[21] = DP_[185];
X_[35] = DP_[239];
X_[36] = DP_[241];
X_[34] = DP_[234];
X_[18] = DP_[173];
X_[26] = DP_[211];
X_[27] = DP_[215];
X_[12] = DP_[61];
X_[33] = DP_[232];
X_[25] = DP_[209];
X_[19] = DP_[175];
X_[15] = DP_[83];
X_[24] = DP_[206];
X_[0] = DP_[1];
X_[1] = DP_[3];
X_[23] = DP_[204];
X_[13] = DP_[63];
X_[14] = DP_[65];
X_[17] = DP_[169];
X_[16] = DP_[121];
InitialSection
Init=false;InitializeData(2);Init=true;
EndInitialSection

OutputSection

DynamicsSection
W_[400] = X_[16]-0.30625;
W_[449] = 208.333333333333*W_[400];
W_[690] = 0.0666666666666667*W_[449];
W_[691] = powmacro(W_[690],"heart_hypertrophy_or_deterioration.y_0_625_2.u1",
  DP_[221],"heart_hypertrophy_or_deterioration.y_0_625_2.x");
W_[686] = W_[691]-X_[29];
W_[683] = 1.73611111111111E-005*W_[686];
F_[29] = DP_[218]*W_[683];
W_[577] = 0.21*X_[23];
W_[442] = 3.159-W_[577];
W_[140] = X_[14]-W_[442];
W_[129] = 0.5*W_[140];
W_[134] = W_[129]-X_[5]-0.1505;
W_[136] = 0.0303030303030303*W_[134];
F_[5] = DP_[24]*W_[136];
W_[352] = X_[13]-0.495;
W_[532] = 281.69014084507*W_[352];
W_[688] = 0.01*W_[532];
W_[689] = powmacro(W_[688],"heart_hypertrophy_or_deterioration.y_0_625_1.u1",
  DP_[220],"heart_hypertrophy_or_deterioration.y_0_625_1.x");
W_[684] = W_[689]-X_[28];
W_[681] = 1.73611111111111E-005*W_[684];
F_[28] = DP_[216]*W_[681];
W_[26] = 0.00333*X_[1];
W_[696] = W_[26]-6;
W_[698] = 0.0025*W_[696];
F_[30] = DP_[222]*W_[698];
W_[536] = IF GreaterS(W_[26],"non_muscle_oxygen_delivery.POT", DP_[198],
  "autonomic_control.limiter.uMax", 0) THEN DP_[198] ELSE IF LessS(W_[26],
  "non_muscle_oxygen_delivery.POT", DP_[199],"autonomic_control.limiter.uMin", 1)
   THEN DP_[199] ELSE W_[26];
W_[537] = W_[536]*W_[532];
W_[539] = 0.125*W_[537];
W_[76] = 2500-X_[3];
W_[79] = divmacro(800,"800",W_[76],"muscle_blood_flow_control_and_PO2_1.sumNP1.y");
W_[125] = IF GreaterS(W_[79],"muscle_blood_flow_control_and_PO2_1.division1.y", 
  DP_[16],"muscle_blood_flow_control_and_PO2_1.limiter1.uMax", 2) THEN DP_[16]
   ELSE IF LessS(W_[79],"muscle_blood_flow_control_and_PO2_1.division1.y", 
  DP_[17],"muscle_blood_flow_control_and_PO2_1.limiter1.uMin", 3) THEN DP_[17]
   ELSE W_[79];
W_[543] = 8-W_[125];
W_[541] = 3*W_[543];
W_[556] = W_[539]-W_[541];
W_[558] = W_[556];
W_[559] = PRE(W_[559], 0);
  beginwhenBlock
  whenModelicaOld(LessEqual(W_[558],"autonomic_control.aUB_300_1.u1", 40,"40", 4),
     0) 
    W_[559] = 1.85718;
  endwhenModelica()
  whenModelicaOld(Less(40,"40", W_[558],"autonomic_control.aUB_300_1.u1", 5)
     AND Less(W_[558],"autonomic_control.aUB_300_1.u1", 170,"170", 6), 1) 
    W_[559] = 0.014286*(170-W_[558]);
  endwhenModelica()
  whenModelicaOld(GreaterEqual(W_[558],"autonomic_control.aUB_300_1.u1", 170,
    "170", 7), 2) 
    W_[559] = 0;
  endwhenModelica()
  endwhenBlock
W_[562] = powmacro(W_[559],"autonomic_control.aUB_300_1.y",DP_[200],
  "autonomic_control.u_3_1.x");
W_[563] = W_[562]-X_[22];
W_[565] = W_[563]-1;
W_[568] = 0.0005*W_[565];
F_[22] = DP_[201]*W_[568];
W_[64] = 57.14*X_[2];
W_[108] = W_[64]-40;
W_[111] = 0.08*W_[108];
W_[114] = 1+W_[111];
W_[117] = IF GreaterS(W_[114],"muscle_blood_flow_control_and_PO2_1.sumPP1.y", 
  DP_[20],"muscle_blood_flow_control_and_PO2_1.limiter2.uMax", 8) THEN DP_[20]
   ELSE IF LessS(W_[114],"muscle_blood_flow_control_and_PO2_1.sumPP1.y", DP_[21],
  "muscle_blood_flow_control_and_PO2_1.limiter2.uMin", 9) THEN DP_[21] ELSE 
  W_[114];
W_[118] = W_[117]-X_[4];
W_[120] = 4.0*W_[118];
F_[4] = DP_[22]*W_[120];
W_[45] = 0.5*X_[24];
W_[48] = 1-W_[45];
W_[444] = X_[26]+X_[18];
W_[664] = divmacro(X_[26],"red_cells_and_viscosity.integrator.y",W_[444],
  "circulatory_dynamics.VB");
W_[8] = 100*W_[664];
W_[0] = 5.0*W_[48]*W_[8];
W_[362] = W_[140]-X_[5];
W_[364] = IF GreaterS(W_[362],"circulatory_dynamics.sumNP3.y", DP_[66],
  "circulatory_dynamics.limiter1.uMax", 10) THEN DP_[66] ELSE IF LessS(W_[362],
  "circulatory_dynamics.sumNP3.y", DP_[67],"circulatory_dynamics.limiter1.uMin",
   11) THEN DP_[67] ELSE W_[362];
W_[367] = 12.1212121212121*W_[364];
W_[356] = W_[532]-W_[367];
W_[663] = 0.00092*X_[27];
W_[660] = 1.5+W_[663];
W_[219] = 0.333*W_[660];
W_[498] = 0.042*X_[20];
W_[500] = powmacro(10,"10",W_[498],"angiotensin_control.multiplication3.y");
W_[502] = divmacro(3.3,"3.3",W_[500],"angiotensin_control._10_u.y");
W_[505] = 4-W_[502];
W_[440] = IF GreaterS(W_[505],"angiotensin_control.sumNP1.y", DP_[180],
  "angiotensin_control.limiter.uMax", 12) THEN DP_[180] ELSE IF LessS(W_[505],
  "angiotensin_control.sumNP1.y", DP_[181],"angiotensin_control.limiter.uMin", 13)
   THEN DP_[181] ELSE W_[505];
W_[320] = IF GreaterS(W_[440],"circulatory_dynamics.ANM", DP_[58],
  "circulatory_dynamics.limiter.uMax", 14) THEN DP_[58] ELSE IF LessS(W_[440],
  "circulatory_dynamics.ANM", DP_[59],"circulatory_dynamics.limiter.uMin", 15)
   THEN DP_[59] ELSE W_[440];
W_[321] = divmacro(100,"100",W_[532],"aldosterone_control.aMP_164_1.u");
W_[588] = 0.85*X_[23];
W_[218] = 0.15+W_[588];
W_[326] = 96.3*W_[219]*X_[4]*W_[320]*W_[321]*W_[218];
W_[126] = divmacro(W_[356],"circulatory_dynamics.sumPN1.y",W_[326],
  "circulatory_dynamics.multiplication6_2.y");
W_[52] = W_[0]*W_[126];
W_[67] = W_[64]-8;
W_[82] = IF GreaterS(W_[79],"muscle_blood_flow_control_and_PO2_1.division1.y", 
  DP_[14],"muscle_blood_flow_control_and_PO2_1.limiter.uMax", 16) THEN DP_[14]
   ELSE IF LessS(W_[79],"muscle_blood_flow_control_and_PO2_1.division1.y", 
  DP_[15],"muscle_blood_flow_control_and_PO2_1.limiter.uMin", 17) THEN DP_[15]
   ELSE W_[79];
W_[84] = powmacro(W_[82],"muscle_blood_flow_control_and_PO2_1.limiter.y",DP_[18],
  "muscle_blood_flow_control_and_PO2_1.u_2_1.x");
W_[70] = 1+W_[84];
W_[53] = divmacro(122*W_[67],"122*muscle_blood_flow_control_and_PO2_1.sumNP.y",
  W_[70],"muscle_blood_flow_control_and_PO2_1.product_MMD.u3");
W_[54] = W_[52]-W_[53];
W_[55] = divmacro(divmacro(0.2*W_[54],"0.2*muscle_blood_flow_control_and_PO2_1.sumPN1.y",
  W_[126],"muscle_blood_flow_control_and_PO2_1.BFM"),"0.2*muscle_blood_flow_control_and_PO2_1.sumPN1.y/muscle_blood_flow_control_and_PO2_1.BFM",
  W_[8],"non_muscle_oxygen_delivery.HM");
W_[58] = W_[55]-X_[2];
W_[60] = 0.2*W_[58];
F_[2] = DP_[10]*W_[60];
W_[103] = X_[23]-1;
W_[99] = 0.15*W_[103];
W_[43] = 1+W_[99];
W_[88] = 8.0001-W_[125];
W_[90] = powmacro(W_[88],"muscle_blood_flow_control_and_PO2_1.sumNP2.y",DP_[19],
  "muscle_blood_flow_control_and_PO2_1.u_3_1.x");
W_[92] = 0.001953125*W_[90];
W_[94] = 1-W_[92];
W_[72] = 60.0*W_[43]*W_[94];
W_[73] = W_[53]-W_[72];
F_[3] = DP_[12]*W_[73];
W_[17] = 57.14*X_[0];
W_[280] = W_[17]-40;
W_[305] = IF Less(W_[280],"non_muscle_local_blood_flow_control.sumNP.y", 0,"0", 18)
   THEN 0.33*W_[280] ELSE W_[280];
W_[307] = 0.3*W_[305];
W_[312] = IF GreaterS(W_[307],"non_muscle_local_blood_flow_control.multiplication1.y",
   DP_[54],"non_muscle_local_blood_flow_control.limiter2.uMax", 19) THEN DP_[54]
   ELSE IF LessS(W_[307],"non_muscle_local_blood_flow_control.multiplication1.y",
   DP_[55],"non_muscle_local_blood_flow_control.limiter2.uMin", 20) THEN DP_[55]
   ELSE W_[307];
W_[313] = W_[312]-X_[11];
F_[11] = DP_[56]*W_[313];
W_[283] = 0.06*W_[280];
W_[286] = 1+W_[283];
W_[289] = IF GreaterS(W_[286],"non_muscle_local_blood_flow_control.sumPP.y", 
  DP_[46],"non_muscle_local_blood_flow_control.limiter.uMax", 21) THEN DP_[46]
   ELSE IF LessS(W_[286],"non_muscle_local_blood_flow_control.sumPP.y", DP_[47],
  "non_muscle_local_blood_flow_control.limiter.uMin", 22) THEN DP_[47] ELSE 
  W_[286];
W_[290] = W_[289]-X_[9];
F_[9] = DP_[48]*W_[290];
W_[295] = 0.1*W_[280];
W_[300] = IF GreaterS(W_[295],"non_muscle_local_blood_flow_control.multiplication.y",
   DP_[50],"non_muscle_local_blood_flow_control.limiter1.uMax", 23) THEN DP_[50]
   ELSE IF LessS(W_[295],"non_muscle_local_blood_flow_control.multiplication.y",
   DP_[51],"non_muscle_local_blood_flow_control.limiter1.uMin", 24) THEN DP_[51]
   ELSE W_[295];
W_[301] = W_[300]-X_[10];
F_[10] = DP_[52]*W_[301];
W_[731] = X_[34]-X_[31];
W_[482] = divmacro(X_[33],"tissue_fluids_pressures_and_gel.integrator2.y",
  W_[731],"tissue_fluids_pressures_and_gel.sumPN.y");
W_[732] = divmacro(X_[32],"tissue_fluids_pressures_and_gel.integrator1.y",X_[31],
  "tissue_fluids_pressures_and_gel.integrator.y");
W_[711] = divmacro(57,"57",X_[31],"tissue_fluids_pressures_and_gel.integrator.y");
W_[735] = powmacro(W_[711],"tissue_fluids_pressures_and_gel.product_DM.y",
  DP_[228],"tissue_fluids_pressures_and_gel.u_2_1.x");
W_[734] = 0.013332*W_[732]*W_[735];
W_[736] = W_[732]+W_[734];
W_[744] = W_[482]-W_[736];
W_[742] = W_[744]*X_[31];
W_[741] = 0.0005*W_[742];
F_[32] = DP_[229]*W_[741];
W_[723] = 0.4*W_[711];
W_[724] = 0.25*W_[736];
W_[721] = W_[723]+W_[724];
W_[480] = 0.25*W_[482];
W_[757] = powmacro(0.0833333333333333*X_[34],"0.0833333333333333*tissue_fluids_pressures_and_gel.integrator3.y",
  DP_[235],"tissue_fluids_pressures_and_gel.value_u_2_1.x");
W_[749] = (-0.7617)*W_[731];
W_[751] = 7.617+W_[749];
W_[752] = 0.3809+W_[731];
W_[719] = divmacro(W_[751],"tissue_fluids_pressures_and_gel.pTS_87_1.sumPP.y",
  W_[752],"tissue_fluids_pressures_and_gel.pTS_87_1.division.u2");
W_[481] = W_[757]-W_[719];
W_[714] = (-5.9)*W_[711];
W_[717] = 24.2+W_[714];
W_[720] = W_[481]+W_[719]+W_[717];
W_[722] = W_[721]-W_[480]+W_[481]-W_[720];
W_[728] = 0.1*W_[722];
F_[31] = DP_[226]*W_[728];
W_[794] = divmacro(X_[36],"electrolytes_and_cell_water.integrator1.y",X_[37],
  "electrolytes_and_cell_water.integrator2.y");
W_[776] = X_[24]+X_[18]+X_[34];
W_[278] = divmacro(X_[38],"electrolytes_and_cell_water.integrator3.y",W_[776],
  "electrolytes_and_cell_water.division.u2");
W_[795] = W_[794]-W_[278];
W_[769] = 0.01*W_[795];
F_[37] = DP_[242]*W_[769];
W_[413] = X_[17]-0.1;
W_[410] = 200.0*W_[413];
W_[268] = 2*W_[410];
W_[245] = W_[268]-X_[8];
W_[271] = 0.0007*W_[245];
F_[8] = DP_[42]*W_[271];
W_[241] = W_[278]-139;
W_[275] = X_[23]-1;
W_[246] = IF GreaterS(W_[275],"antidiuretic_hormone_control.limiter1.u", DP_[44],
  "antidiuretic_hormone_control.limiter1.uMax", 25) THEN DP_[44] ELSE IF LessS(
  W_[275],"antidiuretic_hormone_control.limiter1.u", DP_[45],"antidiuretic_hormone_control.limiter1.uMin",
   26) THEN DP_[45] ELSE W_[275];
W_[247] = W_[241]-W_[245]+W_[246];
W_[249] = IF GreaterS(W_[247],"antidiuretic_hormone_control.sumPNP.y", DP_[38],
  "antidiuretic_hormone_control.limiter.uMax", 27) THEN DP_[38] ELSE IF LessS(
  W_[247],"antidiuretic_hormone_control.sumPNP.y", DP_[39],"antidiuretic_hormone_control.limiter.uMin",
   28) THEN DP_[39] ELSE W_[247];
W_[251] = 0.3333*W_[249];
W_[253] = W_[251]-X_[7];
W_[255] = 0.14*W_[253];
F_[7] = DP_[40]*W_[255];
W_[143] = IF GreaterS(W_[218],"kidney_dynamics_and_excretion.AUM", DP_[26],
  "kidney_dynamics_and_excretion.limiter.uMax", 29) THEN DP_[26] ELSE IF LessS(
  W_[218],"kidney_dynamics_and_excretion.AUM", DP_[27],"kidney_dynamics_and_excretion.limiter.uMin",
   30) THEN DP_[27] ELSE W_[218];
W_[145] = W_[143]-1;
W_[148] = 1.5*W_[145];
W_[151] = 1+W_[148];
W_[153] = 31.67*W_[219]*W_[151]*X_[6];
W_[156] = 51.66*W_[219];
W_[157] = W_[153]+W_[156];
W_[161] = IF GreaterS(W_[157],"kidney_dynamics_and_excretion.sumPP1.y", DP_[28],
  "kidney_dynamics_and_excretion.limiter1.uMax", 31) THEN DP_[28] ELSE IF LessS(
  W_[157],"kidney_dynamics_and_excretion.sumPP1.y", DP_[29],"kidney_dynamics_and_excretion.limiter1.uMin",
   32) THEN DP_[29] ELSE W_[157];
W_[217] = divmacro(W_[532],"aldosterone_control.aMP_164_1.u",W_[161],
  "kidney_dynamics_and_excretion.limiter1.y");
W_[162] = W_[217]*W_[153];
W_[163] = W_[532]-W_[162];
W_[486] = divmacro(X_[19],"capillary_membrane_dynamics.integrator1.y",X_[18],
  "capillary_membrane_dynamics.integrator.y");
W_[220] = 0.4*W_[486];
W_[165] = W_[163]-W_[220]-18;
W_[168] = 0.00781*W_[165];
W_[171] = 8.0*W_[168];
W_[176] = 5*W_[171];
W_[179] = 1+W_[176];
W_[182] = IF GreaterS(W_[179],"kidney_dynamics_and_excretion.sumPP2.y", DP_[30],
  "kidney_dynamics_and_excretion.limiter2.uMax", 33) THEN DP_[30] ELSE IF LessS(
  W_[179],"kidney_dynamics_and_excretion.sumPP2.y", DP_[31],"kidney_dynamics_and_excretion.limiter2.uMin",
   34) THEN DP_[31] ELSE W_[179];
W_[184] = W_[182]-X_[6];
F_[6] = DP_[32]*W_[184];
W_[226] = 8.25-W_[26];
W_[237] = 4*W_[226];
W_[799] = 0.5*W_[237];
W_[188] = 0.8*W_[168];
W_[259] = 0.0785*X_[7];
W_[261] = powmacro(10,"10",W_[259],"antidiuretic_hormone_control.multiplication3.y");
W_[263] = divmacro(6,"6",W_[261],"antidiuretic_hormone_control._10_u.y");
W_[222] = 6-W_[263];
W_[524] = (-0.017)*X_[21];
W_[526] = powmacro(10,"10",W_[524],"aldosterone_control.multiplication.y");
W_[528] = 19.8*W_[526];
W_[224] = 20.039-W_[528];
W_[193] = 0.001*W_[222]*W_[224];
W_[192] = 0.025-W_[193];
W_[190] = W_[188]+W_[192];
W_[191] = W_[168]-W_[190];
W_[215] = IF GreaterS(W_[191],"kidney_dynamics_and_excretion.sumPN2.y", DP_[34],
  "kidney_dynamics_and_excretion.limiter3.uMax", 35) THEN DP_[34] ELSE IF LessS(
  W_[191],"kidney_dynamics_and_excretion.sumPN2.y", DP_[35],"kidney_dynamics_and_excretion.limiter3.uMin",
   36) THEN DP_[35] ELSE W_[191];
W_[206] = 1000*W_[215];
W_[223] = 152-W_[278];
W_[210] = 0.4*W_[223];
W_[208] = 6+W_[210];
W_[214] = divmacro(divmacro(W_[206],"kidney_dynamics_and_excretion.multiplication9.y",
  W_[224],"kidney_dynamics_and_excretion.AM"),"kidney_dynamics_and_excretion.multiplication9.y/kidney_dynamics_and_excretion.AM",
  W_[208],"kidney_dynamics_and_excretion.product_DMD.u3");
W_[800] = W_[799]-W_[214];
F_[38] = DP_[244]*W_[800];
W_[489] = 0.1*W_[223];
W_[492] = powmacro(divmacro(1.2,"1.2",W_[217],"kidney_dynamics_and_excretion.RBF"),
  "1.2/kidney_dynamics_and_excretion.RBF",DP_[177],"angiotensin_control.xu_3_1.x");
W_[493] = W_[489]*W_[492];
W_[495] = W_[493]-X_[20];
F_[20] = DP_[178]*W_[495];
  W_[533] = (PushModelContext(1,"Guyton_1972.Library.Splines.Spline(aldosterone_control.aMP_164_1.u, aldosterone_control.aMP_164_1.x, aldosterone_control.aMP_164_1.yValues)")
    Guytonx_01972_Library_Splines_Spline(W_[532], RealTemporaryDense( &DP_[186],
     2, 1, 6), RealTemporaryDense( &DP_[192], 2, 1, 6)));
  PopAllMarks();
W_[534] = divmacro(X_[35],"electrolytes_and_cell_water.integrator.y",W_[776],
  "electrolytes_and_cell_water.division.u2");
W_[510] = divmacro(284.090909090909*W_[534],"284.090909090909*aldosterone_control.CKE",
  W_[278],"antidiuretic_hormone_control.CNA");
W_[513] = W_[510]-9;
W_[516] = IF GreaterS(W_[513],"aldosterone_control.sumPN.y", DP_[182],
  "aldosterone_control.limiter.uMax", 37) THEN DP_[182] ELSE IF LessS(W_[513],
  "aldosterone_control.sumPN.y", DP_[183],"aldosterone_control.limiter.uMin", 38)
   THEN DP_[183] ELSE W_[513];
W_[517] = W_[533]*W_[440]*W_[516];
W_[518] = W_[517]-X_[21];
W_[520] = 0.0166666666666667*W_[518];
F_[21] = DP_[184]*W_[520];
W_[785] = 140*W_[534];
W_[788] = 2850+W_[785];
W_[790] = W_[788]-X_[36];
W_[770] = 0.013*W_[790];
W_[777] = 0.00014*W_[534]*W_[224];
W_[781] = 0.00042*W_[534];
W_[772] = W_[777]+W_[781];
W_[773] = 0.0028-(W_[770]+W_[772]);
F_[35] = DP_[238]*W_[773];
F_[36] = DP_[240]*W_[770];
W_[340] = 0.2*X_[12];
W_[337] = 17+W_[340];
W_[333] = 0.0212*W_[337];
BreakSectionFunction(3);
W_[334] = divmacro(1,"1",W_[333],"circulatory_dynamics.division1.u2");
W_[593] = W_[218]-1;
W_[596] = 0.5*W_[593];
W_[441] = 1+W_[596];
W_[448] = W_[334]*W_[219]*W_[441];
W_[322] = 1.79*W_[448];
W_[317] = X_[10]*X_[9]*X_[11];
W_[319] = 30.5*W_[219]*W_[317]*W_[320]*W_[321]*W_[218];
W_[323] = W_[322]+W_[319];
W_[2] = divmacro(W_[356],"circulatory_dynamics.sumPN1.y",W_[323],
  "circulatory_dynamics.sumPP.y");
W_[453] = 1.6379*W_[448]*W_[2];
W_[443] = W_[453]+W_[367];
W_[455] = W_[480]-W_[481]+W_[443]-W_[220];
W_[485] = 0.007*W_[455];
W_[762] = 7.8+W_[481]-W_[757];
W_[761] = 0.004*W_[762];
W_[478] = IF GreaterS(W_[761],"tissue_fluids_pressures_and_gel.limiter.u", 
  DP_[236],"tissue_fluids_pressures_and_gel.limiter.uMax", 39) THEN DP_[236]
   ELSE IF LessS(W_[761],"tissue_fluids_pressures_and_gel.limiter.u", DP_[237],
  "tissue_fluids_pressures_and_gel.limiter.uMin", 40) THEN DP_[237] ELSE W_[761];
W_[759] = W_[485]-W_[478]-W_[769];
F_[34] = DP_[233]*W_[759];
W_[372] = X_[15]-0.4;
W_[379] = 10.0*W_[372];
W_[625] = 0.55*W_[379];
W_[622] = 0.4667*W_[449];
W_[627] = W_[625]+W_[622];
W_[648] = divmacro(X_[25],"pulmonary_dynamics_and_fluids.integrator1.y",X_[24],
  "pulmonary_dynamics_and_fluids.integrator.y");
W_[628] = 0.4*W_[648];
W_[630] = 2-divmacro(0.15,"0.15",X_[24],"pulmonary_dynamics_and_fluids.integrator.y");
W_[629] = W_[627]-W_[220]+W_[628]-W_[630];
W_[632] = 0.0003*W_[629];
W_[637] = 11+W_[630];
W_[640] = 0.0003*W_[637];
W_[479] = W_[632]-W_[640];
W_[228] = 0.01*W_[222];
W_[229] = W_[228]-0.009;
W_[231] = W_[229]*W_[237];
W_[238] = IF GreaterS(W_[231],"thirst_and_drinking.multiplication1.y", DP_[36],
  "thirst_and_drinking.limiter.uMax", 41) THEN DP_[36] ELSE IF LessS(W_[231],
  "thirst_and_drinking.multiplication1.y", DP_[37],"thirst_and_drinking.limiter.uMin",
   42) THEN DP_[37] ELSE W_[231];
W_[458] = W_[478]-W_[479]-W_[215]-W_[485]+W_[238];
F_[18] = DP_[172]*W_[458];
W_[659] = 8.25-W_[26];
W_[655] = IF GreaterS(W_[659],"red_cells_and_viscosity.limiter.u", DP_[212],
  "red_cells_and_viscosity.limiter.uMax", 43) THEN DP_[212] ELSE IF LessS(
  W_[659],"red_cells_and_viscosity.limiter.u", DP_[213],"red_cells_and_viscosity.limiter.uMin",
   44) THEN DP_[213] ELSE W_[659];
W_[657] = 4.64E-005*W_[655];
W_[652] = 5.8E-006*X_[26];
W_[654] = W_[657]-W_[652];
F_[26] = DP_[210]*W_[654];
W_[673] = 0.025*X_[27];
W_[674] = W_[8]-W_[673];
F_[27] = DP_[214]*W_[674];
W_[346] = W_[443]-17;
W_[345] = W_[346]-X_[12];
F_[12] = DP_[60]*W_[345];
W_[474] = powmacro(W_[443],"circulatory_dynamics.PC",DP_[176],"capillary_membrane_dynamics.u_3_1.x");
W_[472] = 1.6283E-007*W_[474];
W_[473] = W_[486]-W_[482];
W_[477] = W_[472]*W_[473];
W_[484] = W_[482]*W_[761];
W_[747] = W_[477]-W_[484]-W_[741];
F_[33] = DP_[231]*W_[747];
W_[643] = W_[486]-W_[648];
W_[644] = 0.000225*W_[643];
W_[646] = W_[648]*W_[640];
W_[483] = W_[644]-W_[646];
F_[25] = DP_[208]*W_[483];
W_[467] = 85-W_[486];
W_[464] = 0.00047*W_[467];
W_[463] = W_[464]-W_[483]+W_[484]-W_[477]-0.007;
F_[19] = DP_[174]*W_[463];
W_[399] = W_[449]-W_[379];
W_[396] = 0.026*W_[449];
W_[394] = IF GreaterS(W_[396],"circulatory_dynamics.limiter2.u", DP_[118],
  "circulatory_dynamics.limiter2.uMax", 45) THEN DP_[118] ELSE IF LessS(W_[396],
  "circulatory_dynamics.limiter2.u", DP_[119],"circulatory_dynamics.limiter2.uMin",
   46) THEN DP_[119] ELSE W_[396];
W_[392] = sqrtGuarded(W_[394],"circulatory_dynamics.sqrt1.u");
W_[389] = divmacro(1,"1",W_[392],"circulatory_dynamics.division4.u2");
W_[382] = 20+W_[379];
W_[385] = divmacro(28.0112044817927,"28.0112044817927",W_[382],"circulatory_dynamics.sumPP2.y");
W_[390] = W_[389]+W_[385];
W_[378] = divmacro(W_[399],"circulatory_dynamics.product_DM4.u2",W_[390],
  "circulatory_dynamics.RPT.y");
W_[583] = 0.3*X_[23];
W_[437] = 0.7+W_[583];
W_[445] = IF GreaterS(X_[30],"heart_hypertrophy_or_deterioration.integrator2.y",
   DP_[224],"heart_hypertrophy_or_deterioration.limiter.uMax", 47) THEN DP_[224]
   ELSE IF LessS(X_[30],"heart_hypertrophy_or_deterioration.integrator2.y", 
  DP_[225],"heart_hypertrophy_or_deterioration.limiter.uMin", 48) THEN DP_[225]
   ELSE X_[30];
  W_[380] = (PushModelContext(1,"Guyton_1972.Library.Splines.Spline(circulatory_dynamics.qLN_28_1.u, circulatory_dynamics.qLN_28_1.x, circulatory_dynamics.qLN_28_1.yValues)")
    Guytonx_01972_Library_Splines_Spline(W_[379], RealTemporaryDense( &DP_[84], 2,
     1, 17), RealTemporaryDense( &DP_[101], 2, 1, 17)));
  PopAllMarks();
W_[369] = divmacro(W_[532],"aldosterone_control.aMP_164_1.u",W_[437],
  "circulatory_dynamics.AUH");
  W_[370] = (PushModelContext(1,"Guyton_1972.Library.Splines.Spline(circulatory_dynamics.lVM_59_1.u, circulatory_dynamics.lVM_59_1.x, circulatory_dynamics.lVM_59_1.yValues)")
    Guytonx_01972_Library_Splines_Spline(W_[369], RealTemporaryDense( &DP_[68], 2,
     1, 7), RealTemporaryDense( &DP_[75], 2, 1, 7)));
  PopAllMarks();
W_[447] = W_[437]*W_[445]*W_[380]*X_[28]*W_[370];
W_[377] = W_[378]-W_[447];
F_[15] = DP_[82]*W_[377];
F_[24] = DP_[205]*W_[479];
W_[1] = W_[0]*W_[2];
W_[16] = W_[17]-W_[26];
W_[27] = powmacro(W_[26],"non_muscle_oxygen_delivery.POT",DP_[4],
  "non_muscle_oxygen_delivery.u_3_1.x");
W_[18] = IF GreaterS(W_[27],"non_muscle_oxygen_delivery.u_3_1.y", DP_[5],
  "non_muscle_oxygen_delivery.limiter.uMax", 49) THEN DP_[5] ELSE IF LessS(
  W_[27],"non_muscle_oxygen_delivery.u_3_1.y", DP_[6],"non_muscle_oxygen_delivery.limiter.uMin",
   50) THEN DP_[6] ELSE W_[27];
W_[3] = divmacro(2688*W_[16],"2688*non_muscle_oxygen_delivery.sumPN.y",W_[18],
  "non_muscle_oxygen_delivery.product_DMM.u1");
W_[4] = W_[1]-W_[3];
W_[6] = divmacro(divmacro(0.2*W_[4],"0.2*non_muscle_oxygen_delivery.sumNP.y",
  W_[8],"non_muscle_oxygen_delivery.HM"),"0.2*non_muscle_oxygen_delivery.sumNP.y/non_muscle_oxygen_delivery.HM",
  W_[2],"non_muscle_oxygen_delivery.BFN");
W_[9] = W_[6]-X_[0];
W_[11] = 0.2*W_[9];
F_[0] = DP_[0]*W_[11];
W_[30] = IF GreaterS(W_[26],"non_muscle_oxygen_delivery.POT", DP_[7],
  "non_muscle_oxygen_delivery.limiter1.uMax", 51) THEN DP_[7] ELSE IF LessS(
  W_[26],"non_muscle_oxygen_delivery.POT", DP_[8],"non_muscle_oxygen_delivery.limiter1.uMin",
   52) THEN DP_[8] ELSE W_[26];
W_[32] = 8.0001-W_[30];
W_[34] = powmacro(W_[32],"non_muscle_oxygen_delivery.sumNP2.y",DP_[9],
  "non_muscle_oxygen_delivery.u_3_2.x");
W_[36] = 0.001953125*W_[34];
W_[39] = 1-W_[36];
W_[21] = 168.0*W_[39]*W_[43];
W_[22] = W_[3]-W_[21];
F_[1] = DP_[2]*W_[22];
W_[557] = PRE(W_[557], 1);
  beginwhenBlock
  whenModelicaOld(LessEqual(W_[556],"autonomic_control.aUC_299_1.u1", 40,"40", 53),
     3) 
    W_[557] = 1.2;
  endwhenModelica()
  whenModelicaOld(Less(40,"40", W_[556],"autonomic_control.aUC_299_1.u1", 54)
     AND Less(W_[556],"autonomic_control.aUC_299_1.u1", 80,"80", 55), 4) 
    W_[557] = 0.03*(80-W_[556]);
  endwhenModelica()
  whenModelicaOld(GreaterEqual(W_[556],"autonomic_control.aUC_299_1.u1", 80,"80",
     56), 5) 
    W_[557] = 0;
  endwhenModelica()
  endwhenBlock
W_[560] = W_[556];
W_[561] = PRE(W_[561], 2);
  beginwhenBlock
  whenModelicaOld(LessEqual(W_[560],"autonomic_control.aUN_306_1.u1", 20,"20", 57),
     6) 
    W_[561] = 6;
  endwhenModelica()
  whenModelicaOld(Less(20,"20", W_[560],"autonomic_control.aUN_306_1.u1", 58)
     AND Less(W_[560],"autonomic_control.aUN_306_1.u1", 50,"50", 59), 7) 
    W_[561] = 0.2*(50-W_[560]);
  endwhenModelica()
  whenModelicaOld(GreaterEqual(W_[560],"autonomic_control.aUN_306_1.u1", 50,"50",
     60), 8) 
    W_[561] = 0;
  endwhenModelica()
  endwhenBlock
W_[571] = W_[563]+W_[557]+W_[561];
W_[572] = W_[571]-X_[23];
W_[574] = 6*W_[572];
F_[23] = DP_[203]*W_[574];
W_[357] = W_[217]+W_[126]+W_[2];
W_[350] = W_[447]-W_[357];
F_[13] = DP_[62]*W_[350];
W_[360] = X_[13]+X_[15]+X_[16]+X_[17]-W_[444]+X_[14];
W_[422] = IF GreaterS(W_[410],"circulatory_dynamics.qRN_16_1.u", DP_[170],
  "circulatory_dynamics.limiter3.uMax", 61) THEN DP_[170] ELSE IF LessS(W_[410],
  "circulatory_dynamics.qRN_16_1.u", DP_[171],"circulatory_dynamics.limiter3.uMin",
   62) THEN DP_[171] ELSE W_[410];
W_[420] = W_[367]-W_[422];
W_[419] = divmacro(2.738,"2.738",W_[367],"circulatory_dynamics.PVS");
W_[358] = divmacro(W_[420],"circulatory_dynamics.product_DM7.u2",W_[419],
  "circulatory_dynamics.product_DM7.u1");
W_[359] = W_[357]-W_[360]-W_[358];
F_[14] = DP_[64]*W_[359];
  W_[411] = (PushModelContext(1,"Guyton_1972.Library.Splines.Spline(circulatory_dynamics.qRN_16_1.u, circulatory_dynamics.qRN_16_1.x, circulatory_dynamics.qRN_16_1.yValues)")
    Guytonx_01972_Library_Splines_Spline(W_[410], RealTemporaryDense( &DP_[136],
     2, 1, 16), RealTemporaryDense( &DP_[152], 2, 1, 16)));
  PopAllMarks();
W_[407] = divmacro(W_[449],"circulatory_dynamics.PPA",W_[437],"circulatory_dynamics.AUH");
  W_[408] = (PushModelContext(1,"Guyton_1972.Library.Splines.Spline(circulatory_dynamics.rVM_50_1.u, circulatory_dynamics.rVM_50_1.x, circulatory_dynamics.rVM_50_1.yValues)")
    Guytonx_01972_Library_Splines_Spline(W_[407], RealTemporaryDense( &DP_[122],
     2, 1, 7), RealTemporaryDense( &DP_[129], 2, 1, 7)));
  PopAllMarks();
W_[425] = 0.4*X_[29]*W_[445]*W_[408]*W_[437];
W_[429] = 0.6*W_[447];
W_[426] = divmacro(W_[429],"circulatory_dynamics.division6.u1",W_[380],
  "circulatory_dynamics.qLN_28_1.y");
W_[409] = W_[425]+W_[426];
W_[406] = W_[411]*W_[409];
W_[418] = W_[358]-W_[406];
F_[17] = DP_[168]*W_[418];
W_[405] = W_[406]-W_[378];
F_[16] = DP_[120]*W_[405];

AcceptedSection1

AcceptedSection2
W_[604] = W_[445]-1;
W_[602] = 0.5*W_[604];
W_[603] = 1+W_[602];
W_[608] = 40*X_[23];
W_[609] = 2*W_[410];
W_[607] = 32+W_[608]+W_[609];
W_[620] = W_[607]*W_[603];
W_[619] = divmacro(W_[447],"circulatory_dynamics.QLO",W_[620],"heart_rate_and_stroke_volume.HR");
W_[804] = X_[37]+W_[776];

DefaultSection
InitializeData(1)
EndTranslatedEquations

#include <dsblock6.c>

PreNonAlias(0)
StartNonAlias(0)
DeclareVariable("non_muscle_oxygen_delivery.OVA", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication.u1", "", \
"non_muscle_oxygen_delivery.OVA", 1, 5, 0, 0)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication.u2", "", \
"non_muscle_oxygen_delivery.BFN", 1, 5, 2, 0)
DeclareVariable("non_muscle_oxygen_delivery.multiplication.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.BFN", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.sumNP.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.sumNP.u2", "", "non_muscle_oxygen_delivery.multiplication.y", 1,\
 5, 1, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.product_DDDM.u1", "", 5, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("non_muscle_oxygen_delivery.product_DDDM.u2", "", "non_muscle_oxygen_delivery.HM", 1,\
 5, 8, 0)
DeclareVariable("non_muscle_oxygen_delivery.product_DDDM.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.product_DDDM.u3", "", "non_muscle_oxygen_delivery.BFN", 1,\
 5, 2, 0)
DeclareAlias2("non_muscle_oxygen_delivery.product_DDDM.u4", "", "non_muscle_oxygen_delivery.sumNP.y", 1,\
 5, 4, 0)
DeclareVariable("non_muscle_oxygen_delivery.realExpression.y", "Value of Real output",\
 5, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.HM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.sumNP1.u1", "", "non_muscle_oxygen_delivery.integrator.y", 1,\
 1, 0, 0)
DeclareAlias2("non_muscle_oxygen_delivery.sumNP1.u2", "", "non_muscle_oxygen_delivery.product_DDDM.y", 1,\
 5, 6, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumNP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.product_DM.u1", "", 5, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.product_DM.u2", "", "non_muscle_oxygen_delivery.sumNP1.y", 1,\
 5, 9, 0)
DeclareVariable("non_muscle_oxygen_delivery.product_DM.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("non_muscle_oxygen_delivery.realExpression1.y", "Value of Real output",\
 5, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_oxygen_delivery.integrator.k", "Integrator gain", 0,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_oxygen_delivery.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("non_muscle_oxygen_delivery.integrator.y_start", \
"Initial or guess value of output (= state)", 1, 0.7, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_oxygen_delivery.integrator.u", "Connector of Real input signal",\
 "non_muscle_oxygen_delivery.product_DM.y", 1, 5, 11, 0)
DeclareState("non_muscle_oxygen_delivery.integrator.y", "Connector of Real output signal",\
 0, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("non_muscle_oxygen_delivery.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.realExpression2.y", "Value of Real output",\
 57.14, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication1.u1", "", \
"non_muscle_oxygen_delivery.integrator.y", 1, 1, 0, 0)
DeclareVariable("non_muscle_oxygen_delivery.multiplication1.u2", "", 57.14, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication1.y", "", \
"non_muscle_oxygen_delivery.POV", 1, 5, 17, 0)
DeclareAlias2("non_muscle_oxygen_delivery.sumPN.u1", "", "non_muscle_oxygen_delivery.POV", 1,\
 5, 17, 0)
DeclareAlias2("non_muscle_oxygen_delivery.sumPN.u2", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.POV", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.product_DMM.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.product_DMM.u2", "", "non_muscle_oxygen_delivery.sumPN.y", 1,\
 5, 16, 0)
DeclareAlias2("non_muscle_oxygen_delivery.product_DMM.y", "", "non_muscle_oxygen_delivery.sumNP.u1", 1,\
 5, 3, 0)
DeclareVariable("non_muscle_oxygen_delivery.product_DMM.u3", "", 2688, 0.0,0.0,\
0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.realExpression3.y", "Value of Real output",\
 2688, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.sumPN1.u1", "", "non_muscle_oxygen_delivery.sumNP.u1", 1,\
 5, 3, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumPN1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.sumPN1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("non_muscle_oxygen_delivery.integrator1.k", "Integrator gain", 2,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_oxygen_delivery.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("non_muscle_oxygen_delivery.integrator1.y_start", \
"Initial or guess value of output (= state)", 3, 2400, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_oxygen_delivery.integrator1.u", "Connector of Real input signal",\
 "non_muscle_oxygen_delivery.sumPN1.y", 1, 5, 22, 0)
DeclareState("non_muscle_oxygen_delivery.integrator1.y", "Connector of Real output signal",\
 1, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("non_muscle_oxygen_delivery.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication2.u1", "", \
"non_muscle_oxygen_delivery.integrator1.y", 1, 1, 1, 0)
DeclareVariable("non_muscle_oxygen_delivery.multiplication2.u2", "", 0.00333, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication2.y", "", \
"non_muscle_oxygen_delivery.POT", 1, 5, 26, 0)
DeclareVariable("non_muscle_oxygen_delivery.realExpression4.y", "Value of Real output",\
 0.00333, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.POT", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("non_muscle_oxygen_delivery.u_3_1.x", "", 4, 3, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_oxygen_delivery.u_3_1.u1", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("non_muscle_oxygen_delivery.u_3_1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("non_muscle_oxygen_delivery.limiter.uMax", "Upper limits of input signals",\
 5, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("non_muscle_oxygen_delivery.limiter.uMin", "Lower limits of input signals",\
 6, 50, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_oxygen_delivery.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("non_muscle_oxygen_delivery.limiter.u", "Connector of Real input signal",\
 "non_muscle_oxygen_delivery.u_3_1.y", 1, 5, 27, 0)
DeclareAlias2("non_muscle_oxygen_delivery.limiter.y", "Connector of Real output signal",\
 "non_muscle_oxygen_delivery.product_DMM.u1", 1, 5, 18, 0)
DeclareParameter("non_muscle_oxygen_delivery.limiter1.uMax", "Upper limits of input signals",\
 7, 8, 0.0,0.0,0.0,0,560)
DeclareParameter("non_muscle_oxygen_delivery.limiter1.uMin", "Lower limits of input signals",\
 8, -1E+060, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_oxygen_delivery.limiter1.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("non_muscle_oxygen_delivery.limiter1.u", "Connector of Real input signal",\
 "non_muscle_oxygen_delivery.POT", 1, 5, 26, 0)
DeclareVariable("non_muscle_oxygen_delivery.limiter1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.sumNP2.u1", "", "non_muscle_oxygen_delivery.limiter1.y", 1,\
 5, 30, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumNP2.u2", "", 8.0001, 0.0,0.0,0.0,\
0,513)
DeclareVariable("non_muscle_oxygen_delivery.sumNP2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.realExpression5.y", "Value of Real output",\
 8.0001, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_oxygen_delivery.u_3_2.x", "", 9, 3, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_oxygen_delivery.u_3_2.u1", "", "non_muscle_oxygen_delivery.sumNP2.y", 1,\
 5, 32, 0)
DeclareVariable("non_muscle_oxygen_delivery.u_3_2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_oxygen_delivery.division.u1", "", "non_muscle_oxygen_delivery.u_3_2.y", 1,\
 5, 34, 0)
DeclareVariable("non_muscle_oxygen_delivery.division.u2", "", 512, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.division.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.realExpression6.y", "Value of Real output",\
 512, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.sumPN2.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.sumPN2.u2", "", "non_muscle_oxygen_delivery.division.y", 1,\
 5, 36, 0)
DeclareVariable("non_muscle_oxygen_delivery.sumPN2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_oxygen_delivery.realExpression7.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication3_1.u1", "", \
"non_muscle_oxygen_delivery.sumPN2.y", 1, 5, 39, 0)
DeclareVariable("non_muscle_oxygen_delivery.multiplication3_1.u2", "", 168, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication3_1.y", "", \
"non_muscle_oxygen_delivery.sumPN1.u2", 1, 5, 21, 0)
DeclareAlias2("non_muscle_oxygen_delivery.multiplication3_1.u3", "", \
"non_muscle_oxygen_delivery.AOM", 1, 5, 43, 0)
DeclareVariable("non_muscle_oxygen_delivery.O2M.y", "Value of Real output", 168,\
 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_oxygen_delivery.AOM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication.u1", "", \
"pulmonary_dynamics_and_fluids.integrator.y", 1, 1, 24, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication.u2", "", 0.5,\
 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression.y", \
"Value of Real output", 0.5, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN.u1", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN.u2", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication.y", 1, 5, 45, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression1.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication3_1.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN.y", 1, 5, 48, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication3_1.u2", "", 5,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication3_1.y", "", \
"non_muscle_oxygen_delivery.OVA", 1, 5, 0, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication3_1.u3", "", \
"non_muscle_oxygen_delivery.HM", 1, 5, 8, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression2.y", \
"Value of Real output", 5, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication1.u1", "", \
"non_muscle_oxygen_delivery.OVA", 1, 5, 0, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication1.u2", "", \
"muscle_blood_flow_control_and_PO2_1.BFM", 1, 5, 126, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication1.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN1.u1", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication1.y", 1, 5, 52, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN1.u2", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_MDDD.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN1.y", 1, 5, 54, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_MDDD.u2", "", \
"muscle_blood_flow_control_and_PO2_1.BFM", 1, 5, 126, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_MDDD.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_MDDD.u3", "", \
"non_muscle_oxygen_delivery.HM", 1, 5, 8, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_MDDD.u4", "", 5, \
0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression3.y", \
"Value of Real output", 5, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN2.u1", "", \
"muscle_blood_flow_control_and_PO2_1.product_MDDD.y", 1, 5, 55, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN2.u2", "", \
"muscle_blood_flow_control_and_PO2_1.OVS.y", 1, 1, 2, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.division.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN2.y", 1, 5, 58, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.division.u2", "", 5, \
0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.division.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression4.y", \
"Value of Real output", 5, 0.0,0.0,0.0,0,513)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.OVS.k", "Integrator gain",\
 10, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.OVS.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.OVS.y_start", \
"Initial or guess value of output (= state)", 11, 0.7, 0.0,0.0,0.0,0,560)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.OVS.u", "Connector of Real input signal",\
 "muscle_blood_flow_control_and_PO2_1.division.y", 1, 5, 60, 0)
DeclareState("muscle_blood_flow_control_and_PO2_1.OVS.y", "Connector of Real output signal",\
 2, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("muscle_blood_flow_control_and_PO2_1.OVS.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication2.u1", "", \
"muscle_blood_flow_control_and_PO2_1.OVS.y", 1, 1, 2, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication2.u2", "", \
57.14, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication2.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression5.y", \
"Value of Real output", 57.14, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP.u1", "", 8, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP.u2", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication2.y", 1, 5, 64, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.PMO.y", "Value of Real output",\
 8, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_MMD.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumNP.y", 1, 5, 67, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_MMD.u2", "", 122, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_MMD.y", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN1.u2", 1, 5, 53, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_MMD.u3", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.PM5.y", "Value of Real output",\
 122, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN3.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN1.u2", 1, 5, 53, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN3.u2", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN3.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.integrator1.k", \
"Integrator gain", 12, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.integrator1.y_start", \
"Initial or guess value of output (= state)", 13, 2400, 0.0,0.0,0.0,0,560)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.integrator1.u", \
"Connector of Real input signal", "muscle_blood_flow_control_and_PO2_1.sumPN3.y", 1,\
 5, 73, 0)
DeclareState("muscle_blood_flow_control_and_PO2_1.integrator1.y", \
"Connector of Real output signal", 3, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("muscle_blood_flow_control_and_PO2_1.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP1.u1", "", \
"muscle_blood_flow_control_and_PO2_1.integrator1.y", 1, 1, 3, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP1.u2", "", 2500, \
0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.PK1.y", "Value of Real output",\
 2500, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.division1.u1", "", 800, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.division1.u2", "", \
"muscle_blood_flow_control_and_PO2_1.sumNP1.y", 1, 5, 76, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.division1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.PK2.y", "Value of Real output",\
 800, 0.0,0.0,0.0,0,513)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter.uMax", \
"Upper limits of input signals", 14, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter.uMin", \
"Lower limits of input signals", 15, 0.001, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.limiter.u", "Connector of Real input signal",\
 "muscle_blood_flow_control_and_PO2_1.division1.y", 1, 5, 79, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.limiter.y", \
"Connector of Real output signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter1.uMax", \
"Upper limits of input signals", 16, 8, 0.0,0.0,0.0,0,560)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter1.uMin", \
"Lower limits of input signals", 17, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.limiter1.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.limiter1.u", "Connector of Real input signal",\
 "muscle_blood_flow_control_and_PO2_1.division1.y", 1, 5, 79, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.limiter1.y", "Connector of Real output signal",\
 "muscle_blood_flow_control_and_PO2_1.P2O", 1, 5, 125, 0)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.u_2_1.x", "", 18, 2, \
0.0,0.0,0.0,0,560)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.u_2_1.u1", "", \
"muscle_blood_flow_control_and_PO2_1.limiter.y", 1, 5, 82, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.u_2_1.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN4.u1", "", \
"muscle_blood_flow_control_and_PO2_1.u_2_1.y", 1, 5, 84, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN4.u2", "", -1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN4.y", "", \
"muscle_blood_flow_control_and_PO2_1.product_MMD.u3", 1, 5, 70, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.PM4.y", "Value of Real output",\
 -1, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP2.u1", "", \
"muscle_blood_flow_control_and_PO2_1.P2O", 1, 5, 125, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP2.u2", "", 8.0001, \
0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression6.y", \
"Value of Real output", 8.0001, 0.0,0.0,0.0,0,513)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.u_3_1.x", "", 19, 3, \
0.0,0.0,0.0,0,560)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.u_3_1.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumNP2.y", 1, 5, 88, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.u_3_1.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression7.y", \
"Value of Real output", 512, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP3.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP3.u2", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP3.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression8.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.MMO.u1", "", 1, 0.0,0.0,0.0,\
0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.MMO.u2", "", 60, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.MMO.y", "", "muscle_blood_flow_control_and_PO2_1.sumPN3.u2", 1,\
 5, 72, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.MMO.u3", "", "non_muscle_oxygen_delivery.AOM", 1,\
 5, 43, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.MMO.u4", "", "muscle_blood_flow_control_and_PO2_1.sumNP3.y", 1,\
 5, 94, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression9.y", \
"Value of Real output", 60, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPP.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPP.u2", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPP.y", "", \
"non_muscle_oxygen_delivery.AOM", 1, 5, 43, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression10.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication3.u1", "", \
0.15, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication3.u2", "", \
0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication3.y", "", \
"muscle_blood_flow_control_and_PO2_1.sumPP.u1", 1, 5, 99, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.O2A.y", "Value of Real output",\
 0.15, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP4.u1", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP4.u2", "", \
"autonomic_control.integrator1.y", 1, 1, 23, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP4.y", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication3.u2", 1, 5, 103, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression11.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP5.u1", "", 40, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumNP5.u2", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication2.y", 1, 5, 64, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumNP5.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression12.y", \
"Value of Real output", 40, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.multiplication4.u1", "", \
"muscle_blood_flow_control_and_PO2_1.sumNP5.y", 1, 5, 108, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication4.u2", "", \
0.08, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.multiplication4.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.POM.y", "Value of Real output",\
 0.08, 0.0,0.0,0.0,0,513)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPP1.u1", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPP1.u2", "", \
"muscle_blood_flow_control_and_PO2_1.multiplication4.y", 1, 5, 111, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPP1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression13.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter2.uMax", \
"Upper limits of input signals", 20, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.limiter2.uMin", \
"Lower limits of input signals", 21, 0.005, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.limiter2.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.limiter2.u", "Connector of Real input signal",\
 "muscle_blood_flow_control_and_PO2_1.sumPP1.y", 1, 5, 114, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.limiter2.y", \
"Connector of Real output signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN5.u1", "", \
"muscle_blood_flow_control_and_PO2_1.limiter2.y", 1, 5, 117, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.sumPN5.u2", "", \
"muscle_blood_flow_control_and_PO2_1.integrator2.y", 1, 1, 4, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.sumPN5.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_DM1.u1", "", 0.25, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.product_DM1.u2", "", \
"muscle_blood_flow_control_and_PO2_1.sumPN5.y", 1, 5, 118, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.product_DM1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.realExpression14.y", \
"Value of Real output", 0.25, 0.0,0.0,0.0,0,513)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.integrator2.k", \
"Integrator gain", 22, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.integrator2.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("muscle_blood_flow_control_and_PO2_1.integrator2.y_start", \
"Initial or guess value of output (= state)", 23, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.integrator2.u", \
"Connector of Real input signal", "muscle_blood_flow_control_and_PO2_1.product_DM1.y", 1,\
 5, 120, 0)
DeclareState("muscle_blood_flow_control_and_PO2_1.integrator2.y", \
"Connector of Real output signal", 4, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("muscle_blood_flow_control_and_PO2_1.integrator2.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.AMM", "", "muscle_blood_flow_control_and_PO2_1.integrator2.y", 1,\
 1, 4, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.AOM", "", "non_muscle_oxygen_delivery.AOM", 1,\
 5, 43, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.OVA", "", "non_muscle_oxygen_delivery.OVA", 1,\
 5, 0, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.EXC.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.division2.u1", "", \
"muscle_blood_flow_control_and_PO2_1.u_3_1.y", 1, 5, 90, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.division2.u2", "", 512, \
0.0,0.0,0.0,0,513)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.division2.y", "", \
"muscle_blood_flow_control_and_PO2_1.sumNP3.u1", 1, 5, 92, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.P2O", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.HM", "", "non_muscle_oxygen_delivery.HM", 1,\
 5, 8, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.BFM", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.VPF", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareAlias2("muscle_blood_flow_control_and_PO2_1.AU", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareVariable("muscle_blood_flow_control_and_PO2_1.EXC_", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("vascular_stress_relaxation.multiplication.u1", "", \
"vascular_stress_relaxation.VVE", 1, 5, 140, 0)
DeclareVariable("vascular_stress_relaxation.multiplication.u2", "", 0.5, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.multiplication.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("vascular_stress_relaxation.multiplication1.u1", "", 0.5, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.multiplication1.u2", "", 0.301, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.multiplication1.y", "", 0.1505, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.sumNPN.u1", "", 0.1505, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("vascular_stress_relaxation.sumNPN.u2", "", "vascular_stress_relaxation.multiplication.y", 1,\
 5, 129, 0)
DeclareAlias2("vascular_stress_relaxation.sumNPN.u3", "", "vascular_stress_relaxation.integrator.y", 1,\
 1, 5, 0)
DeclareVariable("vascular_stress_relaxation.sumNPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("vascular_stress_relaxation.integrator.k", "Integrator gain", 24,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("vascular_stress_relaxation.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("vascular_stress_relaxation.integrator.y_start", \
"Initial or guess value of output (= state)", 25, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("vascular_stress_relaxation.integrator.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("vascular_stress_relaxation.integrator.y", "Connector of Real output signal",\
 5, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("vascular_stress_relaxation.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("vascular_stress_relaxation.SRK.y", "Value of Real output", 33, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.SR2.y", "Value of Real output", \
0.301, 0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.SR.y", "Value of Real output", 0.5, \
0.0,0.0,0.0,0,513)
DeclareVariable("vascular_stress_relaxation.VVE", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("vascular_stress_relaxation.VV7", "", "vascular_stress_relaxation.integrator.y", 1,\
 1, 5, 0)
DeclareVariable("vascular_stress_relaxation.product_DM.u1", "", 33, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("vascular_stress_relaxation.product_DM.u2", "", "vascular_stress_relaxation.sumNPN.y", 1,\
 5, 134, 0)
DeclareAlias2("vascular_stress_relaxation.product_DM.y", "", "vascular_stress_relaxation.integrator.u", 1,\
 5, 136, 0)
DeclareParameter("kidney_dynamics_and_excretion.limiter.uMax", "Upper limits of input signals",\
 26, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("kidney_dynamics_and_excretion.limiter.uMin", "Lower limits of input signals",\
 27, 0.35, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("kidney_dynamics_and_excretion.limiter.u", "Connector of Real input signal",\
 "kidney_dynamics_and_excretion.AUM", 1, 5, 218, 0)
DeclareVariable("kidney_dynamics_and_excretion.limiter.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumNP.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumNP.u2", "", "kidney_dynamics_and_excretion.limiter.y", 1,\
 5, 143, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication.u1", "", \
"kidney_dynamics_and_excretion.sumNP.y", 1, 5, 145, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication.u2", "", 1.5, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.ARF.y", "Value of Real output", \
1.5, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.sumPP.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP.u2", "", "kidney_dynamics_and_excretion.multiplication.y", 1,\
 5, 148, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression1.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication4_1.u1", "", \
"kidney_dynamics_and_excretion.VIM", 1, 5, 219, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication4_1.u2", "", \
"kidney_dynamics_and_excretion.sumPP.y", 1, 5, 151, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication4_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication4_1.u3", "", \
"kidney_dynamics_and_excretion.integrator.y", 1, 1, 6, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication4_1.u4", "", 31.67,\
 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.realExpression2.y", \
"Value of Real output", 31.67, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP1.u1", "", "kidney_dynamics_and_excretion.multiplication4_1.y", 1,\
 5, 153, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPP1.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumPP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.multiplication1.u1", "", 51.66, \
0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication1.u2", "", \
"kidney_dynamics_and_excretion.VIM", 1, 5, 219, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication1.y", "", \
"kidney_dynamics_and_excretion.sumPP1.u2", 1, 5, 156, 0)
DeclareVariable("kidney_dynamics_and_excretion.realExpression3.y", \
"Value of Real output", 51.66, 0.0,0.0,0.0,0,513)
DeclareParameter("kidney_dynamics_and_excretion.limiter1.uMax", "Upper limits of input signals",\
 28, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("kidney_dynamics_and_excretion.limiter1.uMin", "Lower limits of input signals",\
 29, 0.0001, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.limiter1.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("kidney_dynamics_and_excretion.limiter1.u", "Connector of Real input signal",\
 "kidney_dynamics_and_excretion.sumPP1.y", 1, 5, 157, 0)
DeclareVariable("kidney_dynamics_and_excretion.limiter1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.product_DM.u1", "", \
"kidney_dynamics_and_excretion.limiter1.y", 1, 5, 161, 0)
DeclareAlias2("kidney_dynamics_and_excretion.product_DM.u2", "", \
"aldosterone_control.aMP_164_1.u", 1, 5, 532, 0)
DeclareAlias2("kidney_dynamics_and_excretion.product_DM.y", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication2.u1", "", \
"kidney_dynamics_and_excretion.RBF", 1, 5, 217, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication2.u2", "", \
"kidney_dynamics_and_excretion.multiplication4_1.y", 1, 5, 153, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.sumPN.u1", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("kidney_dynamics_and_excretion.sumPN.u2", "", "kidney_dynamics_and_excretion.multiplication2.y", 1,\
 5, 162, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumNPN.u1", "", 18, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumNPN.u2", "", "kidney_dynamics_and_excretion.sumPN.y", 1,\
 5, 163, 0)
DeclareAlias2("kidney_dynamics_and_excretion.sumNPN.u3", "", "kidney_dynamics_and_excretion.PPC", 1,\
 5, 220, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumNPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression4.y", \
"Value of Real output", 18, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication3.u1", "", \
"kidney_dynamics_and_excretion.sumNPN.y", 1, 5, 165, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication3.u2", "", 0.00781,\
 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication3.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression5.y", \
"Value of Real output", 0.00781, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.product_DM1.u1", "", 0.125, \
0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.product_DM1.u2", "", \
"kidney_dynamics_and_excretion.multiplication3.y", 1, 5, 168, 0)
DeclareVariable("kidney_dynamics_and_excretion.product_DM1.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression6.y", \
"Value of Real output", 0.125, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPN1.u1", "", "kidney_dynamics_and_excretion.product_DM1.y", 1,\
 5, 171, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPN1.u2", "", 0.0, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPN1.y", "", "kidney_dynamics_and_excretion.product_DM1.y", 1,\
 5, 171, 0)
DeclareVariable("kidney_dynamics_and_excretion.realExpression7.y", \
"Value of Real output", 0.0, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication4.u1", "", \
"kidney_dynamics_and_excretion.product_DM1.y", 1, 5, 171, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication4.u2", "", 5, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication4.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.GF4.y", "Value of Real output", 5,\
 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.sumPP2.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP2.u2", "", "kidney_dynamics_and_excretion.multiplication4.y", 1,\
 5, 176, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPP2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression8.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareParameter("kidney_dynamics_and_excretion.limiter2.uMax", "Upper limits of input signals",\
 30, 15, 0.0,0.0,0.0,0,560)
DeclareParameter("kidney_dynamics_and_excretion.limiter2.uMin", "Lower limits of input signals",\
 31, 0.4, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.limiter2.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("kidney_dynamics_and_excretion.limiter2.u", "Connector of Real input signal",\
 "kidney_dynamics_and_excretion.sumPP2.y", 1, 5, 179, 0)
DeclareVariable("kidney_dynamics_and_excretion.limiter2.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("kidney_dynamics_and_excretion.integrator.k", "Integrator gain",\
 32, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("kidney_dynamics_and_excretion.integrator.y_start", \
"Initial or guess value of output (= state)", 33, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.integrator.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("kidney_dynamics_and_excretion.integrator.y", "Connector of Real output signal",\
 6, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("kidney_dynamics_and_excretion.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.sumNP1.u1", "", "kidney_dynamics_and_excretion.integrator.y", 1,\
 1, 6, 0)
DeclareAlias2("kidney_dynamics_and_excretion.sumNP1.u2", "", "kidney_dynamics_and_excretion.limiter2.y", 1,\
 5, 182, 0)
DeclareAlias2("kidney_dynamics_and_excretion.sumNP1.y", "", "kidney_dynamics_and_excretion.integrator.u", 1,\
 5, 184, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication5.u1", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication5.u2", "", \
"kidney_dynamics_and_excretion.multiplication3.y", 1, 5, 168, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication5.y", "", \
"kidney_dynamics_and_excretion.multiplication3.y", 1, 5, 168, 0)
DeclareVariable("kidney_dynamics_and_excretion.REK.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.GFR.u1", "", 0.8, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.GFR.u2", "", "kidney_dynamics_and_excretion.multiplication3.y", 1,\
 5, 168, 0)
DeclareVariable("kidney_dynamics_and_excretion.GFR.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression9.y", \
"Value of Real output", 0.8, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumPN2.u1", "", "kidney_dynamics_and_excretion.multiplication3.y", 1,\
 5, 168, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPN2.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumPN2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP3.u1", "", "kidney_dynamics_and_excretion.GFR.y", 1,\
 5, 188, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumPP3.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP3.y", "", "kidney_dynamics_and_excretion.sumPN2.u2", 1,\
 5, 190, 0)
DeclareVariable("kidney_dynamics_and_excretion.sumNP2.u1", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumNP2.u2", "", 0.025, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.sumNP2.y", "", "kidney_dynamics_and_excretion.sumPP3.u2", 1,\
 5, 192, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication3_1.u1", "", \
"kidney_dynamics_and_excretion.AHM", 1, 5, 222, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication3_1.u2", "", 0.001,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication3_1.y", "", \
"kidney_dynamics_and_excretion.sumNP2.u1", 1, 5, 193, 0)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication3_1.u3", "", \
"kidney_dynamics_and_excretion.AM", 1, 5, 224, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication7.u1", "", 0.001, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication7.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication7.y", "", 0.001, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.realExpression10.y", \
"Value of Real output", 0.001, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication8.u1", "", 0.025, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication8.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.multiplication8.y", "", 0.025, \
0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.realExpression11.y", \
"Value of Real output", 0.025, 0.0,0.0,0.0,0,513)
DeclareParameter("kidney_dynamics_and_excretion.limiter3.uMax", "Upper limits of input signals",\
 34, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("kidney_dynamics_and_excretion.limiter3.uMin", "Lower limits of input signals",\
 35, 0.0003, 0.0,0.0,0.0,0,560)
DeclareVariable("kidney_dynamics_and_excretion.limiter3.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("kidney_dynamics_and_excretion.limiter3.u", "Connector of Real input signal",\
 "kidney_dynamics_and_excretion.sumPN2.y", 1, 5, 191, 0)
DeclareAlias2("kidney_dynamics_and_excretion.limiter3.y", "Connector of Real output signal",\
 "kidney_dynamics_and_excretion.VUD", 1, 5, 215, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication9.u1", "", 1000, \
0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication9.u2", "", \
"kidney_dynamics_and_excretion.VUD", 1, 5, 215, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication9.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.realExpression12.y", \
"Value of Real output", 1000, 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.product_DMD.u1", "", \
"kidney_dynamics_and_excretion.AM", 1, 5, 224, 0)
DeclareAlias2("kidney_dynamics_and_excretion.product_DMD.u2", "", \
"kidney_dynamics_and_excretion.multiplication9.y", 1, 5, 206, 0)
DeclareAlias2("kidney_dynamics_and_excretion.product_DMD.y", "", \
"kidney_dynamics_and_excretion.NOD", 1, 5, 214, 0)
DeclareVariable("kidney_dynamics_and_excretion.product_DMD.u3", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.sumPP4.u1", "", 6, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.sumPP4.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("kidney_dynamics_and_excretion.sumPP4.y", "", "kidney_dynamics_and_excretion.product_DMD.u3", 1,\
 5, 208, 0)
DeclareVariable("kidney_dynamics_and_excretion.CNY.y", "Value of Real output", 6,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.division.u1", "", "kidney_dynamics_and_excretion.CNE", 1,\
 5, 223, 0)
DeclareVariable("kidney_dynamics_and_excretion.division.u2", "", 2.5, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.division.y", "", "kidney_dynamics_and_excretion.sumPP4.u2", 1,\
 5, 210, 0)
DeclareVariable("kidney_dynamics_and_excretion.CNX.y", "Value of Real output", \
2.5, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.NOD", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.VUD", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication10.u1", "", \
"kidney_dynamics_and_excretion.RBF", 1, 5, 217, 0)
DeclareVariable("kidney_dynamics_and_excretion.multiplication10.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("kidney_dynamics_and_excretion.multiplication10.y", "", \
"kidney_dynamics_and_excretion.RBF", 1, 5, 217, 0)
DeclareVariable("kidney_dynamics_and_excretion.RBF", "", 1.2, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.RFN", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareVariable("kidney_dynamics_and_excretion.AUM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.VIM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("kidney_dynamics_and_excretion.PA", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareVariable("kidney_dynamics_and_excretion.PPC", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.REK_", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("kidney_dynamics_and_excretion.AHM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.CNE", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("kidney_dynamics_and_excretion.AM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("thirst_and_drinking.sumNP.u1", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("thirst_and_drinking.sumNP.u2", "", 8.25, 0.0,0.0,0.0,0,513)
DeclareVariable("thirst_and_drinking.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("thirst_and_drinking.sumNP1.u1", "", 0.009, 0.0,0.0,0.0,0,513)
DeclareVariable("thirst_and_drinking.sumNP1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("thirst_and_drinking.sumNP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("thirst_and_drinking.multiplication.u1", "", "thirst_and_drinking.sumNP.y", 1,\
 5, 226, 0)
DeclareVariable("thirst_and_drinking.multiplication.u2", "", 4, 0.0,0.0,0.0,0,513)
DeclareAlias2("thirst_and_drinking.multiplication.y", "", "thirst_and_drinking.STH", 1,\
 5, 237, 0)
DeclareAlias2("thirst_and_drinking.multiplication1.u1", "", "thirst_and_drinking.sumNP1.y", 1,\
 5, 229, 0)
DeclareAlias2("thirst_and_drinking.multiplication1.u2", "", "thirst_and_drinking.STH", 1,\
 5, 237, 0)
DeclareVariable("thirst_and_drinking.multiplication1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("thirst_and_drinking.multiplication2.u1", "", "kidney_dynamics_and_excretion.AHM", 1,\
 5, 222, 0)
DeclareVariable("thirst_and_drinking.multiplication2.u2", "", 0.01, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("thirst_and_drinking.multiplication2.y", "", "thirst_and_drinking.sumNP1.u2", 1,\
 5, 228, 0)
DeclareAlias2("thirst_and_drinking.POT", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareAlias2("thirst_and_drinking.AHM", "", "kidney_dynamics_and_excretion.AHM", 1,\
 5, 222, 0)
DeclareVariable("thirst_and_drinking.Z10.y", "Value of Real output", 8.25, \
0.0,0.0,0.0,0,513)
DeclareVariable("thirst_and_drinking.Z11.y", "Value of Real output", 4, 0.0,0.0,\
0.0,0,513)
DeclareVariable("thirst_and_drinking.konst.y", "Value of Real output", 0.01, \
0.0,0.0,0.0,0,513)
DeclareVariable("thirst_and_drinking.konst1.y", "Value of Real output", 0.009, \
0.0,0.0,0.0,0,513)
DeclareVariable("thirst_and_drinking.STH", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("thirst_and_drinking.TVD", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("thirst_and_drinking.limiter.uMax", "Upper limits of input signals",\
 36, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("thirst_and_drinking.limiter.uMin", "Lower limits of input signals",\
 37, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("thirst_and_drinking.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("thirst_and_drinking.limiter.u", "Connector of Real input signal",\
 "thirst_and_drinking.multiplication1.y", 1, 5, 231, 0)
DeclareAlias2("thirst_and_drinking.limiter.y", "Connector of Real output signal",\
 "thirst_and_drinking.TVD", 1, 5, 238, 0)
DeclareAlias2("antidiuretic_hormone_control.sumPN.u1", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareVariable("antidiuretic_hormone_control.sumPN.u2", "", 139, 0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.CNR.y", "Value of Real output", 139,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.multiplication.u1", "", \
"antidiuretic_hormone_control.sumPN.y", 1, 5, 241, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.multiplication.y", "", \
"antidiuretic_hormone_control.sumPN.y", 1, 5, 241, 0)
DeclareVariable("antidiuretic_hormone_control.CNZ.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.sumPNP.u1", "", "antidiuretic_hormone_control.sumPN.y", 1,\
 5, 241, 0)
DeclareVariable("antidiuretic_hormone_control.sumPNP.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.sumPNP.u3", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.sumPNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("antidiuretic_hormone_control.limiter.uMax", "Upper limits of input signals",\
 38, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("antidiuretic_hormone_control.limiter.uMin", "Lower limits of input signals",\
 39, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("antidiuretic_hormone_control.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("antidiuretic_hormone_control.limiter.u", "Connector of Real input signal",\
 "antidiuretic_hormone_control.sumPNP.y", 1, 5, 247, 0)
DeclareVariable("antidiuretic_hormone_control.limiter.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("antidiuretic_hormone_control.multiplication1.u1", "", \
"antidiuretic_hormone_control.limiter.y", 1, 5, 249, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication1.u2", "", 0.3333, \
0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.multiplication1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.realExpression.y", \
"Value of Real output", 0.3333, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.sumPN1.u1", "", "antidiuretic_hormone_control.multiplication1.y", 1,\
 5, 251, 0)
DeclareAlias2("antidiuretic_hormone_control.sumPN1.u2", "", "antidiuretic_hormone_control.integrator.y", 1,\
 1, 7, 0)
DeclareVariable("antidiuretic_hormone_control.sumPN1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("antidiuretic_hormone_control.multiplication2.u1", "", \
"antidiuretic_hormone_control.sumPN1.y", 1, 5, 253, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication2.u2", "", 0.14, \
0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.multiplication2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.realExpression1.y", \
"Value of Real output", 0.14, 0.0,0.0,0.0,0,513)
DeclareParameter("antidiuretic_hormone_control.integrator.k", "Integrator gain",\
 40, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("antidiuretic_hormone_control.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("antidiuretic_hormone_control.integrator.y_start", \
"Initial or guess value of output (= state)", 41, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("antidiuretic_hormone_control.integrator.u", "Connector of Real input signal",\
 "antidiuretic_hormone_control.multiplication2.y", 1, 5, 255, 0)
DeclareState("antidiuretic_hormone_control.integrator.y", "Connector of Real output signal",\
 7, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("antidiuretic_hormone_control.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("antidiuretic_hormone_control.multiplication3.u1", "", \
"antidiuretic_hormone_control.integrator.y", 1, 1, 7, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication3.u2", "", 0.0785, \
0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.multiplication3.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.realExpression2.y", \
"Value of Real output", 0.0785, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control._10_u.u1", "", "antidiuretic_hormone_control.multiplication3.y", 1,\
 5, 259, 0)
DeclareVariable("antidiuretic_hormone_control._10_u.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.division.u1", "", 6, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.division.u2", "", "antidiuretic_hormone_control._10_u.y", 1,\
 5, 261, 0)
DeclareVariable("antidiuretic_hormone_control.division.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("antidiuretic_hormone_control.realExpression3.y", \
"Value of Real output", 6, 0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.sumPN2.u1", "", 6, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.sumPN2.u2", "", "antidiuretic_hormone_control.division.y", 1,\
 5, 263, 0)
DeclareAlias2("antidiuretic_hormone_control.sumPN2.y", "", "kidney_dynamics_and_excretion.AHM", 1,\
 5, 222, 0)
DeclareVariable("antidiuretic_hormone_control.realExpression4.y", \
"Value of Real output", 6, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.AHM", "", "kidney_dynamics_and_excretion.AHM", 1,\
 5, 222, 0)
DeclareAlias2("antidiuretic_hormone_control.multiplication4.u1", "", \
"circulatory_dynamics.qRN_16_1.u", 1, 5, 410, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication4.u2", "", 2, \
0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.multiplication4.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.realExpression5.y", \
"Value of Real output", 2, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.sumNP.u1", "", "antidiuretic_hormone_control.integrator1.y", 1,\
 1, 8, 0)
DeclareAlias2("antidiuretic_hormone_control.sumNP.u2", "", "antidiuretic_hormone_control.multiplication4.y", 1,\
 5, 268, 0)
DeclareAlias2("antidiuretic_hormone_control.sumNP.y", "", "antidiuretic_hormone_control.sumPNP.u2", 1,\
 5, 245, 0)
DeclareAlias2("antidiuretic_hormone_control.multiplication5.u1", "", \
"antidiuretic_hormone_control.sumPNP.u2", 1, 5, 245, 0)
DeclareVariable("antidiuretic_hormone_control.multiplication5.u2", "", 0.0007, \
0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.multiplication5.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("antidiuretic_hormone_control.AH7.y", "Value of Real output", \
0.0007, 0.0,0.0,0.0,0,513)
DeclareParameter("antidiuretic_hormone_control.integrator1.k", "Integrator gain",\
 42, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("antidiuretic_hormone_control.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("antidiuretic_hormone_control.integrator1.y_start", \
"Initial or guess value of output (= state)", 43, 0, 0.0,0.0,0.0,0,560)
DeclareAlias2("antidiuretic_hormone_control.integrator1.u", "Connector of Real input signal",\
 "antidiuretic_hormone_control.multiplication5.y", 1, 5, 271, 0)
DeclareState("antidiuretic_hormone_control.integrator1.y", "Connector of Real output signal",\
 8, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("antidiuretic_hormone_control.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("antidiuretic_hormone_control.limiter1.uMax", "Upper limits of input signals",\
 44, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("antidiuretic_hormone_control.limiter1.uMin", "Lower limits of input signals",\
 45, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("antidiuretic_hormone_control.limiter1.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareVariable("antidiuretic_hormone_control.limiter1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("antidiuretic_hormone_control.limiter1.y", "Connector of Real output signal",\
 "antidiuretic_hormone_control.sumPNP.u3", 1, 5, 246, 0)
DeclareVariable("antidiuretic_hormone_control.sumNP1.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("antidiuretic_hormone_control.sumNP1.u2", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareAlias2("antidiuretic_hormone_control.sumNP1.y", "", "antidiuretic_hormone_control.limiter1.u", 1,\
 5, 275, 0)
DeclareVariable("antidiuretic_hormone_control.realExpression6.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("antidiuretic_hormone_control.CNA", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("antidiuretic_hormone_control.PRA", "", "circulatory_dynamics.qRN_16_1.u", 1,\
 5, 410, 0)
DeclareAlias2("antidiuretic_hormone_control.AU", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareVariable("non_muscle_local_blood_flow_control.sumNP.u1", "", 40, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.sumNP.u2", "", \
"non_muscle_oxygen_delivery.POV", 1, 5, 17, 0)
DeclareVariable("non_muscle_local_blood_flow_control.sumNP.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.POR.y", "Value of Real output",\
 40, 0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.division.u1", "", \
"non_muscle_local_blood_flow_control.sumNP.y", 1, 5, 280, 0)
DeclareVariable("non_muscle_local_blood_flow_control.division.u2", "", 0.06, \
0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.division.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.POK.y", "Value of Real output",\
 0.06, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.sumPP.u1", "", 1, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPP.u2", "", \
"non_muscle_local_blood_flow_control.division.y", 1, 5, 283, 0)
DeclareVariable("non_muscle_local_blood_flow_control.sumPP.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.realExpression.y", \
"Value of Real output", 1, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.limiter.uMax", \
"Upper limits of input signals", 46, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("non_muscle_local_blood_flow_control.limiter.uMin", \
"Lower limits of input signals", 47, 0.2, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("non_muscle_local_blood_flow_control.limiter.u", "Connector of Real input signal",\
 "non_muscle_local_blood_flow_control.sumPP.y", 1, 5, 286, 0)
DeclareVariable("non_muscle_local_blood_flow_control.limiter.y", \
"Connector of Real output signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.sumNP1.u1", "", \
"non_muscle_local_blood_flow_control.integrator.y", 1, 1, 9, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumNP1.u2", "", \
"non_muscle_local_blood_flow_control.limiter.y", 1, 5, 289, 0)
DeclareVariable("non_muscle_local_blood_flow_control.sumNP1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.division1.u1", "", \
"non_muscle_local_blood_flow_control.sumNP1.y", 1, 5, 290, 0)
DeclareVariable("non_muscle_local_blood_flow_control.division1.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.division1.y", "", \
"non_muscle_local_blood_flow_control.sumNP1.y", 1, 5, 290, 0)
DeclareVariable("non_muscle_local_blood_flow_control.AK1.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.integrator.k", \
"Integrator gain", 48, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("non_muscle_local_blood_flow_control.integrator.y_start", \
"Initial or guess value of output (= state)", 49, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_local_blood_flow_control.integrator.u", \
"Connector of Real input signal", "non_muscle_local_blood_flow_control.sumNP1.y", 1,\
 5, 290, 0)
DeclareState("non_muscle_local_blood_flow_control.integrator.y", \
"Connector of Real output signal", 9, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("non_muscle_local_blood_flow_control.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication3_1.u1", "", \
"non_muscle_local_blood_flow_control.integrator1.y", 1, 1, 10, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication3_1.u2", "", \
"non_muscle_local_blood_flow_control.integrator.y", 1, 1, 9, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication3_1.y", "", \
"non_muscle_local_blood_flow_control.ARM", 1, 5, 317, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication3_1.u3", "", \
"non_muscle_local_blood_flow_control.integrator2.y", 1, 1, 11, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication.u1", "", \
"non_muscle_local_blood_flow_control.sumNP.y", 1, 5, 280, 0)
DeclareVariable("non_muscle_local_blood_flow_control.multiplication.u2", "", 0.1,\
 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.multiplication.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.PON.y", "Value of Real output",\
 0.1, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.sumPP1.u1", "", 0.0, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPP1.u2", "", \
"non_muscle_local_blood_flow_control.multiplication.y", 1, 5, 295, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPP1.y", "", \
"non_muscle_local_blood_flow_control.multiplication.y", 1, 5, 295, 0)
DeclareVariable("non_muscle_local_blood_flow_control.realExpression1.y", \
"Value of Real output", 0.0, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.limiter1.uMax", \
"Upper limits of input signals", 50, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("non_muscle_local_blood_flow_control.limiter1.uMin", \
"Lower limits of input signals", 51, 0.5, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.limiter1.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("non_muscle_local_blood_flow_control.limiter1.u", "Connector of Real input signal",\
 "non_muscle_local_blood_flow_control.multiplication.y", 1, 5, 295, 0)
DeclareVariable("non_muscle_local_blood_flow_control.limiter1.y", \
"Connector of Real output signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.division2.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.division2.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.division2.y", "", \
"non_muscle_local_blood_flow_control.division2.u1", 1, 5, 301, 0)
DeclareVariable("non_muscle_local_blood_flow_control.AK2.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.integrator1.k", \
"Integrator gain", 52, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("non_muscle_local_blood_flow_control.integrator1.y_start", \
"Initial or guess value of output (= state)", 53, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_local_blood_flow_control.integrator1.u", \
"Connector of Real input signal", "non_muscle_local_blood_flow_control.division2.u1", 1,\
 5, 301, 0)
DeclareState("non_muscle_local_blood_flow_control.integrator1.y", \
"Connector of Real output signal", 10, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("non_muscle_local_blood_flow_control.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN.u1", "", \
"non_muscle_local_blood_flow_control.limiter1.y", 1, 5, 300, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN.u2", "", \
"non_muscle_local_blood_flow_control.integrator1.y", 1, 1, 10, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN.y", "", \
"non_muscle_local_blood_flow_control.division2.u1", 1, 5, 301, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.pOJ_284_1.u1", "", \
"non_muscle_local_blood_flow_control.sumNP.y", 1, 5, 280, 0)
DeclareVariable("non_muscle_local_blood_flow_control.pOJ_284_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.multiplication1.u1", "", \
"non_muscle_local_blood_flow_control.pOJ_284_1.y", 1, 5, 305, 0)
DeclareVariable("non_muscle_local_blood_flow_control.multiplication1.u2", "", \
0.3, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.multiplication1.y", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.POZ.y", "Value of Real output",\
 0.3, 0.0,0.0,0.0,0,513)
DeclareVariable("non_muscle_local_blood_flow_control.sumPP2.u1", "", 0.0, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPP2.u2", "", \
"non_muscle_local_blood_flow_control.multiplication1.y", 1, 5, 307, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPP2.y", "", \
"non_muscle_local_blood_flow_control.multiplication1.y", 1, 5, 307, 0)
DeclareVariable("non_muscle_local_blood_flow_control.realExpression2.y", \
"Value of Real output", 0.0, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.limiter2.uMax", \
"Upper limits of input signals", 54, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("non_muscle_local_blood_flow_control.limiter2.uMin", \
"Lower limits of input signals", 55, 0.3, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.limiter2.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("non_muscle_local_blood_flow_control.limiter2.u", "Connector of Real input signal",\
 "non_muscle_local_blood_flow_control.multiplication1.y", 1, 5, 307, 0)
DeclareVariable("non_muscle_local_blood_flow_control.limiter2.y", \
"Connector of Real output signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.division3.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("non_muscle_local_blood_flow_control.division3.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("non_muscle_local_blood_flow_control.division3.y", "", \
"non_muscle_local_blood_flow_control.division3.u1", 1, 5, 313, 0)
DeclareVariable("non_muscle_local_blood_flow_control.AK3.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareParameter("non_muscle_local_blood_flow_control.integrator2.k", \
"Integrator gain", 56, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("non_muscle_local_blood_flow_control.integrator2.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("non_muscle_local_blood_flow_control.integrator2.y_start", \
"Initial or guess value of output (= state)", 57, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("non_muscle_local_blood_flow_control.integrator2.u", \
"Connector of Real input signal", "non_muscle_local_blood_flow_control.division3.u1", 1,\
 5, 313, 0)
DeclareState("non_muscle_local_blood_flow_control.integrator2.y", \
"Connector of Real output signal", 11, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("non_muscle_local_blood_flow_control.integrator2.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN1.u1", "", \
"non_muscle_local_blood_flow_control.limiter2.y", 1, 5, 312, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN1.u2", "", \
"non_muscle_local_blood_flow_control.integrator2.y", 1, 1, 11, 0)
DeclareAlias2("non_muscle_local_blood_flow_control.sumPN1.y", "", \
"non_muscle_local_blood_flow_control.division3.u1", 1, 5, 313, 0)
DeclareVariable("non_muscle_local_blood_flow_control.ARM", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("non_muscle_local_blood_flow_control.POV", "", "non_muscle_oxygen_delivery.POV", 1,\
 5, 17, 0)
DeclareVariable("circulatory_dynamics.multiplication6_1.u1", "", 30.5, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("circulatory_dynamics.multiplication6_1.u2", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareVariable("circulatory_dynamics.multiplication6_1.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("circulatory_dynamics.multiplication6_1.u3", "", "non_muscle_local_blood_flow_control.ARM", 1,\
 5, 317, 0)
DeclareVariable("circulatory_dynamics.multiplication6_1.u4", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("circulatory_dynamics.multiplication6_1.u5", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("circulatory_dynamics.multiplication6_1.u6", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareVariable("circulatory_dynamics.sumPP.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPP.u2", "", "circulatory_dynamics.multiplication6_1.y", 1,\
 5, 319, 0)
DeclareVariable("circulatory_dynamics.sumPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.RAR.y", "Value of Real output", 30.5, \
0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.multiplication6_2.u1", "", 96.3, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("circulatory_dynamics.multiplication6_2.u2", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareVariable("circulatory_dynamics.multiplication6_2.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("circulatory_dynamics.multiplication6_2.u3", "", "muscle_blood_flow_control_and_PO2_1.integrator2.y", 1,\
 1, 4, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_2.u4", "", "circulatory_dynamics.multiplication6_1.u4", 1,\
 5, 320, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_2.u5", "", "circulatory_dynamics.multiplication6_1.u5", 1,\
 5, 321, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_2.u6", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareVariable("circulatory_dynamics.division.u1", "", 100, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.division.u2", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("circulatory_dynamics.division.y", "", "circulatory_dynamics.multiplication6_1.u5", 1,\
 5, 321, 0)
DeclareVariable("circulatory_dynamics.RAM.y", "Value of Real output", 96.3, \
0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.limiter.uMax", "Upper limits of input signals",\
 58, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.limiter.uMin", "Lower limits of input signals",\
 59, 0.95, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("circulatory_dynamics.limiter.u", "Connector of Real input signal",\
 "circulatory_dynamics.ANM", 1, 5, 440, 0)
DeclareAlias2("circulatory_dynamics.limiter.y", "Connector of Real output signal",\
 "circulatory_dynamics.multiplication6_1.u4", 1, 5, 320, 0)
DeclareVariable("circulatory_dynamics.realExpression.y", "Value of Real output",\
 100, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.realExpression1.y", "Value of Real output",\
 1.79, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.division1.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.division1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.division1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.realExpression2.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.multiplication1.u1", "", 0.0212, 0.0,0.0,\
0.0,0,513)
DeclareVariable("circulatory_dynamics.multiplication1.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("circulatory_dynamics.multiplication1.y", "", "circulatory_dynamics.division1.u2", 1,\
 5, 333, 0)
DeclareVariable("circulatory_dynamics.CN2.y", "Value of Real output", 0.0212, \
0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumPP1.u1", "", 17, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumPP1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPP1.y", "", "circulatory_dynamics.multiplication1.u2", 1,\
 5, 337, 0)
DeclareVariable("circulatory_dynamics.realExpression4.y", "Value of Real output",\
 17, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.multiplication2.u1", "", "circulatory_dynamics.integrator.y", 1,\
 1, 12, 0)
DeclareVariable("circulatory_dynamics.multiplication2.u2", "", 0.2, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("circulatory_dynamics.multiplication2.y", "", "circulatory_dynamics.sumPP1.u2", 1,\
 5, 340, 0)
DeclareVariable("circulatory_dynamics.CN7.y", "Value of Real output", 0.2, \
0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.integrator.k", "Integrator gain", 60, 1, \
0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator.y_start", "Initial or guess value of output (= state)",\
 61, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("circulatory_dynamics.integrator.y", "Connector of Real output signal",\
 12, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumPN.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPN.u2", "", "circulatory_dynamics.integrator.y", 1,\
 1, 12, 0)
DeclareAlias2("circulatory_dynamics.sumPN.y", "", "circulatory_dynamics.integrator.u", 1,\
 5, 345, 0)
DeclareVariable("circulatory_dynamics.sumNP.u1", "", 17, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumNP.u2", "", "circulatory_dynamics.PC", 1,\
 5, 443, 0)
DeclareAlias2("circulatory_dynamics.sumNP.y", "", "circulatory_dynamics.sumPN.u1", 1,\
 5, 346, 0)
DeclareVariable("circulatory_dynamics.realExpression3.y", "Value of Real output",\
 17, 0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.integrator1.k", "Integrator gain", 62, 1,\
 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator1.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator1.y_start", "Initial or guess value of output (= state)",\
 63, 0.85, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("circulatory_dynamics.integrator1.y", "Connector of Real output signal",\
 13, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator1.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumNP1.u1", "", 0.495, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumNP1.u2", "", "circulatory_dynamics.integrator1.y", 1,\
 1, 13, 0)
DeclareVariable("circulatory_dynamics.sumNP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.realExpression5.y", "Value of Real output",\
 0.495, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.product_DM.u1", "", 0.00355, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.product_DM.u2", "", "circulatory_dynamics.sumNP1.y", 1,\
 5, 352, 0)
DeclareAlias2("circulatory_dynamics.product_DM.y", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareVariable("circulatory_dynamics.realExpression6.y", "Value of Real output",\
 0.00355, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumPN1.u1", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("circulatory_dynamics.sumPN1.u2", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareVariable("circulatory_dynamics.sumPN1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.product_DM1.u1", "", "circulatory_dynamics.sumPP.y", 1,\
 5, 323, 0)
DeclareAlias2("circulatory_dynamics.product_DM1.u2", "", "circulatory_dynamics.sumPN1.y", 1,\
 5, 356, 0)
DeclareAlias2("circulatory_dynamics.product_DM1.y", "", "non_muscle_oxygen_delivery.BFN", 1,\
 5, 2, 0)
DeclareAlias2("circulatory_dynamics.product_DM2.u1", "", "circulatory_dynamics.multiplication6_2.y", 1,\
 5, 326, 0)
DeclareAlias2("circulatory_dynamics.product_DM2.u2", "", "circulatory_dynamics.sumPN1.y", 1,\
 5, 356, 0)
DeclareAlias2("circulatory_dynamics.product_DM2.y", "", "muscle_blood_flow_control_and_PO2_1.BFM", 1,\
 5, 126, 0)
DeclareAlias2("circulatory_dynamics.sumPPP.u1", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareAlias2("circulatory_dynamics.sumPPP.u2", "", "muscle_blood_flow_control_and_PO2_1.BFM", 1,\
 5, 126, 0)
DeclareAlias2("circulatory_dynamics.sumPPP.u3", "", "non_muscle_oxygen_delivery.BFN", 1,\
 5, 2, 0)
DeclareVariable("circulatory_dynamics.sumPPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPNN.u1", "", "circulatory_dynamics.sumPPP.y", 1,\
 5, 357, 0)
DeclareVariable("circulatory_dynamics.sumPNN.u3", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumPNN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumPNN.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.integrator2.k", "Integrator gain", 64, 1,\
 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator2.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator2.y_start", "Initial or guess value of output (= state)",\
 65, 3.25, 0.0,0.0,0.0,0,560)
DeclareAlias2("circulatory_dynamics.integrator2.u", "Connector of Real input signal",\
 "circulatory_dynamics.sumPNN.y", 1, 5, 359, 0)
DeclareState("circulatory_dynamics.integrator2.y", "Connector of Real output signal",\
 14, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator2.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumNP2.u1", "", "circulatory_dynamics.VVR", 1,\
 5, 442, 0)
DeclareAlias2("circulatory_dynamics.sumNP2.u2", "", "circulatory_dynamics.integrator2.y", 1,\
 1, 14, 0)
DeclareAlias2("circulatory_dynamics.sumNP2.y", "", "vascular_stress_relaxation.VVE", 1,\
 5, 140, 0)
DeclareAlias2("circulatory_dynamics.sumNP3.u1", "", "vascular_stress_relaxation.integrator.y", 1,\
 1, 5, 0)
DeclareAlias2("circulatory_dynamics.sumNP3.u2", "", "vascular_stress_relaxation.VVE", 1,\
 5, 140, 0)
DeclareVariable("circulatory_dynamics.sumNP3.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.limiter1.uMax", "Upper limits of input signals",\
 66, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.limiter1.uMin", "Lower limits of input signals",\
 67, 0.0001, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.limiter1.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("circulatory_dynamics.limiter1.u", "Connector of Real input signal",\
 "circulatory_dynamics.sumNP3.y", 1, 5, 362, 0)
DeclareVariable("circulatory_dynamics.limiter1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.division2.u1", "", "circulatory_dynamics.limiter1.y", 1,\
 5, 364, 0)
DeclareVariable("circulatory_dynamics.division2.u2", "", 0.0825, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.division2.y", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareVariable("circulatory_dynamics.CV.y", "Value of Real output", 0.0825, \
0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.PVS", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPN2.u1", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareAlias2("circulatory_dynamics.sumPN2.u2", "", "circulatory_dynamics.sumPPP.y", 1,\
 5, 357, 0)
DeclareAlias2("circulatory_dynamics.sumPN2.y", "", "circulatory_dynamics.integrator1.u", 1,\
 5, 350, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_3.u1", "", "circulatory_dynamics.AUH", 1,\
 5, 437, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_3.u2", "", "circulatory_dynamics.HMD", 1,\
 5, 445, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_3.y", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_3.u3", "", "circulatory_dynamics.qLN_28_1.y", 1,\
 5, 380, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_3.u4", "", "heart_hypertrophy_or_deterioration.integrator.y", 1,\
 1, 28, 0)
DeclareVariable("circulatory_dynamics.multiplication6_3.u5", "", 1, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("circulatory_dynamics.multiplication6_3.u6", "", "circulatory_dynamics.lVM_59_1.y", 1,\
 5, 370, 0)
DeclareVariable("circulatory_dynamics.lVM_59_1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.lVM_59_1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 1]", "", 68, 0, 0.0,0.0,0.0,\
0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 2]", "", 69, 60, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 3]", "", 70, 100, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 4]", "", 71, 125, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 5]", "", 72, 160, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 6]", "", 73, 200, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.x[1, 7]", "", 74, 240, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 1]", "", 75, 1.04, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 2]", "", 76, 1.025, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 3]", "", 77, 1.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 4]", "", 78, 0.97, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 5]", "", 79, 0.88, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 6]", "", 80, 0.59, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.lVM_59_1.yValues[1, 7]", "", 81, 0.0, \
0.0,0.0,0.0,0,560)
DeclareAlias2("circulatory_dynamics.division3.u1", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("circulatory_dynamics.division3.u2", "", "circulatory_dynamics.AUH", 1,\
 5, 437, 0)
DeclareAlias2("circulatory_dynamics.division3.y", "", "circulatory_dynamics.lVM_59_1.u", 1,\
 5, 369, 0)
DeclareVariable("circulatory_dynamics.product_DM3.u1", "", 0.1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.product_DM3.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.product_DM3.y", "", "circulatory_dynamics.qLN_28_1.u", 1,\
 5, 379, 0)
DeclareVariable("circulatory_dynamics.realExpression7.y", "Value of Real output",\
 0.1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumNP4.u1", "", 0.4, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumNP4.u2", "", "circulatory_dynamics.integrator3.y", 1,\
 1, 15, 0)
DeclareAlias2("circulatory_dynamics.sumNP4.y", "", "circulatory_dynamics.product_DM3.u2", 1,\
 5, 372, 0)
DeclareVariable("circulatory_dynamics.realExpression8.y", "Value of Real output",\
 0.4, 0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.integrator3.k", "Integrator gain", 82, 1,\
 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator3.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator3.y_start", "Initial or guess value of output (= state)",\
 83, 0.4, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator3.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("circulatory_dynamics.integrator3.y", "Connector of Real output signal",\
 15, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator3.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumPN3.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPN3.u2", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareAlias2("circulatory_dynamics.sumPN3.y", "", "circulatory_dynamics.integrator3.u", 1,\
 5, 377, 0)
DeclareVariable("circulatory_dynamics.qLN_28_1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.qLN_28_1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 1]", "", 84, -10.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 2]", "", 85, -9.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 3]", "", 86, -8.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 4]", "", 87, -7.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 5]", "", 88, -6.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 6]", "", 89, -5.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 7]", "", 90, -4.5, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 8]", "", 91, -4.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 9]", "", 92, -1.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 10]", "", 93, 0.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 11]", "", 94, 3.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 12]", "", 95, 6.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 13]", "", 96, 10.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 14]", "", 97, 11.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 15]", "", 98, 12.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 16]", "", 99, 13.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.x[1, 17]", "", 100, 15.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 1]", "", 101, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 2]", "", 102, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 3]", "", 103, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 4]", "", 104, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 5]", "", 105, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 6]", "", 106, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 7]", "", 107, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 8]", "", 108, 0.01, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 9]", "", 109, 3.6, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 10]", "", 110, 5.05, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 11]", "", 111, 9.4, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 12]", "", 112, 11.6, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 13]", "", 113, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 14]", "", 114, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 15]", "", 115, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 16]", "", 116, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qLN_28_1.yValues[1, 17]", "", 117, 13.5, \
0.0,0.0,0.0,0,560)
DeclareAlias2("circulatory_dynamics.sumPP2.u1", "", "circulatory_dynamics.qLN_28_1.u", 1,\
 5, 379, 0)
DeclareVariable("circulatory_dynamics.sumPP2.u2", "", 20, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumPP2.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.realExpression9.y", "Value of Real output",\
 20, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.division3_1.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.division3_1.u2", "", "circulatory_dynamics.sumPP2.y", 1,\
 5, 382, 0)
DeclareVariable("circulatory_dynamics.division3_1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.division3_1.u3", "", 0.0357, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.realExpression10.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.realExpression11.y", "Value of Real output",\
 0.0357, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.RPT.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.RPT.u2", "", "circulatory_dynamics.division3_1.y", 1,\
 5, 385, 0)
DeclareVariable("circulatory_dynamics.RPT.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.division4.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.division4.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.division4.y", "", "circulatory_dynamics.RPT.u1", 1,\
 5, 389, 0)
DeclareVariable("circulatory_dynamics.realExpression12.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sqrt1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sqrt1.y", "Connector of Real output signal",\
 "circulatory_dynamics.division4.u2", 1, 5, 392, 0)
DeclareParameter("circulatory_dynamics.limiter2.uMax", "Upper limits of input signals",\
 118, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.limiter2.uMin", "Lower limits of input signals",\
 119, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.limiter2.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareVariable("circulatory_dynamics.limiter2.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.limiter2.y", "Connector of Real output signal",\
 "circulatory_dynamics.sqrt1.u", 1, 5, 394, 0)
DeclareAlias2("circulatory_dynamics.multiplication3.u1", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareVariable("circulatory_dynamics.multiplication3.u2", "", 0.026, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("circulatory_dynamics.multiplication3.y", "", "circulatory_dynamics.limiter2.u", 1,\
 5, 396, 0)
DeclareVariable("circulatory_dynamics.realExpression13.y", "Value of Real output",\
 0.026, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.product_DM4.u1", "", "circulatory_dynamics.RPT.y", 1,\
 5, 390, 0)
DeclareVariable("circulatory_dynamics.product_DM4.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.product_DM4.y", "", "circulatory_dynamics.sumPN3.u1", 1,\
 5, 378, 0)
DeclareVariable("circulatory_dynamics.division5.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.division5.u2", "", 0.0048, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.division5.y", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareVariable("circulatory_dynamics.realExpression14.y", "Value of Real output",\
 0.0048, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.realExpression15.y", "Value of Real output",\
 0.30625, 0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.integrator4.k", "Integrator gain", 120, 1,\
 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator4.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator4.y_start", "Initial or guess value of output (= state)",\
 121, 0.38, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator4.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("circulatory_dynamics.integrator4.y", "Connector of Real output signal",\
 16, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator4.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumNP6.u1", "", "circulatory_dynamics.sumPN3.u1", 1,\
 5, 378, 0)
DeclareVariable("circulatory_dynamics.sumNP6.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumNP6.y", "", "circulatory_dynamics.integrator4.u", 1,\
 5, 405, 0)
DeclareAlias2("circulatory_dynamics.product_DM5.u1", "", "circulatory_dynamics.AUH", 1,\
 5, 437, 0)
DeclareAlias2("circulatory_dynamics.product_DM5.u2", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareAlias2("circulatory_dynamics.product_DM5.y", "", "circulatory_dynamics.rVM_50_1.u", 1,\
 5, 407, 0)
DeclareVariable("circulatory_dynamics.rVM_50_1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.rVM_50_1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 1]", "", 122, 0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 2]", "", 123, 10, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 3]", "", 124, 20, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 4]", "", 125, 24, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 5]", "", 126, 30, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 6]", "", 127, 38, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.x[1, 7]", "", 128, 45, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 1]", "", 129, 1.06, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 2]", "", 130, 1.03, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 3]", "", 131, 0.97, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 4]", "", 132, 0.93, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 5]", "", 133, 0.8, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 6]", "", 134, 0.46, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.rVM_50_1.yValues[1, 7]", "", 135, 0.0, \
0.0,0.0,0.0,0,560)
DeclareAlias2("circulatory_dynamics.multiplication4.u1", "", "circulatory_dynamics.qRN_16_1.y", 1,\
 5, 411, 0)
DeclareVariable("circulatory_dynamics.multiplication4.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("circulatory_dynamics.multiplication4.y", "", "circulatory_dynamics.sumNP6.u2", 1,\
 5, 406, 0)
DeclareVariable("circulatory_dynamics.qRN_16_1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.qRN_16_1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 1]", "", 136, -10.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 2]", "", 137, -9.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 3]", "", 138, -8.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 4]", "", 139, -7.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 5]", "", 140, -6.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 6]", "", 141, -3.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 7]", "", 142, -1.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 8]", "", 143, 2.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 9]", "", 144, 4.0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 10]", "", 145, 8.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 11]", "", 146, 8.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 12]", "", 147, 9.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 13]", "", 148, 10.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 14]", "", 149, 11.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 15]", "", 150, 12.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.x[1, 16]", "", 151, 13.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 1]", "", 152, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 2]", "", 153, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 3]", "", 154, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 4]", "", 155, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 5]", "", 156, 0.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 6]", "", 157, 0.75, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 7]", "", 158, 2.6, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 8]", "", 159, 9.8, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 9]", "", 160, 12.1, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 10]", "", 161, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 11]", "", 162, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 12]", "", 163, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 13]", "", 164, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 14]", "", 165, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 15]", "", 166, 13.5, \
0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.qRN_16_1.yValues[1, 16]", "", 167, 13.5, \
0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.product_DM6.u1", "", 0.005, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.product_DM6.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.product_DM6.y", "", "circulatory_dynamics.qRN_16_1.u", 1,\
 5, 410, 0)
DeclareVariable("circulatory_dynamics.realExpression16.y", "Value of Real output",\
 0.005, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumPN5.u1", "", "circulatory_dynamics.integrator5.y", 1,\
 1, 17, 0)
DeclareVariable("circulatory_dynamics.sumPN5.u2", "", 0.1, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumPN5.y", "", "circulatory_dynamics.product_DM6.u2", 1,\
 5, 413, 0)
DeclareVariable("circulatory_dynamics.realExpression17.y", "Value of Real output",\
 0.1, 0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.integrator5.k", "Integrator gain", 168, 1,\
 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator5.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("circulatory_dynamics.integrator5.y_start", "Initial or guess value of output (= state)",\
 169, 0.1, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.integrator5.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("circulatory_dynamics.integrator5.y", "Connector of Real output signal",\
 17, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("circulatory_dynamics.integrator5.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumNP7.u1", "", "circulatory_dynamics.sumNP6.u2", 1,\
 5, 406, 0)
DeclareAlias2("circulatory_dynamics.sumNP7.u2", "", "circulatory_dynamics.sumPNN.u3", 1,\
 5, 358, 0)
DeclareAlias2("circulatory_dynamics.sumNP7.y", "", "circulatory_dynamics.integrator5.u", 1,\
 5, 418, 0)
DeclareVariable("circulatory_dynamics.product_DM7.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.product_DM7.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.product_DM7.y", "", "circulatory_dynamics.sumPNN.u3", 1,\
 5, 358, 0)
DeclareAlias2("circulatory_dynamics.product_DM8.u1", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareVariable("circulatory_dynamics.product_DM8.u2", "", 2.738, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.product_DM8.y", "", "circulatory_dynamics.product_DM7.u1", 1,\
 5, 419, 0)
DeclareVariable("circulatory_dynamics.sumNP8.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumNP8.u2", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareAlias2("circulatory_dynamics.sumNP8.y", "", "circulatory_dynamics.product_DM7.u2", 1,\
 5, 420, 0)
DeclareVariable("circulatory_dynamics.realExpression18.y", "Value of Real output",\
 2.738, 0.0,0.0,0.0,0,513)
DeclareParameter("circulatory_dynamics.limiter3.uMax", "Upper limits of input signals",\
 170, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("circulatory_dynamics.limiter3.uMin", "Lower limits of input signals",\
 171, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("circulatory_dynamics.limiter3.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("circulatory_dynamics.limiter3.u", "Connector of Real input signal",\
 "circulatory_dynamics.qRN_16_1.u", 1, 5, 410, 0)
DeclareAlias2("circulatory_dynamics.limiter3.y", "Connector of Real output signal",\
 "circulatory_dynamics.sumNP8.u1", 1, 5, 422, 0)
DeclareVariable("circulatory_dynamics.sumPP4.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.sumPP4.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPP4.y", "", "circulatory_dynamics.multiplication4.u2", 1,\
 5, 409, 0)
DeclareVariable("circulatory_dynamics.multiplication6_4.u1", "", 0.4, 0.0,0.0,\
0.0,0,513)
DeclareVariable("circulatory_dynamics.multiplication6_4.u2", "", 1, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("circulatory_dynamics.multiplication6_4.y", "", "circulatory_dynamics.sumPP4.u1", 1,\
 5, 425, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_4.u3", "", "heart_hypertrophy_or_deterioration.integrator1.y", 1,\
 1, 29, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_4.u4", "", "circulatory_dynamics.HMD", 1,\
 5, 445, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_4.u5", "", "circulatory_dynamics.rVM_50_1.y", 1,\
 5, 408, 0)
DeclareAlias2("circulatory_dynamics.multiplication6_4.u6", "", "circulatory_dynamics.AUH", 1,\
 5, 437, 0)
DeclareVariable("circulatory_dynamics.division6.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.division6.u2", "", "circulatory_dynamics.qLN_28_1.y", 1,\
 5, 380, 0)
DeclareAlias2("circulatory_dynamics.division6.y", "", "circulatory_dynamics.sumPP4.u2", 1,\
 5, 426, 0)
DeclareAlias2("circulatory_dynamics.multiplication5.u1", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareVariable("circulatory_dynamics.multiplication5.u2", "", 0.6, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("circulatory_dynamics.multiplication5.y", "", "circulatory_dynamics.division6.u1", 1,\
 5, 429, 0)
DeclareVariable("circulatory_dynamics.QRF.y", "Value of Real output", 0.6, \
0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumNP9.u1", "", 0.6, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumNP9.u2", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.sumNP9.y", "", 0.4, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.realExpression19.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.HSR.y", "Value of Real output", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u1", "", "circulatory_dynamics.integrator1.y", 1,\
 1, 13, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u2", "", "circulatory_dynamics.integrator3.y", 1,\
 1, 15, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u4", "", "circulatory_dynamics.integrator5.y", 1,\
 1, 17, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.y", "", "circulatory_dynamics.sumPNN.u2", 1,\
 5, 360, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u5", "", "circulatory_dynamics.VB", 1,\
 5, 444, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u3", "", "circulatory_dynamics.integrator4.y", 1,\
 1, 16, 0)
DeclareAlias2("circulatory_dynamics.sumPPPPNP.u6", "", "circulatory_dynamics.integrator2.y", 1,\
 1, 14, 0)
DeclareVariable("circulatory_dynamics.AUH", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.HPL", "", "heart_hypertrophy_or_deterioration.integrator.y", 1,\
 1, 28, 0)
DeclareVariable("circulatory_dynamics.HSL.y", "Value of Real output", 1, \
0.0,0.0,0.0,0,513)
DeclareVariable("circulatory_dynamics.HSL_", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.AUM", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareAlias2("circulatory_dynamics.VIM", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareAlias2("circulatory_dynamics.ARM", "", "non_muscle_local_blood_flow_control.ARM", 1,\
 5, 317, 0)
DeclareAlias2("circulatory_dynamics.AMM", "", "muscle_blood_flow_control_and_PO2_1.integrator2.y", 1,\
 1, 4, 0)
DeclareVariable("circulatory_dynamics.ANM", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.AVE", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.RBF", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareVariable("circulatory_dynamics.VVR", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.VV7", "", "vascular_stress_relaxation.integrator.y", 1,\
 1, 5, 0)
DeclareVariable("circulatory_dynamics.PC", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.VB", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.HPR", "", "heart_hypertrophy_or_deterioration.integrator1.y", 1,\
 1, 29, 0)
DeclareVariable("circulatory_dynamics.HMD", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.HSR_", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.PLA", "", "circulatory_dynamics.qLN_28_1.u", 1,\
 5, 379, 0)
DeclareVariable("circulatory_dynamics.QLO", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("circulatory_dynamics.RVS", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.PA", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("circulatory_dynamics.BFM", "", "muscle_blood_flow_control_and_PO2_1.BFM", 1,\
 5, 126, 0)
DeclareAlias2("circulatory_dynamics.BFN", "", "non_muscle_oxygen_delivery.BFN", 1,\
 5, 2, 0)
DeclareAlias2("circulatory_dynamics.VVE", "", "vascular_stress_relaxation.VVE", 1,\
 5, 140, 0)
DeclareAlias2("circulatory_dynamics.PRA", "", "circulatory_dynamics.qRN_16_1.u", 1,\
 5, 410, 0)
DeclareVariable("circulatory_dynamics.PPA", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("circulatory_dynamics.sumPN6.u1", "", "circulatory_dynamics.integrator4.y", 1,\
 1, 16, 0)
DeclareVariable("circulatory_dynamics.sumPN6.u2", "", 0.30625, 0.0,0.0,0.0,0,513)
DeclareAlias2("circulatory_dynamics.sumPN6.y", "", "circulatory_dynamics.division5.u1", 1,\
 5, 400, 0)
DeclareAlias2("circulatory_dynamics.sumNP5.u1", "", "circulatory_dynamics.qLN_28_1.u", 1,\
 5, 379, 0)
DeclareAlias2("circulatory_dynamics.sumNP5.u2", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareAlias2("circulatory_dynamics.sumNP5.y", "", "circulatory_dynamics.product_DM4.u2", 1,\
 5, 399, 0)
DeclareAlias2("circulatory_dynamics.multiplication6.u1", "", "circulatory_dynamics.RVS", 1,\
 5, 448, 0)
DeclareVariable("circulatory_dynamics.multiplication6.u2", "", 1.79, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("circulatory_dynamics.multiplication6.y", "", "circulatory_dynamics.sumPP.u1", 1,\
 5, 322, 0)
DeclareAlias2("circulatory_dynamics.multiplication3_2.u1", "", "circulatory_dynamics.division1.y", 1,\
 5, 334, 0)
DeclareAlias2("circulatory_dynamics.multiplication3_2.u2", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareAlias2("circulatory_dynamics.multiplication3_2.y", "", "circulatory_dynamics.RVS", 1,\
 5, 448, 0)
DeclareAlias2("circulatory_dynamics.multiplication3_2.u3", "", "circulatory_dynamics.AVE", 1,\
 5, 441, 0)
DeclareVariable("capillary_membrane_dynamics.multiplication3_1.u1", "", 1.6379, \
0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.multiplication3_1.u2", "", \
"circulatory_dynamics.RVS", 1, 5, 448, 0)
DeclareVariable("capillary_membrane_dynamics.multiplication3_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.multiplication3_1.u3", "", \
"non_muscle_oxygen_delivery.BFN", 1, 5, 2, 0)
DeclareVariable("capillary_membrane_dynamics.realExpression.y", "Value of Real output",\
 1.6379, 0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.sumPP.u1", "", "capillary_membrane_dynamics.multiplication3_1.y", 1,\
 5, 453, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPP.u2", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPP.y", "", "circulatory_dynamics.PC", 1,\
 5, 443, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNPN.u1", "", "capillary_membrane_dynamics.PTC", 1,\
 5, 480, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNPN.u2", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNPN.u3", "", "circulatory_dynamics.PC", 1,\
 5, 443, 0)
DeclareVariable("capillary_membrane_dynamics.sumPNPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.sumPNPN.u4", "", "kidney_dynamics_and_excretion.PPC", 1,\
 5, 220, 0)
DeclareAlias2("capillary_membrane_dynamics.multiplication.u1", "", \
"capillary_membrane_dynamics.sumPNPN.y", 1, 5, 455, 0)
DeclareVariable("capillary_membrane_dynamics.multiplication.u2", "", 0.007, \
0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.multiplication.y", "", \
"capillary_membrane_dynamics.VTC", 1, 5, 485, 0)
DeclareVariable("capillary_membrane_dynamics.CFC.y", "Value of Real output", \
0.007, 0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.sumPNNNP.u1", "", "capillary_membrane_dynamics.VTL", 1,\
 5, 478, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNNNP.u2", "", "capillary_membrane_dynamics.DFP", 1,\
 5, 479, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNNNP.u4", "", "capillary_membrane_dynamics.VTC", 1,\
 5, 485, 0)
DeclareVariable("capillary_membrane_dynamics.sumPNNNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.sumPNNNP.u5", "", "thirst_and_drinking.TVD", 1,\
 5, 238, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPNNNP.u3", "", "kidney_dynamics_and_excretion.VUD", 1,\
 5, 215, 0)
DeclareParameter("capillary_membrane_dynamics.integrator.k", "Integrator gain", 172,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("capillary_membrane_dynamics.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("capillary_membrane_dynamics.integrator.y_start", \
"Initial or guess value of output (= state)", 173, 3, 0.0,0.0,0.0,0,560)
DeclareAlias2("capillary_membrane_dynamics.integrator.u", "Connector of Real input signal",\
 "capillary_membrane_dynamics.sumPNNNP.y", 1, 5, 458, 0)
DeclareState("capillary_membrane_dynamics.integrator.y", "Connector of Real output signal",\
 18, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("capillary_membrane_dynamics.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.sumPP1.u1", "", "red_cells_and_viscosity.integrator.y", 1,\
 1, 26, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPP1.u2", "", "capillary_membrane_dynamics.integrator.y", 1,\
 1, 18, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPP1.y", "", "circulatory_dynamics.VB", 1,\
 5, 444, 0)
DeclareAlias2("capillary_membrane_dynamics.VB", "", "circulatory_dynamics.VB", 1,\
 5, 444, 0)
DeclareAlias2("capillary_membrane_dynamics.multiplication1.u1", "", \
"capillary_membrane_dynamics.CPP", 1, 5, 486, 0)
DeclareVariable("capillary_membrane_dynamics.multiplication1.u2", "", 0.4, \
0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.multiplication1.y", "", \
"kidney_dynamics_and_excretion.PPC", 1, 5, 220, 0)
DeclareVariable("capillary_membrane_dynamics.realExpression1.y", \
"Value of Real output", 0.4, 0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.division.u1", "", "capillary_membrane_dynamics.integrator1.y", 1,\
 1, 19, 0)
DeclareAlias2("capillary_membrane_dynamics.division.u2", "", "capillary_membrane_dynamics.integrator.y", 1,\
 1, 18, 0)
DeclareAlias2("capillary_membrane_dynamics.division.y", "", "capillary_membrane_dynamics.CPP", 1,\
 5, 486, 0)
DeclareParameter("capillary_membrane_dynamics.integrator1.k", "Integrator gain",\
 174, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("capillary_membrane_dynamics.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("capillary_membrane_dynamics.integrator1.y_start", \
"Initial or guess value of output (= state)", 175, 210, 0.0,0.0,0.0,0,560)
DeclareVariable("capillary_membrane_dynamics.integrator1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("capillary_membrane_dynamics.integrator1.y", "Connector of Real output signal",\
 19, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("capillary_membrane_dynamics.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.sumNPNPN.u1", "", "capillary_membrane_dynamics.PPD", 1,\
 5, 483, 0)
DeclareVariable("capillary_membrane_dynamics.sumNPNPN.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("capillary_membrane_dynamics.sumNPNPN.u4", "", "capillary_membrane_dynamics.DPL", 1,\
 5, 484, 0)
DeclareAlias2("capillary_membrane_dynamics.sumNPNPN.y", "", "capillary_membrane_dynamics.integrator1.u", 1,\
 5, 463, 0)
DeclareAlias2("capillary_membrane_dynamics.sumNPNPN.u5", "", "capillary_membrane_dynamics.DPC", 1,\
 5, 477, 0)
DeclareVariable("capillary_membrane_dynamics.sumNPNPN.u3", "", 0.007, 0.0,0.0,\
0.0,0,513)
DeclareVariable("capillary_membrane_dynamics.DP0.y", "Value of Real output", \
0.007, 0.0,0.0,0.0,0,513)
DeclareVariable("capillary_membrane_dynamics.multiplication2.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.multiplication2.u2", "", 0.00047, \
0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.multiplication2.y", "", \
"capillary_membrane_dynamics.sumNPNPN.u2", 1, 5, 464, 0)
DeclareVariable("capillary_membrane_dynamics.LPK.y", "Value of Real output", \
0.00047, 0.0,0.0,0.0,0,513)
DeclareVariable("capillary_membrane_dynamics.sumPN.u1", "", 85, 0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.sumPN.u2", "", "capillary_membrane_dynamics.CPP", 1,\
 5, 486, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPN.y", "", "capillary_membrane_dynamics.multiplication2.u1", 1,\
 5, 467, 0)
DeclareVariable("capillary_membrane_dynamics.CPR.y", "Value of Real output", 85,\
 0.0,0.0,0.0,0,513)
DeclareVariable("capillary_membrane_dynamics.multiplication3.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.multiplication3.u2", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.multiplication3.y", "", \
"capillary_membrane_dynamics.DPC", 1, 5, 477, 0)
DeclareVariable("capillary_membrane_dynamics.multiplication4.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.multiplication4.u2", "", \
1.6283E-007, 0.0,0.0,0.0,0,513)
DeclareAlias2("capillary_membrane_dynamics.multiplication4.y", "", \
"capillary_membrane_dynamics.multiplication3.u1", 1, 5, 472, 0)
DeclareVariable("capillary_membrane_dynamics.CPK.y", "Value of Real output", \
1.6283E-007, 0.0,0.0,0.0,0,513)
DeclareParameter("capillary_membrane_dynamics.u_3_1.x", "", 176, 3, 0.0,0.0,0.0,\
0,560)
DeclareAlias2("capillary_membrane_dynamics.u_3_1.u1", "", "circulatory_dynamics.PC", 1,\
 5, 443, 0)
DeclareAlias2("capillary_membrane_dynamics.u_3_1.y", "", "capillary_membrane_dynamics.multiplication4.u1", 1,\
 5, 474, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPN1.u1", "", "capillary_membrane_dynamics.CPP", 1,\
 5, 486, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPN1.u2", "", "capillary_membrane_dynamics.CPI", 1,\
 5, 482, 0)
DeclareAlias2("capillary_membrane_dynamics.sumPN1.y", "", "capillary_membrane_dynamics.multiplication3.u2", 1,\
 5, 473, 0)
DeclareAlias2("capillary_membrane_dynamics.VP", "", "capillary_membrane_dynamics.integrator.y", 1,\
 1, 18, 0)
DeclareVariable("capillary_membrane_dynamics.DPC", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.PPC", "", "kidney_dynamics_and_excretion.PPC", 1,\
 5, 220, 0)
DeclareAlias2("capillary_membrane_dynamics.VRC", "", "red_cells_and_viscosity.integrator.y", 1,\
 1, 26, 0)
DeclareVariable("capillary_membrane_dynamics.VTL", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.DFP", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.VUD", "", "kidney_dynamics_and_excretion.VUD", 1,\
 5, 215, 0)
DeclareAlias2("capillary_membrane_dynamics.TVD", "", "thirst_and_drinking.TVD", 1,\
 5, 238, 0)
DeclareVariable("capillary_membrane_dynamics.PTC", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.PIF", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.PVS", "", "circulatory_dynamics.PVS", 1,\
 5, 367, 0)
DeclareAlias2("capillary_membrane_dynamics.BFN", "", "non_muscle_oxygen_delivery.BFN", 1,\
 5, 2, 0)
DeclareAlias2("capillary_membrane_dynamics.RVS", "", "circulatory_dynamics.RVS", 1,\
 5, 448, 0)
DeclareVariable("capillary_membrane_dynamics.CPI", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.PPD", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.DPL", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("capillary_membrane_dynamics.VTC", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("capillary_membrane_dynamics.PC", "", "circulatory_dynamics.PC", 1,\
 5, 443, 0)
DeclareVariable("capillary_membrane_dynamics.CPP", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.realExpression.y", "Value of Real output", 152,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.multiplication.u1", "", "kidney_dynamics_and_excretion.CNE", 1,\
 5, 223, 0)
DeclareVariable("angiotensin_control.multiplication.u2", "", 0.1, 0.0,0.0,0.0,0,513)
DeclareVariable("angiotensin_control.multiplication.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.sumPN.u1", "", 152, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.sumPN.u2", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareAlias2("angiotensin_control.sumPN.y", "", "kidney_dynamics_and_excretion.CNE", 1,\
 5, 223, 0)
DeclareVariable("angiotensin_control.realExpression1.y", "Value of Real output",\
 0.1, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.multiplication1.u1", "", "angiotensin_control.multiplication.y", 1,\
 5, 489, 0)
DeclareVariable("angiotensin_control.multiplication1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.multiplication1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("angiotensin_control.CNE", "", "kidney_dynamics_and_excretion.CNE", 1,\
 5, 223, 0)
DeclareAlias2("angiotensin_control.multiplication2.u1", "", "angiotensin_control.multiplication1.u2", 1,\
 5, 492, 0)
DeclareVariable("angiotensin_control.multiplication2.u2", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.multiplication2.y", "", "angiotensin_control.multiplication1.u2", 1,\
 5, 492, 0)
DeclareParameter("angiotensin_control.xu_3_1.x", "", 177, 3, 0.0,0.0,0.0,0,560)
DeclareAlias2("angiotensin_control.xu_3_1.u1", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareAlias2("angiotensin_control.xu_3_1.y", "", "angiotensin_control.multiplication1.u2", 1,\
 5, 492, 0)
DeclareAlias2("angiotensin_control.sumNP.u1", "", "angiotensin_control.integrator.y", 1,\
 1, 20, 0)
DeclareAlias2("angiotensin_control.sumNP.u2", "", "angiotensin_control.multiplication1.y", 1,\
 5, 493, 0)
DeclareVariable("angiotensin_control.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("angiotensin_control.integrator.k", "Integrator gain", 178, 1, \
0.0,0.0,0.0,0,560)
DeclareVariable("angiotensin_control.integrator.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("angiotensin_control.integrator.y_start", "Initial or guess value of output (= state)",\
 179, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("angiotensin_control.integrator.u", "Connector of Real input signal",\
 "angiotensin_control.sumNP.y", 1, 5, 495, 0)
DeclareState("angiotensin_control.integrator.y", "Connector of Real output signal",\
 20, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("angiotensin_control.integrator.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.multiplication3.u1", "", 0.042, 0.0,0.0,0.0,\
0,513)
DeclareAlias2("angiotensin_control.multiplication3.u2", "", "angiotensin_control.integrator.y", 1,\
 1, 20, 0)
DeclareVariable("angiotensin_control.multiplication3.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.realExpression2.y", "Value of Real output",\
 0.042, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control._10_u.u1", "", "angiotensin_control.multiplication3.y", 1,\
 5, 498, 0)
DeclareVariable("angiotensin_control._10_u.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.division.u1", "", 3.3, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.division.u2", "", "angiotensin_control._10_u.y", 1,\
 5, 500, 0)
DeclareVariable("angiotensin_control.division.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.realExpression3.y", "Value of Real output",\
 3.3, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.sumNP1.u1", "", "angiotensin_control.division.y", 1,\
 5, 502, 0)
DeclareVariable("angiotensin_control.sumNP1.u2", "", 4, 0.0,0.0,0.0,0,513)
DeclareVariable("angiotensin_control.sumNP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("angiotensin_control.realExpression4.y", "Value of Real output",\
 4, 0.0,0.0,0.0,0,513)
DeclareParameter("angiotensin_control.limiter.uMax", "Upper limits of input signals",\
 180, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("angiotensin_control.limiter.uMin", "Lower limits of input signals",\
 181, 0.7, 0.0,0.0,0.0,0,560)
DeclareVariable("angiotensin_control.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("angiotensin_control.limiter.u", "Connector of Real input signal",\
 "angiotensin_control.sumNP1.y", 1, 5, 505, 0)
DeclareAlias2("angiotensin_control.limiter.y", "Connector of Real output signal",\
 "circulatory_dynamics.ANM", 1, 5, 440, 0)
DeclareAlias2("angiotensin_control.ANM", "", "circulatory_dynamics.ANM", 1, 5, 440,\
 0)
DeclareVariable("angiotensin_control.REK", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("angiotensin_control.RFN", "", "kidney_dynamics_and_excretion.RBF", 1,\
 5, 217, 0)
DeclareAlias2("angiotensin_control.CNA", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareVariable("aldosterone_control.realExpression.y", "Value of Real output", \
0.00352, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.product_DMD.u1", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareAlias2("aldosterone_control.product_DMD.u2", "", "aldosterone_control.CKE", 1,\
 5, 534, 0)
DeclareVariable("aldosterone_control.product_DMD.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.product_DMD.u3", "", 0.00352, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.sumPN.u1", "", "aldosterone_control.product_DMD.y", 1,\
 5, 510, 0)
DeclareVariable("aldosterone_control.sumPN.u2", "", 9, 0.0,0.0,0.0,0,513)
DeclareVariable("aldosterone_control.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.realExpression1.y", "Value of Real output",\
 9, 0.0,0.0,0.0,0,513)
DeclareParameter("aldosterone_control.limiter.uMax", "Upper limits of input signals",\
 182, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.limiter.uMin", "Lower limits of input signals",\
 183, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("aldosterone_control.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("aldosterone_control.limiter.u", "Connector of Real input signal",\
 "aldosterone_control.sumPN.y", 1, 5, 513, 0)
DeclareVariable("aldosterone_control.limiter.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("aldosterone_control.multiplication3_1.u1", "", "aldosterone_control.aMP_164_1.y", 1,\
 5, 533, 0)
DeclareAlias2("aldosterone_control.multiplication3_1.u2", "", "circulatory_dynamics.ANM", 1,\
 5, 440, 0)
DeclareVariable("aldosterone_control.multiplication3_1.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("aldosterone_control.multiplication3_1.u3", "", "aldosterone_control.limiter.y", 1,\
 5, 516, 0)
DeclareAlias2("aldosterone_control.sumNP.u1", "", "aldosterone_control.integrator.y", 1,\
 1, 21, 0)
DeclareAlias2("aldosterone_control.sumNP.u2", "", "aldosterone_control.multiplication3_1.y", 1,\
 5, 517, 0)
DeclareVariable("aldosterone_control.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.product_DM.u1", "", 60, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.product_DM.u2", "", "aldosterone_control.sumNP.y", 1,\
 5, 518, 0)
DeclareVariable("aldosterone_control.product_DM.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.AMT.y", "Value of Real output", 60, \
0.0,0.0,0.0,0,513)
DeclareParameter("aldosterone_control.integrator.k", "Integrator gain", 184, 1, \
0.0,0.0,0.0,0,560)
DeclareVariable("aldosterone_control.integrator.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("aldosterone_control.integrator.y_start", "Initial or guess value of output (= state)",\
 185, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("aldosterone_control.integrator.u", "Connector of Real input signal",\
 "aldosterone_control.product_DM.y", 1, 5, 520, 0)
DeclareState("aldosterone_control.integrator.y", "Connector of Real output signal",\
 21, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("aldosterone_control.integrator.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("aldosterone_control.multiplication.u1", "", "aldosterone_control.integrator.y", 1,\
 1, 21, 0)
DeclareVariable("aldosterone_control.multiplication.u2", "", -0.017, 0.0,0.0,0.0,\
0,513)
DeclareVariable("aldosterone_control.multiplication.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.realExpression2.y", "Value of Real output",\
 -0.017, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control._10_u.u1", "", "aldosterone_control.multiplication.y", 1,\
 5, 524, 0)
DeclareVariable("aldosterone_control._10_u.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("aldosterone_control.multiplication1.u1", "", "aldosterone_control._10_u.y", 1,\
 5, 526, 0)
DeclareVariable("aldosterone_control.multiplication1.u2", "", 19.8, 0.0,0.0,0.0,\
0,513)
DeclareVariable("aldosterone_control.multiplication1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.realExpression3.y", "Value of Real output",\
 19.8, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.sumNP1.u1", "", "aldosterone_control.multiplication1.y", 1,\
 5, 528, 0)
DeclareVariable("aldosterone_control.sumNP1.u2", "", 20.039, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.sumNP1.y", "", "kidney_dynamics_and_excretion.AM", 1,\
 5, 224, 0)
DeclareVariable("aldosterone_control.realExpression4.y", "Value of Real output",\
 20.039, 0.0,0.0,0.0,0,513)
DeclareAlias2("aldosterone_control.AM", "", "kidney_dynamics_and_excretion.AM", 1,\
 5, 224, 0)
DeclareVariable("aldosterone_control.aMP_164_1.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("aldosterone_control.aMP_164_1.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 1]", "", 186, 0, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 2]", "", 187, 30, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 3]", "", 188, 60, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 4]", "", 189, 100, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 5]", "", 190, 160, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.x[1, 6]", "", 191, 400, 0.0,0.0,\
0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 1]", "", 192, 7.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 2]", "", 193, 6.25, \
0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 3]", "", 194, 3.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 4]", "", 195, 1.0, \
0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 5]", "", 196, 0.15, \
0.0,0.0,0.0,0,560)
DeclareParameter("aldosterone_control.aMP_164_1.yValues[1, 6]", "", 197, 0.05, \
0.0,0.0,0.0,0,560)
DeclareAlias2("aldosterone_control.CNA", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareVariable("aldosterone_control.CKE", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("aldosterone_control.PA", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("aldosterone_control.ANM", "", "circulatory_dynamics.ANM", 1, 5, 440,\
 0)
DeclareParameter("autonomic_control.limiter.uMax", "Upper limits of input signals",\
 198, 8, 0.0,0.0,0.0,0,560)
DeclareParameter("autonomic_control.limiter.uMin", "Lower limits of input signals",\
 199, 4, 0.0,0.0,0.0,0,560)
DeclareVariable("autonomic_control.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareAlias2("autonomic_control.limiter.u", "Connector of Real input signal", \
"non_muscle_oxygen_delivery.POT", 1, 5, 26, 0)
DeclareVariable("autonomic_control.limiter.y", "Connector of Real output signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.multiplication.u1", "", "autonomic_control.limiter.y", 1,\
 5, 536, 0)
DeclareAlias2("autonomic_control.multiplication.u2", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareVariable("autonomic_control.multiplication.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.division.u1", "", "autonomic_control.multiplication.y", 1,\
 5, 537, 0)
DeclareVariable("autonomic_control.division.u2", "", 8, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.division.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.realExpression.y", "Value of Real output", 8,\
 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumNP.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.sumNP.u2", "", "autonomic_control.division.y", 1,\
 5, 539, 0)
DeclareAlias2("autonomic_control.sumNP.y", "", "autonomic_control.aUC_299_1.u1", 1,\
 5, 556, 0)
DeclareVariable("autonomic_control.sumPP.u1", "", 0.0, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumPP.u2", "", "autonomic_control.sumNP.u1", 1,\
 5, 541, 0)
DeclareAlias2("autonomic_control.sumPP.y", "", "autonomic_control.sumNP.u1", 1, 5,\
 541, 0)
DeclareVariable("autonomic_control.multiplication1.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.multiplication1.u2", "", 3, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication1.y", "", "autonomic_control.sumNP.u1", 1,\
 5, 541, 0)
DeclareVariable("autonomic_control.EX1.y", "Value of Real output", 3, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("autonomic_control.sumNP1.u1", "", "muscle_blood_flow_control_and_PO2_1.P2O", 1,\
 5, 125, 0)
DeclareVariable("autonomic_control.sumNP1.u2", "", 8, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumNP1.y", "", "autonomic_control.multiplication1.u1", 1,\
 5, 543, 0)
DeclareVariable("autonomic_control.konst.y", "Value of Real output", 8, 0.0,0.0,\
0.0,0,513)
DeclareVariable("autonomic_control.multiplication2.u1", "", 1.24, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.multiplication2.u2", "", 0, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.multiplication2.y", "", 0.0, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumNP2.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumNP2.u2", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumNP2.y", "", 0.0, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.Z12.y", "Value of Real output", 1.24, \
0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.realExpression1.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.aUC_299_1.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.aUC_299_1.y", "", 0.0, 0.0,0.0,0.0,0,656)
DeclareVariable("autonomic_control.aUB_300_1.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.aUB_300_1.y", "", 0.0, 0.0,0.0,0.0,0,656)
DeclareVariable("autonomic_control.aUN_306_1.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.aUN_306_1.y", "", 0.0, 0.0,0.0,0.0,0,656)
DeclareParameter("autonomic_control.u_3_1.x", "", 200, 3, 0.0,0.0,0.0,0,560)
DeclareAlias2("autonomic_control.u_3_1.u1", "", "autonomic_control.aUB_300_1.y", 1,\
 5, 559, 0)
DeclareVariable("autonomic_control.u_3_1.y", "", 0.0, 0.0,0.0,0.0,0,640)
DeclareAlias2("autonomic_control.sumPN.u1", "", "autonomic_control.u_3_1.y", 1, 5,\
 562, 0)
DeclareAlias2("autonomic_control.sumPN.u2", "", "autonomic_control.integrator.y", 1,\
 1, 22, 0)
DeclareVariable("autonomic_control.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.sumPN1.u1", "", "autonomic_control.sumPN.y", 1,\
 5, 563, 0)
DeclareVariable("autonomic_control.sumPN1.u2", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumPN1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.realExpression2.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication3.u1", "", "autonomic_control.sumPN1.y", 1,\
 5, 565, 0)
DeclareVariable("autonomic_control.multiplication3.u2", "", 0.0005, 0.0,0.0,0.0,\
0,513)
DeclareVariable("autonomic_control.multiplication3.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.AUK.y", "Value of Real output", 0.0005, \
0.0,0.0,0.0,0,513)
DeclareParameter("autonomic_control.integrator.k", "Integrator gain", 201, 1, \
0.0,0.0,0.0,0,560)
DeclareVariable("autonomic_control.integrator.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("autonomic_control.integrator.y_start", "Initial or guess value of output (= state)",\
 202, 0, 0.0,0.0,0.0,0,560)
DeclareAlias2("autonomic_control.integrator.u", "Connector of Real input signal",\
 "autonomic_control.multiplication3.y", 1, 5, 568, 0)
DeclareState("autonomic_control.integrator.y", "Connector of Real output signal",\
 22, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("autonomic_control.integrator.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.sumPPP.u1", "", "autonomic_control.sumPN.y", 1,\
 5, 563, 0)
DeclareAlias2("autonomic_control.sumPPP.u2", "", "autonomic_control.aUC_299_1.y", 1,\
 5, 557, 0)
DeclareAlias2("autonomic_control.sumPPP.u3", "", "autonomic_control.aUN_306_1.y", 1,\
 5, 561, 0)
DeclareVariable("autonomic_control.sumPPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.sumNP3.u1", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareAlias2("autonomic_control.sumNP3.u2", "", "autonomic_control.sumPPP.y", 1,\
 5, 571, 0)
DeclareVariable("autonomic_control.sumNP3.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.multiplication4.u1", "", "autonomic_control.sumNP3.y", 1,\
 5, 572, 0)
DeclareVariable("autonomic_control.multiplication4.u2", "", 6, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.multiplication4.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("autonomic_control.integrator1.k", "Integrator gain", 203, 1, \
0.0,0.0,0.0,0,560)
DeclareVariable("autonomic_control.integrator1.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("autonomic_control.integrator1.y_start", "Initial or guess value of output (= state)",\
 204, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("autonomic_control.integrator1.u", "Connector of Real input signal",\
 "autonomic_control.multiplication4.y", 1, 5, 574, 0)
DeclareState("autonomic_control.integrator1.y", "Connector of Real output signal",\
 23, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("autonomic_control.integrator1.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.sumPN2.u1", "", 3.159, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.sumPN2.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("autonomic_control.sumPN2.y", "", "circulatory_dynamics.VVR", 1, 5,\
 442, 0)
DeclareAlias2("autonomic_control.multiplication5.u1", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareVariable("autonomic_control.multiplication5.u2", "", 0.21, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication5.y", "", "autonomic_control.sumPN2.u2", 1,\
 5, 577, 0)
DeclareVariable("autonomic_control.VV9.y", "Value of Real output", 3.159, \
0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.Z8.y", "Value of Real output", 6, 0.0,0.0,0.0,\
0,513)
DeclareVariable("autonomic_control.AUL.y", "Value of Real output", 0.21, \
0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.VVR", "", "circulatory_dynamics.VVR", 1, 5, 442,\
 0)
DeclareAlias2("autonomic_control.AU", "", "autonomic_control.integrator1.y", 1, 1,\
 23, 0)
DeclareVariable("autonomic_control.multiplication6.u1", "", 0.3, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication6.u2", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareVariable("autonomic_control.multiplication6.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.sumPP1.u1", "", 0.7, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumPP1.u2", "", "autonomic_control.multiplication6.y", 1,\
 5, 583, 0)
DeclareAlias2("autonomic_control.sumPP1.y", "", "circulatory_dynamics.AUH", 1, 5,\
 437, 0)
DeclareVariable("autonomic_control.AUD.y", "Value of Real output", 0.7, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("autonomic_control.AUH", "", "circulatory_dynamics.AUH", 1, 5, 437,\
 0)
DeclareVariable("autonomic_control.AUV.y", "Value of Real output", 0.3, 0.0,0.0,\
0.0,0,513)
DeclareVariable("autonomic_control.multiplication7.u1", "", 0.85, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication7.u2", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareVariable("autonomic_control.multiplication7.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.realExpression3.y", "Value of Real output", \
0.85, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumPP2.u1", "", "autonomic_control.multiplication7.y", 1,\
 5, 588, 0)
DeclareVariable("autonomic_control.sumPP2.u2", "", 0.15, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumPP2.y", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareVariable("autonomic_control.realExpression4.y", "Value of Real output", \
0.15, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.AUM", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareVariable("autonomic_control.sumNP4.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumNP4.u2", "", "kidney_dynamics_and_excretion.AUM", 1,\
 5, 218, 0)
DeclareVariable("autonomic_control.sumNP4.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.realExpression5.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.multiplication8.u1", "", "autonomic_control.sumNP4.y", 1,\
 5, 593, 0)
DeclareVariable("autonomic_control.multiplication8.u2", "", 0.5, 0.0,0.0,0.0,0,513)
DeclareVariable("autonomic_control.multiplication8.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("autonomic_control.AUY.y", "Value of Real output", 0.5, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("autonomic_control.sumPP3.u1", "", "autonomic_control.multiplication8.y", 1,\
 5, 596, 0)
DeclareVariable("autonomic_control.sumPP3.u2", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.sumPP3.y", "", "circulatory_dynamics.AVE", 1, 5,\
 441, 0)
DeclareVariable("autonomic_control.realExpression6.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("autonomic_control.AVE", "", "circulatory_dynamics.AVE", 1, 5, 441,\
 0)
DeclareAlias2("autonomic_control.POT", "", "non_muscle_oxygen_delivery.POT", 1, 5,\
 26, 0)
DeclareAlias2("autonomic_control.PA", "", "aldosterone_control.aMP_164_1.u", 1, 5,\
 532, 0)
DeclareAlias2("autonomic_control.P2O", "", "muscle_blood_flow_control_and_PO2_1.P2O", 1,\
 5, 125, 0)
DeclareVariable("autonomic_control.EXC", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.division.u1", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareAlias2("heart_rate_and_stroke_volume.division.u2", "", "heart_rate_and_stroke_volume.HR", 1,\
 5, 620, 0)
DeclareAlias2("heart_rate_and_stroke_volume.division.y", "", "heart_rate_and_stroke_volume.SVO", 1,\
 5, 619, 0)
DeclareVariable("heart_rate_and_stroke_volume.sumPP.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.sumPP.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.sumPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.multiplication.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.multiplication.u2", "", 0.5, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication.y", "", \
"heart_rate_and_stroke_volume.sumPP.u2", 1, 5, 602, 0)
DeclareVariable("heart_rate_and_stroke_volume.sumNP.u1", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.sumNP.u2", "", "circulatory_dynamics.HMD", 1,\
 5, 445, 0)
DeclareAlias2("heart_rate_and_stroke_volume.sumNP.y", "", "heart_rate_and_stroke_volume.multiplication.u1", 1,\
 5, 604, 0)
DeclareVariable("heart_rate_and_stroke_volume.multiplication1.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication1.u2", "", \
"heart_rate_and_stroke_volume.sumPP.y", 1, 5, 603, 0)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication1.y", "", \
"heart_rate_and_stroke_volume.HR", 1, 5, 620, 0)
DeclareVariable("heart_rate_and_stroke_volume.sumPPP.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.sumPPP.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.sumPPP.u3", "", 32, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.sumPPP.y", "", "heart_rate_and_stroke_volume.multiplication1.u1", 1,\
 5, 607, 0)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication2.u1", "", \
"circulatory_dynamics.qRN_16_1.u", 1, 5, 410, 0)
DeclareVariable("heart_rate_and_stroke_volume.multiplication2.u2", "", 2, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication2.y", "", \
"heart_rate_and_stroke_volume.sumPPP.u2", 1, 5, 609, 0)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication3.u1", "", \
"autonomic_control.integrator1.y", 1, 1, 23, 0)
DeclareVariable("heart_rate_and_stroke_volume.multiplication3.u2", "", 40, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.multiplication3.y", "", \
"heart_rate_and_stroke_volume.sumPPP.u1", 1, 5, 608, 0)
DeclareVariable("heart_rate_and_stroke_volume.konst.y", "Value of Real output", 1,\
 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.konst1.y", "Value of Real output",\
 0.5, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.konst2.y", "Value of Real output",\
 1, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.konst3.y", "Value of Real output",\
 40, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.konst4.y", "Value of Real output",\
 2, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_rate_and_stroke_volume.konst5.y", "Value of Real output",\
 32, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_rate_and_stroke_volume.PRA", "", "circulatory_dynamics.qRN_16_1.u", 1,\
 5, 410, 0)
DeclareAlias2("heart_rate_and_stroke_volume.HMD", "", "circulatory_dynamics.HMD", 1,\
 5, 445, 0)
DeclareAlias2("heart_rate_and_stroke_volume.AU", "", "autonomic_control.integrator1.y", 1,\
 1, 23, 0)
DeclareAlias2("heart_rate_and_stroke_volume.QLO", "", "circulatory_dynamics.QLO", 1,\
 5, 447, 0)
DeclareVariable("heart_rate_and_stroke_volume.SVO", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_rate_and_stroke_volume.HR", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication.u1", "", 0.4667, \
0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication.u2", "", \
"circulatory_dynamics.PPA", 1, 5, 449, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression.y", \
"Value of Real output", 0.4667, 0.0,0.0,0.0,0,513)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication1.u1", "", 0.55, \
0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication1.u2", "", \
"circulatory_dynamics.qLN_28_1.u", 1, 5, 379, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression1.y", \
"Value of Real output", 0.55, 0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPP.u1", "", "pulmonary_dynamics_and_fluids.multiplication1.y", 1,\
 5, 625, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPP.u2", "", "pulmonary_dynamics_and_fluids.multiplication.y", 1,\
 5, 622, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPNPN.u1", "", "pulmonary_dynamics_and_fluids.sumPP.y", 1,\
 5, 627, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPNPN.u2", "", "kidney_dynamics_and_excretion.PPC", 1,\
 5, 220, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPNPN.u3", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPNPN.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPNPN.u4", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication2.u1", "", \
"pulmonary_dynamics_and_fluids.sumPNPN.y", 1, 5, 629, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication2.u2", "", 0.0003, \
0.0,0.0,0.0,0,513)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.CPF.y", "Value of Real output", \
0.0003, 0.0,0.0,0.0,0,513)
DeclareParameter("pulmonary_dynamics_and_fluids.integrator.k", "Integrator gain",\
 205, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("pulmonary_dynamics_and_fluids.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("pulmonary_dynamics_and_fluids.integrator.y_start", \
"Initial or guess value of output (= state)", 206, 0.0125, 0.0,0.0,0.0,0,560)
DeclareAlias2("pulmonary_dynamics_and_fluids.integrator.u", "Connector of Real input signal",\
 "capillary_membrane_dynamics.DFP", 1, 5, 479, 0)
DeclareState("pulmonary_dynamics_and_fluids.integrator.y", "Connector of Real output signal",\
 24, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("pulmonary_dynamics_and_fluids.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.pPI.label", "", 0.0, 0.0,0.0,0.0,\
0,513)
DeclareParameter("pulmonary_dynamics_and_fluids.pPI.u", "", 207, 1, 0.0,0.0,0.0,\
0,560)
DeclareAlias2("pulmonary_dynamics_and_fluids.pPI.u1", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.pPI.y", "", "pulmonary_dynamics_and_fluids.sumPNPN.u4", 1,\
 5, 630, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPP1.u1", "", 11, 0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPP1.u2", "", "pulmonary_dynamics_and_fluids.sumPNPN.u4", 1,\
 5, 630, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression2.y", \
"Value of Real output", 11, 0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication3.u1", "", \
"pulmonary_dynamics_and_fluids.sumPP1.y", 1, 5, 637, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication3.u2", "", 0.0003, \
0.0,0.0,0.0,0,513)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication3.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression3.y", \
"Value of Real output", 0.0003, 0.0,0.0,0.0,0,513)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication4.u1", "", 0.000225,\
 0.0,0.0,0.0,0,513)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication4.u2", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication4.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression4.y", \
"Value of Real output", 0.000225, 0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN.u1", "", "pulmonary_dynamics_and_fluids.multiplication4.y", 1,\
 5, 644, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.sumPN.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN.y", "", "capillary_membrane_dynamics.PPD", 1,\
 5, 483, 0)
DeclareParameter("pulmonary_dynamics_and_fluids.integrator1.k", "Integrator gain",\
 208, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("pulmonary_dynamics_and_fluids.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("pulmonary_dynamics_and_fluids.integrator1.y_start", \
"Initial or guess value of output (= state)", 209, 0.375, 0.0,0.0,0.0,0,560)
DeclareAlias2("pulmonary_dynamics_and_fluids.integrator1.u", "Connector of Real input signal",\
 "capillary_membrane_dynamics.PPD", 1, 5, 483, 0)
DeclareState("pulmonary_dynamics_and_fluids.integrator1.y", "Connector of Real output signal",\
 25, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("pulmonary_dynamics_and_fluids.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("pulmonary_dynamics_and_fluids.division.u1", "", "pulmonary_dynamics_and_fluids.integrator1.y", 1,\
 1, 25, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.division.u2", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.division.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication5.u1", "", \
"pulmonary_dynamics_and_fluids.division.y", 1, 5, 648, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.multiplication5.u2", "", 0.4, \
0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication5.y", "", \
"pulmonary_dynamics_and_fluids.sumPNPN.u3", 1, 5, 628, 0)
DeclareVariable("pulmonary_dynamics_and_fluids.realExpression5.y", \
"Value of Real output", 0.4, 0.0,0.0,0.0,0,513)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication6.u1", "", \
"pulmonary_dynamics_and_fluids.division.y", 1, 5, 648, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication6.u2", "", \
"pulmonary_dynamics_and_fluids.multiplication3.y", 1, 5, 640, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.multiplication6.y", "", \
"pulmonary_dynamics_and_fluids.sumPN.u2", 1, 5, 646, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.DFP", "", "capillary_membrane_dynamics.DFP", 1,\
 5, 479, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.VPF", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.PPC", "", "kidney_dynamics_and_excretion.PPC", 1,\
 5, 220, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.CPP", "", "capillary_membrane_dynamics.CPP", 1,\
 5, 486, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.PLA", "", "circulatory_dynamics.qLN_28_1.u", 1,\
 5, 379, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.PPA", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.PPD", "", "capillary_membrane_dynamics.PPD", 1,\
 5, 483, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN1.u1", "", "pulmonary_dynamics_and_fluids.multiplication2.y", 1,\
 5, 632, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN1.u2", "", "pulmonary_dynamics_and_fluids.multiplication3.y", 1,\
 5, 640, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN1.y", "", "capillary_membrane_dynamics.DFP", 1,\
 5, 479, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN2.u1", "", "capillary_membrane_dynamics.CPP", 1,\
 5, 486, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN2.u2", "", "pulmonary_dynamics_and_fluids.division.y", 1,\
 5, 648, 0)
DeclareAlias2("pulmonary_dynamics_and_fluids.sumPN2.y", "", "pulmonary_dynamics_and_fluids.multiplication4.u2", 1,\
 5, 643, 0)
DeclareAlias2("red_cells_and_viscosity.multiplication.u1", "", "red_cells_and_viscosity.integrator.y", 1,\
 1, 26, 0)
DeclareVariable("red_cells_and_viscosity.multiplication.u2", "", 5.8E-006, \
0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.multiplication.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareParameter("red_cells_and_viscosity.integrator.k", "Integrator gain", 210,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("red_cells_and_viscosity.integrator.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("red_cells_and_viscosity.integrator.y_start", "Initial or guess value of output (= state)",\
 211, 2, 0.0,0.0,0.0,0,560)
DeclareVariable("red_cells_and_viscosity.integrator.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareState("red_cells_and_viscosity.integrator.y", "Connector of Real output signal",\
 26, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("red_cells_and_viscosity.integrator.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("red_cells_and_viscosity.multiplication1.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("red_cells_and_viscosity.multiplication1.u2", "", 4.64E-005, \
0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.multiplication1.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareParameter("red_cells_and_viscosity.limiter.uMax", "Upper limits of input signals",\
 212, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("red_cells_and_viscosity.limiter.uMin", "Lower limits of input signals",\
 213, 0.2375, 0.0,0.0,0.0,0,560)
DeclareVariable("red_cells_and_viscosity.limiter.limitsAtInit", "= false, if limits are ignored during initializiation (i.e., y=u)",\
 true, 0.0,0.0,0.0,0,515)
DeclareVariable("red_cells_and_viscosity.limiter.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("red_cells_and_viscosity.limiter.y", "Connector of Real output signal",\
 "red_cells_and_viscosity.multiplication1.u1", 1, 5, 655, 0)
DeclareVariable("red_cells_and_viscosity.multiplication2.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("red_cells_and_viscosity.multiplication2.u2", "", 0.333, \
0.0,0.0,0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.multiplication2.y", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareVariable("red_cells_and_viscosity.sumPP1.u1", "", 1.5, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.sumPP1.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("red_cells_and_viscosity.sumPP1.y", "", "red_cells_and_viscosity.multiplication2.u1", 1,\
 5, 660, 0)
DeclareVariable("red_cells_and_viscosity.multiplication3.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("red_cells_and_viscosity.multiplication3.u2", "", 100, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.multiplication3.y", "", "non_muscle_oxygen_delivery.HM", 1,\
 5, 8, 0)
DeclareAlias2("red_cells_and_viscosity.division1.u1", "", "red_cells_and_viscosity.integrator.y", 1,\
 1, 26, 0)
DeclareAlias2("red_cells_and_viscosity.division1.u2", "", "circulatory_dynamics.VB", 1,\
 5, 444, 0)
DeclareAlias2("red_cells_and_viscosity.division1.y", "", "red_cells_and_viscosity.multiplication3.u1", 1,\
 5, 664, 0)
DeclareAlias2("red_cells_and_viscosity.sumPN1.u1", "", "red_cells_and_viscosity.multiplication1.y", 1,\
 5, 657, 0)
DeclareAlias2("red_cells_and_viscosity.sumPN1.u2", "", "red_cells_and_viscosity.multiplication.y", 1,\
 5, 652, 0)
DeclareAlias2("red_cells_and_viscosity.sumPN1.y", "", "red_cells_and_viscosity.integrator.u", 1,\
 5, 654, 0)
DeclareAlias2("red_cells_and_viscosity.sumNP1.u1", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("red_cells_and_viscosity.sumNP1.u2", "", 8.25, 0.0,0.0,0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.sumNP1.y", "", "red_cells_and_viscosity.limiter.u", 1,\
 5, 659, 0)
DeclareAlias2("red_cells_and_viscosity.POT", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("red_cells_and_viscosity.PO1.y", "Value of Real output", 8.25, \
0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.POY.y", "Value of Real output", \
4.64E-005, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.RKC.y", "Value of Real output", \
5.8E-006, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.realExpression.y", "Value of Real output",\
 100, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.realExpression2.y", "Value of Real output",\
 1.5, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.realExpression3.y", "Value of Real output",\
 0.333, 0.0,0.0,0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.VIM", "", "kidney_dynamics_and_excretion.VIM", 1,\
 5, 219, 0)
DeclareAlias2("red_cells_and_viscosity.VB", "", "circulatory_dynamics.VB", 1, 5,\
 444, 0)
DeclareAlias2("red_cells_and_viscosity.VRC", "", "red_cells_and_viscosity.integrator.y", 1,\
 1, 26, 0)
DeclareAlias2("red_cells_and_viscosity.HM", "", "non_muscle_oxygen_delivery.HM", 1,\
 5, 8, 0)
DeclareVariable("red_cells_and_viscosity.sumNP.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("red_cells_and_viscosity.sumNP.u2", "", "non_muscle_oxygen_delivery.HM", 1,\
 5, 8, 0)
DeclareVariable("red_cells_and_viscosity.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("red_cells_and_viscosity.integrator1.k", "Integrator gain", 214,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("red_cells_and_viscosity.integrator1.initType", "Type of initialization (1: no init, 2: steady state, 3,4: initial output)",\
 3, 1.0,4.0,0.0,0,517)
DeclareParameter("red_cells_and_viscosity.integrator1.y_start", "Initial or guess value of output (= state)",\
 215, 1600, 0.0,0.0,0.0,0,560)
DeclareAlias2("red_cells_and_viscosity.integrator1.u", "Connector of Real input signal",\
 "red_cells_and_viscosity.sumNP.y", 1, 5, 674, 0)
DeclareState("red_cells_and_viscosity.integrator1.y", "Connector of Real output signal",\
 27, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("red_cells_and_viscosity.integrator1.der(y)", "der(Connector of Real output signal)",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("red_cells_and_viscosity.multiplication4.u1", "", "red_cells_and_viscosity.integrator1.y", 1,\
 1, 27, 0)
DeclareVariable("red_cells_and_viscosity.multiplication4.u2", "", 0.00092, \
0.0,0.0,0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.multiplication4.y", "", "red_cells_and_viscosity.sumPP1.u2", 1,\
 5, 663, 0)
DeclareVariable("red_cells_and_viscosity.realExpression1.y", "Value of Real output",\
 0.00092, 0.0,0.0,0.0,0,513)
DeclareVariable("red_cells_and_viscosity.product_DM.u1", "", 40, 0.0,0.0,0.0,0,513)
DeclareAlias2("red_cells_and_viscosity.product_DM.u2", "", "red_cells_and_viscosity.integrator1.y", 1,\
 1, 27, 0)
DeclareAlias2("red_cells_and_viscosity.product_DM.y", "", "red_cells_and_viscosity.sumNP.u1", 1,\
 5, 673, 0)
DeclareVariable("red_cells_and_viscosity.realExpression4.y", "Value of Real output",\
 40, 0.0,0.0,0.0,0,513)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator.k", \
"Integrator gain", 216, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator.y_start", \
"Initial or guess value of output (= state)", 217, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.integrator.u", \
"Connector of Real input signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareState("heart_hypertrophy_or_deterioration.integrator.y", "Connector of Real output signal",\
 28, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("heart_hypertrophy_or_deterioration.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator1.k", \
"Integrator gain", 218, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator1.y_start", \
"Initial or guess value of output (= state)", 219, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.integrator1.u", \
"Connector of Real input signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareState("heart_hypertrophy_or_deterioration.integrator1.y", \
"Connector of Real output signal", 29, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("heart_hypertrophy_or_deterioration.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.division.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.division.u2", "", 57600, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.division.y", "", \
"heart_hypertrophy_or_deterioration.integrator.u", 1, 5, 681, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.division1.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.division1.u2", "", 57600, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.division1.y", "", \
"heart_hypertrophy_or_deterioration.integrator1.u", 1, 5, 683, 0)
DeclareParameter("heart_hypertrophy_or_deterioration.y_0_625_1.x", "", 220, \
0.625, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.y_0_625_1.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.y_0_625_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareParameter("heart_hypertrophy_or_deterioration.y_0_625_2.x", "", 221, \
0.625, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.y_0_625_2.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.y_0_625_2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.product_DMD.u1", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.product_DMD.u2", "", \
"aldosterone_control.aMP_164_1.u", 1, 5, 532, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.product_DMD.y", "", \
"heart_hypertrophy_or_deterioration.y_0_625_1.u1", 1, 5, 688, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.product_DMD.u3", "", 100, \
0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.product_DMD1.u1", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.product_DMD1.u2", "", \
"circulatory_dynamics.PPA", 1, 5, 449, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.product_DMD1.y", "", \
"heart_hypertrophy_or_deterioration.y_0_625_2.u1", 1, 5, 690, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.product_DMD1.u3", "", 15, \
0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.multiplication.u1", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareVariable("heart_hypertrophy_or_deterioration.multiplication.u2", "", \
0.0025, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.multiplication.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator2.k", \
"Integrator gain", 222, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.integrator2.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("heart_hypertrophy_or_deterioration.integrator2.y_start", \
"Initial or guess value of output (= state)", 223, 1, 0.0,0.0,0.0,0,560)
DeclareAlias2("heart_hypertrophy_or_deterioration.integrator2.u", \
"Connector of Real input signal", "heart_hypertrophy_or_deterioration.multiplication.y", 1,\
 5, 698, 0)
DeclareState("heart_hypertrophy_or_deterioration.integrator2.y", \
"Connector of Real output signal", 30, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("heart_hypertrophy_or_deterioration.integrator2.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN.u1", "", \
"heart_hypertrophy_or_deterioration.y_0_625_1.y", 1, 5, 689, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN.u2", "", \
"heart_hypertrophy_or_deterioration.integrator.y", 1, 1, 28, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN.y", "", "heart_hypertrophy_or_deterioration.division.u1", 1,\
 5, 684, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN1.u1", "", \
"heart_hypertrophy_or_deterioration.y_0_625_2.y", 1, 5, 691, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN1.u2", "", \
"heart_hypertrophy_or_deterioration.integrator1.y", 1, 1, 29, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN1.y", "", \
"heart_hypertrophy_or_deterioration.division1.u1", 1, 5, 686, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression.y", \
"Value of Real output", 57600, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression1.y", \
"Value of Real output", 57600, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN2.u1", "", \
"non_muscle_oxygen_delivery.POT", 1, 5, 26, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.sumPN2.u2", "", 6, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.sumPN2.y", "", \
"heart_hypertrophy_or_deterioration.multiplication.u1", 1, 5, 696, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression2.y", \
"Value of Real output", 6, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression3.y", \
"Value of Real output", 0.0025, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression4.y", \
"Value of Real output", 100, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.realExpression5.y", \
"Value of Real output", 15, 0.0,0.0,0.0,0,513)
DeclareAlias2("heart_hypertrophy_or_deterioration.HPL", "", "heart_hypertrophy_or_deterioration.integrator.y", 1,\
 1, 28, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.HPR", "", "heart_hypertrophy_or_deterioration.integrator1.y", 1,\
 1, 29, 0)
DeclareParameter("heart_hypertrophy_or_deterioration.limiter.uMax", \
"Upper limits of input signals", 224, 1, 0.0,0.0,0.0,0,560)
DeclareParameter("heart_hypertrophy_or_deterioration.limiter.uMin", \
"Lower limits of input signals", 225, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("heart_hypertrophy_or_deterioration.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareAlias2("heart_hypertrophy_or_deterioration.limiter.u", "Connector of Real input signal",\
 "heart_hypertrophy_or_deterioration.integrator2.y", 1, 1, 30, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.limiter.y", "Connector of Real output signal",\
 "circulatory_dynamics.HMD", 1, 5, 445, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.HMD", "", "circulatory_dynamics.HMD", 1,\
 5, 445, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.PA", "", "aldosterone_control.aMP_164_1.u", 1,\
 5, 532, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.PPA", "", "circulatory_dynamics.PPA", 1,\
 5, 449, 0)
DeclareAlias2("heart_hypertrophy_or_deterioration.POT", "", "non_muscle_oxygen_delivery.POT", 1,\
 5, 26, 0)
DeclareVariable("heart_hypertrophy_or_deterioration.HSL", "", 1, 0.0,0.0,0.0,0,513)
DeclareVariable("heart_hypertrophy_or_deterioration.HSR", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.product_DM.u1", "", \
"tissue_fluids_pressures_and_gel.integrator.y", 1, 1, 31, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.product_DM.u2", "", 57, \
0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.product_DM.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.HYL.y", "Value of Real output",\
 57, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication.u1", "", \
"tissue_fluids_pressures_and_gel.product_DM.y", 1, 5, 711, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication.u2", "", -5.9, \
0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression.y", \
"Value of Real output", -5.9, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPP.u1", "", "tissue_fluids_pressures_and_gel.multiplication.y", 1,\
 5, 714, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPP.u2", "", 24.2, 0.0,0.0,\
0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPP.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression1.y", \
"Value of Real output", 24.2, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPPP.u1", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPPP.u2", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPPP.u3", "", "tissue_fluids_pressures_and_gel.sumPP.y", 1,\
 5, 717, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPPP.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPNPN.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNPN.u2", "", "capillary_membrane_dynamics.PTC", 1,\
 5, 480, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNPN.u3", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPNPN.y", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNPN.u4", "", "tissue_fluids_pressures_and_gel.sumPPP.y", 1,\
 5, 720, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPP1.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPP1.u2", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPP1.y", "", "tissue_fluids_pressures_and_gel.sumPNPN.u1", 1,\
 5, 721, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication1.u1", "", 0.4, \
0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication1.u2", "", \
"tissue_fluids_pressures_and_gel.product_DM.y", 1, 5, 711, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication1.y", "", \
"tissue_fluids_pressures_and_gel.sumPP1.u1", 1, 5, 723, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression2.y", \
"Value of Real output", 0.4, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication2.u1", "", \
"tissue_fluids_pressures_and_gel.sumPNPN.y", 1, 5, 722, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication2.u2", "", 0.1, \
0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.V2D.y", "Value of Real output",\
 0.1, 0.0,0.0,0.0,0,513)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator.k", \
"Integrator gain", 226, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator.y_start", \
"Initial or guess value of output (= state)", 227, 11.4, 0.0,0.0,0.0,0,560)
DeclareAlias2("tissue_fluids_pressures_and_gel.integrator.u", "Connector of Real input signal",\
 "tissue_fluids_pressures_and_gel.multiplication2.y", 1, 5, 728, 0)
DeclareState("tissue_fluids_pressures_and_gel.integrator.y", "Connector of Real output signal",\
 31, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("tissue_fluids_pressures_and_gel.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPN.u1", "", "tissue_fluids_pressures_and_gel.integrator3.y", 1,\
 1, 34, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPN.u2", "", "tissue_fluids_pressures_and_gel.integrator.y", 1,\
 1, 31, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPN.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.product_DM1.u1", "", \
"tissue_fluids_pressures_and_gel.integrator.y", 1, 1, 31, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.product_DM1.u2", "", \
"tissue_fluids_pressures_and_gel.integrator1.y", 1, 1, 32, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.product_DM1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication3_1.u1", "", \
"tissue_fluids_pressures_and_gel.product_DM1.y", 1, 5, 732, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication3_1.u2", "", \
0.013332, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication3_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication3_1.u3", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareParameter("tissue_fluids_pressures_and_gel.u_2_1.x", "", 228, 2, 0.0,0.0,\
0.0,0,560)
DeclareAlias2("tissue_fluids_pressures_and_gel.u_2_1.u1", "", "tissue_fluids_pressures_and_gel.product_DM.y", 1,\
 5, 711, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.u_2_1.y", "", "tissue_fluids_pressures_and_gel.multiplication3_1.u3", 1,\
 5, 735, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPP2.u1", "", "tissue_fluids_pressures_and_gel.product_DM1.y", 1,\
 5, 732, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPP2.u2", "", "tissue_fluids_pressures_and_gel.multiplication3_1.y", 1,\
 5, 734, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPP2.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression3.y", \
"Value of Real output", 0.013332, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication3.u1", "", \
"tissue_fluids_pressures_and_gel.sumPP2.y", 1, 5, 736, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication3.u2", "", 0.25, \
0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication3.y", "", \
"tissue_fluids_pressures_and_gel.sumPP1.u2", 1, 5, 724, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression4.y", \
"Value of Real output", 0.25, 0.0,0.0,0.0,0,513)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator1.k", \
"Integrator gain", 229, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator1.y_start", \
"Initial or guess value of output (= state)", 230, 171, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator1.u", \
"Connector of Real input signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareState("tissue_fluids_pressures_and_gel.integrator1.y", "Connector of Real output signal",\
 32, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("tissue_fluids_pressures_and_gel.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication4.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication4.u2", "", 0.0005,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication4.y", "", \
"tissue_fluids_pressures_and_gel.integrator1.u", 1, 5, 741, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication5.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication5.u2", "", \
"tissue_fluids_pressures_and_gel.integrator.y", 1, 1, 31, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication5.y", "", \
"tissue_fluids_pressures_and_gel.multiplication4.u1", 1, 5, 742, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression5.y", \
"Value of Real output", 0.0005, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumNP.u1", "", "tissue_fluids_pressures_and_gel.sumPP2.y", 1,\
 5, 736, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumNP.u2", "", "capillary_membrane_dynamics.CPI", 1,\
 5, 482, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumNP.y", "", "tissue_fluids_pressures_and_gel.multiplication5.u1", 1,\
 5, 744, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.division.u1", "", \
"tissue_fluids_pressures_and_gel.integrator2.y", 1, 1, 33, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.division.u2", "", \
"tissue_fluids_pressures_and_gel.sumPN.y", 1, 5, 731, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.division.y", "", "capillary_membrane_dynamics.CPI", 1,\
 5, 482, 0)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator2.k", \
"Integrator gain", 231, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator2.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator2.y_start", \
"Initial or guess value of output (= state)", 232, 12, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator2.u", \
"Connector of Real input signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareState("tissue_fluids_pressures_and_gel.integrator2.y", "Connector of Real output signal",\
 33, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("tissue_fluids_pressures_and_gel.integrator2.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.multiplication.u1", "", \
"tissue_fluids_pressures_and_gel.sumPN.y", 1, 5, 731, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.multiplication.u2", "",\
 -0.7617, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.multiplication.y", "",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP.u1", "", \
"tissue_fluids_pressures_and_gel.pTS_87_1.multiplication.y", 1, 5, 749, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP.u2", "", 7.617, \
0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.division.u1", "", \
"tissue_fluids_pressures_and_gel.pTS_87_1.sumPP.y", 1, 5, 751, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.division.u2", "", 0.0,\
 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.division.y", "", \
"tissue_fluids_pressures_and_gel.sumPPP.u2", 1, 5, 719, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.VIF", "", \
"tissue_fluids_pressures_and_gel.sumPN.y", 1, 5, 731, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.AMP", "", \
"tissue_fluids_pressures_and_gel.sumPPP.u2", 1, 5, 719, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.P1.y", \
"Value of Real output", -0.7617, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.p2.y", \
"Value of Real output", 7.617, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP1.u1", "", 0.3809,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP1.u2", "", \
"tissue_fluids_pressures_and_gel.sumPN.y", 1, 5, 731, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.pTS_87_1.sumPP1.y", "", \
"tissue_fluids_pressures_and_gel.pTS_87_1.division.u2", 1, 5, 752, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.pTS_87_1.q1.y", \
"Value of Real output", 0.3809, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPN1.u1", "", 0.0, 0.0,0.0,\
0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPN1.u2", "", "tissue_fluids_pressures_and_gel.sumPPP.u2", 1,\
 5, 719, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPN1.y", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.PIF", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator3.k", \
"Integrator gain", 233, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator3.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("tissue_fluids_pressures_and_gel.integrator3.y_start", \
"Initial or guess value of output (= state)", 234, 12, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.integrator3.u", \
"Connector of Real input signal", 0.0, 0.0,0.0,0.0,0,512)
DeclareState("tissue_fluids_pressures_and_gel.integrator3.y", "Connector of Real output signal",\
 34, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("tissue_fluids_pressures_and_gel.integrator3.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("tissue_fluids_pressures_and_gel.value_u_2_1.x", "", 235, 2, \
0.0,0.0,0.0,0,560)
DeclareAlias2("tissue_fluids_pressures_and_gel.value_u_2_1.u1", "", \
"tissue_fluids_pressures_and_gel.integrator3.y", 1, 1, 34, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.value_u_2_1.y", "", \
"tissue_fluids_pressures_and_gel.sumPN1.u1", 1, 5, 757, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN.u1", "", "capillary_membrane_dynamics.VTC", 1,\
 5, 485, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN.u3", "", "tissue_fluids_pressures_and_gel.VID", 1,\
 5, 769, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN.y", "", "tissue_fluids_pressures_and_gel.integrator3.u", 1,\
 5, 759, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN.u2", "", "capillary_membrane_dynamics.VTL", 1,\
 5, 478, 0)
DeclareParameter("tissue_fluids_pressures_and_gel.limiter.uMax", \
"Upper limits of input signals", 236, 1E+060, 0.0,0.0,0.0,0,560)
DeclareParameter("tissue_fluids_pressures_and_gel.limiter.uMin", \
"Lower limits of input signals", 237, 0, 0.0,0.0,0.0,0,560)
DeclareVariable("tissue_fluids_pressures_and_gel.limiter.limitsAtInit", \
"= false, if limits are ignored during initializiation (i.e., y=u)", true, \
0.0,0.0,0.0,0,515)
DeclareVariable("tissue_fluids_pressures_and_gel.limiter.u", "Connector of Real input signal",\
 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.limiter.y", "Connector of Real output signal",\
 "capillary_membrane_dynamics.VTL", 1, 5, 478, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication6.u1", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication6.u2", "", 0.004,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication6.y", "", \
"tissue_fluids_pressures_and_gel.limiter.u", 1, 5, 761, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.sumPNP.u1", "", 7.8, 0.0,0.0,\
0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNP.u2", "", "tissue_fluids_pressures_and_gel.sumPN1.u1", 1,\
 5, 757, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNP.u3", "", "capillary_membrane_dynamics.PIF", 1,\
 5, 481, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNP.y", "", "tissue_fluids_pressures_and_gel.multiplication6.u1", 1,\
 5, 762, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression6.y", \
"Value of Real output", 7.8, 0.0,0.0,0.0,0,513)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression7.y", \
"Value of Real output", 0.004, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication7.u1", "", \
"capillary_membrane_dynamics.CPI", 1, 5, 482, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication7.u2", "", \
"tissue_fluids_pressures_and_gel.limiter.u", 1, 5, 761, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication7.y", "", \
"capillary_membrane_dynamics.DPL", 1, 5, 484, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN1.u1", "", "capillary_membrane_dynamics.DPC", 1,\
 5, 477, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN1.u3", "", "tissue_fluids_pressures_and_gel.integrator1.u", 1,\
 5, 741, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN1.y", "", "tissue_fluids_pressures_and_gel.integrator2.u", 1,\
 5, 747, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.sumPNN1.u2", "", "capillary_membrane_dynamics.DPL", 1,\
 5, 484, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication8.u1", "", \
"capillary_membrane_dynamics.CPI", 1, 5, 482, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.multiplication8.u2", "", 0.25, \
0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.multiplication8.y", "", \
"capillary_membrane_dynamics.PTC", 1, 5, 480, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.realExpression8.y", \
"Value of Real output", 0.25, 0.0,0.0,0.0,0,513)
DeclareAlias2("tissue_fluids_pressures_and_gel.VTC", "", "capillary_membrane_dynamics.VTC", 1,\
 5, 485, 0)
DeclareVariable("tissue_fluids_pressures_and_gel.VID", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("tissue_fluids_pressures_and_gel.DPC", "", "capillary_membrane_dynamics.DPC", 1,\
 5, 477, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.PTC", "", "capillary_membrane_dynamics.PTC", 1,\
 5, 480, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.VTL", "", "capillary_membrane_dynamics.VTL", 1,\
 5, 478, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.DPL", "", "capillary_membrane_dynamics.DPL", 1,\
 5, 484, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.CPI", "", "capillary_membrane_dynamics.CPI", 1,\
 5, 482, 0)
DeclareAlias2("tissue_fluids_pressures_and_gel.VTS", "Connector of Real output signal",\
 "tissue_fluids_pressures_and_gel.integrator3.y", 1, 1, 34, 0)
DeclareVariable("electrolytes_and_cell_water.sumNPN.u1", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.sumNPN.u2", "", 0.0028, 0.0,0.0,0.0,\
0,513)
DeclareVariable("electrolytes_and_cell_water.sumNPN.u3", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.sumNPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.KID.y", "Value of Real output", \
0.0028, 0.0,0.0,0.0,0,513)
DeclareParameter("electrolytes_and_cell_water.integrator.k", "Integrator gain", 238,\
 1, 0.0,0.0,0.0,0,560)
DeclareVariable("electrolytes_and_cell_water.integrator.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("electrolytes_and_cell_water.integrator.y_start", \
"Initial or guess value of output (= state)", 239, 75, 0.0,0.0,0.0,0,560)
DeclareAlias2("electrolytes_and_cell_water.integrator.u", "Connector of Real input signal",\
 "electrolytes_and_cell_water.sumNPN.y", 1, 5, 773, 0)
DeclareState("electrolytes_and_cell_water.integrator.y", "Connector of Real output signal",\
 35, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("electrolytes_and_cell_water.integrator.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.division.u1", "", "electrolytes_and_cell_water.integrator.y", 1,\
 1, 35, 0)
DeclareVariable("electrolytes_and_cell_water.division.u2", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("electrolytes_and_cell_water.division.y", "", "aldosterone_control.CKE", 1,\
 5, 534, 0)
DeclareAlias2("electrolytes_and_cell_water.multiplication3_1.u1", "", \
"aldosterone_control.CKE", 1, 5, 534, 0)
DeclareAlias2("electrolytes_and_cell_water.multiplication3_1.u2", "", \
"kidney_dynamics_and_excretion.AM", 1, 5, 224, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication3_1.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.multiplication3_1.u3", "", 0.00014,\
 0.0,0.0,0.0,0,513)
DeclareVariable("electrolytes_and_cell_water.realExpression.y", "Value of Real output",\
 0.00014, 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication.u1", "", \
"aldosterone_control.CKE", 1, 5, 534, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication.u2", "", 0.00042, \
0.0,0.0,0.0,0,513)
DeclareVariable("electrolytes_and_cell_water.multiplication.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.realExpression1.y", \
"Value of Real output", 0.00042, 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.sumPP.u1", "", "electrolytes_and_cell_water.multiplication3_1.y", 1,\
 5, 777, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPP.u2", "", "electrolytes_and_cell_water.multiplication.y", 1,\
 5, 781, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPP.y", "", "electrolytes_and_cell_water.sumNPN.u3", 1,\
 5, 772, 0)
DeclareAlias2("electrolytes_and_cell_water.multiplication1.u1", "", \
"electrolytes_and_cell_water.sumNPN.u3", 1, 5, 772, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication1.u2", "", 1, \
0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication1.y", "", \
"electrolytes_and_cell_water.sumNPN.u3", 1, 5, 772, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication2.u1", "", 140, \
0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication2.u2", "", \
"aldosterone_control.CKE", 1, 5, 534, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication2.y", "", 0.0, \
0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.realExpression2.y", \
"Value of Real output", 140, 0.0,0.0,0.0,0,513)
DeclareVariable("electrolytes_and_cell_water.sumPP1.u1", "", 2850, 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.sumPP1.u2", "", "electrolytes_and_cell_water.multiplication2.y", 1,\
 5, 785, 0)
DeclareVariable("electrolytes_and_cell_water.sumPP1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.realExpression3.y", \
"Value of Real output", 2850, 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.sumPN.u1", "", "electrolytes_and_cell_water.sumPP1.y", 1,\
 5, 788, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPN.u2", "", "electrolytes_and_cell_water.integrator1.y", 1,\
 1, 36, 0)
DeclareVariable("electrolytes_and_cell_water.sumPN.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.multiplication3.u1", "", \
"electrolytes_and_cell_water.sumPN.y", 1, 5, 790, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication3.u2", "", 0.013, \
0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication3.y", "", \
"electrolytes_and_cell_water.sumNPN.u1", 1, 5, 770, 0)
DeclareVariable("electrolytes_and_cell_water.realExpression4.y", \
"Value of Real output", 0.013, 0.0,0.0,0.0,0,513)
DeclareParameter("electrolytes_and_cell_water.integrator1.k", "Integrator gain",\
 240, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("electrolytes_and_cell_water.integrator1.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("electrolytes_and_cell_water.integrator1.y_start", \
"Initial or guess value of output (= state)", 241, 3550, 0.0,0.0,0.0,0,560)
DeclareAlias2("electrolytes_and_cell_water.integrator1.u", "Connector of Real input signal",\
 "electrolytes_and_cell_water.sumNPN.u1", 1, 5, 770, 0)
DeclareState("electrolytes_and_cell_water.integrator1.y", "Connector of Real output signal",\
 36, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("electrolytes_and_cell_water.integrator1.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.division1.u1", "", "electrolytes_and_cell_water.integrator1.y", 1,\
 1, 36, 0)
DeclareAlias2("electrolytes_and_cell_water.division1.u2", "", "electrolytes_and_cell_water.integrator2.y", 1,\
 1, 37, 0)
DeclareVariable("electrolytes_and_cell_water.division1.y", "", 0.0, 0.0,0.0,0.0,\
0,512)
DeclareAlias2("electrolytes_and_cell_water.sumPN1.u1", "", "electrolytes_and_cell_water.division1.y", 1,\
 5, 794, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPN1.u2", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareVariable("electrolytes_and_cell_water.sumPN1.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.multiplication4.u1", "", \
"electrolytes_and_cell_water.sumPN1.y", 1, 5, 795, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication4.u2", "", 0.01, \
0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication4.y", "", \
"tissue_fluids_pressures_and_gel.VID", 1, 5, 769, 0)
DeclareVariable("electrolytes_and_cell_water.realExpression5.y", \
"Value of Real output", 0.01, 0.0,0.0,0.0,0,513)
DeclareParameter("electrolytes_and_cell_water.integrator2.k", "Integrator gain",\
 242, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("electrolytes_and_cell_water.integrator2.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("electrolytes_and_cell_water.integrator2.y_start", \
"Initial or guess value of output (= state)", 243, 25, 0.0,0.0,0.0,0,560)
DeclareAlias2("electrolytes_and_cell_water.integrator2.u", "Connector of Real input signal",\
 "tissue_fluids_pressures_and_gel.VID", 1, 5, 769, 0)
DeclareState("electrolytes_and_cell_water.integrator2.y", "Connector of Real output signal",\
 37, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("electrolytes_and_cell_water.integrator2.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.CKE", "", "aldosterone_control.CKE", 1,\
 5, 534, 0)
DeclareAlias2("electrolytes_and_cell_water.VID", "", "tissue_fluids_pressures_and_gel.VID", 1,\
 5, 769, 0)
DeclareAlias2("electrolytes_and_cell_water.sumNP.u1", "", "kidney_dynamics_and_excretion.NOD", 1,\
 5, 214, 0)
DeclareVariable("electrolytes_and_cell_water.sumNP.u2", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareVariable("electrolytes_and_cell_water.sumNP.y", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareParameter("electrolytes_and_cell_water.integrator3.k", "Integrator gain",\
 244, 1, 0.0,0.0,0.0,0,560)
DeclareVariable("electrolytes_and_cell_water.integrator3.initType", \
"Type of initialization (1: no init, 2: steady state, 3,4: initial output)", 3, \
1.0,4.0,0.0,0,517)
DeclareParameter("electrolytes_and_cell_water.integrator3.y_start", \
"Initial or guess value of output (= state)", 245, 2130, 0.0,0.0,0.0,0,560)
DeclareAlias2("electrolytes_and_cell_water.integrator3.u", "Connector of Real input signal",\
 "electrolytes_and_cell_water.sumNP.y", 1, 5, 800, 0)
DeclareState("electrolytes_and_cell_water.integrator3.y", "Connector of Real output signal",\
 38, 0.0, 0.0,0.0,0.0,0,544)
DeclareDerivative("electrolytes_and_cell_water.integrator3.der(y)", \
"der(Connector of Real output signal)", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.division2.u1", "", "electrolytes_and_cell_water.integrator3.y", 1,\
 1, 38, 0)
DeclareAlias2("electrolytes_and_cell_water.division2.u2", "", "electrolytes_and_cell_water.division.u2", 1,\
 5, 776, 0)
DeclareAlias2("electrolytes_and_cell_water.division2.y", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareAlias2("electrolytes_and_cell_water.CNA", "", "antidiuretic_hormone_control.CNA", 1,\
 5, 278, 0)
DeclareVariable("electrolytes_and_cell_water.multiplication5.u1", "", 0.5, \
0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.multiplication5.u2", "", \
"thirst_and_drinking.STH", 1, 5, 237, 0)
DeclareAlias2("electrolytes_and_cell_water.multiplication5.y", "", \
"electrolytes_and_cell_water.sumNP.u2", 1, 5, 799, 0)
DeclareVariable("electrolytes_and_cell_water.NID.y", "Value of Real output", 0.5,\
 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.VEC.u1", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareAlias2("electrolytes_and_cell_water.VEC.u2", "", "capillary_membrane_dynamics.integrator.y", 1,\
 1, 18, 0)
DeclareAlias2("electrolytes_and_cell_water.VEC.u3", "", "tissue_fluids_pressures_and_gel.integrator3.y", 1,\
 1, 34, 0)
DeclareAlias2("electrolytes_and_cell_water.VEC.y", "", "electrolytes_and_cell_water.division.u2", 1,\
 5, 776, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPP2.u1", "", "electrolytes_and_cell_water.integrator2.y", 1,\
 1, 37, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPP2.u2", "", "electrolytes_and_cell_water.division.u2", 1,\
 5, 776, 0)
DeclareAlias2("electrolytes_and_cell_water.sumPP2.y", "", "electrolytes_and_cell_water.VTW", 1,\
 5, 804, 0)
DeclareVariable("electrolytes_and_cell_water.VTW", "", 0.0, 0.0,0.0,0.0,0,512)
DeclareAlias2("electrolytes_and_cell_water.AM", "", "kidney_dynamics_and_excretion.AM", 1,\
 5, 224, 0)
DeclareVariable("electrolytes_and_cell_water.REK", "", 1, 0.0,0.0,0.0,0,513)
DeclareAlias2("electrolytes_and_cell_water.NOD", "", "kidney_dynamics_and_excretion.NOD", 1,\
 5, 214, 0)
DeclareAlias2("electrolytes_and_cell_water.STH", "", "thirst_and_drinking.STH", 1,\
 5, 237, 0)
DeclareAlias2("electrolytes_and_cell_water.VPF", "", "pulmonary_dynamics_and_fluids.integrator.y", 1,\
 1, 24, 0)
DeclareAlias2("electrolytes_and_cell_water.VP", "", "capillary_membrane_dynamics.integrator.y", 1,\
 1, 18, 0)
DeclareAlias2("electrolytes_and_cell_water.VTS", "", "tissue_fluids_pressures_and_gel.integrator3.y", 1,\
 1, 34, 0)
EndNonAlias(0)
#define NX_    39
#define NX2_   0
#define NU_    0
#define NY_    0
#define NW_    806
#define NP_    246
#define NPS_   0
#define NHash1_ 1133791707
#define NHash2_ 2069740088
#define NHash3_ 0
#define NI_    0
#define NRelF_ 63
#define NRel_  63
#define NTim_  0
#define NSamp_ 0
#define NCons_ 0
#define NA_    703
#define SizePre_ 3
#define SizeEq_ 0
#define SizeDelay_ 0
#define QNLmax_ 0
#define MAXAux 3
#define NrDymolaTimers_ 0
#define NWhen_ 9
#define NCheckIf_ 0
#define NGlobalHelp_ 0
#ifndef NExternalObject_
#define NExternalObject_ 0
#endif

#include <dsblock5.c>

StartDataBlock
StartPreBlock
pre(W_[559],"autonomic_control.aUB_300_1.y", 0.0, 0);
pre(W_[557],"autonomic_control.aUC_299_1.y", 0.0, 1);
pre(W_[561],"autonomic_control.aUN_306_1.y", 0.0, 2);
EndPreBlock
UpdateQEvaluate(9)
EndDataBlock
