(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     32541,        898]
NotebookOptionsPosition[     30552,        828]
NotebookOutlinePosition[     30918,        844]
CellTagsIndexPosition[     30875,        841]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "YTA", ",", "PHA", ",", "YPO4", ",", "YORG", ",", "PHU", ",", "c43", ",", 
    "cPHA", ",", "c68"}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"YTA", "==", 
    RowBox[{
     RowBox[{"YPO4", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"cPHA", "+", 
         RowBox[{"2", "*", "c68"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"cPHA", "+", "c68"}], ")"}]}]}], "-", 
     RowBox[{"YPO4", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "+", 
         RowBox[{"2", "*", "c68"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"x", "+", "c68"}], ")"}]}]}], "+", 
     RowBox[{"YORG", "*", 
      RowBox[{"c43", "/", 
       RowBox[{"(", 
        RowBox[{"cPHA", "+", "c43"}], ")"}]}]}], "-", 
     RowBox[{"YORG", "*", 
      RowBox[{"c43", "/", 
       RowBox[{"(", 
        RowBox[{"x", "+", "c43"}], ")"}]}]}]}]}], ",", "x"}], "]"}]}], "Input",
 CellChangeTimes->{{3.4713506963125*^9, 3.471351067890625*^9}, {
  3.471351599640625*^9, 3.47135167125*^9}, {3.471351723859375*^9, 
  3.47135173521875*^9}, {3.471351767703125*^9, 3.471351768234375*^9}, {
  3.4713518813125*^9, 3.47135193371875*^9}, {3.471352071609375*^9, 
  3.471352106*^9}, {3.4713521648125*^9, 3.47135227046875*^9}, {
  3.471352310578125*^9, 3.471352334640625*^9}, {3.471357128625*^9, 
  3.47135713103125*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c43", " ", 
         SuperscriptBox["c68", "2"], " ", "YORG"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "-", 
        RowBox[{"c68", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "-", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["c68", "2"], " ", "YTA"}], "-", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{
         SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YTA"}], "-", 
        RowBox[{"c68", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YTA"}], "-", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "c43"}], " ", 
               SuperscriptBox["c68", "2"], " ", "YORG"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YORG"}], "-", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "+", 
              RowBox[{"c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], 
              "+", 
              RowBox[{
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}], "+", 
              RowBox[{"c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], "2"], "-", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
              RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
              RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
              RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
              RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YORG"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", 
               "YPO4"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", 
               SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", 
               "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}]}], 
          ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
          RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
          RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
          RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
          RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
          RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
          RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
          RowBox[{
           SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}], ")"}]}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"c43", " ", 
         SuperscriptBox["c68", "2"], " ", "YORG"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "-", 
        RowBox[{"c68", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "-", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["c68", "2"], " ", "YTA"}], "-", 
        RowBox[{
         SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{
         SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "-", 
        RowBox[{"c43", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YTA"}], "-", 
        RowBox[{"c68", " ", 
         SuperscriptBox["cPHA", "2"], " ", "YTA"}], "+", 
        RowBox[{"\[Sqrt]", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "c43"}], " ", 
               SuperscriptBox["c68", "2"], " ", "YORG"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YORG"}], "-", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "+", 
              RowBox[{"c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], 
              "+", 
              RowBox[{
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}], "+", 
              RowBox[{"c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], "2"], "-", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
              RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
              RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
              RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
              RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YORG"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", 
               "YPO4"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", 
               SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
              RowBox[{
               SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", 
               "YTA"}], "+", 
              RowBox[{"c43", " ", 
               SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
              RowBox[{"c43", " ", "c68", " ", 
               SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}]}], 
          ")"}]}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
          RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
          RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
          RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
          RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
          RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
          RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
          RowBox[{
           SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}], ")"}]}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.47135193584375*^9, {3.471352081921875*^9, 3.4713521094375*^9}, {
   3.471352258375*^9, 3.47135227371875*^9}, 3.471352342671875*^9, 
   3.471356706515625*^9, {3.47135689675*^9, 3.471356900203125*^9}, 
   3.471357135421875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"YPO4", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"cPHA", "+", 
        RowBox[{"2", "*", "c68"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"cPHA", "+", "c68"}], ")"}]}]}], "-", 
    RowBox[{"YPO4", "*", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "+", 
        RowBox[{"2", "*", "c68"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"x", "+", "c68"}], ")"}]}]}], "+", 
    RowBox[{"YORG", "*", 
     RowBox[{"c43", "/", 
      RowBox[{"(", 
       RowBox[{"cPHA", "+", "c43"}], ")"}]}]}], "-", 
    RowBox[{"YORG", "*", 
     RowBox[{"c430", "/", 
      RowBox[{"(", 
       RowBox[{"x", "+", "c43"}], ")"}]}]}], "-", "YTA"}], ",", "x"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.471352522859375*^9, 3.471352542515625*^9}, {
  3.47135262409375*^9, 3.471352632265625*^9}, {3.471352670796875*^9, 
  3.471352672390625*^9}, {3.471352764078125*^9, 3.471352834109375*^9}, {
  3.471356710578125*^9, 3.471356711953125*^9}, {3.471356983015625*^9, 
  3.471357075703125*^9}, {3.4713571111875*^9, 3.471357161609375*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"c43", " ", "YORG"}], 
   RowBox[{"c43", "+", "cPHA"}]], "-", 
  FractionBox[
   RowBox[{"c430", " ", "YORG"}], 
   RowBox[{"c43", "+", "x"}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "c68"}], "+", "cPHA"}], ")"}], " ", "YPO4"}], 
   RowBox[{"c68", "+", "cPHA"}]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "c68"}], "+", "x"}], ")"}], " ", "YPO4"}], 
   RowBox[{"c68", "+", "x"}]], "-", "YTA"}]], "Output",
 CellChangeTimes->{
  3.471352545765625*^9, {3.471352627703125*^9, 3.47135263296875*^9}, 
   3.47135267403125*^9, {3.47135276740625*^9, 3.471352834859375*^9}, 
   3.471356714203125*^9, {3.471357009828125*^9, 3.471357036875*^9}, 
   3.47135707784375*^9, 3.47135716534375*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471351838734375*^9, 3.471351838734375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{"A", "+", 
    RowBox[{"c43ORG", "/", 
     RowBox[{"(", 
      RowBox[{"c43", "+", "x"}], ")"}]}], "+", "B", "+", 
    RowBox[{"C", "/", 
     RowBox[{"(", 
      RowBox[{"c68", "+", "x"}], ")"}]}], "-", "YTA"}], ",", "x"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4713529108125*^9, 3.471353102890625*^9}, {
  3.471353261203125*^9, 3.471353266171875*^9}, {3.4713533065*^9, 
  3.471353329765625*^9}, {3.471353372859375*^9, 3.47135338590625*^9}, {
  3.471353459109375*^9, 3.471353473578125*^9}, {3.47135671834375*^9, 
  3.47135671934375*^9}}],

Cell[BoxData[
 RowBox[{"A", "+", "B", "+", 
  FractionBox["C", 
   RowBox[{"1.584893192461114`*^-7", "+", "x"}]], "+", 
  FractionBox["c43ORG", 
   RowBox[{"c43", "+", "x"}]], "-", "YTA"}]], "Output",
 CellChangeTimes->{
  3.471353071671875*^9, 3.47135310446875*^9, 3.47135326959375*^9, {
   3.47135330875*^9, 3.471353330859375*^9}, {3.47135337671875*^9, 
   3.47135338709375*^9}, 3.471353474671875*^9, 3.47135672225*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471351836390625*^9, 3.47135183640625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"c68", "=", 
   RowBox[{"10", "^", 
    RowBox[{"-", "6.8"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c43", "=", 
   RowBox[{"10", "^", 
    RowBox[{"-", "4.3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PHA", "=", "7.4"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YPO4", "=", "0.025"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"0.008375", ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"YORG", "=", " ", "0.01"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"0.00335", ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"YTA", "=", "0.0168"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cPHA", "=", 
   RowBox[{"10", "^", 
    RowBox[{"-", "PHA"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"XA", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"c43", " ", 
      SuperscriptBox["c68", "2"], " ", "YORG"}], "-", 
     RowBox[{"c43", " ", 
      SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
     RowBox[{
      SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "-", 
     RowBox[{"c68", " ", 
      SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "-", 
     RowBox[{
      SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "-", 
     RowBox[{"c43", " ", 
      SuperscriptBox["c68", "2"], " ", "YTA"}], "-", 
     RowBox[{
      SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "-", 
     RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], "-", 
     RowBox[{
      SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "-", 
     RowBox[{"c43", " ", 
      SuperscriptBox["cPHA", "2"], " ", "YTA"}], "-", 
     RowBox[{"c68", " ", 
      SuperscriptBox["cPHA", "2"], " ", "YTA"}], "-", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "c43"}], " ", 
            SuperscriptBox["c68", "2"], " ", "YORG"}], "+", 
           RowBox[{"c43", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YORG"}], "-", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "+", 
           RowBox[{"c68", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "+", 
           RowBox[{"c43", " ", 
            SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "+", 
           RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], 
           "+", 
           RowBox[{
            SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
           RowBox[{"c43", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YTA"}], "+", 
           RowBox[{"c68", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], "2"], "-", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
           RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
           RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
           RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
           RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
           RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
           RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
           RowBox[{
            SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"c43", " ", 
            SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YORG"}], "+", 
           RowBox[{"c43", " ", "c68", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", 
            "YPO4"}], "+", 
           RowBox[{"c43", " ", "c68", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", 
            SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
           RowBox[{
            SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", "YTA"}],
            "+", 
           RowBox[{"c43", " ", 
            SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
           RowBox[{"c43", " ", "c68", " ", 
            SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}]}], ")"}]}]}],
     ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
       RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
       RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
       RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
       RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
       RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
       RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
       RowBox[{
        SuperscriptBox["cPHA", "2"], " ", "YTA"}]}], ")"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"PHU", "=", 
  RowBox[{"-", 
   RowBox[{"Log10", "[", "XA", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.471351791984375*^9, 3.471351791984375*^9}, {
  3.47135363803125*^9, 3.4713538328125*^9}, {3.471353999078125*^9, 
  3.47135403346875*^9}, {3.47135655734375*^9, 3.471356570265625*^9}, {
  3.471357308296875*^9, 3.471357310125*^9}, {3.471357434109375*^9, 
  3.471357532359375*^9}, {3.471357782890625*^9, 3.47135779665625*^9}, {
  3.471361165078125*^9, 3.471361169640625*^9}}],

Cell[BoxData["1.016596157494375`*^-6"], "Output",
 CellChangeTimes->{3.471357798890625*^9, 3.47135785471875*^9, 
  3.47136117759375*^9}],

Cell[BoxData["5.9928515361660155`"], "Output",
 CellChangeTimes->{3.471357798890625*^9, 3.47135785471875*^9, 
  3.471361177625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"b", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c43"}], " ", 
       SuperscriptBox["c68", "2"], " ", "YORG"}], "+", 
      RowBox[{"c43", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YORG"}], "-", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", "c68", " ", "YPO4"}], "+", 
      RowBox[{"c68", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", "c68", " ", "YTA"}], "+", 
      RowBox[{"c43", " ", 
       SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{"2", " ", "c43", " ", "c68", " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{
       SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{"c43", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YTA"}], "+", 
      RowBox[{"c68", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YTA"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "c43"}], " ", "c68", " ", "YORG"}], "-", 
      RowBox[{"c43", " ", "cPHA", " ", "YORG"}], "-", 
      RowBox[{"c43", " ", "c68", " ", "YPO4"}], "-", 
      RowBox[{"c68", " ", "cPHA", " ", "YPO4"}], "+", 
      RowBox[{"c43", " ", "c68", " ", "YTA"}], "+", 
      RowBox[{"c43", " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{"c68", " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{
       SuperscriptBox["cPHA", "2"], " ", "YTA"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", 
     RowBox[{
      RowBox[{"c43", " ", 
       SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YORG"}], "+", 
      RowBox[{"c43", " ", "c68", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YORG"}], "+", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", "YPO4"}], 
      "+", 
      RowBox[{"c43", " ", "c68", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YPO4"}], "+", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", 
       SuperscriptBox["c68", "2"], " ", "YTA"}], "+", 
      RowBox[{
       SuperscriptBox["c43", "2"], " ", "c68", " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{"c43", " ", 
       SuperscriptBox["c68", "2"], " ", "cPHA", " ", "YTA"}], "+", 
      RowBox[{"c43", " ", "c68", " ", 
       SuperscriptBox["cPHA", "2"], " ", "YTA"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"XX1", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "b"}], "-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"b", "*", "b"}], "-", 
          RowBox[{"4", "*", "a", "*", "c"}]}], "]"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{"2", "*", "a"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"PHU", "=", 
    RowBox[{"-", 
     RowBox[{"Log10", "[", "XX1", "]"}]}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.471356685703125*^9, 3.47135668571875*^9}, {
   3.471360005328125*^9, 3.471360188828125*^9}, {3.47136025165625*^9, 
   3.471360328*^9}, 3.471360404703125*^9, {3.471360570265625*^9, 
   3.471360896140625*^9}, {3.471361013375*^9, 3.471361031703125*^9}, {
   3.471361085734375*^9, 3.47136114553125*^9}, {3.4713611928125*^9, 
   3.47136121903125*^9}, 3.471361254796875*^9, {3.471361323359375*^9, 
   3.4713613248125*^9}, {3.471361383390625*^9, 3.471361453640625*^9}}],

Cell[BoxData["5.992851536166016`"], "Output",
 CellChangeTimes->{
  3.471361148359375*^9, {3.4713611965625*^9, 3.471361223546875*^9}, {
   3.4713612590625*^9, 3.47136127103125*^9}, 3.471361329609375*^9, {
   3.4713614418125*^9, 3.471361455078125*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "Log10"}], 
  RowBox[{"(", "0", ")"}]}]], "Input",
 CellChangeTimes->{{3.47136101175*^9, 3.47136101178125*^9}, {
  3.471368779140625*^9, 3.471368787515625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{"0", "\[IndentingNewLine]", 
 RowBox[{"10", "^", 
  RowBox[{"-", "3"}]}]}], "Input",
 CellChangeTimes->{{3.471368802578125*^9, 3.471368815046875*^9}, {
  3.471368880640625*^9, 3.471368903046875*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.471368816453125*^9, {3.47136888503125*^9, 3.4713689060625*^9}}],

Cell[BoxData[
 FractionBox["1", "1000"]], "Output",
 CellChangeTimes->{
  3.471368816453125*^9, {3.47136888503125*^9, 3.4713689060625*^9}}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471360955015625*^9, 3.4713609550625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"10", "^", 
  RowBox[{"-", "4.4"}]}]], "Input",
 CellChangeTimes->{{3.47136090228125*^9, 3.471360907546875*^9}, 
   3.471360951984375*^9, {3.471372071546875*^9, 3.47137208828125*^9}}],

Cell[BoxData["0.000039810717055349695`"], "Output",
 CellChangeTimes->{3.47137208915625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"10", "^", 
  RowBox[{"-", "3.5"}]}]], "Input",
 CellChangeTimes->{{3.4713720959375*^9, 3.4713721096875*^9}}],

Cell[BoxData["0.00031622776601683794`"], "Output",
 CellChangeTimes->{3.47137211053125*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471360950046875*^9, 3.471360950078125*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471360408109375*^9, 3.471360408140625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"NA43", "=", 
     RowBox[{"10", "^", 
      RowBox[{"-", "4.3"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"NA68", "=", 
     RowBox[{"10", "^", 
      RowBox[{"-", "6.8"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK6", "=", 
     RowBox[{"2", "*", "NA68"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK7", "=", 
     RowBox[{"GK6", "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK1", "=", 
     RowBox[{"YPO4", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"10", "^", 
          RowBox[{"-", "PHA"}]}], "+", 
         RowBox[{"2.0", "*", "NA68"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"10", "^", 
          RowBox[{"-", "PHA"}]}], "+", "NA68"}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK2", "=", "YORG"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK3", "=", 
     RowBox[{"GK1", "+", "GK2", "-", "YTA"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK4", "=", 
     RowBox[{"YORG", "*", "NA43"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GK5", "=", "YPO4"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A1", "=", 
     RowBox[{"GK5", "-", "GK3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A2", "=", 
     RowBox[{
      RowBox[{"GK5", "*", 
       RowBox[{"(", 
        RowBox[{"GK6", "+", "NA43"}], ")"}]}], "-", 
      RowBox[{"GK3", "*", 
       RowBox[{"(", 
        RowBox[{"GK7", "+", "NA43"}], ")"}]}], "+", "GK4"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A3", "=", 
     RowBox[{
      RowBox[{"GK5", "*", "GK6", "*", "NA43"}], "+", 
      RowBox[{"GK4", "*", "GK7"}], "-", 
      RowBox[{"GK3", "*", "GK7", "*", "NA43"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"X", "=", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"A2", "*", "A2"}], "-", 
       RowBox[{"4.0", "*", "A1", "*", "A3"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"XX1", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "A2"}], "+", "X"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"2.0", "*", "A1"}], ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"XX2", ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "A2"}], "-", "X"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"2.0", "*", "A1"}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.47135428709375*^9, 3.471354389640625*^9}, {
   3.4713544205625*^9, 3.471354438015625*^9}, {3.471354513953125*^9, 
   3.471354654921875*^9}, {3.471354698515625*^9, 3.471354701765625*^9}, 
   3.471354780046875*^9, 3.47135537653125*^9, {3.47135542521875*^9, 
   3.4713554476875*^9}, {3.47135553940625*^9, 3.471355700234375*^9}, {
   3.4713557326875*^9, 3.4713557756875*^9}, {3.471355836453125*^9, 
   3.4713558401875*^9}, {3.471356038359375*^9, 3.471356040046875*^9}, {
   3.471356157296875*^9, 3.471356222796875*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.000012967158324074946`"}]], "Output",
 CellChangeTimes->{3.4713557784375*^9, 3.47135584209375*^9, 
  3.471356044796875*^9, 3.471356630546875*^9, 3.47135735134375*^9, 
  3.471357832625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["XX1"], "Input",
 CellChangeTimes->{{3.4713558511875*^9, 3.471355854109375*^9}}],

Cell[BoxData[
 RowBox[{"-", "5.529049545980964`*^-7"}]], "Output",
 CellChangeTimes->{3.471355854921875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["XX2"], "Input",
 CellChangeTimes->{{3.4713558576875*^9, 3.47135585896875*^9}}],

Cell[BoxData["0.005735926513459588`"], "Output",
 CellChangeTimes->{3.471355859703125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PHU", "=", 
  RowBox[{"-", 
   RowBox[{"Log10", "[", "XX2", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.47135593778125*^9, 3.471355982609375*^9}, {
  3.471356051875*^9, 3.4713560528125*^9}}],

Cell[BoxData["5.9939583194107895`"], "Output",
 CellChangeTimes->{{3.471355973765625*^9, 3.471355985859375*^9}, 
   3.4713560551875*^9, 3.471356634609375*^9, 3.4713573550625*^9, 
   3.471357837640625*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.471354395484375*^9, 3.471354418421875*^9}}]
},
WindowSize->{1912, 1083},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 1445, 39, 72, "Input"],
Cell[2015, 63, 9573, 217, 187, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11625, 285, 1123, 31, 31, "Input"],
Cell[12751, 318, 827, 24, 47, "Output"]
}, Open  ]],
Cell[13593, 345, 92, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[13710, 350, 605, 15, 31, "Input"],
Cell[14318, 367, 421, 9, 47, "Output"]
}, Open  ]],
Cell[14754, 379, 91, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[14870, 384, 5642, 141, 315, "Input"],
Cell[20515, 527, 136, 2, 30, "Output"],
Cell[20654, 531, 131, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20822, 538, 3501, 87, 172, "Input"],
Cell[24326, 627, 251, 4, 30, "Output"]
}, Open  ]],
Cell[24592, 634, 199, 5, 31, InheritFromParent],
Cell[CellGroupData[{
Cell[24816, 643, 213, 4, 52, InheritFromParent],
Cell[25032, 649, 116, 2, 30, "Output"],
Cell[25151, 653, 139, 3, 47, "Output"]
}, Open  ]],
Cell[25305, 659, 90, 1, 31, InheritFromParent],
Cell[CellGroupData[{
Cell[25420, 664, 206, 4, 31, "Input"],
Cell[25629, 670, 92, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25758, 676, 132, 3, 31, "Input"],
Cell[25893, 681, 91, 1, 30, "Output"]
}, Open  ]],
Cell[25999, 685, 92, 1, 31, InheritFromParent],
Cell[26094, 688, 92, 1, 31, InheritFromParent],
Cell[CellGroupData[{
Cell[26211, 693, 3088, 89, 332, "Input"],
Cell[29302, 784, 219, 4, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29558, 793, 93, 1, 31, "Input"],
Cell[29654, 796, 108, 2, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29799, 803, 92, 1, 31, "Input"],
Cell[29894, 806, 90, 1, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30021, 812, 213, 5, 31, "Input"],
Cell[30237, 819, 204, 3, 30, "Output"]
}, Open  ]],
Cell[30456, 825, 92, 1, 31, "Input"]
}
]
*)

(* End of internal cache information *)
