within ;
package IKEDA
  package Library
    block POW

      Modelica.Blocks.Interfaces.RealInput x annotation (Placement(transformation(
              extent={{-80,26},{-40,66}}), iconTransformation(extent={{-128,20},
                {-62,86}})));
      Modelica.Blocks.Interfaces.RealInput n annotation (Placement(transformation(
              extent={{-82,-8},{-42,32}}), iconTransformation(extent={{-130,-78},
                {-64,-12}})));
      Modelica.Blocks.Interfaces.RealOutput y annotation (Placement(transformation(
              extent={{-10,20},{10,40}}), iconTransformation(extent={{68,-38},{
                150,44}})));
    equation
      y=x^n;

      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            initialScale=0.01), graphics={
            Rectangle(
              extent={{-100,100},{100,-98}},
              lineColor={0,0,255},
              lineThickness=0.5),
            Text(
              extent={{-68,36},{-32,74}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="x"),
            Text(
              extent={{-66,-62},{-30,-26}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="n"),
            Text(
              extent={{42,4},{62,30}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="n"),
            Text(
              extent={{-2,-20},{48,28}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="y=x")}), Diagram(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            initialScale=0.01)));
    end POW;

    block Constant

      Modelica.Blocks.Interfaces.RealOutput y annotation (Placement(transformation(
              extent={{-30,12},{-10,32}}), iconTransformation(extent={{96,-64},{226,
                66}})));
    parameter Real Const;
    equation
      y=Const;
      annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}},
            initialScale=0.04), graphics={Rectangle(
              extent={{-100,100},{100,-100}},
              lineColor={0,0,255},
              lineThickness=0.5), Text(
              extent={{-136,-12},{122,-58}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="%Const"),
                                  Text(
              extent={{-136,76},{122,30}},
              lineColor={0,0,255},
              lineThickness=0.5,
              textString="%name")}),  Diagram(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            initialScale=0.04)));
    end Constant;

    model SimpleMultiply
     extends IKEDA.Library.Interfaces.BaseFactorIcon;

     Modelica.Blocks.Math.Product product  annotation (Placement(transformation(
            extent={{-10,-10},{10,10}},
            rotation=270,
            origin={0,-32})));
      Interfaces.RealInput_ u annotation (Placement(transformation(extent={{
                -110,-20},{-70,20}}), iconTransformation(extent={{-112,-14},{
                -84,14}})));
    equation
      connect(yBase, product.u1) annotation (Line(
          points={{6,80},{6,30},{6,-20},{6,-20}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(product.y, y) annotation (Line(
          points={{-2.02067e-015,-43},{-2.02067e-015,-55.5},{0,-55.5},{0,-60}},
          color={0,0,127},
          smooth=Smooth.None));
      connect(u, product.u2) annotation (Line(
          points={{-90,0},{-6,0},{-6,-20}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-98,12},{-52,-24}},
              lineColor={0,0,255},
              lineThickness=0.5,
              fillColor={213,255,170},
              fillPattern=FillPattern.CrossDiag,
              textString="*")}));
    end SimpleMultiply;

    model SimpleAdd
     extends IKEDA.Library.Interfaces.BaseFactorIcon;

      Modelica.Blocks.Math.Add add
        annotation (Placement(transformation(extent={{-18,-10},{2,10}})));
      Interfaces.RealInput_ u annotation (Placement(transformation(extent={{
                -116,-26},{-76,14}}), iconTransformation(extent={{-110,-14},{
                -82,14}})));
    equation
      connect(add.u1, yBase) annotation (Line(
          points={{-20,6},{-28,6},{-28,36},{6,36},{6,80}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(add.y, y) annotation (Line(
          points={{3,0},{12,0},{12,-50},{0,-50},{0,-60}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(u, add.u2) annotation (Line(
          points={{-96,-6},{-20,-6}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-88,14},{-56,-16}},
              lineColor={0,0,255},
              lineThickness=0.5,
              fillColor={213,255,170},
              fillPattern=FillPattern.CrossDiag,
              textString="+")}));
    end SimpleAdd;

    model SimpleSubtract
     extends IKEDA.Library.Interfaces.BaseFactorIcon;

      Modelica.Blocks.Math.Add add(k2=-1)
        annotation (Placement(transformation(extent={{-18,-10},{2,10}})));
      Interfaces.RealInput_ u annotation (Placement(transformation(extent={{
                -116,-26},{-76,14}}), iconTransformation(extent={{-110,-14},{
                -82,14}})));
    equation
      connect(add.u1, yBase) annotation (Line(
          points={{-20,6},{-28,6},{-28,36},{6,36},{6,80}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(add.y, y) annotation (Line(
          points={{3,0},{12,0},{12,-50},{0,-50},{0,-60}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      connect(u, add.u2) annotation (Line(
          points={{-96,-6},{-20,-6}},
          color={0,0,127},
          thickness=0.5,
          smooth=Smooth.None));
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                -100},{100,100}}), graphics), Icon(coordinateSystem(
              preserveAspectRatio=true,  extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-88,20},{-54,-16}},
              lineColor={0,0,255},
              lineThickness=0.5,
              fillColor={213,255,170},
              fillPattern=FillPattern.CrossDiag,
              textString="-")}));
    end SimpleSubtract;

    package Interfaces
      partial model BaseModel

        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,127,0},
                fillColor={215,215,215},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-100,-74},{100,-52}},
                lineColor={0,0,177},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="%name")}));
      end BaseModel;

      partial model BaseFactorIcon

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={95,95,95},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon;

      partial model BaseFactorIcon2

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,100}),
              iconTransformation(extent={{-10,-10},{10,10}},rotation=270,
              origin={0,50})));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-80}),
              iconTransformation(extent={{-10,-10},{10,10}},  rotation=270,
              origin={0,-52})));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,50},{100,-50}},
                lineColor={0,127,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-86,-36},{100,40}},
                textString="%name",
                lineColor={0,0,0},
                fillPattern=FillPattern.Sphere)}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon2;

      partial model BaseFactorIcon3

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,127,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon3;

      partial model BaseFactorIcon4

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={127,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon4;

      partial model BaseResistorModel

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={
              Rectangle(
                extent={{-70,30},{70,-30}},
                lineColor={0,0,0},
                fillColor={241,241,241},
                fillPattern=FillPattern.Solid),
              Line(points={{-90,0},{-70,0}}, color={0,0,0}),
              Line(points={{70,0},{90,0}}, color={0,0,0})}));
      end BaseResistorModel;

      partial connector SignalBusBlue "Icon for signal bus"

        annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Rectangle(
                extent={{-20,2},{20,-2}},
                lineColor={255,204,51},
                lineThickness=0.5),
              Polygon(
                points={{-80,50},{80,50},{100,30},{80,-40},{60,-50},{-60,-50},{
                    -80,-40},{-100,30},{-80,50}},
                lineColor={0,0,0},
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-65,25},{-55,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,25},{5,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{55,25},{65,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-35,-15},{-25,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{25,-15},{35,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-40,25},{40,25},{50,15},{40,-20},{30,-25},{-30,-25},{-40,
                    -20},{-50,15},{-40,25}},
                lineColor={0,0,0},
                fillColor={0,0,255},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-32.5,7.5},{-27.5,12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-2.5,12.5},{2.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{27.5,12.5},{32.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-17.5,-7.5},{-12.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{12.5,-7.5},{17.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,70},{150,40}},
                lineColor={0,0,0},
                textString="%name")}),
          Documentation(info="<html>
<p>
This icon is designed for a <b>signal bus</b> connector.
</p>
</html>"));

      end SignalBusBlue;

      connector RealInput = input Real "'input Real' as connector"
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{98,-98},{710,120}},
              lineColor={0,0,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));
      connector RealInput_ =input Real "'input Real' as connector"
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid)},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={0,0,127},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));
      connector RealOutput = output Real "'output Real' as connector"
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-700,-118},{-100,100}},
              lineColor={0,0,127},
              textString="%name")},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={0,0,127},
              textString="%name")}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));
      connector RealOutput_ =output Real "'output Real' as connector"
        annotation (defaultComponentName="u",
        Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid)},
             coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true, initialScale=0.2)),
        Diagram(coordinateSystem(
              preserveAspectRatio=true, initialScale=0.2,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={0,0,127},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid)}),
          Documentation(info="<html>
<p>
Connector with one input signal of type Real.
</p>
</html>"));
    connector BooleanInput = input Boolean "'input Boolean' as connector"
      annotation (defaultComponentName="u",
           Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={255,0,255},
              fillColor={255,0,255},
              fillPattern=FillPattern.Solid)},
                coordinateSystem(extent={{-100,-100},{100,100}},
            preserveAspectRatio=true, initialScale=0.2)),    Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={255,0,255},
              fillColor={255,0,255},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={255,0,255},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Boolean.
</p>
</html>"));
    connector IntegerInput = input Integer "'input Integer' as connector"
      annotation (defaultComponentName="u",
      Icon(graphics={Polygon(
              points={{-100,100},{100,0},{-100,-100},{-100,100}},
              lineColor={255,127,0},
              fillColor={255,127,0},
              fillPattern=FillPattern.Solid), Text(
              extent={{100,-50},{700,50}},
              lineColor={255,127,0},
              textString="%name")},
           coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=true,
                     initialScale=0.2)),
      Diagram(coordinateSystem(
            preserveAspectRatio=true, initialScale=0.2,
            extent={{-100,-100},{100,100}},
            grid={1,1}), graphics={Polygon(
              points={{0,50},{100,0},{0,-50},{0,50}},
              lineColor={255,127,0},
              fillColor={255,127,0},
              fillPattern=FillPattern.Solid), Text(
              extent={{-10,85},{-10,60}},
              lineColor={255,127,0},
              textString="%name")}),
        Documentation(info="<html>
<p>
Connector with one input signal of type Integer.
</p>
</html>"));
        expandable connector BusConnector
        "Empty control bus that is adapted to the signals connected to it"
          extends IKEDA.Library.Interfaces.SignalBusBlue;

          annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                  {100,100}}), graphics={Rectangle(
                extent={{-20,2},{22,-2}},
                lineColor={0,0,255},
                lineThickness=0.5)}),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                    graphics),
            Documentation(info="<html>
<p>
This connector defines the \"expandable connector\" ControlBus that
is used as bus in the
<a href=\"Modelica://Modelica.Blocks.Examples.BusUsage\">BusUsage</a> example.
Note, this connector is \"empty\". When using it, the actual content is
constructed by the signals connected to this bus.
</p>
</html>"));

        end BusConnector;

        partial block MISO
        "Multiple Input Single Output continuous control block"

           parameter Integer nin=1 "Number of inputs";
          Modelica.Blocks.Interfaces.RealInput u[nin]
          "Connector of Real input signals"
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
          Modelica.Blocks.Interfaces.RealOutput y
          "Connector of Real output signal"
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));
          annotation (Documentation(info="<HTML>
<p>
Block has a vector of continuous Real input signals and
one continuous Real output signal.
</p>
</HTML>
"), Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,
                  100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
        end MISO;

    partial block SIMO "Single Input Multiple Output continuous control block"
      parameter Integer nout=1 "Number of outputs";
          Modelica.Blocks.Interfaces.RealInput u
          "Connector of Real input signal"
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
          Modelica.Blocks.Interfaces.RealOutput y[nout]
          "Connector of Real output signals"
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));

      annotation (Documentation(info="<HTML>
<p> Block has one continuous Real input signal and a
    vector of continuous Real output signals.</p>
 
</HTML>
"),   Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,
                  100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
    end SIMO;

      partial model BaseFactorIcon5

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon5;

      connector SignalBusGreen "Icon for signal bus"

        annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Rectangle(
                extent={{-20,2},{20,-2}},
                lineColor={255,204,51},
                lineThickness=0.5),
              Polygon(
                points={{-80,50},{80,50},{100,30},{80,-40},{60,-50},{-60,-50},{
                    -80,-40},{-100,30},{-80,50}},
                lineColor={0,0,0},
                fillColor={0,127,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-65,25},{-55,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,25},{5,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{55,25},{65,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-35,-15},{-25,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{25,-15},{35,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-40,25},{40,25},{50,15},{40,-20},{30,-25},{-30,-25},{-40,
                    -20},{-50,15},{-40,25}},
                lineColor={0,0,0},
                fillColor={0,127,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-32.5,7.5},{-27.5,12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-2.5,12.5},{2.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{27.5,12.5},{32.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-17.5,-7.5},{-12.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{12.5,-7.5},{17.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,70},{150,40}},
                lineColor={0,0,0},
                textString="%name")}),
          Documentation(info="<html>
<p>
This icon is designed for a <b>signal bus</b> connector.
</p>
</html>"));

      end SignalBusGreen;

      connector SignalBusGray "Icon for signal bus"

        annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Rectangle(
                extent={{-20,2},{20,-2}},
                lineColor={127,127,127},
                lineThickness=0.5),
              Polygon(
                points={{-80,50},{80,50},{100,30},{80,-40},{60,-50},{-60,-50},{
                    -80,-40},{-100,30},{-80,50}},
                lineColor={0,0,0},
                fillColor={127,127,127},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-65,25},{-55,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,25},{5,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{55,25},{65,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-35,-15},{-25,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{25,-15},{35,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-40,25},{40,25},{50,15},{40,-20},{30,-25},{-30,-25},{-40,
                    -20},{-50,15},{-40,25}},
                lineColor={0,0,0},
                fillColor={127,127,127},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-32.5,7.5},{-27.5,12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-2.5,12.5},{2.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{27.5,12.5},{32.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-17.5,-7.5},{-12.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{12.5,-7.5},{17.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,70},{150,40}},
                lineColor={0,0,0},
                textString="%name")}),
          Documentation(info="<html>
<p>
This icon is designed for a <b>signal bus</b> connector.
</p>
</html>"));

      end SignalBusGray;

      partial model BaseFactorIcon6

        RealInput_ yBase annotation (Placement(transformation(extent={{-20,-20},{
                  20,20}},
              rotation=270,
              origin={6,80}),
              iconTransformation(extent={{-10,10},{10,30}}, rotation=-90)));
        RealOutput_ y annotation (Placement(transformation(extent={{-20,-20},{20,
                  20}},
              rotation=270,
              origin={0,-60}),
              iconTransformation(extent={{-10,-30},{10,-10}}, rotation=-90)));

       annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2}), graphics={Rectangle(
                extent={{-100,20},{100,-20}},
                lineColor={255,255,255},
                fillColor={0,0,255},
                fillPattern=FillPattern.Sphere), Text(
                extent={{-90,-10},{92,10}},
                textString="%name",
                lineColor={0,0,0})}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics));
      end BaseFactorIcon6;

      partial model ReversibleChemicalReaction

        QHP.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{80,0},{100,20}}),  iconTransformation(extent={{40,-10},
                  {60,10}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(transformation(extent={
                  {-100,60},{-80,80}}), iconTransformation(extent={{-60,10},{-40,
                  30}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-100,-80},{-80,-60}}),iconTransformation(extent={{-60,-30},
                  {-40,-10}})));
        BusConnector signals "input signals to drive reaction"
                                 annotation (Placement(transformation(extent={{-20,
                  -100},{0,-80}}),  iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={0,-20})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-50,-20},{50,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-40,6},{-40,4},{36,4},{36,4},{0,14},{0,6},{-40,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={17,-7},
                rotation=180)}), Diagram(coordinateSystem(preserveAspectRatio=
                  true, extent={{-100,-100},{100,100}}), graphics));

      end ReversibleChemicalReaction;

      partial model ReversibleChemicalTransformation

        QHP.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{80,0},{100,20}}),  iconTransformation(extent={{40,-10},
                  {60,10}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow r1 "reactant"
                                  annotation (Placement(transformation(extent={
                  {-100,60},{-80,80}}), iconTransformation(extent={{-60,10},{
                  -40,30}})));
        BusConnector signals "input signals to drive reaction"
                                 annotation (Placement(transformation(extent={{-20,
                  -100},{0,-80}}),  iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={0,-20})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-50,-20},{50,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-40,6},{-40,4},{36,4},{36,4},{0,14},{0,6},{-40,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={17,-7},
                rotation=180)}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));

      end ReversibleChemicalTransformation;

      partial model ReversibleGasDissociation

        QHP.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{80,0},{100,20}}),  iconTransformation(extent={{40,-10},
                  {60,10}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(transformation(extent={
                  {-100,60},{-80,80}}), iconTransformation(extent={{-60,10},{-40,
                  30}})));
        QHP.Library.PressureFlow.PositivePressureFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-100,-80},{-80,-60}}),iconTransformation(extent={{-60,-30},
                  {-40,-10}})));
        BusConnector signals "input signals to drive reaction"
                                 annotation (Placement(transformation(extent={{-20,
                  -100},{0,-80}}),  iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=0,
              origin={0,-20})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-50,-20},{50,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-40,6},{-40,4},{36,4},{36,4},{0,14},{0,6},{-40,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={17,-7},
                rotation=180)}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));

      end ReversibleGasDissociation;

      partial connector LocalInputSignals "Icon for input signal bus"

        annotation (
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-80,50},{80,50},{100,30},{80,-40},{60,-50},{-60,-50},{
                    -80,-40},{-100,30},{-80,50}},
                lineColor={0,0,0},
                fillColor={255,170,85},
                fillPattern=FillPattern.Solid),
              Rectangle(
                extent={{-20,2},{20,-2}},
                lineColor={255,204,51},
                lineThickness=0.5),
              Ellipse(
                extent={{-65,25},{-55,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-5,25},{5,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{55,25},{65,15}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-35,-15},{-25,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{25,-15},{35,-25}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={2,2},
              initialScale=0.2), graphics={
              Polygon(
                points={{-40,25},{40,25},{50,15},{40,-20},{30,-25},{-30,-25},{-40,
                    -20},{-50,15},{-40,25}},
                lineColor={0,0,0},
                fillColor={255,170,85},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-32.5,7.5},{-27.5,12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-2.5,12.5},{2.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{27.5,12.5},{32.5,7.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{-17.5,-7.5},{-12.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Ellipse(
                extent={{12.5,-7.5},{17.5,-12.5}},
                lineColor={0,0,0},
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,70},{150,40}},
                lineColor={0,0,0},
                textString="%name")}),
          Documentation(info="<html>
<p>
This icon is designed for a <b>signal bus</b> connector.
</p>
</html>"));

      end LocalInputSignals;

      model IMultipleBindingWithGas
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow A
                                    annotation (Placement(transformation(extent={{-93,54},
                  {-53,94}}),           iconTransformation(extent={{-100,80},{-80,100}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow AC
                                     annotation (Placement(transformation(extent={{-92,-98},
                  {-52,-58}}),            iconTransformation(extent={{-100,-100},
                  {-80,-80}})));
        QHP.Library.PressureFlow.PositivePressureFlow C
                                    annotation (Placement(transformation(extent={{-50,-27},
                  {-10,13}}),           iconTransformation(extent={{-110,-10},{-90,10}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow AB
                                     annotation (Placement(transformation(extent={{37,52},
                  {77,92}}),       iconTransformation(extent={{80,80},{100,100}})));
        parameter Boolean reduceB=false
          "reaction R1 and R2 are transfornation of one reactant modelule A to one product molecule AB";
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow B if not
          reduceB                                  annotation (Placement(
              transformation(extent={{-49,13},{-9,53}}),  iconTransformation(extent={
                  {-10,90},{10,110}})));
        QHP.Library.ConcentrationFlow.PositiveConcentrationFlow ABC
                                      annotation (Placement(transformation(extent={{35,-96},
                  {75,-56}}),           iconTransformation(extent={{80,-100},{100,-80}})));
        BusConnector signals            annotation (Placement(transformation(extent={
                  {-15,-41},{5,-21}}), iconTransformation(extent={{-10,-112},{10,-92}})));

        annotation (
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics),
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={215,215,215},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-80,61},{-80,-61}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{-80,62},{-86,44},{-74,44},{-80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,80},
                rotation=270),
              Line(
                points={{80,60},{80,-62}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{80,62},{74,44},{86,44},{80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,-80},
                rotation=270)}),
          DymolaStoredErrors);
      end IMultipleBindingWithGas;

        partial block SISO
        "Single Input Single Output continuous control block"

          Modelica.Blocks.Interfaces.RealInput u
          "Connector of Real input signals"
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0)));
          Modelica.Blocks.Interfaces.RealOutput y
          "Connector of Real output signal"
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
                rotation=0)));
          annotation (Documentation(info="<HTML>
<p>
Block has a vector of continuous Real input signals and
one continuous Real output signal.
</p>
</HTML>
"),         Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},
                  {100,100}}), graphics={Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}));
        end SISO;
    end Interfaces;

        block Add4 "Output the sum of the for inputs"
          extends Modelica.Blocks.Interfaces.BlockIcon;

          parameter Real k1=+1 "Gain of upper input";
          parameter Real k2=+1 "Gain of middle input";
          parameter Real k3=+1 "Gain of lower input";
          parameter Real k4=+1 "Gain of lower input";
          input Modelica.Blocks.Interfaces.RealInput u1
        "Connector 1 of Real input signals"
            annotation (Placement(transformation(extent={{-140,60},{-100,100}},
              rotation=0)));
          input Modelica.Blocks.Interfaces.RealInput u2
        "Connector 2 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-2},{-100,38}},
              rotation=0), iconTransformation(extent={{-140,18},{-100,58}})));
          input Modelica.Blocks.Interfaces.RealInput u3
        "Connector 3 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-48},{-100,-8}},
              rotation=0), iconTransformation(extent={{-140,-28},{-100,12}})));
          output Modelica.Blocks.Interfaces.RealOutput y
        "Connector of Real output signals"
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
              rotation=0)));

          input Modelica.Blocks.Interfaces.RealInput u4
        "Connector 4 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-100},{-100,-60}},
              rotation=0), iconTransformation(extent={{-140,-76},{-100,-36}})));
        equation
          y = k1*u1 + k2*u2 + k3*u3 + k4*u4;
          annotation (
            Documentation(info="
<HTML>
<p>
This blocks computes output <b>y</b> as <i>sum</i> of the
three input signals <b>u1</b>, <b>u2</b> and <b>u3</b>:
</p>
<pre>
    <b>y</b> = k1*<b>u1</b> + k2*<b>u2</b> + k3*<b>u3</b>;
</pre>
<p>
Example:
</p>
<pre>
     parameter:   k1= +2, k2= -3, k3=1;

  results in the following equations:

     y = 2 * u1 - 3 * u2 + u3;
</pre>

</HTML>
"),         Icon(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-100,50},{5,90}},
              lineColor={0,0,0},
              textString="%k1"),
            Text(
              extent={{-100,16},{5,56}},
              lineColor={0,0,0},
              textString="%k2"),
            Text(
              extent={{-100,10},{5,-30}},
              lineColor={0,0,0},
              textString="%k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Text(
              extent={{-100,-40},{5,-80}},
              lineColor={0,0,0},
              textString="%k4")}),
            Diagram(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Rectangle(
              extent={{-100,-100},{100,100}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-100,50},{5,90}},
              lineColor={0,0,0},
              textString="%k1"),
            Text(
              extent={{-100,-20},{5,20}},
              lineColor={0,0,0},
              textString="%k2"),
            Text(
              extent={{-100,-50},{5,-90}},
              lineColor={0,0,0},
              textString="%k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Rectangle(
              extent={{-100,-100},{100,100}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-100,50},{5,90}},
              lineColor={0,0,0},
              textString="k1"),
            Text(
              extent={{-100,0},{5,40}},
              lineColor={0,0,0},
              textString="k2"),
            Text(
              extent={{-100,-8},{5,-48}},
              lineColor={0,0,0},
              textString="k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Text(
              extent={{-100,-52},{5,-92}},
              lineColor={0,0,0},
              textString="k4")}));
        end Add4;

        block Add5 "Output the sum of the for inputs"
          extends Modelica.Blocks.Interfaces.BlockIcon;

          parameter Real k1=+1 "Gain of upper input";
          parameter Real k2=+1 "Gain of middle input";
          parameter Real k3=+1 "Gain of lower input";
          parameter Real k4=+1 "Gain of lower input";
          parameter Real k5=+1 "Gain of lower input";
          input Modelica.Blocks.Interfaces.RealInput u1
        "Connector 1 of Real input signals"
            annotation (Placement(transformation(extent={{-140,60},{-100,100}},
              rotation=0), iconTransformation(extent={{-140,62},{-100,102}})));
          input Modelica.Blocks.Interfaces.RealInput u2
        "Connector 2 of Real input signals"
            annotation (Placement(transformation(extent={{-140,22},{-100,62}},
              rotation=0), iconTransformation(extent={{-140,22},{-100,62}})));
          input Modelica.Blocks.Interfaces.RealInput u3
        "Connector 3 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-18},{-100,22}},
              rotation=0), iconTransformation(extent={{-140,-18},{-100,22}})));
          output Modelica.Blocks.Interfaces.RealOutput y
        "Connector of Real output signals"
            annotation (Placement(transformation(extent={{100,-10},{120,10}},
              rotation=0)));

          input Modelica.Blocks.Interfaces.RealInput u4
        "Connector 4 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-60},{-100,-20}},
              rotation=0), iconTransformation(extent={{-140,-58},{-100,-18}})));
          input Modelica.Blocks.Interfaces.RealInput u5
        "Connector 4 of Real input signals"
            annotation (Placement(transformation(extent={{-140,-100},{-100,-60}},
              rotation=0), iconTransformation(extent={{-140,-98},{-100,-58}})));
        equation
          y = k1*u1 + k2*u2 + k3*u3 + k4*u4 + k5*u5;
          annotation (
            Documentation(info="
<HTML>
<p>
This blocks computes output <b>y</b> as <i>sum</i> of the
three input signals <b>u1</b>, <b>u2</b> and <b>u3</b>:
</p>
<pre>
    <b>y</b> = k1*<b>u1</b> + k2*<b>u2</b> + k3*<b>u3</b>;
</pre>
<p>
Example:
</p>
<pre>
     parameter:   k1= +2, k2= -3, k3=1;

  results in the following equations:

     y = 2 * u1 - 3 * u2 + u3;
</pre>

</HTML>
"),         Icon(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Text(
              extent={{-100,60},{5,100}},
              lineColor={0,0,0},
              textString="%k1"),
            Text(
              extent={{-100,20},{5,60}},
              lineColor={0,0,0},
              textString="%k2"),
            Text(
              extent={{-100,22},{5,-18}},
              lineColor={0,0,0},
              textString="%k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Text(
              extent={{-100,-20},{5,-60}},
              lineColor={0,0,0},
              textString="%k4"),
            Text(
              extent={{-100,-54},{5,-94}},
              lineColor={0,0,0},
              textString="%k4")}),
            Diagram(coordinateSystem(
            preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
            grid={2,2}), graphics={
            Rectangle(
              extent={{-100,-100},{100,100}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-100,50},{5,90}},
              lineColor={0,0,0},
              textString="%k1"),
            Text(
              extent={{-100,-20},{5,20}},
              lineColor={0,0,0},
              textString="%k2"),
            Text(
              extent={{-100,-50},{5,-90}},
              lineColor={0,0,0},
              textString="%k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Rectangle(
              extent={{-100,-100},{100,100}},
              lineColor={0,0,255},
              fillColor={255,255,255},
              fillPattern=FillPattern.Solid),
            Text(
              extent={{-100,62},{5,102}},
              lineColor={0,0,0},
              textString="k1"),
            Text(
              extent={{-100,22},{5,62}},
              lineColor={0,0,0},
              textString="k2"),
            Text(
              extent={{-100,20},{5,-20}},
              lineColor={0,0,0},
              textString="k3"),
            Text(
              extent={{2,36},{100,-44}},
              lineColor={0,0,0},
              textString="+"),
            Text(
              extent={{-100,-20},{5,-60}},
              lineColor={0,0,0},
              textString="k4"),
            Text(
              extent={{-100,-58},{5,-98}},
              lineColor={0,0,0},
              textString="k5")}));
        end Add5;

    package ConcentrationFlow
      replaceable class Concentration = Real (final quantity="Concentration");
      replaceable class SoluteFlow = Real (final quantity="Flow");
      replaceable class SoluteMass = Real (final quantity="Mass");
      replaceable class Conductance = Real (final quantity="Permeability");

      connector ConcentrationFlow "Concentration and Solute flow"
        Concentration conc;
        flow SoluteFlow q;
      end ConcentrationFlow;

      connector PositiveConcentrationFlow "Concentration and Solute inflow"
        extends IKEDA.Library.ConcentrationFlow.ConcentrationFlow;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={200,0,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                lineColor={200,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={200,0,0})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end PositiveConcentrationFlow;

      connector NegativeConcentrationFlow
        "Concentration and negative Solute outflow"
        extends IKEDA.Library.ConcentrationFlow.ConcentrationFlow;

      annotation (
          defaultComponentName="q_out",
          Icon(coordinateSystem(extent={{-100,-100},{100,100}}, preserveAspectRatio=false),
              graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={200,0,0},
                lineThickness=1), Polygon(
                points={{-100,0},{0,100},{100,0},{0,-100},{-100,0}},
                lineColor={200,0,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={255,240,240})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));

      end NegativeConcentrationFlow;

      connector MassFlowConnector "Mass flow"
        flow MassFlow q;
      end MassFlowConnector;

      partial model ResistorBase
       extends IKEDA.Library.Interfaces.BaseResistorModel;
        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                         graphics));
      end ResistorBase;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                         graphics));
      end Resistor;

      model ResistorWithCond
       extends Resistor;
        QHP.Library.Interfaces.RealInput_ cond
          "speed of solute in dependence on concentration gradient"                       annotation (extent=[-5,30; 5,50], rotation=-90);
      equation
        q_in.q = cond * (q_in.conc - q_out.conc);
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-70,-30},{70,30}},
                textString=DynamicSelect("%name", "cond"),
                lineColor={0,0,255})}));
      end ResistorWithCond;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond
          "speed of solute in dependence on concentration gradient";
      equation
        q_in.q = cond * (q_in.conc - q_out.conc);
        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-70,-30},{70,30}},
                lineColor={0,0,0},
                textString="%cond"), Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255})}));
      end ResistorWithCondParam;

      model ConcentrationCompartment
        extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));
        parameter SoluteMass initialSoluteMass;

        IKEDA.Library.Interfaces.RealInput_ SolventVolume(final quantity="Volume", final unit=
                                                                                            "ml")
                                 annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        IKEDA.Library.Interfaces.RealOutput_ SoluteMass
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

      initial equation
        SoluteMass = initialSoluteMass;
      equation
        q_out.conc = if (SolventVolume>0) then SoluteMass / SolventVolume else 0;
        der(SoluteMass) = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end ConcentrationCompartment;

      model InputPump

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        IKEDA.Library.Interfaces.RealInput_ desiredFlow "speed of solute flow"
                                                                      annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      model OutputPump

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-70,-10},
                  {-50,10}})));
        IKEDA.Library.Interfaces.RealInput_ desiredFlow
                                       annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-32},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,18},{50,-2},{-48,-26},{-48,18}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-78,-54},{72,-32}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPump;

      model SoluteFlowPump

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        IKEDA.Library.Interfaces.RealInput_ soluteFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.q = soluteFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SoluteFlowPump;

      model SolventFlowPump

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        IKEDA.Library.Interfaces.RealInput solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.q = solventFlow*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowPump;

      model SolventOutflowPump

        QHP.Library.Interfaces.RealInput solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));

        parameter Real K;
      equation
        q_in.q = K*solventFlow*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-100,-30},{100,-50}},
                lineColor={0,0,0},
                textString="K=%K")}),   Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventOutflowPump;

      model Synthesis
        parameter SoluteFlow SynthesisBasic =   0.01;
        parameter Real[:,3] data =  {{ 20.0,  3.0,  0.0}, { 28.0,  1.0,  -0.2}, { 40.0,  0.0,  0.0}}
          "COPEffect";
        QHP.Library.Curves.Curve c(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]);

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        Real COP;
        SoluteMass synthetized( start=0);
      protected
        parameter Real C1 =    320.0;
        parameter Real C2 =    1160.0;
      equation
        COP = if  q_out.conc > 0.0 then   ( C1 * q_out.conc)  + ( C2 * q_out.conc * q_out.conc) else   0.0;
        c.u=COP;
        q_out.q = - SynthesisBasic*c.val;

        der(synthetized) = -q_out.q/QHP.Library.SecPerMin;
       annotation (
          defaultComponentName="synthesis",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-100,-50},{90,50}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Synthesis;

      model Degradation
        parameter SoluteFlow DegradationBasic =   0.01;
        parameter Real[:,3] data =  {{ 0.00,  0.0,  0.0}, { 0.07,  1.0,  40.0}, { 0.09,  6.0,  0.0}}
          "ProteinEffect";
        QHP.Library.Curves.Curve c(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3]);
        PositiveConcentrationFlow q_in
          annotation (Placement(transformation(extent={{-100,0},{-60,40}}),
              iconTransformation(extent={{-110,-10},{-90,10}})));

      SoluteMass degraded( start=0);
      equation
        c.u=q_in.conc;
        q_in.q = DegradationBasic*c.val;

        der(degraded) = q_in.q/QHP.Library.SecPerMin;
       annotation (
          defaultComponentName="degradation",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-50},{100,50}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Degradation;

      model Mesh

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput_ soluteAdjustment
                                            annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_out.conc = soluteAdjustment*q_in.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{0,42},{0,26}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,20},{0,4}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-4},{0,-20}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5),
              Line(
                points={{0,-26},{0,-42}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Mesh;

      model FractReabsorbtion

        PositiveConcentrationFlow Inflow               annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativeConcentrationFlow Outflow
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));

        NegativeConcentrationFlow Reabsorbtion           annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        QHP.Library.Interfaces.RealInput_ Normal(final unit="1")
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={-60,40})));
        QHP.Library.Interfaces.RealInput_ Effects(final unit="1")
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{60,20},{100,60}},rotation=-90)));

      parameter SoluteFlow MaxReab=14 "maximum reabsorbtion solute flow";
        QHP.Library.Interfaces.RealOutput_ ReabFract(final unit="1")
                                                         annotation (Placement(transformation(extent={{80,-60},
                  {120,-20}}), iconTransformation(extent={{80,-60},{120,-20}})));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min(ReabFract * Inflow.q, MaxReab);
        ReabFract = if (Normal<=0) or (Effects<=0) then 0 else if Normal>1 then 1 else Normal^(1/Effects);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-54},{166,-84}},
                lineColor={0,0,255},
                textString="%name"),
              Text(
                extent={{-100,-40},{-4,-62}},
                lineColor={0,0,255},
                textString="%MaxReab = MaxReab")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end FractReabsorbtion;

      model FlowMeasure

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{18,-10},{38,10}}), iconTransformation(
                extent={{20,-10},{40,10}})));

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-40,-10},
                  {-20,10}})));
        IKEDA.Library.Interfaces.RealOutput_ actualFlow
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation
        q_in.q + q_out.q = 0;
        q_out.conc = q_in.conc;

        actualFlow = q_in.q;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-20},{30,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end FlowMeasure;

      model ConcentrationMeasure

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-10},
                  {10,10}})));
        IKEDA.Library.Interfaces.RealOutput_ actualConc
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation

        actualConc = q_in.conc;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-20},{30,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end ConcentrationMeasure;

      model GasConcToPartialPressure
       parameter Real alpha; //(final unit="mmol/(l*kPa)");
        QHP.Library.PressureFlow.NegativePressureFlow outflow
                                                          annotation (Placement(
              transformation(extent={{-20,-120},{20,-80}}), iconTransformation(extent=
                 {{-10,-110},{10,-90}})));
        QHP.Library.ConcentrationFlow_ml_per_ml.PositiveConcentrationFlow q_in
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-10,90},{10,110}})));
      equation
        q_in.q+outflow.q=0;
        outflow.pressure = q_in.conc*(10^3)*QHP.Library.NonSIunits.to_mmHg(1000
          /alpha);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-40,100},{40,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid), Text(
                extent={{-22,44},{158,-36}},
                lineColor={0,0,255},
                lineThickness=1,
                textString="alpha=%alpha",
                origin={-4,66},
                rotation=270)}),                  Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end GasConcToPartialPressure;

      model PartialPressure
        "partial gas concentration in ml/ml multiplied by ambient pressure"
        QHP.Library.PressureFlow.NegativePressureFlow outflow
                                                          annotation (Placement(
              transformation(extent={{-20,-120},{20,-80}}), iconTransformation(extent=
                 {{-10,-110},{10,-90}})));
        QHP.Library.ConcentrationFlow_ml_per_ml.PositiveConcentrationFlow q_in
          annotation (Placement(transformation(extent={{-20,80},{20,120}}),
              iconTransformation(extent={{-10,90},{10,110}})));
        QHP.Library.Interfaces.RealInput_ ambientPressure(final unit="mmHg")
                                                                 annotation (Placement(transformation(extent={{
                  -60,-20},{-20,20}}), iconTransformation(extent={{-60,-20},{-20,20}})));
      equation
        q_in.q+outflow.q=0;
        outflow.pressure=q_in.conc*ambientPressure;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={Rectangle(
                extent={{-40,100},{40,-100}},
                lineColor={0,0,255},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid)}), Diagram(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
      end PartialPressure;

      model Dilution
      // parameter Real DilutionCoef=1-47/760;

        NegativeConcentrationFlow q_diluted
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{
                  90,-10},{110,10}})));
        PositiveConcentrationFlow q_concentrated
                                  annotation (Placement(
              transformation(extent={{-130,-28},{-90,12}}), iconTransformation(extent={{-110,
                  -10},{-90,10}})));
        QHP.Library.Interfaces.RealInput_ addedSolventPart
          "part of added solvent volume(not containing solute) normalized to whole summed volume"
          annotation (Placement(transformation(extent={{-16,8},{24,48}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,20})));
      equation
        q_diluted.q+q_concentrated.q=0;
        q_diluted.conc = (1-addedSolventPart) * q_concentrated.conc;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Polygon(
                points={{-58,2},{-58,0},{20,0},{56,-8},{56,10},{20,2},{-58,2}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Dilution;

      model FractReabsorbtion2

        PositiveConcentrationFlow Inflow               annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativeConcentrationFlow Outflow
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        NegativeConcentrationFlow Reabsorbtion           annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        QHP.Library.Interfaces.RealInput_ Normal(final unit="1")
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={-60,40})));
        QHP.Library.Interfaces.RealInput_ Effects(final unit="1")
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=-90,
              origin={80,40})));
        Real ReabFract(final unit="1");
        QHP.Library.Interfaces.RealInput_ MaxReab
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,-20},{20,20}},
                                                                      rotation=90,
              origin={-60,-42})));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min(ReabFract * Inflow.q, MaxReab);
        ReabFract = if (Normal<=0) or (Effects<=0) then 0 else if Normal>1 then 1 else Normal^(1/Effects);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end FractReabsorbtion2;

      model ConcentrationFromFlow

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        IKEDA.Library.Interfaces.RealInput_ soluteFlow
                                         annotation (Placement(transformation(
                extent={{-100,0},{-60,40}}), iconTransformation(extent={{-100,0},
                  {-60,40}})));
        IKEDA.Library.Interfaces.RealInput_ solventFlow
                                          annotation (Placement(transformation(
                extent={{-100,0},{-60,40}}), iconTransformation(extent={{-100,
                  -40},{-60,0}})));
      equation
        q_out.conc = soluteFlow/solventFlow;
       annotation (
          defaultComponentName="synthesis",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-60,-50},{92,50}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end ConcentrationFromFlow;

      model StableDelayConstruct

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput_ coef
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_out.q + coef*q_in.q = 0;
        q_out.conc = coef*q_in.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-44,24},{22,0},{-44,-26},{-44,24}},
                lineColor={127,0,0},
                lineThickness=1),
              Polygon(
                points={{-22,25},{44,0},{-22,-26},{-22,25}},
                lineColor={127,0,0},
                lineThickness=1)}),     Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end StableDelayConstruct;

      model ConstLimitedReabsorbtion

        PositiveConcentrationFlow Inflow               annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativeConcentrationFlow Outflow
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        NegativeConcentrationFlow Reabsorbtion           annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));

      parameter SoluteFlow MaxReab=250 "maximum reabsorbtion solute flow";
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.conc = Inflow.conc;
        Reabsorbtion.q = -min( Inflow.q, MaxReab);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,0,255},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name"),
              Text(
                extent={{-100,-40},{-4,-62}},
                lineColor={0,0,255},
                textString="%MaxReab = MaxReab")}),
                                       Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end ConstLimitedReabsorbtion;

      model FlowConcentrationMeasure

        PositiveConcentrationFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent=
                  {{-110,-10},{-90,10}})));
        QHP.Library.Interfaces.RealInput_ SolventFlow(final quantity="Flow", final unit="ml/min")
                                       annotation ( extent = [-10,50;10,70], rotation = -90);

        QHP.Library.Interfaces.RealInput_ AdditionalSoluteFlow
                                                   annotation (Placement(
              transformation(extent={{-60,60},{-20,100}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=90,
              origin={0,-60})));
        QHP.Library.Interfaces.RealOutput_ Conc
                                    annotation (Placement(transformation(extent=
                 {{82,-20},{122,20}}), iconTransformation(extent={{82,-20},{122,
                  20}})));
      equation
        Conc = q_in.conc + AdditionalSoluteFlow/SolventFlow;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-50},{80,50}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end FlowConcentrationMeasure;

      model MassStorageCompartment
        extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                  {12,10}})));
        parameter SoluteMass initialSoluteMass;

        IKEDA.Library.Interfaces.RealOutput_ SoluteMass
          annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90)));

      initial equation
        SoluteMass = initialSoluteMass;
      equation
        q_out.conc = SoluteMass;
        der(SoluteMass) = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end MassStorageCompartment;

      model EnergyReaction1Reactant

        QHP.Library.EnergyFlow.NegativeEnergyFlow e "energy"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-10,-30},{10,-10}}), iconTransformation(extent=
                  {{-10,-30},{10,-10}})));

        PositiveConcentrationFlow r "reactant"
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,
                  -10},{-90,10}})));
        parameter Real coef
          "how much energy in callories will produce one unit of substrate";
      equation
        e.q + coef * r.q = 0;
        e.energy = coef * r.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-10},{100,20}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end EnergyReaction1Reactant;

      model EnergyReaction1Reactant1Product

        QHP.Library.EnergyFlow.NegativeEnergyFlow e "energy"
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real coef1
          "how much product units will produce one unit of reactant";
        parameter Real coef2
          "how much energy in callories will produce one unit of reactant";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{
                  90,-10},{110,10}})));
        PositiveConcentrationFlow r "reactant"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,-8},
                  {-90,12}})));
      equation
        p.q + coef1*r.q = 0;
        e.q + coef2*r.q = 0;
        e.energy = (1/coef2)*r.conc;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-88,-10},{88,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end EnergyReaction1Reactant1Product;

      model EnergyReaction2Reactants

        QHP.Library.EnergyFlow.NegativeEnergyFlow e "energy"
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-30},
                  {10,-10}})));
        parameter Real ratio
          "how much units of reactant 2 react with one unit of reactant 1";
        parameter Real e_coef
          "how much energy in callories will produce one unit of reactant 1";
        QHP.Library.PressureFlow.PositivePressureFlow r1 "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow r2
          "reactant 2"            annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
      equation
        r2.q = ratio * r1.q;
        e.q + e_coef * r1.q = 0;
        e.energy = e_coef * r1.pressure;  //TODO
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-90,-12},{100,20}},
                lineColor={0,0,255},
                textString="%name")}),  Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end EnergyReaction2Reactants;

      model SolventFlowConcentration

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow absorbtion
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-8,-60},{12,-40}}), iconTransformation(
                extent={{-10,-60},{10,-40}})));
        QHP.Library.Interfaces.RealInput_ solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,
                  -10},{-90,10}})));
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
      equation
        q_in.q + q_out.q + absorbtion.q = 0;
        q_in.q=q_in.conc*solventFlow;
        absorbtion.conc = q_in.conc + absorbtion.q/solventFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-78,25},{82,0},{-78,-25},{-78,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{14,-76},{148,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowConcentration;

      model ConcentrationDrivenPump
       extends Resistor;
        parameter Real[:,3] data "conduction depends on concentration gradient";
        IKEDA.Library.Curves.Curve ConcOnFlowFraction(
          x=data[:, 1],
          y=data[:, 2],
          slope=data[:, 3])
          annotation (Placement(transformation(extent={{-22,40},{-2,60}})));
        ConcentrationMeasure concentrationMeasure
          annotation (Placement(transformation(extent={{-58,-10},{-38,10}})));
        SoluteFlowPump soluteFlowPump
          annotation (Placement(transformation(extent={{20,-10},{40,10}})));
        Modelica.Blocks.Math.Product product annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={30,26})));
        IKEDA.Library.Interfaces.RealInput_ NormalFlow
                                         annotation (Placement(transformation(
              extent={{-8,-8},{20,20}},
              rotation=270,
              origin={30,90}), iconTransformation(
              extent={{-8,-8},{20,20}},
              rotation=270,
              origin={-4,34})));
        IKEDA.Library.Interfaces.RealOutput_ actualFlow
                                          annotation (Placement(transformation(
                extent={{48,6},{58,16}}), iconTransformation(extent={{60,-40},{
                  80,-20}})));
      equation
        connect(q_in, concentrationMeasure.q_in) annotation (Line(
            points={{-100,0},{-48,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(concentrationMeasure.actualConc, ConcOnFlowFraction.u)
          annotation (Line(
            points={{-48,4},{-48,50},{-22,50}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.y, soluteFlowPump.soluteFlow) annotation (Line(
            points={{30,15},{30,10.5},{30,10.5},{30,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(ConcOnFlowFraction.val, product.u2) annotation (Line(
            points={{-1.8,50},{24,50},{24,38}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.u1, NormalFlow) annotation (Line(
            points={{36,38},{36,84}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(concentrationMeasure.q_in, soluteFlowPump.q_in) annotation (
            Line(
            points={{-48,0},{20,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(soluteFlowPump.q_out, q_out) annotation (Line(
            points={{40,0},{100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(product.y, actualFlow) annotation (Line(
            points={{30,15},{30,11},{53,11}},
            color={0,0,127},
            smooth=Smooth.None));
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(preserveAspectRatio=false,
                extent={{-100,-100},{100,100}}), graphics={
              Text(
                extent={{-134,-96},{154,-36}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{-54,18},{50,-2},{-54,-20},{-54,18}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-20,-44},{-22,-32},{-22,-26},{-18,-20},{-10,-16},{6,-16},
                    {14,-14},{20,-6},{20,4},{14,14},{12,22},{14,34},{22,44},{18,
                    32},{22,44},{12,38}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,0},
                rotation=270)}));
      end ConcentrationDrivenPump;

      model OneWaySolventFlowConcentration

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow absorbtion
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-8,-60},{12,-40}}), iconTransformation(
                extent={{-10,-60},{10,-40}})));
        QHP.Library.Interfaces.RealInput_ solventFlow
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,
                  -10},{-90,10}})));
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        SolventFlowConcentration solventFlowConcentration
          annotation (Placement(transformation(extent={{-64,-10},{-44,10}})));
      equation
        q_in.q + q_out.q + absorbtion.q = 0;
        q_in.q=q_in.conc*solventFlow;
        absorbtion.conc = q_in.conc + absorbtion.q/solventFlow;

        connect(solventFlow, solventFlowConcentration.solventFlow) annotation (
            Line(
            points={{0,60},{0,32},{-54,32},{-54,6}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, solventFlowConcentration.q_in) annotation (Line(
            points={{-100,0},{-64,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(solventFlowConcentration.absorbtion, absorbtion) annotation (
            Line(
            points={{-54,-5},{-54,-36},{2,-36},{2,-50}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-78,25},{82,0},{-78,-25},{-78,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{14,-76},{148,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OneWaySolventFlowConcentration;

            model IdealDiode "Ideal diode"
              Boolean off(start=true) "Switching state";
              Real s(final unit="1")
              annotation (
                Documentation(info="<html>
<P>
This is an ideal switch which is<br><br>
<b>open </b>(off), if it is reversed biased (voltage drop less than 0)<br>
<b>closed</b> (on), if it is conducting (current > 0).<br>
</P>
<p>
This is the behaviour if all parameters are exactly zero.<br><br>
Note, there are circuits, where this ideal description
with zero resistance and zero cinductance is not possible.
In order to prevent singularities during switching, the opened
diode has a small conductance <i>Gon</i> and the closed diode has a low
resistance <i>Roff</i> which is default.
</P>
<P>
The parameter <i>Vknee</i> which is the forward threshold voltage, allows to displace
the knee point <br> 
along  the <i>Gon</i>-characteristic until <i>v = Vknee</i>.
</p>
</HTML>
",             revisions=
                 "<html>
<ul>
<li><i>Mai 7, 2004   </i>
       by Christoph Clauss and Anton Haumer<br> Vknee added<br>
       </li>
<li><i>some years ago   </i>
       by Christoph Clauss<br> realized<br>
       </li>
</ul>
</html>"),      Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={
              Polygon(
                points={{30,0},{-30,40},{-30,-40},{30,0}},
                lineColor={0,0,0},
                fillColor={255,255,255}),
              Line(points={{-90,0},{40,0}}, color={0,0,255}),
              Line(points={{40,0},{90,0}}, color={0,0,255}),
              Line(points={{30,40},{30,-40}}, color={0,0,255}),
              Text(
                extent={{-100,100},{100,70}},
                textString="%name",
                lineColor={0,0,255})}),
                Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={
              Line(points={{-80,0},{80,0}}, color={128,128,128}),
              Polygon(
                points={{70,4},{80,0},{70,-4},{70,4}},
                lineColor={128,128,128},
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid),
              Line(points={{0,80},{0,-80}}, color={128,128,128}),
              Polygon(
                points={{-4,70},{0,80},{4,70},{-4,70}},
                lineColor={128,128,128},
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{10,80},{20,70}},
                lineColor={128,128,128},
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid,
                textString="i"),
              Text(
                extent={{70,-10},{80,-20}},
                lineColor={128,128,128},
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid,
                textString="v"),
              Line(
                points={{-80,-40},{-20,-10},{20,10},{40,70}},
                color={0,0,0},
                thickness=0.5),
              Line(
                points={{20,9},{20,0}},
                color={128,128,128},
                pattern=LinePattern.Dot),
              Text(
                extent={{20,0},{40,-10}},
                lineColor={128,128,128},
                pattern=LinePattern.Dot,
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid,
                textString="Vknee"),
              Text(
                extent={{20,70},{40,60}},
                lineColor={128,128,128},
                pattern=LinePattern.Dot,
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid,
                textString="Ron"),
              Text(
                extent={{-20,10},{0,0}},
                lineColor={128,128,128},
                pattern=LinePattern.Dot,
                fillColor={128,128,128},
                fillPattern=FillPattern.Solid,
                textString="Goff"),
              Ellipse(
                extent={{18,12},{22,8}},
                pattern=LinePattern.Dot,
                lineColor={0,0,255})}));
              PositiveConcentrationFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(
                extent={{-120,-20},{-80,20}})));
              NegativeConcentrationFlow q_out annotation (Placement(
              transformation(extent={{80,-20},{120,20}}), iconTransformation(
                extent={{80,-20},{120,20}})));
              Real concGradient;
            equation
              q_in.q + q_out.q = 0;
              concGradient = q_in.conc - q_out.conc;
              off = s < 0;
              concGradient = if off then s else 0;
              q_in.q = if off then 0 else s;
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{
                  -100,-100},{100,100}}), graphics={
              Polygon(
                points={{30,0},{-30,40},{-30,-40},{30,0}},
                lineColor={0,0,0},
                fillColor={255,255,255}),
              Line(points={{-90,0},{40,0}}, color={0,0,255}),
              Line(points={{40,0},{90,0}}, color={0,0,255}),
              Line(points={{30,40},{30,-40}}, color={0,0,255})}));
            end IdealDiode;

      model SolventFlowConcentration2

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow absorbtion
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-8,-60},{12,-40}}), iconTransformation(
                extent={{-10,-60},{10,-40}})));
        QHP.Library.Interfaces.RealInput_ solventFlow2
                                      annotation ( extent = [30,50;50,70], rotation = -90);

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in2
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,
                  -38},{-90,-18}})));
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{90,-10},{110,10}})));
        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in1
                                  annotation (Placement(
              transformation(extent={{-130,2},{-90,42}}),   iconTransformation(extent={{-110,22},
                  {-90,42}})));
        QHP.Library.Interfaces.RealInput_ solventFlow1
                                      annotation ( extent = [-50,50;-30,70], rotation = -90);
      equation
        q_in1.q + q_in2.q + q_out.q + absorbtion.q = 0;

        q_in1.q = q_in1.conc * solventFlow1;
        q_in2.q = q_in2.conc * solventFlow2;
        absorbtion.conc =  (q_in1.q+q_in2.q)/(solventFlow1 + solventFlow2) + absorbtion.q/(solventFlow1 + solventFlow2);

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-78,25},{82,0},{-78,-25},{-78,25}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{14,-76},{148,-48}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end SolventFlowConcentration2;

      package test
        model LiverBloodJoin
          SolventFlowConcentration2 solventFlowConcentration2_1
            annotation (Placement(transformation(extent={{-8,2},{12,22}})));
          QHP.Metabolism.test.ConstFuelPoolWithoutKAWithPortalVein
            constFuelPool(
            GlucoseConc=0.975928,
            LactateConc=1.18e-003,
            O2ArtysConc=0.196496,
            O2VeinsConc=0.148733,
            FAConc=0.160795)
            annotation (Placement(transformation(extent={{-90,-26},{-48,16}})));
          OutputPump outputPump
            annotation (Placement(transformation(extent={{42,8},{62,28}})));
          QHP.Library.Blocks.FlowConstant flowConstant_mg_per_min(k=0)
            annotation (Placement(transformation(extent={{20,42},{40,62}})));
          QHP.Library.Blocks.FlowConstant flowConstant(k=245.49)
            annotation (Placement(transformation(extent={{-52,66},{-32,86}})));
          QHP.Library.Blocks.FlowConstant flowConstant1(k=971.271)
            annotation (Placement(transformation(extent={{-92,42},{-72,62}})));
          InputPump inputPump
            annotation (Placement(transformation(extent={{-58,16},{-38,36}})));
          Modelica.Blocks.Math.Gain gain(k=0.16988) annotation (Placement(
                transformation(
                extent={{-6,-6},{6,6}},
                rotation=270,
                origin={-48,40})));
        equation
          connect(constFuelPool.O2PortalVein, solventFlowConcentration2_1.q_in2)
            annotation (Line(
              points={{-48,7.6},{-24,7.6},{-24,9.2},{-8,9.2}},
              color={200,0,0},
              smooth=Smooth.None));
          connect(solventFlowConcentration2_1.q_out, constFuelPool.O2Veins)
            annotation (Line(
              points={{12,12},{16,12},{16,1.3},{-48,1.3}},
              color={200,0,0},
              smooth=Smooth.None));
          connect(flowConstant_mg_per_min.y,outputPump. desiredFlow) annotation (
              Line(
              points={{41,52},{52,52},{52,22}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(solventFlowConcentration2_1.absorbtion, outputPump.q_in)
            annotation (Line(
              points={{2,7},{2,4},{42,4},{42,18},{46,18}},
              color={200,0,0},
              smooth=Smooth.None));
          connect(flowConstant1.y, solventFlowConcentration2_1.solventFlow1)
            annotation (Line(
              points={{-71,52},{-2,52},{-2,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(flowConstant.y, solventFlowConcentration2_1.solventFlow2)
            annotation (Line(
              points={{-31,76},{6,76},{6,18}},
              color={0,0,127},
              smooth=Smooth.None));
          connect(gain.y, inputPump.desiredFlow) annotation (Line(
              points={{-48,33.4},{-48,30}},
              color={0,0,127},
              thickness=1,
              smooth=Smooth.None));
          connect(gain.u, flowConstant1.y) annotation (Line(
              points={{-48,47.2},{-48,52},{-71,52}},
              color={0,0,127},
              thickness=1,
              smooth=Smooth.None));
          connect(inputPump.q_out, solventFlowConcentration2_1.q_in1)
            annotation (Line(
              points={{-42,26},{-26,26},{-26,15.2},{-8,15.2}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),       graphics));
        end LiverBloodJoin;

        model Flow2Concentration

          IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow
            concentration_connector
                                 annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-8,-60},{12,-40}}), iconTransformation(
                  extent={{-10,-60},{10,-40}})));
          QHP.Library.Interfaces.RealInput_ solventFlow
                                        annotation ( extent = [-10,50;10,70], rotation = -90);

          IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow
            flow_connector          annotation (Placement(
                transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-110,
                    -10},{-90,10}})));
        equation
          flow_connector.q + concentration_connector.q = 0;
          flow_connector.q=concentration_connector.conc*solventFlow;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Rectangle(
                  extent={{-100,-50},{100,50}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-78,25},{82,0},{-78,-25},{-78,25}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{14,-76},{148,-48}},
                  textString="%name",
                  lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics),
                      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics));
        end Flow2Concentration;

        model Concentration2Flow

          IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow
            flow_connector       annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{-8,-60},{12,-40}}), iconTransformation(
                  extent={{90,-10},{110,10}})));
          QHP.Library.Interfaces.RealInput_ solventFlow
                                        annotation ( extent = [-10,50;10,70], rotation = -90);

          IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow
            concentration_connector annotation (Placement(
                transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-60},
                    {10,-40}})));
        equation
          flow_connector.q + concentration_connector.q = 0;
          flow_connector.q=-concentration_connector.conc*solventFlow;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Rectangle(
                  extent={{-100,-50},{100,50}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-78,25},{82,0},{-78,-25},{-78,25}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Text(
                  extent={{14,-76},{148,-48}},
                  textString="%name",
                  lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics),
                      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics));
        end Concentration2Flow;
      end test;

      model SolventStorageCompartment
        extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                  {12,10}})));
        parameter Real initialSolventVolume;

        IKEDA.Library.Interfaces.RealOutput_ SolventVolume
          annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90)));

      initial equation
        SolventVolume = initialSolventVolume;
      equation
        q_out.conc = 1;
        der(SolventVolume) = q_out.q/QHP.Library.SecPerMin;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end SolventStorageCompartment;

      model ReversibleChemicalReaction
       parameter Real DissociationConstant;

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{
                  90,-10},{110,10}})));
        PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-130,-10},{-90,30}}), iconTransformation(extent={{-110,10},
                  {-90,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-110,
                  -30},{-90,-10}})));
      equation
        p.conc * DissociationConstant = r1.conc * r2.conc;

        p.q + coef1*r1.q = 0;
        p.q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-20},{100,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-58,6},{-58,4},{56,4},{56,4},{20,14},{20,6},{-58,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-57,-3},{-57,-5},{57,-5},{57,-5},{21,5},{21,-3},{-57,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-1,-7},
                rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end ReversibleChemicalReaction;

      model UnlimitedStorage
        extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                  {12,10}})));
        parameter Real concentration(final unit="%");

      equation
        q_out.conc = 0.01*concentration;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={Text(
                extent={{-100,52},{100,74}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="(%concentration%%)")}));
      end UnlimitedStorage;

      model ReversibleChemicalReactionWithCond
       parameter Real DissociationConstant;
       parameter Real Conductance=600000;

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));
      equation
        p.q = - Conductance * ((r1.conc * r2.conc)/DissociationConstant - p.conc);

        p.q + coef1*r1.q = 0;
        p.q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end ReversibleChemicalReactionWithCond;

      model ReversibleChemicalReactionWithCond_pK
       parameter Real Conductance=600000;
       parameter Real pK;
       parameter Real DissociationConstant=10^(-pK);

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

      initial equation
                        //non flow steady state
       (r1.conc * r2.conc)/DissociationConstant = p.conc;

      equation
        p.q = - Conductance * ((r1.conc * r2.conc)/DissociationConstant - p.conc);

        p.q + coef1*r1.q = 0;
        p.q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180),
              Text(
                extent={{-40,-42},{60,-22}},
                lineColor={179,0,0},
                lineThickness=1,
                textString="pK=%pK")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end ReversibleChemicalReactionWithCond_pK;

      package InitConstrains
        connector ConcentrationFlow "Concentration and Solute flow"
          Concentration conc;

        end ConcentrationFlow;

        connector PositiveConcentrationFlow "Concentration and Solute inflow"
          extends ConcentrationFlow;

        annotation (
            defaultComponentName="q_in",
            Coordsys(
              extent=[-100, -100; 100, 100],
              grid=[1, 1],
              component=[20, 20],
              scale=0.2),
            Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                    0,100; 100,0; 0,-100; -100,0],            style(
                  color=74,
                  rgbcolor={200,0,0},
                  fillColor=0,
                  rgbfillColor={200,0,0}))),
            Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                  color=74,
                  rgbcolor={0,0,0},
                  fillColor=0,
                  rgbfillColor={0,0,0})), Text(
                extent=[-105,-38; 115,-83],
                string="%name",
                style(color=0, rgbcolor={0,0,0}))),
            Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
        end PositiveConcentrationFlow;

        connector NegativeConcentrationFlow
          "Concentration and negative Solute outflow"
          extends
            IKEDA.Library.ConcentrationFlow.InitConstrains.ConcentrationFlow;

        annotation (
            defaultComponentName="q_out",
            Coordsys(
              extent=[-100, -100; 100, 100],
              grid=[1, 1],
              component=[20, 20],
              scale=0.2),
            Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                    0,100; 100,0; 0,-100; -100,0],            style(
                  color=74,
                  rgbcolor={200,0,0},
                  fillColor=0,
                  rgbfillColor={255,240,240}))),
            Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                  color=74,
                  rgbcolor={0,0,0},
                  fillColor=0,
                  rgbfillColor={255,255,255})), Text(
                extent=[-105,-38; 115,-83],
                string="%name",
                style(color=0, rgbcolor={0,0,0}))),
            Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
        end NegativeConcentrationFlow;

        model ReversibleChemicalReactionWithCond_pK
          import QHP;
         parameter Real Conductance=1;
         parameter Real pK;
         parameter Real DissociationConstant=10^(-pK);

          parameter Real coef1 = 1
            "how many product units will produce one unit of reactant 1";
          parameter Real coef2 = 1
            "how many product units will produce one unit of reactant 2";
          QHP.Library.ConcentrationFlow.InitConstrains.NegativeConcentrationFlow
            p "product"          annotation (extent=[-10, -110; 10, -90], Placement(
                transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                    {70,10}})));
          QHP.Library.ConcentrationFlow.InitConstrains.PositiveConcentrationFlow
            r1 "reactant 1"         annotation (Placement(
                transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                    {-30,30}})));
          QHP.Library.ConcentrationFlow.InitConstrains.PositiveConcentrationFlow
            r2 "reactant 2"         annotation (Placement(
                transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                    {-30,-10}})));
        equation
         (r1.conc * r2.conc)/DissociationConstant = p.conc;

         annotation (
            Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                    {100,100}}), graphics={
                Rectangle(
                  extent={{-40,-20},{60,20}},
                  lineColor={0,0,127},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                  lineColor={0,0,0},
                  smooth=Smooth.None,
                  fillColor={0,0,0},
                  fillPattern=FillPattern.Solid),
                Polygon(
                  points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,
                      -3}},
                  lineColor={0,0,0},
                  smooth=Smooth.None,
                  fillColor={0,0,0},
                  fillPattern=FillPattern.Solid,
                  origin={27,-7},
                  rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                           extent={{-100,-100},{100,100}}), graphics),
                      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics));
        end ReversibleChemicalReactionWithCond_pK;

        model KnownConcentrationCompartment
          extends QHP.Library.Interfaces.BaseModel;

          IKEDA.Library.ConcentrationFlow.InitConstrains.NegativeConcentrationFlow
            q_out                    annotation (Placement(
                transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                    {12,10}})));
          parameter SoluteMass initialSoluteMass;

          QHP.Library.Interfaces.RealInput_ SolventVolume(final quantity="Volume", final unit="ml")
                                   annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
                iconTransformation(extent={{-120,60},{-80,100}})));
          QHP.Library.Interfaces.RealOutput_ SoluteMass
            annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90)));

        equation
          SoluteMass = initialSoluteMass;
          q_out.conc = if (SolventVolume>0) then SoluteMass / SolventVolume else 0;

          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                graphics={Text(
                  extent={{-70,86},{80,38}},
                  lineColor={0,0,255},
                  textString="%initialSoluteMass")}));
        end KnownConcentrationCompartment;

        model UnknownConcentrationCompartment
          extends QHP.Library.Interfaces.BaseModel;

          IKEDA.Library.ConcentrationFlow.InitConstrains.NegativeConcentrationFlow
            q_out                    annotation (Placement(
                transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                    {12,10}})));

          QHP.Library.Interfaces.RealInput_ SolventVolume(final quantity="Volume", final unit="ml")
                                   annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
                iconTransformation(extent={{-120,60},{-80,100}})));
          QHP.Library.Interfaces.RealOutput_ SoluteMass
            annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90)));

        equation
          q_out.conc = if (SolventVolume>0) then SoluteMass / SolventVolume else 0;

          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                       graphics));
        end UnknownConcentrationCompartment;

            model KnownSum
              parameter Real sumConc;
              parameter Integer nin=1 "Number of inputs";
              PositiveConcentrationFlow u[nin]
            "Connector of Real input signals"
                annotation (Placement(transformation(extent={{-16,-80},{24,-40}},
                    rotation=0), iconTransformation(extent={{-16,-80},{24,-40}})));

              Real v[nin];
            equation
              for i in 1:nin loop
                v[i]=u[i].conc;
              end for;
              sumConc = ones(nin)*v;
              annotation (defaultComponentName="sum1",
                Icon(coordinateSystem(
                preserveAspectRatio=true,
                extent={{-100,-100},{100,100}},
                grid={2,2}), graphics={
                Line(
                  points={{-22,38},{-82,38},{-42,-2},{-82,-42},{-22,-42}},
                  color={0,0,0},
                  thickness=0.25),
                Text(
                  extent={{-150,150},{150,110}},
                  textString="%name",
                  lineColor={0,0,255}),
                Text(
                  extent={{-4,40},{100,-50}},
                  lineColor={0,0,255},
                  textString="%sumConc"),
                Rectangle(extent={{-100,44},{100,-50}}, lineColor={0,0,255})}),
                Diagram(coordinateSystem(
                preserveAspectRatio=true,
                extent={{-100,-100},{100,100}},
                grid={2,2}), graphics={Rectangle(
                  extent={{-100,-100},{100,100}},
                  lineColor={0,0,255},
                  fillColor={255,255,255},
                  fillPattern=FillPattern.Solid), Line(
                  points={{26,42},{-34,42},{6,2},{-34,-38},{26,-38}},
                  color={0,0,0},
                  thickness=0.25)}));
            end KnownSum;
      end InitConstrains;

      model ConcentrationCompartment_unknown
         extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));

       IKEDA.Library.Interfaces.RealInput_ SolventVolume(final quantity="Volume", final unit=
                                                                                            "ml")
                                 annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        IKEDA.Library.Interfaces.RealOutput_ SoluteMass
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

      equation
        q_out.conc*SolventVolume = SoluteMass;
        der(SoluteMass) = q_out.q/QHP.Library.SecPerMin;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end ConcentrationCompartment_unknown;

      model ConcentrationCompartment_knownConc
         extends ConcentrationCompartment_unknown;
         parameter Concentration concentration;

         Real pH;
      initial equation
        q_out.conc = concentration;

      equation
          pH=-Modelica.Math.log10(q_out.conc);
        annotation (Icon(graphics={Text(
                extent={{-100,38},{100,60}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="%concentration")}));
      end ConcentrationCompartment_knownConc;

      model DoubleReversibleChemicalReactionWithCond_pK
       parameter Real Conductance=600000;
       parameter Real pK;
       parameter Real DissociationConstant=10^(-pK);

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p[2]
          "product"            annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1[2] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

      initial equation
                        //non flow steady state
       ((r1[1].conc+r1[2].conc) * r2.conc)/DissociationConstant = p[1].conc + p[2].conc;

      equation
        p[1].q = - Conductance * ((r1[1].conc * r2.conc)/DissociationConstant - p[1].conc);
        p[2].q = - Conductance * ((r1[2].conc * r2.conc)/DissociationConstant - p[2].conc);

        p[1].q + coef1*r1[1].q = 0;
        p[2].q + coef1*r1[2].q = 0;

        p[1].q + p[2].q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180),
              Text(
                extent={{-36,-40},{60,-22}},
                lineColor={179,0,0},
                lineThickness=1,
                textString="pK=%pK")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end DoubleReversibleChemicalReactionWithCond_pK;

      model DoubleReversibleChemicalReaction2x2WithCond_pK
       parameter Real Conductance=600000;
       parameter Real pK;
       parameter Real DissociationConstant=10^(-pK);

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        parameter Real coef3 = 1
          "how many product units will produce with one unit of product 1";

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p1[2]
          "product 1"          annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,10},
                  {70,30}})));
        PositiveConcentrationFlow r1[2] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p2
          "product 2"          annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-30},
                  {70,-10}})));
      initial equation
                        //non flow steady state
       ((r1[1].conc + r1[2].conc) * r2.conc)/(p2.conc * DissociationConstant) = (p1[1].conc + p1[2].conc);

      equation
        p1[1].q = - Conductance * ((r1[1].conc * r2.conc)/(p2.conc * DissociationConstant) - p1[1].conc);
        p1[2].q = - Conductance * ((r1[2].conc * r2.conc)/(p2.conc * DissociationConstant) - p1[2].conc);

        p1[1].q + coef1*r1[1].q = 0;
        p1[2].q + coef1*r1[2].q = 0;

        p1[1].q + p1[2].q + coef2*r2.q = 0;
        p1[1].q + p1[2].q + coef3*p2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180),
              Text(
                extent={{-38,-48},{58,-30}},
                lineColor={179,0,0},
                lineThickness=1,
                textString="pK=%pK")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end DoubleReversibleChemicalReaction2x2WithCond_pK;

      model DoubleReversibleChemicalReaction2x2WithCond_pK_unstable
       parameter Real Conductance=60000;
       parameter Real pK;
       parameter Real DissociationConstant=10^(-pK);

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        parameter Real coef3 = 1
          "how many product units will produce with one unit of product 1";

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p1[2]
          "product 1"          annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,10},
                  {70,30}})));
        PositiveConcentrationFlow r1[2] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p2
          "product 2"          annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-30},
                  {70,-10}})));

      equation
        p1[1].q = - Conductance * ((r1[1].conc * r2.conc)/(p2.conc * DissociationConstant) - p1[1].conc);
        p1[2].q = - Conductance * ((r1[2].conc * r2.conc)/(p2.conc * DissociationConstant) - p1[2].conc);

        p1[1].q + coef1*r1[1].q = 0;
        p1[2].q + coef1*r1[2].q = 0;

        p1[1].q + p1[2].q + coef2*r2.q = 0;
        p1[1].q + p1[2].q + coef3*p2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180),
              Text(
                extent={{-38,-48},{58,-30}},
                lineColor={179,0,0},
                lineThickness=1,
                textString="pK=%pK")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end DoubleReversibleChemicalReaction2x2WithCond_pK_unstable;

      model DoubleReversibleChemicalReactionWithCond_pK_unstable
       parameter Real Conductance=600000;
       parameter Real pK;
       parameter Real DissociationConstant=10^(-pK);

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p[2]
          "product"            annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1[2] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

      equation
        p[1].q = - Conductance * ((r1[1].conc * r2.conc)/DissociationConstant - p[1].conc);
        p[2].q = - Conductance * ((r1[2].conc * r2.conc)/DissociationConstant - p[2].conc);

        p[1].q + coef1*r1[1].q = 0;
        p[2].q + coef1*r1[2].q = 0;

        p[1].q + p[2].q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180),
              Text(
                extent={{-36,-40},{60,-22}},
                lineColor={179,0,0},
                lineThickness=1,
                textString="pK=%pK")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end DoubleReversibleChemicalReactionWithCond_pK_unstable;

      model MultipleDilution
        parameter Integer N=2;
        parameter Real weights[N]=ones(N);

        NegativeConcentrationFlow parts[N]
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{30,-10},
                  {50,10}})));
        PositiveConcentrationFlow total
                                  annotation (Placement(
              transformation(extent={{-130,-28},{-90,12}}), iconTransformation(extent={{-50,-10},
                  {-30,10}})));
      equation
        weights*parts[:].q + total.q=0;
        total.conc = weights*parts[:].conc;

        for i in 1:(N-1) loop
          -parts[i].q/total.q = parts[i].conc/total.conc;
        end for;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-40,-20},{40,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Polygon(
                points={{-18,2},{-18,0},{-12,0},{20,-10},{20,12},{-12,2},{-18,2}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MultipleDilution;

      model DoubleReversibleChemicalReactionWithCond_variable_pK
       parameter Real Conductance=600000;
      // parameter Real pK;
       Real DissociationConstant;

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p[2]
          "product"            annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1[2] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

        QHP.Library.Interfaces.RealInput_ pK
                                 annotation (Placement(transformation(extent={{
                  0,20},{40,60}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,30})));
      initial equation
                        //non flow steady state

       ((r1[1].conc+r1[2].conc) * r2.conc)/DissociationConstant = p[1].conc + p[2].conc;

      equation
        DissociationConstant=10^(-pK);

        p[1].q = - Conductance * ((r1[1].conc * r2.conc)/DissociationConstant - p[1].conc);
        p[2].q = - Conductance * ((r1[2].conc * r2.conc)/DissociationConstant - p[2].conc);

        p[1].q + coef1*r1[1].q = 0;
        p[2].q + coef1*r1[2].q = 0;

        p[1].q + p[2].q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end DoubleReversibleChemicalReactionWithCond_variable_pK;

      model ReversibleChemicalReactionWithCond_variable_pK
       parameter Real Conductance=600000;
      // parameter Real pK;
        Real DissociationConstant;

        parameter Real coef1 = 1
          "how many product units will produce one unit of reactant 1";
        parameter Real coef2 = 1
          "how many product units will produce one unit of reactant 2";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p "product"
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        PositiveConcentrationFlow r1 "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r2 "reactant 2"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

        QHP.Library.Interfaces.RealInput_ pK
                                 annotation (Placement(transformation(extent={{
                  10,30},{50,70}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,30})));
      initial equation
                        //non flow steady state

       (r1.conc * r2.conc)/DissociationConstant = p.conc;

      equation
        DissociationConstant=10^(-pK);

        p.q = - Conductance * ((r1.conc * r2.conc)/DissociationConstant - p.conc);

        p.q + coef1*r1.q = 0;
        p.q + coef2*r2.q = 0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          DymolaStoredErrors,
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end ReversibleChemicalReactionWithCond_variable_pK;

      model GasDissociationByRatio "ratio = without gas / with gas"

       parameter Integer nin=6;
       parameter Real Speed=6000;

        parameter Real coef1[nin] = ones(nin)
          "coef1[i] - how many molecules of product type i will be produced with one molecule of reactant 1 type i";
        parameter Real coef2[nin] = ones(nin)./nin
          "coef2[i] - how many molecules of product type i will be produced with one gas molecule divided to all products types";
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow p[nin]
          "product"            annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{50,-10},
                  {70,10}})));
        QHP.Library.PressureFlow.PositivePressureFlow r2 "gas"
                                  annotation (Placement(
              transformation(extent={{-70,-10},{-30,30}}),  iconTransformation(extent={{-50,10},
                  {-30,30}})));
        PositiveConcentrationFlow r1[nin] "reactant 1"
                                  annotation (Placement(
              transformation(extent={{-132,-10},{-92,30}}), iconTransformation(extent={{-50,-30},
                  {-30,-10}})));

        QHP.Library.Interfaces.RealInput_ desiredRatio
          "desired ratio = sum(r[i].conc) / sum(p[i].conc)"
                                 annotation (Placement(transformation(extent={{
                  10,30},{50,70}}), iconTransformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={10,30})));

      initial equation
        r2.q = 0;
      equation
        r2.q = - Speed * ((p[:].conc*ones(nin)) - desiredRatio*(r1[:].conc*ones(nin)));

        for i in 1:nin loop
          p[i].q + coef1[i]*r1[i].q = 0;
          p[i].q + coef2[i]*r2.q = 0;
        end for;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-40,-20},{60,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-30,6},{-30,4},{46,4},{46,4},{10,14},{10,6},{-30,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-19,-3},{-19,-5},{57,-5},{57,-5},{21,5},{21,-3},{-19,-3}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={27,-7},
                rotation=180)}),        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
          DymolaStoredErrors,
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GasDissociationByRatio;

      model NormalDistribution
      extends IKEDA.Library.Interfaces.BaseResistorModel;
        import Modelica.Math;

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow HbR
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow HbT
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        QHP.Library.Interfaces.RealInput_ x
          "speed of solute in dependence on concentration gradient"                       annotation (extent=[-5,30; 5,50], rotation=-90);
        parameter Real x_mean=3.6889;
        parameter Real x_standardDeviation=1.0647;
        parameter Real speed;
        Real sigma2;
        Real pdf;
        Real cdf;
        Real s;
        Real P;
        Real desiredHbR;
      equation

      sigma2=x_standardDeviation^2;
      pdf=exp(-(x-x_mean)^2/(2*sigma2))/sqrt(2*sigma2*Modelica.Constants.pi);
      s=1-(pdf*x_standardDeviation/0.39894228040143)^(1/0.8016);
      cdf=0.5*(1+sign(x-xMU)*sqrt(s));

      y=yR*cdf+yT*(1-cdf);

        P=exp(-((x-x_mean)^2)/(x_standardDeviation^2));
        desiredHbR = (HbR.conc+HbT.conc)*P;
        HbR.q+HbT.q=0;
        HbR.q = speed*(desiredHbR - HbR.conc);
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                         graphics), DymolaStoredErrors,
                    Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-70,-30},{70,30}},
                textString=DynamicSelect("%name", "cond"),
                lineColor={0,0,255})}));
      end NormalDistribution;

      model MultipleBinding
        PositiveConcentrationFlow A annotation (Placement(transformation(extent={{
                  -120,80},{-80,120}}), iconTransformation(extent={{-100,80},{-80,100}})));
        PositiveConcentrationFlow AC annotation (Placement(transformation(extent={{
                  -120,-120},{-80,-80}}), iconTransformation(extent={{-100,-100},{-80,
                  -80}})));
        PositiveConcentrationFlow C annotation (Placement(transformation(extent={{
                  -120,-20},{-80,20}}), iconTransformation(extent={{-110,-10},{-90,10}})));
        PositiveConcentrationFlow AB annotation (Placement(transformation(extent={{80,
                  80},{120,120}}), iconTransformation(extent={{80,80},{100,100}})));
        PositiveConcentrationFlow B if not reduceB annotation (Placement(
              transformation(extent={{-20,80},{20,120}}), iconTransformation(extent={
                  {-10,90},{10,110}})));
        PositiveConcentrationFlow ABC annotation (Placement(transformation(extent={{
                  78,-120},{118,-80}}), iconTransformation(extent={{80,-100},{100,-80}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R1 if
          not reduceB
          annotation (Placement(transformation(extent={{35,83},{55,63}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R2 if
          not reduceB
          annotation (Placement(transformation(extent={{36,-64},{56,-84}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T1 if
             reduceB
          annotation (Placement(transformation(extent={{35,83},{55,63}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T2 if
             reduceB
          annotation (Placement(transformation(extent={{36,-64},{56,-84}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R3
                                                             annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-78,-31})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R4
                                                             annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={79,-29})));

        parameter Boolean reduceB=true
          "reaction R1 and R2 are transfornation of one reactant modelule A to one product molecule AB";
                                       //false
                                       //false
      equation
        if reduceB then
            connect(A, T1.r1) annotation (Line(
            points={{-100,100},{-76,100},{-76,71},{40,71}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(T1.p, AB) annotation (Line(
            points={{50,73},{81,73},{81,100},{100,100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        else
            connect(A, R1.r1) annotation (Line(
            points={{-100,100},{-76,100},{-76,71},{40,71}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(R1.p, AB) annotation (Line(
            points={{50,73},{81,73},{81,100},{100,100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(B, R1.r2) annotation (Line(
              points={{0,100},{0,75},{40,75}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        end if;

        if reduceB then
            connect(AC, T2.r1) annotation (Line(
            points={{-100,-100},{-78,-100},{-78,-76},{41,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(T2.p, ABC) annotation (Line(
            points={{51,-74},{79,-74},{79,-100},{98,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        else
            connect(AC, R2.r1) annotation (Line(
            points={{-100,-100},{-78,-100},{-78,-76},{41,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(R2.p, ABC) annotation (Line(
            points={{51,-74},{79,-74},{79,-100},{98,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(B, R2.r2) annotation (Line(
              points={{0,100},{0,-72},{41,-72}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None));
        end if;
        connect(R3.r2, C) annotation (Line(
            points={{-80,-26},{-80,0},{-100,0}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.p, AC) annotation (Line(
            points={{-78,-36},{-78,-100},{-100,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.p, ABC) annotation (Line(
            points={{79,-34},{79,-100},{98,-100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.r1, A) annotation (Line(
            points={{-76,-26},{-76,100},{-100,100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.r1, AB) annotation (Line(
            points={{81,-24},{81,100},{100,100}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(C, R4.r2) annotation (Line(
            points={{-100,0},{77,0},{77,-24}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        annotation (
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics),
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={215,215,215},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-80,61},{-80,-61}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{-80,62},{-86,44},{-74,44},{-80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,80},
                rotation=270),
              Line(
                points={{80,60},{80,-62}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{80,62},{74,44},{86,44},{80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,-80},
                rotation=270)}),
          DymolaStoredErrors);
      end MultipleBinding;

      model MultipleBindingWithGas
        PositiveConcentrationFlow A annotation (Placement(transformation(extent={{-93,54},
                  {-53,94}}),           iconTransformation(extent={{-100,80},{-80,100}})));
        PositiveConcentrationFlow AC annotation (Placement(transformation(extent={{-92,-98},
                  {-52,-58}}),            iconTransformation(extent={{-100,-100},
                  {-80,-80}})));
        QHP.Library.PressureFlow.PositivePressureFlow C
                                    annotation (Placement(transformation(extent={{-50,-27},
                  {-10,13}}),           iconTransformation(extent={{-110,-10},{-90,10}})));
        PositiveConcentrationFlow AB annotation (Placement(transformation(extent={{37,52},
                  {77,92}}),       iconTransformation(extent={{80,80},{100,100}})));
        PositiveConcentrationFlow B if not reduceB annotation (Placement(
              transformation(extent={{-49,13},{-9,53}}),  iconTransformation(extent={
                  {-10,90},{10,110}})));
        PositiveConcentrationFlow ABC annotation (Placement(transformation(extent={{35,-96},
                  {75,-56}}),           iconTransformation(extent={{80,-100},{100,-80}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R1 if
          not reduceB
          annotation (Placement(transformation(extent={{0,62},{20,82}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalReaction R2 if
          not reduceB
          annotation (Placement(transformation(extent={{1,-66},{21,-86}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T1 if
             reduceB
          annotation (Placement(transformation(extent={{0,62},{20,82}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T2 if
             reduceB
          annotation (Placement(transformation(extent={{1,-66},{21,-86}})));
        replaceable QHP.Library.Interfaces.ReversibleGasDissociation R3
          constrainedby QHP.Library.Interfaces.ReversibleChemicalReaction
                                                             annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={-60,-31})));
        replaceable QHP.Library.Interfaces.ReversibleGasDissociation R4
          constrainedby QHP.Library.Interfaces.ReversibleChemicalReaction
                                                             annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={44,-31})));

        parameter Boolean reduceB=true
          "reaction R1 and R2 are transfornation of one reactant modelule A to one product molecule AB";
                                       //false
                                       //false
        QHP.Library.Interfaces.BusConnector signals
                                        annotation (Placement(transformation(extent={
                  {-15,-41},{5,-21}}), iconTransformation(extent={{-10,-112},{10,-92}})));
      equation
        if reduceB then
            connect(A, T1.r1) annotation (Line(
            points={{-73,74},{5,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(T1.p, AB) annotation (Line(
            points={{15,72},{57,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(T1.signals, signals) annotation (Line(
            points={{10,70},{11,70},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        else
            connect(R1.signals, signals) annotation (Line(
            points={{10,70},{11,70},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

            connect(A, R1.r1) annotation (Line(
            points={{-73,74},{5,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(R1.p, AB) annotation (Line(
            points={{15,72},{57,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(B, R1.r2) annotation (Line(
              points={{-29,33},{-19,33},{-19,70},{5,70}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None,
              pattern=LinePattern.Dash));
        end if;

        if reduceB then
            connect(T2.signals, signals) annotation (Line(
            points={{11,-74},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

            connect(AC, T2.r1) annotation (Line(
            points={{-72,-78},{6,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(T2.p, ABC) annotation (Line(
            points={{16,-76},{55,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        else
            connect(R2.signals, signals) annotation (Line(
            points={{11,-74},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

            connect(AC, R2.r1) annotation (Line(
            points={{-72,-78},{6,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(R2.p, ABC) annotation (Line(
            points={{16,-76},{55,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

            connect(B, R2.r2) annotation (Line(
              points={{-29,33},{-19,33},{-19,-74},{6,-74}},
              color={200,0,0},
              thickness=1,
              smooth=Smooth.None,
              pattern=LinePattern.Dash));
        end if;
        connect(R3.r2, C) annotation (Line(
            points={{-58,-26},{-58,-7},{-30,-7}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.p, AC) annotation (Line(
            points={{-60,-36},{-60,-78},{-72,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.p, ABC) annotation (Line(
            points={{44,-36},{44,-76},{55,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.r1, A) annotation (Line(
            points={{-62,-26},{-62,74},{-73,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.r1, AB) annotation (Line(
            points={{46,-26},{46,72},{57,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(C, R4.r2) annotation (Line(
            points={{-30,-7},{42,-7},{42,-26}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(R3.signals, signals) annotation (Line(
            points={{-58,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(signals, R4.signals) annotation (Line(
            points={{-5,-31},{42,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        annotation (
          Diagram(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics),
          Icon(coordinateSystem(
              preserveAspectRatio=true,
              extent={{-100,-100},{100,100}},
              grid={1,1}), graphics={
              Rectangle(
                extent={{-100,100},{100,-100}},
                lineColor={215,215,215},
                fillColor={215,215,215},
                fillPattern=FillPattern.Solid),
              Line(
                points={{-80,61},{-80,-61}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{-80,62},{-86,44},{-74,44},{-80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,80},
                rotation=270),
              Line(
                points={{80,60},{80,-62}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{80,62},{74,44},{86,44},{80,62}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={80,-53},
                rotation=180),
              Line(
                points={{0,61},{0,-61}},
                color={0,0,0},
                smooth=Smooth.None,
                origin={0,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-52,-80},
                rotation=90),
              Polygon(
                points={{0,9},{-6,-9},{6,-9},{0,9}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={52,-80},
                rotation=270)}),
          DymolaStoredErrors);
      end MultipleBindingWithGas;

      model MultipleBindingWithGas2
        extends IKEDA.Library.Interfaces.IMultipleBindingWithGas(reduceB=true);

        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T1 if
          reduceB
          annotation (Placement(transformation(extent={{0,62},{20,82}})));
        replaceable QHP.Library.Interfaces.ReversibleChemicalTransformation T2 if
          reduceB
          annotation (Placement(transformation(extent={{1,-66},{21,-86}})));
        replaceable QHP.Library.Interfaces.ReversibleGasDissociation R3
                                                             annotation (Placement(
              transformation(
              extent={{-10,10},{10,-10}},
              rotation=270,
              origin={-60,-31})));
        replaceable QHP.Library.Interfaces.ReversibleGasDissociation R4
                                                             annotation (Placement(
              transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={44,-31})));
      equation
        connect(A, T1.r1)     annotation (Line(
            points={{-73,74},{5,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(T1.p, AB)     annotation (Line(
            points={{15,72},{57,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(T1.signals, signals)     annotation (Line(
            points={{10,70},{11,70},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(T2.signals, signals)     annotation (Line(
            points={{11,-74},{11,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));
        connect(AC, T2.r1)     annotation (Line(
            points={{-72,-78},{6,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(T2.p, ABC)     annotation (Line(
            points={{16,-76},{55,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(R3.r2, C) annotation (Line(
            points={{-58,-26},{-58,-7},{-30,-7}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.p, AC) annotation (Line(
            points={{-60,-36},{-60,-78},{-72,-78}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.p, ABC) annotation (Line(
            points={{44,-36},{44,-76},{55,-76}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R3.r1, A) annotation (Line(
            points={{-62,-26},{-62,74},{-73,74}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(R4.r1, AB) annotation (Line(
            points={{46,-26},{46,72},{57,72}},
            color={200,0,0},
            thickness=1,
            smooth=Smooth.None));
        connect(C, R4.r2) annotation (Line(
            points={{-30,-7},{42,-7},{42,-26}},
            color={0,0,0},
            thickness=1,
            smooth=Smooth.None));

        connect(R3.signals, signals) annotation (Line(
            points={{-58,-31},{-5,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

        connect(signals, R4.signals) annotation (Line(
            points={{-5,-31},{42,-31}},
            color={0,0,255},
            thickness=0.5,
            smooth=Smooth.None));

      end MultipleBindingWithGas2;

      model ConcentrationCompartmentIkeda_unknown
         extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeConcentrationFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-10,-10},
                  {10,10}})));

       IKEDA.Library.Interfaces.RealInput_ SolventVolume(final quantity="Volume", final unit=
                                                                                            "l")
                                 annotation (Placement(transformation(extent={{-120,68},{-80,108}}),
              iconTransformation(extent={{-120,60},{-80,100}})));
        IKEDA.Library.Interfaces.RealOutput_ SoluteMass
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90)));

        IKEDA.Library.Interfaces.RealOutput_ SoluteConc
          annotation (Placement(transformation(extent={{-20,-120},{20,-80}}, rotation=
                 -90), iconTransformation(
              extent={{-20,-120},{20,-80}},
              rotation=0,
              origin={116,32})));
      equation
        SoluteConc=q_out.conc;
        q_out.conc*SolventVolume = SoluteMass;
        der(SoluteMass) = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end ConcentrationCompartmentIkeda_unknown;
      replaceable class MassFlow =   Real (final quantity="Flow");
      connector PositiveMassFlow "Mass inflow"
        extends IKEDA.Library.ConcentrationFlow.MassFlowConnector;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-20,10},{20,-10}},
                lineColor={200,0,0},
                lineThickness=1), Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={0,127,0},
                pattern=LinePattern.None)}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end PositiveMassFlow;

      connector NegativeMassFlow "Mass outflow"
        extends IKEDA.Library.ConcentrationFlow.MassFlowConnector;

      annotation (
          defaultComponentName="q_in",
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
                                  Polygon(
                points={{0,100},{100,0},{0,-100},{-100,0},{0,100}},
                smooth=Smooth.None,
                pattern=LinePattern.None,
                lineColor={0,127,0}),
                                  Polygon(
                points={{-100,0},{0,100},{100,0},{0,-100},{-100,0}},
                lineColor={0,127,0},
                smooth=Smooth.None,
                fillPattern=FillPattern.Solid,
                fillColor={255,255,255})}),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end NegativeMassFlow;

      model MassCompartment
        extends IKEDA.Library.Interfaces.BaseModel;

        IKEDA.Library.ConcentrationFlow.NegativeMassFlow q_out
                                   annotation (Placement(
              transformation(extent={{62,-32},{102,8}}),  iconTransformation(extent={{-8,-10},
                  {12,10}})));
        parameter SoluteMass initialMass;

        IKEDA.Library.Interfaces.RealOutput_ Mass
          annotation (Placement(transformation(extent={{-14,-120},{26,-80}},rotation=-90)));

      initial equation
        Mass = initialMass;
      equation
        der(Mass) = q_out.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                     graphics));
      end MassCompartment;

      model MassInputPump

        IKEDA.Library.ConcentrationFlow.NegativeMassFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(extent={
                  {50,-10},{70,10}})));
        IKEDA.Library.Interfaces.RealInput_ desiredFlow(start=0)
          "speed of mass flow"                                        annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-30},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,20},{50,0},{-48,-21},{-48,20}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-92,-54},{80,-30}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MassInputPump;

      model MassOutputPump

        IKEDA.Library.ConcentrationFlow.PositiveConcentrationFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-70,-10},
                  {-50,10}})));
        IKEDA.Library.Interfaces.RealInput_ desiredFlow
                                       annotation ( extent = [-10,30;10,50], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-60,-32},{60,30}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-48,18},{50,-2},{-48,-26},{-48,18}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-78,-54},{72,-32}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MassOutputPump;
    end ConcentrationFlow;

    package VolumeFlow
      connector VolumeFlow
        Real volume(  final quantity="Volume", final unit="l");
        flow Real q(  final quantity="Flow", final unit="l/s");
      end VolumeFlow;

      connector PositiveVolumeFlow
        extends VolumeFlow;

      annotation (
          defaultComponentName="q_in",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-50,-5;
                  0,40; 50,-5; 0,-51; -50,-5],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end PositiveVolumeFlow;

      connector NegativeVolumeFlow
         extends VolumeFlow;

      annotation (
          defaultComponentName="q_out",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-50,-5;
                  0,40; 50,-5; 0,-51; -50,-5],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end NegativeVolumeFlow;

      model InputPumpIkeda

        NegativeVolumeFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        Interfaces.RealInput_              desiredFlow(   final quantity="Flow", final
            unit="l/s")             annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                              graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPumpIkeda;

      model OutputPumpIkeda

        PositiveVolumeFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        Interfaces.RealInput_              desiredFlow(   final quantity="Flow", final
            unit="l/s")             annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPumpIkeda;

      model VolumeCompartment
        extends IKEDA.Library.Interfaces.BaseModel;

        PositiveVolumeFlow inflow
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativeVolumeFlow outflow
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        parameter Real initialVolume(   final quantity="Volume", final unit="l");

        Modelica.Blocks.Interfaces.RealOutput Volume(   final quantity="Volume", final unit=
                 "l")
          annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90)));
      initial equation
        Volume = initialVolume;
      equation
        der(Volume) = (inflow.q + outflow.q);

        inflow.volume = Volume;
        outflow.volume = Volume;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end VolumeCompartment;

      model Clearance

        PositiveVolumeFlow inflow
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        parameter Real partFromVolumePerDay(   final quantity="DayFraction", final unit="1/d");

      equation
        inflow.q = inflow.volume * (1/1440)*partFromVolumePerDay;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(coordinateSystem(
                preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
              graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}));
      end Clearance;

      model VolumeMeasure

        PositiveVolumeFlow q_in   annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-20,-60},
                  {20,-20}})));
        QHP.Library.Interfaces.RealOutput_ actualVolume
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation
        q_in.q = 0;

        actualVolume = q_in.volume;

        annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-40,-40},{40,40}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-28,18},{30,-40}},
                lineColor={0,0,0},
                fillPattern=FillPattern.VerticalCylinder,
                fillColor={215,215,215},
                textString="Vol")}),    Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end VolumeMeasure;

      model Pump

        NegativeVolumeFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        Interfaces.RealInput_              desiredFlow(   final quantity="Flow", final
            unit="l/s")             annotation ( extent = [-10,50;10,70], rotation = -90);

        PositiveVolumeFlow q_in annotation (Placement(transformation(extent={{-120,-18},
                  {-80,22}}), iconTransformation(extent={{-114,-14},{-86,14}})));
      equation
        q_out.q = - desiredFlow;
        q_in.q+q_out.q=0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Pump;

      model Pump0

        NegativeVolumeFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-8},{110,12}}), iconTransformation(extent={{90,
                  -8},{110,12}})));

        PositiveVolumeFlow q_in annotation (Placement(transformation(extent={{-120,-18},
                  {-80,22}}), iconTransformation(extent={{-114,-16},{-86,12}})));

        Interfaces.RealInput_ desiredFlow(quantity="Flow", unit="l/s") annotation (
           Placement(transformation(extent={{-22,-82},{18,-42}}), iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={2,-62})));
      equation
        q_out.q = - desiredFlow;
        q_in.q-q_out.q=0;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-52},{100,48}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,13},{80,-12},{-80,-37},{-80,13}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-144,58},{156,98}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Pump0;

      model VolumeCompartmentInflow
        extends IKEDA.Library.Interfaces.BaseModel;

        PositiveVolumeFlow inflow
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-2,-10},{18,10}}), iconTransformation(
                extent={{-2,-10},{18,10}})));
        parameter Real initialVolume(   final quantity="Volume", final unit="l");

        Modelica.Blocks.Interfaces.RealOutput Volume(   final quantity="Volume", final unit=
                 "l")
          annotation (Placement(transformation(extent={{-50,-110},{-30,-90}}, rotation=-90)));
      initial equation
        Volume = initialVolume;
      equation
        der(Volume) = (inflow.q);

        inflow.volume = Volume;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics), Icon(graphics));
      end VolumeCompartmentInflow;
    end VolumeFlow;

    package PressureFlow
      connector PressureFlow "Pressure[mmHg] and Flow[ml/min]"
        Real pressure( final quantity="Pressure", final unit="mmHg");
        flow Real q( final quantity="Flow", final unit="ml/min") "flow";
      end PressureFlow;

      connector PositivePressureFlow "Pressure[mmHg] and Inflow[ml/min]"
        extends PressureFlow;

      annotation (
          defaultComponentName="inflow",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                  0,100; 100,0; 0,-100; -100,0],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={0,0,0})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end PositivePressureFlow;

      connector NegativePressureFlow
        "Pressure[mmHg] and negative Outflow[ml/min]"
        extends PressureFlow;

      annotation (
          defaultComponentName="outflow",
          Coordsys(
            extent=[-100, -100; 100, 100],
            grid=[1, 1],
            component=[20, 20],
            scale=0.2),
          Icon(coordinateSystem(extent=[-100, -100; 100, 100]), Polygon(points=[-100,0;
                  0,100; 100,0; 0,-100; -100,0],            style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255}))),
          Diagram(Polygon(points=[-21,-3; 5,23; 31,-3; 5,-29; -21,-3],   style(
                color=74,
                rgbcolor={0,0,0},
                fillColor=0,
                rgbfillColor={255,255,255})), Text(
              extent=[-105,-38; 115,-83],
              string="%name",
              style(color=0, rgbcolor={0,0,0}))),
          Documentation(info="<html>
<p>
Connector with one flow signal of type Real.
</p>
</html>"));
      end NegativePressureFlow;

      model ResistorWithCond
       extends Resistor;
        IKEDA.Library.Interfaces.RealInput_ cond( final quantity="Conductance", final unit=
                                                                                         "ml/(min.mmHg)")
                                 annotation (extent=[-5,30; 5,50], rotation=-90);
      equation
        q_in.q = cond * (q_in.pressure - q_out.pressure);
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}), graphics={Text(
                extent={{-70,-30},{70,30}},
                textString="%name",
                lineColor={0,0,255})}));
      end ResistorWithCond;

      model ResistorWithCondParam
       extends Resistor;
       parameter Real cond(  final quantity="Conductance", final unit="ml/(min.mmHg)");
      equation
        q_in.q = cond * (q_in.pressure - q_out.pressure);

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-70,0},{70,30}},
                lineColor={0,0,0},
                textString="%cond"),
              Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-70,-20},{70,0}},
                lineColor={0,0,0},
                textString="ml/min/mmHg")}));
      end ResistorWithCondParam;

      model InputPump

        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput desiredFlow(final quantity="Flow", final unit="ml/min")
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_out.q = - desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end InputPump;

      partial model Resistor
       extends ResistorBase;
      equation
        q_in.q + q_out.q = 0;
        annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{
                  -100,-100},{100,100}}),
                         graphics));
      end Resistor;

      partial model ResistorBase
       extends IKEDA.Library.Interfaces.BaseResistorModel;
        PositivePressureFlow q_in
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
      Real ActualConductance;
      equation
        ActualConductance = if
                              (q_in.pressure == q_out.pressure) then 0 else q_in.q/(q_in.pressure - q_out.pressure);
      end ResistorBase;

      model PressureFlowPump

        PositivePressureFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-12},{-90,8}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-8},{110,12}}),    iconTransformation(extent={{90,-10},
                  {110,10}})));
        QHP.Library.Curves.Curve c(
          x=PressureFlowCurveData[:, 1],
          y=PressureFlowCurveData[:, 2],
          slope=PressureFlowCurveData[:, 3]);
        parameter Real[:,3] PressureFlowCurveData;
        parameter Real NormalRate( final quantity="Flow", final unit="ml/min");

        QHP.Library.Interfaces.RealOutput_ actualFlow( final quantity="Flow", final unit="ml/min")
                               annotation (Placement(transformation(extent={{100,-50},
                  {140,-10}}), iconTransformation(extent={{100,-54},{128,-26}})));
      equation
        q_out.q + q_in.q = 0;
        c.u = q_in.pressure;
        q_in.q = NormalRate * c.val;
        actualFlow = q_in.q;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end PressureFlowPump;

      model OutputPump

        PositivePressureFlow q_in
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent=
                  {{-110,-10},{-90,10}})));
        QHP.Library.Interfaces.RealInput_ desiredFlow(final quantity="Flow", final unit="ml/min")
                                       annotation ( extent = [-10,50;10,70], rotation = -90);

      equation
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end OutputPump;

      model OneWayResistorWithCondParam
       extends Resistor;
       parameter Real cond(  final quantity="Conductance", final unit="ml/(min.mmHg)");
        QHP.Library.Interfaces.RealOutput_ actualFlow(  final quantity="Flow", final unit="ml/min")
                               annotation (Placement(transformation(extent={{72,-48},
                  {112,-8}}), iconTransformation(extent={{70,-32},{94,-8}})));
      equation
        q_in.q = max(cond * (q_in.pressure - q_out.pressure), 1.E-5);
        actualFlow = q_in.q;
        annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-70,-30},{28,30}},
                lineColor={0,0,0},
                textString="%cond"),
              Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{30,30},{30,-30},{70,0},{30,30}},
                color={0,0,255},
                smooth=Smooth.None)}));
      end OneWayResistorWithCondParam;

      model Pump

        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput_ desiredFlow(  final quantity="Flow", final unit="ml/min")
                                       annotation ( extent = [-10,50;10,70], rotation = -90);

        PositivePressureFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
      equation
        q_in.q + q_out.q = 0;
        q_in.q = desiredFlow;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end Pump;

      package test
        model ConstSource
          extends QHP.Library.Interfaces.BaseModel;

          NegativePressureFlow q_out annotation (Placement(transformation(extent={{78,
                    -20},{118,20}}), iconTransformation(extent={{90,-10},{110,10}})));

         parameter Real Pressure = 0;
         parameter Real Flow = 0;

          PositivePressureFlow q_in annotation (Placement(transformation(extent={{-120,
                    -20},{-80,20}}), iconTransformation(extent={{-110,-10},{-90,10}})));

        Real flowChange;
        Real volume(           start=0);
        equation
          q_in.pressure = Pressure;
          q_out.q = -Flow;
          flowChange = q_in.q + q_out.q;
          der(volume) = flowChange;
          annotation (Icon(graphics={Text(
                  extent={{-100,62},{100,10}},
                  lineColor={0,0,255},
                  textString="inputPressure = %Pressure"), Text(
                  extent={{-100,0},{100,-56}},
                  lineColor={0,0,255},
                  textString="outflow = %Flow")}));
        end ConstSource;

        model ConstSource2
          extends QHP.Library.Interfaces.BaseModel;

          NegativePressureFlow q_out annotation (Placement(transformation(extent={{78,
                    -20},{118,20}}), iconTransformation(extent={{90,-10},{110,10}})));

         parameter Real Pressure = 0;
         parameter Real Flow = 0;

          PositivePressureFlow q_in annotation (Placement(transformation(extent={{-120,
                    -20},{-80,20}}), iconTransformation(extent={{-110,-10},{-90,10}})));

        Real flowChange;
        Real volume(           start=0);
        equation
          q_out.pressure = Pressure;
          q_out.q = -Flow;
          flowChange = q_in.q + q_out.q;
          der(volume) = flowChange;
          annotation (Icon(graphics={Text(
                  extent={{-100,62},{100,10}},
                  lineColor={0,0,255},
                  textString="outputPressure = %Pressure"), Text(
                  extent={{-100,0},{100,-56}},
                  lineColor={0,0,255},
                  textString="outflow = %Flow")}));
        end ConstSource2;

        model PressureSource
          extends QHP.Library.Interfaces.BaseModel;
          PositivePressureFlow q_in annotation (Placement(
                transformation(extent={{60,0},{100,40}}),     iconTransformation(extent={{90,-10},
                    {110,10}})));
          NegativePressureFlow q_out annotation (Placement(
                transformation(extent={{-100,0},{-60,40}}), iconTransformation(extent={{-110,
                    -10},{-90,10}})));
          parameter Real pressure = 1;
        equation
          q_in.pressure = 0;
          q_out.pressure = pressure;
          annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}), graphics), Icon(coordinateSystem(
                  preserveAspectRatio=true, extent={{-100,-100},{100,100}}),
                                                       graphics));
        end PressureSource;

        model ConstPressure
          extends QHP.Library.Interfaces.BaseModel;

         output NegativePressureFlow q_out annotation (Placement(transformation(extent={{78,
                    -20},{118,20}}), iconTransformation(extent={{90,-10},{110,10}})));

         parameter Real Pressure( final quantity="Pressure", final unit="mmHg") = 0;

        equation
          q_out.q = 0;
          q_out.pressure = Pressure;
          annotation (Icon(graphics={Text(
                  extent={{-100,-10},{100,100}},
                  lineColor={0,0,255},
                  textString="pres=%Pressure")}));
        end ConstPressure;
      end test;

      model ReabsorbtionWithMinimalOutflow

        PositivePressureFlow Inflow                    annotation (Placement(
              transformation(extent={{-100,40},{-60,80}}),  iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativePressureFlow Outflow
          annotation (Placement(transformation(extent={{0,-100},{40,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        NegativePressureFlow Reabsorbtion                annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        QHP.Library.Interfaces.RealInput_ FractReab
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,20},{20,60}},rotation=-90)));
        QHP.Library.Interfaces.RealInput_ OutflowMin(  final quantity="Flow", final unit="ml/min")
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{60,20},{100,60}},rotation=-90)));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Outflow.pressure = Inflow.pressure;
        Reabsorbtion.q = -max((Inflow.q - OutflowMin)* FractReab,0);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,127,0},
                fillPattern=FillPattern.HorizontalCylinder,
                fillColor={213,255,170}),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end ReabsorbtionWithMinimalOutflow;

      model Reabsorbtion

        PositivePressureFlow Inflow                    annotation (Placement(
              transformation(extent={{-120,-18},{-80,22}}), iconTransformation(
                extent={{-110,-10},{-90,10}})));
        NegativePressureFlow Outflow
          annotation (Placement(transformation(extent={{20,-100},{60,-60}}),
              iconTransformation(extent={{90,-10},{110,10}})));
        NegativePressureFlow Reabsorbtion                annotation (Placement(
              transformation(extent={{-20,-100},{20,-60}}),iconTransformation(
                extent={{-10,-50},{10,-30}})));
        QHP.Library.Interfaces.RealInput_ FractReab
                                     annotation (Placement(transformation(extent={{-20,20},{20,
                  60}}), iconTransformation(extent={{-20,20},{20,60}},rotation=-90)));
      equation
        Outflow.q + Inflow.q + Reabsorbtion.q = 0;
        Inflow.pressure = Outflow.pressure;
        Reabsorbtion.q = - Inflow.q * FractReab;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,40},{100,-40}},
                lineColor={0,127,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.HorizontalCylinder),
              Line(
                points={{-70,14},{-70,-18},{-52,-12},{-36,-14},{-18,-20},{-2,-28},
                    {6,-36},{8,-40},{6,-22},{0,-12},{-8,-6},{-22,2},{-40,8},{-58,
                    12},{-70,14}},
                color={0,0,255},
                smooth=Smooth.None),
              Text(
                extent={{12,-42},{166,-72}},
                lineColor={0,0,255},
                textString="%name")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                        extent={{-100,-100},{100,100}}), graphics));
      end Reabsorbtion;

      model FlowMeasure

        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{18,-10},{38,10}}), iconTransformation(
                extent={{20,-10},{40,10}})));

        PositivePressureFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-40,-10},
                  {-20,10}})));
        QHP.Library.Interfaces.RealOutput_ actualFlow(  final quantity="Flow", final unit="ml/min")
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation
        q_in.q + q_out.q = 0;
        q_out.pressure = q_in.pressure;

        actualFlow = q_in.q;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-20},{30,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end FlowMeasure;

        model PressureControledCompartment
        "Multiple PressureFlow connector with pressures from multiple inputs"
         extends IKEDA.Library.Interfaces.BaseModel;

          parameter Integer ncon=1 "Number of inputs";
          QHP.Library.Interfaces.RealInput_ pressure[ncon](final quantity="Pressure",
              final unit="mmHg") "Connector of Pressure values input signals"
            annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                rotation=0), iconTransformation(extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,100})));
          PositivePressureFlow y[ncon]
          "Connector of PressureFlow output connectors"
            annotation (Placement(transformation(extent={{100,-20},{140,20}},
                rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

          QHP.Library.Interfaces.RealOutput_ Volume(final quantity="Volume", final unit=
               "ml")
            annotation (Placement(transformation(extent={{-20,-120},{20,-80}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=270,
              origin={0,-100})));
          parameter Real initialVolume;

        initial equation
          Volume = initialVolume;
        equation
          der(Volume) = (ones(ncon)*y.q)/QHP.Library.SecPerMin;
          for i in 1:ncon loop
              y[i].pressure = pressure[i];
          end for;
          annotation (Documentation(info="<HTML>
<p>
Model has a vector of continuous Real input signals as pressures for
vector of pressure-flow connectors.
</p>
</HTML>
"),         Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),
                            graphics));
        end PressureControledCompartment;

      model MultipleInputPump

        parameter Integer ncon=1 "number of output connectors";
        parameter Real w[ncon]=ones(ncon) "Optional: weight coeficients";

        NegativePressureFlow q_out[ncon]
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput desiredFlow(final quantity="Flow", final unit="ml/min")
                                      annotation ( extent = [-10,50;10,70], rotation = -90);

      protected
       Real coef;
       Real weight[ncon];
      equation
        ones(ncon)*weight = 1;
        for i in 1:ncon loop
            weight[i] = w[i] * coef;
            q_out[i].q = - desiredFlow * weight[i];
        end for;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MultipleInputPump;

      model MultipleOutputPump

        parameter Integer ncon=1 "number of output connectors";
        parameter Real w[ncon]=ones(ncon) "Optional: weight coeficients";

        PositivePressureFlow q_in[ncon]
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent=
                  {{-110,-10},{-90,10}})));
        QHP.Library.Interfaces.RealInput_ desiredFlow(final quantity="Flow", final unit="ml/min")
                                       annotation ( extent = [-10,50;10,70], rotation = -90);

      protected
       Real coef;
       Real weight[ncon];
      equation
        ones(ncon)*weight = 1;
        for i in 1:ncon loop
            weight[i] = w[i] * coef;
            q_in[i].q = desiredFlow * weight[i];
        end for;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MultipleOutputPump;

      model Valve
       extends Resistor;
      // parameter Real cond;
        QHP.Library.Interfaces.RealInput_ Cond(final quantity="Conductance",
            final unit="ml/(min.mmHg)")
          annotation (Placement(transformation(extent={{-14,-66},{26,-26}}),
              iconTransformation(
              extent={{-20,-20},{20,20}},
              rotation=90,
              origin={0,-50})));
      equation
        q_in.q = if q_in.pressure > q_out.pressure then
         Cond * (q_in.pressure - q_out.pressure) else
             0;

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-142,26},{146,86}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{-10,30},{-12,24},{-12,18},{-10,10},{-4,6},{0,4}},
                color={255,0,0},
                smooth=Smooth.None,
                thickness=1),
              Line(
                points={{-4,-13},{-6,-7},{-6,-1},{-4,7},{2,11},{6,13}},
                color={255,0,0},
                smooth=Smooth.None,
                origin={-6,-17},
                rotation=360,
                thickness=1)}));
      end Valve;

      model HydrostaticDifference

        PositivePressureFlow q_up
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-10,62},
                  {10,82}})));

        PositivePressureFlow q_down
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-40,-58},
                  {-20,-38}})));
        QHP.Library.Interfaces.RealInput_ height(final unit="m")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{52,4},{22,34}})));

        constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

      equation
        q_down.pressure = q_up.pressure + QHP.Library.NonSIunits.to_mmHg(g*ro*
          height);
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90)}),         Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end HydrostaticDifference;

      model HydrostaticDifferenceWithPumpEffect

        PositivePressureFlow q_up
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-10,62},
                  {10,82}})));

        PositivePressureFlow q_down
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-40,-58},
                  {-20,-38}})));
        QHP.Library.Interfaces.RealInput_ height(final unit="m")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{52,6},{22,36}})));

        constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

        QHP.Library.Interfaces.RealInput_ pumpEffect annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{54,-54},{24,-24}})));
      equation
        q_down.pressure = q_up.pressure + QHP.Library.NonSIunits.to_mmHg(g*ro*
          height)*pumpEffect;
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90),
              Line(
                points={{-28,44},{0,72},{28,44}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end HydrostaticDifferenceWithPumpEffect;

      model NaturalPump
         parameter Real[:,3] PressureOnFlowFraction;
        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));
        QHP.Library.Interfaces.RealInput_ desiredFlow(  final quantity="Flow", final unit="ml/min")
                                       annotation ( extent = [-10,50;10,70], rotation = -90);

        PositivePressureFlow q_in annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent=
                 {{-110,-10},{-90,10}})));
        Modelica.Blocks.Math.Product product annotation (Placement(transformation(
              extent={{-10,-10},{10,10}},
              rotation=270,
              origin={-6,28})));
        QHP.Library.Curves.Curve PressureOnFlow(
          x=PressureOnFlowFraction[:, 1],
          y=PressureOnFlowFraction[:, 2],
          slope=PressureOnFlowFraction[:, 3])
          annotation (Placement(transformation(extent={{-48,38},{-28,58}})));
        Pump pump
          annotation (Placement(transformation(extent={{-16,-10},{4,10}})));
        PressureMeasure pressureMeasure
          annotation (Placement(transformation(extent={{-68,-10},{-48,10}})));
      equation

        connect(pump.q_out, q_out) annotation (Line(
            points={{4,0},{100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(pump.q_in, q_in) annotation (Line(
            points={{-16,0},{-100,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(pump.desiredFlow, product.y) annotation (Line(
            points={{-6,6},{-6,17}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.u1, desiredFlow) annotation (Line(
            points={{1.77636e-015,40},{1.77636e-015,49},{0,49},{0,60}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(product.u2, PressureOnFlow.val) annotation (Line(
            points={{-12,40},{-12,48},{-27.8,48}},
            color={0,0,127},
            smooth=Smooth.None));
        connect(q_in, pressureMeasure.q_in) annotation (Line(
            points={{-100,0},{-58,0}},
            color={0,0,0},
            smooth=Smooth.None));
        connect(pressureMeasure.actualPressure, PressureOnFlow.u) annotation (
            Line(
            points={{-58,4},{-58,48},{-48,48}},
            color={0,0,127},
            smooth=Smooth.None));
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-100,-50},{100,50}},
                lineColor={127,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Sphere),
              Polygon(
                points={{-80,25},{80,0},{-80,-25},{-80,25}},
                lineColor={0,0,127},
                fillColor={0,0,127},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-150,-100},{150,-60}},
                textString="%name",
                lineColor={0,0,255})}), Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end NaturalPump;

      model PressureMeasure

        IKEDA.Library.PressureFlow.PositivePressureFlow q_in
                                  annotation (Placement(
              transformation(extent={{-120,-20},{-80,20}}), iconTransformation(extent={{-10,-10},
                  {10,10}})));
        QHP.Library.Interfaces.RealOutput_ actualPressure
                               annotation (Placement(transformation(extent={{-20,30},{20,70}}),
              iconTransformation(extent={{-20,-20},{20,20}},
                                                           rotation=90,
              origin={0,40})));
      equation

        actualPressure = q_in.pressure;
        q_in.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-20},{30,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics));
      end PressureMeasure;

      model GravityHydrostaticDifferenceWithPumpEffect

        PositivePressureFlow q_up
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-10,62},
                  {10,82}})));

        PositivePressureFlow q_down
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-40,-58},
                  {-20,-38}})));
        QHP.Library.Interfaces.RealInput_ height(final unit="m")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{52,6},{22,36}})));

       // constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

        QHP.Library.Interfaces.RealInput_ pumpEffect annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{54,-54},{24,-24}})));
        QHP.Library.Interfaces.RealInput_ G(final unit="m/(s.s)")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=180,
              origin={-29,9})));
      equation
        q_down.pressure = q_up.pressure + QHP.Library.NonSIunits.to_mmHg(G*ro*
          height)*pumpEffect;
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={
              Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90),
              Line(
                points={{-28,44},{0,72},{28,44}},
                color={0,0,255},
                smooth=Smooth.None,
                thickness=0.5)}),       Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GravityHydrostaticDifferenceWithPumpEffect;

      model GravityHydrostaticDifference

        PositivePressureFlow q_up
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-10,62},
                  {10,82}})));

        PositivePressureFlow q_down
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-8},{-90,12}}), iconTransformation(extent={{-40,-58},
                  {-20,-38}})));
        QHP.Library.Interfaces.RealInput_ height(final unit="m")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=0,
              origin={31,21})));

      //  constant Real g(final unit="m/s2")=9.81; //gravity acceleration constant
        parameter Real ro(final unit="kg/m3")=1060; //liquid density

       //TorsoArtyGradient  =  TorsoCM * Gravity_Gz * ArtyFractGz;  //Hydrostatic pressure: P=ro.g.h
         //cm *  .01 m/cm * 9.81 m/s * 1060 kg/m3 * 1/133.322 mmHg/Pa
         //= height[cm] * .77996129671022036873134216408395 [mmHg]
         //Blood density = 1060 kg/m3: Cutnell, John & Johnson, Kenneth. Physics, Fourth Edition. Wiley, 1998: 308.

         //bloodDensity = 1060 kg/m3
         //gravityAcceleration = 9.81 m/s2
         //Pa2mmHg = 1/133.322 mmHg/Pa
         //cm2m = .01 m/cm
         //averageHydrostaticHeight = TorsoCM * postureCoef[Status_Posture]
         //hydrostaticPressure = averageHydrostaticHeight * cm2m * bloodDensity * gravityAcceleration * Pa2mmHg
         //                    = .77996 * averageHydrostaticHeight

        QHP.Library.Interfaces.RealInput_ G(final unit="m/(s.s)")
                                                     annotation (Placement(transformation(extent={{22,
                  -18},{62,22}}), iconTransformation(extent={{15,-15},{-15,15}},
              rotation=180,
              origin={-29,21})));
      equation
        q_down.pressure = q_up.pressure + QHP.Library.NonSIunits.to_mmHg(G*ro*
          height);
        q_up.q + q_down.q = 0;
       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-30,-58},{30,72}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Text(
                extent={{-62,-21},{62,21}},
                textString="%name",
                lineColor={0,0,255},
                origin={0,5},
                rotation=90)}),         Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end GravityHydrostaticDifference;

        model UnlimitedEnvironment
        "Generate constant pressure independ on inflow or outflow"
         extends IKEDA.Library.Interfaces.BaseModel;

          parameter Real pressure=0;

          PositivePressureFlow con
            annotation (Placement(transformation(extent={{100,-20},{140,20}},
                rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

          parameter Real initialVolume;

          IKEDA.Library.Interfaces.RealOutput_ Volume
                                        annotation (Placement(transformation(extent={{
                    -8,-120},{32,-80}}), iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={12,-100})));
        initial equation
          Volume = initialVolume;
        equation
          der(Volume) = con.q/QHP.Library.SecPerMin;
          con.pressure = pressure;
          annotation (
            Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},
                  {100,100}}),
                            graphics),
            Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}),
                            graphics));
        end UnlimitedEnvironment;

      package InitConstrains

          model InitPressure
          "Generate constant pressure independ on inflow or outflow"
           extends QHP.Library.Interfaces.BaseModel;

            PositivePressureFlow con
              annotation (Placement(transformation(extent={{100,-20},{140,20}},
                  rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

            parameter Real initPressure;

          initial equation
           // con.pressure = initPressure;
          equation
            con.q = 0;
            con.pressure = initPressure;
            annotation (
              Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}),
                              graphics={Text(
                  extent={{-100,40},{100,62}},
                  lineColor={0,0,0},
                  fillPattern=FillPattern.VerticalCylinder,
                  fillColor={215,215,215},
                  textString="%initPressure mmHg")}),
              Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                    -100},{100,100}}),
                              graphics));
          end InitPressure;

          model InitPressureControledCompartment
          "Multiple PressureFlow connector with pressures from multiple inputs"
           extends QHP.Library.Interfaces.BaseModel;

            parameter Integer ncon=1 "Number of inputs";
            QHP.Library.Interfaces.RealInput_ pressure[ncon](final quantity=
                "Pressure", final unit="mmHg")
            "Connector of Pressure values input signals"
              annotation (Placement(transformation(extent={{-140,-20},{-100,20}},
                  rotation=0), iconTransformation(extent={{-20,-20},{20,20}},
                rotation=270,
                origin={0,100})));
            PositivePressureFlow y[ncon]
            "Connector of PressureFlow output connectors"
              annotation (Placement(transformation(extent={{100,-20},{140,20}},
                  rotation=0), iconTransformation(extent={{-120,-20},{-80,20}})));

            QHP.Library.Interfaces.RealOutput_ Volume(final quantity="Volume",
              final unit="ml")
              annotation (Placement(transformation(extent={{-20,-120},{20,-80}}),
                iconTransformation(
                extent={{-20,-20},{20,20}},
                rotation=270,
                origin={0,-100})));
          //  parameter Real initialVolume;

          initial equation
          //  Volume = initialVolume;
          equation
            ones(ncon)*y.q = 0;
            for i in 1:ncon loop
                y[i].pressure = pressure[i];
            end for;
            annotation (Documentation(info="<HTML>
<p>
Model has a vector of continuous Real input signals as pressures for
vector of pressure-flow connectors.
</p>
</HTML>
"),           Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
                    -100},{100,100}}),
                              graphics));
          end InitPressureControledCompartment;
      end InitConstrains;

      model PipeHydraulicInertia

        PositivePressureFlow inflow
          annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
        NegativePressureFlow outflow annotation (Placement(transformation(
                extent={{80,-20},{120,20}}), iconTransformation(extent={{80,-20},
                  {120,20}})));

       parameter Real pipeRadius(final unit="mm")=5;
       parameter Real pipeLength(final unit="m")=1;
       Real pipeCrossArea(final unit="m2");
      protected
       parameter Real MMtoM(final unit="m/mm") = 0.001;
       parameter Real MLtoKG(final unit="kg/ml") = 0.001;
      initial equation
       //der(inflow.q*MLtoKG) = 0;
      equation
        inflow.q + outflow.q = 0;

        pipeCrossArea = Modelica.Constants.pi * (pipeRadius*MMtoM)^2;
        outflow.pressure = inflow.pressure - QHP.Library.NonSIunits.to_mmHg(der(
          inflow.q*MLtoKG/QHP.Library.SecPerMin)*pipeLength/pipeCrossArea);
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,20},{-40,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{-30,20},{30,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{40,20},{100,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{-40,20},{-30,-20}},
                lineColor={95,95,95},
                fillPattern=FillPattern.Solid,
                fillColor={95,95,95}),
              Rectangle(
                extent={{30,20},{40,-20}},
                lineColor={95,95,95},
                fillPattern=FillPattern.Solid,
                fillColor={95,95,95}),
              Line(
                points={{-100,20},{100,20}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-100,-20},{100,-20}},
                color={0,0,0},
                smooth=Smooth.None),
              Text(
                extent={{-100,-26},{48,-50}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="%name"),
              Text(
                extent={{-84,52},{88,36}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="%pipeLength m"),
              Text(
                extent={{20,10},{88,-12}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                origin={60,-120},
                rotation=90,
                textString="%pipeRadius mm"),
              Line(
                points={{72,30},{72,-100}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-90,36},{92,36},{90,36},{90,36}},
                color={0,0,0},
                smooth=Smooth.None),
              Polygon(
                points={{88,42},{100,36},{88,30},{88,42}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid),
              Polygon(
                points={{-6,6},{6,0},{-6,-6},{-6,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={-94,36},
                rotation=180),
              Polygon(
                points={{-6,6},{6,0},{-6,-6},{-6,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={72,26},
                rotation=270),
              Polygon(
                points={{-6,6},{6,0},{-6,-6},{-6,6}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid,
                origin={72,-26},
                rotation=90)}),
      preferredView = diagram,
      Documentation(info="<HTML>
 
<h1>Hydraulic Inertia</h1>
<table>
<tr><td>
F=m.a
</td><td>force needed to accelerate pipe flow content</td></tr>
<tr><td> 
a=der(v)
</td><td>acceleration is change of speed</td></tr>
<tr><td>
q=v.S.rho
</td><td>mass flow can be meassured by speed</td></tr>
<tr><td>
V=S.d 
</td><td>volume of pipe is cross-area multiplied by pipe length</td></tr>
<tr><td>
F=S.dp
</td><td>force, that changed pressure gradient throught crossing-area</td></tr>
<tr><td>
dp=pi-po
</td><td>pressure gradient between both open sides of pipe</td></tr>\
<tr><td>
S=pi.r^2
</td><td>cross-area has the shape of circle with some radius</td></tr>
</table>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> september 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented, Charles University, Prague, Czech Republic
       </li>
</ul>
</html>"));
      end PipeHydraulicInertia;

      model ValveWithBackwardVolume

       PositivePressureFlow q_in
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

       Real actual_backward_volume(start=0);
       parameter Real backward_volume=2;

      protected
       Boolean opened(start=false);
       Real s;
      public
        QHP.Library.Interfaces.RealOutput_ actualFlow(final quantity="Flow",
            final unit="ml/min")
                               annotation (Placement(transformation(extent={{64,-66},
                  {104,-26}}),iconTransformation(extent={{100,-40},{120,-20}})));
      equation
        q_in.q + q_out.q = 0;
        opened = s>0 or actual_backward_volume<backward_volume;

        q_in.q = if
                   (opened) then s else 0;
        q_in.pressure-q_out.pressure = if
                                         (opened) then 0 else s;

        der(actual_backward_volume) = max(0,-q_in.q);
        when actual_backward_volume>=backward_volume then
          reinit(actual_backward_volume,0);
        end when;

        actualFlow = q_in.q;

       annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,30},{100,-30}},
                lineColor={0,0,0},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid),
              Text(
                extent={{-142,26},{146,86}},
                textString="%name",
                lineColor={0,0,255}),
              Line(
                points={{-10,30},{-12,24},{-12,18},{-10,10},{-4,6},{0,4}},
                color={255,0,0},
                smooth=Smooth.None,
                thickness=1),
              Line(
                points={{-4,-13},{-6,-7},{-6,-1},{-4,7},{2,11},{6,13}},
                color={255,0,0},
                smooth=Smooth.None,
                origin={-6,-17},
                rotation=360,
                thickness=1)}));
      end ValveWithBackwardVolume;

      model HydraulicInertia

        PositivePressureFlow inflow
          annotation (Placement(transformation(extent={{-120,-20},{-80,20}})));
        NegativePressureFlow outflow annotation (Placement(transformation(
                extent={{80,-20},{120,20}}), iconTransformation(extent={{80,-20},
                  {120,20}})));

       parameter Real L(final unit="mmHg.s2/ml")=0.000416;
      initial equation
       inflow.pressure = outflow.pressure;
      equation
        inflow.q + outflow.q = 0;
        inflow.pressure - outflow.pressure = der(inflow.q/QHP.Library.SecPerMin)
          *L;
        annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics={
              Rectangle(
                extent={{-100,20},{-40,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{-30,20},{30,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{40,20},{100,-20}},
                lineColor={95,95,95},
                fillColor={215,215,215},
                fillPattern=FillPattern.VerticalCylinder),
              Rectangle(
                extent={{-40,20},{-30,-20}},
                lineColor={95,95,95},
                fillPattern=FillPattern.Solid,
                fillColor={95,95,95}),
              Rectangle(
                extent={{30,20},{40,-20}},
                lineColor={95,95,95},
                fillPattern=FillPattern.Solid,
                fillColor={95,95,95}),
              Line(
                points={{-100,20},{100,20}},
                color={0,0,0},
                smooth=Smooth.None),
              Line(
                points={{-100,-20},{100,-20}},
                color={0,0,0},
                smooth=Smooth.None),
              Text(
                extent={{-100,-26},{100,-50}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="L = %L mmHg.s2/ml"),
              Text(
                extent={{-100,46},{100,22}},
                lineColor={0,0,0},
                fillColor={95,95,95},
                fillPattern=FillPattern.Solid,
                textString="%name")}),
      preferredView = diagram,
      Documentation(info="<HTML>
 
<h1>Hydraulic Inertia</h1>
<table>
<tr><td>
F=m.a
</td><td>force needed to accelerate pipe flow content</td></tr>
<tr><td> 
a=der(v)
</td><td>acceleration is change of speed</td></tr>
<tr><td>
q=v.S.rho
</td><td>mass flow can be meassured by speed</td></tr>
<tr><td>
V=S.d 
</td><td>volume of pipe is cross-area multiplied by pipe length</td></tr>
<tr><td>
F=S.dp
</td><td>force, that changed pressure gradient throught crossing-area</td></tr>
<tr><td>
dp=pi-po
</td><td>pressure gradient between both open sides of pipe</td></tr>\
<tr><td>
S=pi.r^2
</td><td>cross-area has the shape of circle with some radius</td></tr>
</table>
</HTML>
",     revisions="<html>
<ul>
<li><i>  </i>
       </li>
<li><i> september 2009 </i><br> 
       by Marek Matejak in Modelica initially implemented, Charles University, Prague, Czech Republic
       </li>
</ul>
</html>"));
      end HydraulicInertia;

      model IdealValve

       PositivePressureFlow q_in
                              annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{-110,-10},{-90,10}})));
        NegativePressureFlow q_out
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,-10},{110,10}})));

        parameter Modelica.SIunits.Resistance Ron(final min=0) = 1.E-5
          "Forward state-on differential resistance (closed diode resistance)";
        parameter Modelica.SIunits.Conductance Goff(final min=0) = 1.E-5
          "Backward state-off conductance (opened diode conductance)";
        parameter Modelica.SIunits.Voltage Vknee(final min=0, start=0)
          "Forward threshold voltage";
        Boolean off(start=true) "Switching state";
      protected
        Real s(final unit="1")
          "Auxiliary variable: if on then current, if opened then voltage";

      equation
        q_in.q + q_out.q = 0;

        off = s < 0;
        q_in.pressure-q_out.pressure = s*(if off then 1 else Ron) + Vknee;
        q_in.q = s*(if off then Goff else 1) + Goff*Vknee;
       annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics={
              Text(
                extent={{-146,40},{142,100}},
                textString="%name",
                lineColor={0,0,255}),
              Polygon(
                points={{30,0},{-30,40},{-30,-40},{30,0}},
                lineColor={0,0,0},
                fillColor={255,255,255}),
              Line(points={{-90,0},{40,0}}, color={0,0,255}),
              Line(points={{40,0},{90,0}}, color={0,0,255}),
              Line(points={{30,40},{30,-40}}, color={0,0,255})}));
      end IdealValve;

      model ResistorWithResSecParam
       extends Resistor;
       parameter Real res(  final quantity="Resistance", final unit="mmHg.s/ml");
      equation
        q_in.q*res/QHP.Library.SecPerMin = (q_in.pressure - q_out.pressure);

        annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
                  -100},{100,100}}),
                            graphics), Icon(coordinateSystem(
                preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
              graphics={
              Text(
                extent={{-70,0},{70,30}},
                lineColor={0,0,0},
                textString="%res"),
              Text(
                extent={{-134,-90},{154,-30}},
                textString="%name",
                lineColor={0,0,255}),
              Text(
                extent={{-70,-20},{70,0}},
                lineColor={0,0,0},
                textString="mmHg.s/ml")}));
      end ResistorWithResSecParam;

      model MultipleDilution
        parameter Integer N=2;
        parameter Real weights[N]=ones(N);

        NegativePressureFlow parts[N]
                               annotation (extent=[-10, -110; 10, -90], Placement(
              transformation(extent={{90,10},{110,30}}), iconTransformation(extent={{30,-10},
                  {50,10}})));
        PositivePressureFlow total
                                  annotation (Placement(
              transformation(extent={{-130,-28},{-90,12}}), iconTransformation(extent={{-50,-10},
                  {-30,10}})));
      equation
        weights*parts[:].q + total.q=0;
        total.conc = weights*parts[:].conc;

        for i in 1:(N-1) loop
          -parts[i].q/total.q = parts[i].conc/total.conc;
        end for;

       annotation (
          Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
                  100,100}}), graphics={Rectangle(
                extent={{-40,-20},{40,20}},
                lineColor={0,0,127},
                fillColor={255,255,255},
                fillPattern=FillPattern.Solid), Polygon(
                points={{-18,2},{-18,0},{-12,0},{20,-10},{20,12},{-12,2},{-18,2}},
                lineColor={0,0,0},
                smooth=Smooth.None,
                fillColor={0,0,0},
                fillPattern=FillPattern.Solid)}),
                                        Diagram(coordinateSystem(preserveAspectRatio=true,
                         extent={{-100,-100},{100,100}}), graphics),
                    Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
                  -100},{100,100}}), graphics));
      end MultipleDilution;
    end PressureFlow;

    model SimpleDivision
     extends IKEDA.Library.Interfaces.BaseFactorIcon;

      Interfaces.RealInput_ u annotation (Placement(transformation(extent={{
                -110,-20},{-70,20}}), iconTransformation(extent={{-112,-14},{
                -84,14}})));

    equation
      y=yBase/u;
      annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
                {100,100}}),       graphics), Icon(coordinateSystem(
              preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
            graphics={Text(
              extent={{-94,16},{-48,-20}},
              lineColor={0,0,255},
              lineThickness=0.5,
              fillColor={213,255,170},
              fillPattern=FillPattern.CrossDiag,
              textString="/"),
                      Text(
              extent={{-94,26},{-48,-10}},
              lineColor={0,0,255},
              lineThickness=0.5,
              fillColor={213,255,170},
              fillPattern=FillPattern.CrossDiag,
              textString="..")}));
    end SimpleDivision;
  end Library;

  block Yp

    Modelica.Blocks.Interfaces.RealInput YPO4
                                             annotation (Placement(transformation(
            extent={{-106,16},{-66,56}}),  iconTransformation(extent={{-94,22},{-54,
              62}})));
    Modelica.Blocks.Interfaces.RealInput x   annotation (Placement(transformation(
            extent={{-112,-52},{-72,-12}}),iconTransformation(extent={{-94,-52},{-54,
              -12}})));
    Modelica.Blocks.Interfaces.RealOutput Yp  annotation (Placement(
          transformation(extent={{70,-11},{100,19}}), iconTransformation(extent={{64,-4},
              {96,28}})));
  equation
    Yp = YPO4*(10^(-x) + 2*10^(-6.8))/(10^(-x) + 10^(-6.8));
    //from phosophate flows YPO4 expressed in mmol/min calculates phosphate flow expressed in mEq/min (Yp) dependent on pH (x)
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}),
                      graphics),
      uses(Modelica(version="3.1")),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-58,36},{-18,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-62,-40},{-22,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{24,6},{64,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Yp")}));
  end Yp;

  block Yo

    Modelica.Blocks.Interfaces.RealInput YORG
                                             annotation (Placement(transformation(
            extent={{-108,18},{-68,58}}),  iconTransformation(extent={{-94,22},{-54,
              62}})));
    Modelica.Blocks.Interfaces.RealInput x   annotation (Placement(transformation(
            extent={{-112,-52},{-72,-12}}),iconTransformation(extent={{-94,-52},{-54,
              -12}})));
    Modelica.Blocks.Interfaces.RealOutput Yo  annotation (Placement(
          transformation(extent={{70,-11},{100,19}}), iconTransformation(extent={{64,-4},
              {96,28}})));
  equation
    Yo = YORG*(10^(-4.3))/(10^(-x) + 10^(-4.3));
    //from organic acids (YORG) expressed in mmol/min calculates phosphate flow in mEq/min (Yp) dependent on pH (x)
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}),
                      graphics),
      uses(Modelica(version="3.1")),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-58,36},{-18,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-62,-40},{-22,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{24,6},{64,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Yo")}));
  end Yo;

  block F65

    Modelica.Blocks.Interfaces.RealInput YORG
                                             annotation (Placement(transformation(
            extent={{-112,-44},{-72,-4}}), iconTransformation(extent={{-20,-20},{20,
              20}},
          rotation=270,
          origin={-14,74})));
    Modelica.Blocks.Interfaces.RealInput PHU annotation (Placement(transformation(
            extent={{-114,-76},{-74,-36}}),iconTransformation(extent={{-96,-20},{-56,
              20}})));
    Modelica.Blocks.Interfaces.RealOutput YTA annotation (Placement(
          transformation(extent={{78,-15},{108,15}}), iconTransformation(extent={{64,-16},
              {96,16}})));
    Modelica.Blocks.Interfaces.RealInput YPO4
                                             annotation (Placement(transformation(
            extent={{-118,46},{-78,86}}),  iconTransformation(extent={{-20,-20},{20,
              20}},
          rotation=-90,
          origin={40,74})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
            extent={{-110,-16},{-70,24}}), iconTransformation(extent={{-20,-20},{20,
              20}},
          rotation=270,
          origin={-62,74})));
    IKEDA.Yp yp annotation (Placement(transformation(extent={{-54,45},{-24,75}})));
    IKEDA.Yp yp1 annotation (Placement(transformation(extent={{-54,4},{-24,34}})));
    IKEDA.Yo yo
      annotation (Placement(transformation(extent={{-54,-34},{-22,-2}})));
    IKEDA.Yo yo1
      annotation (Placement(transformation(extent={{-54,-74},{-22,-42}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-2,30},{18,50}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{-2,-50},{18,-30}})));
    Modelica.Blocks.Math.Add add2(k2=+1)
      annotation (Placement(transformation(extent={{44,-10},{64,10}})));
  equation
    connect(yp1.YPO4, YPO4) annotation (Line(
        points={{-50.1,25.3},{-50,25},{-70,25},{-70,66},{-98,66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, yp.x) annotation (Line(
        points={{-90,4},{-64,4},{-64,55.2},{-50.1,55.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yp.YPO4, YPO4) annotation (Line(
        points={{-50.1,66.3},{-69.05,66.3},{-69.05,66},{-98,66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG, yo.YORG) annotation (Line(
        points={{-92,-24},{-72,-24},{-72,-11.28},{-49.84,-11.28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG, yo1.YORG) annotation (Line(
        points={{-92,-24},{-72,-24},{-72,-51.28},{-49.84,-51.28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yp.Yp, add.u1) annotation (Line(
        points={{-27,61.8},{-15.5,61.8},{-15.5,46},{-4,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yp1.Yp, add.u2) annotation (Line(
        points={{-27,20.8},{-15.5,20.8},{-15.5,34},{-4,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yo.Yo, add1.u1) annotation (Line(
        points={{-25.2,-16.08},{-14.6,-16.08},{-14.6,-34},{-4,-34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yo1.Yo, add1.u2) annotation (Line(
        points={{-25.2,-56.08},{-14.6,-56.08},{-14.6,-46},{-4,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, add2.u2) annotation (Line(
        points={{19,-40},{30,-40},{30,-6},{42,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, add2.u1) annotation (Line(
        points={{19,40},{30,40},{30,6},{42,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.y, YTA) annotation (Line(
        points={{65,0},{93,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHU, yp1.x) annotation (Line(
        points={{-94,-56},{-60,-56},{-60,14.2},{-50.1,14.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, yo.x) annotation (Line(
        points={{-90,4},{-64,4},{-64,-23.12},{-49.84,-23.12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHU, yo1.x) annotation (Line(
        points={{-94,-56},{-60,-56},{-60,-63.12},{-49.84,-63.12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}),
                      graphics),
      uses(Modelica(version="3.1")),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-10,56},{30,68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{30,-6},{70,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{-58,-6},{-18,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{42,52},{82,64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-62,54},{-22,66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-32,-58},{28,-26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F65")}));
  end F65;

  block PHUCaculationInverse
    Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-90,80}), iconTransformation(
          extent={{-17,-17},{17,17}},
          rotation=270,
          origin={-27,69})));
    Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
          transformation(extent={{-110,22},{-70,62}}),  iconTransformation(
          extent={{-17,-17},{17,17}},
          rotation=270,
          origin={41,71})));
    Modelica.Blocks.Interfaces.RealOutput PHU annotation (Placement(
          transformation(extent={{70,-61},{100,-31}}),iconTransformation(extent={
              {70,-10},{102,22}})));
    Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(transformation(
            extent={{-114,-66},{-74,-26}}),iconTransformation(extent={{-96,-14},{
              -56,26}})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
            extent={{-110,-14},{-70,26}}),  iconTransformation(
          extent={{-20,-20},{20,20}},
          rotation=90,
          origin={14,-46})));
    Modelica.Blocks.Math.InverseBlockConstraints inverseBlockConstraints
      annotation (Placement(transformation(extent={{-56,-82},{52,-10}})));
    IKEDA.F65 f65_1
              annotation (Placement(transformation(extent={{-29,-62},{23,-9}})));
  equation
    connect(f65_1.YTA, inverseBlockConstraints.u2) annotation (Line(
        points={{17.8,-35.5},{32,-36},{32,-68},{-34,-68},{-34,-46},{-45.2,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f65_1.PHU, inverseBlockConstraints.y2) annotation (Line(
        points={{-22.76,-35.5},{-26,-38},{-30,-38},{-30,-64},{36,-64},{36,-46},
            {43.9,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA, inverseBlockConstraints.u1) annotation (Line(
        points={{-94,-46},{-61.4,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inverseBlockConstraints.y1, PHU) annotation (Line(
        points={{54.7,-46},{85,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, f65_1.PHA) annotation (Line(
        points={{-90,6},{-19,6},{-19,-15.89},{-19.12,-15.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f65_1.YORG, YORG) annotation (Line(
        points={{-6.64,-15.89},{-6.32,-15.89},{-6.32,42},{-90,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f65_1.YPO4, YPO4) annotation (Line(
        points={{7.4,-15.89},{7.4,80.055},{-90,80.055},{-90,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (
      uses(Modelica(version="3.1")),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Text(
            extent={{-4,42},{-48,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{64,42},{20,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-20,0},{-64,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{78,-2},{34,8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{36,-28},{-8,-18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Rectangle(
            extent={{-76,68},{86,-54}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{88,20},{-80,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU Calculation")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}),
                      graphics));
  end PHUCaculationInverse;

  model TestPHUCalculationInverse
    IKEDA.PHUCaculationInverse pHUCaculation
      annotation (Placement(transformation(extent={{-38,-34},{36,40}})));
    Modelica.Blocks.Sources.Constant PHA(k=7.400)
      annotation (Placement(transformation(extent={{-84,-64},{-64,-44}})));
    Modelica.Blocks.Sources.Constant YTA(k=0.0168)
      annotation (Placement(transformation(extent={{-86,-5},{-66,15}})));
    Modelica.Blocks.Sources.Constant YPO4(k=0.025)
      annotation (Placement(transformation(extent={{-84,55},{-64,75}})));
    Modelica.Blocks.Sources.Constant YORG(k=0.01)
      annotation (Placement(transformation(extent={{-32,75},{-12,95}})));
  equation
    connect(PHA.y, pHUCaculation.PHA)   annotation (Line(
        points={{-63,-54},{4,-54},{4,-14.02},{4.18,-14.02}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA.y, pHUCaculation.YTA)    annotation (Line(
        points={{-65,5},{-47.06,5},{-47.06,5.22},{-29.12,5.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPO4.y, pHUCaculation.YPO4)   annotation (Line(
        points={{-63,65},{-10.5,65},{-10.5,28.53},{-10.99,28.53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG.y, pHUCaculation.YORG)   annotation (Line(
        points={{-11,85},{-11,84.5},{14.17,84.5},{14.17,29.27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics), Icon(coordinateSystem(
            preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
          graphics));
  end TestPHUCalculationInverse;

  model testF65

    F65 f65_1 annotation (Placement(transformation(extent={{-24,-28},{46,42}})));
    Modelica.Blocks.Sources.Constant const1(k=6.0)
      annotation (Placement(transformation(extent={{-70,-3},{-50,17}})));
    Modelica.Blocks.Sources.Constant const2(k=7.4)
      annotation (Placement(transformation(extent={{-78,53},{-58,73}})));
    Modelica.Blocks.Sources.Constant const3(k=0.01)
      annotation (Placement(transformation(extent={{-56,73},{-36,93}})));
    Modelica.Blocks.Sources.Constant const4(k=0.025)
      annotation (Placement(transformation(extent={{12,74},{32,94}})));
  equation
    connect(const1.y, f65_1.PHU) annotation (Line(
        points={{-49,7},{-15.6,7}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(const2.y, f65_1.PHA) annotation (Line(
        points={{-57,63},{-11.5,63},{-11.5,32.9},{-10.7,32.9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(const3.y, f65_1.YORG) annotation (Line(
        points={{-35,83},{-35,82.5},{6.1,82.5},{6.1,32.9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(const4.y, f65_1.YPO4) annotation (Line(
        points={{33,84},{50,84},{50,60},{25,60},{25,32.9}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testF65;

  model RenalAcidification

    Modelica.Blocks.Interfaces.RealInput YORG
      "renal excration rate of organic acid [mmol/min]"
                                              annotation (Placement(
          transformation(extent={{-116,-10},{-76,30}}),iconTransformation(
            extent={{-104,19},{-86,37}})));
    Modelica.Blocks.Interfaces.RealInput YPO4
      "renal excration rate of phosphate [mmol/min]"
                                              annotation (Placement(
          transformation(extent={{-114,-38},{-74,2}}), iconTransformation(
            extent={{-104,-7},{-86,11}})));
    Modelica.Blocks.Interfaces.RealInput PHA "pH of arterial blood"
                                             annotation (Placement(
          transformation(extent={{-108,11},{-68,51}}),  iconTransformation(
            extent={{-104,-33},{-86,-15}})));
    Modelica.Blocks.Interfaces.RealInput Ald(unit="1") "effect of aldosterone"
                                             annotation (Placement(
          transformation(extent={{-108,-84},{-68,-44}}), iconTransformation(
            extent={{-104,-57},{-86,-39}})));
    Modelica.Blocks.Interfaces.RealOutput YTA
      "renal excration rate of titratable acid(default=0.0168) [mEq/min]"
                                              annotation (Placement(
          transformation(extent={{84,62},{104,82}}), iconTransformation(extent={{90,31},
              {108,49}})));
    Modelica.Blocks.Interfaces.RealOutput YNH4
      "renal excration rate of ammonium(default=0.024) [mEq/min]"
                                               annotation (Placement(
          transformation(extent={{84,38},{104,58}}), iconTransformation(extent={{92,3},{
              110,21}})));
    Modelica.Blocks.Interfaces.RealOutput PHU( start=6.0)
      "pH of urine (defautl=6)"               annotation (Placement(
          transformation(extent={{82,-40},{102,-20}}), iconTransformation(
            extent={{92,-33},{110,-15}})));
    RenalDistalAcidification renalDistalAcidification
      annotation (Placement(transformation(extent={{-42,8},{56,106}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-38,-84},{-24,-70}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{6,-88},{18,-76}})));
    Modelica.Blocks.Math.Add add1
      annotation (Placement(transformation(extent={{64,66},{76,78}})));
    Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
          transformation(extent={{84,80},{104,100}}), iconTransformation(extent={{92,67},
              {110,85}})));
    Modelica.Blocks.Interfaces.RealInput YNH40
      "Normal value of NH4 excretion [mEq/min]"
                                              annotation (Placement(
          transformation(extent={{-116,64},{-76,104}}),iconTransformation(
            extent={{-104,45},{-86,63}})));
    Modelica.Blocks.Interfaces.RealInput YTA0
      "Normal value of titratable acids excretio [mEq/min]n"
                                              annotation (Placement(
          transformation(extent={{-106,34},{-66,74}}), iconTransformation(
            extent={{-106,71},{-88,89}})));
    Library.Constant TPHU1(Const=300)
      annotation (Placement(transformation(extent={{-68,86},{-54,100}})));
    Library.Constant K1(Const=0.001)
      annotation (Placement(transformation(extent={{-82,-94},{-68,-80}})));
    Library.Constant K2(Const=0.009)
      annotation (Placement(transformation(extent={{-30,-100},{-16,-86}})));
    Library.Constant TPHA1(Const=200)
      annotation (Placement(transformation(extent={{-66,68},{-52,82}})));
    PHUCaculationInverse pHUCaculationInverse
      annotation (Placement(transformation(extent={{-50,-78},{38,10}})));
  equation
    connect(Ald, product.u1) annotation (Line(
        points={{-88,-64},{-44,-64},{-44,-72.8},{-39.4,-72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add.u1) annotation (Line(
        points={{-23.3,-77},{-9.65,-77},{-9.65,-78.4},{4.8,-78.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA, YTA) annotation (Line(
        points={{94,72},{94,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YTA1, add1.u1) annotation (Line(
        points={{47.67,81.5},{55.005,81.5},{55.005,75.6},{62.8,75.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, YTA) annotation (Line(
        points={{76.6,72},{94,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, add1.u2) annotation (Line(
        points={{18.6,-82},{60,-82},{60,68.4},{62.8,68.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YNH4, YNH4) annotation (Line(
        points={{48.65,63.86},{64.475,63.86},{64.475,48},{94,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.PHA, PHA) annotation (Line(
        points={{-32.69,39.36},{-52.535,39.36},{-52.535,31},{-88,31}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, renalDistalAcidification.YTA1) annotation (Line(
        points={{94,90},{56,90},{56,81.5},{47.67,81.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(PHU, PHU) annotation (Line(
        points={{92,-30},{92,-30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(K2.y, add.u2) annotation (Line(
        points={{-11.73,-92.93},{0,-92.93},{0,-85.6},{4.8,-85.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(K1.y, product.u2) annotation (Line(
        points={{-63.73,-86.93},{-48,-86.93},{-48,-81.2},{-39.4,-81.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YNH40, YNH40) annotation (Line(
        points={{-32.69,65.82},{-70,65.82},{-70,84},{-96,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHA1.y, renalDistalAcidification.TPHA1) annotation (Line(
        points={{-47.73,75.07},{-40.865,75.07},{-40.865,77.58},{-32.69,77.58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(TPHU1.y, renalDistalAcidification.TPHU1) annotation (Line(
        points={{-49.73,93.07},{-42.865,93.07},{-42.865,89.34},{-32.69,89.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(YTA0, renalDistalAcidification.YTA0) annotation (Line(
        points={{-86,54},{-59.345,54},{-59.345,53.08},{-32.69,53.08}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculationInverse.PHU, renalDistalAcidification.PHU) annotation (
       Line(
        points={{31.84,-31.36},{52,-31.36},{52,14},{-46,14},{-46,24.66},{-32.69,
            24.66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculationInverse.PHU, PHU) annotation (Line(
        points={{31.84,-31.36},{76,-31.36},{76,-30},{92,-30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPO4, pHUCaculationInverse.YPO4) annotation (Line(
        points={{-94,-18},{-56,-18},{-56,8},{-17.88,8},{-17.88,-3.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG, pHUCaculationInverse.YORG) annotation (Line(
        points={{-96,10},{12.04,10},{12.04,-2.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculationInverse.PHA, PHA) annotation (Line(
        points={{0.16,-54.24},{0.16,-70},{-18,-70},{-18,-60},{-64,-60},{-64,31},
            {-88,31}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculationInverse.YTA, add1.y) annotation (Line(
        points={{-39.44,-31.36},{-54,-31.36},{-54,12},{80,12},{80,72},{76.6,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Text(
            extent={{6,-80},{74,-76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA=0.001*Ald+0.009+YTA1")}), Icon(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{98,-96},{-96,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="acidification"),
          Text(
            extent={{-92,20},{-32,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-94,-6},{-36,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-90,-30},{-40,-14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-94,-58},{-38,-40}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Ald"),
          Text(
            extent={{34,34},{100,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{22,4},{100,20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4"),
          Text(
            extent={{34,-30},{100,-16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{30,68},{100,84}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA1"),
          Text(
            extent={{60,-64},{-50,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Renal"),
          Text(
            extent={{-92,46},{-32,62}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH40"),
          Text(
            extent={{-94,72},{-34,88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA0")}));
  end RenalAcidification;

  model RenalAcidification1

    Modelica.Blocks.Interfaces.RealInput YORG
      "renal excration rate of organic acid [mmol/min]"
                                              annotation (Placement(
          transformation(extent={{-110,-12},{-70,28}}),iconTransformation(
            extent={{-104,19},{-86,37}})));
    Modelica.Blocks.Interfaces.RealInput YPO4
      "renal excration rate of phosphate [mmol/min]"
                                              annotation (Placement(
          transformation(extent={{-110,-44},{-70,-4}}),iconTransformation(
            extent={{-104,-7},{-86,11}})));
    Modelica.Blocks.Interfaces.RealInput PHA "pH of arterial blood"
                                             annotation (Placement(
          transformation(extent={{-108,11},{-68,51}}),  iconTransformation(
            extent={{-104,-33},{-86,-15}})));
    Modelica.Blocks.Interfaces.RealInput Ald(unit="1") "effect of aldosterone"
                                             annotation (Placement(
          transformation(extent={{-108,-84},{-68,-44}}), iconTransformation(
            extent={{-104,-57},{-86,-39}})));
    Modelica.Blocks.Interfaces.RealOutput YTA
      "renal excration rate of titratable acid(default=0.0168) [mEq/min]"
                                              annotation (Placement(
          transformation(extent={{84,62},{104,82}}), iconTransformation(extent={{90,31},
              {108,49}})));
    Modelica.Blocks.Interfaces.RealOutput YNH4
      "renal excration rate of ammonium(default=0.024) [mEq/min]"
                                               annotation (Placement(
          transformation(extent={{84,38},{104,58}}), iconTransformation(extent={{92,3},{
              110,21}})));
    Modelica.Blocks.Interfaces.RealOutput PHU "pH of urine (defautl=6)"
                                              annotation (Placement(
          transformation(extent={{82,-40},{102,-20}}), iconTransformation(
            extent={{92,-33},{110,-15}})));
    RenalDistalAcidification renalDistalAcidification
      annotation (Placement(transformation(extent={{-42,8},{56,106}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-38,-84},{-24,-70}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{6,-88},{18,-76}})));
    Modelica.Blocks.Math.Add add1
      annotation (Placement(transformation(extent={{64,66},{76,78}})));
    Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
          transformation(extent={{84,80},{104,100}}), iconTransformation(extent={{92,67},
              {110,85}})));
    IKEDA.PHUCalculation pHUCaculation
      annotation (Placement(transformation(extent={{-38,-73},{44,9}})));
    Modelica.Blocks.Interfaces.RealInput YNH40
      "Normal value of NH4 excretion [mEq/min]"
                                              annotation (Placement(
          transformation(extent={{-116,64},{-76,104}}),iconTransformation(
            extent={{-104,45},{-86,63}})));
    Modelica.Blocks.Interfaces.RealInput YTA0
      "Normal value of titratable acids excretio [mEq/min]n"
                                              annotation (Placement(
          transformation(extent={{-106,34},{-66,74}}), iconTransformation(
            extent={{-106,71},{-88,89}})));
    Library.Constant TPHU1(Const=300)
      annotation (Placement(transformation(extent={{-68,86},{-54,100}})));
    Library.Constant K1(Const=0.001)
      annotation (Placement(transformation(extent={{-82,-94},{-68,-80}})));
    Library.Constant K2(Const=0.009)
      annotation (Placement(transformation(extent={{-30,-100},{-16,-86}})));
    Library.Constant TPHA1(Const=200)
      annotation (Placement(transformation(extent={{-66,68},{-52,82}})));
  equation
    connect(Ald, product.u1) annotation (Line(
        points={{-88,-64},{-44,-64},{-44,-72.8},{-39.4,-72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add.u1) annotation (Line(
        points={{-23.3,-77},{-9.65,-77},{-9.65,-78.4},{4.8,-78.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA, YTA) annotation (Line(
        points={{94,72},{94,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YTA1, add1.u1) annotation (Line(
        points={{47.67,81.5},{55.005,81.5},{55.005,75.6},{62.8,75.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, YTA) annotation (Line(
        points={{76.6,72},{94,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, add1.u2) annotation (Line(
        points={{18.6,-82},{60,-82},{60,68.4},{62.8,68.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YNH4, YNH4) annotation (Line(
        points={{48.65,63.86},{64.475,63.86},{64.475,48},{94,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.PHA, PHA) annotation (Line(
        points={{-32.69,39.36},{-52.535,39.36},{-52.535,31},{-88,31}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, renalDistalAcidification.YTA1) annotation (Line(
        points={{94,90},{56,90},{56,81.5},{47.67,81.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculation.YTA, add1.y) annotation (Line(
        points={{-28.16,-29.54},{-44,-29.54},{-44,14},{80,14},{80,72},{76.6,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(YPO4, pHUCaculation.YPO4) annotation (Line(
        points={{-90,-24},{-60,-24},{-60,6},{-8.07,6},{-8.07,-3.71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG, pHUCaculation.YORG) annotation (Line(
        points={{-90,8},{19.81,8},{19.81,-2.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculation.PHA, PHA) annotation (Line(
        points={{8.74,-50.86},{8.74,-60},{-66,-60},{-66,31},{-88,31}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculation.PHU, PHU) annotation (Line(
        points={{38.26,-29.54},{60.13,-29.54},{60.13,-30},{92,-30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.PHU, PHU) annotation (Line(
        points={{-32.69,24.66},{-56,24.66},{-56,16},{74,16},{74,-30},{92,-30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(PHU, PHU) annotation (Line(
        points={{92,-30},{92,-30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(K2.y, add.u2) annotation (Line(
        points={{-11.73,-92.93},{0,-92.93},{0,-85.6},{4.8,-85.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(K1.y, product.u2) annotation (Line(
        points={{-63.73,-86.93},{-48,-86.93},{-48,-81.2},{-39.4,-81.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalDistalAcidification.YNH40, YNH40) annotation (Line(
        points={{-32.69,65.82},{-70,65.82},{-70,84},{-96,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHA1.y, renalDistalAcidification.TPHA1) annotation (Line(
        points={{-47.73,75.07},{-40.865,75.07},{-40.865,77.58},{-32.69,77.58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(TPHU1.y, renalDistalAcidification.TPHU1) annotation (Line(
        points={{-49.73,93.07},{-42.865,93.07},{-42.865,89.34},{-32.69,89.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(YTA0, renalDistalAcidification.YTA0) annotation (Line(
        points={{-86,54},{-59.345,54},{-59.345,53.08},{-32.69,53.08}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Text(
            extent={{6,-80},{74,-76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA=0.001*Ald+0.009+YTA1")}), Icon(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{98,-96},{-96,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="acidification"),
          Text(
            extent={{-92,20},{-32,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-94,-6},{-36,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-90,-30},{-40,-14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-94,-58},{-38,-40}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Ald"),
          Text(
            extent={{34,34},{100,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{22,4},{100,20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4"),
          Text(
            extent={{34,-30},{100,-16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{30,68},{100,84}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA1"),
          Text(
            extent={{60,-64},{-50,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Renal"),
          Text(
            extent={{-92,46},{-32,62}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH40"),
          Text(
            extent={{-94,72},{-34,88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA0")}));
  end RenalAcidification1;

  model RenalDistalAcidification

    Modelica.Blocks.Interfaces.RealInput TPHU1 annotation (Placement(
          transformation(extent={{-102,-98},{-82,-78}}),
                                                      iconTransformation(extent={{
              -90,57},{-72,75}})));
    Modelica.Blocks.Interfaces.RealInput YNH40 annotation (Placement(
          transformation(extent={{-104,-38},{-84,-18}}),iconTransformation(extent={{-90,9},
              {-72,27}})));
    Modelica.Blocks.Interfaces.RealInput YTA0 annotation (Placement(
          transformation(extent={{-100,66},{-80,86}}),  iconTransformation(extent={{-90,-17},
              {-72,1}})));
    Modelica.Blocks.Interfaces.RealInput TPHA1 annotation (Placement(
          transformation(extent={{-100,13},{-82,31}}),  iconTransformation(extent={{-90,33},
              {-72,51}})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
            extent={{-108,32},{-76,64}}),   iconTransformation(extent={{-90,-45},
              {-72,-27}})));
    Modelica.Blocks.Interfaces.RealInput PHU annotation (Placement(transformation(
            extent={{-110,-70},{-76,-36}}),  iconTransformation(extent={{-90,-75},
              {-72,-57}})));
    Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
          transformation(extent={{90,28},{110,48}}),iconTransformation(extent={{74,
              41},{92,59}})));
    Modelica.Blocks.Interfaces.RealOutput YNH4 annotation (Placement(
          transformation(extent={{72,-60},{92,-40}}),
                                                    iconTransformation(extent={{76,
              5},{94,23}})));

    Modelica.Blocks.Continuous.Integrator integrator(y_start=6.0, k=1)
      annotation (Placement(transformation(extent={{-26,-78},{-12,-64}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-66,-78},{-52,-64}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{12,-72},{24,-60}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-44,-76},{-34,-66}})));
    Modelica.Blocks.Sources.Constant const(k=-0.5)
      annotation (Placement(transformation(extent={{-6,-60},{2,-52}})));
    Modelica.Blocks.Math.Add add1(k2=+1)
      annotation (Placement(transformation(extent={{33,-61},{47,-47}})));
    Modelica.Blocks.Sources.Constant const1(k=4)
      annotation (Placement(transformation(extent={{13,-53},{21,-45}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{56,-56},{68,-44}})));
    Modelica.Blocks.Continuous.Integrator integrator2(k=1, y_start=7.4)
      annotation (Placement(transformation(extent={{-14,18},{0,32}})));
    Modelica.Blocks.Math.Division division2
      annotation (Placement(transformation(extent={{-34,20},{-24,30}})));
    Modelica.Blocks.Math.Add add3(k2=-1)
      annotation (Placement(transformation(extent={{-58,28},{-44,42}})));
    F63 f63   annotation (Placement(transformation(extent={{44,18},{72,46}})));
  equation
    connect(integrator.y, add.u2) annotation (Line(
        points={{-11.3,-71},{2,-71},{2,-82},{-72,-82},{-72,-75.2},{-67.4,-75.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(add.y, division.u1) annotation (Line(
        points={{-51.3,-71},{-48.65,-71},{-48.65,-68},{-45,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, integrator.u) annotation (Line(
        points={{-33.5,-71},{-27.4,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u2, TPHU1) annotation (Line(
        points={{-45,-74},{-48,-74},{-48,-88},{-92,-88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, integrator.y) annotation (Line(
        points={{10.8,-69.6},{4.4,-69.6},{4.4,-71},{-11.3,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, product.u1) annotation (Line(
        points={{2.4,-56},{8,-56},{8,-62.4},{10.8,-62.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add1.u2) annotation (Line(
        points={{24.6,-66},{30,-66},{30,-58.2},{31.6,-58.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, product1.u2) annotation (Line(
        points={{47.7,-54},{51.75,-54},{51.75,-53.6},{54.8,-53.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH40, product1.u1) annotation (Line(
        points={{-94,-28},{51.5,-28},{51.5,-46.4},{54.8,-46.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.u1, const1.y) annotation (Line(
        points={{31.6,-49.8},{27.8,-49.8},{27.8,-49},{21.4,-49}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH4, YNH4) annotation (Line(
        points={{82,-50},{82,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, YNH4) annotation (Line(
        points={{68.6,-50},{82,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, PHU) annotation (Line(
        points={{-67.4,-66.8},{-73.7,-66.8},{-73.7,-53},{-93,-53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHA1, division2.u2) annotation (Line(
        points={{-91,22},{-35,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division2.y, integrator2.u) annotation (Line(
        points={{-23.5,25},{-15.4,25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator2.y, add3.u2) annotation (Line(
        points={{0.7,25},{12,25},{12,6},{-66,6},{-66,30.8},{-59.4,30.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.u1, PHA) annotation (Line(
        points={{-59.4,39.2},{-68.7,39.2},{-68.7,48},{-92,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.y, division2.u1) annotation (Line(
        points={{-43.3,35},{-39.65,35},{-39.65,28},{-35,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, YTA1) annotation (Line(
        points={{100,38},{100,38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator2.y, f63.PHA1)   annotation (Line(
        points={{0.7,25},{12,25},{12,34.8},{41.76,34.8}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(YTA0, f63.YTA0)   annotation (Line(
        points={{-90,76},{20,76},{20,43.2},{41.76,43.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f63.YTA1, YTA1)   annotation (Line(
        points={{74.24,34.31},{84.12,34.31},{84.12,38},{100,38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f63.PHU1, PHU) annotation (Line(
        points={{41.76,27.24},{24,27.24},{24,-20},{-74,-20},{-74,-53},{-93,-53}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));

    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-74,60},{-38,70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="TPHU1"),
          Text(
            extent={{-74,14},{-36,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH40"),
          Text(
            extent={{-72,-14},{-42,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA0"),
          Text(
            extent={{-72,36},{-38,46}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="TPHA1"),
          Text(
            extent={{-70,-40},{-42,-30}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-72,-70},{-42,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{36,42},{68,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA1"),
          Text(
            extent={{38,6},{78,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4"),
          Text(
            extent={{-68,4},{68,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Distal"),
          Text(
            extent={{-92,-26},{92,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="renal"),
          Text(
            extent={{-86,-58},{98,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="acidification")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics={
          Text(
            extent={{-18,-66},{8,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU1"),
          Text(
            extent={{-6,30},{20,26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA1"),
          Text(
            extent={{38,-66},{84,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4=YNH0*(-0.5*PHU1+4)"),
          Text(
            extent={{-66,-52},{-20,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="der(PHU1)=(PHU-PHU1)/TPHU1"),
          Text(
            extent={{-42,44},{4,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="der(PHA1)=PHA-PHA1)/TPHA1")}),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end RenalDistalAcidification;

  model testReanalAcidification1
    RenalAcidification renalAcidification
      annotation (Placement(transformation(extent={{-28,-93},{72,7}})));
    Modelica.Blocks.Sources.Constant YORG(k=0.01)
      annotation (Placement(transformation(extent={{-96,67},{-76,87}})));
    Modelica.Blocks.Sources.Constant YPO4(k=0.025)
      annotation (Placement(transformation(extent={{-96,17},{-76,37}})));
    Modelica.Blocks.Sources.Constant PHA(k=7.4)
      annotation (Placement(transformation(extent={{-96,-24},{-76,-4}})));
    Modelica.Blocks.Sources.Constant Ald(k=1)
      annotation (Placement(transformation(extent={{-92,-70},{-72,-50}})));
    STPG sTPG annotation (Placement(transformation(extent={{-40,32},{72,116}})));
    Library.Constant YNH0(Const=0.024)
      annotation (Placement(transformation(extent={{-52,-20},{-42,-10}})));
    Library.Constant YTA0(Const=0.0068)
      annotation (Placement(transformation(extent={{-56,-6},{-44,6}})));
  equation
    connect(YPO4.y, renalAcidification.YPO4) annotation (Line(
        points={{-75,27},{-66.5,27},{-66.5,-42},{-25.5,-42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG.y, renalAcidification.YORG) annotation (Line(
        points={{-75,77},{-62,77},{-62,-29},{-25.5,-29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA.y, renalAcidification.PHA) annotation (Line(
        points={{-75,-14},{-53.25,-14},{-53.25,-55},{-25.5,-55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Ald.y, renalAcidification.Ald) annotation (Line(
        points={{-71,-60},{-64,-60},{-64,-67},{-25.5,-67}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalAcidification.YTA, sTPG.YTA) annotation (Line(
        points={{71.5,-23},{88,-23},{88,10},{-38,10},{-38,49.64},{-29.36,49.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sTPG.PHA, PHA.y) annotation (Line(
        points={{-30.48,67.28},{-60,67.28},{-60,-8},{-68,-8},{-68,-14},{-75,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(sTPG.YORG, YORG.y) annotation (Line(
        points={{-29.36,100.04},{-62,100.04},{-62,77},{-75,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sTPG.YPO4, YPO4.y) annotation (Line(
        points={{-29.36,84.08},{-66,84.08},{-66,27},{-75,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH0.y, renalAcidification.YNH40) annotation (Line(
        points={{-38.95,-14.95},{-33.475,-14.95},{-33.475,-16},{-25.5,-16}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YTA0.y, renalAcidification.YTA0) annotation (Line(
        points={{-40.34,0.06},{-34.17,0.06},{-34.17,-3},{-26.5,-3}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end testReanalAcidification1;

  model NatriumRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XNE annotation (Placement(
          transformation(extent={{-106,58},{-66,98}}), iconTransformation(
            extent={{-108,74},{-88,94}})));
    Modelica.Blocks.Interfaces.RealInput GFR1 annotation (Placement(
          transformation(extent={{-106,32},{-66,72}}), iconTransformation(
            extent={{-110,44},{-90,64}})));
    Modelica.Blocks.Interfaces.RealInput ALD annotation (Placement(
          transformation(extent={{-106,2},{-66,42}}), iconTransformation(extent={{-114,16},
              {-94,36}})));
    Modelica.Blocks.Interfaces.RealInput YCO3 annotation (Placement(
          transformation(extent={{-106,-26},{-66,14}}), iconTransformation(
            extent={{-112,-14},{-92,6}})));
    Modelica.Blocks.Interfaces.RealInput YTA1 annotation (Placement(
          transformation(extent={{-106,-56},{-66,-16}}), iconTransformation(
            extent={{-112,-52},{-92,-32}})));
    Modelica.Blocks.Interfaces.RealOutput YNU annotation (Placement(
          transformation(extent={{80,-74},{100,-54}}), iconTransformation(
            extent={{90,0},{110,20}})));
    Modelica.Blocks.Interfaces.RealOutput YNH annotation (Placement(
          transformation(extent={{76,78},{96,98}}), iconTransformation(extent={{88,32},
              {108,52}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-50,58},{-36,72}})));
    Modelica.Blocks.Sources.Constant HLO(k=0.5)
      annotation (Placement(transformation(extent={{-48,86},{-38,96}})));
    Modelica.Blocks.Sources.Constant DTO(k=0.9)
      annotation (Placement(transformation(extent={{-4,70},{6,80}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-24,58},{-10,72}})));
    Modelica.Blocks.Interfaces.RealOutput YND annotation (Placement(
          transformation(extent={{80,36},{100,56}}), iconTransformation(extent={{90,74},
              {110,94}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{16,56},{30,70}})));
    Modelica.Blocks.Sources.Constant AldR(k=0.09)
      annotation (Placement(transformation(extent={{-70,38},{-60,48}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{-42,32},{-28,46}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{40,40},{54,54}})));
    Modelica.Blocks.Interfaces.RealInput YNH4 annotation (Placement(
          transformation(extent={{-106,-88},{-66,-48}}), iconTransformation(
            extent={{-112,-94},{-92,-74}})));
    Modelica.Blocks.Math.Add3 add3_1(k1=-1)
      annotation (Placement(transformation(extent={{-42,-24},{-22,-4}})));
    Modelica.Blocks.Sources.Constant Zero(k=0)
      annotation (Placement(transformation(extent={{-36,-40},{-26,-30}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{32,-26},{52,-6}})));
    Modelica.Blocks.Logical.Greater greater
      annotation (Placement(transformation(extent={{-2,-26},{18,-6}})));
    Modelica.Blocks.Sources.Constant CDOF(k=0.116)
      annotation (Placement(transformation(extent={{38,14},{48,24}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{72,20},{86,34}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{75,-23},{89,-9}})));
    Modelica.Blocks.Logical.Greater greater1
      annotation (Placement(transformation(extent={{0,-74},{20,-54}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{36,-74},{56,-54}})));
  equation
    connect(product.u1, XNE) annotation (Line(
        points={{-51.4,69.2},{-59.7,69.2},{-59.7,78},{-86,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, GFR1) annotation (Line(
        points={{-51.4,60.8},{-59.7,60.8},{-59.7,52},{-86,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, product1.u2) annotation (Line(
        points={{-35.3,65},{-30.65,65},{-30.65,60.8},{-25.4,60.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.u1, HLO.y) annotation (Line(
        points={{-25.4,69.2},{-34,69.2},{-34,91},{-37.5,91}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, product2.u2) annotation (Line(
        points={{-9.3,65},{-4.65,65},{-4.65,58.8},{14.6,58.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.u1, DTO.y) annotation (Line(
        points={{14.6,67.2},{10,67.2},{10,75},{6.5,75}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.u1, AldR.y) annotation (Line(
        points={{-43.4,43.2},{-48,43.2},{-48,43},{-59.5,43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.u2, ALD) annotation (Line(
        points={{-43.4,34.8},{-48.7,34.8},{-48.7,22},{-86,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, product2.y) annotation (Line(
        points={{38.6,51.2},{34,51.2},{34,63},{30.7,63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.y, add.u2) annotation (Line(
        points={{-27.3,39},{4.35,39},{4.35,42.8},{38.6,42.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH4, add3_1.u3) annotation (Line(
        points={{-86,-68},{-58,-68},{-58,-22},{-44,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, add3_1.u2) annotation (Line(
        points={{-86,-36},{-62,-36},{-62,-14},{-44,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, add3_1.u1) annotation (Line(
        points={{-86,-6},{-44,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.y, greater.u1) annotation (Line(
        points={{-21,-14},{-14,-14},{-14,-16},{-4,-16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greater.u2, Zero.y) annotation (Line(
        points={{-4,-24},{-16,-24},{-16,-35},{-25.5,-35}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u3, Zero.y) annotation (Line(
        points={{30,-24},{24,-24},{24,-35},{-25.5,-35}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u2, greater.y) annotation (Line(
        points={{30,-16},{19,-16}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, add3_1.y) annotation (Line(
        points={{30,-8},{22,-8},{22,-2},{-14,-2},{-14,-14},{-21,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YND, add.y) annotation (Line(
        points={{90,46},{60,46},{60,47},{54.7,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH, product1.y) annotation (Line(
        points={{86,88},{-6,88},{-6,65},{-9.3,65}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CDOF.y, product4.u2) annotation (Line(
        points={{48.5,19},{55.25,19},{55.25,22.8},{70.6,22.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.u1, add.y) annotation (Line(
        points={{70.6,31.2},{60,31.2},{60,47},{54.7,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, add1.u2) annotation (Line(
        points={{53,-16},{58,-16},{58,-20.2},{73.6,-20.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.u1, product4.y) annotation (Line(
        points={{73.6,-11.8},{60,-11.8},{60,6},{90,6},{90,27},{86.7,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greater1.u2, Zero.y) annotation (Line(
        points={{-2,-72},{-16,-72},{-16,-35},{-25.5,-35}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greater1.y, switch2.u2) annotation (Line(
        points={{21,-64},{34,-64}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.u1, add1.y) annotation (Line(
        points={{34,-56},{30,-56},{30,-42},{92,-42},{92,-16},{89.7,-16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.y, YNU) annotation (Line(
        points={{57,-64},{90,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greater1.u1, add1.y) annotation (Line(
        points={{-2,-64},{-12,-64},{-12,-42},{92,-42},{92,-16},{89.7,-16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.u3, Zero.y) annotation (Line(
        points={{34,-72},{22,-72},{22,-78},{-16,-78},{-16,-35},{-25.5,-35}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-24,76},{-108,88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XNE"),
          Text(
            extent={{-22,48},{-110,60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR1"),
          Text(
            extent={{-42,18},{-98,30}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ALD"),
          Text(
            extent={{-38,-10},{-98,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3"),
          Text(
            extent={{-40,-48},{-98,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA1"),
          Text(
            extent={{90,6},{50,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNU"),
          Text(
            extent={{92,36},{44,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH"),
          Text(
            extent={{100,78},{44,88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND"),
          Text(
            extent={{-40,-88},{-100,-76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4"),
          Text(
            extent={{-58,-18},{68,-46}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-58,-50},{76,-80}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-54,10},{70,-18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Sodium")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={
          Text(
            extent={{-8,96},{46,90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH=XNE*GFR1*0.5"),
          Text(
            extent={{-20,64},{34,58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH"),
          Text(
            extent={{32,74},{86,68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND=YNH*0.9-ALD*0.09"),
          Text(
            extent={{-30,12},{44,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="THEN YNOD=YTA+YNH4-YCO3 "),
          Text(
            extent={{-42,18},{18,12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (YTA1+YNH4-YCO3)>0"),
          Text(
            extent={{-62,6},{16,0}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ELSE YNOD=0"),
          Text(
            extent={{34,-84},{100,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="THEN YNU=YND*0.116-YNOD "),
          Text(
            extent={{16,-79},{82,-85}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (YND*0.116-YNOD)>0 "),
          Text(
            extent={{4,-89},{70,-95}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ELSE YNU=0 "),
          Text(
            extent={{38,38},{92,32}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND"),
          Text(
            extent={{26,-37},{92,-43}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND*0.116-YNOD "),
          Text(
            extent={{38,-14},{92,-20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNOD"),
          Text(
            extent={{38,11},{104,5}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND*0.116")}));
  end NatriumRenalExcretion;

  model PotassiumRenalExcretion
    Modelica.Blocks.Interfaces.RealInput GFR1 annotation (Placement(
          transformation(extent={{-110,22},{-70,62}}), iconTransformation(
            extent={{-108,2},{-88,22}})));
    Modelica.Blocks.Interfaces.RealInput XKE annotation (Placement(
          transformation(extent={{-108,-14},{-68,26}}), iconTransformation(
            extent={{-108,54},{-88,74}})));
    Modelica.Blocks.Interfaces.RealInput ALD annotation (Placement(
          transformation(extent={{-112,-60},{-72,-20}}), iconTransformation(
            extent={{-106,-46},{-86,-26}})));
    Modelica.Blocks.Interfaces.RealOutput YKD annotation (Placement(
          transformation(extent={{82,32},{102,52}}), iconTransformation(extent={{94,38},
              {114,58}})));
    Modelica.Blocks.Interfaces.RealOutput YKU annotation (Placement(
          transformation(extent={{82,-10},{102,10}}), iconTransformation(extent={{92,-16},
              {112,4}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-56,18},{-42,32}})));
    Modelica.Blocks.Sources.Constant HLO(k=0.5)
      annotation (Placement(transformation(extent={{-52,44},{-42,54}})));
    Modelica.Blocks.Math.Add add(k2=+1)
      annotation (Placement(transformation(extent={{32,8},{46,22}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-30,30},{-16,44}})));
    Modelica.Blocks.Sources.Constant DTO(k=0.9)
      annotation (Placement(transformation(extent={{-14,54},{-4,64}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{4,38},{18,52}})));
    Modelica.Blocks.Sources.Constant AldK(k=0.018)
      annotation (Placement(transformation(extent={{-82,-22},{-72,-12}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{-44,-16},{-30,-2}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{-18,-30},{-4,-16}})));
    Modelica.Blocks.Math.Product product5
      annotation (Placement(transformation(extent={{58,-7},{72,7}})));
    Modelica.Blocks.Sources.Constant CDO(k=0.39)
      annotation (Placement(transformation(extent={{34,-14},{44,-4}})));
  equation
    connect(product1.u2, product.y) annotation (Line(
        points={{-31.4,32.8},{-38.7,32.8},{-38.7,25},{-41.3,25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(HLO.y, product1.u1) annotation (Line(
        points={{-41.5,49},{-38,49},{-38,41.2},{-31.4,41.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.u2, product1.y) annotation (Line(
        points={{2.6,40.8},{-2.7,40.8},{-2.7,37},{-15.3,37}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DTO.y, product2.u1) annotation (Line(
        points={{-3.5,59},{0,59},{0,49.2},{2.6,49.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u1, GFR1) annotation (Line(
        points={{-57.4,29.2},{-64,29.2},{-64,42},{-90,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, XKE) annotation (Line(
        points={{-57.4,20.8},{-64,20.8},{-64,6},{-88,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(AldK.y, product3.u2) annotation (Line(
        points={{-71.5,-17},{-61.75,-17},{-61.75,-13.2},{-45.4,-13.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.u1, XKE) annotation (Line(
        points={{-45.4,-4.8},{-64,-4.8},{-64,6},{-88,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.y, product4.u1) annotation (Line(
        points={{-29.3,-9},{-24,-9},{-24,-18.8},{-19.4,-18.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ALD, product4.u2) annotation (Line(
        points={{-92,-40},{-24,-40},{-24,-27.2},{-19.4,-27.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, product2.y) annotation (Line(
        points={{30.6,19.2},{22,19.2},{22,45},{18.7,45}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.y, add.u2) annotation (Line(
        points={{-3.3,-23},{22,-23},{22,10.8},{30.6,10.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product5.u1) annotation (Line(
        points={{46.7,15},{51.35,15},{51.35,4.2},{56.6,4.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKD, add.y) annotation (Line(
        points={{92,42},{52,42},{52,15},{46.7,15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CDO.y, product5.u2) annotation (Line(
        points={{44.5,-9},{52,-9},{52,-4.2},{56.6,-4.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product5.y, YKU) annotation (Line(
        points={{72.7,8.88178e-016},{82,8.88178e-016},{82,0},{92,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{66,-48},{-56,-2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Potassium"),
          Text(
            extent={{-54,6},{-92,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR1"),
          Text(
            extent={{-56,58},{-84,70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XKE"),
          Text(
            extent={{-60,-42},{-86,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ALD"),
          Text(
            extent={{82,-14},{56,0}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKU"),
          Text(
            extent={{90,40},{56,54}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKD"),
          Text(
            extent={{-64,-34},{74,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-68,-64},{72,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={
          Text(
            extent={{24,58},{86,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKD=YNH*0.9+ALD*0.018*XKE"),
          Text(
            extent={{-72,66},{-24,60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKH=GFR1*XKE*0.5"),
          Text(
            extent={{-32,42},{16,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKH"),
          Text(
            extent={{42,-10},{104,-16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKU=0.39*YKD")}));
  end PotassiumRenalExcretion;

  model ProximalTubuleOutflow
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,12},{-66,52}}), iconTransformation(
            extent={{-108,54},{-88,74}})));
    Modelica.Blocks.Interfaces.RealInput THDF annotation (Placement(
          transformation(extent={{-106,-18},{-66,22}}), iconTransformation(
            extent={{-110,-4},{-90,16}})));
    Modelica.Blocks.Interfaces.RealInput CPR annotation (Placement(
          transformation(extent={{-128,-88},{-88,-48}}), iconTransformation(
            extent={{-108,-68},{-88,-48}})));
    Modelica.Blocks.Interfaces.RealOutput GFR1 annotation (Placement(
          transformation(extent={{74,-16},{94,4}}), iconTransformation(extent={{92,12},
              {112,32}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-48,8},{-28,28}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-12,-16},{8,4}})));
  equation
    connect(product.u1, GFR) annotation (Line(
        points={{-50,24},{-58,24},{-58,32},{-86,32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, THDF) annotation (Line(
        points={{-50,12},{-60,12},{-60,2},{-86,2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, product1.u1) annotation (Line(
        points={{-27,18},{-20,18},{-20,0},{-14,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CPR, product1.u2) annotation (Line(
        points={{-108,-68},{-52,-68},{-52,-12},{-14,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, GFR1) annotation (Line(
        points={{9,-6},{84,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Text(
            extent={{10,8},{72,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR1=GFR*THDF*CPR")}), Icon(coordinateSystem(
            preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
          graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{62,26},{-64,60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Proximal"),
          Text(
            extent={{-36,58},{-104,70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{-40,2},{-102,14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="THDF"),
          Text(
            extent={{-46,-66},{-100,-54}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="CPR"),
          Text(
            extent={{110,14},{40,26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR1"),
          Text(
            extent={{62,-2},{-80,34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString=" tubule"),
          Text(
            extent={{64,-34},{-72,4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="outflow")}));
  end ProximalTubuleOutflow;

  model Diuresis

    Modelica.Blocks.Interfaces.RealOutput QWU annotation (Placement(
          transformation(extent={{82,-66},{102,-46}}), iconTransformation(extent={{92,8},{
              112,28}})));
    Modelica.Blocks.Interfaces.RealInput ADH annotation (Placement(transformation(
            extent={{-108,-107},{-74,-73}}), iconTransformation(extent={{-110,74},
              {-90,94}})));
    Modelica.Blocks.Interfaces.RealInput OSMP annotation (Placement(
          transformation(extent={{-106,-72},{-74,-40}}), iconTransformation(
            extent={{-110,44},{-90,64}})));
    Modelica.Blocks.Interfaces.RealInput YGLU annotation (Placement(
          transformation(extent={{-106,66},{-74,98}}), iconTransformation(extent={{-110,18},
              {-90,38}})));
    Modelica.Blocks.Interfaces.RealInput YURU annotation (Placement(
          transformation(extent={{-106,44},{-74,76}}), iconTransformation(extent={{-108,-8},
              {-88,12}})));
    Modelica.Blocks.Interfaces.RealInput YMNU annotation (Placement(
          transformation(extent={{-108,20},{-74,54}}), iconTransformation(extent={{-108,
              -34},{-88,-14}})));
    Modelica.Blocks.Interfaces.RealInput YKD annotation (Placement(transformation(
            extent={{-106,-4},{-74,28}}), iconTransformation(extent={{-108,-64},
              {-88,-44}})));
    Modelica.Blocks.Interfaces.RealInput YND annotation (Placement(transformation(
            extent={{-106,-28},{-74,4}}), iconTransformation(extent={{-108,-94},
              {-88,-74}})));
    Modelica.Blocks.Math.Add3 add3_1
      annotation (Placement(transformation(extent={{-54,64},{-34,84}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{-56,-10},{-36,10}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-24,-4},{-4,16}})));
    Modelica.Blocks.Sources.Constant const(k=1.86)
      annotation (Placement(transformation(extent={{-50,22},{-38,34}})));
    Modelica.Blocks.Math.Add3 add3_2
      annotation (Placement(transformation(extent={{10,-4},{30,16}})));
    Modelica.Blocks.Sources.Constant const1(k=0.32)
      annotation (Placement(transformation(extent={{-24,-20},{-12,-8}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-58,-60},{-38,-40}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-58,-94},{-38,-74}})));
    Modelica.Blocks.Sources.Constant const2(k=0.9)
      annotation (Placement(transformation(extent={{-78,-84},{-66,-72}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-26,-88},{-6,-68}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{4,-66},{24,-46}})));
  equation
    connect(YGLU, add3_1.u1) annotation (Line(
        points={{-90,82},{-56,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YURU, add3_1.u2) annotation (Line(
        points={{-90,60},{-68,60},{-68,74},{-56,74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNU, add3_1.u3) annotation (Line(
        points={{-91,37},{-64,37},{-64,66},{-56,66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKD, add.u1) annotation (Line(
        points={{-90,12},{-66,12},{-66,6},{-58,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YND, add.u2) annotation (Line(
        points={{-90,-12},{-66,-12},{-66,-6},{-58,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product.u2) annotation (Line(
        points={{-35,0},{-26,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, product.u1) annotation (Line(
        points={{-37.4,28},{-32,28},{-32,12},{-26,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add3_2.u2) annotation (Line(
        points={{-3,6},{8,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.y, add3_2.u1) annotation (Line(
        points={{-33,74},{0,74},{0,14},{8,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const1.y, add3_2.u3) annotation (Line(
        points={{-11.4,-14},{2,-14},{2,-2},{8,-2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_2.y, division.u1) annotation (Line(
        points={{31,6},{92,6},{92,-26},{-80,-26},{-80,-44},{-60,-44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(OSMP, division.u2) annotation (Line(
        points={{-90,-56},{-60,-56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ADH, product1.u2) annotation (Line(
        points={{-91,-90},{-60,-90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const2.y, product1.u1) annotation (Line(
        points={{-65.4,-78},{-60,-78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, product2.u2) annotation (Line(
        points={{-37,-84},{-28,-84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, add1.u1) annotation (Line(
        points={{-37,-50},{2,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, add1.u2) annotation (Line(
        points={{-5,-78},{-2,-78},{-2,-62},{2,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.u1, division.y) annotation (Line(
        points={{-28,-72},{-34,-72},{-34,-50},{-37,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, QWU) annotation (Line(
        points={{25,-56},{92,-56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Text(
            extent={{-8,12},{90,-48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString=
                "Calculation of Distal tubule osmotic mass flow (DTOMF) "),
          Text(
            extent={{-8,-6},{84,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="DTOMF=YGLU+YURU+YMNU+(YKD+YND)*1.86 "),
          Text(
            extent={{-52,-45},{4,-50}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="QWD"),
          Text(
            extent={{-68,-26},{6,-40}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Calculation of Distal tubule flow (QWD) "),
          Text(
            extent={{-98,-39},{-42,-44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="DTOMF"),
          Text(
            extent={{-44,-37},{12,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="QWD=DTOMF/OSMP"),
          Text(
            extent={{24,-51},{80,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="QWU=QWD-QWD*0.9*ALD")}), Icon(coordinateSystem(
            preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
          graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{72,-74},{-44,-58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString=""),
          Text(
            extent={{86,10},{50,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="QWU"),
          Text(
            extent={{-60,76},{-90,88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ADH"),
          Text(
            extent={{-54,46},{-90,58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="OSMP"),
          Text(
            extent={{-58,22},{-90,34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YGLU"),
          Text(
            extent={{-52,-6},{-86,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YURU"),
          Text(
            extent={{-56,-30},{-88,-18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YMNU"),
          Text(
            extent={{-52,-60},{-98,-48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKD"),
          Text(
            extent={{-56,-90},{-92,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YND"),
          Text(
            extent={{112,-42},{-82,-10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Diuresis")}));
  end Diuresis;

  model UrineOsmolarity

    Modelica.Blocks.Interfaces.RealOutput OSMU
                                              annotation (Placement(
          transformation(extent={{80,-4},{100,16}}),   iconTransformation(extent={{94,2},{
              114,22}})));
    Modelica.Blocks.Interfaces.RealInput YGLU annotation (Placement(
          transformation(extent={{-104,40},{-72,72}}), iconTransformation(extent={{-106,74},
              {-86,94}})));
    Modelica.Blocks.Interfaces.RealInput YURU annotation (Placement(
          transformation(extent={{-104,18},{-72,50}}), iconTransformation(extent={{-108,48},
              {-88,68}})));
    Modelica.Blocks.Interfaces.RealInput YMNU annotation (Placement(
          transformation(extent={{-106,-6},{-72,28}}), iconTransformation(extent={{-108,22},
              {-88,42}})));
    Modelica.Blocks.Interfaces.RealInput YKU annotation (Placement(transformation(
            extent={{-104,-30},{-72,2}}), iconTransformation(extent={{-106,-10},
              {-86,10}})));
    Modelica.Blocks.Interfaces.RealInput YNU annotation (Placement(transformation(
            extent={{-104,-58},{-72,-26}}),
                                          iconTransformation(extent={{-106,-40},
              {-86,-20}})));
    Modelica.Blocks.Interfaces.RealInput QWU annotation (Placement(transformation(
            extent={{-104,-90},{-72,-58}}),
                                          iconTransformation(extent={{-110,-72},
              {-90,-52}})));
    Modelica.Blocks.Math.Add3 add3_1
      annotation (Placement(transformation(extent={{-48,24},{-28,44}})));
    Modelica.Blocks.Sources.Constant const(k=1.86)
      annotation (Placement(transformation(extent={{-44,-4},{-32,8}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{-50,-36},{-30,-16}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-18,-30},{2,-10}})));
    Modelica.Blocks.Math.Add add1
      annotation (Placement(transformation(extent={{16,2},{36,22}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{50,-4},{70,16}})));
  equation
    connect(YURU, add3_1.u2) annotation (Line(
        points={{-88,34},{-50,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLU, add3_1.u1) annotation (Line(
        points={{-88,56},{-60,56},{-60,42},{-50,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNU, add3_1.u3) annotation (Line(
        points={{-89,11},{-60,11},{-60,26},{-50,26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y,product. u1) annotation (Line(
        points={{-31.4,2},{-26,2},{-26,-14},{-20,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKU, add.u1) annotation (Line(
        points={{-88,-14},{-60,-14},{-60,-20},{-52,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, add.u2) annotation (Line(
        points={{-88,-42},{-60,-42},{-60,-32},{-52,-32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product.u2) annotation (Line(
        points={{-29,-26},{-20,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add1.u2) annotation (Line(
        points={{3,-20},{8,-20},{8,6},{14,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.y, add1.u1) annotation (Line(
        points={{-27,34},{8,34},{8,18},{14,18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, division.u1) annotation (Line(
        points={{37,12},{48,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, OSMU) annotation (Line(
        points={{71,6},{90,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QWU, division.u2) annotation (Line(
        points={{-88,-74},{40,-74},{40,0},{48,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Text(
            extent={{-52,78},{62,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="OSMU=(YGLU+YURU+YMNU+(YKD+YND)*1.86)/QWU "), Text(
            extent={{-58,70},{34,64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Calculation of urine osmolarity (OSMU)")}),
                                                 Icon(coordinateSystem(
            preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
          graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{72,-36},{-44,-20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString=""),
          Text(
            extent={{96,4},{30,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="OSMU"),
          Text(
            extent={{-42,80},{-94,92}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YGLU"),
          Text(
            extent={{-48,52},{-92,64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YURU"),
          Text(
            extent={{-46,28},{-92,40}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YMNU"),
          Text(
            extent={{-46,-6},{-100,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YKU"),
          Text(
            extent={{-48,-36},{-96,-24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNU"),
          Text(
            extent={{84,-86},{-52,-52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="osmolarity"),
          Text(
            extent={{-56,-68},{-102,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="QWU"),
          Text(
            extent={{72,-54},{-54,-20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Urine")}));
  end UrineOsmolarity;

  model STPG
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(
          transformation(extent={{-108,-16},{-68,24}}), iconTransformation(
            extent={{-92,-25},{-74,-7}})));
    Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
          transformation(extent={{-110,18},{-70,58}}), iconTransformation(
            extent={{-90,15},{-72,33}})));
    Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
          transformation(extent={{-110,56},{-70,96}}), iconTransformation(
            extent={{-90,53},{-72,71}})));
    Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(
          transformation(extent={{-108,-50},{-68,-10}}),iconTransformation(
            extent={{-90,-67},{-72,-49}})));
    Modelica.Blocks.Interfaces.RealOutput STPG
                                              annotation (Placement(
          transformation(extent={{80,10},{100,30}}),   iconTransformation(extent={{72,20},
              {92,40}})));
    Yp yp annotation (Placement(transformation(extent={{-48,-11},{8,45}})));
    Modelica.Blocks.Math.Add3 add3_1(k3=-1)
      annotation (Placement(transformation(extent={{32,10},{52,30}})));
  equation
    connect(PHA, yp.x) annotation (Line(
        points={{-88,4},{-58,4},{-58,8.04},{-40.72,8.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPO4, yp.YPO4) annotation (Line(
        points={{-90,38},{-58,38},{-58,28.76},{-40.72,28.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.u1, YORG) annotation (Line(
        points={{30,28},{12,28},{12,76},{-90,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(yp.Yp, add3_1.u2) annotation (Line(
        points={{2.4,20.36},{2,20.36},{2,20},{30,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA, add3_1.u3) annotation (Line(
        points={{-88,-30},{14,-30},{14,12},{30,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STPG, STPG) annotation (Line(
        points={{90,20},{90,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.y, STPG) annotation (Line(
        points={{53,20},{90,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Text(
            extent={{-82,-10},{82,-92}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString=
                "Calculation of phosophate and org. acid anions, unbound with hydrogen ions in urine (STPG)")}),
        Icon(coordinateSystem(preserveAspectRatio=true,  extent={{-100,-100},{
              100,100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-78,-20},{-34,-10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-76,20},{-30,30}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-78,56},{-28,66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-76,-62},{-30,-50}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{82,20},{10,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="STPG"),
          Text(
            extent={{70,-32},{-50,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="STPG")}));
  end STPG;

  model CalciumRenalExcretion

    Modelica.Blocks.Interfaces.RealInput XCAE annotation (Placement(
          transformation(extent={{-106,6},{-66,46}}), iconTransformation(extent={{-106,40},
              {-82,64}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-106,42},{-66,82}}), iconTransformation(extent={{-106,-12},
              {-82,12}})));
    Modelica.Blocks.Interfaces.RealOutput YCA
      annotation (Placement(transformation(extent={{66,30},{86,50}}),
          iconTransformation(extent={{88,8},{108,28}})));
    TresholdExcretion tresholdExcretion
      annotation (Placement(transformation(extent={{-34,-11},{38,61}})));
    Modelica.Blocks.Sources.Constant const(k=0.493)
      annotation (Placement(transformation(extent={{-82,-22},{-62,-2}})));
  equation
    connect(XCAE, tresholdExcretion.X) annotation (Line(
        points={{-86,26},{-58,26},{-58,38.68},{-26.08,38.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, tresholdExcretion.GFR) annotation (Line(
        points={{-86,62},{-58,62},{-58,48.76},{-26.08,48.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, tresholdExcretion.TRSH) annotation (Line(
        points={{-61,-12},{-46,-12},{-46,27.88},{-26.8,27.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(tresholdExcretion.EXCR, YCA) annotation (Line(
        points={{20,40.12},{50.04,40.12},{50.04,40},{76,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-98}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-38,-10},{72,-44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Calcium"),
          Text(
            extent={{-82,58},{-42,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XCAE"),
          Text(
            extent={{-86,6},{-48,-10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{46,26},{86,8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCA"),
          Text(
            extent={{-56,-34},{68,-68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-60,-58},{76,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end CalciumRenalExcretion;

  model TresholdExcretion
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-100,36},{-60,76}}), iconTransformation(
            extent={{-90,54},{-66,78}})));
    Modelica.Blocks.Interfaces.RealInput TRSH annotation (Placement(
          transformation(extent={{-100,-36},{-60,4}}), iconTransformation(
            extent={{-92,-4},{-68,20}})));
    Modelica.Blocks.Interfaces.RealOutput EXCR annotation (Placement(
          transformation(extent={{40,32},{60,52}}), iconTransformation(extent={
              {40,32},{60,52}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-46,30},{-26,50}})));
    Modelica.Blocks.Logical.LessEqual lessEqual
      annotation (Placement(transformation(extent={{-12,30},{8,50}})));
    Modelica.Blocks.Interfaces.RealInput X annotation (Placement(transformation(
            extent={{-100,4},{-60,44}}), iconTransformation(extent={{-90,26},{
              -66,50}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{24,30},{44,50}})));
    Modelica.Blocks.Sources.Constant const(k=0)
      annotation (Placement(transformation(extent={{-18,58},{2,78}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-6,-20},{14,0}})));
  equation
    connect(product.u1, GFR) annotation (Line(
        points={{-48,46},{-56,46},{-56,56},{-80,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(X, product.u2) annotation (Line(
        points={{-80,24},{-56,24},{-56,34},{-48,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, lessEqual.u1) annotation (Line(
        points={{-25,40},{-14,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TRSH, lessEqual.u2) annotation (Line(
        points={{-80,-16},{-24,-16},{-24,32},{-14,32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.y, switch1.u2) annotation (Line(
        points={{9,40},{22,40}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, switch1.u1) annotation (Line(
        points={{3,68},{12,68},{12,48},{22,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u2, TRSH) annotation (Line(
        points={{-8,-16},{-80,-16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, product.y) annotation (Line(
        points={{-8,-4},{-18,-4},{-18,40},{-25,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, switch1.u3) annotation (Line(
        points={{15,-10},{18,-10},{18,32},{22,32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, EXCR) annotation (Line(
        points={{45,40},{47.5,40},{47.5,42},{50,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-80,80},{52,-26}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-56,10},{30,-38}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Treshold renal excretion"),
          Text(
            extent={{-64,70},{-44,62}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{-66,12},{-46,4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="TRSH"),
          Text(
            extent={{14,46},{34,38}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="EXCR"),
          Text(
            extent={{-66,42},{-46,34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="X")}), Diagram(coordinateSystem(preserveAspectRatio=
              true, extent={{-100,-100},{100,100}}), graphics));
  end TresholdExcretion;

  model MagnesiumRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XMGE annotation (Placement(
          transformation(extent={{-106,6},{-66,46}}), iconTransformation(extent={{-110,56},
              {-86,80}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,42},{-66,82}}), iconTransformation(
            extent={{-110,-4},{-86,20}})));
    Modelica.Blocks.Interfaces.RealOutput YMG annotation (Placement(
          transformation(extent={{66,30},{86,50}}), iconTransformation(extent={{92,8},{
              112,28}})));
    TresholdExcretion tresholdExcretion
      annotation (Placement(transformation(extent={{-34,-11},{38,61}})));
    Modelica.Blocks.Sources.Constant const(k=0.292)
      annotation (Placement(transformation(extent={{-82,-22},{-62,-2}})));
  equation
    connect(XMGE, tresholdExcretion.X) annotation (Line(
        points={{-86,26},{-58,26},{-58,38.68},{-26.08,38.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, tresholdExcretion.GFR) annotation (Line(
        points={{-86,62},{-58,62},{-58,48.76},{-26.08,48.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, tresholdExcretion.TRSH) annotation (Line(
        points={{-61,-12},{-46,-12},{-46,27.88},{-26.8,27.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(tresholdExcretion.EXCR, YMG) annotation (Line(
        points={{20,40.12},{50.04,40.12},{50.04,40},{76,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-102,-2},{100,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Magnesium"),
          Text(
            extent={{-84,72},{-40,58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XMGE"),
          Text(
            extent={{-84,16},{-44,-2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{48,26},{94,12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YMG"),
          Text(
            extent={{-66,-32},{76,-74}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-98,-62},{100,-102}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end MagnesiumRenalExcretion;

  model SulphateRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XSO4 annotation (Placement(
          transformation(extent={{-106,6},{-66,46}}), iconTransformation(extent={{-110,60},
              {-86,84}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,42},{-66,82}}), iconTransformation(
            extent={{-110,-4},{-86,20}})));
    Modelica.Blocks.Interfaces.RealOutput YSO4 annotation (Placement(
          transformation(extent={{66,30},{86,50}}), iconTransformation(extent={{90,12},
              {110,32}})));
    TresholdExcretion tresholdExcretion
      annotation (Placement(transformation(extent={{-34,-11},{38,61}})));
    Modelica.Blocks.Sources.Constant const(k=0.08)
      annotation (Placement(transformation(extent={{-82,-22},{-62,-2}})));
  equation
    connect(XSO4, tresholdExcretion.X) annotation (Line(
        points={{-86,26},{-58,26},{-58,38.68},{-26.08,38.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, tresholdExcretion.GFR) annotation (Line(
        points={{-86,62},{-58,62},{-58,48.76},{-26.08,48.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, tresholdExcretion.TRSH) annotation (Line(
        points={{-61,-12},{-46,-12},{-46,27.88},{-26.8,27.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(tresholdExcretion.EXCR, YSO4) annotation (Line(
        points={{20,40.12},{50.04,40.12},{50.04,40},{76,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-66,-6},{48,-38}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Sulphate"),
          Text(
            extent={{-90,78},{-24,64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XSO4"),
          Text(
            extent={{-92,12},{-26,-2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{30,28},{86,14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YSO4"),
          Text(
            extent={{-80,-32},{54,-66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-72,-62},{66,-96}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end SulphateRenalExcretion;

  model GlucoseRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XGLE annotation (Placement(
          transformation(extent={{-106,6},{-66,46}}), iconTransformation(extent={{-114,
              -12},{-90,12}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,42},{-66,82}}), iconTransformation(
            extent={{-112,50},{-88,74}})));
    Modelica.Blocks.Interfaces.RealOutput YGLU annotation (Placement(
          transformation(extent={{66,30},{86,50}}), iconTransformation(extent={{92,4},{
              112,24}})));
    TresholdExcretion tresholdExcretion
      annotation (Placement(transformation(extent={{-34,-11},{38,61}})));
    Modelica.Blocks.Sources.Constant const(k=0.65)
      annotation (Placement(transformation(extent={{-82,-22},{-62,-2}})));
  equation
    connect(XGLE, tresholdExcretion.X) annotation (Line(
        points={{-86,26},{-58,26},{-58,38.68},{-26.08,38.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, tresholdExcretion.GFR) annotation (Line(
        points={{-86,62},{-58,62},{-58,48.76},{-26.08,48.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, tresholdExcretion.TRSH) annotation (Line(
        points={{-61,-12},{-46,-12},{-46,27.88},{-26.8,27.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(tresholdExcretion.EXCR, YGLU) annotation (Line(
        points={{20,40.12},{50.04,40.12},{50.04,40},{76,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-96,10},{-34,-8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XGLE"),
          Text(
            extent={{-98,70},{-36,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{38,20},{108,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YGLU"),
          Text(
            extent={{-80,-34},{64,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-98,-62},{98,-98}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-76,-8},{66,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Glucose")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end GlucoseRenalExcretion;

  model PhosphateRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XPO4 annotation (Placement(
          transformation(extent={{-106,-12},{-66,28}}), iconTransformation(
            extent={{-110,56},{-86,80}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,24},{-66,64}}), iconTransformation(
            extent={{-108,2},{-84,26}})));
    Modelica.Blocks.Interfaces.RealOutput YPO4 annotation (Placement(
          transformation(extent={{92,48},{112,68}}),iconTransformation(extent={{92,48},
              {112,68}})));
    Modelica.Blocks.Sources.Constant const(k=0.11)
      annotation (Placement(transformation(extent={{-42,-14},{-22,6}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-44,12},{-24,32}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{32,52},{52,72}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{14,-40},{34,-20}})));
    Modelica.Blocks.Logical.LessEqual lessEqual
      annotation (Placement(transformation(extent={{-2,12},{18,32}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{54,12},{74,32}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-6,64},{14,84}})));
    Modelica.Blocks.Sources.Constant const1(k=5)
      annotation (Placement(transformation(extent={{-46,70},{-26,90}})));
    Modelica.Blocks.Sources.Constant const2(k=22)
      annotation (Placement(transformation(extent={{-4,38},{16,58}})));
    Modelica.Blocks.Sources.Constant const3(k=0.085)
      annotation (Placement(transformation(extent={{-30,-56},{-10,-36}})));
  equation
    connect(XPO4, product.u2) annotation (Line(
        points={{-86,8},{-60,8},{-60,16},{-46,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, product.u1) annotation (Line(
        points={{-86,44},{-60,44},{-60,28},{-46,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.y, switch1.u2) annotation (Line(
        points={{19,22},{52,22}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, lessEqual.u1) annotation (Line(
        points={{-23,22},{-4,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, lessEqual.u2) annotation (Line(
        points={{-21,-4},{-10,-4},{-10,14},{-4,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const1.y, product1.u1) annotation (Line(
        points={{-25,80},{-8,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.u2, product.y) annotation (Line(
        points={{-8,68},{-16,68},{-16,22},{-23,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const2.y, division.u2) annotation (Line(
        points={{17,48},{24,48},{24,56},{30,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, division.u1) annotation (Line(
        points={{15,74},{22,74},{22,68},{30,68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, division.y) annotation (Line(
        points={{52,30},{40,30},{40,44},{66,44},{66,62},{53,62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const3.y, add.u2) annotation (Line(
        points={{-9,-46},{0,-46},{0,-36},{12,-36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, product.y) annotation (Line(
        points={{12,-24},{-16,-24},{-16,22},{-23,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, switch1.u3) annotation (Line(
        points={{35,-30},{44,-30},{44,14},{52,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, YPO4) annotation (Line(
        points={{75,22},{77.5,22},{77.5,58},{102,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-84,74},{-34,58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XPO4"),
          Text(
            extent={{-92,22},{-36,6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{42,66},{94,50}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{-78,-32},{66,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-102,-62},{100,-98}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-98,-2},{100,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Phosphate")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={
          Text(
            extent={{32,44},{96,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4=5*x/22"),
          Text(
            extent={{32,2},{96,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4=x-0.085"),
          Text(
            extent={{-70,46},{-6,38}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x=XPO4*GFR"),
          Text(
            extent={{-44,30},{20,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{16,52},{80,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (x<=0.11)"),
          Text(
            extent={{26,10},{90,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (x>0.11)")}));
  end PhosphateRenalExcretion;

  model OrganicAcidRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XOGE annotation (Placement(
          transformation(extent={{-106,-12},{-66,28}}), iconTransformation(
            extent={{-108,40},{-84,64}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-106,24},{-66,64}}), iconTransformation(
            extent={{-110,-24},{-86,0}})));
    Modelica.Blocks.Interfaces.RealOutput YORG annotation (Placement(
          transformation(extent={{90,18},{110,38}}),iconTransformation(extent={{90,18},
              {110,38}})));
    Modelica.Blocks.Sources.Constant const(k=0.6)
      annotation (Placement(transformation(extent={{-42,-14},{-22,6}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-44,12},{-24,32}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{32,52},{52,72}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{38,-44},{58,-24}})));
    Modelica.Blocks.Logical.LessEqual lessEqual
      annotation (Placement(transformation(extent={{-2,12},{18,32}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{54,12},{74,32}})));
    Modelica.Blocks.Sources.Constant const1(k=3)
      annotation (Placement(transformation(extent={{-28,-52},{-8,-32}})));
    Modelica.Blocks.Sources.Constant const2(k=60)
      annotation (Placement(transformation(extent={{-4,38},{16,58}})));
    Modelica.Blocks.Sources.Constant const3(k=0.19)
      annotation (Placement(transformation(extent={{0,-78},{20,-58}})));
    Modelica.Blocks.Math.Division division1
      annotation (Placement(transformation(extent={{8,-38},{28,-18}})));
  equation
    connect(XOGE, product.u2) annotation (Line(
        points={{-86,8},{-60,8},{-60,16},{-46,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, product.u1) annotation (Line(
        points={{-86,44},{-60,44},{-60,28},{-46,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.y, switch1.u2) annotation (Line(
        points={{19,22},{52,22}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, lessEqual.u1) annotation (Line(
        points={{-23,22},{-4,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, lessEqual.u2) annotation (Line(
        points={{-21,-4},{-10,-4},{-10,14},{-4,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const2.y, division.u2) annotation (Line(
        points={{17,48},{24,48},{24,56},{30,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, division.y) annotation (Line(
        points={{52,30},{40,30},{40,44},{66,44},{66,62},{53,62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, YORG) annotation (Line(
        points={{75,22},{87.5,22},{87.5,28},{100,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u1, product.y) annotation (Line(
        points={{30,68},{-16,68},{-16,22},{-23,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const1.y, division1.u2) annotation (Line(
        points={{-7,-42},{0,-42},{0,-34},{6,-34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.u1, product.y) annotation (Line(
        points={{6,-22},{-16,-22},{-16,22},{-23,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.y, add.u1) annotation (Line(
        points={{29,-28},{36,-28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const3.y, add.u2) annotation (Line(
        points={{21,-68},{28,-68},{28,-40},{36,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, switch1.u3) annotation (Line(
        points={{59,-34},{74,-34},{74,-8},{40,-8},{40,14},{52,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-98}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-86,60},{-40,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XOGE"),
          Text(
            extent={{-90,-2},{-46,-22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{40,36},{82,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-76,-28},{66,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-68,-58},{74,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-88,-8},{82,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="acid"),
          Text(
            extent={{-92,22},{90,-12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Organic")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics={
          Text(
            extent={{32,44},{96,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG=x/60"),
          Text(
            extent={{36,2},{100,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG=x/3-0.19"),
          Text(
            extent={{-70,46},{-6,38}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x=XOGE*GFR"),
          Text(
            extent={{-44,30},{20,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{16,52},{80,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (x<=0.6)"),
          Text(
            extent={{26,10},{90,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (x>0.6)")}));
  end OrganicAcidRenalExcretion;

  model BicarbonateRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XCO3 annotation (Placement(
          transformation(extent={{-112,-41},{-72,-1}}),  iconTransformation(
            extent={{-110,46},{-86,70}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-112,-7},{-72,33}}),   iconTransformation(
            extent={{-112,8},{-88,32}})));
    Modelica.Blocks.Interfaces.RealOutput YCO3 annotation (Placement(
          transformation(extent={{82,30},{102,50}}), iconTransformation(extent={{94,14},
              {114,34}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-46,-13},{-26,7}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-36,37},{-16,57}})));
    Modelica.Blocks.Math.Add add(k1=+1, k2=-1)
      annotation (Placement(transformation(extent={{-66,43},{-46,63}})));
    Modelica.Blocks.Interfaces.RealInput PCOA annotation (Placement(
          transformation(extent={{-112,21},{-72,61}}), iconTransformation(
            extent={{-116,-30},{-92,-6}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-4,31},{16,51}})));
    Library.Constant Constant(Const=160)
      annotation (Placement(transformation(extent={{-96,64},{-82,78}})));
    Library.Constant Constant2(Const=120)
      annotation (Placement(transformation(extent={{-70,22},{-56,36}})));
    F51 f51_1 annotation (Placement(transformation(extent={{32,28},{52,48}})));
  equation
    connect(XCO3, product.u2) annotation (Line(
        points={{-92,-21},{-62,-21},{-62,-9},{-48,-9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, product.u1) annotation (Line(
        points={{-92,13},{-64,13},{-64,3},{-48,3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCOA, add.u2) annotation (Line(
        points={{-92,41},{-72,41},{-72,47},{-68,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, division.u1) annotation (Line(
        points={{-45,53},{-38,53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, YCO3) annotation (Line(
        points={{92,40},{92,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, product2.u2) annotation (Line(
        points={{-25,-3},{-18,-3},{-18,35},{-6,35}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, add.u1) annotation (Line(
        points={{-77.73,71.07},{-72,71.07},{-72,59},{-68,59}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, division.u2) annotation (Line(
        points={{-51.73,29.07},{-44,29.07},{-44,41},{-38,41}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f51_1.YCO3, YCO3) annotation (Line(
        points={{52,40.2},{68,40.2},{68,40},{92,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, f51_1.x) annotation (Line(
        points={{17,41},{23.5,41},{23.5,40.2},{32,40.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, product2.u1) annotation (Line(
        points={{-15,47},{-6,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-92,66},{-24,50}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XCO3"),
          Text(
            extent={{-90,28},{-38,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{38,32},{90,14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3"),
          Text(
            extent={{-96,-10},{-30,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PCOA"),
          Text(
            extent={{-58,-20},{80,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-62,-48},{112,-84}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-46,2},{80,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="HCO3")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics={
          Text(
            extent={{-64,76},{10,68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F50= -PCOA/120+4/3=(160-PCOA)/120"),
          Text(
            extent={{10,16},{98,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="if 2<x<=4 then YCO3=0.1638*(x-2)^2.61"),
          Text(
            extent={{4,22},{66,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="if x<=2 then YCO3=0"),
          Text(
            extent={{-44,54},{20,49}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F50"),
          Text(
            extent={{-18,62},{54,56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x=XCO3*GFR*F50"),
          Text(
            extent={{-8,10},{78,4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="if 4<x then YCO3=x-3"),
          Text(
            extent={{14,48},{28,42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x")}),
      Documentation(info="<html>
<p><h4>Bicarbonate excretion</h4></p>
</html>"));
  end BicarbonateRenalExcretion;

  model ChlorideRenalExcretionOld
    Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={36,92}), iconTransformation(extent={{-106,80},{-88,98}})));
    Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={66,92}), iconTransformation(extent={{-106,62},{-88,80}})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={4,94}),  iconTransformation(extent={{-106,44},{-88,62}})));
    Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={-32,94}), iconTransformation(extent={{-106,26},{-88,44}})));
    Modelica.Blocks.Interfaces.RealInput YNU annotation (Placement(
          transformation(extent={{-110,52},{-70,92}}), iconTransformation(
            extent={{-106,8},{-88,26}})));
    Modelica.Blocks.Interfaces.RealInput YKU annotation (Placement(
          transformation(extent={{-110,24},{-70,64}}), iconTransformation(
            extent={{-106,-10},{-88,8}})));
    Modelica.Blocks.Interfaces.RealInput YNH4 annotation (Placement(
          transformation(extent={{-110,-6},{-70,34}}), iconTransformation(
            extent={{-106,-28},{-88,-10}})));
    Modelica.Blocks.Interfaces.RealInput YCO3 annotation (Placement(
          transformation(extent={{-48,-64},{-8,-24}}),iconTransformation(extent=
             {{-106,-46},{-88,-28}})));
    Modelica.Blocks.Interfaces.RealInput YCA annotation (Placement(
          transformation(extent={{-112,-44},{-72,-4}}), iconTransformation(
            extent={{-106,-64},{-88,-46}})));
    Modelica.Blocks.Interfaces.RealInput YMG annotation (Placement(
          transformation(extent={{-112,-80},{-72,-40}}), iconTransformation(
            extent={{-106,-82},{-88,-64}})));
    Modelica.Blocks.Interfaces.RealInput YSO4 annotation (Placement(
          transformation(extent={{-46,-94},{-6,-54}}), iconTransformation(
            extent={{-106,-100},{-88,-82}})));
    Modelica.Blocks.Interfaces.RealOutput YCLU annotation (Placement(
          transformation(extent={{88,-92},{108,-72}}),iconTransformation(extent=
             {{86,4},{112,30}})));
    STPG sTPG annotation (Placement(transformation(
          extent={{-39.5,-57.5},{39.5,57.5}},
          rotation=270,
          origin={-15.5,27.5})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-68,30},{-40,58}})));
    Library.SimpleAdd simpleAdd1
      annotation (Placement(transformation(extent={{-68,0},{-40,28}})));
    Library.SimpleAdd simpleAdd2
      annotation (Placement(transformation(extent={{-68,-38},{-40,-10}})));
    Library.SimpleAdd simpleAdd3
      annotation (Placement(transformation(extent={{-68,-74},{-40,-46}})));
    Library.SimpleSubtract simpleSubtract
      annotation (Placement(transformation(extent={{6,-44},{34,-16}})));
    Library.SimpleSubtract simpleSubtract1
      annotation (Placement(transformation(extent={{6,-58},{34,-30}})));
    Library.SimpleSubtract simpleSubtract2
      annotation (Placement(transformation(extent={{6,-78},{34,-50}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{62,-92},{82,-72}})));
    Modelica.Blocks.Logical.GreaterEqual greaterEqual
      annotation (Placement(transformation(extent={{28,-92},{48,-72}})));
    Library.Constant Constant(Const=0)
      annotation (Placement(transformation(extent={{-8,-96},{0,-88}})));
  equation
    connect(YKU, simpleAdd.u) annotation (Line(
        points={{-90,44},{-67.44,44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, simpleAdd.yBase) annotation (Line(
        points={{-90,72},{-54,72},{-54,46.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, simpleAdd1.yBase) annotation (Line(
        points={{-54,41.2},{-54,16.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH4, simpleAdd1.u) annotation (Line(
        points={{-90,14},{-78.86,14},{-78.86,14},{-67.44,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCA, simpleAdd2.u) annotation (Line(
        points={{-92,-24},{-67.44,-24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd1.y, simpleAdd2.yBase) annotation (Line(
        points={{-54,11.2},{-54,-21.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMG, simpleAdd3.u) annotation (Line(
        points={{-92,-60},{-67.44,-60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd2.y, simpleAdd3.yBase) annotation (Line(
        points={{-54,-26.8},{-54,-57.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd3.y, simpleSubtract.yBase) annotation (Line(
        points={{-54,-62.8},{-54,-96},{-36,-96},{-36,-18},{20,-18},{20,-27.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sTPG.STPG, simpleSubtract.u) annotation (Line(
        points={{1.75,-4.89},{1.75,-30},{6.56,-30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract.y, simpleSubtract1.yBase) annotation (Line(
        points={{20,-32.8},{20,-41.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract1.y, simpleSubtract2.yBase) annotation (Line(
        points={{20,-46.8},{20,-61.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSO4, simpleSubtract2.u) annotation (Line(
        points={{-26,-74},{0,-74},{0,-64},{6.56,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA, sTPG.YTA) annotation (Line(
        points={{-32,94},{-32,66},{-16,66},{-16,59.495},{-48.85,59.495}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, sTPG.PHA) annotation (Line(
        points={{4,94},{4,68},{-24.7,68},{-24.7,60.285}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPO4, sTPG.YPO4) annotation (Line(
        points={{36,92},{36,70},{-1.7,70},{-1.7,59.495}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG, sTPG.YORG) annotation (Line(
        points={{66,92},{66,66},{20.15,66},{20.15,59.495}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, simpleSubtract1.u) annotation (Line(
        points={{-28,-44},{6.56,-44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, greaterEqual.u2) annotation (Line(
        points={{2.44,-91.96},{12.22,-91.96},{12.22,-90},{26,-90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u3, Constant.y) annotation (Line(
        points={{60,-90},{52,-90},{52,-98},{12,-98},{12,-91.96},{2.44,-91.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(greaterEqual.u1, simpleSubtract2.y) annotation (Line(
        points={{26,-82},{20,-82},{20,-66.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, simpleSubtract2.y) annotation (Line(
        points={{60,-74},{50,-74},{50,-70},{20,-70},{20,-66.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual.y, switch1.u2) annotation (Line(
        points={{49,-82},{60,-82}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, YCLU) annotation (Line(
        points={{83,-82},{98,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-94,94},{-40,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YPO4"),
          Text(
            extent={{-90,76},{-44,62}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YORG"),
          Text(
            extent={{-94,60},{-40,44}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="PHA"),
          Text(
            extent={{-96,42},{-50,28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YTA"),
          Text(
            extent={{-96,26},{-44,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YNU"),
          Text(
            extent={{-96,8},{-46,-8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YKU"),
          Text(
            extent={{-94,-10},{-40,-26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YNH4"),
          Text(
            extent={{-94,-30},{-40,-46}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCO3"),
          Text(
            extent={{-100,-48},{-44,-62}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCA"),
          Text(
            extent={{-98,-64},{-42,-80}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YMG"),
          Text(
            extent={{-88,-84},{-44,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YSO4"),
          Text(
            extent={{38,26},{86,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCLU"),
          Text(
            extent={{-50,-24},{86,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-48,8},{86,-20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Chloride"),
          Text(
            extent={{-42,-54},{94,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),                Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end ChlorideRenalExcretionOld;

  model MannitolRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XMNE annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-80,-20}), iconTransformation(extent={{-108,56},{-90,74}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-82,50}), iconTransformation(extent={{-108,22},{-90,40}})));
    Modelica.Blocks.Interfaces.RealOutput YMNU annotation (Placement(
          transformation(extent={{78,-50},{98,-30}}), iconTransformation(extent={{90,16},
              {110,36}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-34,-4},{4,34}})));
  equation
    connect(XMNE, simpleMultiply.u) annotation (Line(
        points={{-80,-20},{-58,-20},{-58,15},{-33.62,15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, simpleMultiply.yBase) annotation (Line(
        points={{-82,50},{-15,50},{-15,18.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNU, simpleMultiply.y) annotation (Line(
        points={{88,-40},{-15,-40},{-15,11.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-96,74},{-30,56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="XMNE"),
          Text(
            extent={{-90,36},{-40,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="GFR"),
          Text(
            extent={{38,34},{86,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YMNU"),
          Text(
            extent={{-72,-18},{70,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-96,-50},{102,-92}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-70,14},{72,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Mannitol")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end MannitolRenalExcretion;

  model UreaRenalExcretion
    Modelica.Blocks.Interfaces.RealInput XURE annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-80,8}), iconTransformation(extent={{-108,60},{-88,80}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-82,50}), iconTransformation(extent={{-106,20},{-86,40}})));
    Modelica.Blocks.Interfaces.RealOutput YURU annotation (Placement(
          transformation(extent={{78,-50},{98,-30}}), iconTransformation(extent=
             {{90,8},{110,28}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-34,-4},{4,34}})));
    Library.SimpleMultiply simpleMultiply1
      annotation (Placement(transformation(extent={{-34,-23},{4,15}})));
    Library.Constant Constant(Const=0.6)
      annotation (Placement(transformation(extent={{-54,-8},{-46,0}})));
  equation
    connect(XURE, simpleMultiply.u) annotation (Line(
        points={{-80,8},{-58,8},{-58,15},{-33.62,15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, simpleMultiply.yBase) annotation (Line(
        points={{-82,50},{-15,50},{-15,18.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.yBase, simpleMultiply.y) annotation (Line(
        points={{-15,-0.2},{-15,5.9},{-15,5.9},{-15,11.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, simpleMultiply1.u) annotation (Line(
        points={{-43.56,-3.96},{-38.7,-3.96},{-38.7,-4},{-33.62,-4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, YURU) annotation (Line(
        points={{-15,-7.8},{-15,-40},{88,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-98,78},{-36,60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="XURE"),
          Text(
            extent={{-98,40},{-38,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="GFR"),
          Text(
            extent={{34,26},{92,8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YURU"),
          Text(
            extent={{-82,-22},{60,-64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-98,-52},{98,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-76,8},{66,-34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Urea")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end UreaRenalExcretion;

  model RenalChlorideExcretion
    Library.Interfaces.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,48},{-88,68}}), iconTransformation(
            extent={{-122,44},{-80,86}})));
    IKEDA.ChlorideRenalExcretionOld
                           chlorideRenalExcretion
      annotation (Placement(transformation(extent={{-42,-80},{98,60}})));
  equation
    connect(chlorideRenalExcretion.YPO4, busConnector.YPO4) annotation (Line(
        points={{-39.9,52.3},{-68.95,52.3},{-68.95,58},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YORG, busConnector.YORG) annotation (Line(
        points={{-39.9,39.7},{-98,40},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.PHA, busConnector.PHA) annotation (Line(
        points={{-39.9,27.1},{-98,27.1},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YTA, busConnector.YTA) annotation (Line(
        points={{-39.9,14.5},{-98,14.5},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YNU, busConnector.YNU) annotation (Line(
        points={{-39.9,1.9},{-98,1.9},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YKU, busConnector.YKU) annotation (Line(
        points={{-39.9,-10.7},{-98,-10.7},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YNH4, busConnector.YNH4) annotation (Line(
        points={{-39.9,-23.3},{-98,-23.3},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YCO3, busConnector.YCO3) annotation (Line(
        points={{-39.9,-35.9},{-98,-35.9},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YCA, busConnector.YCA) annotation (Line(
        points={{-39.9,-48.5},{-98,-48.5},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YMG, busConnector.YMG) annotation (Line(
        points={{-39.9,-61.1},{-98,-61.1},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YSO4, busConnector.YSO4) annotation (Line(
        points={{-39.9,-73.7},{-98,-73.7},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YCLU, busConnector.YCLU) annotation (Line(
        points={{97.3,1.9},{108,1.9},{108,98},{-98,98},{-98,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-68,84},{30,48}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Renal "),
          Text(
            extent={{-68,40},{58,2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Chloride"),
          Text(
            extent={{-66,-14},{60,-52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Excretion")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end RenalChlorideExcretion;

  model TestBusConnections

    RenalChlorideExcretion renalChlorideExcretion
      annotation (Placement(transformation(extent={{76,-94},{100,-70}})));
    Library.Interfaces.BusConnector busConnector
      annotation (Placement(transformation(extent={{-24,6},{-4,26}})));
    Library.Constant PHAconst(Const=7.4)
      annotation (Placement(transformation(extent={{-96,46},{-78,64}})));
    Library.Constant YTAconst(Const=.0168)
      annotation (Placement(transformation(extent={{-98,24},{-80,42}})));
    Library.Constant YCAconst(Const=0.007)
      annotation (Placement(transformation(extent={{-98,4},{-80,22}})));
    Library.Constant YKUconst(Const=0.047)
      annotation (Placement(transformation(extent={{-98,-18},{-80,0}})));
    Library.Constant YMGconst(Const=0.008)
      annotation (Placement(transformation(extent={{-98,-38},{-80,-20}})));
    Library.Constant YNH4const(Const=0.024)
      annotation (Placement(transformation(extent={{-100,-58},{-82,-40}})));
    Library.Constant YNUconst(Const=.12)
      annotation (Placement(transformation(extent={{-100,-78},{-82,-60}})));
    Library.Constant YORGconst(Const=0.01)
      annotation (Placement(transformation(extent={{-98,-98},{-80,-80}})));
    Library.Constant YOPO4const(Const=0.025)
                                            annotation (Placement(
          transformation(
          extent={{-9,-9},{9,9}},
          rotation=0,
          origin={47,53})));
    Library.Constant YSO4const(Const=0.02)  annotation (Placement(
          transformation(
          extent={{-9,-9},{9,9}},
          rotation=0,
          origin={41,-49})));
    Library.Constant XCO3const(Const=24)
      annotation (Placement(transformation(extent={{-90,92},{-82,100}})));
    Library.Interfaces.RealOutput YCLUout
      annotation (Placement(transformation(extent={{28,64},{68,104}})));
    Library.Constant GFRconst(Const=0.1)
      annotation (Placement(transformation(extent={{-90,82},{-82,90}})));
    Library.Constant PCOAconst(Const=40)
      annotation (Placement(transformation(extent={{-90,68},{-82,76}})));
    Library.Interfaces.RealOutput YCO3out
      annotation (Placement(transformation(extent={{-6,14},{34,54}})));
    RenalBicarbonateExcretion renalBicarbonateExcretion
      annotation (Placement(transformation(extent={{14,-16},{34,4}})));
  equation
    connect(YOPO4const.y, busConnector.YPO4)
                                            annotation (Line(
        points={{61.49,53.09},{78.255,53.09},{78.255,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YSO4const.y, busConnector.YSO4)  annotation (Line(
        points={{55.49,-48.91},{78,-48.91},{78,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YTAconst.y, busConnector.YTA) annotation (Line(
        points={{-74.51,33.09},{-30,33.09},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YCAconst.y, busConnector.YCA) annotation (Line(
        points={{-74.51,13.09},{-30,13.09},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YKUconst.y, busConnector.YKU) annotation (Line(
        points={{-74.51,-8.91},{-30,-8.91},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YMGconst.y, busConnector.YMG) annotation (Line(
        points={{-74.51,-28.91},{-30,-28.91},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YNH4const.y, busConnector.YNH4) annotation (Line(
        points={{-76.51,-48.91},{-30,-48.91},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YNUconst.y, busConnector.YNU) annotation (Line(
        points={{-76.51,-68.91},{-30,-68.91},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YORGconst.y, busConnector.YORG) annotation (Line(
        points={{-74.51,-88.91},{-30,-88.91},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(renalChlorideExcretion.busConnector, busConnector) annotation (Line(
        points={{75.88,-74.2},{-14,-74.2},{-14,16}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PHAconst.y, busConnector.PHA) annotation (Line(
        points={{-72.51,55.09},{-30,55.09},{-30,16},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YCLUout, busConnector.YCLU) annotation (Line(
        points={{48,84},{-14,84},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(renalBicarbonateExcretion.busConnector, busConnector) annotation (
        Line(
        points={{14,-4.8},{-14,-4.8},{-14,16}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PCOAconst.y, busConnector.PCOA) annotation (Line(
        points={{-79.56,72.04},{-14,72.04},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(GFRconst.y, busConnector.GFR) annotation (Line(
        points={{-79.56,86.04},{-14,86.04},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XCO3const.y, busConnector.XCO3) annotation (Line(
        points={{-79.56,96.04},{-14,96.04},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(YCO3out, busConnector.YCO3) annotation (Line(
        points={{14,34},{-14,34},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics), Icon(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics),
               Line(
        points={{-21.96,80.84},{-14,80.84},{-14,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
  end TestBusConnections;

  model RenalBicarbonateExcretion
    Library.Interfaces.BusConnector busConnector annotation (Placement(
          transformation(extent={{-108,50},{-88,70}}), iconTransformation(
            extent={{-126,-14},{-74,38}})));
    BicarbonateRenalExcretion bicarbonateRenalExcretion
      annotation (Placement(transformation(extent={{-40,-28},{40,52}})));
  equation
    connect(busConnector.XCO3, bicarbonateRenalExcretion.XCO3) annotation (Line(
        points={{-98,60},{-98,34},{-39.2,34},{-39.2,35.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, bicarbonateRenalExcretion.GFR) annotation (Line(
        points={{-98,60},{-98,20},{-40,20}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PCOA, bicarbonateRenalExcretion.PCOA) annotation (Line(
        points={{-98,60},{-98,4.8},{-41.6,4.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(bicarbonateRenalExcretion.YCO3, busConnector.YCO3) annotation (Line(
        points={{41.6,21.6},{62,21.6},{62,60},{-98,60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-60,30},{42,-12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3")}), Diagram(coordinateSystem(preserveAspectRatio=true,
                    extent={{-100,-100},{100,100}}), graphics));
  end RenalBicarbonateExcretion;

  model Kidney

    Library.Interfaces.BusConnector busConnector annotation (Placement(
          transformation(extent={{-115,83},{-95,103}}), iconTransformation(extent=
             {{-132,42},{-78,96}})));
    GlucoseRenalExcretion glucoseRenalExcretion
      annotation (Placement(transformation(extent={{-79,41},{-54,66}})));
    PhosphateRenalExcretion phosphateRenalExcretion
      annotation (Placement(transformation(extent={{-79,14},{-54,40}})));
    OrganicAcidRenalExcretion organicAcidRenalExcretion
      annotation (Placement(transformation(extent={{-79,-14},{-54,12}})));
    SulphateRenalExcretion sulphateRenalExcretion
      annotation (Placement(transformation(extent={{-81,-44},{-53,-16}})));
    MagnesiumRenalExcretion magnesiumRenalExcretion
      annotation (Placement(transformation(extent={{-80,-72},{-56,-48}})));
    CalciumRenalExcretion calciumRenalExcretion
      annotation (Placement(transformation(extent={{-81,-100},{-55,-74}})));
    BicarbonateRenalExcretion bicarbonateRenalExcretion
      annotation (Placement(transformation(extent={{43,-20},{75,12}})));
    NatriumRenalExcretion natriumRenalExcretion
      annotation (Placement(transformation(extent={{45,48},{87,90}})));
    PotassiumRenalExcretion potassiumRenalExcretion
      annotation (Placement(transformation(extent={{45,14},{85,44}})));
    Diuresis diuresis
      annotation (Placement(transformation(extent={{43,-54},{87,-24}})));
    UrineOsmolarity urineOsmolarity
      annotation (Placement(transformation(extent={{43,-96},{85,-60}})));
    RenalAcidification renalAcidification
      annotation (Placement(transformation(extent={{-21,22},{15,58}})));
    IKEDA.ChlorideRenalExcretionOld
                           chlorideRenalExcretion
      annotation (Placement(transformation(extent={{-29,-96},{14,-54}})));
    MannitolRenalExcretion mannitolRenalExcretion
      annotation (Placement(transformation(extent={{-17,-14},{13,16}})));
    UreaRenalExcretion ureaRenalExcretion
      annotation (Placement(transformation(extent={{-19,-50},{13,-18}})));
    ProximalTubuleOutflow proximalTubuleOutflow
      annotation (Placement(transformation(extent={{-21,62},{15,96}})));
    GlomerularFiltrationRate glomerularFiltrationRate
      annotation (Placement(transformation(extent={{-79,67},{-53,93}})));
  equation
    connect(busConnector.XGLE, glucoseRenalExcretion.XGLE) annotation (Line(
        points={{-105,93},{-93,93},{-93,61.25},{-79,61.25}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, glucoseRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,53.75},{-79.25,53.75}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XPO4, phosphateRenalExcretion.XPO4) annotation (Line(
        points={{-105,93},{-93,93},{-93,35.84},{-78.75,35.84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, phosphateRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,28.82},{-78.5,28.82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XOGE, organicAcidRenalExcretion.XOGE) annotation (Line(
        points={{-105,93},{-93,93},{-93,5.76},{-78.5,5.76}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, organicAcidRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,-2.56},{-78.75,-2.56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XSO4, sulphateRenalExcretion.XSO4) annotation (Line(
        points={{-105,93},{-93,93},{-93,-20},{-80.72,-20},{-80.72,-19.92}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, sulphateRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,-28.88},{-80.72,-28.88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XMGE, magnesiumRenalExcretion.XMGE) annotation (Line(
        points={{-105,93},{-93,93},{-93,-51.84},{-79.76,-51.84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, magnesiumRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,-59.04},{-79.76,-59.04}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XCAE, calciumRenalExcretion.XCAE) annotation (Line(
        points={{-105,93},{-93,93},{-93,-80.24},{-80.22,-80.24}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, calciumRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,-87},{-80.22,-87}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(phosphateRenalExcretion.YPO4, busConnector.YPO4) annotation (Line(
        points={{-53.75,34.54},{-41,34.54},{-41,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(glucoseRenalExcretion.YGLU, busConnector.YGLU) annotation (Line(
        points={{-53.75,55.25},{-41,55.25},{-41,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(organicAcidRenalExcretion.YORG, busConnector.YORG) annotation (Line(
        points={{-54,2.64},{-41,2.64},{-41,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(sulphateRenalExcretion.YSO4, busConnector.YSO4) annotation (Line(
        points={{-53,-26.92},{-41,-26.92},{-41,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(magnesiumRenalExcretion.YMG, busConnector.YMG) annotation (Line(
        points={{-55.76,-57.84},{-41,-57.84},{-41,98},{-93,98},{-93,93},{-105,
            93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(calciumRenalExcretion.YCA, busConnector.YCA) annotation (Line(
        points={{-55.26,-84.66},{-41,-84.66},{-41,98},{-93,98},{-93,93},{-105,
            93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(busConnector.GFR, proximalTubuleOutflow.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,89.88},{-20.64,89.88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.THDF, proximalTubuleOutflow.THDF) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,80.02},{-21,80.02}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.CPR, proximalTubuleOutflow.CPR) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,69.14},{-20.64,69.14}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YORG, renalAcidification.YORG) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,45.04},{-20.1,45.04}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YPO4, renalAcidification.YPO4) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,40.36},{-20.1,40.36}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.PHA, renalAcidification.PHA) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,35.68},{-20.1,35.68}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ALD, renalAcidification.Ald) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,31.36},{-20.1,31.36}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XMNE, mannitolRenalExcretion.XMNE) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,10.45},{-16.85,10.45}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.GFR, mannitolRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,5.65},{-16.85,5.65}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XURE, ureaRenalExcretion.XURE) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-23.92},{-18.84,
            -23.92}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.GFR, ureaRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-29.04},{-18.84,
            -29.04}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YPO4, chlorideRenalExcretion.YPO4) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-56.31},{-28.355,
            -56.31}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YORG, chlorideRenalExcretion.YORG) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-60.09},{-28.355,
            -60.09}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.PHA, chlorideRenalExcretion.PHA) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-63.87},{-28.355,
            -63.87}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YTA, chlorideRenalExcretion.YTA) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-67.65},{-28.355,
            -67.65}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YNU, chlorideRenalExcretion.YNU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-71.43},{-28.355,
            -71.43}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YKU, chlorideRenalExcretion.YKU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-75.21},{-28.355,
            -75.21}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YNH4, chlorideRenalExcretion.YNH4) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-78.99},{-28.355,
            -78.99}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YCO3, chlorideRenalExcretion.YCO3) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-82.77},{-28.355,
            -82.77}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YCA, chlorideRenalExcretion.YCA) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-86.55},{-28.355,
            -86.55}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YMG, chlorideRenalExcretion.YMG) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-90.33},{-28.355,
            -90.33}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(busConnector.YSO4, chlorideRenalExcretion.YSO4) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{-33,98},{-33,-94.11},{-28.355,
            -94.11}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));

    connect(proximalTubuleOutflow.GFR1, busConnector.GFR1) annotation (Line(
        points={{15.36,82.74},{19,82.74},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.XNE, natriumRenalExcretion.XNE) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,86.64},{45.42,86.64}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR1, natriumRenalExcretion.GFR1) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,80.34},{45,80.34}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ALD, natriumRenalExcretion.ALD) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,74.46},{44.16,74.46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YCO3, natriumRenalExcretion.YCO3) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,68.16},{44.58,68.16}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YTA1, natriumRenalExcretion.YTA1) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,60.18},{44.58,60.18}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YNH4, natriumRenalExcretion.YNH4) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,51.36},{44.58,51.36}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XKE, potassiumRenalExcretion.XKE) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,38.6},{45.4,38.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR1, potassiumRenalExcretion.GFR1) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,30.8},{45.4,30.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ALD, potassiumRenalExcretion.ALD) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,23.6},{45.8,23.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.XCO3, bicarbonateRenalExcretion.XCO3) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,5.28},{43.32,5.28}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR, bicarbonateRenalExcretion.GFR) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-0.8},{43,-0.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.PCOA, bicarbonateRenalExcretion.PCOA) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-6.88},{42.36,-6.88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.ADH, diuresis.ADH) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-26.4},{43,-26.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.OSMP, diuresis.OSMP) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-30.9},{43,-30.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YGLU, diuresis.YGLU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-34.8},{43,-34.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YURU, diuresis.YURU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-38.7},{43.44,-38.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YMNU, diuresis.YMNU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-42.6},{43.44,-42.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YKD, diuresis.YKD) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-47.1},{43.44,-47.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YND, diuresis.YND) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-51.6},{43.44,-51.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YGLU, urineOsmolarity.YGLU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-62.88},{43.84,-62.88}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(renalAcidification.YTA1, busConnector.YTA1) annotation (Line(
        points={{15.18,53.68},{19,53.68},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(renalAcidification.YTA, busConnector.YTA) annotation (Line(
        points={{14.82,47.2},{19,47.2},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(renalAcidification.YNH4, busConnector.YNH4) annotation (Line(
        points={{15.18,42.16},{19,42.16},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(mannitolRenalExcretion.YMNU, busConnector.YMNU) annotation (Line(
        points={{13,3.7},{19,3.7},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(natriumRenalExcretion.YND, busConnector.YND) annotation (Line(
        points={{87,86.64},{91,86.64},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(natriumRenalExcretion.YNH, busConnector.YNH) annotation (Line(
        points={{86.58,77.82},{91,77.82},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(natriumRenalExcretion.YNU, busConnector.YNU) annotation (Line(
        points={{87,71.1},{91,71.1},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(potassiumRenalExcretion.YKD, busConnector.YKD) annotation (Line(
        points={{85.8,36.2},{91,36.2},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(potassiumRenalExcretion.YKU, busConnector.YKU) annotation (Line(
        points={{85.4,28.1},{91,28.1},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(bicarbonateRenalExcretion.YCO3, busConnector.YCO3) annotation (Line(
        points={{75.64,-0.16},{91,-0.16},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(diuresis.QWU, busConnector.QWU) annotation (Line(
        points={{87.44,-36.3},{91,-36.3},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(urineOsmolarity.OSMU, busConnector.OSMU) annotation (Line(
        points={{85.84,-75.84},{91,-75.84},{91,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(busConnector.YURU, urineOsmolarity.YURU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-67.56},{43.42,-67.56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YMNU, urineOsmolarity.YMNU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-72.24},{43.42,-72.24}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YKU, urineOsmolarity.YKU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-78},{43.84,-78}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.YNU, urineOsmolarity.YNU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-83.4},{43.84,-83.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.QWU, urineOsmolarity.QWU) annotation (Line(
        points={{-105,93},{-93,93},{-93,98},{39,98},{39,-89.16},{43,-89.16}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(renalAcidification.PHU, busConnector.PHU) annotation (Line(
        points={{15.18,35.68},{19,35.68},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(ureaRenalExcretion.YURU, busConnector.YURU) annotation (Line(
        points={{13,-31.12},{19,-31.12},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(chlorideRenalExcretion.YCLU, busConnector.YCLU) annotation (Line(
        points={{13.785,-71.43},{19,-71.43},{19,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(busConnector.PAS, glomerularFiltrationRate.PAS) annotation (Line(
        points={{-105,93},{-93,93},{-93,90.53},{-78.61,90.53}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.VEC0, glomerularFiltrationRate.VEC0) annotation (Line(
        points={{-105,93},{-93,93},{-93,77.4},{-78.48,77.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(glomerularFiltrationRate.GFR, busConnector.GFR) annotation (Line(
        points={{-51.18,83.9},{-41,83.9},{-41,98},{-93,98},{-93,93},{-105,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));

    connect(busConnector.VEC, glomerularFiltrationRate.VEC) annotation (Line(
        points={{-105,93},{-93,93},{-93,86.24},{-78.48,86.24}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.GFR0, glomerularFiltrationRate.GFR0) annotation (Line(
        points={{-105,93},{-93,93},{-93,81.82},{-78.48,81.82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}},
          grid={1,1}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-48,64},{80,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Kidney")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}},
          grid={1,1}),                       graphics));
  end Kidney;

  model testKidney
    import IKEDA;
    Kidney kidney
      annotation (Placement(transformation(extent={{44,68},{72,97}})));
    Library.Constant XCAE(Const=5)
      annotation (Placement(transformation(extent={{-92,86},{-84,94}})));
    Library.Interfaces.BusConnector BusConnector
      annotation (Placement(transformation(extent={{2,72},{22,92}})));
    Library.Constant XCO3(Const=24)
      annotation (Placement(transformation(extent={{-92,78},{-84,86}})));
    Library.Constant XGLE(Const=6)
      annotation (Placement(transformation(extent={{-92,70},{-84,78}})));
    Library.Constant XKE(Const=4.5)
      annotation (Placement(transformation(extent={{-92,62},{-84,70}})));
    Library.Constant XMGE(Const=3)
      annotation (Placement(transformation(extent={{-92,54},{-84,62}})));
    Library.Constant XMNE(Const=0)
      annotation (Placement(transformation(extent={{-92,46},{-84,54}})));
    Library.Constant XNE(Const=140)
      annotation (Placement(transformation(extent={{-92,38},{-84,46}})));
    Library.Constant XOGE(Const=6)
      annotation (Placement(transformation(extent={{-92,30},{-84,38}})));
    Library.Constant XPO4(Const=1.1)
      annotation (Placement(transformation(extent={{-92,22},{-84,30}})));
    Library.Constant XSO4(Const=1)
      annotation (Placement(transformation(extent={{-92,14},{-84,22}})));
    Library.Constant XURE(Const=2.5)
      annotation (Placement(transformation(extent={{-92,6},{-84,14}})));
    Library.Constant PCOA(Const=40)
      annotation (Placement(transformation(extent={{-92,-2},{-84,6}})));
    Library.Constant PHA(Const=7.4)
      annotation (Placement(transformation(extent={{-92,-10},{-84,-2}})));
    Library.Constant CPR(Const=0.2)
      annotation (Placement(transformation(extent={{-92,-26},{-84,-18}})));
    Library.Constant OSMP(Const=287)
      annotation (Placement(transformation(extent={{-92,-34},{-84,-26}})));
    Library.Constant PAS(Const=100)
      annotation (Placement(transformation(extent={{-92,-42},{-84,-34}})));
    Library.Constant VEC(Const=11)
      annotation (Placement(transformation(extent={{-92,-50},{-84,-42}})));
    Library.Constant GFR0(Const=0.1)
      annotation (Placement(transformation(extent={{-92,-58},{-84,-50}})));
    Library.Constant VEC0(Const=11)
      annotation (Placement(transformation(extent={{-92,-66},{-84,-58}})));
    STPG sTPG annotation (Placement(transformation(extent={{10,-12},{78,46}})));
    IKEDA.Aldosterone aldosterone(Constant4(Const=1.4))
      annotation (Placement(transformation(extent={{10,-78},{54,-34}})));
    Library.Constant CPAD(Const=1)
      annotation (Placement(transformation(extent={{-58,64},{-50,72}})));
    Library.Constant COAD(Const=0.5)
      annotation (Placement(transformation(extent={{-58,56},{-50,64}})));
    Library.Constant PVP(Const=4)
      annotation (Placement(transformation(extent={{-58,72},{-50,80}})));
    Library.Constant ACTH(Const=1)
      annotation (Placement(transformation(extent={{-58,48},{-50,56}})));
    Library.Constant CKAL(Const=0.5)
      annotation (Placement(transformation(extent={{-58,40},{-50,48}})));
    Library.Constant CPVL(Const=0.1)
      annotation (Placement(transformation(extent={{-58,32},{-50,40}})));
    Library.Constant CNAL(Const=0.1)
      annotation (Placement(transformation(extent={{-58,24},{-50,32}})));
    Library.Constant CPAL(Const=0.01)
      annotation (Placement(transformation(extent={{-58,16},{-50,24}})));
    IKEDA.AntidiureticHormone antidiureticHormone
      annotation (Placement(transformation(extent={{14,-26},{46,6}})));
    IKEDA.NatriureticHormone natriureticHormone
      annotation (Placement(transformation(extent={{14,-100},{34,-80}})));
    Library.Constant PPCO(Const=28)
      annotation (Placement(transformation(extent={{-92,-18},{-84,-10}})));
  equation
    connect(XCO3.y, BusConnector.XCO3)       annotation (Line(
        points={{-81.56,82.04},{-60,82.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XGLE.y, BusConnector.XGLE)       annotation (Line(
        points={{-81.56,74.04},{-60,74.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XCAE.y, BusConnector.XCAE)       annotation (Line(
        points={{-81.56,90.04},{-60,90.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XKE.y, BusConnector.XKE)       annotation (Line(
        points={{-81.56,66.04},{-60,66.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(kidney.busConnector, BusConnector)       annotation (Line(
        points={{43.3,92.505},{31.6,92.505},{31.6,82},{12,82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XMGE.y, BusConnector.XMGE)       annotation (Line(
        points={{-81.56,58.04},{-60,58.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XMNE.y, BusConnector.XMNE)       annotation (Line(
        points={{-81.56,50.04},{-60,50.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XNE.y, BusConnector.XNE)       annotation (Line(
        points={{-81.56,42.04},{-60,42.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XOGE.y, BusConnector.XOGE)       annotation (Line(
        points={{-81.56,34.04},{-60,34.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XURE.y, BusConnector.XURE)       annotation (Line(
        points={{-81.56,10.04},{-60,10.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PCOA.y, BusConnector.PCOA)       annotation (Line(
        points={{-81.56,2.04},{-60,2.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PHA.y, BusConnector.PHA)       annotation (Line(
        points={{-81.56,-5.96},{-60,-5.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CPR.y, BusConnector.CPR)       annotation (Line(
        points={{-81.56,-21.96},{-60,-21.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(OSMP.y, BusConnector.OSMP)       annotation (Line(
        points={{-81.56,-29.96},{-60,-29.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XPO4.y, BusConnector.XPO4)       annotation (Line(
        points={{-81.56,26.04},{-60,26.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(XSO4.y, BusConnector.XSO4)       annotation (Line(
        points={{-81.56,18.04},{-60,18.04},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(VEC.y, BusConnector.VEC)       annotation (Line(
        points={{-81.56,-45.96},{-60,-45.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(GFR0.y, BusConnector.GFR0)       annotation (Line(
        points={{-81.56,-53.96},{-60,-53.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(VEC0.y, BusConnector.VEC0)       annotation (Line(
        points={{-81.56,-61.96},{-60,-61.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PAS.y, BusConnector.PAS)       annotation (Line(
        points={{-81.56,-37.96},{-60,-37.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(BusConnector.YORG, sTPG.YORG)       annotation (Line(
        points={{12,82},{-2,82},{-2,34.98},{16.46,34.98}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.YPO4, sTPG.YPO4)       annotation (Line(
        points={{12,82},{-2,82},{-2,23.96},{16.46,23.96}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.PHA, sTPG.PHA)       annotation (Line(
        points={{12,82},{-2,82},{-2,12.36},{15.78,12.36}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.YTA, sTPG.YTA)       annotation (Line(
        points={{12,82},{-2,82},{-2,0.18},{16.46,0.18}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(PVP.y, BusConnector.PVP) annotation (Line(
        points={{-47.56,76.04},{-42,76},{-36,76},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CPAD.y, BusConnector.CPAD) annotation (Line(
        points={{-47.56,68.04},{-36,68.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(COAD.y, BusConnector.COAD) annotation (Line(
        points={{-47.56,60.04},{-36,60.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(ACTH.y, BusConnector.ACTH) annotation (Line(
        points={{-47.56,52.04},{-36,52.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CKAL.y, BusConnector.CKAL) annotation (Line(
        points={{-47.56,44.04},{-36,44.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CPVL.y, BusConnector.CPVL) annotation (Line(
        points={{-47.56,36.04},{-36,36.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CNAL.y, BusConnector.CNAL) annotation (Line(
        points={{-47.56,28.04},{-36,28.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CPAL.y, BusConnector.CPAL) annotation (Line(
        points={{-47.56,20.04},{-36,20.04},{-36,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(BusConnector.ACTH, aldosterone.ACTH) annotation (Line(
        points={{12,82},{-2,82},{-2,-37.52},{10.44,-37.52}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.XKE, aldosterone.XKE) annotation (Line(
        points={{12,82},{-2,82},{-2,-41.48},{10.44,-41.48}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.CKAL, aldosterone.CKAL) annotation (Line(
        points={{12,82},{-2,82},{-2,-45.44},{10.44,-45.44}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.PVP, aldosterone.PVP) annotation (Line(
        points={{12,82},{-2,82},{-2,-49.84},{10.44,-49.84}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.CPVL, aldosterone.CPVL) annotation (Line(
        points={{12,82},{-2,82},{-2,-53.8},{10.44,-53.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.YNH, aldosterone.YNH) annotation (Line(
        points={{12,82},{-2,82},{-2,-58.2},{10,-58.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.CNAL, aldosterone.CNAL) annotation (Line(
        points={{12,82},{-2,82},{-2,-62.16},{10.44,-62.16}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.PAS, aldosterone.PAS) annotation (Line(
        points={{12,82},{-2,82},{-2,-66.56},{10.88,-66.56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.CPAL, aldosterone.CPAL) annotation (Line(
        points={{12,82},{-2,82},{-2,-70.96},{10.44,-70.96}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(sTPG.STPG, BusConnector.STPG) annotation (Line(
        points={{71.88,25.7},{92,25.7},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(BusConnector.PVP, antidiureticHormone.PVP) annotation (Line(
        points={{12,82},{-2,82},{-2,0.72},{14.16,0.72}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.OSMP, antidiureticHormone.OSMP) annotation (Line(
        points={{12,82},{-2,82},{-2,-4.4},{14.16,-4.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.CPAD, antidiureticHormone.CPAD) annotation (Line(
        points={{12,82},{-2,82},{-2,-9.52},{13.84,-9.52}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(BusConnector.COAD, antidiureticHormone.COAD) annotation (Line(
        points={{12,82},{-2,82},{-2,-15.28},{13.84,-15.28}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(antidiureticHormone.ADH0, BusConnector.ADH0) annotation (Line(
        points={{47.12,2},{92,2},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(antidiureticHormone.ADH, BusConnector.ADH) annotation (Line(
        points={{47.12,-5.04},{92,-5.04},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(aldosterone.ALD0, BusConnector.ALD0) annotation (Line(
        points={{54.88,-42.8},{92,-42.8},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(aldosterone.ALD, BusConnector.ALD) annotation (Line(
        points={{54.88,-53.36},{92,-53.36},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(natriureticHormone.THDF, BusConnector.THDF) annotation (Line(
        points={{34.6,-88.2},{92,-88.2},{92,52},{12,52},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(PPCO.y, BusConnector.PPCO) annotation (Line(
        points={{-81.56,-13.96},{-60,-13.96},{-60,82},{12,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(BusConnector.PPCO, natriureticHormone.PPCO) annotation (Line(
        points={{12,82},{-2,82},{-2,-85.3},{13.7,-85.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end testKidney;

  model TestRenalAcidification
    RenalAcidification renalAcidification
      annotation (Placement(transformation(extent={{30,-42},{92,20}})));
    Library.Constant PHA(Const=7.4)
      annotation (Placement(transformation(extent={{-90,-50},{-74,-34}})));
    Library.Constant ALD(Const=1)
      annotation (Placement(transformation(extent={{-86,-80},{-68,-62}})));
    Library.Constant YPO4(Const=0.025)
      annotation (Placement(transformation(extent={{-84,-24},{-64,-4}})));
    Library.Constant YORG(Const=0.01)
      annotation (Placement(transformation(extent={{-88,0},{-68,20}})));
    Library.Constant YTA0(Const=0.0068)
      annotation (Placement(transformation(extent={{-60,70},{-42,88}})));
    Library.Constant YNH0(Const=0.024)
      annotation (Placement(transformation(extent={{-56,48},{-40,64}})));
  equation
    connect(PHA.y, renalAcidification.PHA) annotation (Line(
        points={{-69.12,-41.92},{-22.78,-41.92},{-22.78,-18.44},{31.55,-18.44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ALD.y, renalAcidification.Ald) annotation (Line(
        points={{-62.51,-70.91},{14.22,-70.91},{14.22,-25.88},{31.55,-25.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH0.y, renalAcidification.YNH40) annotation (Line(
        points={{-35.12,56.08},{-2.78,56.08},{-2.78,5.74},{31.55,5.74}},
        color={0,0,255},
        smooth=Smooth.None,
        thickness=0.5));
    connect(renalAcidification.YTA0, YTA0.y) annotation (Line(
        points={{30.93,13.8},{10.465,13.8},{10.465,79.09},{-36.51,79.09}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG.y, renalAcidification.YORG) annotation (Line(
        points={{-61.9,10.1},{-18.78,10.1},{-18.78,-2.32},{31.55,-2.32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPO4.y, renalAcidification.YPO4) annotation (Line(
        points={{-57.9,-13.9},{-24.95,-13.9},{-24.95,-10.38},{31.55,-10.38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end TestRenalAcidification;

  model GlomerularFiltrationRate
    Library.Interfaces.RealInput PAS annotation (Placement(transformation(
            extent={{-128,-16},{-88,24}}), iconTransformation(extent={{-112,66},
              {-82,96}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-126,66},{-86,106}}), iconTransformation(extent={{-112,32},
              {-80,64}})));
    Library.Interfaces.RealInput GFR0 annotation (Placement(transformation(
            extent={{-128,11},{-88,51}}), iconTransformation(extent={{-112,-2},
              {-80,30}})));
    Library.Interfaces.RealOutput GFR annotation (Placement(transformation(
            extent={{72,28},{112,68}}), iconTransformation(extent={{98,14},{130,
              46}})));
    Library.Interfaces.RealInput VEC0 annotation (Placement(transformation(
            extent={{-126,38},{-86,78}}), iconTransformation(extent={{-112,-36},
              {-80,-4}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-50,66},{-30,86}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-18,44},{2,64}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{-30,-22},{-10,-2}})));
    Library.Constant Constant(Const=40)
      annotation (Placement(transformation(extent={{-86,-84},{-78,-76}})));
    Modelica.Blocks.Logical.GreaterEqual greaterEqual
      annotation (Placement(transformation(extent={{-66,-22},{-46,-2}})));
    Library.Constant Constant1(Const=80)
      annotation (Placement(transformation(extent={{-86,-54},{-78,-46}})));
    Library.Constant Constant2(Const=100)
      annotation (Placement(transformation(extent={{-88,-24},{-80,-16}})));
    Modelica.Blocks.Logical.GreaterEqual greaterEqual1
      annotation (Placement(transformation(extent={{-66,-82},{-46,-62}})));
    Modelica.Blocks.Logical.GreaterEqual greaterEqual2
      annotation (Placement(transformation(extent={{-66,-52},{-46,-32}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{-30,-52},{-10,-32}})));
    Modelica.Blocks.Logical.Switch switch3
      annotation (Placement(transformation(extent={{-30,-82},{-10,-62}})));
    Library.Constant Constant3(Const=1)
      annotation (Placement(transformation(extent={{-60,2},{-52,10}})));
    Library.Constant Constant4(Const=0)
      annotation (Placement(transformation(extent={{-58,-98},{-50,-90}})));
    Library.Constant Constant5(Const=-0.0005)
      annotation (Placement(transformation(extent={{40,-52},{48,-44}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{22,-40},{34,-28}})));
    Library.Constant Constant6(Const=100)
      annotation (Placement(transformation(extent={{4,-52},{12,-44}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{42,-40},{54,-28}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{61,-40},{73,-28}})));
    Modelica.Blocks.Math.Add add1(k2=+1)
      annotation (Placement(transformation(extent={{82,-40},{94,-28}})));
    Library.Constant Constant7(Const=1)
      annotation (Placement(transformation(extent={{60,-52},{68,-44}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{26,-76},{38,-64}})));
    Library.Constant Constant8(Const=0.02)
      annotation (Placement(transformation(extent={{6,-88},{14,-80}})));
    Modelica.Blocks.Math.Add add2(k2=-1)
      annotation (Placement(transformation(extent={{48,-76},{60,-64}})));
    Library.Constant Constant9(Const=0.8)
      annotation (Placement(transformation(extent={{26,-88},{34,-80}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{34,38},{54,58}})));
  equation
    connect(division.u1, VEC) annotation (Line(
        points={{-52,82},{-80,82},{-80,86},{-106,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u2, VEC0) annotation (Line(
        points={{-52,70},{-80,70},{-80,58},{-106,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, product.u1) annotation (Line(
        points={{-29,76},{-24,76},{-24,60},{-20,60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR0, product.u2) annotation (Line(
        points={{-108,31},{-30,31},{-30,48},{-20,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual.y, switch1.u2) annotation (Line(
        points={{-45,-12},{-32,-12}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant3.y, switch1.u1) annotation (Line(
        points={{-49.56,6.04},{-44,6.04},{-44,-4},{-32,-4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual2.y, switch2.u2) annotation (Line(
        points={{-45,-42},{-32,-42}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch3.u2, greaterEqual1.y) annotation (Line(
        points={{-32,-72},{-45,-72}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.y, switch1.u3) annotation (Line(
        points={{-9,-42},{-4,-42},{-4,-26},{-44,-26},{-44,-20},{-32,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch3.y, switch2.u3) annotation (Line(
        points={{-9,-72},{-2,-72},{-2,-56},{-42,-56},{-42,-50},{-32,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant4.y, switch3.u3) annotation (Line(
        points={{-47.56,-93.96},{-40,-93.96},{-40,-80},{-32,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PAS, greaterEqual.u1) annotation (Line(
        points={{-108,4},{-80,4},{-80,-12},{-68,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual2.u1, PAS) annotation (Line(
        points={{-68,-42},{-94,-42},{-94,-12},{-80,-12},{-80,4},{-108,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual1.u1, PAS) annotation (Line(
        points={{-68,-72},{-94,-72},{-94,-12},{-80,-12},{-80,4},{-108,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant6.y, add.u2) annotation (Line(
        points={{14.44,-47.96},{18,-47.96},{18,-38},{20,-38},{20.8,-37.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product1.u1) annotation (Line(
        points={{34.6,-34},{32,-34},{32,-30.4},{40.8,-30.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.u2, add.y) annotation (Line(
        points={{40.8,-37.6},{32,-37.6},{32,-34},{34.6,-34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, product2.u1) annotation (Line(
        points={{54.6,-34},{56,-34},{56,-30},{59.8,-30},{59.8,-30.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant5.y, product2.u2) annotation (Line(
        points={{50.44,-47.96},{52,-47.96},{52,-37.6},{59.8,-37.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, add1.u1) annotation (Line(
        points={{73.6,-34},{76,-34},{76,-30},{80.8,-30},{80.8,-30.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant7.y, add1.u2) annotation (Line(
        points={{70.44,-47.96},{76,-47.96},{76,-37.6},{80.8,-37.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.y, add2.u1) annotation (Line(
        points={{38.6,-70},{40,-70},{40,-66.4},{46.8,-66.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant9.y, add2.u2) annotation (Line(
        points={{36.44,-83.96},{40,-83.96},{40,-73.6},{46.8,-73.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant8.y, product3.u2) annotation (Line(
        points={{16.44,-83.96},{20,-83.96},{20,-73.6},{24.8,-73.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, switch2.u1) annotation (Line(
        points={{94.6,-34},{98,-34},{98,-24},{-38,-24},{-38,-34},{-32,-34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.y, switch3.u1) annotation (Line(
        points={{60.6,-70},{70,-70},{70,-54},{-38,-54},{-38,-64},{-32,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.u1, PAS) annotation (Line(
        points={{24.8,-66.4},{2,-66.4},{2,16},{-80,16},{-80,4},{-108,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, PAS) annotation (Line(
        points={{20.8,-30.4},{2,-30.4},{2,16},{-80,16},{-80,4},{-108,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, product4.u1) annotation (Line(
        points={{3,54},{32,54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, product4.u2) annotation (Line(
        points={{-9,-12},{20,-12},{20,42},{32,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.y, GFR) annotation (Line(
        points={{55,48},{92,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, greaterEqual.u2) annotation (Line(
        points={{-77.56,-19.96},{-72.78,-19.96},{-72.78,-20},{-68,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, greaterEqual2.u2) annotation (Line(
        points={{-75.56,-49.96},{-70.78,-49.96},{-70.78,-50},{-68,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, greaterEqual1.u2) annotation (Line(
        points={{-75.56,-79.96},{-71.78,-79.96},{-71.78,-80},{-68,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-94,-26},{88,-68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Glomerular"),
          Text(
            extent={{-92,-60},{90,-102}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="filtration")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics=
           {
          Text(
            extent={{6,-18},{92,-24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F74=-0.0005*(PAS-100)^2+1"),
          Text(
            extent={{2,-54},{88,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F74=-0.02*PAS-0.8"),
          Text(
            extent={{-78,4},{8,-2}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F74=1"),
          Text(
            extent={{-74,-84},{12,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F74=0"),
          Text(
            extent={{-4,72},{82,66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR=VEC/VEC0*GFR0*F74")}));
  end GlomerularFiltrationRate;

  model testGFR
    GlomerularFiltrationRate glomerularFiltrationRate
      annotation (Placement(transformation(extent={{-42,12},{10,64}})));
    Library.Constant PAS(Const=40)
      annotation (Placement(transformation(extent={{-82,56},{-74,64}})));
    Library.Constant VEC(Const=11)
      annotation (Placement(transformation(extent={{-82,48},{-74,56}})));
    Library.Constant GFR0(Const=0.1)
      annotation (Placement(transformation(extent={{-82,40},{-74,48}})));
    Library.Constant VEC0(Const=11)
      annotation (Placement(transformation(extent={{-82,32},{-74,40}})));
  equation
    connect(PAS.y, glomerularFiltrationRate.PAS) annotation (Line(
        points={{-71.56,60.04},{-56.78,60.04},{-56.78,59.06},{-41.22,59.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC.y, glomerularFiltrationRate.VEC) annotation (Line(
        points={{-71.56,52.04},{-56.78,52.04},{-56.78,50.48},{-40.96,50.48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR0.y, glomerularFiltrationRate.GFR0) annotation (Line(
        points={{-71.56,44.04},{-57.78,44.04},{-57.78,41.64},{-40.96,41.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC0.y, glomerularFiltrationRate.VEC0) annotation (Line(
        points={{-71.56,36.04},{-56.78,36.04},{-56.78,32.8},{-40.96,32.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{
              -100,-100},{100,100}}), graphics));
  end testGFR;

  model BicarbonateRenalExcretionOld
    Modelica.Blocks.Interfaces.RealInput XCO3 annotation (Placement(
          transformation(extent={{-112,-31},{-72,9}}),   iconTransformation(
            extent={{-110,46},{-86,70}})));
    Modelica.Blocks.Interfaces.RealInput GFR annotation (Placement(
          transformation(extent={{-112,3},{-72,43}}),    iconTransformation(
            extent={{-112,8},{-88,32}})));
    Modelica.Blocks.Interfaces.RealOutput YCO3 annotation (Placement(
          transformation(extent={{82,41},{102,61}}), iconTransformation(extent={{94,14},
              {114,34}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-46,-3},{-26,17}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-36,47},{-16,67}})));
    Modelica.Blocks.Math.Add add(k1=+1, k2=-1)
      annotation (Placement(transformation(extent={{-66,53},{-46,73}})));
    Modelica.Blocks.Logical.LessEqual lessEqual
      annotation (Placement(transformation(extent={{30,41},{50,61}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{58,41},{78,61}})));
    Modelica.Blocks.Interfaces.RealInput PCOA annotation (Placement(
          transformation(extent={{-112,31},{-72,71}}), iconTransformation(
            extent={{-116,-30},{-92,-6}})));
    Modelica.Blocks.Logical.LessEqual lessEqual1
      annotation (Placement(transformation(extent={{32,-21},{52,-1}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{62,-21},{82,-1}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-14,-61},{6,-41}})));
    Modelica.Blocks.Math.Add add1(k1=+1, k2=-1)
      annotation (Placement(transformation(extent={{-68,-52},{-48,-32}})));
    Modelica.Blocks.Math.Add add2(
                                 k1=+1, k2=-1)
      annotation (Placement(transformation(extent={{72,-66},{92,-46}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-6,41},{14,61}})));
    Library.POW pOW
      annotation (Placement(transformation(extent={{-40,-54},{-24,-38}})));
    Library.Constant Constant(Const=160)
      annotation (Placement(transformation(extent={{-96,74},{-82,88}})));
    Library.Constant Constant1(Const=0)
      annotation (Placement(transformation(extent={{28,68},{42,82}})));
    Library.Constant Constant2(Const=120)
      annotation (Placement(transformation(extent={{-70,32},{-56,46}})));
    Library.Constant Constant3(Const=2) annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={39,29})));
    Library.Constant Constant4(Const=4) annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={43,-35})));
    Library.Constant Constant5(Const=2)
      annotation (Placement(transformation(extent={{-96,-64},{-82,-50}})));
    Library.Constant Constant6(Const=0.1638)
      annotation (Placement(transformation(extent={{-60,-94},{-44,-78}})));
    Library.Constant Constant7(Const=2.61)
      annotation (Placement(transformation(extent={{-70,-72},{-56,-58}})));
    Library.Constant Constant8(Const=3)
      annotation (Placement(transformation(extent={{38,-76},{52,-62}})));
  equation
    connect(XCO3, product.u2) annotation (Line(
        points={{-92,-11},{-62,-11},{-62,1},{-48,1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, product.u1) annotation (Line(
        points={{-92,23},{-64,23},{-64,13},{-48,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCOA, add.u2) annotation (Line(
        points={{-92,51},{-72,51},{-72,57},{-68,57}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, division.u1) annotation (Line(
        points={{-45,63},{-38,63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.y, switch1.u2) annotation (Line(
        points={{51,51},{56,51}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, YCO3) annotation (Line(
        points={{92,51},{92,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, YCO3) annotation (Line(
        points={{79,51},{92,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, product2.u1) annotation (Line(
        points={{-15,57},{-8,57}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product2.y, lessEqual.u1) annotation (Line(
        points={{15,51},{28,51}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product.y, product2.u2) annotation (Line(
        points={{-25,7},{-18,7},{-18,45},{-8,45}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual1.u1, product2.y) annotation (Line(
        points={{30,-11},{20,-11},{20,51},{15,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.y, switch1.u3) annotation (Line(
        points={{83,-11},{92,-11},{92,29},{52,29},{52,43},{56,43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.u1, product2.y) annotation (Line(
        points={{-70,-36},{-80,-36},{-80,-22},{-8,-22},{-8,-11},{20,-11},{20,51},
            {15,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.u1, product2.y) annotation (Line(
        points={{70,-50},{20,-50},{20,51},{15,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.y, switch2.u3) annotation (Line(
        points={{93,-56},{96,-56},{96,-28},{56,-28},{56,-19},{60,-19}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, add.u1) annotation (Line(
        points={{-77.73,81.07},{-74,81.07},{-74,69},{-68,69}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, switch1.u1) annotation (Line(
        points={{46.27,75.07},{52,75.07},{52,59},{56,59}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, division.u2) annotation (Line(
        points={{-51.73,39.07},{-44,39.07},{-44,51},{-38,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant3.y, lessEqual.u2) annotation (Line(
        points={{27.73,28.93},{22,28.93},{22,43},{28,43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant4.y, lessEqual1.u2) annotation (Line(
        points={{31.73,-35.07},{24,-35.07},{24,-19},{30,-19}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant5.y, add1.u2) annotation (Line(
        points={{-77.73,-56.93},{-75.475,-56.93},{-75.475,-48},{-70,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant7.y, pOW.n) annotation (Line(
        points={{-51.73,-64.93},{-44,-64.93},{-44,-49.6},{-39.76,-49.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant8.y, add2.u2) annotation (Line(
        points={{56.27,-68.93},{63.525,-68.93},{63.525,-62},{70,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual1.y, switch2.u2) annotation (Line(
        points={{53,-11},{56.5,-11},{56.5,-11},{60,-11}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, pOW.x) annotation (Line(
        points={{-47,-42},{-43.3,-42},{-43.3,-41.76},{-39.6,-41.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pOW.y, product1.u1) annotation (Line(
        points={{-23.28,-45.76},{-19.64,-45.76},{-19.64,-45},{-16,-45}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant6.y, product1.u2) annotation (Line(
        points={{-39.12,-85.92},{-22,-85.92},{-22,-57},{-16,-57}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, switch2.u1) annotation (Line(
        points={{7,-51},{18,-51},{18,4},{56,4},{56,-3},{60,-3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-86,66},{-40,50}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XCO3"),
          Text(
            extent={{-90,28},{-48,12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="GFR"),
          Text(
            extent={{46,30},{90,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3"),
          Text(
            extent={{-92,-6},{-56,-26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PCOA"),
          Text(
            extent={{-58,-22},{80,-58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-52,-50},{88,-88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion"),
          Text(
            extent={{-48,2},{78,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="HCO3")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics={
          Text(
            extent={{-64,86},{10,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F50= -PCOA/120+4/3=(160-PCOA)/120"),
          Text(
            extent={{-12,59},{52,51}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{8,11},{96,4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3=0.1638*(x-2)^2.61"),
          Text(
            extent={{-10,-1},{54,-9}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x"),
          Text(
            extent={{44,-21},{106,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3=(x-3)"),
          Text(
            extent={{30,85},{92,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YCO3=0"),
          Text(
            extent={{-44,64},{20,59}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F50"),
          Text(
            extent={{-30,72},{42,66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="x=XCO3*GFR*F50")}),
      Documentation(info="<html>
<p><h4>Bicarbonate excretion</h4></p>
</html>"));
  end BicarbonateRenalExcretionOld;

  model F51

    Library.Interfaces.RealInput x annotation (Placement(transformation(extent={{-122,
              4},{-82,44}}), iconTransformation(extent={{-116,6},{-84,38}})));
    Library.Interfaces.RealOutput YCO3 annotation (Placement(transformation(
            extent={{78,4},{118,44}}), iconTransformation(extent={{88,10},{112,34}})));
  equation
     YCO3 = if (x<=2) then 0 else
                 if (x<=4) then 0.1638*(x-2)^2.6 else
                 x-3;
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-44,-24},{42,-80}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F51")}));
  end F51;

  model PHUCalculation

    function PHUcalc
      input Real ypo4;
      input Real yorg;
      input Real yta;
      input Real pha;
      output Real phu;
    protected
      Real a;
      Real b;
      Real c;
      Real XX1;
      Real c68;
      Real c43;
      Real cPHA;

    algorithm
      c68:=10^(-6.8);
      c43:=10^(-4.3);
      cPHA:=10^(-pha);
      a := -c43*c68*yorg-c43*cPHA*yorg-c43*c68*ypo4-c68*cPHA*ypo4+c43*c68*yta+c43*cPHA*yta+c68*cPHA*yta+cPHA^2*yta;
      b := -c43*c68^2*yorg + c43*cPHA^2*yorg - c43^2*c68*ypo4 +
      c68*cPHA^2*ypo4 + c43^2*c68*yta + c43*c68^2*yta + c43^2*cPHA*yta +
      2*c43*c68*cPHA*yta + c68^2*cPHA*yta + c43*cPHA^2*yta +
      c68*cPHA^2*yta;
      c := c43*c68^2*cPHA*yorg + c43*c68*cPHA^2*yorg + c43^2*c68*cPHA*ypo4 +
      c43*c68*cPHA^2*ypo4 + c43^2*c68^2*yta + c43^2*c68*cPHA*yta +
      c43*c68^2*cPHA*yta + c43*c68*cPHA^2*yta;

      XX1 := (-b - sqrt(b*b - 4*a*c))/(2*a);
      if (XX1>(10^(-3.5))) then
        XX1:=10^(-3.5);
      end if;
      if (XX1<0) then
         XX1:=10^(-3.5);
      end if;
      phu:=-Modelica.Math.log10(XX1);

    end PHUcalc;

    Modelica.Blocks.Interfaces.RealInput YPO4 annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={-90,80}), iconTransformation(
          extent={{-17,-17},{17,17}},
          rotation=270,
          origin={-27,69})));
    Modelica.Blocks.Interfaces.RealInput YORG annotation (Placement(
          transformation(extent={{-110,22},{-70,62}}),  iconTransformation(
          extent={{-17,-17},{17,17}},
          rotation=270,
          origin={41,71})));
    Modelica.Blocks.Interfaces.RealOutput PHU annotation (Placement(
          transformation(extent={{70,-61},{100,-31}}),iconTransformation(extent={
              {70,-10},{102,22}})));
    Modelica.Blocks.Interfaces.RealInput YTA annotation (Placement(transformation(
            extent={{-114,-66},{-74,-26}}),iconTransformation(extent={{-96,-14},{
              -56,26}})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
            extent={{-110,-14},{-70,26}}),  iconTransformation(
          extent={{-20,-20},{20,20}},
          rotation=90,
          origin={14,-46})));

  equation
    PHU=PHUcalc(YPO4,YORG,YTA,PHA);

    annotation (
      uses(Modelica(version="3.1")),
      Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{100,
              100}}), graphics={
          Text(
            extent={{-4,42},{-48,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPO4"),
          Text(
            extent={{64,42},{20,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YORG"),
          Text(
            extent={{-20,0},{-64,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA"),
          Text(
            extent={{78,-2},{34,8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{36,-28},{-8,-18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Rectangle(
            extent={{-76,68},{86,-54}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{90,18},{-82,42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU Calculation")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}),
                      graphics));
  end PHUCalculation;

  model TestPHUCalculation
    Modelica.Blocks.Sources.Constant PHA(k=7.400)
      annotation (Placement(transformation(extent={{-84,-64},{-64,-44}})));
    Modelica.Blocks.Sources.Constant YTA(k=0.0168)
      annotation (Placement(transformation(extent={{-86,-5},{-66,15}})));
    Modelica.Blocks.Sources.Constant YPO4(k=0.025)
      annotation (Placement(transformation(extent={{-84,55},{-64,75}})));
    Modelica.Blocks.Sources.Constant YORG(k=0.01)
      annotation (Placement(transformation(extent={{-32,75},{-12,95}})));
    Modelica.Blocks.Interfaces.RealOutput pHU annotation (Placement(
          transformation(extent={{68,-6},{88,14}}), iconTransformation(extent={
              {68,-6},{88,14}})));
    IKEDA.PHUCalculation pHUCaculation
      annotation (Placement(transformation(extent={{-50,-42},{34,42}})));
  equation
    connect(YTA.y, pHUCaculation.YTA) annotation (Line(
        points={{-65,5},{-53.5,5},{-53.5,2.52},{-39.92,2.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculation.YPO4, YPO4.y) annotation (Line(
        points={{-19.34,28.98},{-19.34,65},{-63,65}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG.y, pHUCaculation.YORG) annotation (Line(
        points={{-11,85},{9.22,85},{9.22,29.82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA.y, pHUCaculation.PHA) annotation (Line(
        points={{-63,-54},{-32,-54},{-32,-52},{-2.12,-52},{-2.12,-19.32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pHUCaculation.PHU, pHU) annotation (Line(
        points={{28.12,2.52},{50.06,2.52},{50.06,4},{78,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end TestPHUCalculation;

  model NatriureticHormone

    Library.Interfaces.RealInput PPCO annotation (Placement(transformation(extent=
             {{-124,-10},{-84,30}}), iconTransformation(extent={{-118,32},{-88,62}})));
    Library.Interfaces.RealOutput THDF annotation (Placement(transformation(
            extent={{68,-10},{108,30}}), iconTransformation(extent={{90,2},{122,34}})));

      function ThirdFactor
      input Real ppco;
      output Real thdf;
      algorithm

      if (ppco<=20) then
        thdf:=-5.0*(ppco/28-1)+1;
      else
        thdf:=1;
      end if;

      end ThirdFactor;
  equation
      THDF=ThirdFactor(PPCO);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-60,-58},{76,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="hormone"),
          Text(
            extent={{-60,-26},{76,-58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Natriuretic")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end NatriureticHormone;

  model AntidiureticHormone

    Library.Interfaces.RealInput PVP annotation (Placement(transformation(extent={
              {-128,26},{-88,66}}), iconTransformation(extent={{-112,54},{-86,80}})));
    Library.Interfaces.RealInput OSMP annotation (Placement(transformation(extent=
             {{-130,-20},{-90,20}}), iconTransformation(extent={{-112,22},{-86,48}})));
    Library.Interfaces.RealInput CPAD annotation (Placement(transformation(extent=
             {{-128,58},{-88,98}}), iconTransformation(extent={{-114,-10},{-88,16}})));
    Library.Interfaces.RealInput COAD annotation (Placement(transformation(extent=
             {{-124,-62},{-84,-22}}), iconTransformation(extent={{-114,-46},{-88,-20}})));
    Library.Interfaces.RealOutput ADH annotation (Placement(transformation(extent=
             {{74,-94},{114,-54}}), iconTransformation(extent={{94,18},{120,44}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-78,30},{-58,50}})));
    Library.Constant Constant(Const=4)
      annotation (Placement(transformation(extent={{-98,22},{-90,30}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-48,52},{-28,72}})));
    Library.Constant TAHD(Const=15)
      annotation (Placement(transformation(extent={{-4,-10},{4,-2}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{-2,8},{18,28}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{26,2},{46,22}})));
    Modelica.Blocks.Continuous.Integrator integrator(y_start=0)
      annotation (Placement(transformation(extent={{56,2},{76,22}})));
    Modelica.Blocks.Math.Add add2(k2=-1)
      annotation (Placement(transformation(extent={{-76,-16},{-56,4}})));
    Library.Constant Constant1(Const=287)
      annotation (Placement(transformation(extent={{-96,-24},{-88,-16}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-46,-46},{-26,-26}})));
    Modelica.Blocks.Math.Add add3(k1=-1, k2=+1)
      annotation (Placement(transformation(extent={{-32,14},{-12,34}})));
    Modelica.Blocks.Math.Add add4(k2=+1)
      annotation (Placement(transformation(extent={{-70,-84},{-50,-64}})));
    Library.Constant TAHD1(Const=4.605)
      annotation (Placement(transformation(extent={{-92,-84},{-84,-76}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-36,-84},{-16,-64}})));
    Library.Constant TAHD2(Const=-0.5)
      annotation (Placement(transformation(extent={{-64,-96},{-56,-88}})));
    Modelica.Blocks.Math.Exp exp
      annotation (Placement(transformation(extent={{-2,-84},{18,-64}})));
    Modelica.Blocks.Math.Add add5(k2=+1)
      annotation (Placement(transformation(extent={{30,-84},{50,-64}})));
    Library.Constant TAHD3(Const=1)
      annotation (Placement(transformation(extent={{6,-98},{14,-90}})));
    Modelica.Blocks.Math.Division division1
      annotation (Placement(transformation(extent={{60,-84},{80,-64}})));
    Library.Constant TAHD4(Const=1.1)
      annotation (Placement(transformation(extent={{34,-54},{42,-46}})));
    Library.Interfaces.RealOutput ADH0 annotation (Placement(transformation(
            extent={{72,-38},{112,2}}), iconTransformation(extent={{94,62},{120,88}})));
  equation
    connect(PVP, add.u1) annotation (Line(
        points={{-108,46},{-80,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, division.u1) annotation (Line(
        points={{19,18},{24,18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, integrator.u) annotation (Line(
        points={{47,12},{54,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.y, add1.u2) annotation (Line(
        points={{77,12},{80,12},{80,-18},{-12,-18},{-12,12},{-4,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TAHD.y, division.u2) annotation (Line(
        points={{6.44,-5.96},{18,-5.96},{18,6},{24,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product.u2) annotation (Line(
        points={{-57,40},{-54,40},{-54,56},{-50,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CPAD, product.u1) annotation (Line(
        points={{-108,78},{-78,78},{-78,68},{-50,68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, add.u2) annotation (Line(
        points={{-87.56,26.04},{-84,26.04},{-84,34},{-80,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.u1, OSMP) annotation (Line(
        points={{-78,0},{-110,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, add2.u2) annotation (Line(
        points={{-85.56,-19.96},{-82,-19.96},{-82,-12},{-78,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(COAD, product1.u2) annotation (Line(
        points={{-104,-42},{-48,-42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.u1, add2.y) annotation (Line(
        points={{-48,-30},{-52,-30},{-52,-6},{-55,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.y, add1.u1) annotation (Line(
        points={{-11,24},{-4,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, add3.u2) annotation (Line(
        points={{-25,-36},{-20,-36},{-20,2},{-44,2},{-44,18},{-34,18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add3.u1) annotation (Line(
        points={{-27,62},{-20,62},{-20,48},{-40,48},{-40,30},{-34,30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TAHD1.y, add4.u2) annotation (Line(
        points={{-81.56,-79.96},{-76.78,-79.96},{-76.78,-80},{-72,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4.y, product2.u1) annotation (Line(
        points={{-49,-74},{-46,-74},{-46,-68},{-38,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TAHD2.y, product2.u2) annotation (Line(
        points={{-53.56,-91.96},{-44,-91.96},{-44,-80},{-38,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, exp.u) annotation (Line(
        points={{-15,-74},{-4,-74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exp.y, add5.u1) annotation (Line(
        points={{19,-74},{24,-74},{24,-68},{28,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TAHD3.y, add5.u2) annotation (Line(
        points={{16.44,-93.96},{24,-93.96},{24,-80},{28,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5.y, division1.u2) annotation (Line(
        points={{51,-74},{54,-74},{54,-80},{58,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TAHD4.y, division1.u1) annotation (Line(
        points={{44.44,-49.96},{52,-49.96},{52,-68},{58,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.y, ADH) annotation (Line(
        points={{81,-74},{94,-74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4.u1, integrator.y) annotation (Line(
        points={{-72,-68},{-86,-68},{-86,-50},{16,-50},{16,-34},{80,-34},{80,12},{
            77,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ADH0, integrator.y) annotation (Line(
        points={{92,-18},{80,-18},{80,12},{77,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-72,-42},{92,-92}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ADH")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end AntidiureticHormone;

  model Aldosterone

    Library.Interfaces.RealInput ACTH annotation (Placement(transformation(extent={{-132,66},
              {-92,106}}),          iconTransformation(extent={{-106,76},{-90,92}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(extent={{-20,-20},
              {20,20}},
          rotation=0,
          origin={-112,60}),        iconTransformation(extent={{-106,58},{-90,
              74}})));
    Library.Interfaces.RealInput CKAL annotation (Placement(transformation(extent={{-20,-20},
              {20,20}},
          rotation=0,
          origin={-100,36}),        iconTransformation(extent={{-106,40},{-90,
              56}})));
    Library.Interfaces.RealInput PVP  annotation (Placement(transformation(extent={{-132,0},
              {-92,40}}),           iconTransformation(extent={{-106,20},{-90,
              36}})));
    Library.Interfaces.RealInput CPVL annotation (Placement(transformation(extent={{-120,
              -24},{-80,16}}),      iconTransformation(extent={{-106,2},{-90,18}})));
    Library.Interfaces.RealInput YNH  annotation (Placement(transformation(extent={{-130,
              -44},{-90,-4}}),      iconTransformation(extent={{-108,-18},{-92,
              -2}})));
    Library.Interfaces.RealInput CNAL annotation (Placement(transformation(extent={{-120,
              -70},{-80,-30}}),     iconTransformation(extent={{-106,-36},{-90,
              -20}})));
    Library.Interfaces.RealInput PAS  annotation (Placement(transformation(extent={{-132,
              -88},{-92,-48}}),     iconTransformation(extent={{-104,-56},{-88,
              -40}})));
    Library.Interfaces.RealInput CPAL annotation (Placement(transformation(extent={{-120,
              -112},{-80,-72}}),    iconTransformation(extent={{-106,-76},{-90,
              -60}})));
    Library.Interfaces.RealOutput ALD annotation (Placement(transformation(
            extent={{72,-100},{112,-60}}), iconTransformation(extent={{94,2},{
              114,22}})));
    Library.Constant Constant(Const=1)
      annotation (Placement(transformation(extent={{-94,74},{-86,82}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-72,80},{-58,94}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-42,80},{-28,94}})));
    Library.Constant Constant1(Const=1)
      annotation (Placement(transformation(extent={{-68,68},{-60,76}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{-66,49},{-52,63}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-40,49},{-26,63}})));
    Library.Constant Constant3(Const=4.5)
      annotation (Placement(transformation(extent={{-88,43},{-80,51}})));
    Modelica.Blocks.Math.Add add2(k2=-1)
      annotation (Placement(transformation(extent={{-68,9},{-54,23}})));
    Library.Constant Constant2(Const=4)
      annotation (Placement(transformation(extent={{-90,3},{-82,11}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-44,9},{-30,23}})));
    Modelica.Blocks.Math.Add add3(k2=-1)
      annotation (Placement(transformation(extent={{-70,-33},{-56,-19}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{-44,-33},{-30,-19}})));
    Library.Constant Constant4(Const=1.4)
      annotation (Placement(transformation(extent={{-92,-39},{-84,-31}})));
    Modelica.Blocks.Math.Add add4(k2=-1)
      annotation (Placement(transformation(extent={{-70,-75},{-56,-61}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{-44,-75},{-30,-61}})));
    Library.Constant Constant5(Const=100)
      annotation (Placement(transformation(extent={{-92,-81},{-84,-73}})));
    Modelica.Blocks.Math.Add add5
      annotation (Placement(transformation(extent={{-16,62},{0,78}})));
    Modelica.Blocks.Math.Add3 add3_1
      annotation (Placement(transformation(extent={{-14,-34},{2,-18}})));
    Modelica.Blocks.Math.Add add6(k2=-1)
      annotation (Placement(transformation(extent={{-16,20},{0,36}})));
    Modelica.Blocks.Nonlinear.FixedDelay fixedDelay(delayTime(displayUnit="s")=
           100) annotation (Placement(transformation(extent={{6,20},{22,36}})));
    Modelica.Blocks.Continuous.Integrator integrator
      annotation (Placement(transformation(extent={{78,20},{94,36}})));
    Modelica.Blocks.Math.Add add7(k2=-1)
      annotation (Placement(transformation(extent={{30,20},{46,36}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{56,20},{72,36}})));
    Library.Constant TALD(Const=30)
      annotation (Placement(transformation(extent={{32,4},{40,13}})));
    Library.Interfaces.RealOutput ALD0 annotation (Placement(transformation(
            extent={{72,-60},{112,-20}}), iconTransformation(extent={{94,50},{
              114,70}})));
    Modelica.Blocks.Math.Add add8(k2=-1)
      annotation (Placement(transformation(extent={{-16,-87},{-2,-73}})));
    Library.Constant Constant6(Const=5)
      annotation (Placement(transformation(extent={{-40,-99},{-32,-91}})));
    Modelica.Blocks.Math.Product product5
      annotation (Placement(transformation(extent={{8,-87},{22,-73}})));
    Library.Constant Constant7(Const=-04394.)
      annotation (Placement(transformation(extent={{-14,-99},{-6,-91}})));
    Modelica.Blocks.Math.Exp exp
      annotation (Placement(transformation(extent={{28,-87},{42,-73}})));
    Modelica.Blocks.Math.Add add9(k2=+1)
      annotation (Placement(transformation(extent={{50,-87},{64,-73}})));
    Library.Constant Constant8(Const=1)
      annotation (Placement(transformation(extent={{28,-99},{36,-91}})));
    Modelica.Blocks.Math.Division division1
      annotation (Placement(transformation(extent={{74,-87},{88,-73}})));
    Library.Constant Constant9(Const=10)
      annotation (Placement(transformation(extent={{50,-65},{58,-57}})));
  equation
    connect(Constant.y, add.u2) annotation (Line(
        points={{-83.56,78.04},{-78,78.04},{-78,82.8},{-73.4,82.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ACTH, add.u1) annotation (Line(
        points={{-112,86},{-78,86},{-78,91.2},{-73.4,91.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, product.u2) annotation (Line(
        points={{-57.56,72.04},{-52,72.04},{-52,82.8},{-43.4,82.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, product.u1) annotation (Line(
        points={{-57.3,87},{-54,87},{-54,91.2},{-43.4,91.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant3.y, add1.u2) annotation (Line(
        points={{-77.56,47.04},{-70,47.04},{-70,51.8},{-67.4,51.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE, add1.u1) annotation (Line(
        points={{-112,60},{-90.7,60},{-90.7,60.2},{-67.4,60.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CKAL, product1.u2) annotation (Line(
        points={{-100,36},{-48,36},{-48,51.8},{-41.4,51.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, product1.u1) annotation (Line(
        points={{-51.3,56},{-48,56},{-48,60.2},{-41.4,60.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PVP, add2.u1) annotation (Line(
        points={{-112,20},{-90.7,20},{-90.7,20.2},{-69.4,20.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, add2.u2) annotation (Line(
        points={{-79.56,7.04},{-74,7.04},{-74,11.8},{-69.4,11.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.y, product2.u1) annotation (Line(
        points={{-53.3,16},{-50,16},{-50,20.2},{-45.4,20.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CPVL, product2.u2) annotation (Line(
        points={{-100,-4},{-50,-4},{-50,11.8},{-45.4,11.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH, add3.u1) annotation (Line(
        points={{-110,-24},{-76,-24},{-76,-21.8},{-71.4,-21.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant4.y, add3.u2) annotation (Line(
        points={{-81.56,-34.96},{-76,-34.96},{-76,-30.2},{-71.4,-30.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.y, product3.u1) annotation (Line(
        points={{-55.3,-26},{-50,-26},{-50,-21.8},{-45.4,-21.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CNAL, product3.u2) annotation (Line(
        points={{-100,-50},{-50,-50},{-50,-30.2},{-45.4,-30.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PAS, add4.u1) annotation (Line(
        points={{-112,-68},{-82,-68},{-82,-63.8},{-71.4,-63.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant5.y, add4.u2) annotation (Line(
        points={{-81.56,-76.96},{-76,-76.96},{-76,-72.2},{-71.4,-72.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4.y, product4.u1) annotation (Line(
        points={{-55.3,-68},{-50,-68},{-50,-63.8},{-45.4,-63.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CPAL, product4.u2) annotation (Line(
        points={{-100,-92},{-50,-92},{-50,-72.2},{-45.4,-72.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add5.u1) annotation (Line(
        points={{-27.3,87},{-22,87},{-22,74.8},{-17.6,74.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, add5.u2) annotation (Line(
        points={{-25.3,56},{-22,56},{-22,65.2},{-17.6,65.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.u1, product2.y) annotation (Line(
        points={{-15.6,-19.6},{-26,-19.6},{-26,16},{-29.3,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.u2, product3.y) annotation (Line(
        points={{-15.6,-26},{-29.3,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.u3, product4.y) annotation (Line(
        points={{-15.6,-32.4},{-26,-32.4},{-26,-68},{-29.3,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3_1.y, add6.u2) annotation (Line(
        points={{2.8,-26},{10,-26},{10,10},{-20,10},{-20,23.2},{-17.6,23.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5.y, add6.u1) annotation (Line(
        points={{0.8,70},{8,70},{8,44},{-20,44},{-20,32.8},{-17.6,32.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add6.y, fixedDelay.u) annotation (Line(
        points={{0.8,28},{4.4,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add7.y, division.u1) annotation (Line(
        points={{46.8,28},{50,28},{50,32.8},{54.4,32.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u2, TALD.y) annotation (Line(
        points={{54.4,23.2},{50,23.2},{50,8.545},{42.44,8.545}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.y, add7.u2) annotation (Line(
        points={{94.8,28},{98,28},{98,-8},{24,-8},{24,23.2},{28.4,23.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(fixedDelay.y, add7.u1) annotation (Line(
        points={{22.8,28},{26,28},{26,32.8},{28.4,32.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, integrator.u) annotation (Line(
        points={{72.8,28},{76.4,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product5.u2, Constant7.y) annotation (Line(
        points={{6.6,-84.2},{2,-84.2},{2,-94.96},{-3.56,-94.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add8.y, product5.u1) annotation (Line(
        points={{-1.3,-80},{2,-80},{2,-75.8},{6.6,-75.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product5.y, exp.u) annotation (Line(
        points={{22.7,-80},{26.6,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant8.y, add9.u2) annotation (Line(
        points={{38.44,-94.96},{46,-94.96},{46,-84.2},{48.6,-84.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exp.y, add9.u1) annotation (Line(
        points={{42.7,-80},{46,-80},{46,-75.8},{48.6,-75.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add9.y, division1.u2) annotation (Line(
        points={{64.7,-80},{68,-80},{68,-84.2},{72.6,-84.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.u1, Constant9.y) annotation (Line(
        points={{72.6,-75.8},{68,-75.8},{68,-60.96},{60.44,-60.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.y, ALD) annotation (Line(
        points={{88.7,-80},{92,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add8.u1, integrator.y) annotation (Line(
        points={{-17.4,-75.8},{-22,-75.8},{-22,-40},{24,-40},{24,-8},{98,-8},{
            98,28},{94.8,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ALD0, integrator.y) annotation (Line(
        points={{92,-40},{24,-40},{24,-8},{98,-8},{98,28},{94.8,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add8.u2, Constant6.y) annotation (Line(
        points={{-17.4,-84.2},{-22,-84.2},{-22,-94.96},{-29.56,-94.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true,  extent={{-100,
              -100},{100,100}}), graphics), Icon(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics={
            Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-42,-58},{90,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Aldosterone")}));
  end Aldosterone;

  model StandardBicarbonate
    Library.Interfaces.RealInput DCLA annotation (Placement(transformation(
            extent={{-138,52},{-98,92}}), iconTransformation(extent={{-106,80},
              {-88,98}})));
    Library.Interfaces.RealInput XCLE annotation (Placement(transformation(
            extent={{-120,66},{-80,106}}), iconTransformation(extent={{-106,61},
              {-88,79}})));
    Library.Interfaces.RealInput XOGE annotation (Placement(transformation(
            extent={{-120,30},{-80,70}}), iconTransformation(extent={{-106,42},
              {-88,60}})));
    Library.Interfaces.RealInput XPO4 annotation (Placement(transformation(
            extent={{-134,14},{-94,54}}), iconTransformation(extent={{-106,23},
              {-88,41}})));
    Library.Interfaces.RealInput XSO4 annotation (Placement(transformation(
            extent={{-120,-10},{-80,30}}), iconTransformation(extent={{-106,4},
              {-88,22}})));
    Library.Interfaces.RealInput XMGE annotation (Placement(transformation(
            extent={{-136,-50},{-96,-10}}), iconTransformation(extent={{-106,
              -40},{-88,-22}})));
    Library.Interfaces.RealInput XCAE annotation (Placement(transformation(
            extent={{-120,-74},{-80,-34}}), iconTransformation(extent={{-106,
              -60},{-88,-42}})));
    Library.Interfaces.RealInput XNE annotation (Placement(transformation(
            extent={{-136,-88},{-96,-48}}), iconTransformation(extent={{-106,
              -80},{-88,-62}})));
    Library.Interfaces.RealInput XKE annotation (Placement(transformation(
            extent={{-120,-110},{-80,-70}}), iconTransformation(extent={{-106,
              -100},{-88,-82}})));
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(
            extent={{-132,-26},{-92,14}}), iconTransformation(extent={{-106,-14},
              {-88,4}})));
    Library.Interfaces.RealOutput STBC annotation (Placement(transformation(
            extent={{72,-20},{112,20}}), iconTransformation(extent={{94,6},{118,
              30}})));
    Modelica.Blocks.Math.Add add(k2=-1, k1=+1)
      annotation (Placement(transformation(extent={{-73,75},{-59,89}})));
    Library.Add5 add5_1(
      k1=+1,
      k2=+1,
      k3=+1,
      k4=+1,
      k5=+1) annotation (Placement(transformation(extent={{-30,42},{-6,66}})));
    Library.Constant Constant(Const=1.8)
      annotation (Placement(transformation(extent={{-94,22},{-86,30}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-76,23},{-62,37}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-80,-17},{-66,-3}})));
    Library.Constant Constant1(Const=0.221)
      annotation (Placement(transformation(extent={{-98,-18},{-90,-10}})));
    Library.Add4 add4_1
      annotation (Placement(transformation(extent={{-30,-70},{-4,-44}})));
    Library.Interfaces.RealOutput XCLA annotation (Placement(transformation(
            extent={{74,62},{114,102}}), iconTransformation(extent={{92,58},{
              116,82}})));
    Modelica.Blocks.Math.Add add1(k1=-1)
      annotation (Placement(transformation(extent={{36,-11},{58,11}})));
  equation
    connect(XCLE, add.u1) annotation (Line(
        points={{-100,86},{-87.2,86},{-87.2,86.2},{-74.4,86.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DCLA, add.u2) annotation (Line(
        points={{-118,72},{-80,72},{-80,77.8},{-74.4,77.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5_1.u1, add.y) annotation (Line(
        points={{-32.4,63.84},{-48,63.84},{-48,82},{-58.3,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPO4, product.u1) annotation (Line(
        points={{-114,34},{-95.7,34},{-95.7,34.2},{-77.4,34.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, product.u2) annotation (Line(
        points={{-83.56,26.04},{-80.78,26.04},{-80.78,25.8},{-77.4,25.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5_1.u2, XOGE) annotation (Line(
        points={{-32.4,59.04},{-60,59.04},{-60,50},{-100,50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add5_1.u3) annotation (Line(
        points={{-61.3,30},{-54,30},{-54,54.24},{-32.4,54.24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XSO4, add5_1.u4) annotation (Line(
        points={{-100,10},{-48,10},{-48,49.44},{-32.4,49.44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, product1.u2) annotation (Line(
        points={{-87.56,-13.96},{-83.78,-13.96},{-83.78,-14.2},{-81.4,-14.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP, product1.u1) annotation (Line(
        points={{-112,-6},{-96.7,-6},{-96.7,-5.8},{-81.4,-5.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, add5_1.u5) annotation (Line(
        points={{-65.3,-10},{-40,-10},{-40,44.64},{-32.4,44.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XMGE, add4_1.u1) annotation (Line(
        points={{-116,-30},{-50,-30},{-50,-46.6},{-32.6,-46.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCAE, add4_1.u2) annotation (Line(
        points={{-100,-54},{-68,-54},{-68,-52.06},{-32.6,-52.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XNE, add4_1.u3) annotation (Line(
        points={{-116,-68},{-52,-68},{-52,-58.04},{-32.6,-58.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE, add4_1.u4) annotation (Line(
        points={{-100,-90},{-42,-90},{-42,-64.28},{-32.6,-64.28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCLA, add.y) annotation (Line(
        points={{94,82},{-58.3,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, STBC) annotation (Line(
        points={{59.1,0},{92,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.u1, add5_1.y) annotation (Line(
        points={{33.8,6.6},{20,6.6},{20,54},{-4.8,54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4_1.y, add1.u2) annotation (Line(
        points={{-2.7,-57},{20,-57},{20,-6.6},{33.8,-6.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-36,-24},{82,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Standard"),
          Text(
            extent={{-46,-56},{112,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="bicarbonate")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end StandardBicarbonate;

  model O2OxyhemoglobinContent

    Library.Interfaces.RealInput XHB annotation (Placement(transformation(extent={
              {-120,54},{-80,94}}), iconTransformation(extent={{-126,62},{-100,88}})));
    Library.Interfaces.RealInput PO2A annotation (Placement(transformation(extent=
             {{-120,-38},{-80,2}}), iconTransformation(extent={{-126,20},{-100,46}})));
    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-120,4},{-80,44}}), iconTransformation(extent={{-126,-18},{-100,8}})));
    Library.Interfaces.RealOutput UHBO annotation (Placement(transformation(
            extent={{70,46},{110,86}}), iconTransformation(extent={{100,12},{126,38}})));

    Library.Interfaces.RealOutput UHB  annotation (Placement(transformation(
            extent={{70,-2},{110,38}}), iconTransformation(extent={{100,54},{126,80}})));
    Library.Interfaces.RealOutput SO2  annotation (Placement(transformation(
            extent={{70,-42},{110,-2}}),iconTransformation(extent={{100,-42},{126,
              -16}})));

  function F23
    input Real uhb;
    input Real po2a;
    input Real pha;
    output Real uhbo;
  algorithm
    uhbo:=uhb*f(po2a*g(pha));
  end F23;

  function f
    input Real x;
    output Real y;
  algorithm
    y:=(1-exp(-x))^2;
  end f;

  function g
    input Real x;
    output Real y;
  algorithm
    y:=0.0066815*x^3-0.10098*x^2+0.44921*x-0.454;
  end g;

  equation
    UHB=XHB*0.0134;
    UHBO=F23(UHB,PO2A,PHA);
    SO2=UHBO/UHB;
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                           graphics), Icon(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics={Text(
            extent={{-82,-18},{68,-128}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="HbO2 cont."), Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5)}));
  end O2OxyhemoglobinContent;

  model testUHBO
    IKEDA.O2OxyhemoglobinContent bloodOxygenContent
      annotation (Placement(transformation(extent={{-4,20},{32,56}})));
    Library.Constant Constant(Const=0.21)
      annotation (Placement(transformation(extent={{-66,68},{-58,76}})));
    Library.Constant Constant1(Const=105)
      annotation (Placement(transformation(extent={{-64,30},{-56,38}})));
    ActualBicarbonate actualBicarbonate
      annotation (Placement(transformation(extent={{-2,-36},{36,2}})));
    Library.Constant STBC(Const=24)
      annotation (Placement(transformation(extent={{-60,0},{-52,8}})));
    Library.Constant XHB(Const=15)
      annotation (Placement(transformation(extent={{-60,-16},{-52,-8}})));
    Library.Constant UHB(Const=0.21)
      annotation (Placement(transformation(extent={{-60,-28},{-52,-20}})));
    HHEquation hHEquation
      annotation (Placement(transformation(extent={{-68,-82},{-32,-46}})));
    Library.Constant Constant2(Const=40)
      annotation (Placement(transformation(extent={{-88,-64},{-80,-56}})));
    VentilationRatio ventilationRatio
      annotation (Placement(transformation(extent={{14,-80},{34,-60}})));
    Library.Constant Constant3(Const=7.4)
      annotation (Placement(transformation(extent={{-24,34},{-16,42}})));
    Library.Constant Constant4(Const=105)
      annotation (Placement(transformation(extent={{-54,40},{-46,48}})));
  equation
    connect(Constant.y, bloodOxygenContent.UHB) annotation (Line(
        points={{-55.56,72.04},{-31.78,72.04},{-31.78,50.06},{34.34,50.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, bloodOxygenContent.PO2A) annotation (Line(
        points={{-53.56,34.04},{-30.78,34.04},{-30.78,43.94},{-6.34,43.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STBC.y, actualBicarbonate.STBC) annotation (Line(
        points={{-49.56,4.04},{-34,4},{-20,4},{-20,-0.47},{-4.09,-0.47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB.y, actualBicarbonate.XHB) annotation (Line(
        points={{-49.56,-11.96},{-20,-11.96},{-20,-6.93},{-4.09,-6.93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UHB.y, actualBicarbonate.UHB) annotation (Line(
        points={{-49.56,-23.96},{-27.78,-23.96},{-27.78,-19.47},{-4.09,-19.47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(hHEquation.PHA, actualBicarbonate.PHA) annotation (Line(
        points={{-29.66,-60.22},{-12,-60.22},{-12,-13.01},{-4.09,-13.01}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodOxygenContent.UHBO, actualBicarbonate.UHBO) annotation (Line(
        points={{34.34,42.5},{76,42.5},{76,-48},{-20,-48},{-20,-25.93},{-4.09,
            -25.93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, hHEquation.PCOA) annotation (Line(
        points={{-77.56,-59.96},{-70.78,-59.96},{-70.78,-60.4},{-70.16,-60.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(actualBicarbonate.XCO3, hHEquation.XCO3) annotation (Line(
        points={{38.28,-13.96},{60,-13.96},{60,-94},{-94,-94},{-94,-53.2},{
            -70.16,-53.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ventilationRatio.PCOA, Constant2.y) annotation (Line(
        points={{12.9,-67.3},{-14,-67.3},{-14,-88},{-77.56,-88},{-77.56,-59.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(ventilationRatio.PHA, hHEquation.PHA) annotation (Line(
        points={{12.9,-64.3},{-12,-64.3},{-12,-60.22},{-29.66,-60.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ventilationRatio.PO2A, Constant1.y) annotation (Line(
        points={{12.9,-70.9},{-26,-70.9},{-26,34.04},{-53.56,34.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant3.y, bloodOxygenContent.PHA) annotation (Line(
        points={{-13.56,38.04},{-10.78,38.04},{-10.78,37.1},{-6.34,37.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{
              -100,-100},{100,100}}), graphics));
  end testUHBO;

  model ActualBicarbonate

    Library.Interfaces.RealInput STBC annotation (Placement(transformation(extent=
             {{-120,62},{-80,102}}), iconTransformation(extent={{-122,76},{-100,98}})));
    Library.Interfaces.RealInput XHB annotation (Placement(transformation(extent={
              {-120,22},{-80,62}}), iconTransformation(extent={{-122,42},{-100,64}})));
    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-120,-16},{-80,24}}), iconTransformation(extent={{-122,10},{-100,32}})));
    Library.Interfaces.RealInput UHB annotation (Placement(transformation(extent={
              {-120,-54},{-80,-14}}), iconTransformation(extent={{-122,-24},{-100,
              -2}})));
    Library.Interfaces.RealInput UHBO annotation (Placement(transformation(extent=
             {{-120,-90},{-80,-50}}), iconTransformation(extent={{-122,-58},{-100,
              -36}})));
    Library.Interfaces.RealOutput XCO3 annotation (Placement(transformation(
            extent={{80,-10},{120,30}}), iconTransformation(extent={{100,4},{124,28}})));

  function F24
    input Real stbc;
    input Real xhb;
    input Real pha;
    input Real uhb;
    input Real uhbo;
    output Real xco3;
  algorithm
    xco3:=stbc-(0.527*xhb+3.7)*(pha-7.4)+0.375*(uhb-uhbo)/0.0226;
  end F24;

  equation
    XCO3=F24(STBC,XHB,PHA,UHB,UHBO);
   annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                           graphics), Icon(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics={Text(
            extent={{-68,-34},{68,-140}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="act. HCO3"), Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5)}));
  end ActualBicarbonate;

  model HHEquation

    Library.Interfaces.RealInput XCO3 annotation (Placement(transformation(extent=
             {{-120,44},{-80,84}}), iconTransformation(extent={{-124,48},{-100,72}})));
    Library.Interfaces.RealInput PCOA annotation (Placement(transformation(extent=
             {{-120,-40},{-80,0}}), iconTransformation(extent={{-124,8},{-100,32}})));
    Library.Interfaces.RealOutput PHA annotation (Placement(transformation(extent=
             {{76,0},{116,40}}), iconTransformation(extent={{100,8},{126,34}})));

  function HH
    input Real xco3;
    input Real pcoa;
    output Real pha;
  algorithm
    pha:=6.1+Modelica.Math.log10(abs(xco3/(0.03*pcoa)));
  end HH;
  equation
    PHA=HH(XCO3,PCOA);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-72,-42},{74,-72}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="HH Equation")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end HHEquation;

  model VentilationRatio

    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-120,42},{-80,82}}), iconTransformation(extent={{-122,46},{-100,68}})));
    Library.Interfaces.RealInput PCOA annotation (Placement(transformation(extent=
             {{-120,-34},{-80,6}}), iconTransformation(extent={{-122,16},{-100,38}})));
    Library.Interfaces.RealInput PO2A annotation (Placement(transformation(extent=
             {{-120,-2},{-80,38}}), iconTransformation(extent={{-122,-20},{-100,2}})));
    Library.Interfaces.RealOutput VR annotation (Placement(transformation(extent={
              {60,-4},{100,36}}), iconTransformation(extent={{100,2},{128,30}})));

  function ventRatio
    input Real pha;
    input Real pcoa;
    input Real po2a;
    output Real vr;
    protected
    Real k1;
    Real k2;
    Real k3;
    Real k4;
    Real k5;
    Real k6;
    Real h;
    Real po2;
  algorithm
    po2:=po2a;
    if (pha<=7.4) then
      k1:=0.22;
      k6:=-12.734;
    else
      k1:=0.0258;
      k6:=-5.003;
    end if;
    k3:=0.58;
    k4:=3.496;
    if (pcoa>40) then
      k2:=1;
      k5:=-32.08;
    else
      k2:=0.0396;
      k5:=160.11;
    end if;
    h:=10^(9-pha);
    if (po2==32) then
      po2:=32.001;
    end if;
    vr:=k1*h+k2*(k3+k4/(po2-32))*(pcoa+k5)+k6;
    if (vr<0.001) then
      vr:=0.001;
    end if;
  end ventRatio;

  equation
     VR=ventRatio(PHA,PCOA,PO2A);
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                           graphics), Icon(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-88,-36},{78,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Ventilation"),
          Text(
            extent={{-88,-66},{74,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ratio")}));
  end VentilationRatio;

  model BloodAcidBaseO2CO2
    Library.Interfaces.RealInput PCO2 annotation (Placement(transformation(
            extent={{-130,-100},{-90,-60}}), iconTransformation(extent={{-118,
              66},{-100,84}})));
    Library.Interfaces.RealInput PO2 annotation (Placement(transformation(
            extent={{-126,4},{-86,44}}), iconTransformation(extent={{-118,36},{
              -100,54}})));
    Library.Interfaces.RealInput XHB annotation (Placement(transformation(
            extent={{-126,32},{-86,72}}), iconTransformation(extent={{-118,-2},
              {-100,16}})));
    Library.Interfaces.RealInput STBC annotation (Placement(transformation(
            extent={{-128,64},{-88,104}}), iconTransformation(extent={{-118,-42},
              {-100,-24}})));
    Library.Interfaces.RealOutput pH annotation (Placement(transformation(
            extent={{76,-30},{116,10}}), iconTransformation(extent={{100,72},{
              120,92}})));
    Library.Interfaces.RealOutput XCO3 annotation (Placement(transformation(
            extent={{72,62},{112,102}}), iconTransformation(extent={{100,42},{
              120,62}})));
    O2OxyhemoglobinContent o2OxyhemoglobinContent
      annotation (Placement(transformation(extent={{-18,0},{18,36}})));
    ActualBicarbonate actualBicarbonate
      annotation (Placement(transformation(extent={{14,44},{52,82}})));
    HHEquation hHEquation
      annotation (Placement(transformation(extent={{-70,-53},{-34,-17}})));
    BloodO2Content bloodO2Content
      annotation (Placement(transformation(extent={{36,-64},{78,-22}})));
    Library.Interfaces.RealOutput UO2 annotation (Placement(transformation(
            extent={{72,-68},{112,-28}}), iconTransformation(extent={{100,-30},
              {120,-10}})));
    Library.Interfaces.RealOutput UCO2 annotation (Placement(transformation(
            extent={{72,-101},{112,-61}}), iconTransformation(extent={{100,-66},
              {120,-46}})));
    BloodCO2Content bloodCO2Content
      annotation (Placement(transformation(extent={{-20,-98},{22,-56}})));
    Library.Interfaces.RealOutput SO2 annotation (Placement(transformation(
            extent={{74,3},{114,43}}), iconTransformation(extent={{100,6},{120,
              26}})));
  equation
    connect(actualBicarbonate.STBC, STBC) annotation (Line(
        points={{11.91,79.53},{-76,79.53},{-76,84},{-108,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(actualBicarbonate.XHB, XHB) annotation (Line(
        points={{11.91,73.07},{-80,73.07},{-80,52},{-106,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PO2, o2OxyhemoglobinContent.PO2A) annotation (Line(
        points={{-106,24},{-63.17,24},{-63.17,23.94},{-20.34,23.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(hHEquation.PHA, o2OxyhemoglobinContent.PHA) annotation (Line(
        points={{-31.66,-31.22},{-26,-31.22},{-26,17.1},{-20.34,17.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCO2, hHEquation.PCOA) annotation (Line(
        points={{-110,-80},{-85.08,-80},{-85.08,-31.4},{-72.16,-31.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(o2OxyhemoglobinContent.UHBO, actualBicarbonate.UHBO) annotation (
        Line(
        points={{20.34,22.5},{56,22.5},{56,40},{2,40},{2,54.07},{11.91,54.07}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(actualBicarbonate.XCO3, hHEquation.XCO3) annotation (Line(
        points={{54.28,66.04},{64,66.04},{64,-6},{-80,-6},{-80,-24.2},{-72.16,
            -24.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCO3, actualBicarbonate.XCO3) annotation (Line(
        points={{92,82},{64,82},{64,66.04},{54.28,66.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pH, hHEquation.PHA) annotation (Line(
        points={{96,-10},{-26,-10},{-26,-31.22},{-31.66,-31.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(actualBicarbonate.PHA, hHEquation.PHA) annotation (Line(
        points={{11.91,66.99},{-26,66.99},{-26,-31.22},{-31.66,-31.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pH, pH) annotation (Line(
        points={{96,-10},{96,-10}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodO2Content.UHBO, o2OxyhemoglobinContent.UHBO) annotation (Line(
        points={{33.69,-30.61},{28,-30.61},{28,22.5},{20.34,22.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodO2Content.PO2, PO2) annotation (Line(
        points={{33.69,-41.11},{-16,-41.11},{-16,-14},{-64,-14},{-64,24},{-106,
            24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodO2Content.UO2, UO2) annotation (Line(
        points={{80.52,-39.22},{87.26,-39.22},{87.26,-48},{92,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodCO2Content.XCO3, hHEquation.XCO3) annotation (Line(
        points={{-22.31,-64.61},{-80,-64.61},{-80,-24.2},{-72.16,-24.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodCO2Content.PCO2, PCO2) annotation (Line(
        points={{-22.31,-75.11},{-58.155,-75.11},{-58.155,-80},{-110,-80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UCO2, bloodCO2Content.UCO2) annotation (Line(
        points={{92,-81},{40,-81},{40,-73.22},{24.52,-73.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(o2OxyhemoglobinContent.UHB, actualBicarbonate.UHB) annotation (Line(
        points={{20.34,30.06},{26,30.06},{26,38},{-8,38},{-8,60.53},{11.91,
            60.53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(o2OxyhemoglobinContent.XHB, XHB) annotation (Line(
        points={{-20.34,31.5},{-80,31.5},{-80,52},{-106,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(SO2, o2OxyhemoglobinContent.SO2) annotation (Line(
        points={{94,23},{61,23},{61,12.78},{20.34,12.78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-82,-64},{58,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Blood AcidBase")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end BloodAcidBaseO2CO2;

  model testBloodABR
    Library.Constant PCOA(Const=40)
      annotation (Placement(transformation(extent={{-88,54},{-80,62}})));
    Library.Constant PO2A(Const=105)
      annotation (Placement(transformation(extent={{-88,40},{-80,48}})));
    Library.Constant XHB(Const=15)
      annotation (Placement(transformation(extent={{-88,22},{-80,30}})));
    Library.Constant STBC(Const=24)
      annotation (Placement(transformation(extent={{-88,8},{-80,16}})));
    BloodAcidBaseO2CO2 bloodAcidBaseO2CO2_1
      annotation (Placement(transformation(extent={{-42,4},{-2,44}})));
  equation
    connect(bloodAcidBaseO2CO2_1.PCO2, PCOA.y) annotation (Line(
        points={{-43.8,39},{-60,39},{-60,58.04},{-77.56,58.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PO2A.y, bloodAcidBaseO2CO2_1.PO2) annotation (Line(
        points={{-77.56,44.04},{-64,44.04},{-64,33},{-43.8,33}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB.y, bloodAcidBaseO2CO2_1.XHB) annotation (Line(
        points={{-77.56,26.04},{-58,26},{-43.8,25.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STBC.y, bloodAcidBaseO2CO2_1.STBC) annotation (Line(
        points={{-77.56,12.04},{-52,12.04},{-52,17.4},{-43.8,17.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testBloodABR;

  model BloodO2Content
    Library.Interfaces.RealInput UHBO annotation (Placement(transformation(
            extent={{-120,24},{-80,64}}), iconTransformation(extent={{-122,48},
              {-100,70}})));
    Library.Interfaces.RealInput PO2 annotation (Placement(transformation(
            extent={{-120,-24},{-80,16}}), iconTransformation(extent={{-122,-2},
              {-100,20}})));
    Library.Interfaces.RealOutput UO2 annotation (Placement(transformation(
            extent={{70,0},{110,40}}), iconTransformation(extent={{100,6},{124,
              30}})));
    Library.Constant SO2p(Const=0.00003168)
      annotation (Placement(transformation(extent={{-96,-62},{-78,-44}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-46,-28},{-16,2}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{24,10},{44,30}})));
  equation
    connect(PO2, product.u1) annotation (Line(
        points={{-100,-4},{-49,-4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(SO2p.y, product.u2) annotation (Line(
        points={{-72.51,-52.91},{-54,-52.91},{-54,-22},{-49,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, UO2) annotation (Line(
        points={{45,20},{90,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add.u2) annotation (Line(
        points={{-14.5,-13},{8,-13},{8,14},{22,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UHBO, add.u1) annotation (Line(
        points={{-100,44},{8,44},{8,26},{22,26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-86,-36},{50,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Blood O2 cont.")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end BloodO2Content;

  model BloodCO2Content
    Library.Interfaces.RealInput XCO3 annotation (Placement(transformation(
            extent={{-120,24},{-80,64}}), iconTransformation(extent={{-122,48},
              {-100,70}})));
    Library.Interfaces.RealInput PCO2 annotation (Placement(transformation(
            extent={{-120,-24},{-80,16}}), iconTransformation(extent={{-122,-2},
              {-100,20}})));
    Library.Interfaces.RealOutput UCO2 annotation (Placement(transformation(
            extent={{70,0},{110,40}}), iconTransformation(extent={{100,6},{124,
              30}})));
    Library.Constant SO2p(Const=0.0006732)
      annotation (Placement(transformation(extent={{-96,-62},{-78,-44}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-46,-28},{-16,2}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{24,10},{44,30}})));
    Library.Constant SO2p1(Const=0.02241)
      annotation (Placement(transformation(extent={{-94,66},{-76,84}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-46,38},{-16,68}})));
  equation
    connect(PCO2, product.u1) annotation (Line(
        points={{-100,-4},{-49,-4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(SO2p.y, product.u2) annotation (Line(
        points={{-72.51,-52.91},{-58,-52.91},{-58,-22},{-49,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, UCO2) annotation (Line(
        points={{45,20},{90,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add.u2) annotation (Line(
        points={{-14.5,-13},{8,-13},{8,14},{22,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCO3, product1.u2) annotation (Line(
        points={{-100,44},{-49,44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(SO2p1.y, product1.u1) annotation (Line(
        points={{-70.51,75.09},{-58,75.09},{-58,62},{-49,62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, add.u1) annotation (Line(
        points={{-14.5,53},{6,53},{6,26},{22,26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-86,-36},{50,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Blood CO2 cont.")}),Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end BloodCO2Content;

  model testO2CO2content
    BloodO2Content bloodO2Content
      annotation (Placement(transformation(extent={{12,10},{72,70}})));
    BloodCO2Content bloodCO2Content
      annotation (Placement(transformation(extent={{-20,-58},{40,2}})));
    Library.Constant Constant(Const=40)
      annotation (Placement(transformation(extent={{-82,-28},{-74,-20}})));
    Library.Constant Constant1(Const=24)
      annotation (Placement(transformation(extent={{-80,-12},{-72,-4}})));
    Library.Constant Constant2(Const=105)
      annotation (Placement(transformation(extent={{-98,42},{-90,50}})));
    Library.Constant XHB(Const=15)
      annotation (Placement(transformation(extent={{-82,84},{-74,92}})));
    O2OxyhemoglobinContent o2OxyhemoglobinContent
      annotation (Placement(transformation(extent={{-38,58},{-6,90}})));
    Library.Constant Constant4(Const=7.4)
      annotation (Placement(transformation(extent={{-94,56},{-86,64}})));
  equation
    connect(Constant.y, bloodCO2Content.PCO2) annotation (Line(
        points={{-71.56,-23.96},{-52.78,-23.96},{-52.78,-25.3},{-23.3,-25.3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant1.y, bloodCO2Content.XCO3) annotation (Line(
        points={{-69.56,-7.96},{-52.78,-7.96},{-52.78,-10.3},{-23.3,-10.3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant2.y, bloodO2Content.PO2) annotation (Line(
        points={{-87.56,46.04},{-45.78,46.04},{-45.78,42.7},{8.7,42.7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(o2OxyhemoglobinContent.PO2A, Constant2.y) annotation (Line(
        points={{-40.08,79.28},{-70,79.28},{-70,46.04},{-87.56,46.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant4.y, o2OxyhemoglobinContent.PHA) annotation (Line(
        points={{-83.56,60.04},{-76.78,60.04},{-76.78,73.2},{-40.08,73.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodO2Content.UHBO, o2OxyhemoglobinContent.UHBO) annotation (Line(
        points={{8.7,57.7},{0,57.7},{0,78},{-3.92,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB.y, o2OxyhemoglobinContent.XHB) annotation (Line(
        points={{-71.56,88.04},{-55.78,88.04},{-55.78,86},{-40.08,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testO2CO2content;

  model AcidBase
    Library.Interfaces.RealInput XHB annotation (Placement(transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={-82,94}), iconTransformation(extent={{-114,50},{-100,64}})));
    Library.Interfaces.RealInput XCLE annotation (Placement(transformation(
            extent={{-128,46},{-88,86}}), iconTransformation(extent={{-116,21},
              {-102,36}})));
    Library.Interfaces.RealInput XOGE annotation (Placement(transformation(
            extent={{-140,32},{-100,72}}), iconTransformation(extent={{-116,8},
              {-102,22}})));
    Library.Interfaces.RealInput XPO4 annotation (Placement(transformation(
            extent={{-126,8},{-86,48}}), iconTransformation(extent={{-116,-6},{
              -100,9}})));
    Library.Interfaces.RealInput XSO4 annotation (Placement(transformation(
            extent={{-140,-8},{-100,32}}), iconTransformation(extent={{-116,-22},
              {-100,-6}})));
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(
            extent={{-126,-32},{-86,8}}), iconTransformation(extent={{-116,-38},
              {-100,-22}})));
    Library.Interfaces.RealInput XMGE annotation (Placement(transformation(
            extent={{-140,-46},{-100,-6}}), iconTransformation(extent={{-116,
              -54},{-100,-38}})));
    Library.Interfaces.RealInput XCAE annotation (Placement(transformation(
            extent={{-126,-70},{-86,-30}}), iconTransformation(extent={{-116,
              -70},{-100,-54}})));
    Library.Interfaces.RealInput XNE annotation (Placement(transformation(
            extent={{-140,-86},{-100,-46}}), iconTransformation(extent={{-116,
              -86},{-100,-70}})));
    Library.Interfaces.RealInput XKE annotation (Placement(transformation(
            extent={{-126,-108},{-86,-68}}), iconTransformation(extent={{-116,
              -102},{-100,-86}})));
    Library.Interfaces.RealInput PCOA annotation (Placement(transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={-6,90}), iconTransformation(extent={{-114,64},{-100,78}})));
    Library.Interfaces.RealInput PO2A annotation (Placement(transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={-42,92}), iconTransformation(extent={{-114,78},{-100,92}})));
    Library.Interfaces.RealOutput PHA annotation (Placement(transformation(
            extent={{78,56},{118,96}}), iconTransformation(extent={{100,66},{
              116,82}})));
    Library.Interfaces.RealOutput XCO3 annotation (Placement(transformation(
            extent={{78,30},{118,70}}), iconTransformation(extent={{100,48},{
              116,64}})));
    Library.Interfaces.RealOutput STBC annotation (Placement(transformation(
            extent={{76,-2},{116,38}}), iconTransformation(extent={{100,28},{
              116,44}})));
    Library.Interfaces.RealOutput UO2A annotation (Placement(transformation(
            extent={{78,-56},{118,-16}}), iconTransformation(extent={{100,-8},{
              116,8}})));
    Library.Interfaces.RealOutput UCOA annotation (Placement(transformation(
            extent={{78,-84},{118,-44}}), iconTransformation(extent={{100,-28},
              {116,-12}})));
    BloodAcidBaseO2CO2 bloodAcidBaseO2CO2_1
      annotation (Placement(transformation(extent={{-24,-2},{34,56}})));
    Library.Interfaces.RealOutput SO2A annotation (Placement(transformation(
            extent={{78,-30},{118,10}}), iconTransformation(extent={{100,-66},{
              116,-50}})));
    StandardBicarbonate standardBicarbonate
      annotation (Placement(transformation(extent={{-34,-92},{32,-26}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{54,-56},{68,-42}})));
    Library.Interfaces.RealOutput XCLA annotation (Placement(transformation(
          extent={{-20,-20},{20,20}},
          rotation=0,
          origin={98,-90}), iconTransformation(extent={{100,-86},{116,-70}})));
  equation
    connect(standardBicarbonate.STBC, add.u2) annotation (Line(
        points={{33.98,-53.06},{45.99,-53.06},{45.99,-53.2},{52.6,-53.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.XCO3, XCO3) annotation (Line(
        points={{36.9,42.08},{78,42.08},{78,50},{98,50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, standardBicarbonate.DCLA) annotation (Line(
        points={{68.7,-49},{72,-49},{72,-20},{-44,-20},{-44,-29.63},{-33.01,
            -29.63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XCLE, XCLE) annotation (Line(
        points={{-33.01,-35.9},{-52,-35.9},{-52,66},{-108,66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XOGE, XOGE) annotation (Line(
        points={{-33.01,-42.17},{-56,-42.17},{-56,52},{-120,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XPO4, XPO4) annotation (Line(
        points={{-33.01,-48.44},{-60,-48.44},{-60,28},{-106,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XSO4, XSO4) annotation (Line(
        points={{-33.01,-54.71},{-62,-54.71},{-62,12},{-120,12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XPP, XPP) annotation (Line(
        points={{-33.01,-60.65},{-66,-60.65},{-66,-12},{-106,-12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XMGE, XMGE) annotation (Line(
        points={{-33.01,-69.23},{-70,-69.23},{-70,-26},{-120,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XCAE, XCAE) annotation (Line(
        points={{-33.01,-75.83},{-76,-75.83},{-76,-50},{-106,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XNE, XNE) annotation (Line(
        points={{-33.01,-82.43},{-80,-82.43},{-80,-66},{-120,-66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XKE, XKE) annotation (Line(
        points={{-33.01,-89.03},{-52.505,-89.03},{-52.505,-88},{-106,-88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, bloodAcidBaseO2CO2_1.XCO3) annotation (Line(
        points={{52.6,-44.8},{50,-44.8},{50,42.08},{36.9,42.08}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.STBC, standardBicarbonate.STBC) annotation (
        Line(
        points={{-26.61,17.43},{-38,17.43},{-38,-10},{46,-10},{46,-53.06},{
            33.98,-53.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.PCO2, PCOA) annotation (Line(
        points={{-26.61,48.75},{-36,48.75},{-36,60},{-6,60},{-6,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.PO2, PO2A) annotation (Line(
        points={{-26.61,40.05},{-42,40.05},{-42,92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.XHB, XHB) annotation (Line(
        points={{-26.61,29.03},{-48,29.03},{-48,70},{-82,70},{-82,94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.pH, PHA) annotation (Line(
        points={{36.9,50.78},{70,50.78},{70,76},{98,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STBC, standardBicarbonate.STBC) annotation (Line(
        points={{96,18},{70,18},{70,-10},{46,-10},{46,-53.06},{33.98,-53.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.SO2, SO2A) annotation (Line(
        points={{36.9,31.64},{82,31.64},{82,-10},{98,-10}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.UO2, UO2A) annotation (Line(
        points={{36.9,21.2},{80,21.2},{80,-36},{98,-36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.UCO2, UCOA) annotation (Line(
        points={{36.9,10.76},{76,10.76},{76,-64},{98,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCLA, standardBicarbonate.XCLA) annotation (Line(
        points={{98,-90},{42,-90},{42,-35.9},{33.32,-35.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-46,-24},{44,-92}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Acid Base")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end AcidBase;

  model pokus
    GasExchange gasExchange
      annotation (Placement(transformation(extent={{-42,-50},{66,58}})));
    Library.Constant MRO2(Const=0.2591)
      annotation (Placement(transformation(extent={{-94,52},{-86,60}})));
    Library.Constant MRCO(Const=0.2318)
      annotation (Placement(transformation(extent={{-94,44},{-86,52}})));
    Library.Constant QCO(Const=5)
      annotation (Placement(transformation(extent={{-94,36},{-86,44}})));
    Library.Constant FO2I(Const=0.21)
      annotation (Placement(transformation(extent={{-94,20},{-86,28}})));
    Library.Constant FCOI(Const=0)
      annotation (Placement(transformation(extent={{-94,12},{-86,20}})));
    Library.Constant PBA(Const=760)
      annotation (Placement(transformation(extent={{-94,4},{-86,12}})));
    Library.Constant STBC(Const=24)
      annotation (Placement(transformation(extent={{-94,-4},{-86,4}})));
    Library.Constant XHB(Const=15)
      annotation (Placement(transformation(extent={{-94,-12},{-86,-4}})));
    Library.Constant VAL(Const=3)
      annotation (Placement(transformation(extent={{-94,-20},{-86,-12}})));
    Library.Constant VTW(Const=31)
      annotation (Placement(transformation(extent={{-94,-28},{-86,-20}})));
    VentilationRatio ventilationRatio annotation (Placement(transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={-30,78})));
    Library.Constant VI0(Const=5)
      annotation (Placement(transformation(extent={{-94,84},{-86,92}})));
    Modelica.Blocks.Math.Product product annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=270,
          origin={-69,77})));
  equation
    connect(VTW.y, gasExchange.VTW) annotation (Line(
        points={{-83.56,-23.96},{-73.78,-23.96},{-73.78,-40.82},{-44.7,-40.82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(VAL.y, gasExchange.VAL) annotation (Line(
        points={{-83.56,-15.96},{-72.78,-15.96},{-72.78,-32.18},{-44.7,-32.18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(gasExchange.XHB, XHB.y) annotation (Line(
        points={{-44.7,-23.54},{-71.35,-23.54},{-71.35,-7.96},{-83.56,-7.96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.STBC, STBC.y) annotation (Line(
        points={{-44.7,-13.82},{-69.35,-13.82},{-69.35,0.04},{-83.56,0.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PBA, PBA.y) annotation (Line(
        points={{-44.7,-4.1},{-67.35,-4.1},{-67.35,8.04},{-83.56,8.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FCOI, FCOI.y) annotation (Line(
        points={{-44.7,4.54},{-64.35,4.54},{-64.35,16.04},{-83.56,16.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FO2I, FO2I.y) annotation (Line(
        points={{-44.7,13.18},{-63.35,13.18},{-63.35,24.04},{-83.56,24.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.QCO, QCO.y) annotation (Line(
        points={{-44.7,29.38},{-59.35,29.38},{-59.35,40.04},{-83.56,40.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.MRCO, MRCO.y) annotation (Line(
        points={{-44.7,40.18},{-57.35,40.18},{-57.35,48.04},{-83.56,48.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.MRO2, MRO2.y) annotation (Line(
        points={{-44.7,49.9},{-63.35,49.9},{-63.35,56.04},{-83.56,56.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, gasExchange.VI) annotation (Line(
        points={{-69,71.5},{-69,64},{-98,64},{-98,32},{-62,32},{-62,21.82},{
            -44.7,21.82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, VI0.y) annotation (Line(
        points={{-72,83},{-72,88.04},{-83.56,88.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u1, ventilationRatio.VR) annotation (Line(
        points={{-66,83},{-66,88},{-54,88},{-54,75.76},{-45.96,75.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PCOA, ventilationRatio.PCOA) annotation (Line(
        points={{68.7,36.94},{76,36.94},{76,74.22},{-14.46,74.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PO2A, ventilationRatio.PO2A) annotation (Line(
        points={{68.7,28.3},{90,28.3},{90,79.26},{-14.46,79.26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PHA, ventilationRatio.PHA) annotation (Line(
        points={{68.7,7.78},{98,7.78},{98,90},{-4,90},{-4,70.02},{-14.46,70.02}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics),
      experiment(StopTime=600),
      experimentSetupOutput);
  end pokus;

  model GasExchange

    Library.Interfaces.RealInput MRO2 annotation (Placement(transformation(
            extent={{-124,-114},{-100,-90}}), iconTransformation(extent={{-110,
              80},{-100,90}})));
    Library.Interfaces.RealInput MRCO annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=180,
          origin={112,-94}), iconTransformation(extent={{-110,62},{-100,72}})));
    Library.Interfaces.RealInput QCO annotation (Placement(transformation(
            extent={{-124,-78},{-100,-54}}), iconTransformation(extent={{-110,
              42},{-100,52}})));
    Library.Interfaces.RealInput PBA annotation (Placement(transformation(
            extent={{-124,18},{-100,42}}), iconTransformation(extent={{-110,-20},
              {-100,-10}})));
    Library.Interfaces.RealInput VI annotation (Placement(transformation(extent=
             {{-120,78},{-96,102}}), iconTransformation(extent={{-110,28},{-100,
              38}})));
    Library.Interfaces.RealInput FCOI annotation (Placement(transformation(
            extent={{-124,54},{-100,78}}), iconTransformation(extent={{-110,-4},
              {-100,6}})));
    Library.Interfaces.RealInput FO2I annotation (Placement(transformation(
            extent={{-122,66},{-98,90}}), iconTransformation(extent={{-110,12},
              {-100,22}})));
    Library.Interfaces.RealOutput PCOA annotation (Placement(transformation(
            extent={{88,62},{112,86}}), iconTransformation(extent={{100,56},{
              110,66}})));
    Library.Interfaces.RealOutput PO2A annotation (Placement(transformation(
            extent={{88,46},{112,70}}), iconTransformation(extent={{100,40},{
              110,50}})));
    BloodAcidBaseO2CO2 bloodAcidBaseO2CO2_1
      annotation (Placement(transformation(extent={{57,-42},{85,-14}})));
    Library.Interfaces.RealInput STBC annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=180,
          origin={110,-44}), iconTransformation(extent={{-110,-38},{-100,-28}})));
    Library.Interfaces.RealOutput XCO3 annotation (Placement(transformation(
            extent={{88,12},{112,36}}), iconTransformation(extent={{100,18},{
              110,28}})));
    Library.Interfaces.RealOutput PHA annotation (Placement(transformation(
            extent={{88,28},{112,52}}), iconTransformation(extent={{100,2},{110,
              12}})));
    Library.Interfaces.RealOutput SO2A annotation (Placement(transformation(
            extent={{88,-4},{112,20}}), iconTransformation(extent={{100,-16},{
              110,-6}})));
    Library.Interfaces.RealOutput UO2A annotation (Placement(transformation(
            extent={{88,-20},{112,4}}), iconTransformation(extent={{100,-36},{
              110,-26}})));
    Library.Interfaces.RealOutput UCOA annotation (Placement(transformation(
            extent={{88,-38},{112,-14}}), iconTransformation(extent={{100,-52},
              {110,-42}})));
    Library.Interfaces.RealOutput UO2V annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=180,
          origin={-100,-80}), iconTransformation(extent={{100,-72},{110,-62}})));
    Library.Interfaces.RealOutput UCOV annotation (Placement(transformation(
            extent={{88,-92},{112,-68}}), iconTransformation(extent={{100,-88},
              {110,-78}})));
    Library.Interfaces.RealInput XHB annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=180,
          origin={112,-60}), iconTransformation(extent={{-110,-56},{-100,-46}})));
    Library.Interfaces.RealInput VAL annotation (Placement(transformation(
            extent={{-126,33},{-100,59}}), iconTransformation(extent={{-110,-72},
              {-100,-62}})));
    Library.Interfaces.RealInput VTW annotation (Placement(transformation(
            extent={{-126,-53},{-100,-27}}), iconTransformation(extent={{-110,
              -88},{-100,-78}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown ZO2ALV(
        SoluteMass(start=0.4419, fixed=false))
      annotation (Placement(transformation(extent={{-60,18},{-40,38}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown ZCO2ALV(
        SoluteMass(start=0.1683))
      annotation (Placement(transformation(extent={{0,18},{20,38}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-86,76},{-76,86}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-48,76},{-38,86}})));
    Library.ConcentrationFlow.InputPump O2Inflow
      annotation (Placement(transformation(extent={{-100,44},{-72,72}})));
    Library.ConcentrationFlow.InputPump CO2Inflow
      annotation (Placement(transformation(extent={{-24,46},{4,74}})));
    Library.ConcentrationFlow.OutputPump O2Outflow
      annotation (Placement(transformation(extent={{-46,44},{-18,72}})));
    Modelica.Blocks.Math.Product product2 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={-29,75})));
    Library.ConcentrationFlow.OutputPump CO2Outflow
      annotation (Placement(transformation(extent={{20,48},{44,72}})));
    Modelica.Blocks.Math.Product product3 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={15,77})));
    Modelica.Blocks.Math.Add PBL(k2=-1)
      annotation (Placement(transformation(extent={{-92,22},{-82,32}})));
    Library.Constant PH2O(Const=47) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=180,
          origin={-86,12})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{56,2},{66,12}})));
    Modelica.Blocks.Math.Product product5
      annotation (Placement(transformation(extent={{-26,8},{-16,18}})));
    Library.ConcentrationFlow.InputPump VenousO2Inflow annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={-50,-10})));
    Library.ConcentrationFlow.InputPump VenousCO2Inflow annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={5,-8})));
    Library.ConcentrationFlow.OutputPump ArterialO2Outflow annotation (
        Placement(transformation(
          extent={{-14,-14},{14,14}},
          rotation=0,
          origin={-28,-10})));
    Library.ConcentrationFlow.OutputPump ArterialCO2Outflow annotation (
        Placement(transformation(
          extent={{-14.5,-14},{14.5,14}},
          rotation=0,
          origin={28.5,-8})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown ZO2T(
        SoluteMass(start=4.6965))
      annotation (Placement(transformation(extent={{-60,-76},{-40,-56}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown ZCO2T(
        SoluteMass(start=18.8325))
      annotation (Placement(transformation(extent={{0,-76},{20,-56}})));
    Library.ConcentrationFlow.InputPump ArterialO2Inflow annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={-34,-44})));
    Library.ConcentrationFlow.OutputPump VenousO2Outflow annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={-66,-44})));
    Library.ConcentrationFlow.OutputPump VenousCO2Outflow annotation (Placement(
          transformation(
          extent={{-14.5,-14},{14.5,14}},
          rotation=180,
          origin={-7.5,-45})));
    Library.ConcentrationFlow.InputPump ArterialCO2Inflow annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={26,-46})));
    Modelica.Blocks.Math.Product product6 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=0,
          origin={-79,-69})));
    Modelica.Blocks.Math.Product product7 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=0,
          origin={-15,-81})));
    Modelica.Blocks.Math.Product product8 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={47,-69})));
    Modelica.Blocks.Math.Product product9 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={-28,-63})));
    Modelica.Blocks.Math.Division division annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={-85,-11})));
    Library.Constant PH2O1(Const=863) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=180,
          origin={-68,-14})));
    Modelica.Blocks.Math.Product product10
      annotation (Placement(transformation(extent={{-72,-36},{-62,-26}})));
    Modelica.Blocks.Math.Product product11 annotation (Placement(transformation(
          extent={{-5,-5},{5,5}},
          rotation=180,
          origin={31,-27})));
    Modelica.Blocks.Math.Product product12
      annotation (Placement(transformation(extent={{-32,-34},{-22,-24}})));
    Modelica.Blocks.Math.Product product13
      annotation (Placement(transformation(extent={{-10,-34},{0,-24}})));
    Library.ConcentrationFlow.InputPump CO2production annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={28,-84})));
    Library.ConcentrationFlow.OutputPump O2Consumption annotation (Placement(
          transformation(
          extent={{-14,-14},{14,14}},
          rotation=180,
          origin={-68,-84})));
    Library.Interfaces.RealOutput FCOA annotation (Placement(transformation(
            extent={{42,30},{66,54}}),  iconTransformation(extent={{100,88},{
              110,98}})));
    Library.Interfaces.RealOutput FO2A annotation (Placement(transformation(
            extent={{-42,22},{-22,42}}),iconTransformation(extent={{100,72},{
              110,82}})));
  initial equation
    /*
 ZO2ALV.SoluteMass=0.1473*VAL;
 ZCO2ALV.SoluteMass=0.0561*VAL;
 ZO2T.SoluteMass=0.1515*VTW;
 ZCO2T.SoluteMass=0.6075*VTW;
*/

  equation
    connect(STBC, bloodAcidBaseO2CO2_1.STBC) annotation (Line(
        points={{110,-44},{52,-44},{52,-32.62},{55.74,-32.62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB, bloodAcidBaseO2CO2_1.XHB) annotation (Line(
        points={{112,-60},{48,-60},{48,-27.02},{55.74,-27.02}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.UCO2, UCOA) annotation (Line(
        points={{86.4,-35.84},{98,-35.84},{98,-26},{100,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.UO2, UO2A) annotation (Line(
        points={{86.4,-30.8},{94,-30.8},{94,-8},{100,-8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.SO2, SO2A) annotation (Line(
        points={{86.4,-25.76},{91.7,-25.76},{91.7,8},{100,8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.XCO3, XCO3) annotation (Line(
        points={{86.4,-20.72},{90,-20.72},{90,24},{100,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.pH, PHA) annotation (Line(
        points={{86.4,-16.52},{88,-16.52},{88,40},{100,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VAL, ZO2ALV.SolventVolume) annotation (Line(
        points={{-113,46},{-86,46},{-86,36},{-60,36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZCO2ALV.SolventVolume, VAL) annotation (Line(
        points={{0,36},{-14,36},{-14,46},{-113,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u1, VI) annotation (Line(
        points={{-87,84},{-92,84},{-92,90},{-108,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, FO2I) annotation (Line(
        points={{-87,78},{-110,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(FCOI, product1.u2) annotation (Line(
        points={{-112,66},{-58,66},{-58,78},{-49,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(O2Inflow.q_out, ZO2ALV.q_out) annotation (Line(
        points={{-77.6,58},{-56,58},{-56,32},{-50,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(product.y, O2Inflow.desiredFlow) annotation (Line(
        points={{-75.5,81},{-66,81},{-66,74},{-86,74},{-86,63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.u1, VI) annotation (Line(
        points={{-49,84},{-54,84},{-54,90},{-108,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, CO2Inflow.desiredFlow) annotation (Line(
        points={{-37.5,81},{-10,81},{-10,65.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZCO2ALV.q_out, CO2Inflow.q_out) annotation (Line(
        points={{10,28},{10,28},{4,32},{4,60},{-1.6,60}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(O2Outflow.q_in, ZO2ALV.q_out) annotation (Line(
        points={{-40.4,58},{-44,58},{-44,32},{-50,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ZCO2ALV.q_out, CO2Outflow.q_in) annotation (Line(
        points={{10,28},{10,28},{18,32},{18,60},{24.8,60}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ZCO2ALV.SoluteConc, product3.u1) annotation (Line(
        points={{21.6,21.2},{44,21.2},{44,74},{21,74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.u2, VI) annotation (Line(
        points={{21,80},{46,80},{46,90},{-108,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.u2, VI) annotation (Line(
        points={{-23,78},{-12,78},{-12,90},{-108,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZO2ALV.SoluteConc, product2.u1) annotation (Line(
        points={{-38.4,21.2},{-20,21.2},{-20,72},{-23,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, O2Outflow.desiredFlow) annotation (Line(
        points={{-34.5,75},{-36,75},{-36,66},{-32,66},{-32,63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.y, CO2Outflow.desiredFlow) annotation (Line(
        points={{9.5,77},{4,77},{4,68},{32,68},{32,64.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PBL.u1, PBA) annotation (Line(
        points={{-93,30},{-112,30}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PH2O.y, PBL.u2) annotation (Line(
        points={{-92.44,11.96},{-96,11.96},{-96,24},{-93,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product5.u1, ZO2ALV.SoluteConc) annotation (Line(
        points={{-27,16},{-34,16},{-34,21.2},{-38.4,21.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product6.y, VenousO2Outflow.desiredFlow) annotation (Line(
        points={{-73.5,-69},{-66,-69},{-66,-49.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZO2T.SoluteConc, product6.u2) annotation (Line(
        points={{-38.4,-72.8},{-32,-72.8},{-32,-96},{-88,-96},{-88,-72},{-85,
            -72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product8.u2, bloodAcidBaseO2CO2_1.UCO2) annotation (Line(
        points={{53,-66},{94,-66},{94,-35.84},{86.4,-35.84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product8.y, ArterialCO2Inflow.desiredFlow) annotation (Line(
        points={{41.5,-69},{26,-69},{26,-51.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product9.u2, bloodAcidBaseO2CO2_1.UO2) annotation (Line(
        points={{-22,-60},{-20,-60},{-20,-36},{40,-36},{40,-50},{88,-50},{88,
            -30.8},{86.4,-30.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product9.y, ArterialO2Inflow.desiredFlow) annotation (Line(
        points={{-33.5,-63},{-34,-63},{-34,-49.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product5.u2, PBL.y) annotation (Line(
        points={{-27,10},{-64,10},{-64,27},{-81.5,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product10.y, VenousO2Inflow.desiredFlow) annotation (Line(
        points={{-61.5,-31},{-50,-31},{-50,-15.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product10.u2, product6.y) annotation (Line(
        points={{-73,-34},{-78,-34},{-78,-54},{-66,-54},{-66,-69},{-73.5,-69}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(PH2O1.y, division.u1) annotation (Line(
        points={{-74.44,-14.04},{-77.22,-14.04},{-77.22,-14},{-79,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u2, PBL.y) annotation (Line(
        points={{-79,-8},{-64,-8},{-64,27},{-81.5,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, product10.u1) annotation (Line(
        points={{-90.5,-11},{-94,-11},{-94,-20},{-78,-20},{-78,-28},{-73,-28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(product12.u1, division.y) annotation (Line(
        points={{-33,-26},{-36,-26},{-36,-20},{-94,-20},{-94,-11},{-90.5,-11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(product12.u2, product9.y) annotation (Line(
        points={{-33,-32},{-42,-32},{-42,-36},{-24,-36},{-24,-56},{-34,-56},{
            -34,-63},{-33.5,-63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product12.y, ArterialO2Outflow.desiredFlow) annotation (Line(
        points={{-21.5,-29},{-18,-29},{-18,-2},{-28,-2},{-28,-4.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product13.u1, division.y) annotation (Line(
        points={{-11,-26},{-16,-26},{-16,-20},{-94,-20},{-94,-11},{-90.5,-11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(product13.y, VenousCO2Inflow.desiredFlow) annotation (Line(
        points={{0.5,-29},{5,-29},{5,-13.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product11.u1, product8.y) annotation (Line(
        points={{37,-30},{42,-30},{42,-60},{32,-60},{32,-69},{41.5,-69}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product11.u2, division.y) annotation (Line(
        points={{37,-24},{40,-24},{40,-20},{-94,-20},{-94,-11},{-90.5,-11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UO2V, ZO2T.SoluteConc) annotation (Line(
        points={{-100,-80},{-88,-80},{-88,-96},{-32,-96},{-32,-72.8},{-38.4,
            -72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UCOV, ZCO2T.SoluteConc) annotation (Line(
        points={{100,-80},{40,-80},{40,-72.8},{21.6,-72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(O2Consumption.desiredFlow, MRO2) annotation (Line(
        points={{-68,-89.6},{-68,-102},{-112,-102}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MRCO, CO2production.desiredFlow) annotation (Line(
        points={{112,-94},{28,-94},{28,-89.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ArterialCO2Outflow.desiredFlow, product11.y) annotation (Line(
        points={{28.5,-2.4},{28.5,0},{40,0},{40,-16},{20,-16},{20,-27},{25.5,
            -27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZCO2ALV.SoluteConc, product4.u1) annotation (Line(
        points={{21.6,21.2},{44,21.2},{44,10},{55,10}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.u2, PBL.y) annotation (Line(
        points={{55,4},{-64,4},{-64,27},{-81.5,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodAcidBaseO2CO2_1.PO2, product5.y) annotation (Line(
        points={{55.74,-21.7},{42,-21.7},{42,13},{-15.5,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.y, bloodAcidBaseO2CO2_1.PCO2) annotation (Line(
        points={{66.5,7},{74,7},{74,-8},{50,-8},{50,-17.5},{55.74,-17.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PO2A, product5.y) annotation (Line(
        points={{100,58},{78,58},{78,-12},{42,-12},{42,13},{-15.5,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCOA, product4.y) annotation (Line(
        points={{100,74},{74,74},{74,7},{66.5,7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VenousO2Outflow.q_in, ZO2T.q_out) annotation (Line(
        points={{-57.6,-44},{-56,-44},{-56,-66},{-50,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ArterialO2Inflow.q_out, ZO2T.q_out) annotation (Line(
        points={{-42.4,-44},{-46,-44},{-46,-66},{-50,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VenousO2Inflow.q_out, ZO2ALV.q_out) annotation (Line(
        points={{-58.4,-10},{-60,-10},{-60,28},{-50,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ArterialO2Outflow.q_in, ZO2ALV.q_out) annotation (Line(
        points={{-36.4,-10},{-38,-10},{-38,0},{-42,0},{-42,28},{-50,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ArterialCO2Outflow.q_in, ZCO2ALV.q_out) annotation (Line(
        points={{19.8,-8},{18,-8},{18,28},{10,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VenousCO2Inflow.q_out, ZCO2ALV.q_out) annotation (Line(
        points={{-3.4,-8},{-6,-8},{-6,8},{0,8},{0,28},{10,28}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VenousCO2Outflow.q_in, ZCO2T.q_out) annotation (Line(
        points={{1.2,-45},{6,-45},{6,-66},{10,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ArterialCO2Inflow.q_out, ZCO2T.q_out) annotation (Line(
        points={{17.6,-46},{14,-46},{14,-66},{10,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ZO2T.q_out, O2Consumption.q_in) annotation (Line(
        points={{-50,-66},{-50,-70},{-54,-72},{-54,-84},{-59.6,-84}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(CO2production.q_out, ZCO2T.q_out) annotation (Line(
        points={{19.6,-84},{16,-84},{16,-72},{10,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(product13.u2, product7.y) annotation (Line(
        points={{-11,-32},{-18,-32},{-18,-60},{-8,-60},{-8,-81},{-9.5,-81}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VenousCO2Outflow.desiredFlow, product7.y) annotation (Line(
        points={{-7.5,-50.6},{-7.5,-58},{-8,-58},{-8,-81},{-9.5,-81}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZCO2T.SolventVolume, VTW) annotation (Line(
        points={{0,-58},{-4,-58},{-4,-98},{-94,-98},{-94,-40},{-113,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZO2T.SolventVolume, VTW) annotation (Line(
        points={{-60,-58},{-94,-58},{-94,-40},{-113,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product8.u1, QCO) annotation (Line(
        points={{53,-72},{58,-72},{58,-100},{-92,-100},{-92,-66},{-112,-66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product6.u1, QCO) annotation (Line(
        points={{-85,-66},{-112,-66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product9.u1, QCO) annotation (Line(
        points={{-22,-66},{-16,-66},{-16,-72},{-26,-72},{-26,-94},{-90,-94},{
            -90,-66},{-112,-66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product7.u1, QCO) annotation (Line(
        points={{-21,-78},{-26,-78},{-26,-94},{-90,-94},{-90,-66},{-112,-66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product7.u2, ZCO2T.SoluteConc) annotation (Line(
        points={{-21,-84},{-24,-84},{-24,-96},{40,-96},{40,-72.8},{21.6,-72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(ZO2ALV.SoluteConc, FO2A) annotation (Line(
        points={{-38.4,21.2},{-34,21.2},{-34,32},{-32,32}},
        color={0,0,255},
        smooth=Smooth.None,
        thickness=0.5));
    connect(ZCO2ALV.SoluteConc, FCOA) annotation (Line(
        points={{21.6,21.2},{44,21.2},{44,42},{54,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-58,-66},{42,-88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="O2/CO2 exchange")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end GasExchange;

  model CardiovascularBlock

    Library.Interfaces.RealInput VB annotation (Placement(transformation(extent={{-122,64},
              {-82,104}}),         iconTransformation(extent={{-124,66},{-100,
              90}})));
    Library.Interfaces.RealOutput QCO annotation (Placement(transformation(extent=
             {{80,62},{120,102}}), iconTransformation(extent={{100,72},{120,92}})));
    Library.Interfaces.RealOutput PAS annotation (Placement(transformation(extent=
             {{80,26},{120,66}}), iconTransformation(extent={{100,50},{120,70}})));
    Library.Interfaces.RealOutput PVS annotation (Placement(transformation(extent=
             {{80,-4},{120,36}}), iconTransformation(extent={{100,26},{120,46}})));
    Library.Interfaces.RealOutput PVP annotation (Placement(transformation(extent={{80,-80},
              {120,-40}}),        iconTransformation(extent={{100,2},{120,22}})));
    Library.Interfaces.RealOutput PAP annotation (Placement(transformation(extent={{80,-42},
              {120,-2}}),           iconTransformation(extent={{100,-22},{120,
              -2}})));
    Library.Interfaces.RealInput RTOT
                                    annotation (Placement(transformation(extent={{-120,18},
              {-80,58}}),          iconTransformation(extent={{-114,44},{-100,
              58}})));
    Library.Interfaces.RealInput KR annotation (Placement(transformation(extent={{-120,-8},
              {-80,32}}),          iconTransformation(extent={{-114,22},{-100,
              36}})));
    Library.Interfaces.RealInput RTOP
                                    annotation (Placement(transformation(extent={{-120,
              -42},{-80,-2}}),     iconTransformation(extent={{-114,0},{-100,14}})));
    Library.Interfaces.RealInput KL annotation (Placement(transformation(extent={{-120,
              -90},{-80,-50}}),    iconTransformation(extent={{-114,-26},{-100,
              -12}})));
    Library.Constant DEN(Const=1)
      annotation (Placement(transformation(extent={{-82,66},{-74,74}})));
    Modelica.Blocks.Math.Product QCO0
      annotation (Placement(transformation(extent={{-56,72},{-40,88}})));
    Modelica.Blocks.Math.Add add
      annotation (Placement(transformation(extent={{6,67},{22,83}})));
    Library.Constant DEN1(Const=1)
      annotation (Placement(transformation(extent={{-24,64},{-16,72}})));
    Modelica.Blocks.Math.Product QCO1
      annotation (Placement(transformation(extent={{-28,32},{-12,48}})));
    Library.Constant DEN2(Const=20)
      annotation (Placement(transformation(extent={{-14,22},{-6,30}})));
    Modelica.Blocks.Math.Add add1
      annotation (Placement(transformation(extent={{8,33},{24,49}})));
    Modelica.Blocks.Math.Add add2(k2=-1)
      annotation (Placement(transformation(extent={{6,1},{22,17}})));
    Library.Constant DEN3(Const=10.33)
      annotation (Placement(transformation(extent={{-16,-10},{-8,-2}})));
    Modelica.Blocks.Math.Product QCO3
      annotation (Placement(transformation(extent={{-28,-34},{-12,-18}})));
    Library.Constant DEN4(Const=8)
      annotation (Placement(transformation(extent={{-14,-44},{-6,-36}})));
    Modelica.Blocks.Math.Add add3(k2=-1)
      annotation (Placement(transformation(extent={{6,-65},{22,-49}})));
    Modelica.Blocks.Math.Add add4
      annotation (Placement(transformation(extent={{8,-33},{24,-17}})));
    Library.Constant DEN5(Const=16)
      annotation (Placement(transformation(extent={{-16,-76},{-8,-68}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-26,2},{-10,18}})));
    Modelica.Blocks.Math.Division division1
      annotation (Placement(transformation(extent={{-28,-66},{-12,-50}})));
  equation
    connect(DEN.y, QCO0.u2) annotation (Line(
        points={{-71.56,70.04},{-63.78,70.04},{-63.78,75.2},{-57.6,75.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VB, QCO0.u1) annotation (Line(
        points={{-102,84},{-79.8,84},{-79.8,84.8},{-57.6,84.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DEN1.y, add.u2) annotation (Line(
        points={{-13.56,68.04},{-6,68.04},{-6,70.2},{4.4,70.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO0.y, add.u1) annotation (Line(
        points={{-39.2,80},{-17.4,80},{-17.4,79.8},{4.4,79.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.y, QCO) annotation (Line(
        points={{22.8,75},{82,75},{82,82},{100,82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(RTOT, QCO1.u2) annotation (Line(
        points={{-100,38},{-70,38},{-70,35.2},{-29.6,35.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO1.u1, QCO0.y) annotation (Line(
        points={{-29.6,44.8},{-36,44.8},{-36,80},{-39.2,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO1.y, add1.u1) annotation (Line(
        points={{-11.2,40},{-2.4,40},{-2.4,45.8},{6.4,45.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DEN2.y, add1.u2) annotation (Line(
        points={{-3.56,26.04},{2,26.04},{2,36.2},{6.4,36.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, PAS) annotation (Line(
        points={{24.8,41},{78,41},{78,46},{100,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DEN3.y, add2.u2) annotation (Line(
        points={{-5.56,-5.96},{0,-5.96},{0,4.2},{4.4,4.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add2.y, PVS) annotation (Line(
        points={{22.8,9},{68,9},{68,16},{100,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO3.u2, RTOP) annotation (Line(
        points={{-29.6,-30.8},{-64,-30.8},{-64,-22},{-100,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO3.u1, QCO0.y) annotation (Line(
        points={{-29.6,-21.2},{-36,-21.2},{-36,80},{-39.2,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QCO3.y, add4.u1) annotation (Line(
        points={{-11.2,-26},{0,-26},{0,-20.2},{6.4,-20.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DEN4.y, add4.u2) annotation (Line(
        points={{-3.56,-39.96},{0,-39.96},{0,-29.8},{6.4,-29.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DEN5.y, add3.u2) annotation (Line(
        points={{-5.56,-71.96},{0,-71.96},{0,-61.8},{4.4,-61.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4.y, PAP) annotation (Line(
        points={{24.8,-25},{63.4,-25},{63.4,-22},{100,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.y, PVP) annotation (Line(
        points={{22.8,-57},{64.4,-57},{64.4,-60},{100,-60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, add2.u1) annotation (Line(
        points={{-9.2,10},{-2,10},{-2,13.8},{4.4,13.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u1, QCO0.y) annotation (Line(
        points={{-27.6,14.8},{-36,14.8},{-36,80},{-39.2,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KR, division.u2) annotation (Line(
        points={{-100,12},{-64,12},{-64,5.2},{-27.6,5.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.y, add3.u1) annotation (Line(
        points={{-11.2,-58},{-4,-58},{-4,-52.2},{4.4,-52.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.u1, QCO0.y) annotation (Line(
        points={{-29.6,-53.2},{-36,-53.2},{-36,80},{-39.2,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division1.u2, KL) annotation (Line(
        points={{-29.6,-62.8},{-64,-62.8},{-64,-70},{-100,-70}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-22,-56},{32,-84}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="block"),
          Text(
            extent={{-84,-30},{78,-58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Cardiovascular")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end CardiovascularBlock;

  model testCardiovascular
    Library.Constant RTOT(Const=20) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-84,60})));
    CardiovascularBlock cardiovascularBlock
      annotation (Placement(transformation(extent={{-24,28},{16,68}})));
    Library.Constant KR(Const=0.3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-84,52})));
    Library.Constant RTOP(Const=3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-84,44})));
    Library.Constant KL(Const=0.2) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-84,36})));
    Library.Constant VB(Const=4) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-84,72})));
  equation
    connect(RTOT.y, cardiovascularBlock.RTOT) annotation (Line(
        points={{-77.56,60.04},{-50.78,60.04},{-50.78,58.2},{-25.4,58.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KR.y, cardiovascularBlock.KR) annotation (Line(
        points={{-77.56,52.04},{-52,52.04},{-52,53.8},{-25.4,53.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(RTOP.y, cardiovascularBlock.RTOP) annotation (Line(
        points={{-77.56,44.04},{-50,44.04},{-50,49.4},{-25.4,49.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KL.y, cardiovascularBlock.KL) annotation (Line(
        points={{-77.56,36.04},{-42,36.04},{-42,44.2},{-25.4,44.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VB.y, cardiovascularBlock.VB) annotation (Line(
        points={{-77.56,72.04},{-38,72.04},{-38,63.6},{-26.4,63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testCardiovascular;

  model ProteinsAndWater

    Library.Interfaces.RealInput PVS(start=3)
                                     annotation (Placement(transformation(extent={{-120,74},
              {-100,94}}),          iconTransformation(extent={{-114,84},{-100,
              98}})));
    Library.Interfaces.RealInput PAS(start=100)
                                     annotation (Placement(transformation(extent={{-126,88},
              {-106,108}}),         iconTransformation(extent={{-114,66},{-100,
              80}})));
    Library.Interfaces.RealInput KRAV(start=5.93) annotation (Placement(transformation(extent={{-120,60},
              {-100,80}}),          iconTransformation(extent={{-110,22},{-100,
              32}})));
    Library.Interfaces.RealInput CFC(start=0.007) annotation (Placement(transformation(extent={{-132,
              -44},{-106,-18}}),    iconTransformation(extent={{-110,36},{-100,
              46}})));
    CapillaryPressure capillaryPressure
      annotation (Placement(transformation(extent={{-80,74},{-62,92}})));
    F33 f33_1
      annotation (Placement(transformation(extent={{-48,84},{-32,100}})));
    Library.VolumeFlow.VolumeCompartment ICF(initialVolume=20)
      annotation (Placement(transformation(extent={{0,-56},{20,-36}})));
    Library.VolumeFlow.VolumeCompartment ISF(initialVolume=8.8)
      annotation (Placement(transformation(extent={{0,0},{20,20}})));
    Library.VolumeFlow.VolumeCompartment Plasma(initialVolume=2.2)
      annotation (Placement(transformation(extent={{0,40},{20,60}})));
    Library.VolumeFlow.VolumeCompartment GIT(initialVolume=0.01)
      annotation (Placement(transformation(extent={{-54,40},{-34,60}})));
    Library.VolumeFlow.InputPumpIkeda Drinking
      annotation (Placement(transformation(extent={{-78,44},{-66,56}})));
    Library.Interfaces.RealInput QIN(start=0.001) "Drinking rate"
                                     annotation (Placement(transformation(extent={{-94,50},
              {-78,66}}),           iconTransformation(extent={{-110,8},{-100,
              18}})));
    Library.Interfaces.RealInput VIN(start=0) "Drinking rate"
                                     annotation (Placement(transformation(extent={{-104,34},
              {-88,50}}),           iconTransformation(extent={{-110,-6},{-100,
              4}})));
    Library.Interfaces.RealInput QMWP(start=0.0005) "Drinking rate"
                                     annotation (Placement(transformation(
            extent={{-58,64},{-38,84}}), iconTransformation(extent={{-110,-20},
              {-100,-10}})));
    Library.Interfaces.RealInput QIWL(start=0.0005) "Drinking rate"
                                     annotation (Placement(transformation(extent={{32,74},
              {48,90}}),            iconTransformation(extent={{-110,-34},{-100,
              -24}})));
    Library.VolumeFlow.InputPumpIkeda infusion
      annotation (Placement(transformation(extent={{-82,20},{-70,32}})));
    Library.Constant Constant(Const=0.1)
      annotation (Placement(transformation(extent={{-72,31},{-66,37}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-58,24},{-38,44}})));
    Library.VolumeFlow.OutputPumpIkeda waporing
      annotation (Placement(transformation(extent={{50,64},{64,78}})));
    Library.Interfaces.RealInput QWU(start=0.001) "Drinking rate"
                                     annotation (Placement(transformation(extent={{38,48},
              {54,64}}),            iconTransformation(extent={{-110,-50},{-100,
              -40}})));
    Library.VolumeFlow.OutputPumpIkeda diuresis
      annotation (Placement(transformation(extent={{52,38},{66,52}})));
    Library.VolumeFlow.InputPumpIkeda metabolism
      annotation (Placement(transformation(extent={{-26,60},{-14,72}})));
    Library.Constant Constant1(Const=0.002)
      annotation (Placement(transformation(extent={{-34,-6},{-26,1}})));
    Library.Constant Constant2(Const=0.002) annotation (Placement(
          transformation(
          extent={{-4,-3.5},{4,3.5}},
          rotation=180,
          origin={48,-4.5})));
    Library.Constant Constant3(Const=0) annotation (Placement(transformation(
          extent={{-4,-3.5},{4,3.5}},
          rotation=0,
          origin={-10,-6.5})));
  equation
    connect(capillaryPressure.PVS, PVS) annotation (Line(
        points={{-81.44,83.72},{-98.72,83.72},{-98.72,84},{-110,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaryPressure.PAS, PAS) annotation (Line(
        points={{-81.08,89.12},{-95.54,89.12},{-95.54,98},{-116,98}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KRAV, capillaryPressure.KRAV) annotation (Line(
        points={{-110,70},{-98,70},{-98,78.14},{-81.08,78.14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaryPressure.PC, f33_1.PC) annotation (Line(
        points={{-60.47,87.59},{-54.235,87.59},{-54.235,94.24},{-49.76,94.24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(Drinking.q_out, GIT.inflow) annotation (Line(
        points={{-66,50},{-54,50}},
        color={0,0,0},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIN, Drinking.desiredFlow) annotation (Line(
        points={{-86,58},{-72,58},{-72,53.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(infusion.desiredFlow, VIN) annotation (Line(
        points={{-76,29.6},{-76,42},{-96,42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(infusion.q_out, Plasma.inflow) annotation (Line(
        points={{-70,26},{-8,26},{-8,50},{0,50}},
        color={0,0,0},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Constant.y, simpleMultiply.u) annotation (Line(
        points={{-64.17,34.03},{-62.085,34.03},{-62.085,34},{-57.8,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GIT.Volume, simpleMultiply.yBase) annotation (Line(
        points={{-48,40},{-48,36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIWL, waporing.desiredFlow) annotation (Line(
        points={{40,82},{57,82},{57,75.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Plasma.outflow, waporing.q_in) annotation (Line(
        points={{20,50},{40,50},{40,71},{50,71}},
        color={0,0,0},
        thickness=0.5,
        smooth=Smooth.None));
    connect(diuresis.desiredFlow, QWU) annotation (Line(
        points={{59,49.2},{59,56},{46,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(diuresis.q_in, Plasma.outflow) annotation (Line(
        points={{52,45},{40,45},{40,50},{20,50}},
        color={0,0,0},
        thickness=0.5,
        smooth=Smooth.None));
    connect(metabolism.desiredFlow, QMWP) annotation (Line(
        points={{-20,69.6},{-20,74},{-48,74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(metabolism.q_out, Plasma.inflow) annotation (Line(
        points={{-14,66},{-8,66},{-8,50},{0,50}},
        color={0,0,0},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5)}), Diagram(coordinateSystem(preserveAspectRatio=
              true, extent={{-100,-100},{100,100}}), graphics));
  end ProteinsAndWater;

  model CapillaryPressure

    Library.Interfaces.RealInput PAS annotation (Placement(transformation(extent={{-142,46},
              {-102,86}}),           iconTransformation(extent={{-126,62},{-102,
              86}})));
    Library.Interfaces.RealInput PVS annotation (Placement(transformation(extent={{-140,8},
              {-100,48}}),           iconTransformation(extent={{-122,20},{-98,
              44}})));
    Library.Interfaces.RealInput KRAV(start=5.93) annotation (Placement(transformation(extent={{-140,
              -60},{-100,-20}}),     iconTransformation(extent={{-126,-30},{
              -102,-6}})));
    Library.Interfaces.RealOutput PC annotation (Placement(transformation(extent={{80,22},
              {120,62}}),          iconTransformation(extent={{100,-4},{124,20}})));

  function CapillaryPressure
    input Real pas;
    input Real pvs;
    input Real krav;
    output Real pc;
  algorithm
    pc := (pvs*krav + pas)/(krav + 1);
  end CapillaryPressure;

  equation
  PC=CapillaryPressure(PAS,PVS,KRAV);

    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-102,-28},{104,-64}},
            lineColor={0,0,255},
            textString="Capillary"),
          Text(
            extent={{-102,-62},{104,-98}},
            lineColor={0,0,255},
            textString="pressure")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end CapillaryPressure;

  block F33

    Library.Interfaces.RealInput PC annotation (Placement(transformation(extent={{
              -140,10},{-100,50}}), iconTransformation(extent={{-140,10},{-104,46}})));
    Library.Interfaces.RealOutput QPLC annotation (Placement(transformation(
            extent={{80,4},{120,44}}), iconTransformation(extent={{100,14},{134,48}})));
  function F33
    input Real pc;
    output Real qplc;
  algorithm
    qplc:=pc^2*2.768E-6;
  end F33;
  equation
    QPLC=F33(PC);
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                           graphics), Icon(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-48,-14},{50,-76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F33")}));
  end F33;

  block F35

    Library.Interfaces.RealInput XPIF annotation (Placement(transformation(extent=
             {{-140,0},{-100,40}}), iconTransformation(extent={{-134,10},{-100,44}})));
    Library.Interfaces.RealOutput PICO annotation (Placement(transformation(
            extent={{80,-2},{120,38}}), iconTransformation(extent={{100,12},{132,44}})));

    function f35
      input Real xpif;
      output Real pico;
    algorithm
      pico := 0.25*xpif;
    end f35;
  equation
    PICO = f35(XPIF);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-66,-18},{70,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F35")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F35;

  block F31

    Library.Interfaces.RealInput VIF annotation (Placement(transformation(extent={{-140,24},
              {-100,64}}),           iconTransformation(extent={{-132,32},{-100,64}})));
    Library.Interfaces.RealInput VIF0(start=8.8) annotation (Placement(transformation(extent={{-140,
              -44},{-100,-4}}),      iconTransformation(extent={{-132,-28},{-100,4}})));
    Library.Interfaces.RealOutput PIF annotation (Placement(transformation(extent=
             {{80,-8},{120,32}}), iconTransformation(extent={{100,14},{132,47}})));
    function PifCalc
      input Real vif;
      input Real vif0;
      output Real pif;
    protected
      Real x;
    algorithm
      x := vif/vif0;
      if (x <= 0.9) then
        pif := -15;
      elseif (x <= 1) then
        pif := 87*x - 93.3;
      elseif (x <= 2) then
        pif := -6.3*(2 - x)^10;
      else
        pif := x - 2;
      end if;
    end PifCalc;

  equation
    PIF = PifCalc(VIF, VIF0);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-54,-28},{28,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F31")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F31;

  block F32

    Library.Interfaces.RealInput PIF annotation (Placement(transformation(extent={
              {-118,48},{-78,88}}), iconTransformation(extent={{-132,-28},{-100,
              4}})));
    Library.Interfaces.RealInput QLF0(start=0.02) annotation (Placement(transformation(extent=
             {{-118,4},{-78,44}}), iconTransformation(extent={{-132,54},{-100,
              86}})));
    Library.Interfaces.RealOutput QLF annotation (Placement(transformation(extent=
             {{80,20},{120,60}}), iconTransformation(extent={{100,16},{132,48}})));
  function f32
    input Real pif;
    input Real qlf0;
   output Real qlf;
  algorithm
    qlf:=qlf0*(24/(1+exp(-0.4977*pif)));
  end f32;
  equation
    QLF=f32(PIF,QLF0);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-28,-32},{36,-74}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F32")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F32;

  block F34

    Library.Interfaces.RealOutput PPCO annotation (Placement(transformation(
            extent={{82,24},{122,64}}), iconTransformation(extent={{100,14},{132,46}})));
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(extent={
              {-122,20},{-82,60}}), iconTransformation(extent={{-132,12},{-100,44}})));
  function f34
    input Real xpp;
    output Real ppco;
  algorithm
    ppco:=xpp*0.4;
  end f34;
  equation
    PPCO=f34(XPP);

    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-68,-26},{70,-82}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F34")}));
  end F34;

  model ExchangeRateKH

    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-120,12},{-90,
              42}})));
    Library.Interfaces.RealInput XKE annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-120,-94},{-90,-64}})));
    Library.Interfaces.RealOutput YKHI
      "Intake reta of potassium into ICF exchanged by hydrogen ions [mEq/min] "
                                        annotation (Placement(transformation(
            extent={{76,-2},{116,38}}), iconTransformation(extent={{88,8},{120,40}})));

    Library.Interfaces.RealInput ZKI annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-120,62},{-90,92}})));
    Library.Interfaces.RealInput CKEI
                                     annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-120,-38},{-90,-8}})));
  Real F41;

  equation
     F41=1+0.5*Modelica.Math.log10(XKE/(56.744-7.06*PHA));
     YKHI=(F41*2800-ZKI)*CKEI;
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-4,-20},{92,-76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F41")}), Diagram(coordinateSystem(preserveAspectRatio=false,
            extent={{-100,-100},{100,100}}), graphics));
  end ExchangeRateKH;

  model IntracellularBuffering

    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-120,6},{-80,46}}), iconTransformation(extent={{-118,50},{-86,82}})));
    Library.Interfaces.RealOutput YNHI annotation (Placement(transformation(extent=
             {{80,4},{120,44}}), iconTransformation(extent={{98,-26},{132,8}})));
    Real ZHI(start=100);
    //parameter Real CHEI(start=5);

    Library.Interfaces.RealOutput PHI annotation (Placement(transformation(extent=
             {{82,-36},{122,4}}), iconTransformation(extent={{100,52},{134,86}})));
    Library.Interfaces.RealInput CHEI
                                     annotation (Placement(transformation(extent={
              {-120,6},{-80,46}}), iconTransformation(extent={{-118,-30},{-86,2}})));
  equation
    PHI=-Modelica.Math.log10(ZHI*10^(-9));
    YNHI=(PHI-PHA+0.4)*CHEI;
    der(ZHI)=YNHI;
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-128,-46},{126,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Na/H exchange")}), Diagram(coordinateSystem(
            preserveAspectRatio=true,  extent={{-100,-100},{100,100}}), graphics));
  end IntracellularBuffering;

  model testICBuffering
    Library.Constant PHA1(Const=7.4)
      annotation (Placement(transformation(extent={{-84,34},{-76,42}})));
    IntracellularBuffering intracellularBuffering
      annotation (Placement(transformation(extent={{-26,-14},{44,56}})));
    Library.Constant PHA2(Const=0.001)
      annotation (Placement(transformation(extent={{-80,4},{-72,12}})));
  equation
    connect(PHA1.y, intracellularBuffering.PHA) annotation (Line(
        points={{-73.56,38.04},{-53.78,38.04},{-53.78,43.4},{-27.4,43.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(PHA2.y, intracellularBuffering.CHEI) annotation (Line(
        points={{-69.56,8.04},{-48.78,8.04},{-48.78,16.1},{-26.7,16.1}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testICBuffering;

  model ControllerOfRenalFuncion

    Library.Interfaces.RealInput PVP
                                    annotation (Placement(transformation(extent={{-140,66},
              {-100,106}}),        iconTransformation(extent={{-120,76},{-100,
              96}})));
    Library.Interfaces.RealInput OSMP
                                    annotation (Placement(transformation(extent={{-140,40},
              {-100,80}}),         iconTransformation(extent={{-118,50},{-100,
              68}})));
    Library.Interfaces.RealInput XKE
                                    annotation (Placement(transformation(extent={{-140,4},
              {-100,44}}),         iconTransformation(extent={{-118,20},{-100,
              38}})));
    Library.Interfaces.RealInput YNH
                                    annotation (Placement(transformation(extent={{-140,
              -34},{-100,6}}),     iconTransformation(extent={{-118,-8},{-100,
              10}})));
    Library.Interfaces.RealInput PAS
                                    annotation (Placement(transformation(extent={{-140,
              -62},{-100,-22}}),   iconTransformation(extent={{-120,-38},{-100,
              -18}})));
    Library.Interfaces.RealInput PPCO
                                    annotation (Placement(transformation(extent={{-20,-20},
              {20,20}},
          rotation=0,
          origin={-120,-98}),      iconTransformation(extent={{-120,-66},{-100,
              -46}})));
    Library.Interfaces.RealInput VEC
                                    annotation (Placement(transformation(extent={{-140,
              -90},{-100,-50}}),   iconTransformation(extent={{-120,-94},{-100,
              -74}})));
    Library.Interfaces.RealOutput ADH annotation (Placement(transformation(extent=
             {{80,62},{120,102}}), iconTransformation(extent={{100,66},{118,84}})));
    Library.Interfaces.RealOutput ALD annotation (Placement(transformation(extent={{80,20},
              {120,60}}),          iconTransformation(extent={{100,22},{118,40}})));
    Library.Interfaces.RealOutput THDF
                                      annotation (Placement(transformation(extent={{80,-100},
              {120,-60}}),         iconTransformation(extent={{100,-10},{118,8}})));
    Library.Interfaces.RealOutput GFR annotation (Placement(transformation(extent={{80,-60},
              {120,-20}}),         iconTransformation(extent={{100,-56},{118,
              -38}})));
  parameter Real CPAD=1;
  parameter Real COAD=0.5;
  parameter Real ACTH=1;
  parameter Real CKAL=0.5;
  parameter Real CNAL=0.1;
  parameter Real CPVL=0.1;
  parameter Real CPAL=0.01;
  parameter Real GFR0=0.1;
  parameter Real VEC0=11;
  parameter Real TADH=15;
  parameter Real TALD=30;

    Library.Constant Constant(Const=CPAD)
      annotation (Placement(transformation(extent={{-58,90},{-50,98}})));
    Library.Constant Constant1(Const=4)
      annotation (Placement(transformation(extent={{-96,72},{-88,80}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-72,80},{-60,92}})));
    Modelica.Blocks.Math.Add add1(k2=-1)
      annotation (Placement(transformation(extent={{-74,50},{-62,62}})));
    Library.Constant Constant2(Const=287)
      annotation (Placement(transformation(extent={{-94,48},{-86,56}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{-36,84},{-24,96}})));
    Modelica.Blocks.Math.Add add2(
                                 k2=-1)
      annotation (Placement(transformation(extent={{2,66},{14,78}})));
    Modelica.Blocks.Continuous.Integrator ADH0
      annotation (Placement(transformation(extent={{50,66},{62,78}})));
    Library.Constant Constant3(Const=TADH)
      annotation (Placement(transformation(extent={{8,56},{16,64}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{32,66},{44,78}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{-40,54},{-28,66}})));
    Library.Constant Constant4(Const=COAD)
      annotation (Placement(transformation(extent={{-60,44},{-52,52}})));
    Modelica.Blocks.Math.Add add3(
                                 k2=-1)
      annotation (Placement(transformation(extent={{-18,66},{-6,78}})));
    F71 f71_1 annotation (Placement(transformation(extent={{72,72},{90,90}})));
    Library.Add5 add5_1(
      k4=-1,
      k5=-1,
      k3=-1) annotation (Placement(transformation(extent={{-8,16},{16,40}})));
    Modelica.Blocks.Math.Add add4(k2=-1)
      annotation (Placement(transformation(extent={{-72,28},{-60,40}})));
    Library.Constant Constant5(Const=ACTH)
      annotation (Placement(transformation(extent={{-92,32},{-84,40}})));
    Library.Constant Constant6(Const=1)
      annotation (Placement(transformation(extent={{-92,20},{-84,28}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-36,28},{-24,40}})));
    Library.Constant Constant7(Const=1)
      annotation (Placement(transformation(extent={{-56,20},{-48,28}})));
    Modelica.Blocks.Math.Add add5(k2=-1)
      annotation (Placement(transformation(extent={{-72,2},{-60,14}})));
    Library.Constant Constant9(Const=4.5)
      annotation (Placement(transformation(extent={{-92,-6},{-84,2}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{-36,2},{-24,14}})));
    Library.Constant Constant10(Const=CKAL)
      annotation (Placement(transformation(extent={{-56,-6},{-48,2}})));
    Modelica.Blocks.Math.Add add6(k2=-1)
      annotation (Placement(transformation(extent={{-72,-20},{-60,-8}})));
    Library.Constant Constant8(Const=4)
      annotation (Placement(transformation(extent={{-92,-28},{-84,-20}})));
    Library.Constant Constant11(Const=CPVL)
      annotation (Placement(transformation(extent={{-56,-28},{-48,-20}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{-36,-20},{-24,-8}})));
    Modelica.Blocks.Math.Add add7(k2=-1)
      annotation (Placement(transformation(extent={{-72,-44},{-60,-32}})));
    Library.Constant Constant12(Const=CNAL)
      annotation (Placement(transformation(extent={{-56,-52},{-48,-44}})));
    Modelica.Blocks.Math.Product product5
      annotation (Placement(transformation(extent={{-36,-44},{-24,-32}})));
    Library.Constant Constant13(Const=1.4)
      annotation (Placement(transformation(extent={{-92,-48},{-84,-40}})));
    Modelica.Blocks.Math.Add add8(k2=-1)
      annotation (Placement(transformation(extent={{-72,-66},{-60,-54}})));
    Library.Constant Constant14(Const=CPAL)
      annotation (Placement(transformation(extent={{-56,-74},{-48,-66}})));
    Modelica.Blocks.Math.Product product6
      annotation (Placement(transformation(extent={{-36,-66},{-24,-54}})));
    Library.Constant Constant15(Const=100)
      annotation (Placement(transformation(extent={{-92,-70},{-84,-62}})));
    Modelica.Blocks.Nonlinear.FixedDelay fixedDelay(delayTime=100)
      annotation (Placement(transformation(extent={{28,18},{48,38}})));
    Modelica.Blocks.Math.Add add9(
                                 k2=-1)
      annotation (Placement(transformation(extent={{0,-4},{12,8}})));
    Library.Constant Constant16(Const=TALD)
      annotation (Placement(transformation(extent={{6,-14},{14,-6}})));
    Modelica.Blocks.Math.Division division1
      annotation (Placement(transformation(extent={{30,-4},{42,8}})));
    Modelica.Blocks.Continuous.Integrator ALD0
      annotation (Placement(transformation(extent={{48,-4},{60,8}})));
    F73 f73_1 annotation (Placement(transformation(extent={{64,-92},{82,-74}})));
    F72 f72_1 annotation (Placement(transformation(extent={{72,24},{90,42}})));
    F74 f74_1 annotation (Placement(transformation(extent={{22,-42},{40,-24}})));
    Modelica.Blocks.Math.Division division2
      annotation (Placement(transformation(extent={{4,-90},{16,-78}})));
    Library.Constant Constant17(Const=VEC0)
      annotation (Placement(transformation(extent={{-16,-92},{-8,-84}})));
    Modelica.Blocks.Math.Product product7
      annotation (Placement(transformation(extent={{28,-80},{40,-68}})));
    Library.Constant Constant18(Const=GFR0)
      annotation (Placement(transformation(extent={{4,-70},{12,-62}})));
    Modelica.Blocks.Math.Product product8
      annotation (Placement(transformation(extent={{62,-46},{74,-34}})));
  equation
    connect(Constant1.y, add.u2) annotation (Line(
        points={{-85.56,76.04},{-80.78,76.04},{-80.78,82.4},{-73.2,82.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add1.u1, OSMP) annotation (Line(
        points={{-75.2,59.6},{-88.6,59.6},{-88.6,60},{-120,60}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant.y, product.u1) annotation (Line(
        points={{-47.56,94.04},{-36.78,94.04},{-36.78,93.6},{-37.2,93.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add.y, product.u2) annotation (Line(
        points={{-59.4,86},{-45.3,86},{-45.3,86.4},{-37.2,86.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant3.y, division.u2) annotation (Line(
        points={{18.44,60.04},{23.22,60.04},{23.22,68.4},{30.8,68.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add2.y, division.u1) annotation (Line(
        points={{14.6,72},{22,72},{22,75.6},{30.8,75.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(division.y, ADH0.u) annotation (Line(
        points={{44.6,72},{48.8,72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant2.y, add1.u2) annotation (Line(
        points={{-83.56,52.04},{-78.78,52.04},{-78.78,52.4},{-75.2,52.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant4.y, product1.u2) annotation (Line(
        points={{-49.56,48.04},{-46,48.04},{-46,56.4},{-41.2,56.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add1.y, product1.u1) annotation (Line(
        points={{-61.4,56},{-54,56},{-54,63.6},{-41.2,63.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product1.y, add3.u2) annotation (Line(
        points={{-27.4,60},{-24,60},{-24,68.4},{-19.2,68.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product.y, add3.u1) annotation (Line(
        points={{-23.4,90},{-22,90},{-22,75.6},{-19.2,75.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add3.y, add2.u1) annotation (Line(
        points={{-5.4,72},{-2.3,72},{-2.3,75.6},{0.8,75.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f71_1.ADH, ADH) annotation (Line(
        points={{91.44,83.16},{96.64,83.16},{96.64,82},{100,82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f71_1.ADH0, ADH0.y) annotation (Line(
        points={{70.65,82.89},{66,82.89},{66,72},{62.6,72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant5.y, add4.u1) annotation (Line(
        points={{-81.56,36.04},{-78.78,36.04},{-78.78,37.6},{-73.2,37.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant6.y, add4.u2) annotation (Line(
        points={{-81.56,24.04},{-76,24.04},{-76,30.4},{-73.2,30.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add4.y, product2.u1) annotation (Line(
        points={{-59.4,34},{-54.3,34},{-54.3,37.6},{-37.2,37.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant7.y, product2.u2) annotation (Line(
        points={{-45.56,24.04},{-42,24.04},{-42,30.4},{-37.2,30.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant9.y, add5.u2) annotation (Line(
        points={{-81.56,-1.96},{-76,-1.96},{-76,4.4},{-73.2,4.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add5.y, product3.u1) annotation (Line(
        points={{-59.4,8},{-54.3,8},{-54.3,11.6},{-37.2,11.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant10.y, product3.u2) annotation (Line(
        points={{-45.56,-1.96},{-42,-1.96},{-42,4.4},{-37.2,4.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add5.u1, XKE) annotation (Line(
        points={{-73.2,11.6},{-94,11.6},{-94,24},{-120,24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant8.y, add6.u2) annotation (Line(
        points={{-81.56,-23.96},{-76,-23.96},{-76,-17.6},{-73.2,-17.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add6.y, product4.u1) annotation (Line(
        points={{-59.4,-14},{-54.3,-14},{-54.3,-10.4},{-37.2,-10.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant11.y, product4.u2) annotation (Line(
        points={{-45.56,-23.96},{-42,-23.96},{-42,-17.6},{-37.2,-17.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add6.u1, PVP) annotation (Line(
        points={{-73.2,-10.4},{-98,-10.4},{-98,86},{-120,86}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add.u1, PVP) annotation (Line(
        points={{-73.2,89.6},{-98,89.6},{-98,86},{-120,86}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add7.y, product5.u1) annotation (Line(
        points={{-59.4,-38},{-54.3,-38},{-54.3,-34.4},{-37.2,-34.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant12.y, product5.u2) annotation (Line(
        points={{-45.56,-47.96},{-42,-47.96},{-42,-41.6},{-37.2,-41.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant13.y, add7.u2) annotation (Line(
        points={{-81.56,-43.96},{-76,-43.96},{-76,-41.6},{-73.2,-41.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YNH, add7.u1) annotation (Line(
        points={{-120,-14},{-96.6,-14},{-96.6,-34.4},{-73.2,-34.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add8.y, product6.u1) annotation (Line(
        points={{-59.4,-60},{-54.3,-60},{-54.3,-56.4},{-37.2,-56.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant14.y, product6.u2) annotation (Line(
        points={{-45.56,-69.96},{-42,-69.96},{-42,-63.6},{-37.2,-63.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant15.y, add8.u2) annotation (Line(
        points={{-81.56,-65.96},{-76,-65.96},{-76,-63.6},{-73.2,-63.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product2.y, add5_1.u1) annotation (Line(
        points={{-23.4,34},{-20,34},{-20,37.84},{-10.4,37.84}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product3.y, add5_1.u2) annotation (Line(
        points={{-23.4,8},{-20,8},{-20,33.04},{-10.4,33.04}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product4.y, add5_1.u3) annotation (Line(
        points={{-23.4,-14},{-20,-14},{-20,28.24},{-10.4,28.24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product5.y, add5_1.u4) annotation (Line(
        points={{-23.4,-38},{-18,-38},{-18,23.44},{-10.4,23.44}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product6.y, add5_1.u5) annotation (Line(
        points={{-23.4,-60},{-16,-60},{-16,18.64},{-10.4,18.64}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add5_1.y, fixedDelay.u) annotation (Line(
        points={{17.2,28},{26,28}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add2.u2, ADH0.y) annotation (Line(
        points={{0.8,68.4},{-4,68.4},{-4,52},{66,52},{66,72},{62.6,72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add9.u2, ALD0.y) annotation (Line(
        points={{-1.2,-1.6},{-6,-1.6},{-6,-20},{64,-20},{64,2},{60.6,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant16.y, division1.u2) annotation (Line(
        points={{16.44,-9.96},{21.22,-9.96},{21.22,-1.6},{28.8,-1.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(division1.y, ALD0.u) annotation (Line(
        points={{42.6,2},{46.8,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(add9.y, division1.u1) annotation (Line(
        points={{12.6,2},{20,2},{20,5.6},{28.8,5.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(fixedDelay.y, add9.u1) annotation (Line(
        points={{49,28},{60,28},{60,12},{-12,12},{-12,6},{-1.2,6},{-1.2,5.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(ALD, ALD) annotation (Line(
        points={{100,40},{100,40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f72_1.ALD, ALD) annotation (Line(
        points={{91.44,35.16},{96.72,35.16},{96.72,40},{100,40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f72_1.ALD0, ALD0.y) annotation (Line(
        points={{70.65,34.89},{64,34.89},{64,2},{60.6,2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f74_1.PAS, PAS) annotation (Line(
        points={{20.56,-30.48},{-8,-30.48},{-8,-76},{-96,-76},{-96,-42},{-120,
            -42}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(add8.u1, PAS) annotation (Line(
        points={{-73.2,-56.4},{-96,-56.4},{-96,-42},{-120,-42}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant17.y, division2.u2) annotation (Line(
        points={{-5.56,-87.96},{-1.78,-87.96},{-1.78,-87.6},{2.8,-87.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(division2.y, product7.u2) annotation (Line(
        points={{16.6,-84},{19.7,-84},{19.7,-77.6},{26.8,-77.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant18.y, product7.u1) annotation (Line(
        points={{14.44,-65.96},{20.22,-65.96},{20.22,-70.4},{26.8,-70.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product7.y, product8.u2) annotation (Line(
        points={{40.6,-74},{50,-74},{50,-43.6},{60.8,-43.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(f74_1.GFR, product8.u1) annotation (Line(
        points={{41.44,-30.255},{51.72,-30.255},{51.72,-36.4},{60.8,-36.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(product8.y, GFR) annotation (Line(
        points={{74.6,-40},{100,-40}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(division2.u1, VEC) annotation (Line(
        points={{2.8,-80.4},{-98,-80.4},{-98,-70},{-120,-70}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(PPCO, f73_1.PPCO) annotation (Line(
        points={{-120,-98},{50,-98},{50,-80.48},{62.56,-80.48}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(THDF, f73_1.THDF) annotation (Line(
        points={{100,-80},{100,-80.255},{83.44,-80.255}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GFR, GFR) annotation (Line(
        points={{100,-40},{105.5,-40},{105.5,-40},{100,-40}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-80,-4},{82,-32}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Controller"),
          Text(
            extent={{-78,-36},{84,-64}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="of renal"),
          Text(
            extent={{-76,-66},{86,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="functions")}),
                                  Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end ControllerOfRenalFuncion;

  block F71

    Library.Interfaces.RealInput ADH0
                                     annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-130,6},{-100,36}})));
    Library.Interfaces.RealOutput ADH   annotation (Placement(transformation(
            extent={{76,-2},{116,38}}), iconTransformation(extent={{100,8},{132,40}})));
  function f71
    input Real adh0;
    output Real adh;
  algorithm
    adh:=1.1/(1+Modelica.Math.exp(-0.5*(adh0+4.605)));
  end f71;
  equation
    ADH=f71(ADH0);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-38,-34},{58,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F71")}), Diagram(coordinateSystem(preserveAspectRatio=false,
            extent={{-100,-100},{100,100}}), graphics));
  end F71;

  block F72

    Library.Interfaces.RealInput ALD0
                                     annotation (Placement(transformation(extent={
              {-122,24},{-82,64}}), iconTransformation(extent={{-130,6},{-100,36}})));
    Library.Interfaces.RealOutput ALD   annotation (Placement(transformation(
            extent={{76,-2},{116,38}}), iconTransformation(extent={{100,8},{132,40}})));
  function f72
    input Real ald0;
    output Real ald;
  algorithm
    ald:=10/(1+Modelica.Math.exp(-0.4394*(ald0-5)));
  end f72;
  equation
    ALD=f72(ALD0);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-38,-34},{58,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F72")}), Diagram(coordinateSystem(preserveAspectRatio=false,
            extent={{-100,-100},{100,100}}), graphics));
  end F72;

  block F73

    Library.Interfaces.RealInput PPCO annotation (Placement(transformation(extent={{-140,24},
              {-100,64}}),           iconTransformation(extent={{-132,12},{-100,
              44}})));
    Library.Interfaces.RealOutput THDF annotation (Placement(transformation(extent=
             {{80,-8},{120,32}}), iconTransformation(extent={{100,14},{132,47}})));
    function f73
      input Real ppco;
      output Real thdf;

    algorithm
      if (ppco <= 28) then
        thdf := -0.5*(ppco/28-1)+1;
      else
        thdf := 1;
      end if;
    end f73;

  equation
    THDF = f73(PPCO);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-54,-28},{28,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F73")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F73;

  block F74

    Library.Interfaces.RealInput PAS annotation (Placement(transformation(extent={{-140,24},
              {-100,64}}),           iconTransformation(extent={{-132,12},{-100,44}})));
    Library.Interfaces.RealOutput GFR annotation (Placement(transformation(extent=
             {{80,-8},{120,32}}), iconTransformation(extent={{100,14},{132,47}})));
    function f74
      input Real pas;
      output Real gfr;

    algorithm
      if (pas <= 40) then
        gfr := 0;
      elseif (pas < 80.0) then
        gfr := 0.02*pas - 0.8;
      elseif (pas < 100.0) then
        gfr := 0.005*(pas-100)^2+1;
      else
        gfr := 1;
      end if;
    end f74;

  equation
    GFR = f74(PAS);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-54,-28},{28,-78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F74")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F74;

  model testControlRenal
    ControllerOfRenalFuncion controllerOfRenalFuncion
      annotation (Placement(transformation(extent={{-14,28},{26,68}})));
    Library.Constant Constant(Const=4.5)
      annotation (Placement(transformation(extent={{-68,58},{-60,66}})));
    Library.Constant Constant1(Const=4)
      annotation (Placement(transformation(extent={{-68,86},{-60,94}})));
    Library.Constant Constant2(Const=287)
      annotation (Placement(transformation(extent={{-68,72},{-60,80}})));
    Library.Constant Constant3(Const=1.4)
      annotation (Placement(transformation(extent={{-68,46},{-60,54}})));
    Library.Constant Constant4(Const=100)
      annotation (Placement(transformation(extent={{-68,32},{-60,40}})));
    Library.Constant Constant5(Const=28)
      annotation (Placement(transformation(extent={{-68,20},{-60,28}})));
    Library.Constant Constant6(Const=11)
      annotation (Placement(transformation(extent={{-68,4},{-60,12}})));
  equation
    connect(Constant1.y, controllerOfRenalFuncion.PVP) annotation (Line(
        points={{-57.56,90.04},{-30.78,90.04},{-30.78,65.2},{-16,65.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant2.y, controllerOfRenalFuncion.OSMP) annotation (Line(
        points={{-57.56,76.04},{-33.78,76.04},{-33.78,59.8},{-15.8,59.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant.y, controllerOfRenalFuncion.XKE) annotation (Line(
        points={{-57.56,62.04},{-35.78,62.04},{-35.78,53.8},{-15.8,53.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant3.y, controllerOfRenalFuncion.YNH) annotation (Line(
        points={{-57.56,50.04},{-34.78,50.04},{-34.78,48.2},{-15.8,48.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant4.y, controllerOfRenalFuncion.PAS) annotation (Line(
        points={{-57.56,36.04},{-37.78,36.04},{-37.78,42.4},{-16,42.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant5.y, controllerOfRenalFuncion.PPCO) annotation (Line(
        points={{-57.56,24.04},{-31.78,24.04},{-31.78,36.8},{-16,36.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant6.y, controllerOfRenalFuncion.VEC) annotation (Line(
        points={{-57.56,8.04},{-27.78,8.04},{-27.78,31.2},{-16,31.2}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testControlRenal;

  model Respiration "blok podle Ikedy"

    Library.Interfaces.RealInput QCO annotation (Placement(transformation(
            extent={{-110,34},{-84,60}}), iconTransformation(extent={{-100,22},
              {-86,36}})));
    Library.Interfaces.RealInput VTW annotation (Placement(transformation(
            extent={{-106,-102},{-78,-74}}), iconTransformation(extent={{-100,
              -20},{-86,-6}})));
    Library.Interfaces.RealInput STBC annotation (Placement(transformation(
            extent={{-104,-40},{-78,-14}}), iconTransformation(extent={{-100,
              -44},{-86,-30}})));
    Library.Interfaces.RealInput FCOI annotation (Placement(transformation(
            extent={{-104,-2},{-78,24}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-63,93})));
    Library.Interfaces.RealInput FO2I annotation (Placement(transformation(
            extent={{-104,16},{-78,42}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-45,93})));
    Library.Interfaces.RealInput PBA annotation (Placement(transformation(
            extent={{-104,-20},{-78,6}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-27,93})));
    Library.Interfaces.RealInput MRCO annotation (Placement(transformation(
            extent={{-106,48},{-80,74}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-7,93})));
    Library.Interfaces.RealInput MRO2 annotation (Placement(transformation(
            extent={{-100,58},{-72,86}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={11,93})));
    Library.Interfaces.RealInput XHB annotation (Placement(transformation(
            extent={{-104,-60},{-78,-34}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={29,93})));
    Library.Interfaces.RealInput VI0 annotation (Placement(transformation(
            extent={{-60,48},{-36,72}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={49,93})));
    Library.Interfaces.RealOutput PCOA annotation (Placement(transformation(
            extent={{48,2},{72,26}}), iconTransformation(extent={{86,34},{100,
              48}})));
    Library.Interfaces.RealOutput VI annotation (Placement(transformation(
            extent={{64,74},{84,94}}), iconTransformation(extent={{86,16},{100,
              30}})));
    Library.Interfaces.RealOutput PHA( start=7.4) annotation (Placement(transformation(
            extent={{66,-30},{92,-4}}), iconTransformation(extent={{86,-16},{
              100,-2}})));
    Library.Interfaces.RealOutput XCO3 annotation (Placement(transformation(
            extent={{48,-22},{72,2}}), iconTransformation(extent={{86,-42},{100,
              -28}})));
    Library.Interfaces.RealOutput DCLA annotation (Placement(transformation(
            extent={{52,-106},{74,-84}}), iconTransformation(extent={{86,-70},{
              100,-56}})));
    Library.Interfaces.RealOutput UO2V annotation (Placement(transformation(
            extent={{66,-80},{92,-54}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-43,-93})));
    Library.Interfaces.RealOutput UCOV annotation (Placement(transformation(
            extent={{50,-86},{74,-62}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-25,-93})));
    Library.Interfaces.RealOutput FO2A annotation (Placement(transformation(
            extent={{68,14},{92,38}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-9,-93})));
    Library.Interfaces.RealOutput PO2A annotation (Placement(transformation(
            extent={{66,-6},{92,20}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={7,-93})));
    Library.Interfaces.RealOutput FCOA annotation (Placement(transformation(
            extent={{50,22},{72,44}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={37,-93})));
    GasExchange gasExchange
      annotation (Placement(transformation(extent={{-42,-42},{18,18}})));
    Library.Interfaces.RealInput VAL annotation (Placement(transformation(
            extent={{-104,-80},{-78,-54}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={67,93})));
    Library.Interfaces.RealOutput SO2A annotation (Placement(transformation(
            extent={{46,-42},{72,-16}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={21,-93})));
    Library.Interfaces.RealOutput UO2A annotation (Placement(transformation(
            extent={{68,-52},{94,-26}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-75,-93})));
    Library.Interfaces.RealOutput UCOA annotation (Placement(transformation(
            extent={{48,-68},{72,-44}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-59,-93})));
    Library.SimpleSubtract simpleSubtract
      annotation (Placement(transformation(extent={{18,-104},{52,-70}})));
    AlveolarVentilation alveolarVentilation
      annotation (Placement(transformation(extent={{-24,40},{18,86}})));
  equation
    connect(gasExchange.MRO2, MRO2) annotation (Line(
        points={{-43.5,13.5},{-52,13.5},{-52,72},{-86,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.MRCO, MRCO) annotation (Line(
        points={{-43.5,8.1},{-56,8.1},{-56,61},{-93,61}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.QCO, QCO) annotation (Line(
        points={{-43.5,2.1},{-62,2.1},{-62,47},{-97,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FO2I, FO2I) annotation (Line(
        points={{-43.5,-6.9},{-64,-6.9},{-64,29},{-91,29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FCOI, FCOI) annotation (Line(
        points={{-43.5,-11.7},{-66,-11.7},{-66,11},{-91,11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PBA, PBA) annotation (Line(
        points={{-43.5,-16.5},{-71.75,-16.5},{-71.75,-7},{-91,-7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.STBC, STBC) annotation (Line(
        points={{-43.5,-21.9},{-72,-21.9},{-72,-27},{-91,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.XHB, XHB) annotation (Line(
        points={{-43.5,-27.3},{-64,-27.3},{-64,-47},{-91,-47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.VAL, VAL) annotation (Line(
        points={{-43.5,-32.1},{-60,-32.1},{-60,-67},{-91,-67}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.VTW, VTW) annotation (Line(
        points={{-43.5,-36.9},{-54,-36.9},{-54,-88},{-92,-88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FCOA, FCOA) annotation (Line(
        points={{19.5,15.9},{36,15.9},{36,33},{61,33}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.FO2A, FO2A) annotation (Line(
        points={{19.5,11.1},{44,11.1},{44,26},{80,26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PCOA, PCOA) annotation (Line(
        points={{19.5,6.3},{52,6.3},{52,14},{60,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PO2A, PO2A) annotation (Line(
        points={{19.5,1.5},{68,1.5},{68,7},{79,7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.XCO3, XCO3) annotation (Line(
        points={{19.5,-5.1},{50,-5.1},{50,-10},{60,-10}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.PHA, PHA) annotation (Line(
        points={{19.5,-9.9},{42,-9.9},{42,-17},{79,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.SO2A, SO2A) annotation (Line(
        points={{19.5,-15.3},{36,-15.3},{36,-29},{59,-29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.UO2A, UO2A) annotation (Line(
        points={{19.5,-21.3},{34,-21.3},{34,-39},{81,-39}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.UCOA, UCOA) annotation (Line(
        points={{19.5,-26.1},{32,-26.1},{32,-56},{60,-56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(gasExchange.XCO3, simpleSubtract.yBase) annotation (Line(
        points={{19.5,-5.1},{50,-5.1},{50,-80},{35,-80},{35,-83.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract.u, STBC) annotation (Line(
        points={{18.68,-87},{-46,-87},{-46,-44},{-72,-44},{-72,-27},{-91,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(simpleSubtract.y, DCLA) annotation (Line(
        points={{35,-90.4},{35,-95},{63,-95}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UCOV, gasExchange.UCOV) annotation (Line(
        points={{62,-74},{24,-74},{24,-36.9},{19.5,-36.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(UO2V, gasExchange.UO2V) annotation (Line(
        points={{79,-67},{28,-67},{28,-32.1},{19.5,-32.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VI0, alveolarVentilation.VI0) annotation (Line(
        points={{-48,60},{-30,60},{-30,64.15},{-24.63,64.15}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(alveolarVentilation.PHA, gasExchange.PHA) annotation (Line(
        points={{-24.63,82.09},{-32,82.09},{-32,90},{26,90},{26,-9.9},{19.5,-9.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(alveolarVentilation.PO2A, gasExchange.PO2A) annotation (Line(
        points={{-24.63,70.13},{-40,70.13},{-40,94},{34,94},{34,1.5},{19.5,1.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(alveolarVentilation.PCOA, gasExchange.PCOA) annotation (Line(
        points={{-24.63,76.11},{-30,76},{-36,76},{-36,92},{30,92},{30,6.3},{
            19.5,6.3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(alveolarVentilation.VI, VI) annotation (Line(
        points={{20.94,69.9},{48.47,69.9},{48.47,84},{74,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gasExchange.VI, alveolarVentilation.VI) annotation (Line(
        points={{-43.5,-2.1},{-50,-2.1},{-50,38},{48,38},{48,69.9},{20.94,69.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-86,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="RESPIRATION",
            origin={1,5},
            rotation=180)}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end Respiration;

  model testRespirationBlock
    Respiration respiration
      annotation (Placement(transformation(extent={{-56,-70},{72,58}})));
    Library.Constant STBC(Const=24)
      annotation (Placement(transformation(extent={{-98,-36},{-90,-28}})));
    Library.Constant VTW(Const=31)
      annotation (Placement(transformation(extent={{-88,-26},{-80,-18}})));
    Library.Constant QCO(Const=5)
      annotation (Placement(transformation(extent={{-84,6},{-76,14}})));
    Library.Constant FCOI(Const=0)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={-34,80})));
    Library.Constant FO2I(Const=0.210)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={-24,90})));
    Library.Constant PBA(Const=760)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={-12,72})));
    Library.Constant MRCO(Const=0.2318)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={-2,82})));
    Library.Constant MRO2(Const=0.2591)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={14,86})));
    Library.Constant XHB(Const=15)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={26,74})));
    Library.Constant XHB1(Const=5)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={40,82})));
    Library.Constant XHB2(Const=3)
      annotation (Placement(transformation(extent={{-4,-4},{4,4}},
          rotation=270,
          origin={50,92})));
  equation
    connect(STBC.y, respiration.STBC) annotation (Line(
        points={{-87.56,-31.96},{-70.78,-31.96},{-70.78,-29.68},{-51.52,-29.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(VTW.y, respiration.VTW) annotation (Line(
        points={{-77.56,-21.96},{-65.78,-21.96},{-65.78,-14.32},{-51.52,-14.32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(QCO.y, respiration.QCO) annotation (Line(
        points={{-73.56,10.04},{-59.78,10.04},{-59.78,12.56},{-51.52,12.56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(FCOI.y, respiration.FCOI) annotation (Line(
        points={{-33.96,73.56},{-33.96,64.78},{-32.32,64.78},{-32.32,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(FO2I.y, respiration.FO2I) annotation (Line(
        points={{-23.96,83.56},{-23.96,69.78},{-20.8,69.78},{-20.8,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PBA.y, respiration.PBA) annotation (Line(
        points={{-11.96,65.56},{-11.96,61.78},{-9.28,61.78},{-9.28,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MRCO.y, respiration.MRCO) annotation (Line(
        points={{-1.96,75.56},{-1.96,63.78},{3.52,63.78},{3.52,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MRO2.y, respiration.MRO2) annotation (Line(
        points={{14.04,79.56},{14.04,68.78},{15.04,68.78},{15.04,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB.y, respiration.XHB) annotation (Line(
        points={{26.04,67.56},{26.04,59.78},{26.56,59.78},{26.56,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB1.y, respiration.VI0) annotation (Line(
        points={{40.04,75.56},{40.04,63.78},{39.36,63.78},{39.36,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB2.y, respiration.VAL) annotation (Line(
        points={{50.04,85.56},{50.04,69.78},{50.88,69.78},{50.88,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testRespirationBlock;

  model Kidney_2 "blok podle Ikedy"

    Library.Interfaces.RealInput STPG
                                     annotation (Placement(transformation(
            extent={{-114,-54},{-96,-36}}),
                                          iconTransformation(extent={{-100,70},
              {-86,84}})));
    Library.Interfaces.RealInput YNU annotation (Placement(transformation(
            extent={{-100,-66},{-82,-48}}),  iconTransformation(extent={{-100,60},
              {-86,74}})));
    Library.Interfaces.RealInput YKU  annotation (Placement(transformation(
            extent={{-106,-72},{-88,-54}}), iconTransformation(extent={{-100,50},
              {-86,64}})));
    Library.Interfaces.RealInput YCAI annotation (Placement(transformation(
            extent={{-98,-16},{-82,0}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-41,93})));
    Library.Interfaces.RealInput YMGI annotation (Placement(transformation(
            extent={{-30,-16},{-14,0}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-25,93})));
    Library.Interfaces.RealInput YSOI
                                     annotation (Placement(transformation(
            extent={{30,34},{46,50}}),    iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-9,93})));
    Library.Interfaces.RealInput YPOI annotation (Placement(transformation(
            extent={{-34,44},{-18,60}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={7,93})));
    Library.Interfaces.RealInput YOGI annotation (Placement(transformation(
            extent={{-116,38},{-100,54}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={23,93})));
    Library.Interfaces.RealInput YCLI
                                     annotation (Placement(transformation(
            extent={{-112,-34},{-96,-18}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={39,93})));
    Library.Interfaces.RealOutput YCO3 annotation (Placement(transformation(
            extent={{92,-65},{108,-50}}),
                                      iconTransformation(extent={{86,18},{100,
              32}})));
    Library.Interfaces.RealOutput YPO4
                                     annotation (Placement(transformation(
            extent={{28,60},{42,74}}), iconTransformation(extent={{86,4},{100,
              18}})));
    Library.Interfaces.RealOutput YORG
                                      annotation (Placement(transformation(
            extent={{-46,56},{-30,72}}),iconTransformation(extent={{86,-10},{
              100,4}})));
    Library.Interfaces.RealOutput STBC annotation (Placement(transformation(
            extent={{90,-52},{106,-36}}),
                                       iconTransformation(extent={{86,-24},{100,
              -10}})));
    Library.Interfaces.RealOutput ZCAE annotation (Placement(transformation(
            extent={{-38,12},{-26,24}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-79,-93})));
    Library.Interfaces.RealOutput ZMGE annotation (Placement(transformation(
            extent={{34,6},{48,20}}),    iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-69,-93})));
    Library.Interfaces.RealInput YNH4 annotation (Placement(transformation(
            extent={{-110,-80},{-94,-64}}), iconTransformation(extent={{-100,40},
              {-86,54}})));
    Library.Interfaces.RealInput PCOA annotation (Placement(transformation(
            extent={{-4,-58},{12,-42}}),    iconTransformation(extent={{-100,30},
              {-86,44}})));
    Library.Interfaces.RealInput XCO3 annotation (Placement(transformation(
            extent={{-12,-38},{6,-20}}),    iconTransformation(extent={{-100,20},
              {-86,34}})));
    Library.Interfaces.RealInput GFR  annotation (Placement(transformation(
            extent={{-116,51},{-100,68}}),  iconTransformation(extent={{-100,10},
              {-86,24}})));
    Library.Interfaces.RealInput VEC  annotation (Placement(transformation(
            extent={{-120,84},{-104,100}}), iconTransformation(extent={{-100,0},
              {-86,14}})));
    Library.Interfaces.RealInput DCLA annotation (Placement(transformation(
            extent={{-8,-64},{8,-48}}),     iconTransformation(extent={{-100,
              -10},{-86,4}})));
    Library.Interfaces.RealInput XNE  annotation (Placement(transformation(
            extent={{-10,-86},{6,-70}}),    iconTransformation(extent={{-100,
              -20},{-86,-6}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(
            extent={{-13,-95},{3,-79}}),    iconTransformation(extent={{-100,
              -30},{-86,-16}})));
    Library.Interfaces.RealInput XPP  annotation (Placement(transformation(
            extent={{-12,-70},{4,-54}}),    iconTransformation(extent={{-100,
              -40},{-86,-26}})));
    Library.Interfaces.RealOutput ZSOE annotation (Placement(transformation(
            extent={{88,64},{104,80}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-59,-93})));
    Library.Interfaces.RealOutput ZPOE annotation (Placement(transformation(
            extent={{28,70},{42,84}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-49,-93})));
    Library.Interfaces.RealOutput ZOGE annotation (Placement(transformation(
            extent={{-48,68},{-32,84}}),
                                       iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-39,-93})));
    Library.Interfaces.RealOutput ZCLE annotation (Placement(transformation(
            extent={{-26,-58},{-8,-40}}),
                                       iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-29,-93})));
    Library.Interfaces.RealOutput XCAE "ECF calcium concentration [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-38,-18},{-24,-4}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-19,-93})));
    Library.Interfaces.RealOutput XMGE "ECF magnesium concentration [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{32,-18},{48,-2}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-9,-93})));
    Library.Interfaces.RealOutput XSO4 "ECF sulphate concentration [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{98,42},{112,56}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={1,-93})));
    Library.Interfaces.RealOutput XPO4 "ECF phosphate concentration [mM/l]"
                                       annotation (Placement(transformation(
            extent={{28,48},{44,64}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={11,-93})));
    Library.Interfaces.RealOutput XOGE "ECF organic acid concentration [mM/l]"
                                       annotation (Placement(transformation(
            extent={{-44,44},{-28,60}}),
                                       iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={21,-93})));
    Library.Interfaces.RealOutput XCLE "ECF chloride concentration [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-26,-86},{-8,-68}}),
                                       iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={31,-93})));
    Library.Interfaces.RealOutput XCLA
      "Arterial chloride concentration [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{96,-90},{110,-76}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={41,-93})));
    Library.Interfaces.RealOutput YCLU annotation (Placement(transformation(
            extent={{-26,-72},{-8,-54}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={51,-93})));
    Library.Interfaces.RealOutput YCA
      "Renal excretion rate of calcium [mEq/min]"
                                       annotation (Placement(transformation(
            extent={{-40,-2},{-26,12}}),
                                       iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={61,-93})));
    Library.Interfaces.RealOutput YMG
      "Renal excretion rate of magnesium [mEq/min]"
                                       annotation (Placement(transformation(
            extent={{32,-6},{48,10}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={71,-93})));
    Library.Interfaces.RealOutput YSO4
      "Renal excretion rate of sulphate [mEq/min]"
                                       annotation (Placement(transformation(
            extent={{96,54},{110,68}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={81,-93})));
    OrganicAcid organicAcid
      annotation (Placement(transformation(extent={{-86,40},{-46,80}})));
    Phosphate phosphate
      annotation (Placement(transformation(extent={{-16,40},{24,80}})));
    Sulphate sulphate
      annotation (Placement(transformation(extent={{50,38},{90,78}})));
    Calcium calcium
      annotation (Placement(transformation(extent={{-80,-20},{-40,20}})));
    Magnesium magnesium
      annotation (Placement(transformation(extent={{-10,-20},{30,20}})));
    Chloride chloride
      annotation (Placement(transformation(extent={{-70,-90},{-24,-40}})));
    Bicarbonate bicarbonate
      annotation (Placement(transformation(extent={{32,-96},{92,-38}})));
  equation
    /*
YCO3=0.015;
YPO4=0.025;
YORG=0.01;
STBC=24;
ZCAE=55;
ZMGE=33;
ZSOE=11;
ZPOE=12.1;
ZOGE=66;
ZCLE=1144;
XCLA=104;
YCLU=0.1328;
*/
    connect(VEC, organicAcid.VEC) annotation (Line(
        points={{-112,92},{-92,92},{-92,75.4},{-86.2,75.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, calcium.VEC) annotation (Line(
        points={{-112,92},{-92,92},{-92,16.6},{-80.2,16.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, chloride.VEC) annotation (Line(
        points={{-112,92},{-92,92},{-92,-42.25},{-70.69,-42.25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesium.VEC, VEC) annotation (Line(
        points={{-10.2,16.6},{-14,16},{-18,16},{-18,28},{-92,28},{-92,92},{-112,
            92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.VEC, VEC) annotation (Line(
        points={{-16.2,76.6},{-26,76.6},{-26,92},{-112,92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, sulphate.VEC) annotation (Line(
        points={{-112,92},{46,92},{46,74.6},{49.8,74.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, organicAcid.GFR) annotation (Line(
        points={{-108,59.5},{-95.6,59.5},{-95.6,59.8},{-86.2,59.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(calcium.GFR, GFR) annotation (Line(
        points={{-80.6,2.6},{-96,2.6},{-96,59.5},{-108,59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesium.GFR, GFR) annotation (Line(
        points={{-10.6,2.6},{-24,2},{-24,26},{-96,26},{-96,59.5},{-108,59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.GFR, GFR) annotation (Line(
        points={{-16.6,62.6},{-28,62.6},{-28,84},{-96,84},{-96,59.5},{-108,59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(GFR, sulphate.GFR) annotation (Line(
        points={{-108,59.5},{-96,59.5},{-96,84},{44,84},{44,60.6},{49.4,60.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(organicAcid.XOGE, XOGE) annotation (Line(
        points={{-45.8,45.8},{-39.9,45.8},{-39.9,52},{-36,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(organicAcid.YORG, YORG) annotation (Line(
        points={{-45.4,60.6},{-38.7,60.6},{-38.7,64},{-38,64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(organicAcid.ZOGE, ZOGE) annotation (Line(
        points={{-45.4,75.4},{-40.7,75.4},{-40.7,76},{-40,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.ZCLE, ZCLE) annotation (Line(
        points={{-23.31,-49.25},{-19.655,-49.25},{-19.655,-49},{-17,-49}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YCLU, YCLU) annotation (Line(
        points={{-23.77,-62.25},{-18.885,-62.25},{-18.885,-63},{-17,-63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.XCLE, XCLE) annotation (Line(
        points={{-23.31,-77.25},{-19.655,-77.25},{-19.655,-77},{-17,-77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.XPO4, XPO4) annotation (Line(
        points={{24.6,50.2},{29.3,50.2},{29.3,56},{36,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.YPO4, YPO4) annotation (Line(
        points={{24.2,62.2},{32.1,62.2},{32.1,67},{35,67}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.ZPO4, ZPOE) annotation (Line(
        points={{24.6,72.6},{31.3,72.6},{31.3,77},{35,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(calcium.ZCAE, ZCAE) annotation (Line(
        points={{-39.4,12.6},{-36.7,12.6},{-36.7,18},{-32,18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(calcium.YCA, YCA) annotation (Line(
        points={{-39.8,2.2},{-35.9,2.2},{-35.9,5},{-33,5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesium.XMGE, XMGE) annotation (Line(
        points={{30.6,-9.8},{37.3,-9.8},{37.3,-10},{40,-10}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesium.YMG, YMG) annotation (Line(
        points={{30.2,2.2},{36.1,2.2},{36.1,2},{40,2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesium.ZMGE, ZMGE) annotation (Line(
        points={{30.6,12.6},{36.3,12.6},{36.3,13},{41,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCLI, chloride.YCLI) annotation (Line(
        points={{-104,-26},{-82.345,-26},{-82.345,-47.75},{-70.69,-47.75}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMGI, magnesium.YMGI) annotation (Line(
        points={{-22,-8},{-15.9,-8},{-15.9,-8.2},{-9.8,-8.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPOI, phosphate.YPOI) annotation (Line(
        points={{-26,52},{-19.9,52},{-19.9,51.8},{-15.8,51.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YOGI, organicAcid.YOGI) annotation (Line(
        points={{-108,46},{-96.9,46},{-96.9,46.6},{-85.8,46.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphate.XPO4, bicarbonate.XPO4) annotation (Line(
        points={{24.6,50.2},{30,50.2},{30,28},{62,28},{62,-32},{24,-32},{24,-71.06},
            {31.1,-71.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSOI, sulphate.YSOI) annotation (Line(
        points={{38,42},{46,42},{46,49.8},{50.2,49.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XOGE, organicAcid.XOGE) annotation (Line(
        points={{31.1,-66.71},{26,-66.71},{26,-34},{64,-34},{64,30},{-40,30},{-40,
            45.8},{-45.8,45.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XSO4, sulphate.XSO4) annotation (Line(
        points={{31.1,-75.41},{22,-75.41},{22,-26},{98,-26},{98,48.2},{90.6,48.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YSO4, sulphate.YSO4) annotation (Line(
        points={{-70.69,-88.25},{-78,-88.25},{-78,-92},{14,-92},{14,-30},{100,
            -30},{100,60.2},{90.2,60.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YMG, magnesium.YMG) annotation (Line(
        points={{-70.69,-82.75},{-80,-82.75},{-80,-94},{16,-94},{16,-28},{36,
            -28},{36,2.2},{30.2,2.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YCA, calcium.YCA) annotation (Line(
        points={{-70.69,-77.75},{-82,-77.75},{-82,-96},{-6,-96},{-6,-28},{-24,-28},
            {-24,-4},{-36,-4},{-36,2.2},{-39.8,2.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STPG, chloride.STPG) annotation (Line(
        points={{-105,-45},{-84,-45},{-84,-52.75},{-70.69,-52.75}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, chloride.YNU) annotation (Line(
        points={{-91,-57},{-80.5,-57},{-80.5,-58.25},{-70.69,-58.25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YKU, YKU) annotation (Line(
        points={{-70.69,-62.75},{-78,-62.75},{-78,-63},{-97,-63}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.YNH4, YNH4) annotation (Line(
        points={{-70.69,-67.75},{-90,-67.75},{-90,-72},{-102,-72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.GFR, GFR) annotation (Line(
        points={{31.1,-45.25},{-4,-45.25},{-4,-30},{-66,-30},{-66,-22},{-96,-22},{
            -96,59.5},{-108,59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCAI, calcium.YCAI) annotation (Line(
        points={{-90,-8},{-85.9,-8},{-85.9,-8.2},{-79.8,-8.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XCO3, XCO3) annotation (Line(
        points={{31.1,-40.9},{10,-40.9},{10,-29},{-3,-29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCOA, bicarbonate.PCOA) annotation (Line(
        points={{4,-50},{18.55,-50},{18.55,-49.6},{31.1,-49.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DCLA, bicarbonate.DCLA) annotation (Line(
        points={{0,-56},{10,-56},{10,-53.95},{31.1,-53.95}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP, bicarbonate.XPP) annotation (Line(
        points={{-4,-62},{10,-62},{10,-58.3},{31.1,-58.3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XMGE, magnesium.XMGE) annotation (Line(
        points={{31.1,-79.76},{20,-79.76},{20,-24},{34,-24},{34,-9.8},{30.6,-9.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(bicarbonate.XCAE, calcium.XCAE) annotation (Line(
        points={{31.1,-84.11},{18,-84.11},{18,-22},{-34,-22},{-34,-9.8},{-39.4,-9.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(calcium.XCAE, XCAE) annotation (Line(
        points={{-39.4,-9.8},{-34,-9.8},{-34,-11},{-31,-11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE, bicarbonate.XKE) annotation (Line(
        points={{-5,-87},{24.5,-87},{24.5,-92.81},{31.1,-92.81}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XNE, XNE) annotation (Line(
        points={{31.1,-88.46},{26,-88.46},{26,-86},{10,-86},{10,-78},{-2,-78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sulphate.ZSO4, ZSOE) annotation (Line(
        points={{90.6,70.6},{94.3,70.6},{94.3,72},{96,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sulphate.YSO4, YSO4) annotation (Line(
        points={{90.2,60.2},{100,60.2},{100,61},{103,61}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XSO4, sulphate.XSO4) annotation (Line(
        points={{105,49},{96,49},{96,48.2},{90.6,48.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.STBC, STBC) annotation (Line(
        points={{92.9,-48.73},{96.45,-48.73},{96.45,-44},{98,-44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.XCLA, XCLA) annotation (Line(
        points={{92.9,-81.21},{99.45,-81.21},{99.45,-83},{103,-83}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.YCO3, YCO3) annotation (Line(
        points={{92.3,-63.81},{98,-63.81},{98,-57.5},{100,-57.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonate.YCO3, chloride.YCO3) annotation (Line(
        points={{92.3,-63.81},{98,-63.81},{98,-98},{-86,-98},{-86,-72.25},{-71.15,
            -72.25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chloride.XCLE, bicarbonate.XCLE) annotation (Line(
        points={{-23.31,-77.25},{-20,-77.25},{-20,-68},{10,-68},{10,-62.65},{
            31.1,-62.65}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-86,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,5},
            rotation=180,
            textString="KIDNEY-2")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end Kidney_2;

  model Kidney_1 "blok podle Ikedy"
    import IKEDA;

    Library.Interfaces.RealInput ADH annotation (Placement(transformation(
            extent={{-6,-36},{20,-10}}),  iconTransformation(extent={{-100,72},
              {-86,86}})));
    Library.Interfaces.RealInput OSMP
                                     annotation (Placement(transformation(
            extent={{-6,-58},{22,-30}}),     iconTransformation(extent={{-100,60},
              {-86,74}})));
    Library.Interfaces.RealInput YGLU annotation (Placement(transformation(
            extent={{-4,40},{22,66}}),      iconTransformation(extent={{-100,48},
              {-86,62}})));
    Library.Interfaces.RealInput CPR  annotation (Placement(transformation(
            extent={{-114,46},{-88,72}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-7,93})));
    Library.Interfaces.RealInput YNH0 annotation (Placement(transformation(
            extent={{-114,-46},{-88,-20}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={9,93})));
    Library.Interfaces.RealInput YTA0
                                     annotation (Placement(transformation(
            extent={{-114,-26},{-88,0}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={25,93})));
    Library.Interfaces.RealOutput QWU  annotation (Placement(transformation(
            extent={{88,-70},{112,-46}}),
                                      iconTransformation(extent={{86,26},{100,
              40}})));
    Library.Interfaces.RealOutput YKU
                                     annotation (Placement(transformation(
            extent={{88,58},{108,78}}),iconTransformation(extent={{86,12},{100,
              26}})));
    Library.Interfaces.RealOutput YNH annotation (Placement(transformation(
            extent={{-42,-82},{-16,-56}}),
                                        iconTransformation(extent={{86,-2},{100,
              12}})));
    Library.Interfaces.RealOutput YNU  annotation (Placement(transformation(
            extent={{-40,-98},{-16,-74}}),
                                       iconTransformation(extent={{86,-18},{100,
              -4}})));
    Library.Interfaces.RealOutput OSMU annotation (Placement(transformation(
            extent={{88,10},{114,36}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-1,-93})));
    Library.Interfaces.RealOutput PHU  annotation (Placement(transformation(
            extent={{-36,-54},{-12,-30}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={13,-93})));
    Library.Interfaces.RealInput YURU annotation (Placement(transformation(
            extent={{-4,22},{22,48}}),      iconTransformation(extent={{-100,36},
              {-86,50}})));
    Library.Interfaces.RealInput YMNU annotation (Placement(transformation(
            extent={{-4,2},{22,28}}),       iconTransformation(extent={{-100,24},
              {-86,38}})));
    Library.Interfaces.RealInput THDF annotation (Placement(transformation(
            extent={{-114,64},{-88,90}}),   iconTransformation(extent={{-100,12},
              {-86,26}})));
    Library.Interfaces.RealInput GFR  annotation (Placement(transformation(
            extent={{-114,82},{-88,108}}),  iconTransformation(extent={{-100,0},
              {-86,14}})));
    Library.Interfaces.RealInput YORG annotation (Placement(transformation(
            extent={{-114,28},{-88,54}}),   iconTransformation(extent={{-100,
              -84},{-86,-70}})));
    Library.Interfaces.RealInput ALD  annotation (Placement(transformation(
            extent={{-114,-64},{-88,-38}}), iconTransformation(extent={{-100,
              -36},{-86,-22}})));
    Library.Interfaces.RealInput XNE  annotation (Placement(transformation(
            extent={{-114,-82},{-88,-56}}), iconTransformation(extent={{-100,
              -24},{-86,-10}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(
            extent={{-10,78},{16,104}}),    iconTransformation(extent={{-100,
              -12},{-86,2}})));
    Library.Interfaces.RealInput YCO3 annotation (Placement(transformation(
            extent={{-114,-102},{-88,-76}}),iconTransformation(extent={{-100,
              -48},{-86,-34}})));
    Library.Interfaces.RealInput YPO4 annotation (Placement(transformation(
            extent={{-114,10},{-88,36}}),   iconTransformation(extent={{-100,
              -72},{-86,-58}})));
    Library.Interfaces.RealInput PHA  annotation (Placement(transformation(
            extent={{-114,-8},{-88,18}}),   iconTransformation(extent={{-100,
              -60},{-86,-46}})));
    Library.Interfaces.RealOutput YNH4 annotation (Placement(transformation(
            extent={{-32,-34},{-8,-10}}),
                                       iconTransformation(extent={{86,-32},{100,
              -18}})));
    Library.Interfaces.RealOutput STPG annotation (Placement(transformation(
            extent={{-36,18},{-12,42}}),
                                       iconTransformation(extent={{86,-46},{100,
              -32}})));
    Library.Interfaces.RealOutput YTA  annotation (Placement(transformation(
            extent={{-34,-14},{-10,10}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={27,-93})));
    RenalAcidification renalAcidification
      annotation (Placement(transformation(extent={{-74,-44},{-34,-4}})));
    IKEDA.STPG sTPG
      annotation (Placement(transformation(extent={{-78,0},{-30,48}})));
    IKEDA.NatriumRenalExcretion natriumRenalExcretion
      annotation (Placement(transformation(extent={{-78,-94},{-38,-54}})));
    IKEDA.PotassiumRenalExcretion potassiumRenalExcretion
      annotation (Placement(transformation(extent={{32,58},{82,98}})));
    IKEDA.Diuresis diuresis
      annotation (Placement(transformation(extent={{36,-86},{86,-34}})));
    IKEDA.UrineOsmolarity urineOsmolarity
      annotation (Placement(transformation(extent={{40,-6},{86,42}})));
    IKEDA.ProximalTubuleOutflow
                          proximalTubuleOutflow
      annotation (Placement(transformation(extent={{-71,64},{-35,98}})));
    IKEDA.Library.Constant Constant(Const=1) annotation (Placement(
          transformation(
          extent={{-4,-4},{4,4}},
          rotation=180,
          origin={44,-24})));
  equation
  /*
  QWU = 0.001;
  YKU = 0.047;
  YNH = 1.4;
  YNU = 0.12;
  YNH4 = 0.024;
  STPG = 0.038;
  PHU = 6.0;
  OSMU = 461;
  */
    connect(ALD, renalAcidification.Ald) annotation (Line(
        points={{-101,-51},{-81.5,-51},{-81.5,-33.6},{-73,-33.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(renalAcidification.PHU, PHU) annotation (Line(
        points={{-33.8,-28.8},{-29.835,-28.8},{-29.835,-42},{-24,-42}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(renalAcidification.YNH4, YNH4) annotation (Line(
        points={{-33.8,-21.6},{-27.835,-21.6},{-27.835,-22},{-20,-22}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(PHA, renalAcidification.PHA) annotation (Line(
        points={{-101,5},{-84,5},{-84,-28.8},{-73,-28.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(sTPG.YTA, renalAcidification.YTA) annotation (Line(
        points={{-73.44,10.08},{-78,10.08},{-78,2},{-26,2},{-26,-16},{-34.2,-16}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(renalAcidification.YTA, YTA) annotation (Line(
        points={{-34.2,-16},{-26,-16},{-26,-2},{-22,-2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.YNH, YNH) annotation (Line(
        points={{-38.4,-65.6},{-33.33,-65.6},{-33.33,-69},{-29,-69}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YNU, natriumRenalExcretion.YNU) annotation (Line(
        points={{-28,-86},{-34,-86},{-34,-72},{-38,-72}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(urineOsmolarity.OSMU, OSMU) annotation (Line(
        points={{86.92,20.88},{95,20.88},{95,23},{101,23}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(sTPG.STPG, STPG) annotation (Line(
        points={{-34.32,31.2},{-27.16,31.2},{-27.16,30},{-24,30}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(GFR, proximalTubuleOutflow.GFR) annotation (Line(
        points={{-101,95},{-85.5,95},{-85.5,91.88},{-70.64,91.88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(THDF, proximalTubuleOutflow.THDF) annotation (Line(
        points={{-101,77},{-86.5,77},{-86.5,82.02},{-71,82.02}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(CPR, proximalTubuleOutflow.CPR) annotation (Line(
        points={{-101,59},{-85.5,59},{-85.5,71.14},{-70.64,71.14}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YPO4, sTPG.YPO4) annotation (Line(
        points={{-101,23},{-85.5,23},{-85.5,29.76},{-73.44,29.76}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(sTPG.PHA, PHA) annotation (Line(
        points={{-73.92,20.16},{-84,20.16},{-84,5},{-101,5}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YTA0, renalAcidification.YTA0) annotation (Line(
        points={{-101,-13},{-78,-13},{-78,-8},{-73.4,-8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YPO4, renalAcidification.YPO4) annotation (Line(
        points={{-101,23},{-86,23},{-86,-23.6},{-73,-23.6}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(renalAcidification.YORG, YORG) annotation (Line(
        points={{-73,-18.4},{-82,-18.4},{-82,41},{-101,41}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YORG, sTPG.YORG) annotation (Line(
        points={{-101,41},{-82,41},{-82,38.88},{-73.44,38.88}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YNH0, renalAcidification.YNH40) annotation (Line(
        points={{-101,-33},{-78,-33},{-78,-13.2},{-73,-13.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(XNE, natriumRenalExcretion.XNE) annotation (Line(
        points={{-101,-69},{-86,-69},{-86,-57.2},{-77.6,-57.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(proximalTubuleOutflow.GFR1, natriumRenalExcretion.GFR1) annotation (
        Line(
        points={{-34.64,84.74},{-6,84.74},{-6,-58},{-24,-58},{-24,-52},{-82,-52},{
            -82,-63.2},{-78,-63.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.ALD, ALD) annotation (Line(
        points={{-78.8,-68.8},{-84,-68.8},{-84,-51},{-101,-51}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.YCO3, YCO3) annotation (Line(
        points={{-78.4,-74.8},{-88,-74.8},{-88,-89},{-101,-89}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(renalAcidification.YNH4, natriumRenalExcretion.YNH4) annotation (Line(
        points={{-33.8,-21.6},{-28,-21.6},{-28,-30},{-10,-30},{-10,-96},{-84,-96},
            {-84,-90.8},{-78.4,-90.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.YTA1, renalAcidification.YTA1) annotation (Line(
        points={{-78.4,-82.4},{-86,-82.4},{-86,-98},{-4,-98},{-4,-8.8},{-33.8,
            -8.8}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(potassiumRenalExcretion.GFR1, proximalTubuleOutflow.GFR1) annotation (
       Line(
        points={{32.5,80.4},{-6,80.4},{-6,84.74},{-34.64,84.74}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(ALD, potassiumRenalExcretion.ALD) annotation (Line(
        points={{-101,-51},{-2,-51},{-2,70.8},{33,70.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YGLU, urineOsmolarity.YGLU) annotation (Line(
        points={{9,53},{28,53},{28,38},{40.92,38},{40.92,38.16}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YMNU, urineOsmolarity.YMNU) annotation (Line(
        points={{9,15},{24,15},{24,25.68},{40.46,25.68}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(XKE, potassiumRenalExcretion.XKE) annotation (Line(
        points={{3,91},{17.5,91},{17.5,90.8},{32.5,90.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(diuresis.YMNU, YMNU) annotation (Line(
        points={{36.5,-66.24},{24,-66.24},{24,15},{9,15}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.YND, diuresis.YND) annotation (Line(
        points={{-38,-57.2},{-26,-57.2},{-26,-62},{10,-62},{10,-81.84},{36.5,
            -81.84}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(diuresis.YKD, potassiumRenalExcretion.YKD) annotation (Line(
        points={{36.5,-74.04},{30,-74.04},{30,-88},{94,-88},{94,87.6},{83,87.6}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(potassiumRenalExcretion.YKU, YKU) annotation (Line(
        points={{82.5,76.8},{88,76.8},{88,68},{98,68}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(potassiumRenalExcretion.YKU, urineOsmolarity.YKU) annotation (Line(
        points={{82.5,76.8},{88,76.8},{88,48},{36,48},{36,18},{40.92,18}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(natriumRenalExcretion.YNU, urineOsmolarity.YNU) annotation (Line(
        points={{-38,-72},{-34,-72},{-34,-94},{2,-94},{2,4},{20,4},{20,10.8},{
            40.92,10.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(diuresis.QWU, QWU) annotation (Line(
        points={{86.5,-55.32},{92,-55.32},{92,-58},{100,-58}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(QWU, QWU) annotation (Line(
        points={{100,-58},{100,-58}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(urineOsmolarity.QWU, diuresis.QWU) annotation (Line(
        points={{40,3.12},{38,3.12},{38,4},{32,4},{32,-10},{92,-10},{92,-55.32},
            {86.5,-55.32}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(diuresis.YGLU, YGLU) annotation (Line(
        points={{36,-52.72},{28,-52.72},{28,53},{9,53}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(diuresis.YURU, YURU) annotation (Line(
        points={{36.5,-59.48},{26,-59.48},{26,35},{9,35}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YURU, urineOsmolarity.YURU) annotation (Line(
        points={{9,35},{26,35},{26,31.92},{40.46,31.92}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(OSMP, diuresis.OSMP) annotation (Line(
        points={{8,-44},{30,-44},{30,-45.96},{36,-45.96}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(Constant.y, diuresis.ADH) annotation (Line(
        points={{37.56,-24.04},{36,-24.04},{36,-38.16}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                           graphics={Rectangle(
            extent={{-86,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,5},
            rotation=180,
            textString="KIDNEY-1")}), Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end Kidney_1;

  model ControllerOfRenalFunction "blok podle Ikedy"
    Library.Interfaces.RealInput PVP annotation (Placement(transformation(
            extent={{-190,34},{-164,60}}),iconTransformation(extent={{-100,34},
              {-86,48}})));
    Library.Interfaces.RealInput OSMP
                                     annotation (Placement(transformation(
            extent={{-186,-102},{-158,-74}}),iconTransformation(extent={{-100,20},
              {-86,34}})));
    Library.Interfaces.RealInput YNH  annotation (Placement(transformation(
            extent={{-184,-40},{-158,-14}}),iconTransformation(extent={{-100,-8},
              {-86,6}})));
    Library.Interfaces.RealInput CPAD annotation (Placement(transformation(
            extent={{-184,-2},{-158,24}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-35,93})));
    Library.Interfaces.RealInput COAD annotation (Placement(transformation(
            extent={{-184,16},{-158,42}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-19,93})));
    Library.Interfaces.RealInput ACTH
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-5,93})));
    Library.Interfaces.RealOutput ADH  annotation (Placement(transformation(
            extent={{88,6},{112,30}}),iconTransformation(extent={{86,-40},{100,
              -26}})));
    Library.Interfaces.RealOutput ALD
                                     annotation (Placement(transformation(
            extent={{104,58},{124,78}}),
                                       iconTransformation(extent={{86,-54},{100,
              -40}})));
    Library.Interfaces.RealOutput THDF
                                      annotation (Placement(transformation(
            extent={{106,-26},{132,0}}),iconTransformation(extent={{86,-68},{
              100,-54}})));
    Library.Interfaces.RealOutput GFR  annotation (Placement(transformation(
            extent={{88,-18},{112,6}}),iconTransformation(extent={{86,-84},{100,
              -70}})));
    Library.Interfaces.RealOutput OSMU annotation (Placement(transformation(
            extent={{108,-48},{134,-22}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={-1,-93})));
    Library.Interfaces.RealOutput PHU  annotation (Placement(transformation(
            extent={{88,-64},{112,-40}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={13,-93})));
    Library.Interfaces.RealInput PAS  annotation (Placement(transformation(
            extent={{-124,-42},{-98,-16}}), iconTransformation(extent={{-100,
              -22},{-86,-8}})));
    Library.Interfaces.RealInput PPCO annotation (Placement(transformation(
            extent={{-134,46},{-108,72}}),  iconTransformation(extent={{-100,
              -38},{-86,-24}})));
    Library.Interfaces.RealInput VEC  annotation (Placement(transformation(
            extent={{-122,20},{-96,46}}),   iconTransformation(extent={{-100,
              -52},{-86,-38}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(
            extent={{-148,-72},{-122,-46}}),iconTransformation(extent={{-100,6},
              {-86,20}})));
    Library.Interfaces.RealInput CKAL
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={9,93})));
    Library.Interfaces.RealInput CPVL
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={23,93})));
    Library.Interfaces.RealInput CNAL
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={37,93})));
    Library.Interfaces.RealInput CPAL
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={51,93})));
    Library.Interfaces.RealInput GFR0
                                     annotation (Placement(transformation(
            extent={{-184,-20},{-158,6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=270,
          origin={65,93})));
  equation

    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-86,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={17,29},
            rotation=180,
            textString="CONTROLLER"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={19,9},
            rotation=180,
            textString="OF RENAL"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={21,-11},
            rotation=180,
            textString="FUNCTION")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end ControllerOfRenalFunction;

  model CardiovascularDynamics "blok podle Ikedy"
    Library.Interfaces.RealInput VB  annotation (Placement(transformation(
            extent={{-82,60},{-56,86}}),  iconTransformation(extent={{-100,-18},
              {-86,-4}})));
    Library.Interfaces.RealInput RTOT annotation (Placement(transformation(
            extent={{-106,34},{-80,60}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-39,-93})));
    Library.Interfaces.RealInput KR   annotation (Placement(transformation(
            extent={{-94,24},{-68,50}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-21,-93})));
    Library.Interfaces.RealInput RTOP
                                     annotation (Placement(transformation(
            extent={{-98,4},{-72,30}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,-93})));
    Library.Interfaces.RealOutput QCO  annotation (Placement(transformation(
            extent={{64,78},{88,102}}),
                                      iconTransformation(extent={{86,-24},{100,
              -10}})));
    Library.Interfaces.RealOutput PAS
                                     annotation (Placement(transformation(
            extent={{70,60},{90,80}}), iconTransformation(extent={{86,-38},{100,
              -24}})));
    Library.Interfaces.RealOutput PVS annotation (Placement(transformation(
            extent={{68,38},{94,64}}),  iconTransformation(extent={{86,-52},{
              100,-38}})));
    Library.Interfaces.RealOutput PVP  annotation (Placement(transformation(
            extent={{60,20},{84,44}}), iconTransformation(extent={{86,-66},{100,
              -52}})));
    Library.Interfaces.RealOutput PAP  annotation (Placement(transformation(
            extent={{38,-2},{64,24}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,93})));
    Library.Interfaces.RealInput KL  annotation (Placement(transformation(
            extent={{-70,-12},{-44,14}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={15,-93})));
    CardiovascularBlock cardiovascularBlock
      annotation (Placement(transformation(extent={{-14,38},{26,78}})));
  equation

    connect(cardiovascularBlock.VB, VB) annotation (Line(
        points={{-16.4,73.6},{-36.2,73.6},{-36.2,73},{-69,73}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(KR, cardiovascularBlock.KR) annotation (Line(
        points={{-81,37},{-39.5,37},{-39.5,63.8},{-15.4,63.8}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(cardiovascularBlock.RTOT, RTOT) annotation (Line(
        points={{-15.4,68.2},{-56,68.2},{-56,47},{-93,47}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(RTOP, cardiovascularBlock.RTOP) annotation (Line(
        points={{-85,17},{-34,17},{-34,59.4},{-15.4,59.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(KL, cardiovascularBlock.KL) annotation (Line(
        points={{-57,1},{-30,1},{-30,54.2},{-15.4,54.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(QCO, cardiovascularBlock.QCO) annotation (Line(
        points={{76,90},{66,90},{66,74.4},{28,74.4}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(cardiovascularBlock.PAS, PAS) annotation (Line(
        points={{28,70},{80,70}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(cardiovascularBlock.PVS, PVS) annotation (Line(
        points={{28,65.2},{56,65.2},{56,51},{81,51}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(cardiovascularBlock.PVP, PVP) annotation (Line(
        points={{28,60.4},{36,60.4},{36,60},{50,60},{50,32},{72,32}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(cardiovascularBlock.PAP, PAP) annotation (Line(
        points={{28,55.6},{34,55.6},{34,11},{51,11}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1,29},
            rotation=180,
            textString="CARDIOVASCULAR"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,9},
            rotation=180,
            textString="DYNAMICS"),
          Rectangle(
            extent={{-86,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1.42109e-014,0},
            rotation=180)}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end CardiovascularDynamics;

  model IntracellularSpace "blok podle Ikedy"

    Library.Interfaces.RealOutput VIC  annotation (Placement(transformation(
            extent={{-34,-102},{-22,-90}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-83,93})));

    Library.Interfaces.RealInput YKU  annotation (Placement(transformation(
            extent={{-2,58},{12,72}}),      iconTransformation(extent={{-104,0},
              {-90,14}})));
    Library.Interfaces.RealInput CSM  annotation (Placement(transformation(
            extent={{-104,-92},{-94,-82}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-29,-93})));
    Library.Interfaces.RealInput YNIN annotation (Placement(transformation(
            extent={{-102,70},{-86,86}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-19,-93})));
    Library.Interfaces.RealInput YKIN
                                     annotation (Placement(transformation(
            extent={{0,68},{12,80}}),     iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-9,-93})));

    Library.Interfaces.RealOutput OSMP annotation (Placement(transformation(
            extent={{70,-76},{80,-66}}),
                                      iconTransformation(extent={{86,-26},{100,
              -12}})));
    Library.Interfaces.RealOutput YMNU
                                     annotation (Placement(transformation(
            extent={{-59,-4},{-49,6}}),iconTransformation(extent={{86,-54},{100,-40}})));
    Library.Interfaces.RealOutput YURU
                                      annotation (Placement(transformation(
            extent={{102,-4},{110,4}}), iconTransformation(extent={{86,-68},{100,-54}})));
    Library.Interfaces.RealOutput VTW  annotation (Placement(transformation(
            extent={{84,-104},{96,-92}}),
                                       iconTransformation(extent={{86,-82},{100,
              -68}})));

    Library.Interfaces.RealInput PHA  annotation (Placement(transformation(
            extent={{-104,28},{-88,44}}),   iconTransformation(extent={{-104,
              -14},{-90,0}})));
    Library.Interfaces.RealInput VEC  annotation (Placement(transformation(
            extent={{-108,88},{-92,104}}),  iconTransformation(extent={{-104,
              -28},{-90,-14}})));
    Library.Interfaces.RealInput GFR  annotation (Placement(transformation(
            extent={{-94,-35},{-84,-24}}),  iconTransformation(extent={{-104,
              -42},{-90,-28}})));
    Library.Interfaces.RealInput YNU  annotation (Placement(transformation(
            extent={{-102,58},{-86,74}}),   iconTransformation(extent={{-104,14},
              {-90,28}})));
    Library.Interfaces.RealInput XGL0
                                     annotation (Placement(transformation(
            extent={{-46,-28},{-34,-16}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={1,-93})));
    Library.Interfaces.RealInput YINS
                                     annotation (Placement(transformation(
            extent={{-50,12},{-36,26}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={11,-93})));
    Library.Interfaces.RealInput YGLI
                                     annotation (Placement(transformation(
            extent={{-42,4},{-30,16}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={21,-93})));
    Library.Interfaces.RealInput YMNI
                                     annotation (Placement(transformation(
            extent={{-114,-14},{-104,-4}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={31,-93})));
    Library.Interfaces.RealInput YURI
                                     annotation (Placement(transformation(
            extent={{-5,-5},{5,5}},
          rotation=180,
          origin={64,-27}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={41,-93})));

    Library.Interfaces.RealOutput QIC  annotation (Placement(transformation(
            extent={{-36,-64},{-28,-56}}),
                                      iconTransformation(extent={{86,-40},{100,
              -26}})));
    Library.Interfaces.RealOutput XNE
                                     annotation (Placement(transformation(
            extent={{-18,64},{-4,78}}),iconTransformation(extent={{86,16},{100,
              30}})));
    Library.Interfaces.RealOutput XKE annotation (Placement(transformation(
            extent={{98,66},{110,78}}), iconTransformation(extent={{86,2},{100,
              16}})));
    Library.Interfaces.RealOutput YGLU annotation (Placement(transformation(
            extent={{34,-30},{44,-20}}),
                                       iconTransformation(extent={{86,-12},{100,
              2}})));
    Sodium sodium
      annotation (Placement(transformation(extent={{-78,42},{-22,94}})));
    Library.Interfaces.RealInput CKEI annotation (Placement(transformation(
            extent={{-2,44},{12,58}}),    iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-39,-93})));
    Potassium potassium
      annotation (Placement(transformation(extent={{24,38},{84,92}})));
    Library.Interfaces.RealInput CHEI annotation (Placement(transformation(
            extent={{-100,46},{-84,62}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-49,-93})));
    Library.Interfaces.RealInput CGL1 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-43,-8},{-32,4}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-79,-93})));
    Library.Interfaces.RealInput CGL2 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-48,-12},{-36,0}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-69,-93})));
    Library.Interfaces.RealInput CGL3 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-42,-20},{-30,-8}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-59,-93})));
    Glucose glucose
      annotation (Placement(transformation(extent={{-22,-23},{28,29}})));
    Mannitol mannitol
      annotation (Placement(transformation(extent={{-95,-20},{-59,16}})));
    Urea urea annotation (Placement(transformation(extent={{64,-20},{100,16}})));
    PlasmaOsmolarity plasmaOsmolarity
      annotation (Placement(transformation(extent={{20,-96},{64,-52}})));
    Library.Interfaces.RealOutput ZNE  annotation (Placement(transformation(
            extent={{-16,84},{-4,96}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-73,93})));
    Library.Interfaces.RealOutput ZKE  annotation (Placement(transformation(
            extent={{92,80},{104,92}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-63,93})));
    Library.Interfaces.RealOutput ZKI  annotation (Placement(transformation(
            extent={{100,48},{112,60}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-53,93})));
    Library.Interfaces.RealOutput XKI  annotation (Placement(transformation(
            extent={{92,38},{106,52}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-43,93})));
    Library.Interfaces.RealOutput ZURE annotation (Placement(transformation(
            extent={{102,5},{110,13}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-33,93})));
    Library.Interfaces.RealOutput XURE annotation (Placement(transformation(
            extent={{102,-15},{110,-7}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-23,93})));
    Library.Interfaces.RealOutput ZMNE annotation (Placement(transformation(
            extent={{-60,8},{-50,18}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-13,93})));
    Library.Interfaces.RealOutput XMNE annotation (Placement(transformation(
            extent={{-60,-12},{-50,-2}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,93})));
    Library.Interfaces.RealOutput ZGLE annotation (Placement(transformation(
            extent={{30,18},{40,28}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={8,93})));
    Library.Interfaces.RealOutput XGLE annotation (Placement(transformation(
            extent={{30,10},{40,20}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={19,93})));
    Library.Interfaces.RealOutput YGLS annotation (Placement(transformation(
            extent={{32,-10},{42,0}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={29,93})));
    Library.Interfaces.RealOutput YKGL annotation (Placement(transformation(
            extent={{34,-20},{44,-10}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={39,93})));
    Library.Interfaces.RealOutput YINT annotation (Placement(transformation(
            extent={{32,-2},{42,8}}),    iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={49,93})));
    Library.Interfaces.RealOutput YKHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{90,58},{102,70}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={59,93})));
    Library.Interfaces.RealOutput YNHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-16,54},{-4,66}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={69,93})));
    Library.Interfaces.RealOutput PHI  annotation (Placement(transformation(
            extent={{-16,42},{-2,56}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={79,93})));
    IntracellularFluid intracellularFluid
      annotation (Placement(transformation(extent={{-86,-96},{-40,-52}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-20,-100},{0,-80}})));
  initial equation
  //  ZNE=1540;
  //  ZGLE=66;
  equation

  //OSMP=287;
  //YMNU=0;
  //YURU=0.15;
  //VTW=31;
  // ZNE=1540;

  //ZKE=49.5;
  //XKI=140;
  //ZKI=3800;
  //ZURE=77.5;

  //ZGLE=66;

  //ZMNE=0;
  //YGLS=0;
  //XGLE=6;
  //QIC=0;
  // XNE=140;
  //XKE=4.5;
  //YGLU=0;

    connect(VEC, sodium.VEC) annotation (Line(
        points={{-100,96},{-90,96},{-90,88.54},{-78.84,88.54}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(sodium.XNE, XNE) annotation (Line(
        points={{-21.16,71.9},{-10.565,71.9},{-10.565,71},{-11,71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.VEC, VEC) annotation (Line(
        points={{23.1,86.33},{10,86.33},{10,100},{-90,100},{-90,96},{-100,96}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.YKIN, YKIN) annotation (Line(
        points={{23.1,74.45},{12.505,74.45},{12.505,74},{6,74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.YKU, YKU) annotation (Line(
        points={{23.1,66.89},{14.505,66.89},{14.505,65},{5,65}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.PHA, PHA) annotation (Line(
        points={{23.1,59.87},{14.505,59.87},{14.505,36},{-96,36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.XKE, XKE) annotation (Line(
        points={{86.1,74.99},{96.155,74.99},{96.155,72},{104,72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.YKHI, YKHI) annotation (Line(
        points={{86.1,64.19},{96.155,64.19},{96.155,64},{96,64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.ZKE, ZKE) annotation (Line(
        points={{86.1,83.09},{97.155,83.09},{97.155,86},{98,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.XKI, XKI) annotation (Line(
        points={{86.1,42.59},{97.155,42.59},{97.155,45},{99,45}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.ZKI, ZKI) annotation (Line(
        points={{86.1,52.85},{96.155,52.85},{96.155,54},{106,54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.PHA, PHA) annotation (Line(
        points={{-78.28,46.94},{-86,46.94},{-86,36},{-96,36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CHEI, sodium.CHEI) annotation (Line(
        points={{-92,54},{-84,54},{-84,55.26},{-78.84,55.26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, sodium.YNU) annotation (Line(
        points={{-94,66},{-84,66},{-84,64.62},{-78.84,64.62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNIN, sodium.YNIN) annotation (Line(
        points={{-94,78},{-84,78},{-84,77.1},{-78.84,77.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.YNHI, YNHI) annotation (Line(
        points={{-21.16,59.94},{-13.55,59.94},{-13.55,60},{-10,60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.PHI, PHI) annotation (Line(
        points={{-20.6,50.06},{-12.25,50.06},{-12.25,49},{-9,49}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL1, glucose.CGL1) annotation (Line(
        points={{-37.5,-2},{-30,-2},{-30,1.18},{-22.75,1.18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL2, glucose.CGL2) annotation (Line(
        points={{-42,-6},{-28,-6},{-28,-5.58},{-22.75,-5.58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGL0, glucose.XGL0) annotation (Line(
        points={{-40,-22},{-28,-22},{-28,-20.14},{-22.75,-20.14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.ZGLE, ZGLE) annotation (Line(
        points={{29.75,20.42},{34,20.42},{34,23},{35,23}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(glucose.XGLE, XGLE) annotation (Line(
        points={{29.75,12.62},{34,12.62},{34,15},{35,15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YINT, YINT) annotation (Line(
        points={{29.75,5.86},{34.875,5.86},{34.875,3},{37,3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YGLS, YGLS) annotation (Line(
        points={{29.75,-1.94},{34,-1.94},{34,-5},{37,-5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(glucose.YGLU, YGLU) annotation (Line(
        points={{29.75,-15.98},{35.875,-15.98},{35.875,-25},{39,-25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(mannitol.XMNE, XMNE) annotation (Line(
        points={{-58.46,-10.82},{-56.73,-10.82},{-56.73,-7},{-55,-7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YINS, glucose.YINS) annotation (Line(
        points={{-43,19},{-30,19},{-30,18.34},{-22.75,18.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.ZMNE, ZMNE) annotation (Line(
        points={{-58.46,9.34},{-56,9.34},{-56,13},{-55,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, mannitol.VEC) annotation (Line(
        points={{-100,96},{-90,96},{-90,86},{-100,86},{-100,12.94},{-95.18,
            12.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, glucose.VEC) annotation (Line(
        points={{-100,96},{-90,96},{-90,86},{-100,86},{-100,30},{-34,30},{-34,
            24.58},{-22.75,24.58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLI, glucose.YGLI) annotation (Line(
        points={{-36,10},{-30,10},{-30,12.1},{-22.75,12.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.CGL3, CGL3) annotation (Line(
        points={{-22.25,-12.34},{-28,-12.34},{-28,-14},{-36,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNI, mannitol.YMNI) annotation (Line(
        points={{-109,-9},{-103.5,-9},{-103.5,-9.38},{-94.82,-9.38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YURI, urea.YURI) annotation (Line(
        points={{64,-27},{58,-27},{58,-9.38},{64.18,-9.38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CSM, intracellularFluid.CSM) annotation (Line(
        points={{-99,-87},{-92.5,-87},{-92.5,-80.82},{-86.23,-80.82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.XGLE, intracellularFluid.XGLE) annotation (Line(
        points={{29.75,12.62},{34,12.62},{34,8},{52,8},{52,-42},{-94,-42},{-94,
            -67.62},{-86.23,-67.62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.XGLE, plasmaOsmolarity.XGLE) annotation (Line(
        points={{29.75,12.62},{34,12.62},{34,8},{52,8},{52,-42},{-24,-42},{-24,
            -67.62},{19.78,-67.62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.XMNE, plasmaOsmolarity.XMNE) annotation (Line(
        points={{-58.46,-10.82},{-56,-10.82},{-56,-32},{-24,-32},{-24,-81.7},{
            19.78,-81.7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CKEI, potassium.CKEI) annotation (Line(
        points={{5,51},{12,51},{12,53.39},{23.7,53.39}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.XKI, intracellularFluid.XKI) annotation (Line(
        points={{86.1,42.59},{98,42.59},{98,22},{54,22},{54,-38},{-98,-38},{-98,
            -74.22},{-86.23,-74.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YKGL, YKGL) annotation (Line(
        points={{29.75,-8.7},{31.875,-8.7},{31.875,-15},{39,-15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.ZURE, ZURE) annotation (Line(
        points={{100.54,9.34},{103.27,9.34},{103.27,9},{106,9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.YURU, YURU) annotation (Line(
        points={{100.18,-0.02},{104.09,-0.02},{104.09,0},{106,0}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.XURE, XURE) annotation (Line(
        points={{100.54,-10.82},{104.27,-10.82},{104.27,-11},{106,-11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNU, mannitol.YMNU) annotation (Line(
        points={{-54,1},{-57.5,1},{-57.5,-0.02},{-58.82,-0.02}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.QIC, QIC) annotation (Line(
        points={{-37.93,-61.46},{-34.965,-61.46},{-34.965,-60},{-32,-60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.ZNE, ZNE) annotation (Line(
        points={{-21.16,84.38},{-16.58,84.38},{-16.58,90},{-10,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaOsmolarity.XKE, potassium.XKE) annotation (Line(
        points={{19.78,-61.46},{-22,-61.46},{-22,-44},{56,-44},{56,32},{92,32},
            {92,74.99},{86.1,74.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.XKE, potassium.XKE) annotation (Line(
        points={{-86.23,-61.46},{-92,-61.46},{-92,-44},{56,-44},{56,32},{92,32},
            {92,74.99},{86.1,74.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.XNE, sodium.XNE) annotation (Line(
        points={{-86.23,-55.3},{-90,-55.3},{-90,-46},{46,-46},{46,32},{-16,32},
            {-16,71.9},{-21.16,71.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaOsmolarity.XNE, sodium.XNE) annotation (Line(
        points={{19.78,-55.3},{-18,-55.3},{-18,-46},{46,-46},{46,32},{-16,32},{
            -16,71.9},{-21.16,71.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaOsmolarity.XURE, urea.XURE) annotation (Line(
        points={{19.78,-74.22},{10,-74.22},{10,-50},{104,-50},{104,-10.82},{
            100.54,-10.82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaOsmolarity.OSMP, OSMP) annotation (Line(
        points={{65.98,-69.38},{71.99,-69.38},{71.99,-71},{75,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, simpleAdd.yBase) annotation (Line(
        points={{-100,96},{-90,96},{-90,86},{-100,86},{-100,-34},{-10,-34},{-10,
            -88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.GFR, GFR) annotation (Line(
        points={{-95.54,0.34},{-98,0.34},{-98,-22},{-82,-22},{-82,-29.5},{-89,
            -29.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, glucose.GFR) annotation (Line(
        points={{-89,-29.5},{-46,-29.5},{-46,6.38},{-22.75,6.38}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, urea.GFR) annotation (Line(
        points={{-89,-29.5},{48,-29.5},{48,0.34},{63.46,0.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.u, intracellularFluid.VIC) annotation (Line(
        points={{-19.6,-90},{-34,-90},{-34,-79.94},{-37.93,-79.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, VTW) annotation (Line(
        points={{-10,-92},{-10,-98},{90,-98}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, urea.VTW) annotation (Line(
        points={{-10,-92},{-10,-98},{82,-98},{82,-32},{50,-32},{50,12.94},{
            63.82,12.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.VIC, intracellularFluid.VIC) annotation (Line(
        points={{23.1,80.93},{0,80.93},{0,40},{-48,40},{-48,-50},{-26,-50},{-26,
            -68},{-34,-68},{-34,-79.94},{-37.93,-79.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YKGL, potassium.YKGL) annotation (Line(
        points={{29.75,-8.7},{44,-8.7},{44,30},{20,30},{20,45.29},{23.1,45.29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(VIC, intracellularFluid.VIC) annotation (Line(
        points={{-28,-96},{-34,-96},{-34,-79.94},{-37.93,-79.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-90,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,37},
            rotation=180,
            textString="INTRACELLULAR"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1,19},
            rotation=180,
            textString="SPACE")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end IntracellularSpace;

  model ExtracellularSpace "blok podle Ikedy"

    Library.Interfaces.RealInput QIC  annotation (Placement(transformation(
            extent={{-98,30},{-72,56}}),    iconTransformation(extent={{-113,-14},
              {-99,0}})));
    Library.Interfaces.RealInput VRBC annotation (Placement(transformation(
            extent={{-66,82},{-40,108}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-49,-93})));
    Library.Interfaces.RealInput QIN annotation (Placement(transformation(
            extent={{-70,72},{-44,98}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-35,-93})));

    Library.Interfaces.RealOutput XPP  annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
          rotation=180,
          origin={46,-22}),           iconTransformation(extent={{94,-40},{108,
              -26}})));
    Library.Interfaces.RealOutput VIN  annotation (Placement(transformation(
            extent={{64,40},{78,54}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-92,93})));
    Library.Interfaces.RealOutput VP   annotation (Placement(transformation(
            extent={{82,40},{96,54}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-82,93})));

    Library.Interfaces.RealInput PVS  annotation (Placement(transformation(
            extent={{-110,14},{-84,40}}),   iconTransformation(extent={{-113,-28},
              {-99,-14}})));
    Library.Interfaces.RealInput PAS  annotation (Placement(transformation(
            extent={{-104,22},{-78,48}}),   iconTransformation(extent={{-113,-42},
              {-99,-28}})));
    Library.Interfaces.RealInput QWU  annotation (Placement(transformation(
            extent={{-92,38},{-66,64}}),    iconTransformation(extent={{-113,0},{-99,
              14}})));
    Library.Interfaces.RealInput QVIN
                                     annotation (Placement(transformation(
            extent={{-74,62},{-48,88}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-21,-93})));
    Library.Interfaces.RealInput QMWP
                                     annotation (Placement(transformation(
            extent={{-84,46},{-58,72}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-7,-93})));
    Library.Interfaces.RealInput QIWL
                                     annotation (Placement(transformation(
            extent={{-80,54},{-54,80}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={7,-93})));
    Library.Interfaces.RealInput CFC annotation (Placement(transformation(
            extent={{-70,-16},{-44,10}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={21,-93})));
    Library.Interfaces.RealInput KRAV
                                     annotation (Placement(transformation(
            extent={{-64,-6},{-38,20}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={35,-93})));

    Library.Interfaces.RealOutput PIF  annotation (Placement(transformation(
            extent={{60,58},{74,72}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-72,93})));
    Library.Interfaces.RealOutput VB annotation (Placement(transformation(
            extent={{78,12},{92,26}}), iconTransformation(extent={{94,2},{108,
              16}})));
    Library.Interfaces.RealOutput VEC annotation (Placement(transformation(
            extent={{64,22},{78,36}}),  iconTransformation(extent={{94,-12},{
              108,2}})));
    Library.Interfaces.RealOutput PPCO annotation (Placement(transformation(
            extent={{74,74},{86,86}}), iconTransformation(extent={{94,-26},{108,
              -12}})));
    PlasmaProteins plasmaProteins
      annotation (Placement(transformation(extent={{-20,-88},{40,-26}})));
    ExtracellularFluid extracellularFluid
      annotation (Placement(transformation(extent={{-20,10},{58,94}})));
    Library.Interfaces.RealOutput PC   annotation (Placement(transformation(
            extent={{86,70},{100,84}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-62,93})));
    Library.Interfaces.RealOutput PICO annotation (Placement(transformation(
            extent={{70,84},{82,96}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-53,93})));
    Library.Interfaces.RealOutput VIF  annotation (Placement(transformation(
            extent={{78,22},{92,36}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-43,93})));
    Library.Interfaces.RealOutput HT   annotation (Placement(transformation(
            extent={{70,4},{84,18}}),    iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-33,93})));
    Library.Interfaces.RealOutput QLF  annotation (Placement(transformation(
            extent={{84,52},{96,64}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-23,93})));
    Library.Interfaces.RealOutput QCFR annotation (Placement(transformation(
            extent={{72,56},{84,68}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-13,93})));
    Library.Interfaces.RealOutput YPLC annotation (Placement(transformation(
            extent={{54,-68},{66,-56}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,93})));
    Library.Interfaces.RealOutput YPLF annotation (Placement(transformation(
            extent={{48,-75},{60,-63}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={7,93})));
    Library.Interfaces.RealOutput YPLV annotation (Placement(transformation(
            extent={{58,-92},{72,-78}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={17,93})));
    Library.Interfaces.RealOutput YPLG annotation (Placement(transformation(
            extent={{46,-86},{60,-72}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={27,93})));
    Library.Interfaces.RealOutput YPG  annotation (Placement(transformation(
            extent={{58,-78},{70,-66}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={37,93})));
    Library.Interfaces.RealOutput ZPLG annotation (Placement(transformation(
            extent={{60,-62},{72,-50}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={47,93})));
    Library.Interfaces.RealOutput ZPP  annotation (Placement(transformation(
            extent={{57,-52},{69,-40}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={57,93})));
    Library.Interfaces.RealOutput ZPG  annotation (Placement(transformation(
            extent={{50,-58},{62,-46}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={67,93})));
    Library.Interfaces.RealOutput XPIF annotation (Placement(transformation(
            extent={{56,-44},{70,-30}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={77,93})));
    Library.Interfaces.RealOutput ZPIF annotation (Placement(transformation(
            extent={{42,-49},{54,-37}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={87,93})));
  equation
    /*
XPP=70;
VIN=0.01;
VP=2.2;
VIF=8.8;
PIF=-6.3;
QLF=0.02;
HT=0.45;
ZPP=154;
ZPLG=70;
XPIF=20;
ZPG=20;
VB=4;
VEC=11;
PPCO=28;
ZPIF=176;
*/
    connect(VRBC, extracellularFluid.VRBC) annotation (Line(
        points={{-53,95},{-26,95},{-26,85.18},{-21.17,85.18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIN, extracellularFluid.QIN) annotation (Line(
        points={{-57,85},{-34,85},{-34,79.3},{-21.17,79.3}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIWL, extracellularFluid.QIWL) annotation (Line(
        points={{-67,67},{-28,67},{-28,67.54},{-21.17,67.54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIC, extracellularFluid.QIC) annotation (Line(
        points={{-85,43},{-50,43},{-50,49.9},{-21.17,49.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CFC, extracellularFluid.CFC) annotation (Line(
        points={{-57,-3},{-32,-3},{-32,14.62},{-21.17,14.62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.PC, extracellularFluid.PC) annotation (Line(
        points={{-22.1,-39.33},{-36,-39.33},{-36,-98},{100,-98},{100,71.74},{61.51,
            71.74}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.QLF, extracellularFluid.QLF) annotation (Line(
        points={{-22.1,-46.15},{-34,-46.15},{-34,-96},{98,-96},{98,54.1},{61.51,54.1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.VP, extracellularFluid.VP) annotation (Line(
        points={{-22.1,-53.59},{-32,-53.59},{-32,-94},{96,-94},{96,42.34},{61.51,42.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.VIF, extracellularFluid.VIF) annotation (Line(
        points={{-22.1,-61.03},{-30,-61.03},{-30,-92},{94,-92},{94,36.46},{61.51,36.46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.ZPLG, ZPLG) annotation (Line(
        points={{42.7,-56.69},{54.35,-56.69},{54.35,-56},{66,-56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.ZPIF, ZPIF) annotation (Line(
        points={{42.7,-41.81},{46.35,-41.81},{46.35,-43},{48,-43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.ZPP, ZPP) annotation (Line(
        points={{42.7,-46.77},{49.35,-46.77},{49.35,-46},{63,-46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.ZPG, ZPG) annotation (Line(
        points={{42.7,-51.73},{47.35,-51.73},{47.35,-52},{56,-52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.YPLC, YPLC) annotation (Line(
        points={{42.7,-61.65},{45.35,-61.65},{45.35,-62},{60,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.YPLF, YPLF) annotation (Line(
        points={{42.7,-66.61},{48,-66.61},{48,-69},{54,-69}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.YPG, YPG) annotation (Line(
        points={{42.7,-71.57},{48,-72},{64,-72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.YPLV, YPLV) annotation (Line(
        points={{42.7,-81.49},{52,-81.49},{52,-85},{65,-85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.YPLG, YPLG) annotation (Line(
        points={{42.7,-76.53},{50,-76.53},{50,-79},{53,-79}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.PPCO, PPCO) annotation (Line(
        points={{61.51,77.62},{74.62,77.62},{74.62,80},{80,80}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(extracellularFluid.PICO, PICO) annotation (Line(
        points={{61.51,83.5},{74,83.5},{74,90},{76,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaProteins.XPIF, XPIF) annotation (Line(
        points={{42.7,-36.85},{54.35,-36.85},{54.35,-37},{63,-37}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP, plasmaProteins.XPP) annotation (Line(
        points={{46,-22},{52,-22},{52,-31.89},{42.7,-31.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QVIN, extracellularFluid.QVIN) annotation (Line(
        points={{-61,75},{-36,75},{-36,73.42},{-21.17,73.42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PAS, extracellularFluid.PAS) annotation (Line(
        points={{-91,35},{-48,35},{-48,44.02},{-21.17,44.02}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PVS, extracellularFluid.PVS) annotation (Line(
        points={{-97,27},{-46,27},{-46,38.14},{-21.17,38.14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VP, extracellularFluid.VP) annotation (Line(
        points={{89,47},{82,47},{82,42.34},{61.51,42.34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.QLF, QLF) annotation (Line(
        points={{61.51,54.1},{86,54.1},{86,58},{90,58}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VIN, extracellularFluid.VIN) annotation (Line(
        points={{71,47},{66.5,47},{66.5,48.22},{61.51,48.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PIF, extracellularFluid.PIF) annotation (Line(
        points={{67,65},{64.5,65},{64.5,65.86},{61.51,65.86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.QCFR, QCFR) annotation (Line(
        points={{61.51,59.98},{74,59.98},{74,62},{78,62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.PC, PC) annotation (Line(
        points={{61.51,71.74},{88,71.74},{88,77},{93,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VIF, extracellularFluid.VIF) annotation (Line(
        points={{85,29},{80,29},{80,36.46},{61.51,36.46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.VEC, VEC) annotation (Line(
        points={{61.51,29.74},{66.755,29.74},{66.755,29},{71,29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.VB, VB) annotation (Line(
        points={{61.51,23.86},{70,23.86},{70,19},{85,19}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.HT, HT) annotation (Line(
        points={{61.51,17.98},{68,17.98},{68,11},{77,11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.KRAV, KRAV) annotation (Line(
        points={{-21.17,20.5},{-34,20.5},{-34,7},{-51,7}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.XPP, plasmaProteins.XPP) annotation (Line(
        points={{-21.17,32.26},{-44,32.26},{-44,24},{-76,24},{-76,-16},{52,-16},
            {52,-31.89},{42.7,-31.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.XPIF, plasmaProteins.XPIF) annotation (Line(
        points={{-21.17,26.38},{-42,26.38},{-42,20},{-74,20},{-74,-10},{54,-10},
            {54,-36.85},{42.7,-36.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QMWP, extracellularFluid.QMWP) annotation (Line(
        points={{-71,59},{-36,59},{-36,61.66},{-21.17,61.66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularFluid.QWU, QWU) annotation (Line(
        points={{-21.17,55.78},{-58,55.78},{-58,51},{-79,51}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
              {100,100}}),       graphics={
          Rectangle(
            extent={{-99,86},{94,-84}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,37},
            rotation=180,
            textString="EXTRACELLULAR"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1,19},
            rotation=180,
            textString="SPACE")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end ExtracellularSpace;

  model testCardiovascularDynamicsBlock
    CardiovascularDynamics cardiovascularDynamics
      annotation (Placement(transformation(extent={{-54,-22},{6,38}})));
    Library.Constant RTOT(Const=20) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-82,-40})));
    Library.Constant KR(Const=0.3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-52,-48})));
    Library.Constant RTOP(Const=3) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-44,-64})));
    Library.Constant KL(Const=0.2) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-40,-80})));
    Library.Constant VB(Const=4) annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-88,8})));
  equation
    connect(VB.y, cardiovascularDynamics.VB) annotation (Line(
        points={{-81.56,8.04},{-66.78,8.04},{-66.78,4.7},{-51.9,4.7}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(RTOT.y, cardiovascularDynamics.RTOT) annotation (Line(
        points={{-75.56,-39.96},{-35.7,-39.96},{-35.7,-19.9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(KR.y, cardiovascularDynamics.KR) annotation (Line(
        points={{-45.56,-47.96},{-30.3,-47.96},{-30.3,-19.9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(RTOP.y, cardiovascularDynamics.RTOP) annotation (Line(
        points={{-37.56,-63.96},{-37.56,-64.98},{-24.9,-64.98},{-24.9,-19.9}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(KL.y, cardiovascularDynamics.KL) annotation (Line(
        points={{-33.56,-79.96},{-19.5,-79.96},{-19.5,-19.9}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{
              -100,-100},{100,100}}), graphics));
  end testCardiovascularDynamicsBlock;

  model IntracellularSpaceBLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-82,76}), iconTransformation(extent={{-20,72},{8,100}})));
    IKEDA.IntracellularSpace
                       intracellularSpace
      annotation (Placement(transformation(extent={{-70,-68},{70,72}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-76,-82}), iconTransformation(extent={{-12,-100},{16,-72}})));
  equation
    connect(intracellularSpace.ZNE, outputBusConnector.ZNE)
                                                      annotation (Line(
        points={{-51.1,67.1},{-51.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.ZKE, outputBusConnector.ZKE)
                                                      annotation (Line(
        points={{-44.1,67.1},{-44.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.ZKI, outputBusConnector.ZKI)
                                                      annotation (Line(
        points={{-37.1,67.1},{-37.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XKI, outputBusConnector.XKI)
                                                      annotation (Line(
        points={{-30.1,67.1},{-30.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.ZURE, outputBusConnector.ZURE)
                                                        annotation (Line(
        points={{-23.1,67.1},{-23.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.ZMNE, outputBusConnector.ZNME)
                                                        annotation (Line(
        points={{-9.1,67.1},{-9.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.ZGLE, outputBusConnector.ZGLE)
                                                        annotation (Line(
        points={{5.6,67.1},{5.6,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XGLE, outputBusConnector.XGLE)
                                                        annotation (Line(
        points={{13.3,67.1},{13.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YGLS, outputBusConnector.YGLS)
                                                        annotation (Line(
        points={{20.3,67.1},{20.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.QIC, outputBusConnector.QIC)
                                                      annotation (Line(
        points={{65.1,-21.1},{80,-21.1},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XNE, outputBusConnector.XNE)
                                                      annotation (Line(
        points={{65.1,18.1},{80,18.1},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XKE, outputBusConnector.XKE)
                                                      annotation (Line(
        points={{65.1,8.3},{80,8.3},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YGLU, outputBusConnector.YGLU)
                                                        annotation (Line(
        points={{65.1,-1.5},{80,-1.5},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.OSMP, outputBusConnector.OSMP)
                                                        annotation (Line(
        points={{65.1,-11.3},{80,-11.3},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YMNU, outputBusConnector.YMNU)
                                                        annotation (Line(
        points={{65.1,-30.9},{80,-30.9},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YURU, outputBusConnector.YURU)
                                                        annotation (Line(
        points={{65.1,-40.7},{80,-40.7},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.VTW, outputBusConnector.VTW)
                                                      annotation (Line(
        points={{65.1,-50.5},{80,-50.5},{80,96},{-82,96},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNU, intracellularSpace.YNU)
                                                      annotation (Line(
        points={{-82,76},{-82,16.7},{-67.9,16.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YKU, intracellularSpace.YKU)
                                                      annotation (Line(
        points={{-82,76},{-82,6},{-67.9,6},{-67.9,6.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PHA, intracellularSpace.PHA)
                                                      annotation (Line(
        points={{-82,76},{-82,-2.9},{-67.9,-2.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.VEC, intracellularSpace.VEC)
                                                      annotation (Line(
        points={{-82,76},{-82,-12},{-67.9,-12},{-67.9,-12.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.GFR, intracellularSpace.GFR)
                                                      annotation (Line(
        points={{-82,76},{-82,-22.5},{-67.9,-22.5}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YURI, intracellularSpace.YURI) annotation (Line(
        points={{-76,-82},{28.7,-82},{28.7,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YKIN, intracellularSpace.YKIN) annotation (Line(
        points={{-76,-82},{-6.3,-82},{-6.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YNIN, intracellularSpace.YNIN) annotation (Line(
        points={{-76,-82},{-13.3,-82},{-13.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CSM, intracellularSpace.CSM) annotation (Line(
        points={{-76,-82},{-20.3,-82},{-20.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CKEI, intracellularSpace.CKEI) annotation (Line(
        points={{-76,-82},{-27.3,-82},{-27.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YKHI, outputBusConnector.YKHI) annotation (Line(
        points={{41.3,67.1},{41.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.XGL0, intracellularSpace.XGL0) annotation (Line(
        points={{-76,-82},{0.7,-82},{0.7,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YINS, intracellularSpace.YINS) annotation (Line(
        points={{-76,-82},{7.7,-82},{7.7,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YGLI, intracellularSpace.YGLI) annotation (Line(
        points={{-76,-82},{14.7,-82},{14.7,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YMNI, intracellularSpace.YMNI) annotation (Line(
        points={{-76,-82},{21.7,-82},{21.7,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.PHI, outputBusConnector.PHI) annotation (Line(
        points={{55.3,67.1},{55.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CHEI, intracellularSpace.CHEI) annotation (Line(
        points={{-76,-82},{-34.3,-82},{-34.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YNHI, outputBusConnector.YNHI) annotation (Line(
        points={{48.3,67.1},{48.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CGL1, intracellularSpace.CGL1) annotation (Line(
        points={{-76,-82},{-55.3,-82},{-55.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CGL2, intracellularSpace.CGL2) annotation (Line(
        points={{-76,-82},{-48.3,-82},{-48.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CGL3, intracellularSpace.CGL3) annotation (Line(
        points={{-76,-82},{-41.3,-82},{-41.3,-63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YKGL, outputBusConnector.YKGL) annotation (Line(
        points={{27.3,67.1},{27.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.VIC, outputBusConnector.VIC) annotation (Line(
        points={{-58.1,67.1},{-58.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XURE, outputBusConnector.XURE) annotation (Line(
        points={{-16.1,67.1},{-16.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.XMNE, outputBusConnector.XMNE) annotation (Line(
        points={{-2.1,67.1},{-2.1,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpace.YINT, outputBusConnector.YINT) annotation (Line(
        points={{34.3,67.1},{34.3,76},{-82,76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-68,90},{52,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={88,-4},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-88,-2},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-72,-79},{48,-91}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs")}), Icon(graphics={
          Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,85},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-98,50},{102,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Intracellular"),
          Text(
            extent={{-98,-4},{102,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Space")}));
  end IntracellularSpaceBLock;

  model ExtracellularSpaceBLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-80,78}), iconTransformation(extent={{-20,72},{8,100}})));
    ExtracellularSpace extracellularSpace
      annotation (Placement(transformation(extent={{-68,-66},{70,72}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-80,-80}), iconTransformation(extent={{-6,-100},{22,-72}})));
  equation

    connect(extracellularSpace.VIN, outputBusConnector.VIN)
                                                      annotation (Line(
        points={{-62.48,67.17},{-62.48,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.VP, outputBusConnector.VP)
                                                    annotation (Line(
        points={{-55.58,67.17},{-55.58,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.PIF, outputBusConnector.PIF)
                                                      annotation (Line(
        points={{-48.68,67.17},{-48.68,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.VIF, outputBusConnector.VIF)
                                                      annotation (Line(
        points={{-28.67,67.17},{-28.67,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.HT, outputBusConnector.HT)
                                                    annotation (Line(
        points={{-21.77,67.17},{-21.77,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.QLF, outputBusConnector.QLF)
                                                      annotation (Line(
        points={{-14.87,67.17},{-14.87,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.ZPLG, outputBusConnector.ZPLG)
                                                        annotation (Line(
        points={{33.43,67.17},{33.43,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.ZPP, outputBusConnector.ZPP)
                                                      annotation (Line(
        points={{40.33,67.17},{40.33,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.ZPG, outputBusConnector.ZPG)
                                                      annotation (Line(
        points={{47.23,67.17},{47.23,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.XPIF, outputBusConnector.XPIF)
                                                        annotation (Line(
        points={{54.13,67.17},{54.13,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.ZPIF, outputBusConnector.ZPIF)
                                                        annotation (Line(
        points={{61.03,67.17},{61.03,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.VB, outputBusConnector.VB)
                                                    annotation (Line(
        points={{70.69,9.21},{80,9.21},{80,96},{-80,96},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.VEC, outputBusConnector.VEC)
                                                      annotation (Line(
        points={{70.69,-0.45},{80,-0.45},{80,96},{-80,96},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.PPCO, outputBusConnector.PPCO)
                                                        annotation (Line(
        points={{70.69,-10.11},{80,-10.11},{80,96},{-80,96},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.XPP, outputBusConnector.XPP)
                                                      annotation (Line(
        points={{70.69,-19.77},{80,-19.77},{80,96},{-80,96},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PAS, extracellularSpace.PAS)
                                                      annotation (Line(
        points={{-80,78},{-80,-21.15},{-72.14,-21.15}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PVS, extracellularSpace.PVS)
                                                      annotation (Line(
        points={{-80,78},{-80,-11.49},{-72.14,-11.49}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.QIC, extracellularSpace.QIC)
                                                      annotation (Line(
        points={{-80,78},{-80,-1.83},{-72.14,-1.83}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.QWU, extracellularSpace.QWU)
                                                      annotation (Line(
        points={{-80,78},{-80,7.83},{-72.14,7.83}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.KRAV, extracellularSpace.KRAV) annotation (Line(
        points={{-80,-80},{25.15,-80},{25.15,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CFC, extracellularSpace.CFC) annotation (Line(
        points={{-80,-80},{15.49,-80},{15.49,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.QIWL, extracellularSpace.QIWL) annotation (Line(
        points={{-80,-80},{5.83,-80},{5.83,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.QMWP, extracellularSpace.QMWP) annotation (Line(
        points={{-80,-80},{-3.83,-80},{-3.83,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.QVIN, extracellularSpace.QVIN) annotation (Line(
        points={{-80,-80},{-13.49,-80},{-13.49,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.QIN, extracellularSpace.QIN) annotation (Line(
        points={{-80,-80},{-23.15,-80},{-23.15,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.VRBC, extracellularSpace.VRBC) annotation (Line(
        points={{-80,-80},{-32.81,-80},{-32.81,-61.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.QCFR, outputBusConnector.QCFR) annotation (Line(
        points={{-7.97,67.17},{-7.97,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.YPLC, outputBusConnector.YPLC) annotation (Line(
        points={{-1.07,67.17},{-1.07,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.YPLF, outputBusConnector.YPLF) annotation (Line(
        points={{5.83,67.17},{5.83,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.YPLV, outputBusConnector.YPLV) annotation (Line(
        points={{12.73,67.17},{12.73,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.YPLG, outputBusConnector.YPLG) annotation (Line(
        points={{19.63,67.17},{19.63,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.YPG, outputBusConnector.YPG) annotation (Line(
        points={{26.53,67.17},{26.53,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.PICO, outputBusConnector.PICO) annotation (Line(
        points={{-35.57,67.17},{-35.57,78},{-80,78}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularSpace.PC, outputBusConnector.PC) annotation (Line(
        points={{-41.78,67.17},{-41.78,78},{-80,78}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    annotation (Diagram(graphics={
          Text(
            extent={{-68,90},{52,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={88,-4},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-88,-2},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-68,-81},{52,-93}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs")}), Icon(graphics={
          Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-98,50},{102,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Extracellular"),
          Text(
            extent={{-98,-4},{102,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Space")}));
  end ExtracellularSpaceBLock;

  model CardiovascularDynamicsBLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-80,86}), iconTransformation(extent={{-18,72},{10,100}})));
    CardiovascularDynamics cardiovascularDynamics
      annotation (Placement(transformation(extent={{-70,-58},{70,82}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-80,-80}), iconTransformation(extent={{-16,-100},{12,-72}})));
  equation
    connect(outputBusConnector.VB, cardiovascularDynamics.VB)
                                                        annotation (Line(
        points={{-80,86},{-80,4.3},{-65.1,4.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(cardiovascularDynamics.PAP, outputBusConnector.PAP)
                                                          annotation (Line(
        points={{-2.1,77.1},{-2.1,86},{-80,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(cardiovascularDynamics.QCO, outputBusConnector.QCO)
                                                          annotation (Line(
        points={{65.1,0.1},{80,0.1},{80,98},{-80,98},{-80,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(cardiovascularDynamics.PAS, outputBusConnector.PAS)
                                                          annotation (Line(
        points={{65.1,-9.7},{80,-9.7},{80,98},{-80,98},{-80,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(cardiovascularDynamics.PVS, outputBusConnector.PVS)
                                                          annotation (Line(
        points={{65.1,-19.5},{80,-19.5},{80,98},{-80,98},{-80,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(cardiovascularDynamics.PVP, outputBusConnector.PVP)
                                                          annotation (Line(
        points={{65.1,-29.3},{80,-29.3},{80,98},{-80,98},{-80,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.KL, cardiovascularDynamics.KL) annotation (Line(
        points={{-80,-80},{10.5,-80},{10.5,-53.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.RTOP, cardiovascularDynamics.RTOP) annotation (
        Line(
        points={{-80,-80},{-2.1,-80},{-2.1,-53.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.KR, cardiovascularDynamics.KR) annotation (Line(
        points={{-80,-80},{-14.7,-80},{-14.7,-53.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.RTOT, cardiovascularDynamics.RTOT) annotation (
        Line(
        points={{-80,-80},{-27.3,-80},{-27.3,-53.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-68,98},{52,86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={88,4},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-88,6},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-72,-81},{48,-93}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs")}), Icon(graphics={
          Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,170,213},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-98,50},{102,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Cardiovascular"),
          Text(
            extent={{-98,-4},{102,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,170,213},
            fillPattern=FillPattern.Solid,
            textString="Dynamics")}));
  end CardiovascularDynamicsBLock;

  model ControllerOfRenalFunctionBlock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-82,-62}),iconTransformation(extent={{-20,-100},{8,-72}})));
    ControllerOfRenalFuncion controllerOfRenalFuncion
      annotation (Placement(transformation(extent={{-56,-46},{64,74}})));
  equation
    connect(outputBusConnector.PVP, controllerOfRenalFuncion.PVP)
                                                            annotation (Line(
        points={{-82,-62},{-82,65.6},{-62,65.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.OSMP, controllerOfRenalFuncion.OSMP)
                                                              annotation (Line(
        points={{-82,-62},{-82,48},{-61.4,48},{-61.4,49.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XKE, controllerOfRenalFuncion.XKE)
                                                            annotation (Line(
        points={{-82,-62},{-82,31.4},{-61.4,31.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNH, controllerOfRenalFuncion.YNH)
                                                            annotation (Line(
        points={{-82,-62},{-82,14.6},{-61.4,14.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PAS, controllerOfRenalFuncion.PAS)
                                                            annotation (Line(
        points={{-82,-62},{-82,-2.8},{-62,-2.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PPCO, controllerOfRenalFuncion.PPCO)
                                                              annotation (Line(
        points={{-82,-62},{-82,-19.6},{-62,-19.6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.VEC, controllerOfRenalFuncion.VEC)
                                                            annotation (Line(
        points={{-82,-62},{-82,-36.4},{-62,-36.4}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(controllerOfRenalFuncion.ADH, outputBusConnector.ADH)
                                                            annotation (Line(
        points={{69.4,59},{80,59},{80,-78},{-82,-78},{-82,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(controllerOfRenalFuncion.ALD, outputBusConnector.ALD)
                                                            annotation (Line(
        points={{69.4,32.6},{80,32.6},{80,-78},{-82,-78},{-82,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(controllerOfRenalFuncion.THDF, outputBusConnector.THDF)
                                                              annotation (Line(
        points={{69.4,13.4},{80,13.4},{80,-78},{-82,-78},{-82,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(controllerOfRenalFuncion.GFR, outputBusConnector.GFR)
                                                            annotation (Line(
        points={{69.4,-14.2},{80,-14.2},{80,-78},{-82,-78},{-82,-62}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={88,16},
            rotation=90), Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-88,18},
            rotation=90,
            textString="Inputs from other blocks")}), Icon(graphics={
          Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={215,215,215},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-98,50},{102,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Controller"),
          Text(
            extent={{-100,20},{100,-12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="of Renal"),
          Text(
            extent={{-96,-10},{104,-42}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Function")}));
  end ControllerOfRenalFunctionBlock;

  model Kidney1BLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-86,-82}), iconTransformation(extent={{-10,-100},{18,-72}})));
    Kidney_1 kidney_1_1
      annotation (Placement(transformation(extent={{-70,-78},{70,62}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-84,80}),  iconTransformation(extent={{-10,72},{18,100}})));
  equation
    connect(kidney_1_1.OSMU, outputBusConnector.OSMU)
                                                annotation (Line(
        points={{-0.7,-73.1},{-0.7,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.PHU, outputBusConnector.PHU)
                                              annotation (Line(
        points={{9.1,-73.1},{9.1,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YORG, kidney_1_1.YORG)
                                                annotation (Line(
        points={{-86,-82},{-86,-60},{-65.1,-60},{-65.1,-61.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YPO4, kidney_1_1.YPO4)
                                                annotation (Line(
        points={{-86,-82},{-86,-53.5},{-65.1,-53.5}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PHA, kidney_1_1.PHA)
                                              annotation (Line(
        points={{-86,-82},{-86,-45.1},{-65.1,-45.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YCO3, kidney_1_1.YCO3)
                                                annotation (Line(
        points={{-86,-82},{-86,-36.7},{-65.1,-36.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.ALD, kidney_1_1.ALD)
                                              annotation (Line(
        points={{-86,-82},{-86,-28.3},{-65.1,-28.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XNE, kidney_1_1.XNE)
                                              annotation (Line(
        points={{-86,-82},{-86,-20},{-65.1,-20},{-65.1,-19.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XKE, kidney_1_1.XKE)
                                              annotation (Line(
        points={{-86,-82},{-86,-12},{-65.1,-12},{-65.1,-11.5}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.GFR, kidney_1_1.GFR)
                                              annotation (Line(
        points={{-86,-82},{-86,-4},{-65.1,-4},{-65.1,-3.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.THDF, kidney_1_1.THDF)
                                                annotation (Line(
        points={{-86,-82},{-86,5.3},{-65.1,5.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YMNU, kidney_1_1.YMNU)
                                                annotation (Line(
        points={{-86,-82},{-86,14},{-65.1,14},{-65.1,13.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YURU, kidney_1_1.YURU)
                                                annotation (Line(
        points={{-86,-82},{-86,22.1},{-65.1,22.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YGLU, kidney_1_1.YGLU)
                                                annotation (Line(
        points={{-86,-82},{-86,30.5},{-65.1,30.5}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.OSMP, kidney_1_1.OSMP)
                                                annotation (Line(
        points={{-86,-82},{-86,38.9},{-65.1,38.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.ADH, kidney_1_1.ADH)
                                              annotation (Line(
        points={{-86,-82},{-86,47.3},{-65.1,47.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.STPG, outputBusConnector.STPG)
                                                annotation (Line(
        points={{65.1,-35.3},{80,-35.3},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.YNH4, outputBusConnector.YNH4)
                                                annotation (Line(
        points={{65.1,-25.5},{80,-25.5},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.YNU, outputBusConnector.YNU)
                                              annotation (Line(
        points={{65.1,-15.7},{80,-15.7},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.YNH, outputBusConnector.YNH)
                                              annotation (Line(
        points={{65.1,-4.5},{80,-4.5},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.YKU, outputBusConnector.YKU)
                                              annotation (Line(
        points={{65.1,5.3},{80,5.3},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.QWU, outputBusConnector.QWU)
                                              annotation (Line(
        points={{65.1,15.1},{80,15.1},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YTA0, kidney_1_1.YTA0) annotation (Line(
        points={{-84,80},{18,80},{18,57.1},{17.5,57.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YNH0, kidney_1_1.YNH0) annotation (Line(
        points={{-84,80},{6,80},{6,57.1},{6.3,57.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.CPR, kidney_1_1.CPR) annotation (Line(
        points={{-84,80},{-4.9,80},{-4.9,57.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_1_1.YTA, outputBusConnector.YTA) annotation (Line(
        points={{18.9,-73.1},{18.9,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-56,-82},{64,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={86,-12},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-92,-6},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs",
            origin={0,96},
            rotation=180)}), Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,0},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,24},{102,-8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Kidney 1")}));
  end Kidney1BLock;

  model Kidney2BLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-86,-82}), iconTransformation(extent={{-6,-100},{22,-72}})));
    Kidney_2 kidney_2_1
      annotation (Placement(transformation(extent={{-70,-72},{72,70}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-84,81}),  iconTransformation(extent={{-14,72},{14,100}})));
  equation
    connect(kidney_2_1.ZCAE, outputBusConnector.ZCAE)
                                                annotation (Line(
        points={{-55.09,-67.03},{-55.09,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZMGE, outputBusConnector.ZMGE)
                                                annotation (Line(
        points={{-47.99,-67.03},{-47.99,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.STBC, outputBusConnector.STBC)
                                                annotation (Line(
        points={{67.03,-13.07},{80,-13.07},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YORG, outputBusConnector.YORG)
                                                annotation (Line(
        points={{67.03,-3.13},{80,-3.13},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YPO4, outputBusConnector.YPO4)
                                                annotation (Line(
        points={{67.03,6.81},{80,6.81},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCO3, outputBusConnector.YCO3)
                                                annotation (Line(
        points={{67.03,16.75},{80,16.75},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YCAI, kidney_2_1.YCAI) annotation (Line(
        points={{-84,81},{-28.11,81},{-28.11,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YMGI, kidney_2_1.YMGI) annotation (Line(
        points={{-84,81},{-16.75,81},{-16.75,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YSOI, kidney_2_1.YSOI) annotation (Line(
        points={{-84,81},{-5.39,81},{-5.39,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YPOI, kidney_2_1.YPOI) annotation (Line(
        points={{-84,81},{5.97,81},{5.97,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YOGI, kidney_2_1.YOGI) annotation (Line(
        points={{-84,81},{17.33,81},{17.33,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YCLI, kidney_2_1.YCLI) annotation (Line(
        points={{-84,81},{28,81},{28,65.03},{28.69,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XSO4, outputBusConnector.XSO4) annotation (Line(
        points={{1.71,-67.03},{2,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(kidney_2_1.XOGE, outputBusConnector.XOGE) annotation (Line(
        points={{15.91,-67.03},{16,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(outputBusConnector.STPG, kidney_2_1.STPG) annotation (Line(
        points={{-86,-82},{-86,53.67},{-65.03,53.67}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNU, kidney_2_1.YNU) annotation (Line(
        points={{-86,-82},{-86,46.57},{-65.03,46.57}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YKU, kidney_2_1.YKU) annotation (Line(
        points={{-86,-82},{-86,39.47},{-65.03,39.47}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNH4, kidney_2_1.YNH4) annotation (Line(
        points={{-86,-82},{-86,32},{-65.03,32},{-65.03,32.37}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PCOA, kidney_2_1.PCOA) annotation (Line(
        points={{-86,-82},{-86,25.27},{-65.03,25.27}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XCO3, kidney_2_1.XCO3) annotation (Line(
        points={{-86,-82},{-86,18.17},{-65.03,18.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.GFR, kidney_2_1.GFR) annotation (Line(
        points={{-86,-82},{-86,11.07},{-65.03,11.07}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.VEC, kidney_2_1.VEC) annotation (Line(
        points={{-86,-82},{-86,3.97},{-65.03,3.97}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.DCLA, kidney_2_1.DCLA) annotation (Line(
        points={{-86,-82},{-86,-3.13},{-65.03,-3.13}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XNE, kidney_2_1.XNE) annotation (Line(
        points={{-86,-82},{-86,-10.23},{-65.03,-10.23}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XKE, kidney_2_1.XKE) annotation (Line(
        points={{-86,-82},{-86,-17.33},{-65.03,-17.33}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XPP, kidney_2_1.XPP) annotation (Line(
        points={{-86,-82},{-86,-24.43},{-65.03,-24.43}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZSOE, outputBusConnector.ZSOE) annotation (Line(
        points={{-40.89,-67.03},{-40.89,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZPOE, outputBusConnector.ZPOE) annotation (Line(
        points={{-33.79,-67.03},{-33.79,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZOGE, outputBusConnector.ZOGE) annotation (Line(
        points={{-26.69,-67.03},{-26.69,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZCLE, outputBusConnector.ZCLE) annotation (Line(
        points={{-19.59,-67.03},{-19.59,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XMGE, outputBusConnector.XMGE) annotation (Line(
        points={{-5.39,-67.03},{-5.39,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCAE, outputBusConnector.XCAE) annotation (Line(
        points={{-12.49,-67.03},{-12.49,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XPO4, outputBusConnector.XPO4) annotation (Line(
        points={{8.81,-67.03},{8.81,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YSO4, outputBusConnector.YSO4) annotation (Line(
        points={{58.51,-67.03},{58.51,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCLE, outputBusConnector.XCLE) annotation (Line(
        points={{23.01,-67.03},{23.01,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCLA, outputBusConnector.XCLA) annotation (Line(
        points={{30.11,-67.03},{30.11,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCLU, outputBusConnector.YCLU) annotation (Line(
        points={{37.21,-67.03},{37.21,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCA, outputBusConnector.YCA) annotation (Line(
        points={{44.31,-67.03},{44.31,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YMG, outputBusConnector.YMG) annotation (Line(
        points={{51.41,-67.03},{51.41,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-58,-82},{62,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={86,-12},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-92,-6},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs",
            origin={-2,88},
            rotation=180)}), Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,0},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,18},{102,-14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Kidney 2")}));
  end Kidney2BLock;

  model RespirationBLock
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-86,-82}), iconTransformation(extent={{-8,-100},{20,-72}})));
    Respiration respiration
      annotation (Placement(transformation(extent={{-74,-72},{66,68}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-84,80}),  iconTransformation(extent={{-22,72},{6,100}})));
  equation
    connect(outputBusConnector.QCO, respiration.QCO)
                                               annotation (Line(
        points={{-86,-82},{-86,18.3},{-69.1,18.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.VTW, respiration.VTW)
                                               annotation (Line(
        points={{-86,-82},{-86,-11.1},{-69.1,-11.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.STBC, respiration.STBC)
                                                 annotation (Line(
        points={{-86,-82},{-86,-27.9},{-69.1,-27.9}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.UO2A, outputBusConnector.UO2A)
                                                 annotation (Line(
        points={{-56.5,-67.1},{-56.5,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.UCOA, outputBusConnector.UCOA)
                                                 annotation (Line(
        points={{-45.3,-67.1},{-45.3,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.UO2V, outputBusConnector.UO2V)
                                                 annotation (Line(
        points={{-34.1,-67.1},{-34.1,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.UCOV, outputBusConnector.UCOV)
                                                 annotation (Line(
        points={{-21.5,-67.1},{-21.5,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.FO2A, outputBusConnector.FO2A)
                                                 annotation (Line(
        points={{-10.3,-67.1},{-10.3,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(respiration.PO2A, outputBusConnector.PO2A) annotation (Line(
        points={{0.9,-67.1},{0.9,-82},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.SO2A, outputBusConnector.SO2A) annotation (Line(
        points={{10.7,-67.1},{10.7,-82},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.FCOA, outputBusConnector.FCOA) annotation (Line(
        points={{21.9,-67.1},{21.9,-82},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.DCLA, outputBusConnector.DCLA) annotation (Line(
        points={{61.1,-46.1},{80,-46.1},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.XCO3, outputBusConnector.XCO3) annotation (Line(
        points={{61.1,-26.5},{80,-26.5},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.PHA, outputBusConnector.PHA) annotation (Line(
        points={{61.1,-8.3},{80,-8.3},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.VI, outputBusConnector.VI) annotation (Line(
        points={{61.1,14.1},{80,14.1},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(respiration.PCOA, outputBusConnector.PCOA) annotation (Line(
        points={{61.1,26.7},{80,26.7},{80,-98},{-86,-98},{-86,-82}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(inputBusConnector.VAL, respiration.VAL) annotation (Line(
        points={{-84,80},{42.9,80},{42.9,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.VI0, respiration.VI0) annotation (Line(
        points={{-84,80},{30.3,80},{30.3,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.XHB, respiration.XHB) annotation (Line(
        points={{-84,80},{16.3,80},{16.3,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.MRO2, respiration.MRO2) annotation (Line(
        points={{-84,80},{3.7,80},{3.7,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.MRCO, respiration.MRCO) annotation (Line(
        points={{-84,80},{-8.9,80},{-8.9,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.PBA, respiration.PBA) annotation (Line(
        points={{-84,80},{-22.9,80},{-22.9,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.FO2I, respiration.FO2I) annotation (Line(
        points={{-84,80},{-35.5,80},{-35.5,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.FCOI, respiration.FCOI) annotation (Line(
        points={{-84,80},{-48.1,80},{-48.1,63.1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-56,-84},{64,-96}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={86,-12},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-92,-6},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs",
            origin={-12,86},
            rotation=180)}), Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,255},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,26},{102,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Respiration")}));
  end RespirationBLock;

  model OrganicAcid

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-38},{98,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,70},
              {-94,84}})));
    Library.Interfaces.RealOutput ZOGE annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,70},{110,
              84}})));
    Library.Interfaces.RealOutput XOGE annotation (Placement(transformation(
            extent={{26,-54},{50,-30}}),
                                      iconTransformation(extent={{94,-78},{108,
              -64}})));
    Library.Interfaces.RealInput YOGI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-74},
              {-92,-60}})));
    OrganicAcidRenalExcretion organicAcidRenalExcretion
      annotation (Placement(transformation(extent={{-16,20},{56,92}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,38},{-36,64}}),  iconTransformation(extent={{-108,-8},
              {-94,6}})));
    Library.Interfaces.RealOutput YORG annotation (Placement(transformation(
            extent={{76,72},{100,96}}),
                                      iconTransformation(extent={{96,-4},{110,
              10}})));

  initial equation
    ZOGE=66;
  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{74,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc, XOGE) annotation (
       Line(
        points={{17.2,-35.6},{29.6,-35.6},{29.6,-42},{38,-42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass, ZOGE) annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YOGI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, organicAcidRenalExcretion.GFR) annotation (Line(
        points={{-49,51},{-31.5,51},{-31.5,51.68},{-15.28,51.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(organicAcidRenalExcretion.XOGE,
      concentrationCompartmentIkeda_unknown.SoluteConc) annotation (Line(
        points={{-14.56,74.72},{-62,74.72},{-62,24},{-28,24},{-28,6},{30,6},{30,
            -35.6},{17.2,-35.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(organicAcidRenalExcretion.YORG, outputPump.desiredFlow) annotation (
       Line(
        points={{56,66.08},{83,66.08},{83,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(organicAcidRenalExcretion.YORG, YORG) annotation (Line(
        points={{56,66.08},{82,66.08},{82,84},{88,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,58},{98,30}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Organic Acid")}));
  end OrganicAcid;

  model Phosphate

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-38},{98,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZPO4 annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XPO4 annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YPOI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,38},{-36,64}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YPO4 annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    PhosphateRenalExcretion phosphateRenalExcretion
      annotation (Placement(transformation(extent={{-2,44},{50,96}})));
  initial equation
    ZPO4=12.1;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{74,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc, XPO4) annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass, ZPO4) annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPOI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, phosphateRenalExcretion.GFR) annotation (Line(
        points={{-49,51},{-22,51},{-22,73.64},{-0.96,73.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,
      phosphateRenalExcretion.XPO4) annotation (Line(
        points={{17.2,-35.6},{28,-35.6},{28,32},{-58,32},{-58,87.68},{-1.48,
            87.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphateRenalExcretion.YPO4, outputPump.desiredFlow) annotation (
        Line(
        points={{50.52,85.08},{83,85.08},{83,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(phosphateRenalExcretion.YPO4, YPO4) annotation (Line(
        points={{50.52,85.08},{82,85.08},{82,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Phosphate")}));
  end Phosphate;

  model Sulphate

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-38},{98,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZSO4 annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XSO4 annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YSOI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,40},{-36,66}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YSO4 annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    SulphateRenalExcretion sulphateRenalExcretion
      annotation (Placement(transformation(extent={{-16,23},{38,77}})));

  initial equation
    ZSO4=11;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{74,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc, XSO4) annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass, ZSO4) annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSOI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,
      sulphateRenalExcretion.XSO4) annotation (Line(
        points={{17.2,-35.6},{28,-35.6},{28,18},{-60,18},{-60,69.44},{-15.46,
            69.44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, sulphateRenalExcretion.GFR) annotation (Line(
        points={{-49,53},{-31.5,53},{-31.5,52.16},{-15.46,52.16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sulphateRenalExcretion.YSO4, YSO4) annotation (Line(
        points={{38,55.94},{82,55.94},{82,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputPump.desiredFlow, sulphateRenalExcretion.YSO4) annotation (
        Line(
        points={{83,-17},{83,55.94},{38,55.94}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Sulphate")}));
  end Sulphate;

  model Calcium

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-38},{98,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZCAE annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XCAE annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YCAI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,40},{-36,66}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YCA  annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    CalciumRenalExcretion calciumRenalExcretion
      annotation (Placement(transformation(extent={{-13,24},{44,82}})));
  initial equation
    ZCAE=55;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{74,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,XCAE)  annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass,ZCAE)  annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCAI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, calciumRenalExcretion.GFR) annotation (Line(
        points={{-49,53},{-29.5,53},{-29.5,53},{-11.29,53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,
      calciumRenalExcretion.XCAE) annotation (Line(
        points={{17.2,-35.6},{28,-35.6},{28,14},{-26,14},{-26,36},{-74,36},{-74,
            68.08},{-11.29,68.08}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(calciumRenalExcretion.YCA, outputPump.desiredFlow) annotation (Line(
        points={{43.43,58.22},{83,58.22},{83,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(calciumRenalExcretion.YCA, YCA) annotation (Line(
        points={{43.43,58.22},{82,58.22},{82,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Calcium")}));
  end Calcium;

  model Magnesium

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-38},{98,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZMGE annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XMGE annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YMGI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,40},{-36,66}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YMG  annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    MagnesiumRenalExcretion magnesiumRenalExcretion
      annotation (Placement(transformation(extent={{-20,22},{38,80}})));
  initial equation
    ZMGE=33;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{74,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,XMGE)  annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass,ZMGE)  annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMGI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, magnesiumRenalExcretion.GFR) annotation (Line(
        points={{-49,53},{-34.5,53},{-34.5,53.32},{-19.42,53.32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,
      magnesiumRenalExcretion.XMGE) annotation (Line(
        points={{17.2,-35.6},{28,-35.6},{28,18},{-36,18},{-36,32},{-64,32},{-64,
            70.72},{-19.42,70.72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesiumRenalExcretion.YMG, outputPump.desiredFlow) annotation (
        Line(
        points={{38.58,56.22},{83,56.22},{83,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(magnesiumRenalExcretion.YMG, YMG) annotation (Line(
        points={{38.58,56.22},{84,56.22},{84,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Magnesium")}));
  end Magnesium;

  model Chloride

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-58},{-64,-20}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-54},{98,-24}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-58},{14,-18}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-82,-30},{-56,-4}}), iconTransformation(extent={{-110,84},
              {-96,98}})));
    Library.Interfaces.RealOutput ZCLE annotation (Placement(transformation(
            extent={{4,-110},{28,-86}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XCLE annotation (Placement(transformation(
            extent={{28,-76},{52,-52}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YCLI
                                     annotation (Placement(transformation(
            extent={{-114,-32},{-88,-6}}),iconTransformation(extent={{-110,62},
              {-96,76}})));
    Library.Interfaces.RealOutput YCLU annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    Library.Interfaces.RealInput STPG
                                     annotation (Placement(transformation(
            extent={{-94,76},{-68,102}}), iconTransformation(extent={{-110,42},
              {-96,56}})));
    Library.Interfaces.RealInput YNH4
                                     annotation (Placement(transformation(
            extent={{-74,44},{-48,70}}),  iconTransformation(extent={{-110,-18},{-96,
              -4}})));
    Library.Interfaces.RealInput YNU annotation (Placement(transformation(
            extent={{-56,64},{-30,90}}),  iconTransformation(extent={{-110,20},{-96,
              34}})));
    Library.Interfaces.RealInput YKU annotation (Placement(transformation(
            extent={{-66,54},{-40,80}}),  iconTransformation(extent={{-110,2},{-96,
              16}})));
    Library.Interfaces.RealInput YSO4
                                     annotation (Placement(transformation(
            extent={{-84,-6},{-58,20}}),  iconTransformation(extent={{-110,-100},
              {-96,-86}})));
    Library.Interfaces.RealInput YMG annotation (Placement(transformation(
            extent={{-72,4},{-46,30}}),   iconTransformation(extent={{-110,-78},{-96,
              -64}})));
    Library.Interfaces.RealInput YCA annotation (Placement(transformation(
            extent={{-64,16},{-38,42}}),  iconTransformation(extent={{-110,-58},{-96,
              -44}})));
    Library.Interfaces.RealInput YCO3
                                     annotation (Placement(transformation(
            extent={{-82,34},{-56,60}}),  iconTransformation(extent={{-112,-36},{-98,
              -22}})));
    ChlorideRenalExcretion chlorideRenalExcretion
      annotation (Placement(transformation(extent={{-12,28},{52,92}})));

  initial equation
    ZCLE=1144;
  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-39},{-33.8,-39},{-33.8,-38},{-6,-38}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-38},{34,-38},{34,-39},{74,-39}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-69,-17},{-42,-17},{-42,-22},{-26,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,XCLE)  annotation (
       Line(
        points={{17.2,-51.6},{27.6,-51.6},{27.6,-64},{40,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass,ZCLE)  annotation (
       Line(
        points={{-6,-58},{-6,-98},{16,-98}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCLI, inputPump.desiredFlow) annotation (Line(
        points={{-101,-19},{-83,-19},{-83,-31.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(STPG, chlorideRenalExcretion.STPG) annotation (Line(
        points={{-81,89},{-22.5,89},{-22.5,87.84},{-11.68,87.84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chlorideRenalExcretion.YNU, YNU) annotation (Line(
        points={{-11.68,80.8},{-22,80.8},{-22,77},{-43,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKU, chlorideRenalExcretion.YKU) annotation (Line(
        points={{-53,67},{-34,67},{-34,73.76},{-11.68,73.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chlorideRenalExcretion.YNH4, YNH4) annotation (Line(
        points={{-11.68,66.08},{-32,66.08},{-32,57},{-61,57}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, chlorideRenalExcretion.YCO3) annotation (Line(
        points={{-69,47},{-30,47},{-30,59.04},{-11.68,59.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCA, chlorideRenalExcretion.YCA) annotation (Line(
        points={{-51,29},{-26,29},{-26,51.36},{-11.68,51.36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMG, chlorideRenalExcretion.YMG) annotation (Line(
        points={{-59,17},{-22,17},{-22,43.04},{-11.68,43.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSO4, chlorideRenalExcretion.YSO4) annotation (Line(
        points={{-71,7},{-18,7},{-18,34.72},{-11.68,34.72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chlorideRenalExcretion.YCLU, YCLU) annotation (Line(
        points={{51.68,65.44},{80,65.44},{80,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(chlorideRenalExcretion.YCLU, outputPump.desiredFlow) annotation (
        Line(
        points={{51.68,65.44},{83,65.44},{83,-33}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Chloride")}));
  end Chloride;

  model Bicarbonate

    Library.Interfaces.RealInput XCO3
                                     annotation (Placement(transformation(
            extent={{-70,72},{-44,98}}),  iconTransformation(extent={{-110,83},
              {-96,97}})));
    Library.Interfaces.RealOutput STBC annotation (Placement(transformation(
            extent={{76,-34},{100,-10}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XCLA annotation (Placement(transformation(
            extent={{78,-8},{102,16}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-82,62},{-56,88}}),  iconTransformation(extent={{-110,68},
              {-96,82}})));
    Library.Interfaces.RealOutput YCO3 annotation (Placement(transformation(
            extent={{76,68},{100,92}}),
                                      iconTransformation(extent={{94,4},{108,18}})));
    Library.Interfaces.RealInput DCLA( start=0)
                                     annotation (Placement(transformation(
            extent={{-66,8},{-40,34}}),   iconTransformation(extent={{-110,38},
              {-96,52}})));
    Library.Interfaces.RealInput PCOA
                                     annotation (Placement(transformation(
            extent={{-94,52},{-68,78}}),  iconTransformation(extent={{-110,53},
              {-96,67}})));
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(
            extent={{-108,-50},{-82,-24}}),
                                          iconTransformation(extent={{-110,23},
              {-96,37}})));
    Library.Interfaces.RealInput XMGE
                                     annotation (Placement(transformation(
            extent={{-64,-64},{-38,-38}}),iconTransformation(extent={{-110,-51},
              {-96,-37}})));
    Library.Interfaces.RealInput XPO4
                                     annotation (Placement(transformation(
            extent={{-92,-28},{-66,-2}}), iconTransformation(extent={{-110,-21},
              {-96,-7}})));
    Library.Interfaces.RealInput XSO4
                                     annotation (Placement(transformation(
            extent={{-100,-40},{-74,-14}}),
                                          iconTransformation(extent={{-110,-36},
              {-96,-22}})));
    Library.Interfaces.RealInput XKE annotation (Placement(transformation(
            extent={{-84,-96},{-58,-70}}),iconTransformation(extent={{-110,-96},
              {-96,-82}})));
    Library.Interfaces.RealInput XNE annotation (Placement(transformation(
            extent={{-80,-84},{-54,-58}}),iconTransformation(extent={{-110,-81},
              {-96,-67}})));
    Library.Interfaces.RealInput XCAE
                                     annotation (Placement(transformation(
            extent={{-76,-72},{-50,-46}}),iconTransformation(extent={{-110,-66},
              {-96,-52}})));
    Library.Interfaces.RealInput XOGE
                                     annotation (Placement(transformation(
            extent={{-84,-16},{-58,10}}), iconTransformation(extent={{-110,-6},
              {-96,8}})));
    Library.Interfaces.RealInput XCLE
                                     annotation (Placement(transformation(
            extent={{-76,-4},{-50,22}}),  iconTransformation(extent={{-110,8},{
              -96,22}})));
    BicarbonateRenalExcretion bicarbonateRenalExcretion
      annotation (Placement(transformation(extent={{-16,26},{50,92}})));
    StandardBicarbonate standardBicarbonate
      annotation (Placement(transformation(extent={{-18,-80},{70,8}})));
  equation
    connect(standardBicarbonate.STBC, STBC) annotation (Line(
        points={{72.64,-28.08},{82.32,-28.08},{82.32,-22},{88,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(standardBicarbonate.XCLA, XCLA) annotation (Line(
        points={{71.76,-5.2},{81.88,-5.2},{81.88,4},{90,4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bicarbonateRenalExcretion.YCO3, YCO3) annotation (Line(
        points={{51.32,66.92},{67.66,66.92},{67.66,80},{88,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, bicarbonateRenalExcretion.GFR) annotation (Line(
        points={{-69,75},{-32.5,75},{-32.5,65.6},{-16,65.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCO3, bicarbonateRenalExcretion.XCO3) annotation (Line(
        points={{-57,85},{-26,85},{-26,78.14},{-15.34,78.14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PCOA, bicarbonateRenalExcretion.PCOA) annotation (Line(
        points={{-81,65},{-44,65},{-44,53.06},{-17.32,53.06}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XMGE, standardBicarbonate.XMGE) annotation (Line(
        points={{-51,-51},{-35.5,-51},{-35.5,-49.64},{-16.68,-49.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCAE, standardBicarbonate.XCAE) annotation (Line(
        points={{-63,-59},{-38.5,-59},{-38.5,-58.44},{-16.68,-58.44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XNE, standardBicarbonate.XNE) annotation (Line(
        points={{-67,-71},{-42.5,-71},{-42.5,-67.24},{-16.68,-67.24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE, standardBicarbonate.XKE) annotation (Line(
        points={{-71,-83},{-45.5,-83},{-45.5,-76.04},{-16.68,-76.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP, standardBicarbonate.XPP) annotation (Line(
        points={{-95,-37},{-58.5,-37},{-58.5,-38.2},{-16.68,-38.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XSO4, standardBicarbonate.XSO4) annotation (Line(
        points={{-87,-27},{-53.5,-27},{-53.5,-30.28},{-16.68,-30.28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPO4, standardBicarbonate.XPO4) annotation (Line(
        points={{-79,-15},{-48,-15},{-48,-21.92},{-16.68,-21.92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XOGE, standardBicarbonate.XOGE) annotation (Line(
        points={{-71,-3},{-42,-3},{-42,-13.56},{-16.68,-13.56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCLE, standardBicarbonate.XCLE) annotation (Line(
        points={{-63,9},{-38,9},{-38,-5.2},{-16.68,-5.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(DCLA, standardBicarbonate.DCLA) annotation (Line(
        points={{-53,21},{-30,21},{-30,3.16},{-16.68,3.16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-74,48},{122,20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Bicarbonate")}));
  end Bicarbonate;

  model ChlorideRenalExcretion
    Modelica.Blocks.Interfaces.RealInput STPG annotation (Placement(
          transformation(
          extent={{-20,-20},{20,20}},
          rotation=270,
          origin={66,92}), iconTransformation(extent={{-108,78},{-90,96}})));
    Modelica.Blocks.Interfaces.RealInput YNU annotation (Placement(
          transformation(extent={{-110,52},{-70,92}}), iconTransformation(
            extent={{-108,56},{-90,74}})));
    Modelica.Blocks.Interfaces.RealInput YKU annotation (Placement(
          transformation(extent={{-110,24},{-70,64}}), iconTransformation(
            extent={{-108,34},{-90,52}})));
    Modelica.Blocks.Interfaces.RealInput YNH4 annotation (Placement(
          transformation(extent={{-110,-6},{-70,34}}), iconTransformation(
            extent={{-108,10},{-90,28}})));
    Modelica.Blocks.Interfaces.RealInput YCO3 annotation (Placement(
          transformation(extent={{-48,-52},{-8,-12}}),iconTransformation(extent={{-108,
              -12},{-90,6}})));
    Modelica.Blocks.Interfaces.RealInput YCA annotation (Placement(
          transformation(extent={{-112,-44},{-72,-4}}), iconTransformation(
            extent={{-108,-36},{-90,-18}})));
    Modelica.Blocks.Interfaces.RealInput YMG annotation (Placement(
          transformation(extent={{-112,-80},{-72,-40}}), iconTransformation(
            extent={{-108,-62},{-90,-44}})));
    Modelica.Blocks.Interfaces.RealInput YSO4 annotation (Placement(
          transformation(extent={{-46,-84},{-6,-44}}), iconTransformation(
            extent={{-108,-88},{-90,-70}})));
    Modelica.Blocks.Interfaces.RealOutput YCLU annotation (Placement(
          transformation(extent={{88,-92},{108,-72}}),iconTransformation(extent=
             {{86,4},{112,30}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-68,30},{-40,58}})));
    Library.SimpleAdd simpleAdd1
      annotation (Placement(transformation(extent={{-68,0},{-40,28}})));
    Library.SimpleAdd simpleAdd2
      annotation (Placement(transformation(extent={{-68,-38},{-40,-10}})));
    Library.SimpleAdd simpleAdd3
      annotation (Placement(transformation(extent={{-68,-74},{-40,-46}})));
    Library.SimpleSubtract simpleSubtract
      annotation (Placement(transformation(extent={{6,-18},{34,10}})));
    Library.SimpleSubtract simpleSubtract1
      annotation (Placement(transformation(extent={{6,-48},{34,-20}})));
    Library.SimpleSubtract simpleSubtract2
      annotation (Placement(transformation(extent={{6,-68},{34,-40}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{62,-92},{82,-72}})));
    Modelica.Blocks.Logical.GreaterEqual greaterEqual
      annotation (Placement(transformation(extent={{28,-92},{48,-72}})));
    Library.Constant threshold(Const=0)
      annotation (Placement(transformation(extent={{-36,-100},{-14,-78}})));
  equation
    connect(YKU, simpleAdd.u) annotation (Line(
        points={{-90,44},{-67.44,44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, simpleAdd.yBase) annotation (Line(
        points={{-90,72},{-54,72},{-54,46.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, simpleAdd1.yBase) annotation (Line(
        points={{-54,41.2},{-54,16.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH4, simpleAdd1.u) annotation (Line(
        points={{-90,14},{-78.86,14},{-78.86,14},{-67.44,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCA, simpleAdd2.u) annotation (Line(
        points={{-92,-24},{-67.44,-24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd1.y, simpleAdd2.yBase) annotation (Line(
        points={{-54,11.2},{-54,-21.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMG, simpleAdd3.u) annotation (Line(
        points={{-92,-60},{-67.44,-60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd2.y, simpleAdd3.yBase) annotation (Line(
        points={{-54,-26.8},{-54,-57.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd3.y, simpleSubtract.yBase) annotation (Line(
        points={{-54,-62.8},{-54,-68},{-40,-68},{-40,10},{20,10},{20,-1.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract.y, simpleSubtract1.yBase) annotation (Line(
        points={{20,-6.8},{20,-31.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract1.y, simpleSubtract2.yBase) annotation (Line(
        points={{20,-36.8},{20,-51.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSO4, simpleSubtract2.u) annotation (Line(
        points={{-26,-64},{0,-64},{0,-54},{6.56,-54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(threshold.y, greaterEqual.u2)
                                         annotation (Line(
        points={{-7.29,-88.89},{12.22,-88.89},{12.22,-90},{26,-90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u3, threshold.y)
                                    annotation (Line(
        points={{60,-90},{52,-90},{52,-98},{12,-98},{12,-88.89},{-7.29,-88.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(greaterEqual.u1, simpleSubtract2.y) annotation (Line(
        points={{26,-82},{20,-82},{20,-56.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, simpleSubtract2.y) annotation (Line(
        points={{60,-74},{50,-74},{50,-70},{20,-70},{20,-56.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(greaterEqual.y, switch1.u2) annotation (Line(
        points={{49,-82},{60,-82}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, YCLU) annotation (Line(
        points={{83,-82},{98,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleSubtract.u, STPG) annotation (Line(
        points={{6.56,-4},{-18,-4},{-18,48},{66,48},{66,92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCO3, simpleSubtract1.u) annotation (Line(
        points={{-28,-32},{-10,-32},{-10,-34},{6.56,-34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-92,92},{-46,78}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="STPG"),
          Text(
            extent={{-98,74},{-46,58}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YNU"),
          Text(
            extent={{-98,52},{-48,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YKU"),
          Text(
            extent={{-96,28},{-42,12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YNH4"),
          Text(
            extent={{-96,4},{-42,-12}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCO3"),
          Text(
            extent={{-102,-20},{-46,-34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCA"),
          Text(
            extent={{-100,-44},{-44,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YMG"),
          Text(
            extent={{-90,-72},{-46,-88}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YSO4"),
          Text(
            extent={{38,26},{86,10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="YCLU"),
          Text(
            extent={{-50,-24},{86,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString=" renal"),
          Text(
            extent={{-48,8},{86,-20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="Chloride"),
          Text(
            extent={{-42,-54},{94,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillPattern=FillPattern.CrossDiag,
            textString="excretion")}),                Diagram(coordinateSystem(
            preserveAspectRatio=true, extent={{-100,-100},{100,100}}), graphics));
  end ChlorideRenalExcretion;

  model testSTBC
    StandardBicarbonate standardBicarbonate
      annotation (Placement(transformation(extent={{-24,6},{48,78}})));
    Library.Constant DCLA(Const=0)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-76,76})));
    Library.Constant XCLE(Const=102)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-90,68})));
    Library.Constant XOGE(Const=6)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-74,58})));
    Library.Constant XPO4(Const=1.1)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-62,48})));
    Library.Constant XSO4(Const=1)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-88,40})));
    Library.Constant XPP(Const=70)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-70,28})));
    Library.Constant XMGE(Const=3)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-86,18})));
    Library.Constant XNE(Const=140)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-66,4})));
    Library.Constant XKE(Const=4.5)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-52,-18})));
    Library.Constant XCAE(Const=5)
                                 annotation (Placement(transformation(
          extent={{-4,-4},{4,4}},
          rotation=0,
          origin={-56,12})));
  equation
    connect(DCLA.y, standardBicarbonate.DCLA) annotation (Line(
        points={{-69.56,76.04},{-46.78,76.04},{-46.78,74.04},{-22.92,74.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCLE.y, standardBicarbonate.XCLE) annotation (Line(
        points={{-83.56,68.04},{-52.78,68.04},{-52.78,67.2},{-22.92,67.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XOGE.y, standardBicarbonate.XOGE) annotation (Line(
        points={{-67.56,58.04},{-45.78,58.04},{-45.78,60.36},{-22.92,60.36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPO4.y, standardBicarbonate.XPO4) annotation (Line(
        points={{-55.56,48.04},{-38.78,48.04},{-38.78,53.52},{-22.92,53.52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XSO4.y, standardBicarbonate.XSO4) annotation (Line(
        points={{-81.56,40.04},{-48,40.04},{-48,46.68},{-22.92,46.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP.y, standardBicarbonate.XPP) annotation (Line(
        points={{-63.56,28.04},{-42.78,28.04},{-42.78,40.2},{-22.92,40.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XMGE.y, standardBicarbonate.XMGE) annotation (Line(
        points={{-79.56,18.04},{-38,18.04},{-38,30.84},{-22.92,30.84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XCAE.y, standardBicarbonate.XCAE) annotation (Line(
        points={{-49.56,12.04},{-34,12.04},{-34,23.64},{-22.92,23.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XNE.y, standardBicarbonate.XNE) annotation (Line(
        points={{-59.56,4.04},{-32,4.04},{-32,16.44},{-22.92,16.44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE.y, standardBicarbonate.XKE) annotation (Line(
        points={{-45.56,-17.96},{-30,-17.96},{-30,9.24},{-22.92,9.24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics));
  end testSTBC;

  model Kidney2BLockTest
    Library.Interfaces.BusConnector outputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-86,-82}), iconTransformation(extent={{-6,-100},{22,-72}})));
    Kidney_2 kidney_2_1
      annotation (Placement(transformation(extent={{-70,-72},{72,70}})));
    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=90,
          origin={-84,81}),  iconTransformation(extent={{-14,72},{14,100}})));
  equation
    connect(kidney_2_1.ZCAE, outputBusConnector.ZCAE)
                                                annotation (Line(
        points={{-55.09,-67.03},{-55.09,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZMGE, outputBusConnector.ZMGE)
                                                annotation (Line(
        points={{-47.99,-67.03},{-47.99,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.STBC, outputBusConnector.STBC)
                                                annotation (Line(
        points={{67.03,-13.07},{80,-13.07},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YORG, outputBusConnector.YORG)
                                                annotation (Line(
        points={{67.03,-3.13},{80,-3.13},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YPO4, outputBusConnector.YPO4)
                                                annotation (Line(
        points={{67.03,6.81},{80,6.81},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCO3, outputBusConnector.YCO3)
                                                annotation (Line(
        points={{67.03,16.75},{80,16.75},{80,-100},{-86,-100},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YCAI, kidney_2_1.YCAI) annotation (Line(
        points={{-84,81},{-28.11,81},{-28.11,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YMGI, kidney_2_1.YMGI) annotation (Line(
        points={{-84,81},{-16.75,81},{-16.75,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YSOI, kidney_2_1.YSOI) annotation (Line(
        points={{-84,81},{-5.39,81},{-5.39,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YPOI, kidney_2_1.YPOI) annotation (Line(
        points={{-84,81},{5.97,81},{5.97,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YOGI, kidney_2_1.YOGI) annotation (Line(
        points={{-84,81},{17.33,81},{17.33,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputBusConnector.YCLI, kidney_2_1.YCLI) annotation (Line(
        points={{-84,81},{28,81},{28,65.03},{28.69,65.03}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XSO4, outputBusConnector.XSO4) annotation (Line(
        points={{1.71,-67.03},{2,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(kidney_2_1.XOGE, outputBusConnector.XOGE) annotation (Line(
        points={{15.91,-67.03},{16,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(outputBusConnector.STPG, kidney_2_1.STPG) annotation (Line(
        points={{-86,-82},{-86,53.67},{-65.03,53.67}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNU, kidney_2_1.YNU) annotation (Line(
        points={{-86,-82},{-86,46.57},{-65.03,46.57}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YKU, kidney_2_1.YKU) annotation (Line(
        points={{-86,-82},{-86,39.47},{-65.03,39.47}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.YNH4, kidney_2_1.YNH4) annotation (Line(
        points={{-86,-82},{-86,32},{-65.03,32},{-65.03,32.37}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.PCOA, kidney_2_1.PCOA) annotation (Line(
        points={{-86,-82},{-86,25.27},{-65.03,25.27}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XCO3, kidney_2_1.XCO3) annotation (Line(
        points={{-86,-82},{-86,18.17},{-65.03,18.17}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.GFR, kidney_2_1.GFR) annotation (Line(
        points={{-86,-82},{-86,11.07},{-65.03,11.07}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.VEC, kidney_2_1.VEC) annotation (Line(
        points={{-86,-82},{-86,3.97},{-65.03,3.97}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.DCLA, kidney_2_1.DCLA) annotation (Line(
        points={{-86,-82},{-86,-3.13},{-65.03,-3.13}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XNE, kidney_2_1.XNE) annotation (Line(
        points={{-86,-82},{-86,-10.23},{-65.03,-10.23}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XKE, kidney_2_1.XKE) annotation (Line(
        points={{-86,-82},{-86,-17.33},{-65.03,-17.33}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector.XPP, kidney_2_1.XPP) annotation (Line(
        points={{-86,-82},{-86,-24.43},{-65.03,-24.43}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZSOE, outputBusConnector.ZSOE) annotation (Line(
        points={{-40.89,-67.03},{-40.89,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZPOE, outputBusConnector.ZPOE) annotation (Line(
        points={{-33.79,-67.03},{-33.79,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZOGE, outputBusConnector.ZOGE) annotation (Line(
        points={{-26.69,-67.03},{-26.69,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.ZCLE, outputBusConnector.ZCLE) annotation (Line(
        points={{-19.59,-67.03},{-19.59,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XMGE, outputBusConnector.XMGE) annotation (Line(
        points={{-5.39,-67.03},{-5.39,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCAE, outputBusConnector.XCAE) annotation (Line(
        points={{-12.49,-67.03},{-12.49,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XPO4, outputBusConnector.XPO4) annotation (Line(
        points={{8.81,-67.03},{8.81,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YSO4, outputBusConnector.YSO4) annotation (Line(
        points={{58.51,-67.03},{58.51,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCLE, outputBusConnector.XCLE) annotation (Line(
        points={{23.01,-67.03},{23.01,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.XCLA, outputBusConnector.XCLA) annotation (Line(
        points={{30.11,-67.03},{30.11,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCLU, outputBusConnector.YCLU) annotation (Line(
        points={{37.21,-67.03},{37.21,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YCA, outputBusConnector.YCA) annotation (Line(
        points={{44.31,-67.03},{44.31,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(kidney_2_1.YMG, outputBusConnector.YMG) annotation (Line(
        points={{51.41,-67.03},{51.41,-82},{-86,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics={
          Text(
            extent={{-58,-82},{62,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Outputs to other blocks",
            origin={86,-12},
            rotation=90),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-92,-6},
            rotation=90,
            textString="Inputs from other blocks"),
          Text(
            extent={{-60,6},{60,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs",
            origin={-2,88},
            rotation=180),
          Text(
            extent={{-22,-10},{18,-22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="test")}),
                             Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,0},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,18},{102,-14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Kidney 2")}));
  end Kidney2BLockTest;

  model Sodium

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-50},{-64,-12}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{68,-46},{98,-16}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-38},{14,2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-82,-6},{-56,20}}),  iconTransformation(extent={{-110,72},
              {-96,86}})));
    Library.Interfaces.RealOutput ZNE  annotation (Placement(transformation(
            extent={{4,-110},{28,-86}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XNE  annotation (Placement(transformation(
            extent={{28,-56},{52,-32}}),
                                      iconTransformation(extent={{96,8},{110,22}})));
    Library.Interfaces.RealInput YNIN
                                     annotation (Placement(transformation(
            extent={{-114,-8},{-88,18}}), iconTransformation(extent={{-110,28},{-96,
              42}})));
    Library.Interfaces.RealInput YNU annotation (Placement(transformation(
            extent={{30,2},{56,28}}),     iconTransformation(extent={{-110,-20},
              {-96,-6}})));
    Library.Interfaces.RealInput PHA
      "Rate of sodium from the cells exchanged with hydrogen ions [mEq/min]"
                                     annotation (Placement(transformation(
            extent={{-116,78},{-90,104}}),iconTransformation(extent={{-108,-88},
              {-94,-74}})));

    Library.ConcentrationFlow.InputPump inputPump1
      annotation (Placement(transformation(extent={{-50,18},{-12,56}})));
    IntracellularBuffering intracellularBuffering
      annotation (Placement(transformation(extent={{-76,54},{-40,90}})));
    Library.Interfaces.RealInput CHEI
      "Rate of sodium from the cells exchanged with hydrogen ions [mEq/min]"
                                     annotation (Placement(transformation(
            extent={{-114,48},{-88,74}}), iconTransformation(extent={{-110,-56},
              {-96,-42}})));
    Library.Interfaces.RealOutput YNHI annotation (Placement(transformation(
            extent={{-36,58},{-12,82}}),
                                      iconTransformation(extent={{96,-38},{110,
              -24}})));
    Library.Interfaces.RealOutput PHI  annotation (Placement(transformation(
            extent={{-30,76},{-6,100}}),
                                      iconTransformation(extent={{98,-76},{112,
              -62}})));
  initial equation
  ZNE=1540;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-31},{-33.8,-31},{-33.8,-18},{-6,-18}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-18},{34,-18},{34,-31},{74,-31}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-69,7},{-42,7},{-42,-2},{-26,-2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc, XNE)  annotation (
       Line(
        points={{17.2,-31.6},{27.6,-31.6},{27.6,-44},{40,-44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass, ZNE)  annotation (
       Line(
        points={{-6,-38},{-6,-98},{16,-98}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNIN, inputPump.desiredFlow) annotation (Line(
        points={{-101,5},{-83,5},{-83,-23.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, outputPump.desiredFlow) annotation (Line(
        points={{43,15},{83,15},{83,-25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputPump1.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-19.6,37},{-6,37},{-6,-18}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(intracellularBuffering.PHI, PHI) annotation (Line(
        points={{-36.94,84.42},{-26.47,84.42},{-26.47,88},{-18,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularBuffering.YNHI, YNHI) annotation (Line(
        points={{-37.3,70.38},{-17.65,70.38},{-17.65,70},{-24,70}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, intracellularBuffering.PHA) annotation (Line(
        points={{-103,91},{-88.5,91},{-88.5,83.88},{-76.36,83.88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularBuffering.CHEI, CHEI) annotation (Line(
        points={{-76.36,69.48},{-84,69.48},{-84,61},{-101,61}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularBuffering.YNHI, inputPump1.desiredFlow) annotation (
        Line(
        points={{-37.3,70.38},{-31,70.38},{-31,44.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Sodium")}));
  end Sodium;

  model Potassium

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-76,-56},{-38,-18}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{76,-48},{106,-18}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown extracellularPotassium
      annotation (Placement(transformation(extent={{6,-58},{46,-18}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-44,-24},{-18,2}}),  iconTransformation(extent={{-110,72},
              {-96,86}})));
    Library.Interfaces.RealOutput ZKE  annotation (Placement(transformation(
            extent={{26,-84},{50,-60}}),
                                      iconTransformation(extent={{100,60},{114,74}})));
    Library.Interfaces.RealOutput XKE  annotation (Placement(transformation(
            extent={{56,-56},{80,-32}}),
                                      iconTransformation(extent={{100,30},{114,44}})));
    Library.Interfaces.RealInput YKIN
                                     annotation (Placement(transformation(
            extent={{-86,6},{-60,32}}),   iconTransformation(extent={{-110,28},{-96,
              42}})));
    Library.Interfaces.RealInput YKU annotation (Placement(transformation(
            extent={{60,-22},{86,4}}),    iconTransformation(extent={{-110,0},{-96,
              14}})));
    Library.Interfaces.RealInput PHA
      "Rate of sodium from the cells exchanged with hydrogen ions [mEq/min]"
                                     annotation (Placement(transformation(
            extent={{-108,48},{-82,74}}), iconTransformation(extent={{-110,-26},{-96,
              -12}})));

    Library.Interfaces.RealOutput ZKI  annotation (Placement(transformation(
            extent={{26,16},{50,40}}),iconTransformation(extent={{100,-52},{114,-38}})));
    Library.Interfaces.RealInput YKGL
      "Rate of sodium from the cells exchanged with hydrogen ions [mEq/min]"
                                     annotation (Placement(transformation(
            extent={{4,-10},{30,16}}),    iconTransformation(extent={{-110,-80},{-96,
              -66}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown intracellularPotassium
      annotation (Placement(transformation(extent={{6,50},{46,90}})));
    Library.ConcentrationFlow.SoluteFlowPump soluteFlowPump annotation (Placement(
          transformation(
          extent={{-12,-12},{12,12}},
          rotation=90,
          origin={68,16})));
    Library.Interfaces.RealInput VIC annotation (Placement(transformation(
            extent={{-40,66},{-14,92}}),  iconTransformation(extent={{-110,52},{-96,
              66}})));
    Library.Interfaces.RealOutput XKI  annotation (Placement(transformation(
            extent={{44,44},{68,68}}),iconTransformation(extent={{100,-90},{114,-76}})));
    Library.ConcentrationFlow.SoluteFlowPump soluteFlowPump1 annotation (
        Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=90,
          origin={-2,14})));
    Library.Interfaces.RealInput CKEI
      "Rate of sodium from the cells exchanged with hydrogen ions [mEq/min]"
                                     annotation (Placement(transformation(
            extent={{-108,28},{-82,54}}), iconTransformation(extent={{-108,-50},{-94,
              -36}})));
    Library.Interfaces.RealOutput YKHI annotation (Placement(transformation(
            extent={{-28,44},{-4,68}}),
                                      iconTransformation(extent={{100,-10},{114,4}})));
    ExchangeRateKH exchangeRateKH
      annotation (Placement(transformation(extent={{-70,34},{-34,70}})));
  initial equation
    //extracellularPotassium.SoluteMass=49.5;
    //intracellularPotassium.SoluteMass=2800;
    ZKE=49.5;
    ZKI=2800;
  equation
    connect(inputPump.q_out, extracellularPotassium.q_out)
      annotation (Line(
        points={{-45.6,-37},{-5.8,-37},{-5.8,-38},{26,-38}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(extracellularPotassium.q_out, outputPump.q_in)
      annotation (Line(
        points={{26,-38},{62,-38},{62,-33},{82,-33}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, extracellularPotassium.SolventVolume)
      annotation (Line(
        points={{-31,-11},{-14,-11},{-14,-22},{6,-22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularPotassium.SoluteConc, XKE)                 annotation (
       Line(
        points={{49.2,-51.6},{55.6,-51.6},{55.6,-44},{68,-44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularPotassium.SoluteMass, ZKE)                 annotation (
       Line(
        points={{26,-58},{26,-72},{38,-72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKIN, inputPump.desiredFlow) annotation (Line(
        points={{-73,19},{-57,19},{-57,-29.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKU, outputPump.desiredFlow) annotation (Line(
        points={{73,-9},{91,-9},{91,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularPotassium.q_out, soluteFlowPump.q_in) annotation (Line(
        points={{26,-38},{26,-26},{68,-26},{68,4}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(soluteFlowPump.q_out,intracellularPotassium. q_out)  annotation (Line(
        points={{68,28},{68,70},{26,70}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(extracellularPotassium.q_out, soluteFlowPump1.q_in) annotation (Line(
        points={{26,-38},{26,-26},{-2,-26},{-2,2}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(soluteFlowPump1.q_out,intracellularPotassium. q_out)  annotation (
        Line(
        points={{-2,26},{-2,70},{26,70}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VIC,intracellularPotassium. SolventVolume)  annotation (Line(
        points={{-27,79},{-12.5,79},{-12.5,86},{6,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularPotassium.SoluteMass, ZKI)  annotation (Line(
        points={{26,50},{26,28},{38,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKGL, soluteFlowPump.soluteFlow)  annotation (Line(
        points={{17,3},{41.5,3},{41.5,16},{60.8,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exchangeRateKH.ZKI,intracellularPotassium. SoluteMass) annotation (
        Line(
        points={{-70.9,65.86},{-80,65.86},{-80,96},{74,96},{74,42},{26,42},{26,
            50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(exchangeRateKH.PHA, PHA) annotation (Line(
        points={{-70.9,56.86},{-78,56.86},{-78,61},{-95,61}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exchangeRateKH.CKEI, CKEI) annotation (Line(
        points={{-70.9,47.86},{-78,47.86},{-78,41},{-95,41}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exchangeRateKH.YKHI, soluteFlowPump1.soluteFlow) annotation (Line(
        points={{-33.28,56.32},{-24,56.32},{-24,14},{-9.2,14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(exchangeRateKH.XKE, extracellularPotassium.SoluteConc) annotation (
        Line(
        points={{-70.9,37.78},{-80,37.78},{-80,-78},{56,-78},{56,-51.6},{49.2,-51.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(exchangeRateKH.YKHI, YKHI) annotation (Line(
        points={{-33.28,56.32},{-22,56.32},{-22,56},{-16,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularPotassium.SoluteConc, XKI) annotation (Line(
        points={{49.2,56.4},{49.6,56.4},{49.6,56},{56,56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Potassium")}));
  end Potassium;

  model Glucose

    Library.ConcentrationFlow.InputPump inputGlucose
      annotation (Placement(transformation(extent={{-59,-98},{-24,-64}})));
    Library.ConcentrationFlow.OutputPump excretionGlucose
      annotation (Placement(transformation(extent={{72,-82},{104,-50}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown extracellularGlucose
      annotation (Placement(transformation(extent={{4,-76},{44,-36}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-46,-68},{-20,-42}}),iconTransformation(extent={{-110,76},
              {-96,90}})));
    Library.Interfaces.RealOutput ZGLE annotation (Placement(transformation(
            extent={{24,-104},{48,-80}}),
                                      iconTransformation(extent={{100,60},{114,74}})));
    Library.Interfaces.RealOutput XGLE annotation (Placement(transformation(
            extent={{58,-100},{82,-76}}),
                                      iconTransformation(extent={{100,30},{114,44}})));
    Library.Interfaces.RealInput YGLI
                                     annotation (Placement(transformation(
            extent={{-94,-50},{-68,-24}}),iconTransformation(extent={{-110,28},{-96,
              42}})));
    Library.Interfaces.RealInput CGL1 "Parameter of glucose metabolism"
                                     annotation (Placement(transformation(
            extent={{-26,53},{0,79}}),    iconTransformation(extent={{-110,-14},{-96,
              0}})));
    Library.Interfaces.RealInput CGL2 "Parameter of glucose metabolism"
                                     annotation (Placement(transformation(
            extent={{18,64},{44,90}}),    iconTransformation(extent={{-110,-40},{-96,
              -26}})));

    Library.Interfaces.RealOutput YGLU annotation (Placement(transformation(
            extent={{80,-16},{104,8}}),
                                      iconTransformation(extent={{100,-80},{114,-66}})));
    Library.Interfaces.RealInput XGL0
                                     annotation (Placement(transformation(
            extent={{-100,12},{-74,38}}), iconTransformation(extent={{-110,-96},{-96,
              -82}})));
    Library.Interfaces.RealInput YINS
                                     annotation (Placement(transformation(
            extent={{30,76},{56,102}}),   iconTransformation(extent={{-110,52},{-96,
              66}})));
    Library.Interfaces.RealInput CGL3 "Parameter of glucose metabolism"
                                     annotation (Placement(transformation(
            extent={{34,24},{60,50}}),    iconTransformation(extent={{-108,-66},{-94,
              -52}})));
    Library.Interfaces.RealOutput YGLS annotation (Placement(transformation(
            extent={{48,12},{72,36}}),iconTransformation(extent={{100,-26},{114,-12}})));
    Library.Constant toMEqL(Const=18) "Conversion from mG/dl to mEq/l"
      annotation (Placement(transformation(extent={{-96,2},{-86,12}})));
    GlucoseRenalExcretion glucoseRenalExcretion
      annotation (Placement(transformation(extent={{60,-40},{82,-18}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{22,-26},{48,0}}),    iconTransformation(extent={{-110,6},{-96,
              20}})));
    Library.ConcentrationFlow.OutputPump utilisationGlucose
      annotation (Placement(transformation(extent={{41,-6},{71,24}})));
    Library.SimpleDivision toMEqPerMin
      annotation (Placement(transformation(extent={{-76,-64},{-44,-38}})));
    Library.Constant toMEqMin(Const=180) "Conversion from mG/min to mEq/min"
      annotation (Placement(transformation(extent={{-102,-52},{-92,-42}})));
    Library.SimpleDivision toMEqPerL annotation (Placement(transformation(
          extent={{-16,-13},{16,13}},
          rotation=0,
          origin={-60,13})));
    Modelica.Blocks.Math.Feedback feedback annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=0,
          origin={-80,50})));
    Modelica.Blocks.Math.Feedback feedback1 annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=0,
          origin={-40,50})));
    Modelica.Blocks.Continuous.Integrator integrator(y_start=0)
      annotation (Placement(transformation(extent={{-10,-4},{10,16}})));
    Library.SimpleMultiply externalInsulinEffect
      annotation (Placement(transformation(extent={{54,62},{86,92}})));
    Library.SimpleDivision dYint
      annotation (Placement(transformation(extent={{-18,18},{14,44}})));
    Library.Constant timeConst(Const=15) "Conversion from mG/dl to mEq/l"
      annotation (Placement(transformation(extent={{-38,26},{-28,36}})));
    Library.Interfaces.RealOutput YINT annotation (Placement(transformation(
            extent={{12,10},{36,34}}),iconTransformation(extent={{100,4},{114,18}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{54,41},{88,73}})));
    Library.SimpleMultiply simpleMultiply1
      annotation (Placement(transformation(extent={{65,22},{97,52}})));
    Library.SimpleMultiply internalInsulinEffect
      annotation (Placement(transformation(extent={{6,51},{38,81}})));
    Library.Interfaces.RealOutput YKGL annotation (Placement(transformation(
            extent={{80,10},{104,34}}),
                                      iconTransformation(extent={{100,-52},{114,-38}})));
  initial equation
    extracellularGlucose.SoluteMass=66;

  equation
    connect(inputGlucose.q_out, extracellularGlucose.q_out)
      annotation (Line(
        points={{-31,-81},{-5.8,-81},{-5.8,-56},{24,-56}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(extracellularGlucose.q_out, excretionGlucose.q_in)
      annotation (Line(
        points={{24,-56},{60,-56},{60,-66},{78.4,-66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, extracellularGlucose.SolventVolume)
      annotation (Line(
        points={{-33,-55},{-16,-55},{-16,-40},{4,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularGlucose.SoluteMass, ZGLE)                  annotation (
       Line(
        points={{24,-76},{24,-92},{36,-92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(glucoseRenalExcretion.YGLU, excretionGlucose.desiredFlow) annotation (
       Line(
        points={{82.22,-27.46},{88,-27.46},{88,-59.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucoseRenalExcretion.YGLU, YGLU) annotation (Line(
        points={{82.22,-27.46},{89,-27.46},{89,-4},{92,-4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularGlucose.SoluteConc, glucoseRenalExcretion.XGLE)
      annotation (Line(
        points={{47.2,-69.6},{54,-69.6},{54,-29},{59.78,-29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularGlucose.SoluteConc, XGLE) annotation (Line(
        points={{47.2,-69.6},{54,-69.6},{54,-88},{70,-88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, glucoseRenalExcretion.GFR) annotation (Line(
        points={{35,-13},{53.5,-13},{53.5,-22.18},{60,-22.18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularGlucose.q_out, utilisationGlucose.q_in) annotation (Line(
        points={{24,-56},{24,9},{47,9}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(inputGlucose.desiredFlow, toMEqPerMin.y) annotation (Line(
        points={{-41.5,-74.2},{-41.5,-60},{-60,-60},{-60,-53.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toMEqPerMin.u, toMEqMin.y) annotation (Line(
        points={{-75.68,-51},{-82.84,-51},{-82.84,-46.95},{-88.95,-46.95}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLI, toMEqPerMin.yBase) annotation (Line(
        points={{-81,-37},{-60,-37},{-60,-48.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(feedback.y, feedback1.u1) annotation (Line(
        points={{-69.2,50},{-49.6,50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.y, feedback1.u2) annotation (Line(
        points={{11,6},{16,6},{16,-12},{-40,-12},{-40,40.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toMEqPerL.y, feedback.u2) annotation (Line(
        points={{-60,10.4},{-60,2},{-44,2},{-44,30},{-80,30},{-80,40.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toMEqL.y, toMEqPerL.u) annotation (Line(
        points={{-82.95,7.05},{-78.475,7.05},{-78.475,13},{-75.68,13}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGL0, toMEqPerL.yBase) annotation (Line(
        points={{-87,25},{-60,25},{-60,15.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(timeConst.y, dYint.u) annotation (Line(
        points={{-24.95,31.05},{-21.475,31.05},{-21.475,31},{-17.68,31}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(feedback1.y, dYint.yBase) annotation (Line(
        points={{-29.2,50},{-2,50},{-2,33.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.u, dYint.y) annotation (Line(
        points={{-12,6},{-22,6},{-22,22},{-2,22},{-2,28.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.y, YINT) annotation (Line(
        points={{11,6},{16,6},{16,22},{24,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL3, simpleMultiply1.u) annotation (Line(
        points={{47,37},{65.32,37}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(externalInsulinEffect.yBase, YINS) annotation (Line(
        points={{70,80},{70,89},{43,89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL2, externalInsulinEffect.u) annotation (Line(
        points={{31,77},{54.32,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(internalInsulinEffect.y, simpleAdd.u) annotation (Line(
        points={{22,63},{22,57},{54.68,57}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL1, internalInsulinEffect.u) annotation (Line(
        points={{-13,66},{6.32,66}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator.y, internalInsulinEffect.yBase) annotation (Line(
        points={{11,6},{16,6},{16,54},{-20,54},{-20,84},{22,84},{22,69}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(externalInsulinEffect.y, simpleAdd.yBase) annotation (Line(
        points={{70,74},{71,74},{71,60.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(utilisationGlucose.desiredFlow, simpleAdd.y) annotation (Line(
        points={{56,15},{56,24},{38,24},{38,50},{71,50},{71,53.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.yBase, simpleAdd.y) annotation (Line(
        points={{81,40},{81,50},{71,50},{71,53.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, YKGL) annotation (Line(
        points={{81,34},{82,34},{82,22},{92,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, YGLS) annotation (Line(
        points={{71,53.8},{71,50},{38,50},{38,24},{60,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(extracellularGlucose.SoluteConc, feedback.u1) annotation (Line(
        points={{47.2,-69.6},{54,-69.6},{54,-24},{-98,-24},{-98,50},{-89.6,50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Glucose")}));
  end Glucose;

  model Mannitol

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{63,-38},{93,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown
      concentrationCompartmentIkeda_unknown
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VEC annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZMNE annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XMNE annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YMNI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-62,40},{-36,66}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YMNU annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));

    MannitolRenalExcretion mannitolRenalExcretion
      annotation (Placement(transformation(extent={{-10,24},{44,78}})));
  initial equation
    ZMNE=0;

  equation
    connect(inputPump.q_out, concentrationCompartmentIkeda_unknown.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{69,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VEC, concentrationCompartmentIkeda_unknown.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteConc,XMNE)  annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationCompartmentIkeda_unknown.SoluteMass,ZMNE)  annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, mannitolRenalExcretion.GFR) annotation (Line(
        points={{-49,53},{-29.5,53},{-29.5,59.37},{-9.73,59.37}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XMNE, mannitolRenalExcretion.XMNE) annotation (Line(
        points={{40,-48},{56,-48},{56,12},{-30,12},{-30,34},{-80,34},{-80,68.55},{
            -9.73,68.55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitolRenalExcretion.YMNU, outputPump.desiredFlow) annotation (Line(
        points={{44,58.02},{78,58.02},{78,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitolRenalExcretion.YMNU, YMNU) annotation (Line(
        points={{44,58.02},{78,58.02},{78,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Mannitol")}));
  end Mannitol;

  model Urea

    Library.ConcentrationFlow.InputPump inputPump
      annotation (Placement(transformation(extent={{-102,-42},{-64,-4}})));
    Library.ConcentrationFlow.OutputPump outputPump
      annotation (Placement(transformation(extent={{63,-38},{93,-8}})));
    Library.ConcentrationFlow.ConcentrationCompartmentIkeda_unknown urea
      annotation (Placement(transformation(extent={{-26,-42},{14,-2}})));
    Library.Interfaces.RealInput VTW annotation (Placement(transformation(
            extent={{-88,4},{-62,30}}),   iconTransformation(extent={{-108,76},
              {-94,90}})));
    Library.Interfaces.RealOutput ZURE annotation (Placement(transformation(
            extent={{4,-94},{28,-70}}),
                                      iconTransformation(extent={{96,56},{110,
              70}})));
    Library.Interfaces.RealOutput XURE annotation (Placement(transformation(
            extent={{28,-60},{52,-36}}),
                                      iconTransformation(extent={{96,-56},{110,
              -42}})));
    Library.Interfaces.RealInput YURI
                                     annotation (Placement(transformation(
            extent={{-118,2},{-92,28}}),  iconTransformation(extent={{-106,-48},
              {-92,-34}})));
    Library.Interfaces.RealInput GFR annotation (Placement(transformation(
            extent={{-68,36},{-42,62}}),  iconTransformation(extent={{-110,6},{
              -96,20}})));
    Library.Interfaces.RealOutput YURU annotation (Placement(transformation(
            extent={{80,74},{104,98}}),
                                      iconTransformation(extent={{94,4},{108,18}})));

    UreaRenalExcretion ureaRenalExcretion
      annotation (Placement(transformation(extent={{-30,30},{18,78}})));
  initial equation
    ZURE=77.5;

  equation
    connect(inputPump.q_out, urea.q_out)
      annotation (Line(
        points={{-71.6,-23},{-33.8,-23},{-33.8,-22},{-6,-22}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(urea.q_out, outputPump.q_in)
      annotation (Line(
        points={{-6,-22},{34,-22},{34,-23},{69,-23}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(VTW, urea.SolventVolume)
      annotation (Line(
        points={{-75,17},{-42,17},{-42,-6},{-26,-6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.SoluteConc, XURE)                                  annotation (
       Line(
        points={{17.2,-35.6},{27.6,-35.6},{27.6,-48},{40,-48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.SoluteMass, ZURE)                                  annotation (
       Line(
        points={{-6,-42},{-6,-82},{16,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YURI, inputPump.desiredFlow) annotation (Line(
        points={{-105,15},{-83,15},{-83,-15.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ureaRenalExcretion.GFR, GFR) annotation (Line(
        points={{-29.04,61.2},{-36,61.2},{-36,49},{-55,49}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.SoluteConc, ureaRenalExcretion.XURE)
                               annotation (Line(
        points={{17.2,-35.6},{28,-35.6},{28,24},{-66,24},{-66,70.8},{-29.52,
            70.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ureaRenalExcretion.YURU, outputPump.desiredFlow) annotation (Line(
        points={{18,58.32},{78,58.32},{78,-17}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ureaRenalExcretion.YURU, YURU) annotation (Line(
        points={{18,58.32},{78,58.32},{78,86},{92,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-98,50},{98,22}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid,
            textString="Urea")}));
  end Urea;

  model PlasmaOsmolarity
    Library.Interfaces.RealInput XNE  annotation (Placement(transformation(
            extent={{-44,67},{-18,93}}),    iconTransformation(extent={{-108,78},
              {-94,92}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(
            extent={{-72,47},{-46,73}}),    iconTransformation(extent={{-108,50},
              {-94,64}})));
    Library.Interfaces.RealInput XGLE annotation (Placement(transformation(
            extent={{-68,7},{-42,33}}),     iconTransformation(extent={{-108,22},
              {-94,36}})));
    Library.Interfaces.RealInput XURE annotation (Placement(transformation(
            extent={{-70,-13},{-44,13}}),   iconTransformation(extent={{-108,-8},
              {-94,6}})));
    Library.Interfaces.RealInput XMNE annotation (Placement(transformation(
            extent={{-70,-33},{-44,-7}}),   iconTransformation(extent={{-108,
              -42},{-94,-28}})));
    Library.Interfaces.RealOutput OSMP annotation (Placement(transformation(
            extent={{36,-71},{60,-47}}),
                                      iconTransformation(extent={{102,14},{116,
              28}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-20,42},{20,78}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-21,20},{21,60}})));
    Library.SimpleAdd simpleAdd1
      annotation (Placement(transformation(extent={{-20,2},{20,38}})));
    Library.SimpleAdd simpleAdd2
      annotation (Placement(transformation(extent={{-20,-18},{20,18}})));
    Library.SimpleAdd simpleAdd3
      annotation (Placement(transformation(extent={{-20,-38},{20,-2}})));
    Library.SimpleAdd simpleAdd4
      annotation (Placement(transformation(extent={{-20,-58},{20,-22}})));
    Library.Constant osm(Const=9.73)
      annotation (Placement(transformation(extent={{-60,-47},{-46,-33}})));
    Library.Constant anions(Const=1.86)
      annotation (Placement(transformation(extent={{-60,33},{-46,47}})));
  equation
    connect(osm.y, simpleAdd4.u) annotation (Line(
        points={{-41.73,-39.93},{-34.865,-39.93},{-34.865,-40},{-19.2,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XMNE, simpleAdd3.u) annotation (Line(
        points={{-57,-20},{-19.2,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XURE, simpleAdd2.u) annotation (Line(
        points={{-57,0},{-38.1,0},{-38.1,3.19744e-016},{-19.2,3.19744e-016}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGLE, simpleAdd1.u) annotation (Line(
        points={{-55,20},{-19.2,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(anions.y, simpleMultiply.u) annotation (Line(
        points={{-41.73,40.07},{-30.865,40.07},{-30.865,40},{-20.58,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKE, simpleAdd.u) annotation (Line(
        points={{-59,60},{-19.2,60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XNE, simpleAdd.yBase) annotation (Line(
        points={{-31,80},{0,80},{0,63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, simpleMultiply.yBase) annotation (Line(
        points={{0,56.4},{0,44}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, simpleAdd1.yBase) annotation (Line(
        points={{0,36},{0,23.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd1.y, simpleAdd2.yBase) annotation (Line(
        points={{0,16.4},{0,3.6},{0,3.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd2.y, simpleAdd3.yBase) annotation (Line(
        points={{0,-3.6},{0,-16.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd3.y, simpleAdd4.yBase) annotation (Line(
        points={{0,-23.6},{0,-36.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd4.y, OSMP) annotation (Line(
        points={{0,-43.6},{0,-59},{48,-59}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-96,-54},{100,-80}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid,
            textString="Plasma osmolarity")}), Diagram(graphics));
  end PlasmaOsmolarity;

  model IntracellularFluid
    Library.Interfaces.RealInput XNE  annotation (Placement(transformation(
            extent={{-44,67},{-18,93}}),    iconTransformation(extent={{-108,78},
              {-94,92}})));
    Library.Interfaces.RealInput XKE  annotation (Placement(transformation(
            extent={{-56,47},{-30,73}}),    iconTransformation(extent={{-108,50},
              {-94,64}})));
    Library.Interfaces.RealInput XGLE annotation (Placement(transformation(
            extent={{-54,27},{-28,53}}),    iconTransformation(extent={{-108,22},
              {-94,36}})));
    Library.Interfaces.RealInput XKI  annotation (Placement(transformation(
            extent={{-84,3},{-58,29}}),     iconTransformation(extent={{-108,-8},
              {-94,6}})));
    Library.Interfaces.RealInput CSM  annotation (Placement(transformation(
            extent={{-74,-53},{-48,-27}}),  iconTransformation(extent={{-108,
              -38},{-94,-24}})));
    Library.Interfaces.RealOutput VIC  annotation (Placement(transformation(
            extent={{70,-105},{94,-81}}),
                                      iconTransformation(extent={{102,-34},{116,
              -20}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-20,42},{20,78}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-21,0},{21,40}})));
    Library.SimpleAdd simpleAdd1
      annotation (Placement(transformation(extent={{-20,22},{20,58}})));
    Library.SimpleAdd simpleAdd2
      annotation (Placement(transformation(extent={{-72,-18},{-32,18}})));
    Library.SimpleAdd simpleAdd3
      annotation (Placement(transformation(extent={{-20,-38},{20,-2}})));
    Library.Constant dosm(Const=10.5)
      annotation (Placement(transformation(extent={{-100,-7},{-86,7}})));
    Library.Constant inverse(Const=-1)
      annotation (Placement(transformation(extent={{-50,13},{-36,27}})));
    Library.Interfaces.RealOutput QIC  annotation (Placement(transformation(
            extent={{6,-67},{30,-43}}),
                                      iconTransformation(extent={{102,50},{116,
              64}})));
    Library.SimpleMultiply simpleMultiply1
      annotation (Placement(transformation(extent={{-21,-60},{21,-20}})));
    Library.VolumeFlow.VolumeCompartmentInflow intracellularFluid(initialVolume=
         20)
      annotation (Placement(transformation(extent={{32,-87},{72,-47}})));
    Library.VolumeFlow.InputPumpIkeda inputPumpIkeda
      annotation (Placement(transformation(extent={{-9,-76},{9,-58}})));
  equation
    connect(XKE, simpleAdd.u) annotation (Line(
        points={{-43,60},{-19.2,60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XNE, simpleAdd.yBase) annotation (Line(
        points={{-31,80},{0,80},{0,63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XKI, simpleAdd2.yBase) annotation (Line(
        points={{-71,16},{-52,16},{-52,3.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd2.y, simpleAdd3.u) annotation (Line(
        points={{-52,-3.6},{-52,-20},{-19.2,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CSM, simpleMultiply1.u) annotation (Line(
        points={{-61,-40},{-20.58,-40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd3.y, simpleMultiply1.yBase) annotation (Line(
        points={{0,-23.6},{0,-36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.Volume, VIC) annotation (Line(
        points={{44,-87},{44,-93},{82,-93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, inputPumpIkeda.desiredFlow) annotation (Line(
        points={{0,-44},{0,-61.6}},
        color={0,0,127},
        pattern=LinePattern.None,
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, QIC) annotation (Line(
        points={{0,-44},{0,-55},{18,-55}},
        color={0,0,127},
        pattern=LinePattern.None,
        thickness=0.5,
        smooth=Smooth.None));
    connect(inputPumpIkeda.q_out, intracellularFluid.inflow) annotation (Line(
        points={{9,-67},{53.6,-67}},
        color={255,128,0},
        thickness=1,
        smooth=Smooth.None));
    connect(dosm.y, simpleAdd2.u) annotation (Line(
        points={{-81.73,0.07},{-73.865,0.07},{-73.865,3.19744e-016},{-71.2,
            3.19744e-016}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(inverse.y, simpleMultiply.u) annotation (Line(
        points={{-31.73,20.07},{-26.865,20.07},{-26.865,20},{-20.58,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGLE, simpleAdd1.u) annotation (Line(
        points={{-41,40},{-19.2,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, simpleAdd1.yBase) annotation (Line(
        points={{0,56.4},{0,43.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd1.y, simpleMultiply.yBase) annotation (Line(
        points={{0,36.4},{0,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, simpleAdd3.yBase) annotation (Line(
        points={{0,16},{0,-16.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-96,50},{102,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid,
            textString="ISF")}), Diagram(graphics));
  end IntracellularFluid;

  model IntracellularSpacewithBus "blok podle Ikedy"

    Library.Interfaces.RealOutput VIC  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-52,90}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-83,93})));

    Library.Interfaces.RealInput YKU  annotation (Placement(transformation(
            extent={{-92,32},{-80,44}}),    iconTransformation(extent={{-104,0},
              {-90,14}})));
    Library.Interfaces.RealInput CSM  annotation (Placement(transformation(
            extent={{-92,-24},{-80,-12}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-29,-93})));
    Library.Interfaces.RealInput YNIN annotation (Placement(transformation(
            extent={{-102,-82},{-90,-70}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-19,-93})));
    Library.Interfaces.RealInput YKIN
                                     annotation (Placement(transformation(
            extent={{-92,-78},{-80,-66}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-9,-93})));

    Library.Interfaces.RealOutput OSMP annotation (Placement(transformation(
            extent={{28,24},{36,32}}),iconTransformation(extent={{86,-26},{100,
              -12}})));
    Library.Interfaces.RealOutput YMNU
                                     annotation (Placement(transformation(
            extent={{28,12},{35,20}}), iconTransformation(extent={{86,-54},{100,-40}})));
    Library.Interfaces.RealOutput YURU
                                      annotation (Placement(transformation(
            extent={{32,7},{40,15}}),   iconTransformation(extent={{86,-68},{100,-54}})));
    Library.Interfaces.RealOutput VTW  annotation (Placement(transformation(
            extent={{28,2},{36,10}}),  iconTransformation(extent={{86,-82},{100,
              -68}})));

    Library.Interfaces.RealInput PHA  annotation (Placement(transformation(
            extent={{-82,26},{-70,38}}),    iconTransformation(extent={{-104,
              -14},{-90,0}})));
    Library.Interfaces.RealInput VEC  annotation (Placement(transformation(
            extent={{-90,20},{-78,32}}),    iconTransformation(extent={{-104,
              -28},{-90,-14}})));
    Library.Interfaces.RealInput GFR  annotation (Placement(transformation(
            extent={{-82,13},{-70,26}}),    iconTransformation(extent={{-104,
              -42},{-90,-28}})));
    Library.Interfaces.RealInput YNU  annotation (Placement(transformation(
            extent={{-82,38},{-70,50}}),    iconTransformation(extent={{-104,14},
              {-90,28}})));
    Library.Interfaces.RealInput XGL0
                                     annotation (Placement(transformation(
            extent={{-92,-66},{-80,-54}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={1,-93})));
    Library.Interfaces.RealInput YINS
                                     annotation (Placement(transformation(
            extent={{-102,-18},{-90,-6}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={11,-93})));
    Library.Interfaces.RealInput YGLI
                                     annotation (Placement(transformation(
            extent={{-92,-44},{-80,-32}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={21,-93})));
    Library.Interfaces.RealInput YMNI
                                     annotation (Placement(transformation(
            extent={{-102,-72},{-90,-60}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={31,-93})));
    Library.Interfaces.RealInput YURI
                                     annotation (Placement(transformation(
            extent={{-93,-34},{-80,-22}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={41,-93})));

    Library.Interfaces.RealOutput QIC  annotation (Placement(transformation(
            extent={{30,18},{38,26}}),iconTransformation(extent={{86,-40},{100,
              -26}})));
    Library.Interfaces.RealOutput XNE
                                     annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=0,
          origin={32,47}),             iconTransformation(extent={{86,16},{100,
              30}})));
    Library.Interfaces.RealOutput XKE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=0,
          origin={32,40}),              iconTransformation(extent={{86,2},{100,
              16}})));
    Library.Interfaces.RealOutput YGLU annotation (Placement(transformation(
            extent={{28,32},{36,40}}), iconTransformation(extent={{86,-12},{100,
              2}})));
    Library.Interfaces.RealInput CKEI annotation (Placement(transformation(
            extent={{-102,-28},{-90,-16}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-39,-93})));
    Library.Interfaces.RealInput CHEI annotation (Placement(transformation(
            extent={{-102,-60},{-90,-48}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-49,-93})));
    Library.Interfaces.RealInput CGL1 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-103,-38},{-92,-26}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-79,-93})));
    Library.Interfaces.RealInput CGL2 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-102,-48},{-90,-36}}),
                                          iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-69,-93})));
    Library.Interfaces.RealInput CGL3 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-92,-54},{-80,-42}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-59,-93})));
    Library.Interfaces.RealOutput ZNE  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-46,86}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-73,93})));
    Library.Interfaces.RealOutput ZKE  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-42,88}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-63,93})));
    Library.Interfaces.RealOutput ZKI  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-38,83}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-53,93})));
    Library.Interfaces.RealOutput XKI  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-34,84}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-43,93})));
    Library.Interfaces.RealOutput ZURE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-30,93}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-33,93})));
    Library.Interfaces.RealOutput XURE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-25,83}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-23,93})));
    Library.Interfaces.RealOutput ZMNE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-20,90}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-13,93})));
    Library.Interfaces.RealOutput XMNE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-16,84}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,93})));
    Library.Interfaces.RealOutput ZGLE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-10,90}),              iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={8,93})));
    Library.Interfaces.RealOutput XGLE annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-6,84}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={19,93})));
    Library.Interfaces.RealOutput YGLS annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={-2,92}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={29,93})));
    Library.Interfaces.RealOutput YKGL annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={2,84}),                iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={39,93})));
    Library.Interfaces.RealOutput YINT annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={6,90}),                iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={49,93})));
    Library.Interfaces.RealOutput YKHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={10,84}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={59,93})));
    Library.Interfaces.RealOutput YNHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={14,92}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={69,93})));
    Library.Interfaces.RealOutput PHI  annotation (Placement(transformation(
            extent={{-4,-4},{4,4}},
          rotation=90,
          origin={19,84}),               iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={79,93})));
    IntracellularSpaceBus intracellularSpaceBus
      annotation (Placement(transformation(extent={{-58,-6},{28,80}})));
  initial equation
    //ZNE=1540;
    //ZGLE=66;
  equation

  //OSMP=287;
  //YMNU=0;
  //YURU=0.15;
  //VTW=31;
  // ZNE=1540;

  //ZKE=49.5;
  //XKI=140;
  //ZKI=3800;
  //ZURE=77.5;

  //ZGLE=66;

  //ZMNE=0;
  //YGLS=0;
  //XGLE=6;
  //QIC=0;
  // XNE=140;
  //XKE=4.5;
  //YGLU=0;

    connect(YURI, intracellularSpaceBus.YURI) annotation (Line(
        points={{-86.5,-28},{2.63,-28},{2.63,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CKEI, intracellularSpaceBus.CKEI) annotation (Line(
        points={{-96,-22},{-31.77,-22},{-31.77,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CSM, intracellularSpaceBus.CSM) annotation (Line(
        points={{-86,-18},{-27.47,-18},{-27.47,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YINS, intracellularSpaceBus.YINS) annotation (Line(
        points={{-96,-12},{-10.27,-12},{-10.27,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLI, intracellularSpaceBus.YGLI) annotation (Line(
        points={{-86,-38},{-5.97,-38},{-5.97,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL1, intracellularSpaceBus.CGL1) annotation (Line(
        points={{-97.5,-32},{-48.97,-32},{-48.97,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL2, intracellularSpaceBus.CGL2) annotation (Line(
        points={{-96,-42},{-44.67,-42},{-44.67,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL3, intracellularSpaceBus.CGL3) annotation (Line(
        points={{-86,-48},{-40.37,-48},{-40.37,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGL0, intracellularSpaceBus.XGL0) annotation (Line(
        points={{-86,-60},{-14,-60},{-14,-2.99},{-14.57,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, intracellularSpaceBus.GFR) annotation (Line(
        points={{-76,19.5},{-62,19.5},{-62,21.95},{-56.71,21.95}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNI, intracellularSpaceBus.YMNI) annotation (Line(
        points={{-96,-66},{-2,-66},{-2,-2.99},{-1.67,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKIN, intracellularSpaceBus.YKIN) annotation (Line(
        points={{-86,-72},{-18.87,-72},{-18.87,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKU, intracellularSpaceBus.YKU) annotation (Line(
        points={{-86,38},{-71.355,38},{-71.355,40.01},{-56.71,40.01}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, intracellularSpaceBus.PHA) annotation (Line(
        points={{-76,32},{-66.355,32},{-66.355,33.99},{-56.71,33.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, intracellularSpaceBus.YNU) annotation (Line(
        points={{-76,44},{-66.355,44},{-66.355,46.03},{-56.71,46.03}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNIN, intracellularSpaceBus.YNIN) annotation (Line(
        points={{-96,-76},{-24,-76},{-24,-2.99},{-23.17,-2.99}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.CHEI, CHEI) annotation (Line(
        points={{-36.07,-2.99},{-36.07,-54},{-96,-54}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, intracellularSpaceBus.VEC) annotation (Line(
        points={{-84,26},{-64,26},{-64,27.97},{-56.71,27.97}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.VTW, VTW) annotation (Line(
        points={{24.99,4.75},{29.495,4.75},{29.495,6},{32,6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.VIC, VIC) annotation (Line(
        points={{-50.69,76.99},{-50.69,84.495},{-52,84.495},{-52,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.QIC, QIC) annotation (Line(
        points={{24.99,22.81},{31.495,22.81},{31.495,22},{34,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.OSMP, OSMP) annotation (Line(
        points={{24.99,28.83},{29.495,28.83},{29.495,28},{32,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YGLU, YGLU) annotation (Line(
        points={{24.99,34.85},{29.495,34.85},{29.495,36},{32,36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YKGL, YKGL) annotation (Line(
        points={{1.77,76.99},{1.77,81.495},{2,81.495},{2,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YGLS, YGLS) annotation (Line(
        points={{-2.53,76.99},{-2.53,84.495},{-2,84.495},{-2,92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YINT, YINT) annotation (Line(
        points={{6.07,76.99},{6.07,83.495},{6,83.495},{6,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XGLE, XGLE) annotation (Line(
        points={{-6.83,76.99},{-6.83,81.495},{-6,81.495},{-6,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZGLE, ZGLE) annotation (Line(
        points={{-11.56,76.99},{-11.56,83.495},{-10,83.495},{-10,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XMNE, XMNE) annotation (Line(
        points={{-16.29,76.99},{-16.29,80.495},{-16,80.495},{-16,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YMNU, YMNU) annotation (Line(
        points={{24.99,16.79},{29.495,16.79},{29.495,16},{31.5,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZMNE, ZMNE) annotation (Line(
        points={{-20.59,76.99},{-20.59,83.495},{-20,83.495},{-20,90}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XURE, XURE) annotation (Line(
        points={{-24.89,76.99},{-24.89,79.495},{-25,79.495},{-25,83}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YURU, YURU) annotation (Line(
        points={{24.99,10.77},{31.495,10.77},{31.495,11},{36,11}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZURE, ZURE) annotation (Line(
        points={{-29.19,76.99},{-29.19,84.495},{-30,84.495},{-30,93}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.PHI, PHI) annotation (Line(
        points={{18.97,76.99},{18.97,80.495},{19,80.495},{19,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YNHI, YNHI) annotation (Line(
        points={{14.67,76.99},{14.67,84.495},{14,84.495},{14,92}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XKE, XKE) annotation (Line(
        points={{24.99,40.87},{29.495,40.87},{29.495,40},{32,40}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XNE, XNE) annotation (Line(
        points={{24.99,46.89},{29.495,46.89},{29.495,47},{32,47}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZNE, ZNE) annotation (Line(
        points={{-46.39,76.99},{-46.39,82.495},{-46,82.495},{-46,86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZKI, ZKI) annotation (Line(
        points={{-37.79,76.99},{-37.79,79.495},{-38,79.495},{-38,83}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.XKI, XKI) annotation (Line(
        points={{-33.49,76.99},{-33.49,80.495},{-34,80.495},{-34,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.YKHI, YKHI) annotation (Line(
        points={{10.37,76.99},{10.37,81.495},{10,81.495},{10,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularSpaceBus.ZKE, ZKE) annotation (Line(
        points={{-42.09,76.99},{-42.09,82.495},{-42,82.495},{-42,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-90,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,37},
            rotation=180,
            textString="INTRACELLULAR"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1,19},
            rotation=180,
            textString="SPACE")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end IntracellularSpacewithBus;

  model IntracellularSpaceBus "blok podle Ikedy"

    Sodium sodium
      annotation (Placement(transformation(extent={{-40,40},{10,84}})));
    Potassium potassium
      annotation (Placement(transformation(extent={{40,36},{90,80}})));
    Glucose glucose
      annotation (Placement(transformation(extent={{-40,-49},{10,-6}})));
    Mannitol mannitol
      annotation (Placement(transformation(extent={{-40,-5},{10,39}})));
    Urea urea annotation (Placement(transformation(extent={{40,-9},{90,35}})));
    PlasmaOsmolarity plasmaOsmolarity
      annotation (Placement(transformation(extent={{40,-54},{90,-10}})));
    IntracellularFluid intracellularFluid
      annotation (Placement(transformation(extent={{-40,-94},{10,-50}})));
    Library.SimpleAdd TotalBobyWater
      annotation (Placement(transformation(extent={{42,-90},{70,-62}})));
    Library.Interfaces.BusConnector busConnector
      annotation (Placement(transformation(extent={{-86,78},{-66,98}}),
          iconTransformation(extent={{-18,-16},{2,4}})));
    Library.Interfaces.RealInput YKU  annotation (Placement(transformation(
            extent={{-92,44},{-80,56}}),    iconTransformation(extent={{-104,0},
              {-90,14}})));
    Library.Interfaces.RealInput CSM  annotation (Placement(transformation(
            extent={{-92,-6},{-80,6}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-29,-93})));
    Library.Interfaces.RealInput YNIN annotation (Placement(transformation(
            extent={{-92,64},{-80,76}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-19,-93})));
    Library.Interfaces.RealInput YKIN
                                     annotation (Placement(transformation(
            extent={{-102,40},{-90,52}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-9,-93})));
    Library.Interfaces.RealInput PHA  annotation (Placement(transformation(
            extent={{-102,50},{-90,62}}),   iconTransformation(extent={{-104,
              -14},{-90,0}})));
    Library.Interfaces.RealInput VEC  annotation (Placement(transformation(
            extent={{-102,70},{-90,82}}),   iconTransformation(extent={{-104,
              -28},{-90,-14}})));
    Library.Interfaces.RealInput GFR  annotation (Placement(transformation(
            extent={{-102,29},{-90,42}}),   iconTransformation(extent={{-104,
              -42},{-90,-28}})));
    Library.Interfaces.RealInput YNU  annotation (Placement(transformation(
            extent={{-102,60},{-90,72}}),   iconTransformation(extent={{-104,14},
              {-90,28}})));
    Library.Interfaces.RealInput XGL0
                                     annotation (Placement(transformation(
            extent={{-102,20},{-90,32}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={1,-93})));
    Library.Interfaces.RealInput YINS
                                     annotation (Placement(transformation(
            extent={{-102,0},{-90,12}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={11,-93})));
    Library.Interfaces.RealInput YGLI
                                     annotation (Placement(transformation(
            extent={{-92,4},{-80,16}}),   iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={21,-93})));
    Library.Interfaces.RealInput YMNI
                                     annotation (Placement(transformation(
            extent={{-92,34},{-80,46}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={31,-93})));
    Library.Interfaces.RealInput YURI
                                     annotation (Placement(transformation(
            extent={{-93,-16},{-80,-4}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={41,-93})));
    Library.Interfaces.RealInput CKEI annotation (Placement(transformation(
            extent={{-102,-10},{-90,2}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-39,-93})));
    Library.Interfaces.RealInput CHEI annotation (Placement(transformation(
            extent={{-92,54},{-80,66}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-49,-93})));
    Library.Interfaces.RealInput CGL1 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-101,10},{-90,22}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-79,-93})));
    Library.Interfaces.RealInput CGL2 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-92,14},{-80,26}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-69,-93})));
    Library.Interfaces.RealInput CGL3 "Parameter of glucose metabolism"
                                      annotation (Placement(transformation(
            extent={{-92,24},{-80,36}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-59,-93})));
    Library.Interfaces.RealOutput VIC  annotation (Placement(transformation(
            extent={{-64,-78},{-56,-70}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-83,93})));
    Library.Interfaces.RealOutput OSMP annotation (Placement(transformation(
            extent={{-64,-66},{-56,-58}}),
                                      iconTransformation(extent={{86,-26},{100,
              -12}})));
    Library.Interfaces.RealOutput YMNU
                                     annotation (Placement(transformation(
            extent={{-64,-18},{-57,-10}}),
                                       iconTransformation(extent={{86,-54},{100,-40}})));
    Library.Interfaces.RealOutput YURU
                                      annotation (Placement(transformation(
            extent={{-64,2},{-56,10}}), iconTransformation(extent={{86,-68},{100,-54}})));
    Library.Interfaces.RealOutput VTW  annotation (Placement(transformation(
            extent={{-64,-86},{-56,-78}}),
                                       iconTransformation(extent={{86,-82},{100,
              -68}})));
    Library.Interfaces.RealOutput QIC  annotation (Placement(transformation(
            extent={{-64,-72},{-56,-64}}),
                                      iconTransformation(extent={{86,-40},{100,
              -26}})));
    Library.Interfaces.RealOutput XNE
                                     annotation (Placement(transformation(
            extent={{-64,29},{-56,37}}),
                                       iconTransformation(extent={{86,16},{100,
              30}})));
    Library.Interfaces.RealOutput XKE annotation (Placement(transformation(
            extent={{-64,36},{-56,44}}),iconTransformation(extent={{86,2},{100,
              16}})));
    Library.Interfaces.RealOutput YGLU annotation (Placement(transformation(
            extent={{-64,-60},{-56,-52}}),
                                       iconTransformation(extent={{86,-12},{100,
              2}})));
    Library.Interfaces.RealOutput ZNE  annotation (Placement(transformation(
            extent={{-64,42},{-56,50}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-73,93})));
    Library.Interfaces.RealOutput ZKE  annotation (Placement(transformation(
            extent={{-64,68},{-56,76}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-63,93})));
    Library.Interfaces.RealOutput ZKI  annotation (Placement(transformation(
            extent={{-64,49},{-56,57}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-53,93})));
    Library.Interfaces.RealOutput XKI  annotation (Placement(transformation(
            extent={{-64,56},{-56,64}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-43,93})));
    Library.Interfaces.RealOutput ZURE annotation (Placement(transformation(
            extent={{-64,9},{-56,17}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-33,93})));
    Library.Interfaces.RealOutput XURE annotation (Placement(transformation(
            extent={{-64,-5},{-56,3}}),  iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-23,93})));
    Library.Interfaces.RealOutput ZMNE annotation (Placement(transformation(
            extent={{-64,-12},{-56,-4}}),iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-13,93})));
    Library.Interfaces.RealOutput XMNE annotation (Placement(transformation(
            extent={{-64,-24},{-56,-16}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={-3,93})));
    Library.Interfaces.RealOutput ZGLE annotation (Placement(transformation(
            extent={{-64,-30},{-56,-22}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={8,93})));
    Library.Interfaces.RealOutput XGLE annotation (Placement(transformation(
            extent={{-64,-36},{-56,-28}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={19,93})));
    Library.Interfaces.RealOutput YGLS annotation (Placement(transformation(
            extent={{-64,-48},{-56,-40}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={29,93})));
    Library.Interfaces.RealOutput YKGL annotation (Placement(transformation(
            extent={{-64,-54},{-56,-46}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={39,93})));
    Library.Interfaces.RealOutput YINT annotation (Placement(transformation(
            extent={{-64,-42},{-56,-34}}),
                                         iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={49,93})));
    Library.Interfaces.RealOutput YKHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-64,62},{-56,70}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={59,93})));
    Library.Interfaces.RealOutput YNHI
      "Intake rate of potassiom into ICF exchanged by hydrogen ions [mEq/l]"
                                       annotation (Placement(transformation(
            extent={{-64,22},{-56,30}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={69,93})));
    Library.Interfaces.RealOutput PHI  annotation (Placement(transformation(
            extent={{-64,16},{-56,24}}), iconTransformation(
          extent={{-7,-7},{7,7}},
          rotation=90,
          origin={79,93})));
  initial equation
    //ZNE=1540;
    //ZGLE=66;
  equation

  //OSMP=287;
  //YMNU=0;
  //YURU=0.15;
  //VTW=31;
  // ZNE=1540;

  //ZKE=49.5;
  //XKI=140;
  //ZKI=3800;
  //ZURE=77.5;

  //ZGLE=66;

  //ZMNE=0;
  //YGLS=0;
  //XGLE=6;
  //QIC=0;
  // XNE=140;
  //XKE=4.5;
  //YGLU=0;

    connect(busConnector.VEC, sodium.VEC) annotation (Line(
        points={{-76,88},{-48,88},{-48,79.38},{-40.75,79.38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YNIN, sodium.YNIN) annotation (Line(
        points={{-76,88},{-48,88},{-48,69.7},{-40.75,69.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YNU, sodium.YNU) annotation (Line(
        points={{-76,88},{-48,88},{-48,59.14},{-40.75,59.14}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CHEI, sodium.CHEI) annotation (Line(
        points={{-76,88},{-48,88},{-48,51.22},{-40.75,51.22}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.PHA, sodium.PHA) annotation (Line(
        points={{-76,88},{-48,88},{-48,44.18},{-40.25,44.18}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VEC, mannitol.VEC) annotation (Line(
        points={{-76,88},{-48,88},{-48,35.26},{-40.25,35.26}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.GFR, mannitol.GFR) annotation (Line(
        points={{-76,88},{-48,88},{-48,19.86},{-40.75,19.86}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YMNI, mannitol.YMNI) annotation (Line(
        points={{-76,88},{-48,88},{-48,7.98},{-39.75,7.98}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VEC, glucose.VEC) annotation (Line(
        points={{-76,88},{-48,88},{-48,-9.655},{-40.75,-9.655}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YINS, glucose.YINS) annotation (Line(
        points={{-76,88},{-48,88},{-48,-14.815},{-40.75,-14.815}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YGLI, glucose.YGLI) annotation (Line(
        points={{-76,88},{-48,88},{-48,-19.975},{-40.75,-19.975}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.GFR, glucose.GFR) annotation (Line(
        points={{-76,88},{-48,88},{-48,-24.705},{-40.75,-24.705}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CGL1, glucose.CGL1) annotation (Line(
        points={{-76,88},{-48,88},{-48,-29.005},{-40.75,-29.005}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CGL2, glucose.CGL2) annotation (Line(
        points={{-76,88},{-48,88},{-48,-34.595},{-40.75,-34.595}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CGL3, glucose.CGL3) annotation (Line(
        points={{-76,88},{-48,88},{-48,-40.185},{-40.25,-40.185}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XGL0, glucose.XGL0) annotation (Line(
        points={{-76,88},{-48,88},{-48,-46.635},{-40.75,-46.635}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XNE, intracellularFluid.XNE) annotation (Line(
        points={{-76,88},{-48,88},{-48,-53.3},{-40.25,-53.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XKE, intracellularFluid.XKE) annotation (Line(
        points={{-76,88},{-48,88},{-48,-59.46},{-40.25,-59.46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XGLE, intracellularFluid.XGLE) annotation (Line(
        points={{-76,88},{-48,88},{-48,-65.62},{-40.25,-65.62}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XKI, intracellularFluid.XKI) annotation (Line(
        points={{-76,88},{-48,88},{-48,-72.22},{-40.25,-72.22}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CSM, intracellularFluid.CSM) annotation (Line(
        points={{-76,88},{-48,88},{-48,-78.82},{-40.25,-78.82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VEC, potassium.VEC) annotation (Line(
        points={{-76,88},{32,88},{32,75.38},{39.25,75.38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VIC, potassium.VIC) annotation (Line(
        points={{-76,88},{32,88},{32,70.98},{39.25,70.98}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YKIN, potassium.YKIN) annotation (Line(
        points={{-76,88},{32,88},{32,65.7},{39.25,65.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YKU, potassium.YKU) annotation (Line(
        points={{-76,88},{32,88},{32,59.54},{39.25,59.54}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.PHA, potassium.PHA) annotation (Line(
        points={{-76,88},{32,88},{32,53.82},{39.25,53.82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.CKEI, potassium.CKEI) annotation (Line(
        points={{-76,88},{32,88},{32,48.54},{39.75,48.54}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YKGL, potassium.YKGL) annotation (Line(
        points={{-76,88},{32,88},{32,41.94},{39.25,41.94}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VTW, urea.VTW) annotation (Line(
        points={{-76,88},{32,88},{32,31.26},{39.75,31.26}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.GFR, urea.GFR) annotation (Line(
        points={{-76,88},{32,88},{32,15.86},{39.25,15.86}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YURI, urea.YURI) annotation (Line(
        points={{-76,88},{32,88},{32,3.98},{40.25,3.98}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XNE, plasmaOsmolarity.XNE) annotation (Line(
        points={{-76,88},{32,88},{32,-13.3},{39.75,-13.3}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XKE, plasmaOsmolarity.XKE) annotation (Line(
        points={{-76,88},{32,88},{32,-19.46},{39.75,-19.46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XGLE, plasmaOsmolarity.XGLE) annotation (Line(
        points={{-76,88},{32,88},{32,-25.62},{39.75,-25.62}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XURE, plasmaOsmolarity.XURE) annotation (Line(
        points={{-76,88},{32,88},{32,-32.22},{39.75,-32.22}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XMNE, plasmaOsmolarity.XMNE) annotation (Line(
        points={{-76,88},{32,88},{32,-39.7},{39.75,-39.7}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VEC, TotalBobyWater.yBase) annotation (Line(
        points={{-76,88},{32,88},{32,-66},{56,-66},{56,-73.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(busConnector.VIC, TotalBobyWater.u) annotation (Line(
        points={{-76,88},{32,88},{32,-76},{42.56,-76}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%first",
        index=-1,
        extent={{-6,3},{-6,3}}));
    connect(TotalBobyWater.y, busConnector.VTW) annotation (Line(
        points={{56,-78.8},{56,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.ZNE, busConnector.ZNE) annotation (Line(
        points={{10.75,75.86},{20,75.86},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.XNE, busConnector.XNE) annotation (Line(
        points={{10.75,65.3},{20,65.3},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.YNHI, busConnector.YNHI) annotation (Line(
        points={{10.75,55.18},{20,55.18},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sodium.PHI, busConnector.PHI) annotation (Line(
        points={{11.25,46.82},{20,46.82},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.ZMNE, busConnector.ZMNE) annotation (Line(
        points={{10.75,30.86},{20,30.86},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.YMNU, busConnector.YMNU) annotation (Line(
        points={{10.25,19.42},{20,19.42},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(mannitol.XMNE, busConnector.XMNE) annotation (Line(
        points={{10.75,6.22},{20,6.22},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.ZGLE, busConnector.ZGLE) annotation (Line(
        points={{11.75,-13.095},{20,-13.095},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.XGLE, busConnector.XGLE) annotation (Line(
        points={{11.75,-19.545},{20,-19.545},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YINT, busConnector.YINT) annotation (Line(
        points={{11.75,-25.135},{20,-25.135},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YGLS, busConnector.YGLS) annotation (Line(
        points={{11.75,-31.585},{20,-31.585},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YKGL, busConnector.YKGL) annotation (Line(
        points={{11.75,-37.175},{20,-37.175},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(glucose.YGLU, busConnector.YGLU) annotation (Line(
        points={{11.75,-43.195},{20,-43.195},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.QIC, busConnector.QIC) annotation (Line(
        points={{12.25,-59.46},{20,-59.46},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(intracellularFluid.VIC, busConnector.VIC) annotation (Line(
        points={{12.25,-77.94},{20,-77.94},{20,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.ZKE, busConnector.ZKE) annotation (Line(
        points={{91.75,72.74},{98,72.74},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.XKE, busConnector.XKE) annotation (Line(
        points={{91.75,66.14},{98,66.14},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.YKHI, busConnector.YKHI) annotation (Line(
        points={{91.75,57.34},{98,57.34},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.ZKI, busConnector.ZKI) annotation (Line(
        points={{91.75,48.1},{98,48.1},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(potassium.XKI, busConnector.XKI) annotation (Line(
        points={{91.75,39.74},{98,39.74},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.ZURE, busConnector.ZURE) annotation (Line(
        points={{90.75,26.86},{98,26.86},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.YURU, busConnector.YURU) annotation (Line(
        points={{90.25,15.42},{98,15.42},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(urea.XURE, busConnector.XURE) annotation (Line(
        points={{90.75,2.22},{98,2.22},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(plasmaOsmolarity.OSMP, busConnector.OSMP) annotation (Line(
        points={{92.25,-27.38},{98,-27.38},{98,-98},{-76,-98},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YURI, busConnector.YURI) annotation (Line(
        points={{-86.5,-10},{-76,-10},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CKEI, busConnector.CKEI) annotation (Line(
        points={{-96,-4},{-76,-4},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CSM, busConnector.CSM) annotation (Line(
        points={{-86,0},{-76,0},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YINS, busConnector.YINS) annotation (Line(
        points={{-96,6},{-76,6},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLI, busConnector.YGLI) annotation (Line(
        points={{-86,10},{-76,10},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL1, busConnector.CGL1) annotation (Line(
        points={{-95.5,16},{-76,16},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL2, busConnector.CGL2) annotation (Line(
        points={{-86,20},{-76,20},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGL0, busConnector.XGL0) annotation (Line(
        points={{-96,26},{-76,26},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL3, busConnector.CGL3) annotation (Line(
        points={{-86,30},{-76,30},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(GFR, busConnector.GFR) annotation (Line(
        points={{-96,35.5},{-76,35.5},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNI, busConnector.YMNI) annotation (Line(
        points={{-86,40},{-76,40},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKIN, busConnector.YKIN) annotation (Line(
        points={{-96,46},{-76,46},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKU, busConnector.YKU) annotation (Line(
        points={{-86,50},{-76,50},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA, busConnector.PHA) annotation (Line(
        points={{-96,56},{-76,56},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CHEI, busConnector.CHEI) annotation (Line(
        points={{-86,60},{-76,60},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNU, busConnector.YNU) annotation (Line(
        points={{-96,66},{-76,66},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNIN, busConnector.YNIN) annotation (Line(
        points={{-86,70},{-76,70},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VEC, busConnector.VEC) annotation (Line(
        points={{-96,76},{-76,76},{-76,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VTW, VTW) annotation (Line(
        points={{-76,88},{-68,88},{-68,-82},{-60,-82}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.VIC, VIC) annotation (Line(
        points={{-76,88},{-68,88},{-68,-74},{-60,-74}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZKE, ZKE) annotation (Line(
        points={{-76,88},{-68,88},{-68,72},{-60,72}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YKHI, YKHI) annotation (Line(
        points={{-76,88},{-68,88},{-68,66},{-60,66}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XKI, XKI) annotation (Line(
        points={{-76,88},{-68,88},{-68,60},{-60,60}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZKI, ZKI) annotation (Line(
        points={{-76,88},{-68,88},{-68,53},{-60,53}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZNE, ZNE) annotation (Line(
        points={{-76,88},{-68,88},{-68,46},{-60,46}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZKE, XKE) annotation (Line(
        points={{-76,88},{-68,88},{-68,40},{-60,40}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XNE, XNE) annotation (Line(
        points={{-76,88},{-68,88},{-68,33},{-60,33}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YNHI, YNHI) annotation (Line(
        points={{-76,88},{-68,88},{-68,26},{-60,26}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.PHI, PHI) annotation (Line(
        points={{-76,88},{-68,88},{-68,20},{-60,20}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.QIC, QIC) annotation (Line(
        points={{-76,88},{-68,88},{-68,-68},{-60,-68}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZURE, ZURE) annotation (Line(
        points={{-76,88},{-68,88},{-68,13},{-60,13}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YURU, YURU) annotation (Line(
        points={{-76,88},{-68,88},{-68,6},{-60,6}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XURE, XURE) annotation (Line(
        points={{-76,88},{-68,88},{-68,-1},{-60,-1}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZMNE, ZMNE) annotation (Line(
        points={{-76,88},{-68,88},{-68,-8},{-60,-8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YMNU, YMNU) annotation (Line(
        points={{-76,88},{-68,88},{-68,-14},{-60.5,-14}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XMNE, XMNE) annotation (Line(
        points={{-76,88},{-68,88},{-68,-20},{-60,-20}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.ZGLE, ZGLE) annotation (Line(
        points={{-76,88},{-68,88},{-68,-26},{-60,-26}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.XGLE, XGLE) annotation (Line(
        points={{-76,88},{-68,88},{-68,-32},{-60,-32}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YINT, YINT) annotation (Line(
        points={{-76,88},{-68,88},{-68,-38},{-60,-38}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YGLS, YGLS) annotation (Line(
        points={{-76,88},{-68,88},{-68,-44},{-60,-44}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YKGL, YKGL) annotation (Line(
        points={{-76,88},{-68,88},{-68,-50},{-60,-50}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.YGLU, YGLU) annotation (Line(
        points={{-76,88},{-68,88},{-68,-56},{-60,-56}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(busConnector.OSMP, OSMP) annotation (Line(
        points={{-76,88},{-68,88},{-68,-62},{-60,-62}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-90,86},{86,-86}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={1,37},
            rotation=180,
            textString="INTRACELLULAR"),
          Text(
            extent={{-107,11},{107,-11}},
            lineColor={0,0,255},
            lineThickness=0.5,
            origin={-1,19},
            rotation=180,
            textString="SPACE")}),
                             Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics={Text(
            extent={{42,-80},{60,-84}},
            lineColor={0,0,0},
            lineThickness=0.5,
            textString="VTW")}));
  end IntracellularSpaceBus;

  model ExtracellularFluid
    Library.Interfaces.RealInput VRBC annotation (Placement(transformation(
            extent={{-96,-67},{-80,-52}}),  iconTransformation(extent={{-110,72},
              {-96,86}})));
    Library.Interfaces.RealInput QIN  annotation (Placement(transformation(
            extent={{-118,85},{-102,102}}), iconTransformation(extent={{-110,58},
              {-96,72}})));
    Library.Interfaces.RealInput QVIN annotation (Placement(transformation(
            extent={{-108,44},{-92,60}}),   iconTransformation(extent={{-110,44},
              {-96,58}})));
    Library.Interfaces.RealInput QMWP annotation (Placement(transformation(
            extent={{-112,15},{-96,30}}),   iconTransformation(extent={{-110,16},
              {-96,30}})));
    Library.Interfaces.RealInput QIWL annotation (Placement(transformation(
            extent={{-108,-39},{-92,-24}}), iconTransformation(extent={{-110,30},
              {-96,44}})));
    Library.Interfaces.RealOutput VIF  annotation (Placement(transformation(
            extent={{50,-49},{70,-30}}),
                                      iconTransformation(extent={{102,-44},{116,
              -30}})));
    Library.SimpleAdd bloodVolume
      annotation (Placement(transformation(extent={{-68,-78},{-28,-42}})));
    Library.Constant VIF0(Const=8.8)
      annotation (Placement(transformation(extent={{44,-40},{36,-32}})));
    Library.Interfaces.RealOutput PIF  annotation (Placement(transformation(
            extent={{8,-29},{24,-14}}),
                                      iconTransformation(extent={{102,26},{116,
              40}})));
    Library.VolumeFlow.VolumeCompartmentInflow Plasma(initialVolume=2.2)
      annotation (Placement(transformation(extent={{-60,-24},{-20,16}})));
    Library.VolumeFlow.InputPumpIkeda driking
      annotation (Placement(transformation(extent={{-9,-9},{9,9}},
          rotation=0,
          origin={-98,81})));
    Library.VolumeFlow.VolumeCompartmentInflow InterstitialFluid(initialVolume=
          8.8)
      annotation (Placement(transformation(extent={{34,-24},{74,16}})));
    Library.Interfaces.RealOutput VP   annotation (Placement(transformation(
            extent={{-40,-53},{-20,-34}}),
                                      iconTransformation(extent={{102,-30},{116,
              -16}})));
    Library.Interfaces.RealOutput VB   annotation (Placement(transformation(
            extent={{-50,-99},{-30,-80}}),
                                      iconTransformation(extent={{102,-74},{116,
              -60}})));
    Library.Interfaces.RealOutput HT   annotation (Placement(transformation(
            extent={{-76,-99},{-60,-82}}),
                                      iconTransformation(extent={{102,-88},{116,
              -74}})));
    Library.Interfaces.RealOutput QCFR annotation (Placement(transformation(
            extent={{6,-1},{24,16}}), iconTransformation(extent={{102,12},{116,
              26}})));
    Library.Interfaces.RealOutput QLF  annotation (Placement(transformation(
            extent={{-10,-9.5},{10,9.5}},
          rotation=180,
          origin={-14,92.5}),         iconTransformation(extent={{102,-2},{116,
              12}})));
    Library.Interfaces.RealOutput VIN  annotation (Placement(transformation(
            extent={{-74,41},{-52,62}}),
                                      iconTransformation(extent={{102,-16},{116,
              -2}})));
    Library.Interfaces.RealOutput PC   annotation (Placement(transformation(
            extent={{-9,-8.5},{9,8.5}},
          rotation=180,
          origin={45,24.5}),          iconTransformation(extent={{102,40},{116,
              54}})));
    Library.Interfaces.RealOutput PPCO annotation (Placement(transformation(
            extent={{-9,-8.5},{9,8.5}},
          rotation=180,
          origin={-23,37.5}),         iconTransformation(extent={{102,54},{116,
              68}})));
    Library.Interfaces.RealOutput PICO annotation (Placement(transformation(
            extent={{-9,-9.5},{9,9.5}},
          rotation=180,
          origin={-21,48.5}),         iconTransformation(extent={{102,68},{116,
              82}})));
    Library.Interfaces.RealInput QWU  annotation (Placement(transformation(
            extent={{-20,-31},{-4,-14}}),   iconTransformation(extent={{-110,2},
              {-96,16}})));
    Library.Interfaces.RealOutput VEC  annotation (Placement(transformation(
            extent={{58,-73},{78,-54}}),
                                      iconTransformation(extent={{102,-60},{116,
              -46}})));
    Library.Interfaces.RealInput PAS  annotation (Placement(transformation(
            extent={{74,13},{92,32}}),      iconTransformation(extent={{-110,
              -26},{-96,-12}})));
    Library.Interfaces.RealInput PVS  annotation (Placement(transformation(
            extent={{70,7},{86,24}}),       iconTransformation(extent={{-110,
              -40},{-96,-26}})));
    Library.Interfaces.RealInput KRAV annotation (Placement(transformation(
            extent={{68,57},{82,72}}),      iconTransformation(extent={{-110,
              -82},{-96,-68}})));
    Library.VolumeFlow.VolumeCompartmentInflow Ventricle(initialVolume=0.01)
      annotation (Placement(transformation(extent={{-80,61},{-40,101}})));
    Library.VolumeFlow.Pump Filtration
      annotation (Placement(transformation(extent={{-6,-14},{14,6}})));
    Library.VolumeFlow.OutputPumpIkeda toICF
      annotation (Placement(transformation(extent={{80,-14},{100,6}})));
    Library.VolumeFlow.Pump fromStomach annotation (Placement(transformation(
          extent={{-12,12},{12,-12}},
          rotation=270,
          origin={-48,34})));
    Library.VolumeFlow.InputPumpIkeda fromInfusion
      annotation (Placement(transformation(extent={{-9,-9},{9,9}},
          rotation=0,
          origin={-86,37})));
    Library.VolumeFlow.InputPumpIkeda fromMetabolism
      annotation (Placement(transformation(extent={{-9,-9},{9,9}},
          rotation=0,
          origin={-88,11})));
    Library.VolumeFlow.OutputPumpIkeda insensibleWaterLoss annotation (
        Placement(transformation(
          extent={{-10,-10},{10,10}},
          rotation=180,
          origin={-88,-10})));
    Library.VolumeFlow.OutputPumpIkeda toUrine
      annotation (Placement(transformation(extent={{-10,-44},{10,-24}})));
    Library.VolumeFlow.Pump lymphFlow
      annotation (Placement(transformation(extent={{11,62},{-11,84}})));
    Library.SimpleDivision hematocrit annotation (Placement(transformation(
          extent={{-17,-15},{17,15}},
          rotation=0,
          origin={-75,-77})));
    Library.SimpleAdd ECFvolume
      annotation (Placement(transformation(extent={{-6,-70},{34,-34}})));
    CapillaryPressure capillaryPressure annotation (Placement(transformation(
          extent={{-12,-12},{12,12}},
          rotation=180,
          origin={76,44})));
    CapillaraStarling capillaraStarling annotation (Placement(transformation(
          extent={{-13,-13},{13,13}},
          rotation=180,
          origin={1,37})));
    F31 f31_1 annotation (Placement(transformation(extent={{27,-38},{15,-26}})));
    Library.Interfaces.RealInput CFC  annotation (Placement(transformation(
            extent={{-7,-7.5},{7,7.5}},
          rotation=180,
          origin={45,60.5}),                iconTransformation(extent={{-110,
              -96},{-96,-82}})));
    Library.Interfaces.RealInput XPP  annotation (Placement(transformation(
            extent={{-7,-7.5},{7,7.5}},
          rotation=180,
          origin={43,38.5}),                iconTransformation(extent={{-110,
              -54},{-96,-40}})));
    Library.Interfaces.RealInput XPIF annotation (Placement(transformation(
            extent={{-7,-7.5},{7,7.5}},
          rotation=180,
          origin={51,48.5}),                iconTransformation(extent={{-110,
              -68},{-96,-54}})));
    F32 f32_1 annotation (Placement(transformation(extent={{30,78},{10,98}})));
    Library.Constant QLF0(Const=0.02)
      annotation (Placement(transformation(extent={{58,90},{50,98}})));
    Modelica.Blocks.Math.Gain gain(k=0.1)
      annotation (Placement(transformation(extent={{-66,30},{-58,38}})));
    Library.Interfaces.RealInput QIC  annotation (Placement(transformation(
            extent={{69,-3},{85,14}}),      iconTransformation(extent={{-110,
              -12},{-96,2}})));
  equation
    connect(Plasma.inflow, Filtration.q_in)
                                      annotation (Line(
        points={{-38.4,-4},{-6,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Filtration.q_out, InterstitialFluid.inflow)
                                                  annotation (Line(
        points={{14,-4},{55.6,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Ventricle.inflow, fromStomach.q_in) annotation (Line(
        points={{-58.4,81},{-48,81},{-48,46}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(fromStomach.q_out, Plasma.inflow) annotation (Line(
        points={{-48,22},{-48,-4},{-38.4,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Plasma.inflow, fromInfusion.q_out) annotation (Line(
        points={{-38.4,-4},{-72,-4},{-72,37},{-77,37}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(fromMetabolism.q_out, Plasma.inflow) annotation (Line(
        points={{-79,11},{-72,11},{-72,-4},{-38.4,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Plasma.inflow, insensibleWaterLoss.q_in) annotation (Line(
        points={{-38.4,-4},{-72,-4},{-72,-10},{-78,-10}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Plasma.inflow, toUrine.q_in) annotation (Line(
        points={{-38.4,-4},{-34,-4},{-34,-34},{-10,-34}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(InterstitialFluid.inflow, lymphFlow.q_in) annotation (Line(
        points={{55.6,-4},{56,-4},{56,73},{11,73}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(lymphFlow.q_out, Plasma.inflow) annotation (Line(
        points={{-11,73},{-34,73},{-34,-4},{-38.4,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(InterstitialFluid.inflow, toICF.q_in) annotation (Line(
        points={{55.6,-4},{80,-4}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(fromInfusion.desiredFlow, QVIN) annotation (Line(
        points={{-86,42.4},{-86,52},{-100,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(fromMetabolism.desiredFlow, QMWP) annotation (Line(
        points={{-88,16.4},{-88,22.5},{-104,22.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(insensibleWaterLoss.desiredFlow, QIWL) annotation (Line(
        points={{-88,-16},{-88,-31.5},{-100,-31.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toUrine.desiredFlow, QWU) annotation (Line(
        points={{0,-28},{0,-22.5},{-12,-22.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Ventricle.inflow, driking.q_out) annotation (Line(
        points={{-58.4,81},{-89,81}},
        color={0,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(Ventricle.Volume, VIN) annotation (Line(
        points={{-68,61},{-68,51.5},{-63,51.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Plasma.Volume, VP) annotation (Line(
        points={{-48,-24},{-48,-43.5},{-30,-43.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Plasma.Volume, bloodVolume.yBase) annotation (Line(
        points={{-48,-24},{-48,-56.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodVolume.u, VRBC) annotation (Line(
        points={{-67.2,-60},{-73.6,-60},{-73.6,-59.5},{-88,-59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VB, bloodVolume.y) annotation (Line(
        points={{-40,-89.5},{-48,-89.5},{-48,-63.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(hematocrit.yBase, VRBC) annotation (Line(
        points={{-75,-74},{-75,-59.5},{-88,-59.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(bloodVolume.y, hematocrit.u) annotation (Line(
        points={{-48,-63.6},{-48,-96},{-96,-96},{-96,-77},{-91.66,-77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(hematocrit.y, HT) annotation (Line(
        points={{-75,-80},{-75,-90.5},{-68,-90.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(InterstitialFluid.Volume, VIF) annotation (Line(
        points={{46,-24},{46,-39.5},{60,-39.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ECFvolume.u, Plasma.Volume) annotation (Line(
        points={{-5.2,-52},{-42,-52},{-42,-48},{-48,-48},{-48,-24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ECFvolume.y, VEC) annotation (Line(
        points={{14,-55.6},{14,-63.5},{68,-63.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ECFvolume.yBase, InterstitialFluid.Volume) annotation (Line(
        points={{14,-48.4},{14,-44},{46,-44},{46,-24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIN, driking.desiredFlow) annotation (Line(
        points={{-110,93.5},{-98,93.5},{-98,86.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f31_1.VIF, InterstitialFluid.Volume) annotation (Line(
        points={{27.96,-29.12},{46,-29.12},{46,-24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KRAV, capillaryPressure.KRAV) annotation (Line(
        points={{75,64.5},{94,64.5},{94,46.16},{89.68,46.16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PVS, capillaryPressure.PVS) annotation (Line(
        points={{78,15.5},{96,15.5},{96,40.16},{89.2,40.16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PAS, capillaryPressure.PAS) annotation (Line(
        points={{83,22.5},{94,22.5},{94,35.12},{89.68,35.12}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CFC, capillaraStarling.CFC) annotation (Line(
        points={{45,60.5},{22,60.5},{22,40.77},{15.43,40.77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.XPP, XPP) annotation (Line(
        points={{15.43,33.75},{30,33.75},{30,38.5},{43,38.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.XPIF, XPIF) annotation (Line(
        points={{15.43,37.39},{24,37.39},{24,48.5},{51,48.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.QCFR, Filtration.desiredFlow)
                                                      annotation (Line(
        points={{-13.69,28.29},{-22,28.29},{-22,16},{4,16},{4,2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaryPressure.PC, PC) annotation (Line(
        points={{62.56,43.04},{54,43.04},{54,24},{50,24},{50,24.5},{45,24.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.QCFR, QCFR) annotation (Line(
        points={{-13.69,28.29},{-22,28.29},{-22,16},{4,16},{4,7.5},{15,7.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f31_1.PIF, PIF) annotation (Line(
        points={{14.04,-30.17},{12,-30.17},{12,-21.5},{16,-21.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.PICO, PICO) annotation (Line(
        points={{-13.69,39.73},{-15.845,39.73},{-15.845,48.5},{-21,48.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(capillaraStarling.PPCO, PPCO) annotation (Line(
        points={{-13.69,34.01},{-20,34.01},{-20,37.5},{-23,37.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f32_1.QLF, lymphFlow.desiredFlow) annotation (Line(
        points={{8.4,91.2},{0,91.2},{0,79.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f32_1.QLF0, QLF0.y) annotation (Line(
        points={{31.6,95},{38.8,95},{38.8,94.04},{47.56,94.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QLF, f32_1.QLF) annotation (Line(
        points={{-14,92.5},{-6,92.5},{-6,88},{0,88},{0,91.2},{8.4,91.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(fromStomach.desiredFlow, gain.y) annotation (Line(
        points={{-55.2,34},{-57.6,34}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toICF.desiredFlow, QIC) annotation (Line(
        points={{90,2},{90,5.5},{77,5.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VIF0.y, f31_1.VIF0) annotation (Line(
        points={{33.56,-35.96},{30,-35.96},{30,-32.72},{27.96,-32.72}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gain.u, Ventricle.Volume) annotation (Line(
        points={{-66.8,34},{-68,34},{-68,61}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(capillaraStarling.PIF, f31_1.PIF) annotation (Line(
        points={{15.43,26.47},{26,26.47},{26,-12},{12,-12},{12,-30.17},{14.04,
            -30.17}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(capillaraStarling.PC, capillaryPressure.PC) annotation (Line(
        points={{15.43,30.11},{54,30.11},{54,43.04},{62.56,43.04}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f31_1.PIF, f32_1.PIF) annotation (Line(
        points={{14.04,-30.17},{12,-30.17},{12,-12},{26,-12},{26,76},{38,76},{
            38,86.8},{31.6,86.8}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    annotation (Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-96,50},{102,-6}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid,
            textString="ECF")}), Diagram(graphics));
  end ExtracellularFluid;

  model CapillaraStarling

    Library.Interfaces.RealInput XPP annotation (Placement(transformation(extent={{-144,-6},
              {-104,34}}),          iconTransformation(extent={{-122,14},{-100,
              36}})));
    Library.Interfaces.RealInput PIF annotation (Placement(transformation(extent={{-140,52},
              {-100,92}}),          iconTransformation(extent={{-122,70},{-100,
              92}})));
    Library.Interfaces.RealOutput QCFR  annotation (Placement(transformation(
            extent={{38,-102},{78,-62}}),
                                        iconTransformation(extent={{100,54},{
              126,80}})));

    Library.Interfaces.RealInput PC  annotation (Placement(transformation(extent={{-140,60},
              {-100,100}}),         iconTransformation(extent={{-122,42},{-100,
              64}})));
    Library.Interfaces.RealInput XPIF
                                     annotation (Placement(transformation(extent={{-138,
              -44},{-98,-4}}),      iconTransformation(extent={{-122,-14},{-100,
              8}})));

    F34 f34_1 annotation (Placement(transformation(extent={{-82,1},{-58,25}})));
    F35 f35_1 annotation (Placement(transformation(extent={{-82,-39},{-58,-15}})));
    Library.Interfaces.RealInput CFC annotation (Placement(transformation(extent={{-138,
              -90},{-100,-52}}),    iconTransformation(extent={{-122,-40},{-100,
              -18}})));
    Library.SimpleAdd oncoticInterstitium
      annotation (Placement(transformation(extent={{-20,-38},{20,-2}})));
    Library.SimpleSubtract hydraulic
      annotation (Placement(transformation(extent={{-20,28},{20,68}})));
    Library.SimpleMultiply filtration
      annotation (Placement(transformation(extent={{-20,-91},{20,-51}})));
    Library.SimpleSubtract oncoticPlasma
      annotation (Placement(transformation(extent={{-20,0},{20,40}})));
    Library.Interfaces.RealOutput PICO  annotation (Placement(transformation(
            extent={{-50,-66},{-10,-26}}),
                                        iconTransformation(extent={{100,-34},{
              126,-8}})));
    Library.Interfaces.RealOutput PPCO  annotation (Placement(transformation(
            extent={{-46,-20},{-6,20}}),iconTransformation(extent={{100,10},{
              126,36}})));
  equation

    connect(XPP, f34_1.XPP) annotation (Line(
        points={{-124,14},{-104.12,14},{-104.12,16.36},{-83.92,16.36}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPIF, f35_1.XPIF) annotation (Line(
        points={{-118,-24},{-101.02,-24},{-101.02,-23.76},{-84.04,-23.76}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PIF, hydraulic.u) annotation (Line(
        points={{-120,72},{-68.6,72},{-68.6,48},{-19.2,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PC, hydraulic.yBase) annotation (Line(
        points={{-120,80},{0,80},{0,52}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(filtration.u, CFC) annotation (Line(
        points={{-19.6,-71},{-119,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(oncoticInterstitium.y, filtration.yBase) annotation (Line(
        points={{0,-23.6},{0,-67}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(oncoticPlasma.y, oncoticInterstitium.yBase) annotation (Line(
        points={{0,16},{0,-16.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(hydraulic.y, oncoticPlasma.yBase) annotation (Line(
        points={{0,44},{0,24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(filtration.y, QCFR) annotation (Line(
        points={{0,-75},{0,-82},{58,-82}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f35_1.PICO, oncoticInterstitium.u) annotation (Line(
        points={{-56.08,-23.64},{-38.04,-23.64},{-38.04,-20},{-19.2,-20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f34_1.PPCO, oncoticPlasma.u) annotation (Line(
        points={{-56.08,16.6},{-39.04,16.6},{-39.04,20},{-19.2,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PPCO, PPCO) annotation (Line(
        points={{-26,0},{-26,0}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(PICO, f35_1.PICO) annotation (Line(
        points={{-30,-46},{-42,-46},{-42,-23.64},{-56.08,-23.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PPCO, f34_1.PPCO) annotation (Line(
        points={{-26,0},{-40,0},{-40,16.6},{-56.08,16.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-102,-62},{96,-94}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Transcapillary"),
                                Text(
            extent={{-102,-36},{96,-68}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Filtration")}),
                                 Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end CapillaraStarling;

  model PlasmaProteins
    Library.Interfaces.RealInput QLF  annotation (Placement(transformation(
            extent={{-8,-8.5},{8,8.5}},
          rotation=180,
          origin={40,75.5}),                iconTransformation(extent={{-114,28},
              {-100,42}})));
    Library.Interfaces.RealInput VP   annotation (Placement(transformation(
            extent={{-118,20},{-102,36}}),  iconTransformation(extent={{-114,4},
              {-100,18}})));
    Library.Interfaces.RealInput VIF  annotation (Placement(transformation(
            extent={{32,27},{48,42}}),      iconTransformation(extent={{-114,
              -20},{-100,-6}})));
    Library.Interfaces.RealOutput XPIF annotation (Placement(transformation(
            extent={{32,12},{48,28}}),iconTransformation(extent={{102,58},{116,
              72}})));
    Library.Interfaces.RealOutput XPP  annotation (Placement(transformation(
            extent={{-24,23},{-8,38}}),
                                      iconTransformation(extent={{102,74},{116,
              88}})));
    Library.Interfaces.RealOutput ZPP  annotation (Placement(transformation(
            extent={{-66,-31},{-46,-12}}),
                                      iconTransformation(extent={{102,26},{116,
              40}})));
    Library.Interfaces.RealOutput ZPG  annotation (Placement(transformation(
            extent={{40,-43},{56,-28}}),
                                      iconTransformation(extent={{102,10},{116,
              24}})));
    Library.Interfaces.RealInput PC   annotation (Placement(transformation(
            extent={{-27,45},{-11,62}}),    iconTransformation(extent={{-114,50},
              {-100,64}})));
    Library.ConcentrationFlow.OutputPump toPulmonaryFluid
      annotation (Placement(transformation(extent={{14,-14},{-14,14}},
          rotation=180,
          origin={-66,-42})));
    Library.ConcentrationFlow.SoluteFlowPump FiltrationFlow
      annotation (Placement(transformation(extent={{-12,2},{8,22}})));
    Library.ConcentrationFlow.SoluteFlowPump LymphFlow annotation (Placement(
          transformation(
          extent={{-10,-10},{10,10}},
          rotation=180,
          origin={-6,90})));
    Library.ConcentrationFlow.OutputPump toISFGel
      annotation (Placement(transformation(extent={{76,-82},{42,-48}})));
    Library.ConcentrationFlow.ConcentrationCompartment PlasmaProteins(
        initialSoluteMass=154)
      annotation (Placement(transformation(extent={{-92,-8},{-52,32}})));
    Library.ConcentrationFlow.ConcentrationCompartment ISFFreeProteins(
        initialSoluteMass=176)
      annotation (Placement(transformation(extent={{58,-8},{98,32}})));
    F33 f33_1 annotation (Placement(transformation(extent={{-2,49},{14,65}})));
    Modelica.Blocks.Math.Feedback difPlasmaICF
      annotation (Placement(transformation(extent={{-8,36},{6,50}})));
    Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure
      annotation (Placement(transformation(extent={{-32,2},{-12,22}})));
    Library.ConcentrationFlow.ConcentrationMeasure concentrationMeasure1
      annotation (Placement(transformation(extent={{10,2},{30,22}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{12,32},{34,54}})));
    DestructionOfProteinsInLiver destructionOfProteinsInLiver
      annotation (Placement(transformation(extent={{-32,44},{-56,62}})));
    Library.ConcentrationFlow.OutputPump toLiver
      annotation (Placement(transformation(extent={{-52,28},{-80,56}})));
    PulmonaryFluidsProtein pulmonaryFluidsProtein
      annotation (Placement(transformation(extent={{-34,-80},{-60,-56}})));
    GelProtein gelProtein
      annotation (Placement(transformation(extent={{20,-44},{40,-24}})));
    Library.Interfaces.RealOutput ZPLG annotation (Placement(transformation(
            extent={{-8,-7.5},{8,7.5}},
          rotation=180,
          origin={-86,-75.5}),        iconTransformation(extent={{102,-6},{116,
              8}})));
    Library.Interfaces.RealOutput ZPIF annotation (Placement(transformation(
            extent={{76,-31},{96,-12}}),
                                      iconTransformation(extent={{102,42},{116,
              56}})));
    Library.SimpleMultiply simpleMultiply1 annotation (Placement(transformation(
          extent={{-11,-11},{11,11}},
          rotation=180,
          origin={11,75})));
    Library.Interfaces.RealOutput YPLC annotation (Placement(transformation(
            extent={{22,22},{34,34}}),iconTransformation(extent={{102,-22},{116,
              -8}})));
    Library.Interfaces.RealOutput YPLG annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
          rotation=180,
          origin={-72,-60}),          iconTransformation(extent={{102,-70},{116,
              -56}})));
    Library.Interfaces.RealOutput YPLF annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
          rotation=180,
          origin={-22,80}),           iconTransformation(extent={{102,-38},{116,
              -24}})));
    Library.Interfaces.RealOutput YPG  annotation (Placement(transformation(
            extent={{58,-33},{70,-21}}),
                                      iconTransformation(extent={{102,-54},{116,
              -40}})));
    Library.Interfaces.RealOutput YPLV annotation (Placement(transformation(
            extent={{-6,-6},{6,6}},
          rotation=180,
          origin={-74,60}),           iconTransformation(extent={{102,-86},{116,
              -72}})));
  equation
    connect(ISFFreeProteins.q_out, LymphFlow.q_in) annotation (Line(
        points={{78,12},{78,90},{4,90}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(LymphFlow.q_out, PlasmaProteins.q_out) annotation (Line(
        points={{-16,90},{-86,90},{-86,12},{-72,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ISFFreeProteins.q_out, toISFGel.q_in) annotation (Line(
        points={{78,12},{100,12},{100,-65},{69.2,-65}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(PlasmaProteins.q_out, concentrationMeasure.q_in) annotation (Line(
        points={{-72,12},{-22,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationMeasure.q_in, FiltrationFlow.q_in) annotation (Line(
        points={{-22,12},{-12,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(FiltrationFlow.q_out, concentrationMeasure1.q_in) annotation (Line(
        points={{8,12},{20,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationMeasure1.q_in, ISFFreeProteins.q_out) annotation (Line(
        points={{20,12},{78,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(concentrationMeasure.actualConc, difPlasmaICF.u1) annotation (Line(
        points={{-22,16},{-22,43},{-6.6,43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationMeasure1.actualConc, difPlasmaICF.u2) annotation (Line(
        points={{20,16},{20,32},{-1,32},{-1,37.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(f33_1.QPLC, simpleMultiply.yBase) annotation (Line(
        points={{15.36,59.48},{23,59.48},{23,45.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, FiltrationFlow.soluteFlow) annotation (Line(
        points={{23,40.8},{23,28},{-2,28},{-2,18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationMeasure.actualConc, XPP) annotation (Line(
        points={{-22,16},{-22,30.5},{-16,30.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(difPlasmaICF.y, simpleMultiply.u) annotation (Line(
        points={{5.3,43},{12.22,43}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PC, f33_1.PC) annotation (Line(
        points={{-19,53.5},{-8.5,53.5},{-8.5,59.24},{-3.76,59.24}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(destructionOfProteinsInLiver.XPP, concentrationMeasure.actualConc)
      annotation (Line(
        points={{-30.68,54.8},{-28,54.8},{-28,30},{-22,30},{-22,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PlasmaProteins.q_out, toLiver.q_in) annotation (Line(
        points={{-72,12},{-38,12},{-38,42},{-57.6,42}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(destructionOfProteinsInLiver.YPLV, toLiver.desiredFlow) annotation (
       Line(
        points={{-57.32,54.89},{-66,54.89},{-66,47.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toPulmonaryFluid.q_in, PlasmaProteins.q_out) annotation (Line(
        points={{-74.4,-42},{-86,-42},{-86,12},{-72,12}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(pulmonaryFluidsProtein.YPLG, toPulmonaryFluid.desiredFlow)
      annotation (Line(
        points={{-61.56,-59.6},{-66,-59.6},{-66,-47.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pulmonaryFluidsProtein.XPP, concentrationMeasure.actualConc)
      annotation (Line(
        points={{-32.31,-64.28},{-28,-64.28},{-28,30},{-22,30},{-22,16}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationMeasure1.actualConc, gelProtein.XPIF) annotation (Line(
        points={{20,16},{20,20},{12,20},{12,-30.9},{18.7,-30.9}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(toISFGel.desiredFlow, gelProtein.YPG) annotation (Line(
        points={{59,-58.2},{59,-27},{41.2,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gelProtein.ZPG, ZPG) annotation (Line(
        points={{41.2,-34.4},{46,-34.4},{46,-35.5},{48,-35.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZPLG, pulmonaryFluidsProtein.ZPLG) annotation (Line(
        points={{-86,-75.5},{-74,-75.5},{-74,-68.48},{-61.56,-68.48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PlasmaProteins.SoluteMass, ZPP) annotation (Line(
        points={{-72,-8},{-72,-21.5},{-56,-21.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ISFFreeProteins.SoluteMass, ZPIF) annotation (Line(
        points={{78,-8},{78,-21.5},{86,-21.5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VIF, ISFFreeProteins.SolventVolume) annotation (Line(
        points={{40,34.5},{50,34.5},{50,28},{58,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VP, PlasmaProteins.SolventVolume) annotation (Line(
        points={{-110,28},{-92,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationMeasure1.actualConc, simpleMultiply1.yBase)
      annotation (Line(
        points={{20,16},{20,20},{36,20},{36,66},{11,66},{11,72.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(concentrationMeasure1.actualConc, XPIF) annotation (Line(
        points={{20,16},{20,20},{40,20}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, LymphFlow.soluteFlow) annotation (Line(
        points={{11,77.2},{11,80},{-6,80},{-6,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QLF, simpleMultiply1.u) annotation (Line(
        points={{40,75.5},{31,75.5},{31,75},{21.78,75}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, YPLC) annotation (Line(
        points={{23,40.8},{23,28},{28,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(pulmonaryFluidsProtein.YPLG, YPLG) annotation (Line(
        points={{-61.56,-59.6},{-66.78,-59.6},{-66.78,-60},{-72,-60}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply1.y, YPLF) annotation (Line(
        points={{11,77.2},{11,80},{-22,80}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(gelProtein.YPG, YPG) annotation (Line(
        points={{41.2,-27},{64,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPLV, destructionOfProteinsInLiver.YPLV) annotation (Line(
        points={{-74,60},{-66,60},{-66,54.89},{-57.32,54.89}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={Rectangle(
            extent={{-100,100},{102,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={170,255,170},
            fillPattern=FillPattern.Solid), Text(
            extent={{-88,-22},{94,-56}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid,
            textString="Plasma"),           Text(
            extent={{-92,-56},{98,-90}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,255,170},
            fillPattern=FillPattern.Solid,
            textString="proteins")}),
                                 Diagram(graphics={
          Text(
            extent={{-24,41},{-14,41}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XPP"),
          Text(
            extent={{1,34},{11,34}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="XPIF"),
          Text(
            extent={{1,24},{11,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YPLC")}));
  end PlasmaProteins;

  model testMassFLow
    Library.ConcentrationFlow.MassInputPump massInputPump
      annotation (Placement(transformation(extent={{-90,46},{-70,66}})));
    Library.ConcentrationFlow.MassCompartment massCompartment(initialMass=100)
      annotation (Placement(transformation(extent={{-16,-30},{42,28}})));
    Library.Constant Constant(Const=10)
      annotation (Placement(transformation(extent={{-96,78},{-88,86}})));
  equation
    connect(massInputPump.q_out, massCompartment.q_out) annotation (Line(
        points={{-74,56},{-30,56},{-30,-1},{13.58,-1}},
        color={0,127,0},
        pattern=LinePattern.None,
        smooth=Smooth.None));
    connect(Constant.y, massInputPump.desiredFlow) annotation (Line(
        points={{-85.56,82.04},{-85.56,71.02},{-80,71.02},{-80,60}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(graphics));
  end testMassFLow;

  model DestructionOfProteinsInLiver
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(
            extent={{-36,56},{4,96}}), iconTransformation(extent={{-122,9},{
              -100,31}})));
    Library.Interfaces.RealOutput YPLV annotation (Placement(transformation(
            extent={{30,-84},{70,-44}}), iconTransformation(extent={{100,10},{
              122,32}})));
    Library.Constant k(Const=0.00047)
      annotation (Placement(transformation(extent={{-76,42},{-60,58}})));
    Library.SimpleAdd simpleAdd
      annotation (Placement(transformation(extent={{-20,-58},{40,4}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{-20,18},{40,82}})));
    Library.Constant h(Const=-0.0329)
      annotation (Placement(transformation(extent={{-76,-36},{-60,-20}})));
  equation
    connect(XPP, simpleMultiply.yBase) annotation (Line(
        points={{-16,76},{10,76},{10,56.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, simpleAdd.yBase) annotation (Line(
        points={{10,43.6},{10,-20.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleAdd.y, YPLV) annotation (Line(
        points={{10,-33.2},{10,-64},{50,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(h.y, simpleAdd.u) annotation (Line(
        points={{-55.12,-27.92},{-30.56,-27.92},{-30.56,-27},{-18.8,-27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(k.y, simpleMultiply.u) annotation (Line(
        points={{-55.12,50.08},{-38.56,50.08},{-38.56,50},{-19.4,50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-72,-58},{80,-86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="in the liver"),
          Text(
            extent={{-96,-26},{100,-54}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="of protein"),
          Text(
            extent={{-100,2},{96,-26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Destruction")}), Diagram(graphics));
  end DestructionOfProteinsInLiver;

  model PulmonaryFluidsProtein
    Library.Interfaces.RealInput XPP annotation (Placement(transformation(
            extent={{34,-6},{12,16}}), iconTransformation(extent={{-126,18},{
              -100,44}})));
    Library.Interfaces.RealOutput YPLG annotation (Placement(transformation(
            extent={{52,-70},{82,-40}}), iconTransformation(extent={{100,58},{
              124,82}})));
    Library.Interfaces.RealOutput ZPLG annotation (Placement(transformation(
            extent={{30,27},{54,51}}), iconTransformation(extent={{100,-16},{
              124,8}})));
    Library.ConcentrationFlow.MassStorageCompartment PulmonaryFluidProteins(
        initialSoluteMass=70)
      annotation (Placement(transformation(extent={{-21,46},{19,86}})));
    Library.ConcentrationFlow.InputPump FromPlasmaToPulmonaryFluid
      annotation (Placement(transformation(extent={{-20,-20},{20,20}},
          rotation=180,
          origin={-64,40})));
    Modelica.Blocks.Math.Feedback difXPPZPLG annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={0,5})));
    Library.SimpleDivision simpleDivision
      annotation (Placement(transformation(extent={{-14,-82},{-52,-46}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{12,-48},{50,-4}})));
    Library.Constant k2(Const=24) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=180,
          origin={14,-64})));
    Library.Constant k1(Const=0.00023) annotation (Placement(transformation(
          extent={{-6,-6},{6,6}},
          rotation=0,
          origin={-12,-29})));
  equation
    connect(FromPlasmaToPulmonaryFluid.q_out, PulmonaryFluidProteins.q_out)
      annotation (Line(
        points={{-76,40},{-88,40},{-88,66},{-0.6,66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(PulmonaryFluidProteins.SoluteMass, difXPPZPLG.u2) annotation (Line(
        points={{0.2,46},{0.2,31},{1.57398e-015,31},{1.57398e-015,10.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPP, difXPPZPLG.u1) annotation (Line(
        points={{23,5},{14,6},{14,5},{5.6,5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(difXPPZPLG.y, simpleDivision.yBase) annotation (Line(
        points={{-6.3,5},{-33,5},{-33,-60.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(k2.y, simpleDivision.u) annotation (Line(
        points={{1.12,-64.08},{-5.44,-64.08},{-5.44,-64},{-14.38,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleDivision.y, FromPlasmaToPulmonaryFluid.desiredFlow)
      annotation (Line(
        points={{-33,-67.6},{-33,-78},{-64,-78},{-64,32}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, YPLG) annotation (Line(
        points={{31,-30.4},{31,-55},{67,-55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(k1.y, simpleMultiply.u) annotation (Line(
        points={{-2.34,-28.94},{3.83,-28.94},{3.83,-26},{12.38,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.yBase, difXPPZPLG.y) annotation (Line(
        points={{31,-21.6},{31,-14},{-16,-14},{-16,5},{-6.3,5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZPLG, PulmonaryFluidProteins.SoluteMass) annotation (Line(
        points={{42,39},{24,39},{24,32},{0.2,32},{0.2,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-102,-46},{100,-74}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Pulmonary Fluid"),
          Text(
            extent={{-106,-72},{96,-100}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Protein")}), Diagram(graphics));
  end PulmonaryFluidsProtein;

  model GelProtein
    Library.Interfaces.RealInput XPIF annotation (Placement(transformation(
            extent={{34,-6},{12,16}}), iconTransformation(extent={{-126,18},{
              -100,44}})));
    Library.Interfaces.RealOutput YPG annotation (Placement(transformation(
            extent={{52,-70},{82,-40}}), iconTransformation(extent={{100,58},{
              124,82}})));
    Library.Interfaces.RealOutput ZPG annotation (Placement(transformation(
            extent={{30,27},{54,51}}), iconTransformation(extent={{100,-16},{
              124,8}})));
    Library.ConcentrationFlow.MassStorageCompartment ISFGelProteins(
        initialSoluteMass=20)
      annotation (Placement(transformation(extent={{-21,46},{19,86}})));
    Library.ConcentrationFlow.InputPump FromFreeProteinToGel
      annotation (Placement(transformation(extent={{-19,-19},{19,19}},
          rotation=180,
          origin={-65,39})));
    Modelica.Blocks.Math.Feedback difXPPZPLG annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={0,5})));
    Library.SimpleDivision simpleDivision
      annotation (Placement(transformation(extent={{-14,-82},{-52,-46}})));
    Library.SimpleMultiply simpleMultiply
      annotation (Placement(transformation(extent={{12,-48},{50,-4}})));
    Library.Constant k2(Const=150) annotation (Placement(transformation(
          extent={{-8,-8},{8,8}},
          rotation=180,
          origin={14,-64})));
    Library.Constant k1(Const=0.0057) annotation (Placement(transformation(
          extent={{-6,-6},{6,6}},
          rotation=0,
          origin={-12,-29})));
  equation
    connect(FromFreeProteinToGel.q_out, ISFGelProteins.q_out) annotation (Line(
        points={{-76.4,39},{-88,39},{-88,66},{-0.6,66}},
        color={200,0,0},
        thickness=1,
        smooth=Smooth.None));
    connect(ISFGelProteins.SoluteMass, difXPPZPLG.u2) annotation (Line(
        points={{0.2,46},{0.2,31},{1.57398e-015,31},{1.57398e-015,10.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XPIF, difXPPZPLG.u1) annotation (Line(
        points={{23,5},{14,6},{14,5},{5.6,5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(difXPPZPLG.y, simpleDivision.yBase) annotation (Line(
        points={{-6.3,5},{-33,5},{-33,-60.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(k2.y, simpleDivision.u) annotation (Line(
        points={{1.12,-64.08},{-5.44,-64.08},{-5.44,-64},{-14.38,-64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleDivision.y, FromFreeProteinToGel.desiredFlow) annotation (
        Line(
        points={{-33,-67.6},{-33,-78},{-65,-78},{-65,31.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.y, YPG) annotation (Line(
        points={{31,-30.4},{31,-55},{67,-55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(k1.y, simpleMultiply.u) annotation (Line(
        points={{-2.34,-28.94},{3.83,-28.94},{3.83,-26},{12.38,-26}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(simpleMultiply.yBase, difXPPZPLG.y) annotation (Line(
        points={{31,-21.6},{31,-14},{-16,-14},{-16,5},{-6.3,5}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(ZPG, ISFGelProteins.SoluteMass) annotation (Line(
        points={{42,39},{24,39},{24,32},{0.2,32},{0.2,46}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-102,-46},{100,-74}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="ISF Gel Protein")}), Diagram(graphics));
  end GelProtein;

  model testExtracellularSpace
    ExtracellularSpace extracellularSpace(extracellularFluid(QLF0(Const=0.002)))
      annotation (Placement(transformation(extent={{-38,-12},{52,78}})));
    Library.Constant QWU(Const=0.001)
      annotation (Placement(transformation(extent={{-84,44},{-76,52}})));
    Library.Constant QIC(Const=0)
      annotation (Placement(transformation(extent={{-94,34},{-86,42}})));
    Library.Constant PVS(Const=3)
      annotation (Placement(transformation(extent={{-80,18},{-72,26}})));
    Library.Constant PAS(Const=100)
      annotation (Placement(transformation(extent={{-78,4},{-70,12}})));
    Library.Constant VRBC(Const=1.8)
      annotation (Placement(transformation(extent={{-74,-36},{-66,-28}})));
    Library.Constant QIN(Const=0.001)
      annotation (Placement(transformation(extent={{-74,-46},{-66,-38}})));
    Library.Constant QVIN(Const=0)
      annotation (Placement(transformation(extent={{-74,-56},{-66,-48}})));
    Library.Constant QIWL(Const=0.0005)
      annotation (Placement(transformation(extent={{-74,-80},{-66,-72}})));
    Library.Constant QMWP(Const=0.0005)
      annotation (Placement(transformation(extent={{-74,-68},{-66,-60}})));
    Library.Constant CFC(Const=0.006667)
      annotation (Placement(transformation(extent={{-74,-90},{-66,-82}})));
    Library.Constant KRAV(Const=5.93)
      annotation (Placement(transformation(extent={{-74,-100},{-66,-92}})));
  equation
    connect(QWU.y, extracellularSpace.QWU) annotation (Line(
        points={{-73.56,48.04},{-54,48.04},{-54,36.15},{-40.7,36.15}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIC.y, extracellularSpace.QIC) annotation (Line(
        points={{-83.56,38.04},{-58,38.04},{-58,29.85},{-40.7,29.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PVS.y, extracellularSpace.PVS) annotation (Line(
        points={{-69.56,22.04},{-56.78,22.04},{-56.78,23.55},{-40.7,23.55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PAS.y, extracellularSpace.PAS) annotation (Line(
        points={{-67.56,8.04},{-56,8.04},{-56,17.25},{-40.7,17.25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VRBC.y, extracellularSpace.VRBC) annotation (Line(
        points={{-63.56,-31.96},{-15.05,-31.96},{-15.05,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIN.y, extracellularSpace.QIN) annotation (Line(
        points={{-63.56,-41.96},{-8.75,-41.96},{-8.75,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QVIN.y, extracellularSpace.QVIN) annotation (Line(
        points={{-63.56,-51.96},{-2.45,-51.96},{-2.45,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QMWP.y, extracellularSpace.QMWP) annotation (Line(
        points={{-63.56,-63.96},{3.85,-63.96},{3.85,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIWL.y, extracellularSpace.QIWL) annotation (Line(
        points={{-63.56,-75.96},{10.15,-75.96},{10.15,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CFC.y, extracellularSpace.CFC) annotation (Line(
        points={{-63.56,-85.96},{16.45,-85.96},{16.45,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KRAV.y, extracellularSpace.KRAV) annotation (Line(
        points={{-63.56,-95.96},{22.75,-95.96},{22.75,-8.85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(graphics));
  end testExtracellularSpace;

  replaceable model modelInputsBlock

    Library.Interfaces.BusConnector inputBusConnector
                                                 annotation (Placement(
          transformation(
          extent={{-16,-16},{16,16}},
          rotation=0,
          origin={0,88}),    iconTransformation(extent={{64,-14},{92,14}})));
    Library.Constant FCOI(Const=0) "Volume fraction of CO2 in dry inspired gas"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,71})));
    Library.Constant FO2I(Const=0.21)
      "Volume fraction of 02 in dry inspired gas" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,57})));
    Library.Constant PBA(Const=760) "Barometric pressure [mmHg]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,43})));
    Library.Constant XHB(Const=15) "Blood hemoglobin concentration [g/dl]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,1})));
    Library.Constant MRO2(Const=0.2591)
      "Metabolic production rate of 02 [l(STPD)/min]" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,15})));
    Library.Constant MRCO(Const=0.2318)
      "Metabolic production rate of CO2 [l(STPD)/min] [mMol/min]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,29})));
    Library.Constant VI0(Const=5) "Normal value of ventilation [l(BTPS)/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,-13})));
    Library.Constant VAL(Const=3) "Volume of alveoli [l]"   annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-81,-27})));
    Library.Constant YNH0(Const=0.024)
      "Normal excretion rate of ammonium [mEq/min]" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,51})));
    Library.Constant CPR(Const=0.2)
      "Excretion ratio of filtered load after proximal tubule" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,65})));
    Library.Constant YTA0(Const=0.0068)
      "Normal excretion rate of titratable acid [mEq/min]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,37})));
    Library.Constant YCLI(Const=0.1328) "Intake rate of chloride [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,-57})));
    Library.Constant YOGI(Const=0.01) "Intake rate of organic acid [mM/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,-43})));
    Library.Constant YPOI(Const=0.025) "Intake rate of phosphate [mMol/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,-29})));
    Library.Constant YSOI(Const=0.02) "Intake rate of sulphate [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,-15})));
    Library.Constant YMGI(Const=0.008) "Intake rate of magnesium [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,-1})));
    Library.Constant YCAI(Const=0.007) "Intake rate of calcium [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=0,
          origin={-37,13})));
    Library.Constant CSM(Const=0.0003)
      "Transfer coefficient of water from ECF to ICF caused by osmotic gradient [l^2/mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,37})));
    Library.Constant YNIN(Const=0.12) "Intake rate of sodium [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,29})));
    Library.Constant YKIN(Const=0.047) "Intake reate of potassium [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,21})));
    Library.Constant XGL0(Const=108)
      "Reference value of ECE glucose concentration [mg/dl]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,13})));
    Library.Constant YINS(Const=0) "Intake rate of insulin [unit/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,5})));
    Library.Constant YGLI(Const=0) "Intake rate of glucose [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,-3})));
    Library.Constant YMNI(Const=0) "Intake rate of mannitol [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,-11})));
    Library.Constant YURI(Const=0.15) "Intake rate of urea [mEq/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,-19})));
    Library.Constant VRBC(Const=1.8) "Volume of red blood cells [l] "
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,7})));
    Library.Constant QIN(Const=0.001) "Drinking rate [l/min]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-7})));
    Library.Constant QVIN(Const=0) "Rate of intravenous water input [l/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-21})));
    Library.Constant QMWP(Const=0.0005)
      "Rate of metabolic water production [l/min]" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-35})));
    Library.Constant QIWL(Const=0.0005) "Rate of insensible water loss [l/min]"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-49})));
    Library.Constant CFC(Const=0.007)
      "Capillary filtration coefficient [l/min/mmHg]" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-63})));
    Library.Constant KRAV(Const=5.93) "arterial resistance / venous resistance"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={87,-77})));
    Library.Constant RTOT(Const=20)
      "Total resistance in systemic circulation [mmHg.min/l]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={25,-51})));
    Library.Constant KR(Const=0.3) "Parameter of right heart performance"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={25,-65})));
    Library.Constant RTOP(Const=3)
      "Total resistance in pulmonary circulation [mm.min/l]" annotation (
        Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={25,-79})));
    Library.Constant KL(Const=0.2)
      "Parameter of left heart performance [l/min]" annotation (Placement(
          transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={25,-93})));
    Library.Constant CKEI(Const=0.001)
      "Potassium transfer coefficient from ECF to ICF "
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,45})));
    Library.Constant CHEI(Const=5)
      "Transfer coefficient of hydrogen ino into ICF"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,61})));
    Library.Constant CGL2(Const=1) "Parameter of glucose metabolism"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,69})));
    Library.Constant CGL1(Const=1) "Parameter of glucose metabolism"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={53,53})));
    Library.Constant CGL3(Const=0.03) "Parameter of glucose metabolism"
      annotation (Placement(transformation(
          extent={{-7,-7},{7,7}},
          rotation=180,
          origin={33,77})));
  equation
    connect(CSM.y, inputBusConnector.CSM) annotation (Line(
        points={{41.73,36.93},{12,36.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNIN.y, inputBusConnector.YNIN) annotation (Line(
        points={{21.73,28.93},{12,28.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YKIN.y, inputBusConnector.YKIN) annotation (Line(
        points={{41.73,20.93},{12,20.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XGL0.y, inputBusConnector.XGL0) annotation (Line(
        points={{21.73,12.93},{12,12.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YINS.y, inputBusConnector.YINS) annotation (Line(
        points={{41.73,4.93},{12,4.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YGLI.y, inputBusConnector.YGLI) annotation (Line(
        points={{21.73,-3.07},{12,-3.07},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMNI.y, inputBusConnector.YMNI) annotation (Line(
        points={{41.73,-11.07},{12,-11.07},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YURI.y, inputBusConnector.YURI) annotation (Line(
        points={{21.73,-19.07},{12,-19.07},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KL.y, inputBusConnector.KL) annotation (Line(
        points={{13.73,-93.07},{0,-93.07},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(RTOP.y, inputBusConnector.RTOP) annotation (Line(
        points={{13.73,-79.07},{0,-79.07},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KR.y, inputBusConnector.KR) annotation (Line(
        points={{13.73,-65.07},{0,-65.07},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(RTOT.y, inputBusConnector.RTOT) annotation (Line(
        points={{13.73,-51.07},{0,-51.07},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(KRAV.y, inputBusConnector.KRAV) annotation (Line(
        points={{75.73,-77.07},{66,-77.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CFC.y, inputBusConnector.CFC) annotation (Line(
        points={{75.73,-63.07},{66,-63.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIWL.y, inputBusConnector.QIWL) annotation (Line(
        points={{75.73,-49.07},{66,-49.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QMWP.y, inputBusConnector.QMWP) annotation (Line(
        points={{75.73,-35.07},{66,-35.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QVIN.y, inputBusConnector.QVIN) annotation (Line(
        points={{75.73,-21.07},{66,-21.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(QIN.y, inputBusConnector.QIN) annotation (Line(
        points={{75.73,-7.07},{66,-7.07},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VRBC.y, inputBusConnector.VRBC) annotation (Line(
        points={{75.73,6.93},{66,6.93},{66,-42},{0,-42},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CPR.y, inputBusConnector.CPR) annotation (Line(
        points={{-25.73,65.07},{-14,65.07},{-14,88},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH0.y, inputBusConnector.YNH0) annotation (Line(
        points={{-25.73,51.07},{-14,51.07},{-14,88},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA0.y, inputBusConnector.YTA0) annotation (Line(
        points={{-25.73,37.07},{-14,37.07},{-14,88},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCLI.y, inputBusConnector.YCLI) annotation (Line(
        points={{-25.73,-56.93},{-12,-56.93},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YOGI.y, inputBusConnector.YOGI) annotation (Line(
        points={{-25.73,-42.93},{-12,-42.93},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YPOI.y, inputBusConnector.YPOI) annotation (Line(
        points={{-25.73,-28.93},{-12,-28.93},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YSOI.y, inputBusConnector.YSOI) annotation (Line(
        points={{-25.73,-14.93},{-12,-14.93},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YMGI.y, inputBusConnector.YMGI) annotation (Line(
        points={{-25.73,-0.93},{-12,-0.93},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YCAI.y, inputBusConnector.YCAI) annotation (Line(
        points={{-25.73,13.07},{-12,13.07},{-12,-4},{0,-4},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VAL.y, inputBusConnector.VAL) annotation (Line(
        points={{-69.73,-26.93},{-60,-26.93},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(VI0.y, inputBusConnector.VI0) annotation (Line(
        points={{-69.73,-12.93},{-60,-12.93},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(XHB.y, inputBusConnector.XHB) annotation (Line(
        points={{-69.73,1.07},{-60,1.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MRO2.y, inputBusConnector.MRO2) annotation (Line(
        points={{-69.73,15.07},{-60,15.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(MRCO.y, inputBusConnector.MRCO) annotation (Line(
        points={{-69.73,29.07},{-60,29.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PBA.y, inputBusConnector.PBA) annotation (Line(
        points={{-69.73,43.07},{-60,43.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(FO2I.y, inputBusConnector.FO2I) annotation (Line(
        points={{-69.73,57.07},{-60,57.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(FCOI.y, inputBusConnector.FCOI) annotation (Line(
        points={{-69.73,71.07},{-60,71.07},{-60,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None), Text(
        string="%second",
        index=1,
        extent={{6,3},{6,3}}));
    connect(CKEI.y, inputBusConnector.CKEI) annotation (Line(
        points={{21.73,44.93},{12,44.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        smooth=Smooth.None,
        thickness=0.5));
    connect(CHEI.y, inputBusConnector.CHEI) annotation (Line(
        points={{21.73,60.93},{12,60.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL1.y, inputBusConnector.CGL1) annotation (Line(
        points={{41.73,52.93},{12,52.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL2.y, inputBusConnector.CGL2) annotation (Line(
        points={{41.73,68.93},{12,68.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(CGL3.y, inputBusConnector.CGL3) annotation (Line(
        points={{21.73,76.93},{12,76.93},{12,24},{0,24},{0,88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(graphics={Polygon(
            points={{-80,60},{-80,-60},{40,-60},{40,-80},{100,0},{40,80},{40,60},
                {-80,60}},
            lineColor={0,0,255},
            smooth=Smooth.None,
            lineThickness=0.5,
            fillColor={255,0,0},
            fillPattern=FillPattern.Solid), Text(
            extent={{-62,16},{36,-10}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={255,0,0},
            fillPattern=FillPattern.Solid,
            textString="Inputs")}), Diagram(graphics={
          Text(
            extent={{-59,4},{59,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-91,20},
            rotation=90,
            textString="Inputs to Respiration"),
          Text(
            extent={{-57,4},{57,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-47,52},
            rotation=90,
            textString="Inputs to Kidney1"),
          Text(
            extent={{-58,4},{58,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={-48,-20},
            rotation=90,
            textString="Inputs to Kidney2"),
          Text(
            extent={{-68,4},{68,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs to Intracellural Space",
            origin={64,50},
            rotation=90),
          Text(
            extent={{-71,4},{71,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            textString="Inputs to Extracellular Space",
            origin={97,-38},
            rotation=90),
          Text(
            extent={{-74,4},{74,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={42,-74},
            rotation=90,
            textString="Cardiovascular"),
          Text(
            extent={{-74,4},{74,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={48,-74},
            rotation=90,
            textString="Dynamics"),
          Text(
            extent={{-74,4},{74,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            fillColor={213,255,170},
            fillPattern=FillPattern.Solid,
            origin={36,-74},
            rotation=90,
            textString="Inputs to")}));
  end modelInputsBlock;

  model IkedaModel
    modelInputsBlock modelInputsBlock1
      annotation (Placement(transformation(extent={{-100,60},{-58,100}})));
    ControllerOfRenalFunctionBlock controllerOfRenalFunctionBlock
      annotation (Placement(transformation(extent={{-82,0},{-42,40}})));
    Kidney1BLock kidney1BLock
      annotation (Placement(transformation(extent={{-36,0},{4,40}})));
    Kidney2BLock kidney2BLock
      annotation (Placement(transformation(extent={{12,0},{52,40}})));
    RespirationBLock respirationBLock
      annotation (Placement(transformation(extent={{58,0},{98,40}})));
    IntracellularSpaceBLock intracellularSpaceBLock
      annotation (Placement(transformation(extent={{-62,-80},{-22,-40}})));
    CardiovascularDynamicsBLock cardiovascularDynamicsBLock
      annotation (Placement(transformation(extent={{-12,-80},{28,-40}})));
    ExtracellularSpaceBLock extracellularSpaceBLock(extracellularSpace(
          extracellularFluid(QLF0(Const=0.002))))
      annotation (Placement(transformation(extent={{36,-80},{76,-40}})));
    Library.Interfaces.BusConnector outputBusConnector annotation (Placement(
          transformation(extent={{-94,-36},{-66,-8}}), iconTransformation(
            extent={{-104,-44},{-70,-10}})));
  equation
    connect(modelInputsBlock1.inputBusConnector, kidney1BLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{-15.2,80},{-15.2,37.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(modelInputsBlock1.inputBusConnector, kidney2BLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{32,80},{32,37.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(modelInputsBlock1.inputBusConnector, respirationBLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{76.4,80},{76.4,37.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(modelInputsBlock1.inputBusConnector, intracellularSpaceBLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{-52,80},{-52,58},{-98,58},{-98,-96},{-41.6,-96},{
            -41.6,-77.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(modelInputsBlock1.inputBusConnector, cardiovascularDynamicsBLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{-52,80},{-52,58},{-98,58},{-98,-96},{7.6,-96},{7.6,
            -77.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(modelInputsBlock1.inputBusConnector, extracellularSpaceBLock.inputBusConnector)
      annotation (Line(
        points={{-62.62,80},{-52,80},{-52,58},{-98,58},{-98,-96},{57.6,-96},{
            57.6,-77.2}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, controllerOfRenalFunctionBlock.outputBusConnector)
      annotation (Line(
        points={{-80,-22},{-63.2,-22},{-63.2,2.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, intracellularSpaceBLock.outputBusConnector)
      annotation (Line(
        points={{-80,-22},{-43.2,-22},{-43.2,-42.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, kidney1BLock.outputBusConnector) annotation (
        Line(
        points={{-80,-22},{-15.2,-22},{-15.2,2.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, cardiovascularDynamicsBLock.outputBusConnector)
      annotation (Line(
        points={{-80,-22},{7.2,-22},{7.2,-42.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, kidney2BLock.outputBusConnector) annotation (
        Line(
        points={{-80,-22},{34,-22},{34,4},{33.6,4},{33.6,2.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, extracellularSpaceBLock.outputBusConnector)
      annotation (Line(
        points={{-80,-22},{54.8,-22},{54.8,-42.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(outputBusConnector, respirationBLock.outputBusConnector)
      annotation (Line(
        points={{-80,-22},{79.2,-22},{79.2,2.8}},
        color={0,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),
                        graphics), Icon(coordinateSystem(preserveAspectRatio=
              true, extent={{-100,-100},{100,100}}),
                                        graphics={
          Rectangle(
            extent={{-100,100},{100,-98}},
            lineColor={0,0,255},
            lineThickness=1,
            fillColor={170,255,255},
            fillPattern=FillPattern.Solid),
          Text(
            extent={{-74,82},{74,18}},
            lineColor={0,0,255},
            lineThickness=1,
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid,
            textString="Ikeda"),
          Text(
            extent={{-74,10},{74,-54}},
            lineColor={0,0,255},
            lineThickness=1,
            fillColor={85,170,255},
            fillPattern=FillPattern.Solid,
            textString="Model")}),
      experiment(StopTime=80000),
      __Dymola_experimentSetupOutput);
  end IkedaModel;

  block F63

    Library.Interfaces.RealInput PHU1 annotation (Placement(transformation(extent={{-140,
              -58},{-100,-18}}),     iconTransformation(extent={{-132,-50},{-100,-18}})));
    Library.Interfaces.RealOutput YTA1 annotation (Placement(transformation(extent=
             {{80,-8},{120,32}}), iconTransformation(extent={{100,0},{132,33}})));
    function f63
      input Real pha1;
      input Real phu1;
      input Real yta0;
      output Real yta1;
    protected
      Real f62;
    algorithm
      f62:=yta0*(-2.5*pha1 + 19.5);
      if (phu1 <= 4.0) then
        yta1:=0;
      elseif (phu1<=5.0) then
        yta1:=f62*(phu1 - 4.0);
      else
        yta1:=f62;
      end if;
    end f63;

    Library.Interfaces.RealInput PHA1 annotation (Placement(transformation(extent={{-140,52},
              {-100,92}}),           iconTransformation(extent={{-132,4},{-100,36}})));
    Library.Interfaces.RealInput YTA0 annotation (Placement(transformation(extent={{-140,22},
              {-100,62}}),           iconTransformation(extent={{-132,64},{-100,96}})));
  equation
    YTA1 = f63(PHA1,PHU1,YTA0);
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},
              {100,100}}),       graphics={Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5), Text(
            extent={{-48,-46},{34,-96}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F63")}), Diagram(coordinateSystem(preserveAspectRatio=true,
            extent={{-100,-100},{100,100}}), graphics));
  end F63;

  model testF63
    F63 f63_1 annotation (Placement(transformation(extent={{-40,0},{0,40}})));
    Library.Constant YNH40(Const=0.024)
      annotation (Placement(transformation(extent={{-88,74},{-80,82}})));
    Library.Constant YTA0(Const=0.0068)
      annotation (Placement(transformation(extent={{-98,28},{-90,36}})));
    Library.Constant PHU1(Const=3)
      annotation (Placement(transformation(extent={{-80,20},{-72,28}})));
    Library.Constant PHA1(Const=7.4)
      annotation (Placement(transformation(extent={{-80,4},{-72,12}})));
  equation
    connect(PHA1.y, f63_1.PHA1) annotation (Line(
        points={{-69.56,8.04},{-59.78,8.04},{-59.78,24},{-43.2,24}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(PHU1.y, f63_1.PHU1) annotation (Line(
        points={{-69.56,24.04},{-60.78,24.04},{-60.78,13.2},{-43.2,13.2}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YTA0.y, f63_1.YTA0) annotation (Line(
        points={{-87.56,32.04},{-57.78,32.04},{-57.78,36},{-43.2,36}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YNH40.y, f63_1.YNH40) annotation (Line(
        points={{-77.56,78.04},{-59.78,78.04},{-59.78,36.8},{-43.2,36.8}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (Diagram(graphics));
  end testF63;

  model RenalDistalAcidificationOld

    Modelica.Blocks.Interfaces.RealInput TPHU1 annotation (Placement(
          transformation(extent={{-102,-98},{-82,-78}}),
                                                      iconTransformation(extent={{
              -90,57},{-72,75}})));
    Modelica.Blocks.Interfaces.RealInput YNH40 annotation (Placement(
          transformation(extent={{-100,-46},{-80,-26}}),iconTransformation(extent={{-90,9},
              {-72,27}})));
    Modelica.Blocks.Interfaces.RealInput YTA0 annotation (Placement(
          transformation(extent={{-100,80},{-80,100}}), iconTransformation(extent={{-90,-17},
              {-72,1}})));
    Modelica.Blocks.Interfaces.RealInput TPHA1 annotation (Placement(
          transformation(extent={{-100,13},{-82,31}}),  iconTransformation(extent={{-90,33},
              {-72,51}})));
    Modelica.Blocks.Interfaces.RealInput PHA annotation (Placement(transformation(
            extent={{-108,32},{-76,64}}),   iconTransformation(extent={{-90,-45},
              {-72,-27}})));
    Modelica.Blocks.Interfaces.RealInput PHU annotation (Placement(transformation(
            extent={{-110,-70},{-76,-36}}),  iconTransformation(extent={{-90,-75},
              {-72,-57}})));
    Modelica.Blocks.Interfaces.RealOutput YTA1 annotation (Placement(
          transformation(extent={{72,74},{92,94}}), iconTransformation(extent={{74,
              41},{92,59}})));
    Modelica.Blocks.Interfaces.RealOutput YNH4 annotation (Placement(
          transformation(extent={{82,-60},{102,-40}}),
                                                    iconTransformation(extent={{76,
              5},{94,23}})));

    Modelica.Blocks.Continuous.Integrator integrator(y_start=6.0, k=1)
      annotation (Placement(transformation(extent={{-26,-78},{-12,-64}})));
    Modelica.Blocks.Math.Add add(k2=-1)
      annotation (Placement(transformation(extent={{-66,-78},{-52,-64}})));
    Modelica.Blocks.Math.Product product
      annotation (Placement(transformation(extent={{14,-72},{26,-60}})));
    Modelica.Blocks.Math.Division division
      annotation (Placement(transformation(extent={{-44,-76},{-34,-66}})));
    Modelica.Blocks.Sources.Constant const(k=-0.5)
      annotation (Placement(transformation(extent={{-6,-60},{2,-52}})));
    Modelica.Blocks.Math.Add add1(k2=+1)
      annotation (Placement(transformation(extent={{35,-61},{49,-47}})));
    Modelica.Blocks.Sources.Constant const1(k=4)
      annotation (Placement(transformation(extent={{13,-53},{21,-45}})));
    Modelica.Blocks.Math.Product product1
      annotation (Placement(transformation(extent={{58,-56},{70,-44}})));
    Modelica.Blocks.Continuous.Integrator integrator2(k=1, y_start=7.4)
      annotation (Placement(transformation(extent={{-14,18},{0,32}})));
    Modelica.Blocks.Math.Division division2
      annotation (Placement(transformation(extent={{-34,20},{-24,30}})));
    Modelica.Blocks.Math.Add add3(k2=-1)
      annotation (Placement(transformation(extent={{-58,28},{-44,42}})));
    Modelica.Blocks.Math.Product product2
      annotation (Placement(transformation(extent={{-52,53},{-40,65}})));
    Modelica.Blocks.Sources.Constant const2(k=-2.5)
      annotation (Placement(transformation(extent={{-71,63},{-63,71}})));
    Modelica.Blocks.Sources.Constant const3(k=19.5)
      annotation (Placement(transformation(extent={{-53,73},{-45,81}})));
    Modelica.Blocks.Math.Add add4(k2=+1)
      annotation (Placement(transformation(extent={{-33,61},{-19,75}})));
    Modelica.Blocks.Math.Product product3
      annotation (Placement(transformation(extent={{-8,69},{4,81}})));
    Modelica.Blocks.Logical.Switch switch1
      annotation (Placement(transformation(extent={{62,-20},{76,-6}})));
    Modelica.Blocks.Logical.LessEqual lessEqual
      annotation (Placement(transformation(extent={{32,-22},{46,-8}})));
    Modelica.Blocks.Sources.Constant const4(k=4)
      annotation (Placement(transformation(extent={{17,-29},{25,-21}})));
    Modelica.Blocks.Sources.Constant const5(k=0)
      annotation (Placement(transformation(extent={{35,-5},{43,3}})));
    Modelica.Blocks.Logical.LessEqual lessEqual1
      annotation (Placement(transformation(extent={{36,11},{50,25}})));
    Modelica.Blocks.Logical.Switch switch2
      annotation (Placement(transformation(extent={{50,78},{64,92}})));
    Modelica.Blocks.Sources.Constant const6(k=5)
      annotation (Placement(transformation(extent={{19,-4},{27,4}})));
    Modelica.Blocks.Math.Add add5(k2=+1)
      annotation (Placement(transformation(extent={{31,37},{45,51}})));
    Modelica.Blocks.Sources.Constant const7(k=-4)
      annotation (Placement(transformation(extent={{13,51},{21,59}})));
    Modelica.Blocks.Math.Product product4
      annotation (Placement(transformation(extent={{52,56},{64,68}})));
  equation
    connect(integrator.y, add.u2) annotation (Line(
        points={{-11.3,-71},{2,-71},{2,-82},{-72,-82},{-72,-75.2},{-67.4,-75.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(add.y, division.u1) annotation (Line(
        points={{-51.3,-71},{-48.65,-71},{-48.65,-68},{-45,-68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.y, integrator.u) annotation (Line(
        points={{-33.5,-71},{-27.4,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division.u2, TPHU1) annotation (Line(
        points={{-45,-74},{-48,-74},{-48,-88},{-92,-88}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.u2, integrator.y) annotation (Line(
        points={{12.8,-69.6},{4.4,-69.6},{4.4,-71},{-11.3,-71}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const.y, product.u1) annotation (Line(
        points={{2.4,-56},{8,-56},{8,-62.4},{12.8,-62.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product.y, add1.u2) annotation (Line(
        points={{26.6,-66},{30,-66},{30,-58.2},{33.6,-58.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.y, product1.u2) annotation (Line(
        points={{49.7,-54},{51.75,-54},{51.75,-53.6},{56.8,-53.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH40, product1.u1) annotation (Line(
        points={{-90,-36},{51.5,-36},{51.5,-46.4},{56.8,-46.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add1.u1, const1.y) annotation (Line(
        points={{33.6,-49.8},{27.8,-49.8},{27.8,-49},{21.4,-49}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH4, YNH4) annotation (Line(
        points={{92,-50},{92,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product1.y, YNH4) annotation (Line(
        points={{70.6,-50},{92,-50}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add.u1, PHU) annotation (Line(
        points={{-67.4,-66.8},{-73.7,-66.8},{-73.7,-53},{-93,-53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHA1, division2.u2) annotation (Line(
        points={{-91,22},{-35,22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(division2.y, integrator2.u) annotation (Line(
        points={{-23.5,25},{-15.4,25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(integrator2.y, add3.u2) annotation (Line(
        points={{0.7,25},{12,25},{12,6},{-66,6},{-66,30.8},{-59.4,30.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.u1, PHA) annotation (Line(
        points={{-59.4,39.2},{-68.7,39.2},{-68.7,48},{-92,48}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add3.y, division2.u1) annotation (Line(
        points={{-43.3,35},{-39.65,35},{-39.65,28},{-35,28}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.y, add4.u2) annotation (Line(
        points={{-39.4,59},{-36.7,59},{-36.7,63.8},{-34.4,63.8}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product2.u2, integrator2.y) annotation (Line(
        points={{-53.2,55.4},{-58,55.4},{-58,48},{12,48},{12,25},{0.7,25}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const3.y, add4.u1) annotation (Line(
        points={{-44.6,77},{-39.3,77},{-39.3,72.2},{-34.4,72.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add4.y, product3.u2) annotation (Line(
        points={{-18.3,68},{-14,68},{-14,71.4},{-9.2,71.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA0, product3.u1) annotation (Line(
        points={{-90,90},{-16,90},{-16,78.6},{-9.2,78.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const4.y, lessEqual.u2) annotation (Line(
        points={{25.4,-25},{27.7,-25},{27.7,-20.6},{30.6,-20.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.y, switch1.u2) annotation (Line(
        points={{46.7,-15},{54,-16},{54,-13},{60.6,-13}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.u1, const5.y) annotation (Line(
        points={{60.6,-7.4},{49.3,-7.4},{49.3,-1},{43.4,-1}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const6.y, lessEqual1.u2) annotation (Line(
        points={{27.4,0},{30,0},{30,12.4},{34.6,12.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const7.y, add5.u1) annotation (Line(
        points={{21.4,55},{25.7,55},{25.7,48.2},{29.6,48.2}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5.y, product4.u2) annotation (Line(
        points={{45.7,44},{48.25,44},{48.25,58.4},{50.8,58.4}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product3.y, product4.u1) annotation (Line(
        points={{4.6,75},{25.3,75},{25.3,65.6},{50.8,65.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, switch2.y) annotation (Line(
        points={{82,84},{64.7,85}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA1, YTA1) annotation (Line(
        points={{82,84},{82,84}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch2.u3, product3.y) annotation (Line(
        points={{48.6,79.4},{38,80},{26,80},{26,75},{4.6,75}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(product4.y, switch1.u3) annotation (Line(
        points={{64.6,62},{76,62},{76,8},{52,8},{52,-18.6},{60.6,-18.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(switch1.y, switch2.u1) annotation (Line(
        points={{76.7,-13},{98,-14},{98,98},{36,98},{36,90},{48.6,90.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual1.y, switch2.u2) annotation (Line(
        points={{50.7,18},{82,18},{82,74},{42,74},{42,85},{48.6,85}},
        color={255,0,255},
        thickness=0.5,
        smooth=Smooth.None));
    connect(add5.u2, PHU) annotation (Line(
        points={{29.6,39.8},{14,39.8},{14,0},{-68,0},{-68,-53},{-93,-53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual1.u1, PHU) annotation (Line(
        points={{34.6,18},{14,18},{14,0},{-68,0},{-68,-53},{-93,-53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(lessEqual.u1, PHU) annotation (Line(
        points={{30.6,-15},{-68,-15},{-68,-53},{-93,-53}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(const2.y, product2.u1) annotation (Line(
        points={{-62.6,67},{-58.3,67},{-58.3,62.6},{-53.2,62.6}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Icon(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}), graphics={
          Rectangle(
            extent={{-80,80},{80,-80}},
            lineColor={0,0,255},
            lineThickness=0.5),
          Text(
            extent={{-74,60},{-38,70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="TPHU1"),
          Text(
            extent={{-74,14},{-36,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH40"),
          Text(
            extent={{-72,-14},{-42,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA0"),
          Text(
            extent={{-72,36},{-38,46}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="TPHA1"),
          Text(
            extent={{-70,-40},{-42,-30}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA"),
          Text(
            extent={{-72,-70},{-42,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{36,42},{68,52}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YTA1"),
          Text(
            extent={{38,6},{78,16}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4"),
          Text(
            extent={{-68,4},{68,24}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Distal"),
          Text(
            extent={{-92,-26},{92,-4}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="renal"),
          Text(
            extent={{-86,-58},{98,-36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="acidification")}),
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics={
          Text(
            extent={{0,-10},{26,-14}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{-18,-66},{8,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU1"),
          Text(
            extent={{-6,30},{20,26}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHA1"),
          Text(
            extent={{-4,80},{22,76}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F62"),
          Text(
            extent={{34,-24},{86,-28}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (PHU<=4) THEN YTA1=0"),
          Text(
            extent={{16,38},{74,20}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (4<PHU<=5) THEN YTA1=F62*(PHU-4)"),
          Text(
            extent={{-2,90},{38,86}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="IF (PHU>5) THEN YTA1=F62"),
          Text(
            extent={{38,-66},{84,-70}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="YNH4=YNH0*(-0.5*PHU1+4)"),
          Text(
            extent={{-68,88},{-14,84}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F62=YTA0*(-2.5*PHA1+19.5)"),
          Text(
            extent={{-66,-52},{-20,-60}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="der(PHU1)=(PHU-PHU1)/TPHU1"),
          Text(
            extent={{-42,44},{4,36}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="der(PHA1)=PHA-PHA1)/TPHA1"),
          Text(
            extent={{12,22},{38,18}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{10,44},{36,40}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="PHU"),
          Text(
            extent={{28,70},{54,66}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F62"),
          Text(
            extent={{38,12},{94,8}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="F62*(PHU-4)")}),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end RenalDistalAcidificationOld;

  model TestDistalRenalAcidification
    Library.Constant PHA(Const=7.4)
      annotation (Placement(transformation(extent={{-30,12},{-22,20}})));
    Library.Constant TPHA1(Const=200)
      annotation (Placement(transformation(extent={{-80,36},{-72,44}})));
    Library.Constant YTA0(Const=0.0068)
      annotation (Placement(transformation(extent={{-32,24},{-24,32}})));
    Library.Constant YNH0(Const=0.024)
      annotation (Placement(transformation(extent={{-54,28},{-46,36}})));
    RenalDistalAcidification renalDistalAcidification
      annotation (Placement(transformation(extent={{0,-2},{58,56}})));
    Library.Constant PHU(Const=6.62536)
      annotation (Placement(transformation(extent={{-32,-10},{-24,-2}})));
    Library.Constant TPHU1(Const=300)
      annotation (Placement(transformation(extent={{-70,46},{-62,54}})));
  equation
    connect(PHA.y, renalDistalAcidification.PHA) annotation (Line(
        points={{-19.56,16.04},{-0.78,16.04},{-0.78,16.56},{5.51,16.56}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHU.y, renalDistalAcidification.PHU) annotation (Line(
        points={{-21.56,-5.96},{-9.78,-5.96},{-9.78,7.86},{5.51,7.86}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YTA0.y, renalDistalAcidification.YTA0) annotation (Line(
        points={{-21.56,28.04},{-7.78,28.04},{-7.78,24.68},{5.51,24.68}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH0.y, renalDistalAcidification.YNH40) annotation (Line(
        points={{-43.56,32.04},{-17.78,32.04},{-17.78,32.22},{5.51,32.22}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHA1.y, renalDistalAcidification.TPHA1) annotation (Line(
        points={{-69.56,40.04},{-32.78,40.04},{-32.78,39.18},{5.51,39.18}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(TPHU1.y, renalDistalAcidification.TPHU1) annotation (Line(
        points={{-59.56,50.04},{-26.78,50.04},{-26.78,46.14},{5.51,46.14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end TestDistalRenalAcidification;

  model testReanalAcidification2
    RenalAcidification renalAcidification
      annotation (Placement(transformation(extent={{-28,-93},{72,7}})));
    Modelica.Blocks.Sources.Constant YORG(k=0.01)
      annotation (Placement(transformation(extent={{-96,67},{-76,87}})));
    Modelica.Blocks.Sources.Constant YPO4(k=0.025)
      annotation (Placement(transformation(extent={{-96,17},{-76,37}})));
    Modelica.Blocks.Sources.Constant PHA(k=7.4)
      annotation (Placement(transformation(extent={{-96,-24},{-76,-4}})));
    Modelica.Blocks.Sources.Constant Ald(k=1)
      annotation (Placement(transformation(extent={{-92,-70},{-72,-50}})));
    STPG sTPG annotation (Placement(transformation(extent={{-40,32},{72,116}})));
    Library.Constant YNH0(Const=0.024)
      annotation (Placement(transformation(extent={{-52,-20},{-42,-10}})));
    Library.Constant YTA0(Const=0.0068)
      annotation (Placement(transformation(extent={{-56,-6},{-44,6}})));
  equation
    connect(YPO4.y, renalAcidification.YPO4) annotation (Line(
        points={{-75,27},{-66.5,27},{-66.5,-42},{-25.5,-42}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YORG.y, renalAcidification.YORG) annotation (Line(
        points={{-75,77},{-62,77},{-62,-29},{-25.5,-29}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(PHA.y, renalAcidification.PHA) annotation (Line(
        points={{-75,-14},{-53.25,-14},{-53.25,-55},{-25.5,-55}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(Ald.y, renalAcidification.Ald) annotation (Line(
        points={{-71,-60},{-64,-60},{-64,-67},{-25.5,-67}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(renalAcidification.YTA, sTPG.YTA) annotation (Line(
        points={{71.5,-23},{88,-23},{88,10},{-38,10},{-38,49.64},{-29.36,49.64}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sTPG.PHA, PHA.y) annotation (Line(
        points={{-30.48,67.28},{-60,67.28},{-60,-8},{-68,-8},{-68,-14},{-75,-14}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));

    connect(sTPG.YORG, YORG.y) annotation (Line(
        points={{-29.36,100.04},{-62,100.04},{-62,77},{-75,77}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(sTPG.YPO4, YPO4.y) annotation (Line(
        points={{-29.36,84.08},{-66,84.08},{-66,27},{-75,27}},
        color={0,0,127},
        thickness=0.5,
        smooth=Smooth.None));
    connect(YNH0.y, renalAcidification.YNH40) annotation (Line(
        points={{-38.95,-14.95},{-33.475,-14.95},{-33.475,-16},{-25.5,-16}},
        color={0,0,127},
        smooth=Smooth.None));
    connect(YTA0.y, renalAcidification.YTA0) annotation (Line(
        points={{-40.34,0.06},{-34.17,0.06},{-34.17,-3},{-26.5,-3}},
        color={0,0,127},
        smooth=Smooth.None));
    annotation (
      Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,-100},{
              100,100}}), graphics),
      experiment(StopTime=6000),
      experimentSetupOutput);
  end testReanalAcidification2;

  model testVR
    Library.Constant PCOA(Const=39.1423)
      annotation (Placement(transformation(extent={{-76,26},{-62,40}})));
    VentilationRatio ventilationRatio annotation (Placement(transformation(
          extent={{29,29},{-29,-29}},
          rotation=180,
          origin={9,27})));
    Library.Constant PO2A(Const=105.596)
      annotation (Placement(transformation(extent={{-86,12},{-72,26}})));
    Library.Constant PHA(Const=7.40898)
      annotation (Placement(transformation(extent={{-82,44},{-68,58}})));
  equation
    connect(PHA.y, ventilationRatio.PHA) annotation (Line(
        points={{-63.73,51.07},{-44.865,51.07},{-44.865,43.53},{-23.19,43.53}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(PO2A.y, ventilationRatio.PO2A) annotation (Line(
        points={{-67.73,19.07},{-45.865,19.07},{-45.865,24.39},{-23.19,24.39}},
        color={0,0,127},
        smooth=Smooth.None));

    connect(PCOA.y, ventilationRatio.PCOA) annotation (Line(
        points={{-57.73,33.07},{-40.865,33.07},{-40.865,34.83},{-23.19,34.83}},
        color={0,0,127},
        smooth=Smooth.None));

    annotation (Diagram(coordinateSystem(preserveAspectRatio=true, extent={{-100,
              -100},{100,100}}),      graphics));
  end testVR;

  block AlveolarVentilation

    Library.Interfaces.RealInput PHA annotation (Placement(transformation(extent={
              {-120,42},{-80,82}}), iconTransformation(extent={{-114,72},{-92,94}})));
    Library.Interfaces.RealInput PCOA annotation (Placement(transformation(extent=
             {{-120,-34},{-80,6}}), iconTransformation(extent={{-114,46},{-92,68}})));
    Library.Interfaces.RealInput PO2A annotation (Placement(transformation(extent=
             {{-120,-2},{-80,38}}), iconTransformation(extent={{-114,20},{-92,42}})));
    Library.Interfaces.RealInput VI0  annotation (Placement(transformation(extent={{-120,
              -72},{-80,-32}}),     iconTransformation(extent={{-114,-6},{-92,16}})));
    Library.Interfaces.RealOutput VI annotation (Placement(transformation(extent={{60,-48},
              {100,-8}}),         iconTransformation(extent={{100,16},{128,44}})));
    Library.Interfaces.RealOutput VR annotation (Placement(transformation(extent={
              {60,-4},{100,36}}), iconTransformation(extent={{100,64},{128,92}})));

  function AlvVent
    input Real pha;
    input Real pcoa;
    input Real po2a;
    input Real vi0;
    output Real vi;
    output Real vr;
    protected
    Real k1;
    Real k2;
    Real k3;
    Real k4;
    Real k5;
    Real k6;
    Real h;
    Real po2;
  algorithm
    po2:=po2a;
    if (pha<=7.4) then
      k1:=0.22;
      k6:=-12.734;
    else
      k1:=0.0258;
      k6:=-5.003;
    end if;
    k3:=0.58;
    k4:=3.496;
    if (pcoa>40) then
      k2:=1;
      k5:=-32.08;
    else
      k2:=0.0396;
      k5:=160.11;
    end if;
    h:=10^(9-pha);
    if (po2==32) then
      po2:=32.001;
    end if;
    vr:=k1*h+k2*(k3+k4/(po2-32))*(pcoa+k5)+k6;
   // if (vr<0.001) then
   //   vr:=0.001;
   // end if;
    vi:=vr*vi0;
  end AlvVent;

  equation
    (VI,VR)=AlvVent(PHA,PCOA,PO2A,VI0);
    annotation (Icon(graphics={
          Text(
            extent={{-100,-24},{102,-80}},
            lineColor={0,0,255},
            lineThickness=0.5,
            textString="Alveolar 
Ventilation"),
          Rectangle(
            extent={{-100,100},{100,-100}},
            lineColor={0,0,255},
            lineThickness=0.5)}));
  end AlveolarVentilation;
  annotation (uses(Modelica(version="3.2")));
end IKEDA;
